About Microsoft Office SharePoint Portal Server 2003

About Microsoft Office SharePoint Portal Server 2003

Microsoft Office SharePoint Portal Server 2003 connects people, teams, and knowledge across business processes. It unifies disparate information, facilitates easy collaboration on documents, projects, and other efforts, and presents specific applications and customized content based on a user’s functional group and organizational role. SharePoint Portal Server works with Microsoft Windows Explorer, Microsoft Office applications, and Web browsers to help you create, manage and share content throughout your organization.

By using Microsoft Windows Server 2003, SharePoint Portal Server integrates with Microsoft Office 2003, Microsoft Windows SharePoint Services, and Microsoft SQL Server 2000 SP3 to create a unified portal site that connects an entire organization.

SharePoint Portal Server offers solutions in the following areas:

Enterprise integration

  • Scales and manages portal sites for the largest organizations
  • Integrates different systems into one solution
  • Creates indexes for and searches multiple sources, providing access to the most relevant information

Content management, organization, and publication

  • Provides multiple ways to organize content in meaningful ways, such as by area or topic, so that it's easier for users to find and easier to manage
  • Affords greater control over content publishing; for example, you can target content to a specific audience

Connected collaboration

  • Allows you to find and work with people, teams, sites, existing best practices, and more
  • Provides interactive Web-based team sites
  • Provides document collaboration for the whole organization

Personal context for users

  • Delivers one place that remembers who you are and what you do
  • Empowers information workers with portal personalization
  • Provides site managers with a flexible policy for personalization

Related Topics

About integrated enterprise
About connected collaboration
About personal context
About Windows SharePoint Services
About deploying SharePoint Portal Server
©2003 Microsoft Corporation. All rights reserved.


Using SharePoint Portal Server and Windows SharePoint Services Together

Using SharePoint Portal Server and Windows SharePoint Services Together

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Using the Administration Tools

Using the Administration Tools

Use SharePoint Portal Server Central Administration

To access SharePoint Portal Server Central Administration pages, you must at a minimum be a member of the SharePoint administrators group. However, if you want to enable Secure Sockets Layer (SSL), you must be a member of the local Administrators group, and the user running the Stsadm.exe program must be a member of the db_owner database role on the configuration database for the operation to succeed.

On the taskbar, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Central Administration.

Alternatively, on the Site Settings page for a portal site, in the General Settings section, click Go to SharePoint Portal Server central administration.

It is recommended that you enable Secure Sockets Layer (SSL) for the virtual server for SharePoint Central Administration on each front-end Web server on the server farm. Otherwise, passwords can be sniffed across the network.

  1. On the taskbar, click Start, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. In Internet Information Services (IIS) Manager, expand the node for the computer name, and then expand the node for Web Sites.
  3. Right-click SharePoint Central Administration, and then click Properties.
  4. On the SharePoint Central Administration Properties page, click the Directory Security tab.
  5. In the Secure communications section, click Server Certificate.
  6. On the Web Server Certificate Wizard, click Next.
  7. Click Assign an existing certificate, and then click Next.

    Note If you already have a certificate for your portal site, it is recommended that you assign that same certificate to SharePoint Portal Central Administration. If you do not have a certificate, you must request one and then assign it.

  8. Click the certificate you want to use for SharePoint Portal Server Central administration, and then click Next.
  9. In SSL port this web site should use, type a port number.

    Note This is a temporary port number needed to configure SSL. When you set the port for SharePoint Central Administration, you must use a different port number.

    Caution If you set this port to 443 and the portal site is also using 443, you will receive errors. It is strongly recommended that you choose a port number not used by the portal site.

  10. Click Next.
  11. Click Finish.
  12. On the Directory Security tab of the SharePoint Central Administration Properties page, in the Secure communications section, click Edit.
  13. In the Secure Communications dialog box, click Require secure channel (SSL), and then click OK.
  14. On the SharePoint Central Administration Properties page, click OK.

After you configure SSL, you must run the following command (once only for the server farm) from a command prompt:

%programfiles%\Common Files\Microsoft Shared\web server extensions\60\BIN\stsadm.exe -o setadminport -port port -ssl

Note If you use the same port that you used when configuring SSL, you will receive an error. If this occurs, run the command again using a different port number.

Running this command will change the URL of the root central administration page (stored in the configuration database) to https:// instead of http:// to reflect that SSL has been enabled on the virtual server. To secure portal sites, an administrator can also enable SSL on virtual servers that host portal sites.

After you update the port for SharePoint Portal Server Central Administration, you must modify the shortcut in your start menu to use the new port.

  1. On the taskbar, click Start, point to All Programs, point to SharePoint Portal Server, and then point to SharePoint Central Administration.
  2. Right-click SharePoint Central Administration, and then click Properties.
  3. On the SharePoint Central Administration Properties page, click the Web Document tab, and change the port in the URL to use the updated port.
  4. Click OK.

Use SharePoint Portal Server Data Backup and Restore

To back up or restore an image successfully, the following accounts must have access to the directory containing the backup files:

  • The service account for SQL Server must have write access to the directory.
  • The search service and database access accounts for search must have write access to the directory.
  • The current user must have write access to the directory.

The current user must also have the following rights:

  • Read access to all SQL Server databases
  • Write access to all site databases and the configuration database
  • Membership in the local administrators group on the document management server
  • Administrator rights on the database server, either as a member of the local Administrators group or as a member of the SQL Server 2000 System Administrators server role

On the taskbar, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Data Backup and Restore.

Use SharePoint Portal Server Single Sign-On Administration

To access the SharePoint Portal Server Single Sign-On Administration pages initially, before single sign-on is configured, you must be a member of the local Administrators group, and the user running the Stsadm.exe program must be a member of the db_owner database role on the configuration database for the operation to succeed.

After single sign-on is configured, you must have the following rights:

  • To access and change settings on the Manage server settings page and the Manage encryption key page, you must be both of the following:
    1. A member of the single sign-on administrator account. For more information about this account, see Specifying Settings for Single Sign-On and Application Definitions.
    2. A member of the local Administrators group.

    You can view but not change the settings if you are a member of the single sign-on administrator account but not a member of the local Administrators group.

  • To access the Manage settings for enterprise application definitions page and the Manage account information for enterprise application definitions page, you must be one of the following:
    • A member of the single sign-on administrator account.
    • A member of the enterprise application manager account. For more information about this account, see Specifying Settings for Single Sign-On and Application Definitions.

On the taskbar, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

Alternatively, on the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Manage settings for single sign-on.


What's New in Microsoft Office SharePoint Portal Server 2003

What's New in Microsoft Office SharePoint Portal Server 2003

Microsoft Office SharePoint Portal Server 2003 is an update to Microsoft SharePoint Portal Server 2001, and offers a number of improvements, many of which are described in the following sections.

What's new for site users?

The following are a just few of the new features for users of SharePoint Portal Server:

  • Areas You can organize information on the portal site by using areas. If you find a useful listing missing from an area, add a listing for a content manager to approve. You can add a listing to more than one area on the portal site.
  • News SharePoint Portal Server enables you to highlight information, such as announcements and other key company information, by adding listings to the News area. A news listing can be either text-based content or a link to an existing news item, such as a press release or an article on a news service.
  • Personal sites My Site is a personal SharePoint site that provides personalized and customized information for you. In addition, My Site provides quick access to things you need to do your work such as links to documents, people, or Web sites as well as alerts to track changes to content within the portal site and your organization. From My Site, you can also update your user profile and share links with other portal site users.
  • User profiles Easily find information about people, their documents, and their shared links.
  • Alerts Get alert results sent to you in e-mail immediately or in daily or weekly summaries for portal site content. You can now add alerts for people, lists, list items, and the Site Directory in addition to news, areas, topics, search queries, documents, and backward-compatible document libraries. Alert results are shown in an easy-to-read HTML format and now identify whether the alert result is sent because content changed or was added. You can manage all of your alerts from the My Alerts page.
  • Lists and views Because SharePoint Portal Server is built on Microsoft Windows SharePoint Services, you can add both predesigned and custom lists to all SharePoint sites. For example, you can create a picture library to share a collection of digital pictures or create an issue tracking list to maintain a history on a specific issue. You can also use calendar views for any SharePoint list that has a date and time column. In addition, you can add attachments to list items, including HTML pages, documents, and images.
  • Simple site creation and page customization By using Self-Service Site Creation, you can create SharePoint sites — such as team sites or Meeting Workspace sites — on demand without involving the IT department if you have the necessary permissions. In addition, you can customize a page by changing or adding Web Parts. Each list and library on a portal site is a Web Part, enabling easy customization and personalization using the browser.
  • Search Faster results and improved relevancy ranking enable you to find the information you need easily. Search results now include people, picture libraries, list items, and user profiles. If you search for an image, you'll see a thumbnail view of the image; if you search for a person, you'll see his or her personal profile. You can also group search results in different ways, such as by author, site, date, or area. From the search results page, you now can save a useful search to the My Links Web Part on your personal site.
  • Site Directory The Site Directory provides a central location from which to view and access all Web sites associated with a specific portal site. You can also create sites based on Windows SharePoint Services or add links to existing sites. In addition, adding a site to the Site Directory is a quick and easy way to include content in search results.

What's new for content managers?

The following are a just few of the new features for content managers:

  • Lists and views Because SharePoint Portal Server is built on Microsoft Windows SharePoint Services, you can add predesigned and custom lists to all SharePoint sites. List managers can approve or reject items that are submitted to the list and add comments. List managers can also apply permissions to a list, allowing only specific users to make changes to the list.
  • Support for list and site templates Users can save SharePoint lists as templates, and reuse them or distribute them to other sites. You can save sites as templates to capture best practices or to define a consistent look and feel.
  • Areas The portal site is a hierarchy of rich subsites that enable content managers to add lists, images, and documents to one or more areas. Content managers can approve or reject items that are submitted to the area. In addition, security can be managed at the area level, allowing only specific users to make contributions or changes to the area.
  • Portal site map Manage portal site areas and topics by dragging them in the portal site map in your Web browser. Create, move, rename, and delete areas by using the portal site map.
  • Topic Assistant The Topic Assistant in the portal site can suggest listings to include in an area. Content managers can approve or reject these suggestions. As areas are added to the portal site, and listings are added to areas, the Topic Assistant continues to learn and suggest listings for each area.
  • Site Directory To organize and display the sites in meaningful ways, you can create views that sort, filter, and group the sites. The Site Directory also offers Web Parts to display "Newest sites," "Sites I added," and "Spotlight Sites." The Site Directory can be configured to automatically approve sites for searching or to require approval for each site.
  • News To make managing news listings easier, you can specify start and end dates for content display and automatically hide expired news items. As a content manager, you can vary the display of news listings — from headlines to summaries to expanded views — by modifying the properties of the Web Part.

What's new for administrators?

The following new features have been included to help administrators:

Architecture

  • Scalable, distributed architecture SharePoint Portal Server scales from a single server to a server farm with multiple front-end Web servers and back-end database servers. Front-end Web servers are stateless, so the load can be balanced across them to support the largest of organizations. You can deploy up to one hundred portal sites per server farm when using a shared services topology.
  • Shared services Deliver shared services to multiple portal sites from a centrally managed and configured server farm. Shared services can include creating indexes and search, user profiles, audiences, alerts, and personal sites.
  • Communicate with external partners by using an extranet If you work with external partners, or if you have users who need to access data from outside of your organization's firewall, you can use SharePoint Portal Server in an intranet/extranet environment. In this configuration, internal and external users can view and interact with the same content and data. You can also employ the antivirus protection and blocked file extension features to help protect your server integrity.

International

  • Support for multiple language sites Multiple language sites can be hosted on a single server or server farm running SharePoint Portal Server. Note that site language is independent from server language.
  • Regional settings for each site Each site can have its own regional settings, such as time zone.
  • New word breakers Word breakers for Czech, Finnish, Hungarian, and Portuguese are available, as well as the original set of SharePoint Portal Server 2001 word breakers for English, French, Spanish, Japanese, Thai, Korean, Chinese Traditional, and Chinese Simplified.

Management

  • Alerts The portal site now automatically identifies and optimizes alerts that have the potential for generating large numbers of results; it will deactivate any alert that generates an excessive number of results. Administrators can deactivate or delete any user's alerts and alert results. Misdirected e-mail messages can be prevented by locking e-mail address fields to use only user profile data. You can also customize the format of the alert results e-mail messages by using an .xsl file.
  • Single sign-on Single sign-on allows you to store and map account credentials so that users don't have to sign on again when portal-based applications retrieve information from enterprise applications.
  • Securely integrate enterprise applications Tight integration with Microsoft BizTalk Server 2002 enables rich and secure enterprise application integration using single sign-on. Connectors from Actional enable integration with PeopleSoft, SAP, and Siebel.
  • Full-text searching The portal site delivers a scalable, high performance index creation and query handling infrastructure. By using a multiserver topology, you can manage your resources by propagating content indexes from the index management server to multiple dedicated search servers. Creating indexes of HTTPS protocol enables crawling of Web sites over SSL. In addition, protocol handlers for Windows SharePoint Services sites enable the portal site to crawl information in site pages, document libraries, lists, and list items. Ifilters now provide the ability to full-text search files created by Microsoft Office Publisher (.pub) and Microsoft Office Visio (.vsd) in addition to the existing capability to search files in Microsoft Office Word (.doc), Microsoft Office Excel (.xls), Microsoft Office PowerPoint (.ppt), MIME, XML, and HTML formats.
  • Audiences Audiences allow organizations to target content to users based on their job role or task. Target Web Parts, news, lists, and list items to one or more specific audiences. Use your investment in Microsoft Active Directory directory service to easily create Audiences from existing distribution lists and security groups.
  • Backup and restore Improved backup and restore enables flexible site recovery. Each site in a server farm can be individually backed up and restored. This feature can also be used for archiving inactive sites prior to deleting them.
  • User profiles Easily create user profiles by importing properties and user data from Active Directory. User profiles make it easy to find people and enable content managers to target information by using audiences. Add properties to the flexible user profile for use by integrated applications or to enable portal site users to find people more easily.
  • Inactive site management Site owners are periodically asked to confirm that their sites are in use or delete them. If multiple notices are sent to a site owner without any response, the administrator can specify that the site be automatically deleted.

Security

  • Standard Windows authentication and security methods You can use SharePoint Portal Server with any Microsoft Internet Information Services (IIS) 6.0 authentication method, connect to the database by using Microsoft Windows authentication or Microsoft SQL Server authentication, and integrate SharePoint Portal Server with Active Directory.
  • SharePoint administrators group Allow members of a domain group to perform central administration tasks without granting them administrator rights to the local server computer.
  • Manage users from SharePoint Central Administration Use the SharePoint Central Administration pages to add or delete users on all sites and assign site owners.
  • Domain group support Use domain groups to control access to your site.
  • Blocked file extensions Server administrators can block the upload of specific file types (for example, .mp3 or .exe files).

For a complete list of new administrator features, and information about using these features, see the Administrator's Guide for SharePoint Portal Server.


Coexisting with Previous Versions

Coexisting with Previous Versions

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Upgrade Considerations

Upgrade Considerations

Upgrading from Microsoft SharePoint Portal Server 2001

For information about upgrading from Microsoft SharePoint Portal Server 2001, see Upgrading from Microsoft SharePoint Portal Server 2001.

Upgrading Microsoft SharePoint Portal Server 2001 Client Components

To use the optional components for backward-compatible document libraries, you must upgrade the client components on every computer that is using the components.

  1. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  2. On the page that appears, click Install optional components.
  3. On the Optional Components page, click Install client components for backward-compatible document libraries.

Related Topics

Upgrading from an Evaluation Copy
Upgrading to an Evaluation Copy
Upgrading from Microsoft SharePoint Portal Server 2001
Upgrading from SharePoint Team Services 1.0 from Microsoft
Quick Installation Guide


System Requirements

System Requirements

Before you install Microsoft Office SharePoint Portal Server 2003, ensure that you have installed the required hardware and software.

Server Requirements

Hardware Requirements

The following are minimum hardware requirements for the server:

  • Intel Pentium III–compatible 700-MHz processor
  • 512 megabytes (MB) of random access memory (RAM)
  • 550 MB free hard disk space

    Important The operating system partition and any partitions on which SharePoint Portal Server components will be installed, including the paths chosen during setup for program and data files, must be formatted as NTFS file system.

  • Program and data file paths cannot point to removable or networked storage.

Note If you use Windows Network Load Balancing or another network load balancing solution that does not allow each front-end Web server to contact the other front-end Web servers, it is recommended that you install a second network interface card (NIC) to support this communication. Two NICs are recommended on front-end Web servers in a server farm. This is especially important if your search services are running on the front-end Web servers.

Note If you are planning to install SharePoint Portal Server 2003 on a 32-processor server, you must first apply an update to the .NET Framework. For more information, search for article 821157 in the Microsoft Knowledge Base. Before you install the update, make sure that you have the most recent version of the .NET Framework installed on the server.

Disk Space Requirements

SharePoint Portal Server 2003 requires the following amounts of disk space for installation and data storage.

Installation requirements for disk space:

  • 300 MB on your operating system hard disk drive
  • 200 MB in the Program Files installation directory that is selected during Setup
  • 75 MB in the Data Files installation directory that is selected during Setup

Data storage after installation varies considerably depending upon usage, but the minimum recommendation is:

  • 700 MB free disk space in the Data Files installation directory, including the 75 MB required for installation
  • 2.0 GB free disk space in the directory used by Microsoft SQL Server 2000 or SQL Server 2000 Desktop Engine (MSDE 2000) to store data

    Note You specify this directory during installation of SQL Server 2000. If you choose the option to install MSDE 2000 during installation of SharePoint Portal Server 2003, the directory is specified for you on your operating system drive.

The optional server components for backward-compatible document libraries require the following additional amounts of disk space.

Installation requirements:

  • 150 MB on your operating system hard disk drive
  • 70 MB in the Program Files installation directory that is selected during Setup
  • 80 MB in the Data Files installation directory that is selected during Setup

Data storage after installation varies considerably depending upon usage, but the minimum recommendation is:

  • 250 MB free disk space in the Data Files installation directory, including the 80 MB required for installation

Software Requirements

The server must be running one of the following operating systems:

  • Microsoft Windows Server 2003, Standard Edition, plus the latest service pack
  • Microsoft Windows Server 2003, Enterprise Edition, plus the latest service pack
  • Microsoft Windows Server 2003, Datacenter Edition, plus the latest service pack
  • Microsoft Windows Server 2003, Web Edition, plus the latest service pack

    Note If you are running SharePoint Portal Server on Windows Server 2003, Web Edition, you must have Microsoft SQL Server installed on a separate computer. You cannot use SQL Server Desktop Engine for database storage. In addition, you can use the SharePoint Portal Server computer running Windows Server 2003, Web Edition as a front-end Web server only. You cannot use it as a search server or index management server.

In addition to the operating system, the following operating system components must be installed on the computer running SharePoint Portal Server:

  • Application Server with the following components:
    • Microsoft ASP.NET
    • Enable network COM+ access
    • Microsoft Internet Information Services (IIS) with the following components:
      • Common Files
      • Internet Information Services Manager
      • World Wide Web Service with the following components:
        • World Wide Web Service

Important Make sure that FrontPage 2002 Server Extensions is not selected.

The following operating system components must be installed on the computer running the optional component for backward-compatible document libraries:

  • Application Server with the following components:
    • Internet Information Services (IIS) with the following components:
      • SMTP Service
      • World Wide Web Service with the following components:
        • Active Server Pages

All non-English versions of the server components for backward-compatible document libraries for SharePoint Portal Server 2003 must be installed on servers with the matching regional settings. If the settings do not match, Setup fails. For more information about regional settings, see Windows Help.

All servers in a server farm must run the same version and language of the operating system and (where applicable) the same version and language of Microsoft SQL Server 2000, with the following exception — the computer running SQL Server 2000 can run on any supported operating system for SQL Server 2000.

All non-English versions of the server components for backward-compatible document libraries for SharePoint Portal Server 2003 must be installed on servers with the matching regional settings. If the settings do not match, Setup fails. For more information about regional settings, see Windows Help.

If you are installing SharePoint Portal Server on a domain controller, you must install without the database engine. When installing on a domain controller, the option to install with the database engine is not available.

Software Coexistence Issues

The backward-compatible document library server component of SharePoint Portal Server cannot run on servers on which the following are installed:

  • Microsoft Exchange Server (any version)
  • Microsoft Office Server Extensions

Note For small, medium, and large server farm deployments, the component for backward-compatible document libraries and SQL Server 2000 cannot be installed on the same computer.

Database Requirements

SharePoint Portal Server 2003 includes a version of Microsoft SQL Server 2000 Desktop Engine (MSDE 2000) with Service Pack 3.

Note MSDE 2000 has limitations in terms of data size supported and other areas. If these limitations are exceeded, SharePoint Portal Server 2003 will not function correctly. For more information, see the MSDE 2000 documentation.

SharePoint Portal Server 2003 requires one of the following database servers:

  • Microsoft SQL Server 2000 Standard Edition, plus the latest service pack
  • Microsoft SQL Server 2000 Enterprise Edition, plus the latest service pack
  • Microsoft SQL Server 2000 Desktop Engine

    Note You must use the version of MSDE 2000 that SharePoint Portal Server 2003 installs.

The database server can be running any of the supported operating systems for SQL Server 2000. For more information, see the documentation for SQL Server 2000.

When installing SharePoint Portal Server 2003 on a domain controller, the option to install with the database engine is not available. You must have Microsoft SQL Server installed on the domain controller or on a separate computer.

Note Please refer to http://www.microsoft.com/security for any security bulletins related to your SQL Server 2000 or MSDE 2000 installation.

Network Requirements

SharePoint Portal Server is supported only on servers that are members of a Microsoft Windows NT 4.0, Windows 2000, or Windows Server 2003 domain.

Notes

  • You must install and operate SharePoint Portal Server 2003 in a domain environment. Installing and operating SharePoint Portal Server 2003 in a workgroup environment is not supported.
  • All servers in a server farm must be members of the same domain. If the connection between a computer in the server farm and the domain controller fails during Setup, the installation can fail. This can occur because a computer in the server farm is not connected to the network, is not configured properly, or is logged on with cached credentials. To avoid this problem, ensure that every computer in the server farm is properly configured and connected to the network.
  • If you have a computer that is a member of a domain and is not currently connected to the network, you must install the Microsoft Loopback Adapter before running Setup. To install the Loopback Adapter, from Control Panel, open the Add Hardware Wizard. On the Select Network Adapter page of the wizard, in the Manufacturer list, click Microsoft. In the Network adapter list, click Microsoft Loopback Adapter. After completing the wizard, from Control Panel, open Network Conections. Right-click the network connection for Microsoft Loopback Adapter, and then click Properties to configure network connection properties. You must disable the Microsoft Loopback Adapter network connection before reconnecting to another network connection. If you are using Microsoft SQL Server 2000 Desktop Engine, you may have to restart the MSSQL$SHAREPOINTPORTAL service.

You cannot install and operate SharePoint Portal Server 2003 on a server with an existing installation of SharePoint Team Services 1.0 from Microsoft. It is not supported. You must uninstall SharePoint Team Services before installing SharePoint Portal Server 2003.

Client Requirements

Hardware Requirements

The following are minimum hardware requirements for a computer running the client components for backward-compatible document libraries:

  • Intel Pentium III–compatible 200-MHz processor
  • 64 MB of RAM
  • 50 MB hard disk space on Microsoft Windows 98 and Microsoft Windows NT 4.0; 30 MB disk space on Windows 2000, Windows XP, and Windows Server 2003

    Note The disk can be formatted as NTFS, FAT, or FAT32.

Software Requirements

Computers running the client components for backward-compatible document libraries must be running one of the following operating systems:

  • Microsoft Windows 98
  • Microsoft Windows NT 4.0, plus the latest service pack
  • Microsoft Windows 2000 Professional, Server, or Advanced Server, plus the latest service pack
  • Microsoft Windows XP Professional, plus the latest service pack
  • Any version of Microsoft Windows Server 2003, plus the latest service pack

Note Computers that are used by coordinators for backward-compatible document libraries must be running any version of Windows 2000, Windows XP Professional, or Windows Server 2003.

Note Installing the backward-compatible document library components on a computer that is a member of a Windows NT Server 4.0 domain will take considerably longer than installing on computers that are members of Windows 2000 or Windows Server 2003 domains. This delay does not occur when installing other components of SharePoint Portal Server 2003. The installation may take over an hour to complete, and the computer CPU may show no activity for some of this duration. This is expected, and when Setup is complete, you can use the product normally.

In addition to the operating system, client computers must have the following installed:

  • Microsoft Outlook Express 5.01 or later

Browser Requirements

To access the portal site, computers must have one of the following Web browsers installed:

  • Microsoft Internet Explorer 5.01, plus the latest service pack
  • Internet Explorer 5.5, plus the latest service pack
  • Internet Explorer 6.0, plus the latest service pack
  • Netscape Navigator 6.2 or later
  • Internet Explorer 5.2 for Mac OS X, plus the latest service pack
  • Netscape Navigator 6.2 for Mac
  • Netscape Navigator 6.2 for UNIX

Computers running the client components for backward-compatible document libraries must have one of the following Web browsers installed:

  • Microsoft Internet Explorer 5.01, plus the latest service pack.
  • Internet Explorer 5.5, plus the latest service pack
  • Internet Explorer 6.0 plus the latest service pack
  • Netscape Navigator 6.02 or later

Note Microsoft Visual Basic Scripting support is required if you are running Windows 98, Windows 98 Second Edition, or Windows NT 4.0. If you choose the custom installation option for Internet Explorer when you are installing on Windows 98, Windows 98 Second Edition, or Windows NT 4.0, ensure that you install Visual Basic Scripting support.


SharePoint Portal Server Architecture

SharePoint Portal Server Architecture

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Security Planning

Security Planning

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.

In Microsoft Office SharePoint Portal Server 2003, site groups offer a flexible method to help control access to content. A site group is a way to configure rights for users based on the kinds of tasks they perform. SharePoint Portal Server recognizes security policies in use on your organization's servers, file shares, and databases during searches. Security is important to help prevent users from finding documents to which they have no access when they perform searches in the portal site.

In the portal site, SharePoint Portal Server uses default site groups to group users with a specific set of customizable rights. You can also create a custom site group for a specific area or list and assign a specific set of rights to it. In addition, by default, SharePoint Portal Server uses the default site groups included with Microsoft Windows SharePoint Services.

Notes

  • Installing and operating a SharePoint Portal Server computer is supported only if your server is a member of a domain, not a member of a workgroup.
  • All servers in a server farm must be members of the same domain.

Security for Backward-Compatible Document Libraries

In the backward-compatible document library (Web Storage System-based), it is important to restrict access to sensitive information. In some cases, it is important to restrict the viewing of a document to those who edit or approve it, until it is ready for a larger audience.

In the document library, SharePoint Portal Server roles add actions such as check-in, check-out, publish, and approve to traditional file-access permissions, such as Read, Write, and Change. Each role identifies a specific set of permissions. Coordinators handle management tasks, authors add and update files, and readers have read-only access to published documents. Access permissions for the three roles are fixed and cannot be modified. SharePoint Portal Server also offers the option of denying users access to specific documents. Roles are usually specified at the folder level, although you can add coordinators at the document library level for management tasks.

Site Groups and Windows Groups

For more information, see Managing Users and Cross-Site Groups and Managing Site Groups and Permissions.

Note Cross-site groups are not supported in SharePoint Portal Server. Cross-site groups are supported in Windows SharePoint Services only.

SQL Server Security Issues

Connections between the front-end Web server and the computer running Microsoft SQL Server are not encrypted, so data could be sniffed. To help secure the communications, it is recommended that you implement Secure Sockets Layer (SSL) or otherwise encrypt server-to-server communications.

Related Topics

About roles in the backward-compatible document library
About security for portal areas
About security in the backward-compatible document library
About site group security in SharePoint Portal Server


Language Considerations

Language Considerations

Regional Language Options and the Language of Portal Sites

Each server in your server farm must include the regional language options to support the languages of all portal sites on that server.

Languages in a Server Farm

Microsoft Office SharePoint Portal Server 2003 supports one language per server farm. The same language version of SharePoint Portal Server must be installed on all servers in the server farm.

All portal sites on the server farm must use the same language. However, other sites, such as SharePoint sites, can use different languages.

To allow creation of Microsoft Windows SharePoint Services sites in different languages, install the appropriate language packs for Windows SharePoint Services.

If you install a Windows SharePoint Services language pack and create a SharePoint site in the new language, by default Help in that site will be in the language of the portal site. You can provide help for different-language SharePoint sites in that language by downloading and installing the Help for that language from http://office.microsoft.com/sharepoint.

The downloaded Help consists of a folder named SPS that contains two folders, HTML and Images. Unzip the downloaded file to C:\Program Files\Common\Microsoft Shared\Web Server Extensions\60\ISAPI\Help\language ID\, where language ID is the four-digit code for the language of the Help.

ID | Language | ID | Language
1025 | Arabic | 1041 | Japanese
1028 | Chinese - Traditional | 1042 | Korean
1029 | Czech | 1043 | Dutch
1030 | Danish | 1044 | Norwegian
1031 | German | 1045 | Polish
1032 | Greek | 1046 | Portuguese - Brazilian
1033 | English | 1049 | Russian
1034 | Spanish | 1053 | Swedish
1035 | Finnish | 1054 | Thai
1036 | French | 1055 | Turkish
1037 | Hebrew | 2052 | Chinese - Simplified
1038 | Hungarian | 2070 | Portuguese
1040 | Italian | 3076 | Chinese - Hong Kong

Specific Considerations for Windows SharePoint Services

For more information, see Language Considerations for Microsoft Windows SharePoint Services.

Upgrade Considerations

When you upgrade to SharePoint Portal Server from SharePoint Portal Server 2001, you must upgrade your operating system to Microsoft Windows Server 2003. You must install the same language packs for Windows Server 2003 that were installed with your previous operating system.

Related Topics

Language Considerations for Windows SharePoint Services
Upgrade Considerations
©2003 Microsoft Corporation. All rights reserved.


About accessibility for people with disabilities

About accessibility for people with disabilities

Microsoft is committed to making its products and services easy for everyone to use. This topic provides information about the following features, products, and services that make Microsoft Office SharePoint Portal Server 2003 more accessible for people with disabilities:

  • Microsoft Office SharePoint Portal Server 2003 Accessibility Features and Options
  • Accessibility in Microsoft Windows
  • Adjusting Microsoft Products for People with Accessibility Needs
  • Assistive Technology Products for Windows
  • Documentation in Alternative Formats
  • Customer Services for People Who Are Deaf or Hard-of-Hearing
  • Getting More Accessibility Information

Note The information in this topic applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, your package contains a subsidiary information card listing Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the type of products and services described in this topic are available in your area. See the International Microsoft Accessibility Site for more information available in the following eight languages: English, French, Portuguese, Spanish, Chinese, Japanese, Swedish, and Italian.

Microsoft Office SharePoint Portal Server 2003 accessibility features and options

In addition to the Windows accessibility features and utilities described in the next section, the following features make Microsoft Office SharePoint Portal Server 2003 more accessible for people with disabilities. These features are available to everyone, without the need for additional accessibility aids.

Using Help

Some screen readers may not work with the expandable links in online Help. If you're having problems, try the following:

  • Install Microsoft Internet Explorer 5 or later. For more information, visit the Microsoft Internet Explorer Web site.

Note The hyperlinks in this topic go to the Web. You can switch back to Help at any time.

Using the keyboard

Many features and commands are available directly from the keyboard. Because SharePoint Portal Server is Web-based, you can press the TAB and SHIFT+TAB keys to move back and forth between elements on any page. SharePoint Portal Server also provides keyboard shortcuts for its commands.

Features provided by your Web browser

Your Web browser has features that improve the readability of pages. For information about the accessibility features provided by your Web browser, look for information in the browser's Help about how to customize your browser to display the fonts and colors that you prefer. If your browser is Microsoft Internet Explorer, look for "Accessibility" in the Help table of contents.

Accessibility in Microsoft Windows

Many accessibility features have been built into the Microsoft Windows operating system, starting with the introduction of Windows 95. These features are useful for individuals who have difficulty typing or using a mouse, are blind or have low vision, or who are deaf or hard-of-hearing. The features can be installed during setup. The following sections provide more information about the various accessibility features of Windows Server 2003, Windows XP Professional and Home, Windows 2000, Windows Millennium Edition (Windows Me), Windows 98, and Windows 95.

Windows Server 2003

Products in the Microsoft Windows Server 2003 family include a number of accessibility features that can improve display, sound, mouse, and keyboard settings for users who are blind, have motion disabilities, or are deaf or hard-of-hearing. Many accessibility features are also useful to people without disabilities. For more information about accessibility enhancements and features in Windows Server 2003, visit http://www.microsoft.com/windowsserver2003.

Windows XP Professional and Home

Accessibility enhancements and improvements in Microsoft Windows XP Professional and Home Editions provide better integration with assistive technology products and richer communications. Accessibility improvements and other Windows XP Professional features make it easier for people with accessibility needs to work more efficiently. For more information about accessibility enhancements and features in Windows XP, visit http://www.microsoft.com/windowsxp/accessibility/.

Windows 2000

Microsoft Windows 2000 includes several accessibility tools to help people with disabilities configure and use business computers quickly — without additional software and hardware. Accessibility features from earlier versions of the Windows operating system are still included, and with the increased integration of Microsoft Active Accessibility, many assistive technology products simply work better. For more information about accessibility in Microsoft Windows 2000, visit http://www.microsoft.com/enable/products/.

Windows Me

Accessibility tools and features in Microsoft Windows Me offer people with disabilities greater immediate access and ease-of-use than ever before. Accessibility highlights include an expanded Accessibility menu and an enhanced Accessibility Wizard. For more information about accessibility in Windows Me, visit http://www.microsoft.com/enable/products/.

Windows 98

Microsoft Windows 98 offers enhanced hardware support, home networking capabilities, improved online experience, and new accessibility features. For more information about accessibility Microsoft Windows 98, visit http://www.microsoft.com/enable/products/.

Windows 95 and Windows NT Workstation 4.0

Microsoft Windows 95 and Windows NT Workstation 4.0 have several built-in accessibility features to help people with disabilities use computers more easily and effectively. For more information about accessibility in these operating systems, visit http://www.microsoft.com/enable/products/.

Adjusting Microsoft products for people with accessibility needs

Accessibility options and features are built into many Microsoft products, including the Windows operating system. Accessibility options and features are useful for individuals who have difficulty typing or using a mouse, are blind or have low vision, or who are deaf or hard-of-hearing.

Free step-by-step tutorials

Microsoft offers a series of step-by-step tutorials to help you learn how to adjust the accessibility options and settings on your computer. The tutorials provide detailed procedures on how to adjust options, features, and settings to meet the needs of people with disabilities and accessibility needs. This information is presented in a side-by-side format so that you can see at a glance how to use the mouse, the keyboard, or a combination of both.

Visit http://www.microsoft.com/enable/training/ to find Step-by-Step Tutorials for the following products:

  • Microsoft Windows XP Professional and Home
  • Microsoft Windows 2000
  • Microsoft Windows Me
  • Microsoft Windows 98
  • Microsoft Internet Explorer 6
  • Microsoft Internet Explorer 5
  • Microsoft Outlook 2002 (part of the Office XP suite)
  • Microsoft Outlook 2000
  • Microsoft Word 2002 (part of the Office XP suite)
  • Microsoft Word 2000

Assistive technology products for Windows

A wide variety of assistive technology products are available to make computers easier to use for people with disabilities.

Microsoft provides a searchable catalog of assistive technology products that run on Microsoft Windows operating systems at http://www.microsoft.com/enable/at/.

Products available for the MS-DOS, Windows, and Windows NT operating systems are:

  • Programs that enlarge or alter the color of information on the screen for people with visual impairments.
  • Programs that describe information on the screen in Braille or that provide synthesized speech for people who are blind or have difficulty reading.
  • Hardware and software utilities that modify the behavior of the mouse and keyboard.
  • Programs that enable people to type by using a mouse or their voice.
  • Word or phrase prediction software that allows people to type more quickly and with fewer keystrokes.
  • Alternative input devices, such as single switch or puff-and-sip devices, for people who cannot use a mouse or a keyboard.

Upgrading

If you use an assistive technology product, be sure to contact your assistive technology vendor to check compatibility with products on your computer before upgrading. Your assistive technology vendor can also help you learn how to adjust your settings to optimize compatibility with your version of Windows or other Microsoft products.

Microsoft documentation in alternative formats

Obtaining documentation for SharePoint Portal Server

Microsoft product documentation is available in alternative formats to help our customers with accessibility needs. Many of the SharePoint Portal Server documents are also available as online Help, online user's guides, or on a CD that comes with the package. You can download many of these resources from http://www.microsoft.com/sharepoint/assistance.

Obtaining documentation for additional Microsoft products

From the Microsoft Web site

You can obtain accessible documentation for Microsoft products from the Microsoft Accessibility Web site at http://www.microsoft.com/enable/products/docs/.

From Recording for the Blind & Dyslexic, Inc.

In addition, you can obtain additional Microsoft publications from Recording for the Blind & Dyslexic, Inc. These documents are distributed to registered, eligible members of the distribution service on audiocassettes or floppy disks. The collection contains more than 80,000 titles, including Microsoft product documentation and books from Microsoft Press. For information about eligibility and availability of Microsoft product documentation and books from Microsoft Press, contact:

Recording for the Blind & Dyslexic, Inc.
20 Roszel Road
Princeton, NJ 08540

Phone from within the United States: (800) 221-4792

Phone from outside the United States and Canada: (609) 452-0606

Fax: (609) 987-8116

Web: http://www.rfbd.org/

Customer service for people who are deaf or hard-of-hearing

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TTY/TDD) service.

Customer service

You can contact the Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 A.M. and 5:30 P.M. Pacific time, Monday through Friday, excluding holidays.

Technical assistance

For technical assistance in the United States, you can contact Microsoft Product Support Services on a text telephone at (800) 892-5234 between 6:00 A.M. and 6:00 P.M. Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 A.M. and 8:00 P.M. eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to the prices, terms, and conditions in place at the time the service is used.

Getting more accessibility information

The Microsoft Accessibility Web site at http://www.microsoft.com/enable/ provides information about assistive technology for improving the lives of people with disabilities. The information on this site benefits people with disabilities and their friends and family members, people in outreach organizations, educators, and advocates.

A free monthly electronic newsletter is available to help you keep up to date with accessibility topics about Microsoft products. To subscribe, visit http://www.microsoft.com/enable/news/subscribe/default.asp.

To learn about creating accessible content for your Web pages, refer to the accessibility standards developed by the World Wide Web Consortium.


Keyboard shortcuts for portal site tasks

Keyboard shortcuts for portal site tasks

The shortcut keys described in this Help topic refer to the U.S. keyboard layout. Keys on other layouts may not correspond exactly to the keys on a keyboard using the U.S. keyboard layout. Keyboard shortcuts work in Microsoft Internet Explorer 4.0 and later.

Microsoft Office SharePoint Portal Server 2003 uses many of the same keyboard shortcuts as Microsoft Windows SharePoint Services (see Related Topics) but also has its own additional keyboard shortcuts.

Portal site pages tasks

The Home, Topics, News, and Sites pages of the portal and all other navigation areas added to the navigation bar use the keyboard shortcuts for Web Part Pages. For more information, see Web Part Page keyboard shortcuts.

The Change Settings links on area pages use the same keyboard shortcuts as the Edit menu option for areas and listings in the portal site map. For more information, see the "Site Settings tasks" section.

My Site tasks

My Site uses the keyboard shortcuts for Web Part Pages. For more information, see Web Part Page keyboard shortcuts. The lists and pages that you can create from My Site use the keyboard shortcuts for Windows SharePoint Services.

Site Settings tasks

The following keyboard shortcuts are used on the Site Settings page to select and activate the management pages listed on the page. The management pages accessible from Site Settings use the Windows SharePoint Services keyboard shortcuts.

Note When you open the page, you must press the TAB key before using a keyboard shortcut. Some of the keyboard shortcuts for Site Settings are used for more than one command on the page. Press the keyboard shortcut twice to select the second command for the keyboard shortcut. When you use keyboard shortcuts to select a command, you must press ENTER to activate the command.

Site Settings tasks

ALT+U
Manage users
ALT+S
Manage security and additional settings
ALT+B
Manage alerts settings
Manage crawls of Site Directory (press keyboard shortcut twice)
ALT+P
Change portal site properties and SharePoint site creation settings
ALT+M
Manage portal site structure
ALT+G
Manage top-level lists and document libraries
ALT+C
Use Topic Assistant
Enable or disable Topic Assistant (press keyboard shortcut twice)
ALT+I
Manage targeted links on My Site
ALT+J
Import SharePoint Portal Server 2001 data
ALT+W
Change document library settings
ALT+Z
Delete the document library associated with this portal site
ALT+X
Configure search and indexing
ALT+N
Manage search scopes
ALT+A
Use search scope from another portal site
ALT+Q
Manage keywords
ALT+K
Manage profile database
ALT+D
Manage audiences
ALT+R
Go to SharePoint Portal Server Central Administration

Manage portal site structure page (portal site map)

Note The Change Settings page appears when you click Edit on the menu for an area or listing in the portal site map.

Change Settings page -- General tab

ALT+I
Title
Enter contact (press keyboard shortcut twice)
ALT+D
Description text box
ALT+S
Select contact option
ALT+L
Select contact link (only available after Select contact is selected)
ALT+ N
Contact name
ALT+C
Contact e-mail address
Cancel (press keyboard shortcut twice)
ALT+P
Contact photo
ALT+M
Change location link
ALT+O
OK

Change Settings page -- Publishing tab

ALT+G
Start date
ALT+C
Expiration date
Cancel (press keyboard shortcut twice)
ALT+O

Change Settings page -- Display tab

ALT+I
Exclude from portal site navigation
ALT+L
Image text box
ALT+S
Icon text box
ALT+O
OK
ALT+C
Cancel (press keyboard shortcut twice)

Change Settings page -- Search tab

ALT+O
OK
ALT+C
Cancel (press keyboard shortcut twice)

Configure search and indexing pages

Gatherer Log tasks

ALT+M
Show Less

User profile management pages

Manage Profile Database tasks

ALT+R
Refresh
Add user profile (press keyboard shortcut twice)
ALT+S
View user profiles
ALT+C
Configure profile import
ALT+B
Start full import
ALT+L
View import log
ALT+I
Add profile property
ALT+P
View profile properties

Add User Profile and Edit User Profile tasks

ALT+S
Select person

View User Profiles tasks

ALT+M
Switch to Missing from import view.
ALT+K
Find users dropdown list
ALT+B
Find
ALT+X
Delete
ALT+P
Go to page dropdown list

Configure Profile Import tasks

ALT+I
Start at
ALT+D
Every day
ALT+W
Every week on
ALT+M
Every month on this date

Add Profile Property and Edit Profile Property tasks

ALT+N
Name
ALT+V
Public
ALT+E
Allow users to edit this property
ALT+D
Show in the Details section of the user profile
ALT+A
Alias
ALT+M
Active Directory property to map

View Profile Properties tasks

ALT+P
New Property
ALT+S
New Section

Audience management pages

Manage Audiences tasks

ALT+R
Refresh
ALT+G
Create audience
ALT+D
View audiences
ALT+C
Specify compilation schedule
ALT+S
Start compilation

View Audiences tasks

ALT+B
Find audiences text box
ALT+I
Find
ALT+N
New Audience
ALT+D
Delete
ALT+P
Page number list
SHIFT+ENTER
Menu list for an audience name with focus

Create Audience and Edit Audience tasks

ALT+N
Name

Specify Compilation Schedule tasks

ALT+I
Start at
ALT+D
Every day
ALT+W
Every week on
ALT+M
Every month on this date

View Audience Properties tasks

ALT+C
Edit audience
ALT+D
View membership
ALT+G
Add rule

Create Audience Rule and Edit Audience Rule tasks

ALT+D
Value

View Audience Membership tasks

ALT+P
Page number list

Personal sites management pages

Manage Personal Sites tasks

ALT+L
Location
ALT+A
Edit
ALT+S
OK
ALT+K
Cancel

SharePoint Portal Server Central Administration tasks

The following keyboard shortcuts are used on the SharePoint Portal Server Central Administration page to select and activate the administration pages listed on the page. The administration pages accessible from SharePoint Portal Server Central Administration use the Windows SharePoint Services keyboard shortcuts.

Note When you open the page, you must press the TAB key before using a keyboard shortcut. Some of the keyboard shortcuts for SharePoint Portal Server Central Administration are used for more than one command on the page. Press the keyboard shortcut until the link that you want is selected. When you use keyboard shortcuts to select a command, you must press ENTER to activate the command.

SharePoint Portal Server Central Administration tasks

ALT+I
Select some of the server configuration links in the following order:
  • Configure server topology
  • Configure configuration database server
  • Specify component settings database server
  • Specify content database server
  • Configure e-mail server settings
  • Configure HTML viewer (in Component Configuration section)
ALT+N
Create a portal site
ALT+L
List and manage portal sites
ALT+C
Select the following links in the Portal Site and Virtual Server Configuration section:
  • Extend an existing virtual server from the Virtual Server List page
  • Configure virtual server settings from the Virtual Server List page
  • Configure site quotas and locks from the Virtual Server List page
ALT+G
Select the following links, most of which are security configuration links:
  • Configure alternate portal site URLs for intranet, extranet, and custom access (in previous section of page)
  • Set SharePoint administrative group account
  • Manage site collection owners
  • Manage Web site users
  • Manage blocked file types
  • Configure antivirus settings
ALT+S
Select some of the component configuration links in the following order:
  • Manage the Search Service
  • Manage settings for single sign-on
  • Manage shared services for the server farm
  • Configure usage analysis processing
ALT+D
Configure document libraries (Web Storage System-based)
ALT+R
Configure diagnostic settings

Configure Server Topology page tasks

ALT+C
Configuration database server
Change components (press keyboard shortcut twice)
ALT+N
Content database server
ALT+M
Component settings database server
ALT+O
Single sign-on credentials
Global e-mail server (press keyboard shortcut twice)
ALT+R
Remove Server

Manage Web Site Users page tasks

ALT+W
View Users
ALT+U
Update (New User)
ALT+I
View
ALT+P
Update (Enter Site User)

Related Topics

Keyboard shortcuts for Windows SharePoint Services
About accessibility for people with disabilities


Web Part Page keyboard shortcuts

Web Part Page keyboard shortcuts

Web Part Pages include the top-level portal site pages such as Home, Topics, News, and Sites, other navigation area pages, My Site, and any other pages in the portal site that use Web Parts.

Note When you open a page, you must press the TAB key before using a keyboard shortcut. When you use keyboard shortcuts to select a command, you must press ENTER to activate the command.

Using the TAB key to move around Web Part Pages

You must press the TAB key at least once before using any keyboard shortcuts. Pressing the TAB key at any time moves you to the next link on the page. The TAB order is as follows:

  • Address bar for your Web browser
  • Portal logo and link to home page
  • Title bar links: My Site, Site Settings, and Help
  • Navigation bar links: Home, Topics, News, Sites, and any custom navigation areas
  • Search elements on the page
  • Action list links
  • Links in the first Web Part on the page
  • Links in additional Web Parts

Web Part Page keyboard shortcuts

ALT+S
Move between search elements on the page, in the following order:
  • Advanced Search icon on the search bar
  • Search scope list on the search bar
  • Search box on the search bar
  • Search button (start search)
  • Any other search elements on the page, such as the search box in the Site Directory
ALT+W
Move between Web Parts
ALT+\
Modify My Page or Modify Shared Page in My Site and in certain views of other Web Part Pages
ALT+N
Add new link to the My Links Summary Web Part in My Site


Single Server Deployments

Single Server Deployments

You can deploy two single-server configurations:

  • Stand-alone One computer running the Web component, index component, and search component, and running as the job server. This computer does not have Microsoft SQL Server 2000 installed. Microsoft Office SharePoint Portal Server 2003 setup installs the SQL Server Desktop Engine to store the databases. This computer can optionally run the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries.

    SQL Server Desktop Engine has limited throughput ability and supports databases with a maximum size of 2 gigabytes (GB). If your deployment requires significant scalability or must store more than 2 GB of documents, it is recommended that you use SQL Server in your deployment.

  • Single server with SQL Server One computer running the Web component, index component, and search component, and running as the job server. This computer has SQL Server 2000 installed. SQL Server is used to store the databases. This computer can optionally run the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries. You can also install the components for backward-compatible document libraries on another server.

For procedures to install these configurations, see Deploying a Single Server Configuration.

Related Topics

Server Farm Deployments
Shared Services Deployments


Server Farm Deployments

Server Farm Deployments

You can deploy three server farm configurations:

  • Small server farm You must configure the servers in the small server farm as follows:
    • One computer running the Web component, index component, and search component, and running as the job server. This computer can optionally run the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries.
    • One or more computers running Microsoft SQL Server 2000.

    For the procedure to install a small server farm, see Deploying a Small Server Farm.

  • Medium server farm You must configure the servers in the medium server farm as follows:
    • One or two front-end Web servers with the search component enabled.
    • One index management and job server.
    • One or more computers running SQL Server 2000.
    • Optional: One computer running the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries.

    For the procedure to install a medium server farm, see Deploying a Medium Server Farm.

  • Large server farm You must configure the servers in the large server farm as follows:
    • Two or more front-end Web servers.
    • Two or more search servers. It is recommended that you have no more than four search servers.
    • One or more index management servers, one of which is the job server. It is recommended that you have no more than four index management servers.
    • One or more computers running SQL Server 2000.
    • Optional: One computer running the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries.

    For the procedure to install a large server farm, see Deploying a Large Server Farm.

Recommendations

When specifying accounts, the following is recommended:

  • Use the same account for the configuration database administration account for each server in the server farm.
  • Use the same account for the application pool account for the portal site (MSSharePointPortalAppPool) for each server in the server farm.

When restarting servers in a server farm, restart the computer running SQL Server 2000 first. Wait until this computer has restarted before restarting other servers. If you do not wait until the computer running SQL Server 2000 has restarted, services on other computers do not start, and you cannot use the portal site.

Related Topics

Single Server Deployments
Shared Services Deployments


Shared Services Deployments

Shared Services Deployments

You can configure shared services on any of the following topologies:

  • Large server farm
  • Medium server farm
  • Small server farm
  • Single server with Microsoft SQL Server 2000

You cannot configure shared services on the stand-alone configuration.

For the procedure required to install this configuration, see Deploying Shared Services.

Related Topics

Single Server Deployments
Server Farm Deployments


About deploying SharePoint Portal Server

About deploying SharePoint Portal Server

You can install Microsoft Office SharePoint Portal Server 2003 on one or more servers to provide a scalable, customized solution for your organization. SharePoint Portal Server is flexible, offering a variety of deployment configuration options. The configuration you choose depends on a number of factors, including your hardware and your performance, expansion, and scalability needs.

Single-server configurations

There are two single-server configurations you can use — standalone or single server with Microsoft SQL Server. Both configurations use one computer to run the Web component, index component, and search component. The difference is that the standalone configuration does not have SQL Server 2000 installed.

Server farm configurations

A server farm is a centralized grouping of network servers that provide a network with load balancing, scalability, and fault tolerance. Individual servers can be connected in such a way that they appear to represent a single resource. A server farm allows you to provide the best combination of performance and reliability for your deployment.

SharePoint Portal Server enables you to choose from three configurations: small server farm, medium server farm, and large server farm.

The following image shows a typical large server farm deployment.

Large farm deployment configuration

To consolidate resources, you can customize your SharePoint Portal Server deployment to share services across multiple server farms. Shared services consolidates the common services of search, indexing, alerts, and user profile management onto a parent portal. The services are centrally managed from a single server for two or more server farms. The child portals in the organization can then provide content based on division or application without using up resources on the technical details of import and crawl. Only large server farms can provide shared services, which can then be used by any of these configurations: single server with SQL Server, small server farm, or child farm.

Related Topics

About the portal site
About integrated enterprise
About index and search services
Server topology
Server farm deployments
Shared services deployments
About Windows SharePoint Services


Deploying a Single Server Configuration

Deploying a Single Server Configuration

You can deploy two single-server configurations: a stand-alone single server, and a single server with Microsoft SQL Server. For more information about single server deployments, see Single Server Deployments.

The stand-alone configuration uses SQL Server Desktop Engine. SQL Server Desktop Engine has limited throughput ability and supports databases with a maximum size of 2 gigabytes (GB). If your deployment requires significant scalability or must store more than 2 GB of documents, it is recommended that you use SQL Server in your deployment.

Operating System and Setup Requirements

Ensure that you have installed Microsoft Windows Server 2003 before you install Microsoft Office SharePoint Portal Server 2003.

Deploy a stand-alone configuration

  1. Install SharePoint Portal Server with the database engine on the server.

    Follow the procedures in Installing SharePoint Portal Server with the Database Engine.

  2. Optional: Install the components for backward-compatible document libraries on the server.

    Follow the procedures in Installing the Component for Backward-Compatible Document Libraries.

Deploy a single server with SQL Server configuration

  1. Install SharePoint Portal Server without the database engine on the server.

    Follow the procedures in Installing SharePoint Portal Server without the Database Engine, with the following settings:

    1. On the Specify Configuration Database Settings for server_name page, click Create configuration database.
    2. On the Change Component Assignments page, select the Web, Search, and Index check boxes. In the Job server box, select the server you are configuring as the job server.

  2. Optional: Install the components for backward-compatible document libraries on the server or on another server.

    Follow the procedures in Installing the Component for Backward-Compatible Document Libraries.


Deploying a Small Server Farm

Deploying a Small Server Farm

For Microsoft Office SharePoint Portal Server, you must set up and configure a small server farm according to the following instructions. Following these steps ensures a supported configuration.

You must configure the servers in your small server farm as follows:

  • One computer running the Web component, index component, and search component, and running as the job server. This computer can also run the components for the optional backward-compatible document libraries.
  • One or more computers running Microsoft SQL Server 2000.

Operating system and setup requirements

Ensure that you have installed Microsoft Windows Server 2003 before you install SharePoint Portal Server.

Perform all pre-setup server farm preparations

The domain account that you are adding here is used as the configuration database administration account. This account is used later in the installation section.

  1. Log on to each server as a local or domain administrator.
  2. Add a domain account to the local Power Users group on each computer in the server farm, except on the computer running SQL Server.

    Note You must add the domain account to the local Administrators group on any server that hosts the components for backward-compatible document libraries.

  3. On the computer running SQL Server, do the following:
    1. Configure the MSSQLSERVER service to start automatically, and then confirm that the service starts successfully at startup.
    2. Configure the domain account that you added to the server farm computers to have the Security Administrators and Database Creators server roles on this SQL Server instance.

Install Microsoft Office SharePoint Portal Server 2003

  1. Log on to the computer running Windows Server 2003 as a local or domain administrator.
  2. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  3. Click Install Microsoft Office SharePoint Portal Server 2003 components.
  4. On the Install Microsoft Office SharePoint Portal Server 2003 page, click Next.

    A message appears listing the services that will be stopped.

  5. If you want to stop the listed services and continue Setup, click OK.

    Setup installs Windows SharePoint Services, and then the Welcome to the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page appears.

  6. On the welcome page, click Next.
  7. On the End-User License Agreement page, select the I accept all of the terms in the license agreement check box, and then click Next.
  8. On the Product Identification page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number that you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  9. On the Installation Type and File Location page, do the following:
    1. Click Install without database engine.
    2. If you want to specify a different file location, click Browse, and then specify a location.
    3. Click Next.

      SharePoint Portal Server 2003 installs. This will take several minutes.

  10. On the Microsoft Office SharePoint Portal Server 2003 page requesting account information, do the following:
    1. In the Account name box, type the user account name to be used for administrative operations that create, modify, or grant access to the configuration or portal site databases.

      The account must be a member of the Power Users group on this server. The account must have the Database Creators and Security Administrators server roles on this SQL Server instance. In addition, the account must be a domain account if you have more than one server in your configuration.

      Specifying an account that is a member of the local Administrators group on the server on which you are installing SharePoint Portal Server is not recommended.

      Important The following user rights are granted automatically to this account (the configuration database administration account) on the local server: Replace a process level token, Adjust memory quotas for a process, and Log on as a service. If you change this account by using the Configure Server Farm Account Settings page, the rights are not revoked automatically for the previous account. However, you can remove these rights by using Local Security Settings. To open Local Security Settings, click Start, point to Administrative Tools, and then click Local Security Policy.

      Type the account name in the format DOMAIN\user_name.

    2. In the Password box, type the password for the account.
    3. Click Next.
  11. On the Install Microsoft Office SharePoint Portal Server 2003 page, click Next.

    Setup installs the server components. This will take several minutes.

  12. On the Completing the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, click Finish.

Configure SharePoint Portal Server

After you click Finish on the Completing the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, the Configure Server Farm Account Settings page appears.

  1. On the Configure Server Farm Account Settings page, do the following:
    1. In the Default Content Access Account section, do the following:
      1. Select the Specify Account check box.
      2. In the User name box, type the account name in the format DOMAIN\user_name.

        This account is an existing Windows account that is used as the default account when creating a content index of content sources. The account must have read access to the content being crawled.

      3. In the Password box, type the password for the account.
      4. In the Confirm Password box, type the password again.
    2. In the Portal Site Application Pool Identity section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. Click OK.
  2. On the Specify Configuration Database Settings for server_name page, do the following:
    1. In the Database Connections section, click Create configuration database.
    2. In the Configuration Database Server section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database will be stored.

      Note If you have a named SQL Server instance, specify both the name of the computer running SQL Server and the SQL Server instance name in the format server_name\SQL_instance_name.

    3. In the Configuration Database Name section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.
  3. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect by using a proxy server.
      • Click Use the proxy server specified, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    3. Click OK.
  4. On the Configure Server Topology page, click Change Components.
  5. On the Change Component Assignments page, do the following:
    1. In the Component Assignment section, select the Web, Search, and Index check boxes.
    2. In the Job Server Component section, in the Job server list, select the server you are configuring as the job server.
    3. Click OK.
  6. On the Configure Server Topology page, click Close.

Create a portal site

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Portal Site and Virtual Server Configuration section, click Create a portal site.
  2. On the Create Portal Site for server_name page, do the following:
    1. In the Portal Creation Options section, click Create a portal.
    2. In the Site Name section, in the Name box, type a name for the portal site.

      This name appears at the top of most portal site pages.

    3. In the Site URL section, do the following:
      1. In the Virtual Server list, click the virtual server for this portal site.
      2. In the URL address box, type the URL that users will use to connect to the portal site.

        By default, this URL is http://server_name/. If you are not creating the portal site on the Default Web Site but on another virtual server, the URL includes the port number, for example, http://server_name:port_number/.

    4. In the Owner section, do the following:
      1. In the Account name box, type the account name for the site owner in the format DOMAIN\username.

        The site owner manages portal site content and user access.

      2. In the E-mail address box, type the e-mail address for the portal site owner.
    5. Click OK.
  3. On the Create Portal Site Confirmation for server_name page, click OK to begin creating the portal site.

    The Operation Status page appears. Creation will take a few minutes.

At the end of a successful portal site creation, the Operation Successful page appears. You can then further configure the portal site.

Optional: Install and configure the components for backward-compatible document libraries

You can install the components for backward-compatible document libraries on the computer running the Web, index, search, and job server components.

Install the components for backward-compatible document libraries

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.
  2. Do the following to ensure that the proxy server settings for Internet access are specified correctly:
    1. Click Start, point to Control Panel, and then click Internet Options.
    2. In the Internet Properties dialog box, click the Connections tab.
    3. Click LAN Settings.
    4. In the Local Area Network (LAN) Settings dialog box, in the Automatic configuration section, ensure that both check boxes are cleared.
    5. If you use a proxy server, in the Proxy server section, do the following:
      1. Select the Use a proxy server for your LAN (These settings will not apply to dial-up or VPN connections) check box.
      2. Select the Bypass proxy server for local addresses check box.
      3. In the Address box, type a valid proxy server address.
      4. In the Port box, type the port number for the proxy server.
      5. Click Advanced.
      6. In the Proxy Settings dialog box, select the Use the same proxy server for all protocols check box, and then click OK.
    6. Click OK to close the Local Area Network (LAN) Settings dialog box.
    7. Click OK to close the Internet Options dialog box.
  3. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  4. Click Install optional components.
  5. On the installation page for optional components, click Install server and client components for backward-compatible document libraries.
  6. On the Welcome to the Document Library Setup Wizard page, click Next.
  7. On the License Agreement page, click I agree, and then click Next.
  8. On the Product Identification page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  9. On the Document library component of Microsoft Office SharePoint Portal Server 2003 Setup page, specify the location on the server disk where you want to install the program and data files for the document library component.

    To change the installation location for these files, click Change Folder.

    Important You can only change the location for the program files if you are installing the optional components on a server that does not have SharePoint Portal Server installed.

    SharePoint Portal Server also installs additional required files on the operating system drive. Click Disk Information for information about the amount of disk space required and the amount remaining. If there are existing files in the installation paths, setup removes these files.

    The path must meet the following restrictions:

    • The path name can have a maximum length of 80 characters.
    • The path name can contain only characters in the lower ASCII range.
    • The path cannot point to a root directory. For example, E:\ is not allowed, but E:\Installation is allowed

  10. Click Next.

    A message appears listing the services that will be stopped.

  11. Click OK to stop the services and continue.

    The Component Progress page appears.

  12. When the task completes, on the Completing the Document Library Setup Wizard page, click Finish.

    You might be prompted to restart your computer.

Configure the components for backward-compatible document libraries

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Server Configuration section, click Configure server topology.
  2. On the Configure Server Topology page, click Change Components.
  3. On the Change Component Assignments page, in the Document Library Server Component (Optional) section, in the Document library server box, type the address of the server to run the document library server component.
  4. Click OK.
  5. On the Configure Server Topology page, click Close.

Create a document library

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based).
  2. On the List and Manage Document Libraries page, do the following:
    1. If you have previously specified a Simple Mail Transfer Protocol (SMTP) server (by using the Configure e-mail server settings link on the SharePoint Portal Server Central Administration for server_name page), you might need to synchronize the settings for the portal site server and the document library server. To do this, click Synchronize.
    2. Click Create document library.
  3. On the Create Document Library page, in the Name and Description section, do the following:
    1. In the Document library friendly name box, type the display name for the library that you are creating.

      Note The display name cannot exceed 100 characters in length.

    2. In the Document library description box, type the description for the document library.
    3. In the Document library name box, type a word that will be used in the URL of the document library after the server name.

      For example, for a URL of http://AdventureWorks/Adventure, you would type Adventure.

  4. In the Associated Portal Site section, in the Portal site list, select the portal site to associate with this document library.

    The portal site provides search capability and the ability to personalize alerts for users of the document library. Users can get to the document library from the Document Library area on the home page of the portal site.

  5. In the Document Library Contact section, do the following:
    1. In the Contact name box, type the name of the user or group to which you are assigning overall responsibility for the document library.
    2. In Contact e-mail address box, type the e-mail address for the contact.

      The contact e-mail address can be that of an individual user or a group. This e-mail address will be used as the reply-to address for e-mail messages sent by the document library during document approval routes.

  6. To limit the number of previous major versions of a document to retain when the document is approved, in the Document Versions section, select the Specify version limit check box, and then type a number in the Number of versions to retain box.

    Note This setting does not affect the number of minor versions retained.

  7. Click OK.

    The Operation Status page appears. After the document library is successfully created, the List and Manage Document Libraries page appears.

Related Topics

Server Farm Deployments


Deploying a Medium Server Farm

Deploying a Medium Server Farm

For Microsoft Office SharePoint Portal Server 2003, you must set up and configure a medium server farm according to the following instructions. Following these steps ensures a supported configuration.

You must configure the servers in your server farm as follows:

  • One or two front-end Web servers with the search component enabled (the front-end Web and search servers)
  • One index management and job server
  • One or more computers running Microsoft SQL Server 2000.
  • Optional: One computer running the components for backward-compatible document libraries

Operating System and Setup Requirements

Ensure that you have installed Microsoft Windows Server 2003 before you install SharePoint Portal Server.

Set up Windows Network Load Balancing

You must be logged on to the computer as a member of the local Administrators group to complete this procedure.

Note You can perform the following steps to set up network load balancing. In addition, you can use Network Load Balancing (NLB) Manager to help configure network load balancing.

  1. Set a static IP on the front-end network interface card (NIC). To do this:
    1. Click Start, point to Control Panel, and then click Network Connections.
    2. Right-click Front-End NIC and click Properties.
    3. In the This connection uses the following items area, select the Internet Protocol (TCP/IP) check box.
    4. Click Properties.
    5. Select Use the following IP address.
      1. In the IP address box, type your assigned front-end static IP.
      2. In the Subnet mask box, type your assigned front-end subnet mask, if needed.
      3. In the Default gateway box, type your assigned front-end gateway, if needed.
    6. Select Use the following DNS server addresses.
    7. In the Preferred DNS server and Alternate DNS server boxes, type the appropriate IPs.
    8. Click Advanced.
    9. On the IP Settings tab, in the IP addresses section, click Add.
    10. In the IP address box, type the virtual IP address.
    11. In the Subnet mask box, type the subnet mask.
    12. Click Add, and then click OK.

    Note The virtual IP address is the load-balanced IP address that is the entry point to your server farm.

  2. On the LAN Connection Properties dialog box, in the This connection uses the following items area, select the Network Load Balancing check box.
  3. Click Properties.
  4. On the Cluster Parameters tab, do the following:
    1. In the IP address box, type the cluster IP.

      Cluster IP is the virtual IP address that is the entry point to your server farm. This IP address will need to be mapped to a DNS entry so that you can type the name of the cluster from Microsoft Internet Explorer instead of typing the IP address.

    2. In the Subnet mask box, type the subnet mask.

      Use the same subnet mask for this NIC as reported by IPCONFIG /ALL for this NIC.

    3. In the Full Internet name box, type the DNS name.

      Note If you are using Microsoft Windows Internet Name Service (WINS) resolution, enter the WINS name without the domain extension. For example, enter server_farm instead of server_farm.organization.com.

    4. In the Cluster operation section, click Unicast (the default choice).
    5. Leave the Allow remote control check box at its default (cleared) setting.
  5. On the Host Parameters tab, do the following:
    1. In the Priority box, enter 1 on your first front-end Web and search server and 2 on your second front-end Web and search server.
    2. In the Dedicated IP Configuration area, in the IP address box, type the address originally assigned to this front-end NIC.

      Note You are assigning two IP addresses to the front-end NIC.

    3. In the Subnet mask box, type the subnet mask originally assigned to this front-end NIC.
    4. Do not change any of the settings in the Initial host state section.
  6. On the Port Rules tab, click Edit.
  7. In the Filtering mode section, click Multiple host.
  8. In the Affinity group, click None.

    Note SharePoint Portal Server works with affinity, if a third-party application requires it.

  9. Click OK, and then click OK again.

    Note If you see a dialog box stating that you must enter the new address in the TCP/IP component, you have not completed all of the previous steps. Click OK, and then do the following before you proceed:

    1. In the Properties dialog box for the front-end NIC, on the General tab, click Internet Protocol (TCP/IP), and then click Properties.
    2. Click Advanced.
    3. On the IP Settings tab, in the IP addresses section, click Add.
    4. In the IP address box, type the virtual IP address.
    5. In the Subnet mask box, type the subnet mask.
    6. Click Add, and then click OK.
  10. Restart the server.
  11. Repeat the previous steps on both front-end Web and search servers. Ensure that you change the priority setting on each one to be unique.
  12. Test network load balancing before installing SharePoint Portal Server:
    1. Open a command prompt, and then ping the virtual name of the server farm from a client computer that is not part of the server farm. For example, if server_farm is the name you entered as the full Internet name or you are using WINS, you would type ping server_farm. Server_farm is the virtual server farm name in this example.
    2. Ensure that you receive a reply.
      • If you receive no reply, ping your server farm by using the virtual IP address for the server farm. The virtual IP address is the cluster IP address that you specified in a previous step.
      • If you receive no reply, contact your network operations contact for DNS/WINS, routing, and static IP support.
    3. Type ping virtual_server_farm_name -t.

      This performs a continuous ping.

    4. On the first front-end Web and search server, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with network load balancing.
      2. On the General tab, click Disable.
    5. On the second front-end Web and search server, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with network load balancing.
      2. On the General tab, click Disable.
    6. On the client computer that is continuously pinging the virtual name of the server farm, you should see a message that the request timed out.
    7. On the first front-end Web and search server, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with network load balancing, and then click Enable.
    8. On the client computer that is continuously pinging the virtual name of the server farm, you should see a reply to the ping within 10 seconds. If you do not see a reply, ensure that your network load balancing configuration and your network configuration are correct.
    9. On the first front-end Web and search server, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with network load balancing.
      2. On the General tab, click Disable.
    10. On the client computer that is continuously pinging the virtual name of the server farm, you should see a message that the request timed out.
    11. On the second front-end Web and search server, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with network load balancing, and then click Enable.
    12. On the client computer that is continuously pinging the virtual name of the server farm, you should see a reply to the ping within 10 seconds. If you do not see a reply, ensure that your network load balancing configuration and your network configuration are correct.
    13. On the second front-end Web and search server, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with network load balancing.
      2. On the General tab, click Disable.
    14. On the client computer that is continuously pinging the virtual name of the server farm, you should see a message that the request timed out.
    15. On the first front-end Web and search server, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with network load balancing, and then click Enable.
    16. On the second front-end Web and search server, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with network load balancing, and then click Enable.
    17. On the client computer that is continuously pinging the virtual name of the server farm, press CTRL+C to break the ping cycle.

Note When the back-end NICs of the front-end Web servers and the client computers accessing them are on the same subnet, the back-end NICs will respond to the client computers instead of the load-balanced front-end NICs. This can cause performance to degrade. The back-end NICs will be flooded with traffic to client computers, and propagations to the front-end Web servers will be competing for bandwidth.

Note It is recommended that you implement some type of health checking to monitor the front-end Web servers. The worker process recycles nightly. During this time, the front-end Web servers remain active in the network load-balanced cluster. The load balance solution continues to distribute the load to all computers, including those that will not respond because the worker process is recycling. To avoid this issue, it is recommended that you implement health checking to monitor the front-end Web servers and remove them from the server farm when they are not available.

Perform all pre-setup server farm preparations

Note Ensure that you use the same domain account (in the form DOMAIN\domain_account) wherever you see domain account in the server farm instructions. Do not use different accounts for each instance of the domain account.

The domain account that you are adding here is used as the configuration database administration account. This account is used later in the installation section.

  1. Log on to each server as a local or domain administrator.
  2. Add a domain account to the local Power Users group on each computer in the server farm, except on the computer running SQL Server.

    Note You must add the domain account to the local Administrators group on any server that hosts the components for backward-compatible document libraries.

  3. On the computer running SQL Server, do the following:
    1. Configure the MSSQLSERVER service to start automatically, and then confirm that the service starts successfully at startup.
    2. Configure the domain account that you added to the server farm computers to have the Security Administrators and Database Creators server roles on this SQL Server instance.

Install Microsoft Office SharePoint Portal Server 2003

On the one or two front-end Web and search servers and on the index management and job server, do the following:

  1. Log on to the computer running Windows Server 2003 as a local or domain administrator.
  2. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  3. Click Install Microsoft Office SharePoint Portal Server 2003 components.
  4. On the Install Microsoft Office SharePoint Portal Server 2003 page, click Next.

    A message appears listing the services that will be stopped.

  5. If you want to stop the listed services and continue Setup, click OK.

    Setup installs Windows SharePoint Services. This will take a few minutes. On completion, the Welcome to the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page appears.

  6. On the Welcome to the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, click Next.
  7. On the End-User License Agreement page, select the I accept all of the terms in the license agreement check box, and then click Next.
  8. On the Product Identification page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number that you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  9. On the Installation Type and File Location page, do the following:
    1. Click Install without database engine.
    2. If you want to specify a different file location, click Browse, and then specify a location.
    3. Click Next.

    Setup installs SharePoint Portal Server 2003. This will take a few minutes.

  10. On the Microsoft Office SharePoint Portal Server 2003 page requesting account information, do the following:
    1. In the Account name box, type the user account name to be used for administrative operations that create, modify, or grant access to the configuration or portal site databases.

      The account must be a member of the Power Users group on this server. The account must have the Database Creators and Security Administrators server roles on this SQL Server instance. In addition, the account must be a domain account if you have more than one server in your configuration.

      Specifying an account that is a member of the local Administrators group on the server on which you are installing SharePoint Portal Server is not recommended.

      Important The following user rights are granted automatically to this account (the configuration database administration account) on the local server: Replace a process level token, Adjust memory quotas for a process, and Log on as a service. If you change this account by using the Configure Server Farm Account Settings page, the rights are not revoked automatically for the previous account. However, you can remove these rights by using Local Security Settings. To open Local Security Settings, click Start, point to Administrative Tools, and then click Local Security Policy.

      Type the account name in the format DOMAIN\user_name.

    2. In the Password box, type the password for the account.
    3. Click Next.

    Setup will take a few moments.

  11. On the Install Microsoft Office SharePoint Portal Server 2003 page, click Next.

    On completion, the Completing the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page appears.

  12. Click Finish.

Configure the first front-end Web and search server

After installation is complete on the first front-end Web and search server, the Configure Server Farm Account Settings page appears.

  1. On the Configure Server Farm Account Settings page, do the following:
    1. Select the Specify account check box
    2. In the Default Content Access Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.

        This account is an existing Windows account that is used as the default account when creating a content index of content sources. The account must have read access to the content being crawled.

      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. In the Portal Site Application Pool Identity section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    4. Click OK.
  2. On the Specify Configuration Database Settings for server_name page, do the following:
    1. In the Database Connections section, click Create configuration database.
    2. In the Configuration Database Server section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database will be stored.

      Note If you have a named SQL Server instance, specify both the name of the computer running SQL Server and the SQL Server instance name in the format server_name\SQL_instance_name.

    3. In the Configuration Database Name section, do one of the following:
      • To use the database name that is displayed, click Use default name.
      • To specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.
  3. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect using a proxy server.
      • Click Use the proxy server specified below, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    3. Click OK.
  4. On the Configure Server Topology page, click Change Components.
  5. On the Change Component Assignments page, do the following:
    1. In the Component Assignment section, select the Web and Search check boxes.

      Ensure that the Index check box is cleared for this server, and ensure that -none- appears for the job server component and that the box for the document library server is empty.

    2. Click OK.
  6. On the Configure Server Topology page, click Close.

Configure the index management and job server

On the index management and job server, after you click Finish on the Completing the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, the Configure Server Farm Account Settings page appears.

Using an instance of Internet Explorer that is running on the computer that you have designated as the index management and job server, do the following:

  1. On the Configure Server Farm Account Settings page, do the following:
    1. In the Default Content Access Account section, do the following:
      1. Select the Specify account check box.
      2. In the User name box, type the account name in the format DOMAIN\user_name.

        This account is an existing Windows account that is used as the default account when creating a content index of content sources. The account must have read access to the content being crawled.

      3. In the Password box, type the password for the account.
      4. In the Confirm Password box, type the password again.
    2. In the Portal Site Application Pool Identity section, do the following:
      1. Select the Change account settings check box.
      2. In the User name box, type the account name in the format DOMAIN\user_name.
      3. In the Password box, type the password for the account.
      4. In the Confirm Password box, type the password again.
    3. Click OK.
  2. On the Specify Configuration Database Settings for server_name page, do the following:
    1. In the Database Connections section, click Connect to existing configuration database.
    2. In the Configuration Database Server section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database will be stored.

      Note If you have a named SQL Server instance, specify both the name of the computer running SQL Server and the SQL Server instance name in the format server_name\SQL_instance_name.

    3. In the Configuration Database Name section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.
  3. On the Configure Server Topology page, click Change Components.
  4. On the Change Component Assignments page, do the following:
    1. Select the Index check box.

      Ensure that the Web and Search check boxes in the row for the index management and job server are cleared.

    2. In the Job Server Component section, in the Job server list, select the server you are configuring as the job server.
    3. Ensure that the box for the document library server is empty.
    4. Click OK.
  5. On the Configure Server Topology page, click Close.

Create a portal site from the first front-end Web and search server

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Portal Site and Virtual Server Configuration section, click Create a portal site.
  2. On the Create Portal Site for server_name page, do the following:
    1. In the Portal Creation Options section, click Create a portal.
    2. In the Site Name section, in the Name box, type a name for the portal site.

      This name appears at the top of most portal site pages.

    3. In the Site URL section, do the following:
      1. In the Virtual Server list, click the virtual server for this portal site.
      2. In the URL address box, type the URL that users will use to connect to the portal site.

        By default, this URL is http://server_name/. If you are not creating the portal site on the Default Web Site but on another virtual server, the URL includes the port number, for example, http://server_name:port_number/.

    4. In the Owner section, do the following:
      1. In the Account name box, type the account name for the site owner in the format DOMAIN\user_name.

        The site owner manages portal site content and user access.

      2. In the E-mail address box, type the e-mail address for the portal site owner.
    5. Click OK.
  3. On the Create Portal Site Confirmation for server_name page, click OK to begin creating the portal site.

    The Operation Status page appears.

Extend the virtual server on the second front-end Web and search server

If you have two front-end Web servers, you must do the following on the second front-end Web server:

  1. On the taskbar, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Central Administration.
  2. On the SharePoint Portal Server Central Administration for server_name page, in the Portal Site and Virtual Server Configuration section, click Extend an existing virtual server from the Virtual Server List page.
  3. On the list of virtual servers, click Default Web Site.
  4. On the Extend Virtual Server with Windows SharePoint Services page, in the Provisioning Options section, click Extend and map to another virtual server.
  5. On the Extend and Map to Another Virtual Server page, in the Server Mapping section, select Default Web Site from the Host name or IIS virtual server name list.
  6. In the Application Pool section, do the following:
    1. Click Use an existing application pool.
    2. From the application pool list, click MSSharePointPortalAppPool.
  7. Click OK.
  8. On the Refresh Config Cache on Other Web front end servers page, click OK.

Optional: Install and configure the components for backward-compatible document libraries

You can install the components for backward-compatible document libraries on a separate computer.

Install the components for backward-compatible document libraries

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.
  2. Do the following to ensure that the proxy server settings for Internet access are specified correctly:
    1. Click Start, point to Control Panel, and then click Internet Options.
    2. In the Internet Properties dialog box, click the Connections tab.
    3. Click LAN Settings.
    4. In the Local Area Network (LAN) Settings dialog box, in the Automatic configuration section, ensure that both check boxes are cleared.
    5. If you use a proxy server, in the Proxy server section, do the following:
      1. Select the Use a proxy server for your LAN (These settings will not apply to dial-up or VPN connections). check box.
      2. Select the Bypass proxy server for local addresses check box.
      3. In the Address box, type a valid proxy server address.
      4. In the Port box, type the port number for the proxy server.
      5. Click Advanced.
      6. In the Proxy Settings dialog box, select the Use a proxy server for your LAN check box, and then click OK.
    6. Click OK to close the Local Area Network (LAN) Settings dialog box.
    7. Click OK to close the Internet Options dialog box.
  3. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  4. Click Install optional components.
  5. On the installation page for optional components, click Install server and client components for backward-compatible document libraries.
  6. On the Welcome to the Document Library Setup Wizard page, click Next.
  7. On the License Agreement page, click I agree, and then click Next.
  8. On the Product Identification page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  9. On the Document library component of Microsoft Office SharePoint Portal Server 2003 Setup page, specify the location on the server disk where you want to install the program and data files for the document library component.

    Note You can choose the location for the program files only if you are installing the optional components on a server that does not have SharePoint Portal Server installed.

    To change the installation location for these files, click Change Folder.

    SharePoint Portal Server also installs additional required files on the operating system drive. Click Disk Information for information about the amount of disk space required and the amount remaining. If there are existing files in the installation paths, setup removes these files.

    The path must meet the following restrictions:

    • The path name can have a maximum length of 80 characters.
    • The path name can contain only characters in the lower ASCII range.
    • The path cannot point to a root directory. For example, E:\ is not allowed, but E:\Installation is allowed

  10. Click Next.

    A message appears listing the services that will be stopped.

  11. Click OK to stop the services and continue.

    The Component Progress page appears.

  12. On the Completing the Document Library Setup Wizard page, click Finish.

    You might be prompted to restart your computer.

Use the first front-end Web and search server to configure the components for backward-compatible document libraries

  1. Log on to the first front-end Web and search server, and then go to the SharePoint Portal Server Central Administration for server_name page.
  2. On the SharePoint Portal Server Central Administration for server_name page, in the Server Configuration section, click Configure server topology.
  3. On the Configure Server Topology page, click Change Components.
  4. On the Change Component Assignments page, in the Document Library Server Component (Optional) section, in the Document library server box, type the address of the server to run the document library server component.
  5. Click OK.
  6. On the Configure Server Topology page, click Close.

Create a document library

  1. Log on to the first front-end Web and search server, and then go to the SharePoint Portal Server Central Administration for server_name page.
  2. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based).
  3. On the List and Manage Document Libraries page, do the following:
    1. If you have previously specified a Simple Mail Transfer Protocol (SMTP) server (by using the Configure e-mail server settings link on the SharePoint Portal Server Central Administration for server_name page, you might need to synchronize the settings for the portal site server and the document library server. To do this, click Synchronize.
    2. Click Create document library.
  4. On the Create Document Library page, in the Name and Description section, do the following:
    1. In the Document library friendly name box, type the display name for the library that you are creating.

      Note The display name cannot exceed 100 characters in length.

    2. In the Document library description box, type the description for the document library.
    3. In the Document library name box, type a word that will be used in the URL of the document library after the server name.

      For example, for a URL of http://AdventureWorks/Adventure, you would type Adventure.

  5. In the Associated Portal Site section, in the Portal site list, select the portal site to associate with this document library.

    The portal site provides search capability and the ability to personalize alerts for users of the document library. Users can get to the document library from the Document Library area on the home page of the portal site.

  6. In the Document Library Contact section, do the following:
    1. In the Contact name box, type the name of the user or group to which you are assigning overall responsibility for the document library.
    2. In the Contact e-mail address box, type the e-mail address for the contact.

      The contact e-mail address can be that of an individual user or a group. This e-mail address will be used as the reply-to address for e-mail messages sent by the document library during document approval routes.

  7. To limit the number of previous major versions of a document to retain when the document is approved, in the Document Versions section, select the Specify version limit check box, and then type a number in the Number of versions to retain box.

    Note This setting does not affect the number of minor versions retained.

  8. Click OK.

    The Operation Status page appears. After the document library is successfully created, the List and Manage Document Libraries page appears.

Related Topics

Server Farm Deployments


Deploying a Large Server Farm

Deploying a Large Server Farm

For Microsoft Office SharePoint Portal Server 2003, you must set up and configure a large server farm according to the following instructions. Following these steps ensures a supported configuration.

You must configure the servers in your server farm as follows:

  • Two or more front-end Web servers.
  • Two or more search servers. It is recommended that you have no more than four search servers.
  • One or more index management servers, one of which is the job server. It is recommended that you have no more than four index management servers.
  • One or more computers running Microsoft SQL Server 2000.
  • Optional: One computer running the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries.

Operating System and Setup Requirements

Ensure that you have installed Microsoft Windows Server 2003 before you install SharePoint Portal Server.

Set up Windows Network Load Balancing

Note You can use other network load balancing solutions.

You must be logged on to the computer as a member of the local Administrators group to complete this procedure.

Note You can perform the following steps to set up network load balancing. In addition, you can use Network Load Balancing (NLB) Manager to help configure network load balancing.

  1. Set a static IP on the front-end network interface card (NIC). To do this:
    1. Click Start, point to Control Panel, and then click Network Connections.
    2. Right-click Front-End NIC and click Properties.
    3. In the This connection uses the following items area, select the Internet Protocol (TCP/IP) check box.
    4. Click Properties.
    5. Select Use the following IP address.
      1. In the IP address box, type your assigned front-end static IP.
      2. In the Subnet mask box, type your assigned front-end subnet mask, if needed.
      3. In the Default gateway box, type your assigned front-end gateway, if needed.
    6. Select Use the following DNS server addresses.
    7. In the Preferred DNS server and Alternate DNS server boxes, type the appropriate IPs.
    8. Click Advanced.
    9. On the IP Settings tab, in the IP addresses section, click Add.
    10. In the IP address box, type the virtual IP address.
    11. In the Subnet mask box, type the subnet mask.
    12. Click Add, and then click OK.

    Note The virtual IP address is the load-balanced IP address that is the entry point to your server farm.

  2. On the LAN Connection Properties dialog box, in the This connection uses the following items area, select the Network Load Balancing check box.
  3. Click Properties.
  4. On the Cluster Parameters tab, do the following:
    1. In the IP address box, type the cluster IP.

      Cluster IP is the virtual IP address that is the entry point to your server farm. This IP address will need to be mapped to a DNS entry so that you can type the name of the cluster from Microsoft Internet Explorer instead of typing the IP address.

    2. In the Subnet mask box, type the subnet mask.

      Use the same subnet mask for this NIC as reported by IPCONFIG /ALL for this NIC.

    3. In the Full Internet name box, type the DNS name.

      Note If you are using Microsoft Windows Internet Name Service (WINS) resolution, enter the WINS name without the domain extension. For example, enter server_farm instead of server_farm.organization.com.

    4. In the Cluster operation section, click Unicast (the default choice).
    5. Leave the Allow remote control check box at its default (cleared) setting.
  5. On the Host Parameters tab, do the following:
    1. In the Priority box, enter 1 on your first front-end Web server and 2 on your second front-end Web server.
    2. In the Dedicated IP Configuration area, in the IP address box, type the address originally assigned to this front-end NIC.

      Note You are assigning two IP addresses to the front-end NIC.

    3. In the Subnet mask box, type the subnet mask originally assigned to this front-end NIC.
    4. Do not change any of the settings in the Initial host state section.
  6. On the Port Rules tab, click Edit.
  7. In the Filtering mode section, click Multiple host.
  8. In the Affinity group, click None.

    Note SharePoint Portal Server works with affinity, if a third-party application requires it.

  9. Click OK, and then click OK again.

    Note If you see a dialog box stating that you must enter the new address in the TCP/IP component, you have not completed all of the previous steps. Click OK, and then do the following before you proceed:

    1. In the Properties dialog box for the front-end NIC, on the General tab, click Internet Protocol (TCP/IP), and then click Properties.
    2. Click Advanced.
    3. On the IP Settings tab, in the IP addresses section, click Add.
    4. In the IP address box, type the virtual IP address.
    5. In the Subnet mask box, type the subnet mask.
    6. Click Add, and then click OK.
  10. Restart the server.
  11. Repeat the previous steps on all front-end Web servers. Ensure that you change the priority setting on each one to be unique.
  12. Test network load balancing before installing SharePoint Portal Server:
    1. Open a command prompt, and then ping the virtual name of the server farm from a client computer that is not part of the server farm. For example, if server_farm is the name you entered as the full Internet name or you are using WINS, you would type ping server_farm. Server_farm is the virtual server farm name in this example.
    2. Ensure that you receive a reply.
      • If you receive no reply, ping your server farm by using the virtual IP address for the server farm. The virtual IP address is the cluster IP address that you specified in a previous step.
      • If you receive no reply, contact your network operations contact for DNS/WINS, routing, and static IP support.
    3. Type ping virtual_server_farm_name -t.

      This performs a continuous ping.

    4. On the first front-end Web server, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with network load balancing.
      2. On the General tab, click Disable.
    5. On the second front-end Web server, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with network load balancing.
      2. On the General tab, click Disable.
    6. On the client computer that is continuously pinging the virtual name of the server farm, you should see a message that the request timed out.
    7. On the first front-end Web server, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with network load balancing, and then click Enable.
    8. On the client computer that is continuously pinging the virtual name of the server farm, you should see a reply to the ping within 10 seconds. If you do not see a reply, ensure that your network load balancing configuration and your network configuration are correct.
    9. On the first front-end Web server, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with network load balancing.
      2. On the General tab, click Disable.
    10. On the client computer that is continuously pinging the virtual name of the server farm, you should see a message that the request timed out.
    11. On the second front-end Web server, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with network load balancing, and then click Enable.
    12. On the client computer that is continuously pinging the virtual name of the server farm, you should see a reply to the ping within 10 seconds. If you do not see a reply, ensure that your network load balancing configuration and your network configuration are correct.
    13. On the second front-end Web server, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with network load balancing.
      2. On the General tab, click Disable.
    14. On the client computer that is continuously pinging the virtual name of the server farm, you should see a message that the request timed out.
    15. On the first front-end Web server, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with network load balancing, and then click Enable.
    16. On the second front-end Web server, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with network load balancing, and then click Enable.
    17. On the client computer that is continuously pinging the virtual name of the server farm, press CTRL+C to break the ping cycle.

Note When the back-end NICs of the front-end Web servers and the client computers accessing them are on the same subnet, the back-end NICs will respond to the client computers instead of the load-balanced front-end NICs. This can cause performance to degrade. The back-end NICs will be flooded with traffic to client computers, and propagations to the front-end Web servers will be competing for bandwidth.

Note It is recommended that you implement some type of health checking to monitor the front-end Web servers. The worker process recycles nightly. During this time, the front-end Web servers remain active in the network load-balanced cluster. The load balance solution continues to distribute the load to all computers, including those that will not respond because the worker process is recycling. To avoid this issue, it is recommended that you implement health checking to monitor the front-end Web servers and remove them from the server farm when they are not available.

Perform all pre-setup server farm preparations

Note Ensure that you use the same domain account (in the form DOMAIN\domain_account) wherever you see domain account in the server farm instructions. Do not use different accounts for each instance of the domain account.

The domain account that you are adding here is used as the configuration database administration account. This account is used later in the installation section.

  1. Log on to each server as a local or domain administrator.
  2. Add a domain account to the local Power Users group on each computer in the server farm, except on the computer running SQL Server.

    Note You must add the domain account to the local Administrators group on any server that hosts the components for backward-compatible document libraries.

  3. On the computer running SQL Server, do the following:
    1. Configure the MSSQLSERVER service to start automatically, and then confirm that the service starts successfully at startup.
    2. Configure the domain account that you added to the server farm computers to have the Security Administrators and Database Creators server roles on this SQL Server instance.

Install Microsoft Office SharePoint Portal Server 2003

On the front-end Web servers, the search servers, the index management and job server, and on any additional index management servers, do the following:

  1. Log on to the computer running Windows Server 2003 as a local or domain administrator.
  2. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  3. Click Install Microsoft Office SharePoint Portal Server 2003 components.
  4. On the Install Microsoft Office SharePoint Portal Server 2003 page, click Next.

    A message about services that will be stopped appears.

  5. If you want to stop the listed services and continue Setup, click OK.

    Setup installs Windows SharePoint Services, and then the Welcome to the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page appears.

  6. On the Welcome to the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, click Next.
  7. On the End-User License Agreement page, read the license agreement. If you accept the terms of the agreement, select the I accept all of the terms in the license agreement check box, and then click Next.
  8. On the Product Key page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number that you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  9. On the Installation Type and File Location page, do the following:
    1. Click Install without database engine.
    2. To specify file locations, click Browse, and then specify a location.
    3. Click Next.
  10. On the Microsoft Office SharePoint Portal Server 2003 page requesting account information, do the following:
    1. In the Account name box, type the user account name to be used for administrative operations that create, modify, or grant access to the configuration or portal site databases.

      The account must be a member of the Power Users group on this server. The account must have the Database Creators and Security Administrators server roles on this SQL Server instance. In addition, the account must be a domain account if you have more than one server in your configuration.

      Specifying an account that is a member of the local Administrators group on the server on which you are installing SharePoint Portal Server is not recommended.

      Important The following user rights are granted automatically to this account (the configuration database administration account) on the local server: Replace a process level token, Adjust memory quotas for a process, and Log on as a service. If you change this account by using the Configure Server Farm Account Settings page, the rights are not revoked automatically for the previous account. However, you can remove these rights by using Local Security Settings. To open Local Security Settings, click Start, point to Administrative Tools, and then click Local Security Policy.

      Type the account name in the format DOMAIN\user_name.

    2. In the Password box, type the password for the account.
    3. Click Next.
  11. On the Install Microsoft Office SharePoint Portal Server 2003 page, click Next.

    Note It may take up to one minute for the Next button to become active.

  12. On the Completing the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, click Finish.

Configure the first front-end Web server

On the first front-end Web server, after you click Finish on the Completing the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, the Configure Server Farm Account Settings page appears.

Using an instance of Internet Explorer that is running on the computer that you have designated as the first front-end Web server, do the following:

  1. On the Configure Server Farm Account Settings page, do the following:
    1. In the Default Content Access Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.

        This account is an existing Windows account that is used as the default account when creating a content index of content sources. The account must have read access to the content being crawled.

      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    2. In the Portal Site Application Pool Identity section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. Click OK.
  2. On the Specify Configuration Database Settings for server_name page, do the following:
    1. In the Database Connections section, click Create configuration database.
    2. In the Configuration Database Server section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database will be stored.

      Note If you have a named SQL Server instance, specify both the name of the computer running SQL Server and the SQL Server instance name in the format server_name\SQL_instance_name.

    3. In the Configuration Database Name section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then, in the Custom Name box, type a name for the database.

        You might specify a custom configuration database name so that you can host multiple server farms on a single SQL Server instance.

    4. Click OK.
  3. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect by using a proxy server.
      • Click Use the proxy server specified, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    3. Click OK.
  4. On the Configure Server Topology page, click Change Components.
  5. On the Change Component Assignments page, select the Web check box for the first front-end Web server.

    Ensure that the Search and Index check boxes are cleared for the first front-end Web server, and ensure that -none- appears for the job server component and that the box for the document library server is empty.

  6. Click OK.
  7. On the Configure Server Topology page, click Close.

Configure additional front-end Web servers

You must configure at least two front-end Web servers when deploying a large server farm.

On the second front-end Web server, after you click Finish on the Completing the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, the Configure Server Farm Account Settings page appears.

Using an instance of Internet Explorer that is running on the computer that you have designated as the second front-end Web server, do the following:

  1. On the Configure Server Farm Account Settings page, do the following:
    1. In the Default Content Access Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.

        This account is an existing Windows account that is used as the default account when creating a content index of content sources. The account must have read access to the content being crawled.

      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    2. In the Portal Site Application Pool Identity section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. Click OK.
  2. On the Specify Configuration Database Settings for server_name page, do the following:
    1. In the Database Connections section, click Connect to existing configuration database.

      In the following steps, you should choose the same server, instance, and database name that you specified when you created the configuration database.

    2. In the Configuration Database Server section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database is stored.

      Note If you have a named SQL Server instance, specify both the name of the computer running SQL Server and the SQL Server instance name in the format server_name\SQL_instance_name.

    3. In the Configuration Database Name section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then, in the Custom Name box, type a name for the database.
    4. Click OK.
  3. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect by using a proxy server.
      • Click Use the proxy server specified, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    3. Click OK.
  4. On the Configure Server Topology page, click Change Components.
  5. On the Change Component Assignments page, select the Web check box for the second front-end Web server.

    Ensure that the Search and Index check boxes are cleared for the second front-end Web server, and ensure that -none- appears for the job server component and that the box for the document library server is empty.

  6. Click OK.
  7. On the Configure Server Topology page, click Close.

Configure the first search server

On the first search server, after you click Finish on the Completing the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, the Configure Server Farm Account Settings page appears.

Using an instance of Internet Explorer that is running on the computer that you have designated as the first search server, do the following:

  1. On the Configure Server Farm Account Settings page, do the following:
    1. In the Default Content Access Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.

        This account is an existing Windows account that is used as the default account when creating a content index of content sources. The account must have read access to the content being crawled.

      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    2. In the Portal Site Application Pool Identity section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. Click OK.
  2. On the Specify Configuration Database Settings for server_name page, do the following:
    1. In the Database Connections section, click Create configuration database.
    2. In the Configuration Database Server section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database will be stored.

      Note If you have a named SQL Server instance, specify both the name of the computer running SQL Server and the SQL Server instance name in the format server_name\SQL_instance_name.

    3. In the Configuration Database Name section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then, in the Custom Name box, type a name for the database.

        You might specify a custom configuration database name so that you can host multiple server farms on a single SQL Server instance.

    4. Click OK.
  3. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect by using a proxy server.
      • Click Use the proxy server specified, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    3. Click OK.
  4. On the Configure Server Topology page, click Change Components.
  5. On the Change Component Assignments page, select the Search check box for the first search server.

    Ensure that the Web and Index check boxes are cleared for the first search server, and ensure that -none- appears for the job server component and that the box for the document library server is empty.

  6. Click OK.
  7. On the Configure Server Topology page, click Close.

Configure additional search servers

You must configure at least two search servers when deploying a large server farm.

On the second search server, after you click Finish on the Completing the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, the Configure Server Farm Account Settings page appears.

Using an instance of Internet Explorer that is running on the computer that you have designated as the second search server, do the following:

  1. On the Configure Server Farm Account Settings page, do the following:
    1. In the Default Content Access Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.

        This account is an existing Windows account that is used as the default account when creating a content index of content sources. The account must have read access to the content being crawled.

      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    2. In the Portal Site Application Pool Identity section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. Click OK.
  2. On the Specify Configuration Database Settings for server_name page, do the following:
    1. In the Database Connections section, click Connect to existing configuration database.

      In the following steps, you should choose the same server, instance, and database name that you specified when you created the configuration database.

    2. In the Configuration Database Server section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database is stored.

      Note If you have a named SQL Server instance, specify both the name of the computer running SQL Server and the SQL Server instance name in the format server_name\SQL_instance_name.

    3. In the Configuration Database Name section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then, in the Custom Name box, type a name for the database.
    4. Click OK.
  3. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect by using a proxy server.
      • Click Use the proxy server specified, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    3. Click OK.
  4. On the Configure Server Topology page, click Change Components.
  5. On the Change Component Assignments page, select the Search check box for the second search server.

    Ensure that the Web and Index check boxes are cleared for the second search server, and ensure that -none- appears for the job server component and that the box for the document library server is empty.

  6. Click OK.
  7. On the Configure Server Topology page, click Close.

Configure the index management and job server

On the index management and job server, after you click Finish on the Completing the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, the Configure Server Farm Account Settings page appears.

Using an instance of Internet Explorer that is running on the computer that you have designated as the index management and job server, do the following:

  1. On the Configure Server Farm Account Settings page, do the following:
    1. In the Default Content Access Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.

        This account is an existing Windows account that is used as the default account when creating a content index of content sources. The account must have read access to the content being crawled.

      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    2. In the Portal Site Application Pool Identity section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. Click OK.
  2. On the Specify Configuration Database Settings for server_name page, do the following:
    1. In the Database Connections section, click Connect to existing configuration database.

      In the following steps, you should choose the same server, instance, and database name that you specified when you created the configuration database.

    2. In the Configuration Database Server section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database is stored.

      Note If you have a named SQL Server instance, specify both the name of the computer running SQL Server and the SQL Server instance name in the format server_name\SQL_instance_name.

    3. In the Configuration Database Name section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.
  3. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect by using a proxy server.
      • Click Use the proxy server specified, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    3. Click OK.
  4. On the Configure Server Topology page, click Change Components.
  5. On the Change Component Assignments page, do the following:
    1. Select the Index check box.

      Ensure that the Web and Search check boxes in the row for the index management and job server are cleared.

    2. In the Job Server Component section, in the Job server list, select the server you are configuring as the job server.
    3. Ensure that the box for the document library server is empty.
    4. Click OK.
  6. On the Configure Server Topology page, click Close.

Create a portal site from the first front-end Web server

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Portal Site and Virtual Server Configuration section, click Create a portal site.
  2. On the Create Portal Site for server_name page, do the following:
    1. In the Portal Creation Options section, click Create a portal.
    2. In the Site Name section, in the Name box, type a name for the portal site.

      This name appears at the top of most portal site pages.

    3. In the Site URL section, do the following:
      1. In the Virtual server list, click the virtual server for this portal site.
      2. In the URL box, type the URL that users will use to connect to the portal site.

        Note This is the load-balanced URL, not the local server URL.

        By default, this URL is http://server_name/. If you are not creating the portal site on the Default Web Site but on another virtual server, the URL includes the port number, for example, http://server_name:port_number/.

    4. In the Owner section, do the following:
      1. In the Account name box, type the account name for the site owner in the format DOMAIN\username.

        The site owner manages portal site content and user access.

      2. In the E-mail address box, type the e-mail address for the portal site owner.
    5. Click OK.
  3. On the Create Portal Site Confirmation for server_name page, click OK to begin creating the portal site.

    The Operation Status page appears.

Extend the virtual server on the second front-end Web server

If you have more than one front-end Web server, you must do the following on each additional front-end Web server:

  1. On the taskbar, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Central Administration.
  2. On the SharePoint Portal Server Central Administration for server_name page, in the Portal Site and Virtual Server Configuration section, click Extend an existing virtual server from the Virtual Server List page.
  3. On the list of virtual servers, click Default Web Site.
  4. On the Extend Virtual Server page, in the Provisioning Options section, click Extend and map to another virtual server.
  5. On the Extend and Map to Another Virtual Server page, in the Server Mapping section, select Default Web Site from the Host name or IIS virtual server name list.
  6. In the Application Pool section, do the following:
    1. Click Use an existing application pool.
    2. From the application pool list, click MSSharePointPortalAppPool.
  7. Click OK.
  8. On the Refresh Config Cache on Other Web front end servers page, click OK.

Optional: Install and configure the components for backward-compatible document libraries

You can install the components for backward-compatible document libraries on a separate computer.

Install the components for backward-compatible document libraries

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.
  2. Do the following to ensure that the proxy server settings for Internet access are specified correctly:
    1. Click Start, point to Control Panel, and then click Internet Options.
    2. In the Internet Properties dialog box, click the Connections tab.
    3. Click LAN Settings.
    4. In the Local Area Network (LAN) Settings dialog box, in the Automatic configuration section, ensure that both check boxes are cleared.
    5. If you use a proxy server, in the Proxy server section, do the following:
      1. Select the Use a proxy server for your LAN (These settings will not apply to dial-up or VPN connections) check box.
      2. Select the Bypass proxy server for local addresses check box.
      3. In the Address box, type a valid proxy server address.
      4. In the Port box, type the port number for the proxy server.
      5. Click Advanced.
      6. In the Proxy Settings dialog box, select the Use the same proxy server for all protocols check box, and then click OK.
    6. Click OK to close the Local Area Network (LAN) Settings dialog box.
    7. Click OK to close the Internet Options dialog box.
  3. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  4. Click Install optional components.
  5. On the installation page for optional components, click Install server and client components for backward-compatible document libraries.
  6. On the Welcome to the Document Library Setup Wizard page, click Next.
  7. On the License Agreement page, click I agree, and then click Next.
  8. On the Product Identification page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  9. On the Document library component of Microsoft Office SharePoint Portal Server 2003 Setup page, specify the location on the server disk where you want to install the program and data files for the document library component.

    Note If you are installing the optional components on a server that already has SharePoint Portal Server installed, you cannot choose the location for the program files. If you are installing the optional components on a server that does not have SharePoint Portal Server installed, you can choose the location for the program files.

    You can change the installation location for these files by clicking Change Folder.

    SharePoint Portal Server also installs additional required files on the operating system drive. Click Disk Information for information about the amount of disk space required and the amount remaining. If there are existing files in the installation paths, Setup removes these files.

    The path must meet the following restrictions:

    • The path name can have a maximum length of 80 characters.
    • The path name can contain only characters in the lower ASCII range.
    • The path cannot point to a root directory. For example, E:\ is not allowed, but E:\Installation is allowed.

  10. Click Next.

    A message that lists services that will be stopped appears.

  11. Click OK to stop the services and continue.

    The Component Progress page appears.

  12. On the Completing the Document Library Setup Wizard page, click Finish.

    You might be prompted to restart your computer.

Use the first front-end Web server to configure the components for backward-compatible document libraries

  1. Log on to the first front-end Web server, and then go to the SharePoint Portal Server Central Administration for server_name page.
  2. On the SharePoint Portal Server Central Administration for server_name page, in the Server Configuration section, click Configure server topology.
  3. On the Configure Server Topology page, click Change Components.
  4. On the Change Component Assignments page, in the Document Library Server Component (Optional) section, in the Document library server box, type the address of the server to run the document library server component.
  5. Click OK.
  6. On the Configure Server Topology page, click Close.

Create a document library

  1. Log on to the first front-end Web server, and then go to the SharePoint Portal Server Central Administration for server_name page.
  2. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based).
  3. On the List and Manage Document Libraries page, do the following:
    1. If you have previously specified a Simple Mail Transfer Protocol (SMTP) server (by using the Configure e-mail server settings link on the SharePoint Portal Server Central Administration for server_name page), you might need to synchronize the settings for the portal site server and the document library server. To do this, click Synchronize.
    2. Click Create document library.
  4. On the Create Document Library page, in the Name and Description section, do the following:
    1. In the Document library friendly name box, type the display name for the library that you are creating.

      Note The display name cannot exceed 100 characters in length.

    2. In the Document library description box, type the description for the document library.
    3. In the Document library name box, type a word that will be used in the URL of the document library after the server name.

      For example, for a URL of http://AdventureWorks/Adventure, you would type Adventure.

  5. In the Associated Portal Site section, in the Portal site list, select the portal site to associate with this document library.

    The portal site provides search capability and the ability to personalize alerts for users of the document library. Users can get to the document library from the Document Library area on the home page of the portal site.

  6. In the Document Library Contact section, do the following:
    1. In the Contact name box, type the name of the user or group to which you are assigning overall responsibility for the document library.
    2. In the Contact e-mail address box, type the e-mail address for the contact.

      The contact e-mail address can be that of an individual user or a group. This e-mail address will be used as the reply-to address for e-mail messages sent by the document library during document approval routes.

  7. To limit the number of previous major versions of a document to retain when the document is approved, in the Document Versions section, select the Specify version limit check box, and then type a number in the Number of versions to retain box.

    Note This setting does not affect the number of minor versions retained.

  8. Click OK.

    The Operation Status page appears. After the document library is successfully created, the List and Manage Document Libraries page appears.

Related Topics

Server Farm Deployments


Deploying Shared Services

Deploying Shared Services

Shared services are portal site services that are shared across server farms. The services are centrally managed from a single portal site for one or more portal sites on one or more server farms.

You can configure shared services on any of the following topologies:

  • Large server farm
  • Medium server farm
  • Small server farm
  • Single server with Microsoft SQL Server 2000

You cannot configure shared services on the stand-alone configuration.

Note On the child portal sites, ensure that site group rights that affect access to shared services are the same rights as those on the parent portal site.

Security Considerations

The portal site application pool for the child server farm is a member of the db_owner database role in SQL Server on the profile, component settings, and content databases for the parent portal site.

The configuration database administration account for the child server farm is a member of the db_owner database role in SQL Server on the configuration database for the parent server farm.

Operating System and Setup Requirements

Ensure that you have installed Microsoft Windows Server 2003 before you install SharePoint Portal Server.

Deploy shared services

  1. Deploy and configure the parent server farm. For more information, see Deploying a Small Server Farm, Deploying a Medium Server Farm, Deploying a Large Server Farm, or Deploying a Single Server Configuration.
  2. Deploy and configure the child server farm. For more information, see Deploying a Small Server Farm, Deploying a Medium Server Farm, Deploying a Large Server Farm, or Deploying a Single Server Configuration.
  3. Configure the parent server farm to provide shared services. For more information, see Providing Shared Services.
  4. Configure the child server farm to use shared services. For more information, see Using Shared Services.
  5. Back up the parent and child server farms. For more information, see Backing Up Data and Backing Up and Restoring Servers on the Server Farm.

When you are using shared services, the following applies for alternate access settings:

  • You must manually synchronize the alternate access entries for the parent server farm and all child server farms. If you add, change, or delete an alternate access setting entry on the child server farm, you must add, change, or delete that entry on the parent server farm.

    The portal site and document library URLs are generated from the alternate access setting list for the child server farm. Search results use URLs from the alternate access setting list for the parent server farm. Changing an entry in the alternate access setting list (such as changing a default URL, or adding or changing an extranet URL) requires you to do this on both the child server farm and parent server farm.

  • The alternate access entry list in the parent server farm should be a superset of the alternate access entry lists in all child server farms. Each child server farm must keep alternate access entries for its portal sites and document libraries up-to-date.

For more information about alternate access settings, see About Alternate Portal Access Settings.

Related Topics

Shared Services Deployments


Deploying SharePoint Portal Server on the Extranet

Deploying SharePoint Portal Server on the Extranet

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Quick Installation Guide

Quick Installation Guide

System Requirements

System Requirements

Installing Microsoft Office SharePoint Portal Server 2003 on a Single Computer

Installing SharePoint Portal Server with the Database Engine
Installing SharePoint Portal Server without the Database Engine
Installing the Component for Backward-Compatible Document Libraries

Installing Microsoft Office SharePoint Portal Server 2003 on a Server Farm

Deploying a Single Server Configuration
Deploying a Small Server Farm
Deploying a Medium Server Farm
Deploying a Large Server Farm
Deploying Shared Services

Installing the Client Components for Backward-Compatible Document Libraries

Installing the Client Components for Backward-Compatible Document Libraries
Microsoft SharePoint Products and Technologies Documentation


About the Expiration of Trial Software and the Server Date and Time

About the Expiration of Trial Software and the Server Date and Time

The evaluation version of Microsoft Office SharePoint Portal Server 2003 has an evaluation period of 120 days. The evaluation period begins when the evaluation copy of SharePoint Portal Server is installed.

After 120 days, the following error message appears in the event application log: "The evaluation period on this version of SharePoint Portal Server has expired." Server and export data will not be available. Users who search for items on the portal site receive an error message telling them that the search service is unavailable and to contact the administrator of the portal site.

If you are upgrading to SharePoint Portal Server from a server that has an expired copy of the evaluation version of SharePoint Portal Server, you can recover the server and export data that you need to upgrade by changing the date and time on your server to a date within the evaluation period, and then exporting any data that you want to preserve to another server.

Related Topics

Upgrading from an Evaluation Copy
Upgrade Considerations


Installing SharePoint Portal Server with the Database Engine

Installing SharePoint Portal Server with the Database Engine

If you do not want to use Microsoft SQL Server for the database storage, you can install Microsoft Office SharePoint Portal Server 2003 with the SQL Server Desktop Engine. Setup installs the following, in this order:

  • Microsoft Windows SharePoint Services
  • SharePoint Portal Server
  • SQL Server Desktop Engine

During the installation process, setup resets Internet Information Services (IIS). There will be a momentary loss of service on the Web server.

After you complete the setup wizard, a series of Web pages guides you through the initial configuration of the server.

SQL Server Desktop Engine has limited throughput ability and supports databases with a maximum size of 2 gigabytes (GB). If your deployment requires significant scalability or must store more than 2 GB of documents, it is recommended that you use SQL Server in your deployment.

Note Do not install SharePoint Portal Server, Windows SharePoint Services, or SQL Server Desktop Engine by double-clicking the respective .msi files on the SharePoint Portal Server CD. Instead, double-click the file Setup.exe on the root directory of the SharePoint Portal Server CD, or use the following procedure.

You must be logged on to the computer as a member of the local Administrators group to complete this procedure.

Install SharePoint Portal Server with the database engine

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.
  2. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  3. Click Install Microsoft Office SharePoint Portal Server 2003 components.
  4. On the Install Microsoft Office SharePoint Portal Server 2003 page, click Next. A list of the services that will be stopped is displayed. Click OK.

  5. Setup installs Windows SharePoint Services, and then the Welcome to the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page appears.

  6. On the Welcome to the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, click Next.
  7. On the End-User License Agreement page, select the I accept all of the terms in the license agreement. check box, and then click Next.
  8. On the Product Key page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number that you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  9. On the Installation Type and File Location page, do the following:
    1. Click Install with database engine.
    2. To specify a different file location, click Browse, and then specify a location.
    3. Click Next.

    Setup installs SharePoint Portal Server and the SQL Server Desktop Engine.

  10. On the Install Microsoft Office SharePoint Portal Server 2003 page, click Next.
  11. On the Completing the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, click Finish.

Initially configure SharePoint Portal Server with the database engine

  1. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Default Content Access Account section, do the following:
      1. Check the Specify account checkbox
      2. In the User name box, type the account name in the format DOMAIN\user_name.

        This account is an existing Windows account that is used as the default account when creating a content index of content sources. The account must have read access to the content being crawled.

      3. In the Password box, type the password for the account.
      4. In the Confirm Password box, type the password again.
    3. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect using a proxy server.
      • Click Use the proxy server specified, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    4. Click OK.
  2. On the Create Portal Site for Server server_name page, do the following:
    1. In the Portal Creation Options section, click Create a portal.
    2. In the Site Name section, in the Name box, type a name for the portal site.

      This name appears at the top of most portal pages.

    3. In the Site URL section, do the following:
      1. In the Virtual server list, click the virtual server for this portal.
      2. In the URL box, type the URL that users will use to connect to the portal.

        By default, this URL is http://server_name/. If you are not creating the portal on the Default Web Site but on another virtual server, the URL includes the port number, for example, http://server_name:port_number/.

    4. In the Owner section, do the following:
      1. In the Account name box, type the account name for the portal owner in the format DOMAIN\username.

        This account must be a domain account. This account is added to the Administrator site group for the portal site.

        The portal owner manages portal content and user access.

      2. In the E-mail address box, type the e-mail address for the portal owner.
    5. Click OK.
  3. On the Create Portal Confirmation for Server server_name page, click OK to begin creating the portal.

    The Operation Status page appears.

At the end of a successful portal creation, the Operation Successful page appears. You can then further configure the portal.

Related Topics

System Requirements


Installing SharePoint Portal Server without the Database Engine

Installing SharePoint Portal Server without the Database Engine

If you want to use Microsoft SQL Server for the database storage, you can install Microsoft Office SharePoint Portal Server 2003 without the SQL Server Desktop Engine. Setup installs the following, in this order:

  • Microsoft Windows SharePoint Services
  • SharePoint Portal Server

During the installation process, setup resets Internet Information Services (IIS). There will be a momentary loss of service on the Web server.

After you complete the setup wizard, a series of Web pages guides you through the initial configuration of the server.

Note Do not install SharePoint Portal Server or Windows SharePoint Services by double-clicking the respective .msi files on theSharePoint Portal Server CD. Instead, double-click the file Setup.exe on the root directory of the SharePoint Portal Server CD, or use the following procedure.

You must be logged on to the computer as a member of the local Administrators group to complete this procedure.

Install SharePoint Portal Server without the database engine

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.
  2. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  3. Click Install Microsoft Office SharePoint Portal Server 2003 components.
  4. On the Install Microsoft Office SharePoint Portal Server 2003 page, click Next.

    A message about services that will be stopped appears.

  5. If you want to stop the listed services and continue Setup, click OK.

    Setup installs Windows SharePoint Services, and then the Welcome to the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page appears.

  6. On the Welcome to the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, click Next.
  7. On the End-User License Agreement page, select the I accept all of the terms in the license agreement check box, and then click Next.
  8. On the Product Key page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number that you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  9. On the Installation Type and File Location page, do the following:
    1. Click Install without database engine.
    2. To specify a different file location, click Browse, and then specify a location.

      Note If the file locations you specified do not exist, you will be prompted to create them. On the message that appears, click Yes to create the location, or click No to choose another location.

    3. Click Next.

      Microsoft Office SharePoint Portal Server 2003 installs.

  10. On the Microsoft Office SharePoint Portal Server 2003 page requesting account information, do the following:
    1. In the Account name box, type the user account name to be used for administrative operations that create, modify, or grant access to the configuration or portal site databases.

      The account must be a member of the Power Users group on this server. The account must have the Database Creators and Security Administrators server roles on this SQL Server instance. In addition, the account must be a domain account if you have more than one server in your configuration.

      Specifying an account that is a member of the local Administrators group on the server on which you are installing SharePoint Portal Server is not recommended.

      Important The following user rights are granted automatically to this account (the configuration database administration account) on the local server: Replace a process level token, Adjust memory quotas for a process, and Log on as a service. If you change this account by using the Configure Server Farm Account Settings page, the rights are not revoked automatically for the previous account. However, you can remove these rights by using Local Security Settings. To open Local Security Settings, click Start, point to Administrative Tools, and then click Local Security Policy.

      Type the account name in the format DOMAIN\user_name.

    2. In the Password box, type the password for the account.
    3. Click Next.
  11. On the Install Microsoft Office SharePoint Portal Server 2003 page, click Next.

    Note It may take up to one minute for the Next button to become active.

  12. On the Completing the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, click Finish.

Initially configure SharePoint Portal Server without the database engine

  1. On the Configure Server Farm Account Settings page, do the following:
    1. In the Default Content Access Account section, do the following:
      1. Select the Specify account check box.
      2. In the User name box, type the account name in the format DOMAIN\user_name.

        This account is an existing Windows account that is used as the default account when creating a content index of content sources. The account must have read access to the content being crawled.

      3. In the Password box, type the password for the account.
      4. In the Confirm Password box, type the password again.
    2. In the Portal Site Application Pool Identity section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.

        This account must be a domain account. However, if you are installing the single server with SQL Server configuration, this account can be a local account.

      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. Click OK.
  2. On the Specify Configuration Database Settings for server_name page, do the following:
    1. In the Database Connections section, do one of the following:
      • If no configuration database exists, click Create configuration database.
      • If a configuration database already exists, click Connect to existing configuration database.
    2. In the Configuration Database Server section, in the Database server box, type the name of the computer running SQL Server.

      This is the server on which the configuration database will be stored.

      Note If you have a named SQL Server instance, specify both the name of the computer running SQL Server and the SQL Server instance name in the format server_name\SQL_instance_name.

    3. In the Configuration Database Name section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.

      The database and server are configured.

  3. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect by using a proxy server.
      • Click Use the proxy server specified, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    3. Click OK.
  4. On the Configure Server Topology page, click Change Components.
  5. On the Change Component Assignments page, do the following:
    1. In the Component Assignment section, select a check box to assign a component to a server.

      You can assign more than one component to each server.

    2. In the Job Server Component section, in the Job server list, select a job server.
    3. If you have installed the server component for backward-compatible document libraries, in the Document Library Server Component (Optional) section, in the Document library server box, type the name of the server to run the document library server component.
    4. Click OK.
  6. On the Configure Server Topology page, click Close.
  7. On the SharePoint Portal Server Central Administration for server_name page, in the Portal Site and Virtual Server Configuration section, click Create a portal site.
  8. On the Create Portal Site for server_name page, do the following:
    1. In the Portal Creation Options section, click Create a portal.
    2. In the Site Name section, in the Name box, type a name for the portal site.

      This name appears at the top of most portal site pages.

    3. In the Site URL section, do the following:
      1. In the Virtual Server list, click the virtual server for this portal site.
      2. In the URL address box, type the URL that users will use to connect to the portal site.

        By default, this URL is http://server_name/. If you are not creating the portal site on the Default Web Site but on another virtual server, the URL includes the port number, for example, http://server_name:port_number/.

    4. In the Owner section, do the following:
      1. In the Account name box, type the account name for the site owner in the format DOMAIN\user_name.

        This account must be a domain account. This account is added to the Administrator site group for the portal site.

        The site owner manages portal site content and user access.

      2. In the E-mail address box, type the e-mail address for the portal site owner.
    5. Click OK.
  9. On the Create Portal Site Confirmation for server_name page, click OK to begin creating the portal site.

    The Operation Status page appears.

At the end of a successful portal site creation, the Operation Successful page appears. You can then further configure the portal site.

Related Topics

System Requirements


Installing the Component for Backward-Compatible Document Libraries

Installing the Component for Backward-Compatible Document Libraries

You can install the optional component for backward-compatible document libraries on a computer that has Microsoft Office SharePoint Portal Server 2003 installed or on a computer without SharePoint Portal Server installed.

Note Installing the backward-compatible document library components on a computer that is a member of a Microsoft Windows NT Server 4.0 domain will take considerably longer than installing on computers that are members of Microsoft Windows 2000 or Windows Server 2003 domains. This delay does not occur when installing other components of SharePoint Portal Server 2003. The installation may take over an hour to complete, and the computer CPU may show no activity for some of this duration. This is expected, and when Setup is complete, you can use the product normally.

Install the component for backward-compatible document libraries

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.
  2. Do the following to ensure that the proxy server settings for Internet access are specified correctly:
    1. Click Start, point to Control Panel, and then click Internet Options.
    2. In the Internet Properties dialog box, click the Connections tab.
    3. Click LAN Settings.
    4. In the Local Area Network (LAN) Settings dialog box, in the Automatic configuration section, ensure that both check boxes are cleared.
    5. If you use a proxy server, in the Proxy server section, do the following:
      1. Select the Use a proxy server for your LAN (These settings will not apply to dial-up or VPN connections). check box.
      2. Select the Bypass proxy server for local addresses check box.
      3. In the Address box, type a valid proxy server address.
      4. In the Port box, type the port number for the proxy server.
      5. Click Advanced.
      6. In the Proxy Settings dialog box, select the Use the same proxy server for all protocols check box, and then click OK.
    6. Click OK to close the Local Area Network (LAN) Settings dialog box.
    7. Click OK to close the Internet Options dialog box.
  3. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  4. Click Install optional components.
  5. On the installation page for optional components, click Install server and client components for backward-compatible document libraries.
  6. On the Welcome to the Document Library Setup Wizard page, click Next.
  7. On the License Agreement page, read the license agreement. If you agree with the terms of the agreement, click I agree, and then click Next.
  8. On the Product Identification page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  9. On the Document library component of Microsoft Office SharePoint Portal Server 2003 Setup page, type the location on the server where you want to install the program and data files for the document library component.

    Note You can only choose the location for the program files if you are installing the optional components on a server that does not have SharePoint Portal Server installed.

    You can change the installation location for these files by clicking Change Folder.

    SharePoint Portal Server also installs additional required files on the operating system drive. Click Disk Information for information about the amount of disk space required and the amount remaining. If there are existing files in the installation paths, setup removes these files.

    The path must meet the following restrictions:

    • The path name can have a maximum length of 80 characters.
    • The path name can contain only characters in the lower ASCII range.
    • The path cannot point to a root directory. For example, E:\ is not allowed, but E:\Installation is allowed

  10. Click Next.

    A message appears listing the services that will be stopped.

  11. Click OK to stop the services and continue.

    The Component Progress page appears.

  12. On the Completing the Document Library Setup Wizard page, click Finish.

    You might be prompted to restart your computer.

After the setup wizard completes the setup, you must perform the following steps to make the optional document library component functional.

  1. Change component assignments for the server farm.
  2. Create a document library.
  3. Manage security for a backward-compatible document library.

Related Topics

System Requirements


Installing the Client Components for Backward-Compatible Document Libraries

Installing the Client Components for Backward-Compatible Document Libraries

The client components are extensions to Microsoft Windows Explorer and Microsoft Office applications. There is no individual client application. These extensions integrate Microsoft Office SharePoint Portal Server 2003 commands with Windows Explorer and Office applications. Users can also access document libraries (Web Storage System-based) from the portal site without installing the client components, but they will not experience the integration with Windows Explorer and Office applications.

You can install the client components by running setup either from the server or from the SharePoint Portal Server CD. By default, the setup wizard installs client installation files to the following location on the server: Program Files\SharePoint Portal Server\ClientDrop\Languages\Language, where Language corresponds to the language of the client.

Install the client components for backward-compatible document libraries

  1. Log on to the client computer by using an account that is a member of the local Administrators group.
  2. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  3. Click Install optional components.
  4. On the installation page for optional components, click Install client components for backward-compatible document libraries.
  5. On the Welcome to Client Components Setup Wizard page, click Next.
  6. Accept the Terms of Agreement.

    The Install Client Components page appears. This page shows the progress of the installation.

  7. On the Completing the Client Components Setup Wizard page, click Finish.

After you have installed the client components, you must add a Web folder that points to the document library. The address of the document library is http://server_name/document_library_name.

The steps for adding a Web folder vary, depending on your operating system. See your operating system Help for detailed instructions. For example, in Microsoft Windows 2000 Professional or Microsoft Windows XP Professional, go to My Network Places and use the Add Network Place Wizard to add a Web folder. In Microsoft Windows 98, go to Web Folders in My Computer and use Add Web Folder to add a Web folder.

Related Links

System Requirements


Repairing SharePoint Portal Server

Repairing SharePoint Portal Server

You can repair the installation of Microsoft Office SharePoint Portal Server 2003.

Repair SharePoint Portal Server

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.
  2. Click Start, point to Control Panel, and then click Add or Remove Programs.
  3. In the Add or Remove Programs dialog box, click Microsoft Office SharePoint Portal Server 2003.
  4. Click Change.
  5. On the Welcome to the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, click Next.
  6. On the Maintenance Mode Options page, click Repair the server components of Microsoft Office SharePoint Portal Server 2003, and then click Next.

    Windows repairs SharePoint Portal Server.

  7. In the successful completion message box, click OK.


Repairing the Component for Backward-Compatible Document Libraries

Repairing the Component for Backward-Compatible Document Libraries

You can repair the installation of the component for backward-compatible document libraries (Web Storage System-based). Repairing this component automatically repairs the client components as well.

Repair the component for backward-compatible document libraries

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.
  2. Click Start, point to Control Panel, and then click Add or Remove Programs.
  3. In the Add or Remove Programs dialog box, click Microsoft Office SharePoint Portal Server 2003
  4. Doc Library.
  5. Click Change/Remove.
  6. On the Microsoft Office SharePoint Portal Server 2003 Maintenance page, click Repair, and then click Next.

    A message appears listing services that will be stopped.

  7. To stop the services and continue, click OK.

    The Component Progress page appears, and Windows repairs the component for backward-compatible document libraries.

  8. On the Completing the Document Library Setup Wizard page, click Finish.
  9. If you are prompted to restart the computer, click Yes.


Repairing the Client Components for Backward-Compatible Document Libraries

Repairing the Client Components for Backward-Compatible Document Libraries

You can repair the client components for backward-compatible document libraries (Web Storage System-based) of Microsoft Office SharePoint Portal Server 2003 by using Add or Remove Programs in Control Panel. You can also use the command line to repair client components.

Repair the client components for backward-compatible document libraries by using Control Panel

  1. Log on to the client computer as a user with administrator privileges.
  2. Click Start, point to Control Panel, and then click Add or Remove Programs.
  3. In the Add or Remove Programs dialog box, click Client for Microsoft Office SharePoint Portal Server 2003.
  4. Click Change.
  5. On the Welcome to the Client Components Setup Wizard page, click Next.
  6. On the Maintenance Mode Options page, click Repair the client components of the document management component of SharePoint Portal Server, and then click Next.
  7. On the Ready to Repair the Program page, click Install.

    The Install Client Components progress page appears, and Windows repairs the client components.

  8. On the Completing the Client Components Setup Wizard page, click Finish.

Repair the client components for backward-compatible document libraries from the command line

  1. On the taskbar, do one of the following:

    Click Start, point to All Programs, point to Accessories, and then click Command Prompt.

    Or

    Click Start, and then click Run. In the Open field type cmd and click OK.

  2. At the command prompt, type "path\setup" /f "path\SPSClient.msi", where path is the path to the setup.exe and SPSClient.msi files.

    Include the switch /f to repair the client components.

    For example, to repair the client components, where setup.exe and SPSClient.msi are in E:\Client Files, you would type E:\Client Files\setup" /f "E:\Client Files\SPSClient.msi.

Note If you have removed one or more of the installation prerequisites, you cannot repair the client components unless you disable the prerequisite check. You can disable the prerequisite check by adding DISABLEPREREQ=1 to the command line. To disable the prerequisite check in the preceding example, you would type E:\Client Files\setup" /f "E:\Client Files\SPSClient.msi" DISABLEPREREQ=1.


Uninstalling SharePoint Portal Server

Uninstalling SharePoint Portal Server

You can remove Microsoft Office SharePoint Portal Server 2003. Removing SharePoint Portal Server does not remove the component for backward-compatible document libraries (Web Storage System-based).

Removing SharePoint Portal Server does not remove Microsoft Windows SharePoint Services or Microsoft SQL Server Desktop Engine (if installed). To fully remove SharePoint Portal Server, you must remove the following, in this order:

  • SharePoint Portal Server
  • Windows SharePoint Services
  • SQL Server Desktop Engine (if installed)

Warning Most files and subfolders located in installation folders will be removed. All Microsoft SQL Server databases will be detached, but not removed, from the database server. When you remove SharePoint Portal Server, all user data is left in the database files. These files are also left behind if you remove SQL Server Desktop Engine or Microsoft SQL Server.

Uninstall SharePoint Portal Server

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.
  2. Click Start, point to Control Panel, and then click Add or Remove Programs.
  3. In the Add or Remove Programs dialog box, click Microsoft Office SharePoint Portal Server 2003.
  4. Click Change.
  5. On the Welcome to the Microsoft Office SharePoint Portal Server 2003 Setup Wizard page, click Next.
  6. On the Maintenance Mode Options page, click Remove the server components of Microsoft Office SharePoint Portal Server 2003, and then click Next.
  7. In the confirmation message box, click Yes to remove SharePoint Portal Server.
  8. Click OK in the message that appears after SharePoint Portal Server has been removed.

You can now use Add or Remove Programs to remove Windows SharePoint Services and SQL Server Desktop Engine (if installed).

Optionally, after you have removed SharePoint Portal Server, Windows SharePoint Services, and SQL Server Desktop Engine (if installed), you can do the following:

  1. If your installation of SharePoint Portal Server used SQL Server Desktop Engine, delete the folder \Program Files\Microsoft SQL Server\MSSQL$SHAREPOINT on the operating system drive.
  2. If your installation of SharePoint Portal Server used Microsoft SQL Server, do the following:
    1. Remove the following databases associated with SharePoint Portal Server:
      • site_name_PROF
      • site_name_SERV
      • site_name_SITE
      • SharePoint Portal Server configuration database. By default, this database is named SPS_Config_db.
    2. Remove all jobs for the SQL Server instance of SharePoint Portal Server. All relevant jobs are named site_name_SERV Subscription Cleanup.
  3. Remove any application pools that were created by SharePoint Portal Server.

Note When you remove SharePoint Portal Server 2003 or the component for backward-compatible document libraries from a server, some files and registry keys are not removed. For a list of the data that is not removed, search for article 821956 in the Microsoft Knowledge Base.


Uninstalling the Component for Backward-Compatible Document Libraries

Uninstalling the Component for Backward-Compatible Document Libraries

You can remove the component for backward-compatible document libraries (Web Storage System-based).

The setup wizard automatically installs the client components for backward-compatible document libraries. If you remove the component for backward-compatible document libraries, it automatically removes the client components.

During the removal process, Microsoft Office SharePoint Portal Server 2003 requires access to the original installation point to remove the Microsoft Embedded Exchange files. If the original installation point has moved, you can insert the SharePoint Portal Server CD into the CD-ROM drive to continue removing the installation. You can also point to the \Server\Web Storage System directory at the installation point.

Before removing the component for backward-compatible document libraries, you must:

  • Verify that all command prompts are closed.
  • Remove any additional virtual roots mapped to the Web Storage System drive. The Web Storage System is mapped to network drive M by default.

    Note If network drive M is already in use when you install the component for backward-compatible document libraries, the Web Storage System is mapped to another network drive.

When you remove the component for backward-compatible document libraries, all files and folders located in the installation directories are removed, including any user-created or modified files. The removal process also removes all document libraries.

Note You can install the component for backward-compatible document libraries on a computer on which the client components for backward-compatible document libraries are already installed. However, if you remove the component for backward-compatible document libraries, the client components will also be removed, and Web folders will lose the functionality of the client components. To restore functionality, install the client components.

Uninstall the component for backward-compatible document libraries

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.
  2. Click Start, point to Control Panel, and then click Add or Remove Programs.
  3. In the Add or Remove Programs dialog box, click Microsoft Office SharePoint Portal Server 2003 DM Components.
  4. Click Change/Remove.
  5. On the Microsoft Office SharePoint Portal Server 2003 Maintenance page, click Remove, and then click Next.
  6. In the confirmation message box that appears, click Yes to remove the component for backward-compatible document libraries.

    A message appears listing the services that will be stopped.

  7. To stop the services and continue, click OK.

    The Component Progress page appears, and Windows removes the component for backward-compatible document libraries.

  8. On the Completing the Document Library Setup Wizard page, click Finish.
  9. If you are prompted to restart the computer, click Yes.


Uninstalling the Client Components for Backward-Compatible Document Libraries

Uninstalling the Client Components for Backward-Compatible Document Libraries

You can remove the client components for backward-compatible document libraries (Web Storage System-based) by using Add or Remove Programs in Control Panel. You can also use the command line to remove client components.

When you remove the client components, the User's Help (webfoldr.chm) file remains. It replaces the original Web folders Help file.

Uninstall the client components for backward-compatible document libraries by using Control Panel

  1. Log on to the client computer as a user with administrator privileges.
  2. Click Start, point to Control Panel, and then click Add or Remove Programs.
  3. In the Add or Remove Programs dialog box, click Client for Microsoft Office SharePoint Portal Server 2003.
  4. Click Remove.
  5. In the confirmation message box, click Yes to remove the client components.

Uninstall the client components for backward-compatible document libraries by using the command line

  1. In the task bar do one of the following:

    Click Start, point to Programs, point to Accessories, and then click Command Prompt

    or

    Click Start, then click Run. In the Open field type cmd and click OK.

  2. Type "path\setup" switch "path\SPSClient.msi" where path is the path to the setup.exe and SPSClient.msi files.

    Use the /x switch to remove the client components.

    For example, to remove the client components, where setup.exe and SPSClient.msi are in E:\Client Files, you would type E:\Client Files\setup" /x "E:\Client Files\SPSClient.msi.

Note If you have removed one or more of the installation prerequisites, you cannot remove the client components unless you disable the prerequisite check. You disable the prerequisite check by adding DISABLEPREREQ=1 to the command line. To disable the prerequisite check in the preceding example, you would type E:\Client Files\setup" /x "E:\Client Files\SPSClient.msi" DISABLEPREREQ=1.


Upgrading to an Evaluation Copy

Upgrading to an Evaluation Copy

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Upgrading from an Evaluation Copy

Upgrading from an Evaluation Copy

Upgrading to the Final Release of SharePoint Portal Server 2003 from a beta release or evaluation version

If you have installed or upgraded to Microsoft Office SharePoint Portal Server 2003 Beta 2 Technical Refresh, use these instructions to upgrade to the final evaluation or retail release of Microsoft Office SharePoint Portal Server 2003. Upgrading directly from beta releases before upgrading to SharePoint Portal Server 2003 Beta 2 Technical Refresh is not supported.

Note Upgrade to the final release of SharePoint Portal Server 2003 is supported only from SharePoint Portal Server 2003 Beta 2 Technical Refresh for the following language versions of SharePoint Portal Server 2003: English, French, German, and Japanese. The language version before and after the upgrade must be the same.

Important Upgrading to SharePoint Portal Server 2003 is recommended only if your server farm contains data that cannot be easily migrated without upgrading. If possible, install SharePoint Portal Server 2003 without upgrading.

Before Upgrading

Before upgrading, do the following:

  • Follow the procedures in the Backup and Restore section of the Microsoft Office SharePoint Portal Server 2003 Administrator's Guide to back up your server or server farm. Ensure that the content indexes are selected in the SharePoint Portal Server Data Backup and Restore utility.
  • Preserve modifications to .css files by saving the files named sps.css to another location. You will use them to overwrite the version of the files installed during the upgrade. For more information, see Restoring Customizations After Upgrading.
  • Ensure that each computer in the server farm is a member of the same domain, and that the domain controller is correctly configured and connected to the network.
  • Disable all monitoring tools, such as Microsoft Operations Manager 2000, and all antivirus tools until the upgrade is completed. If you do not disable these tools, the upgrade may fail.
  • Uninstall Microsoft Office Components for SharePoint Products and Technologies. If Microsoft Office Components for SharePoint Products and Technologies is installed on the server, you must uninstall it before continuing.
  • If you are upgrading from SharePoint Portal Server 2003 Beta 2 Technical Refresh to the final retail version of SharePoint Portal Server 2003, make sure that you have the CD product key ready before continuing.

    Important You must enter the CD product key when prompted. If you click Cancel on that page, the upgrade will fail and you must restore your server to the most recent backup image.

    Running the upgrade program from a network share is not supported. The upgrade must be run from the CD or copied to the local computer and run from the command line.

Upgrading the Previous Release of SharePoint Portal Server 2003

If you are upgrading a server farm installation, follow these steps for each server in the server farm on which SharePoint Portal Server 2003 is installed. Ensure that the upgrade process has completed on the current server before attempting to upgrade the next server. Also, you must upgrade all computers running as front-end Web servers before you upgrade the other computers in the server farm. If you have a stand-alone SQL Server instance in your server farm, these steps do not need to be followed for this server.

Note Upgrade any server farms providing shared services before attempting to upgrade server farms that use shared services. After upgrading the server farm providing shared services, restart the computers in the server farm and ensure that shared services are working before upgrading the server farms using those shared services.

  1. Insert the SharePoint Portal Server 2003 CD into your CD drive.

    Note Running upgrade from a network share is not supported. Upgrade must be run from the CD or copied to the local computer and run from the command line.

    Important If you are upgrading from SharePoint Portal Server 2003 Beta 2 Technical Refresh to the final retail version of SharePoint Portal Server 2003, make sure that you have the CD product key ready before continuing. You must enter the CD product key when prompted. If you click Cancel on that page, upgrade will fail and you will have to restore your server to the most recent backup image.

  2. If you are upgrading a server farm installation from the \SPS\Upgrade folder of the SharePoint Portal Server 2003 CD, run "stopservices.cmd". You must run "stopservices.cmd" on each server of your server farm at this time.
  3. From the Autorun window that appears when you insert the SharePoint Portal Server 2003 CD, click Upgrade. Follow the instructions.

    If you are upgrading from the command line on the local computer and only the \SPS\Upgrade directory is copied to the local computer, you must specify the path to the copies of the CD files when running SPSUpgrade.exe from the command line. The command line syntax is SPSUpgrade \\fileserver\directory for CD files. If all of the files on the CD are copied to the local computer, simply run SPSUpgrade.exe from the local computer.

    Note When you are asked to restart Windows before upgrade is finished, restart the computer that you are upgrading. Upgrade will continue automatically after you restart. Do not upgrade any other computers until upgrade is finished on the current computer. For single-server installations, restart the computer upon completion of the upgrade application. For server farm installations, click Finish on the final page of the upgrade application. You will be prompted to restart the computer. Restart each computer only after upgrade has completed on all computers in the server farm.

Each time you run upgrade, on the final page of upgrade, you must provide the current user name and password for the configuration database administration account. Entering a new or different user name and password for the account is not supported.

If upgrade cannot complete for any reason, check the upgrade log files and resolve any issues. Then restart upgrade from the CD without using the Autorun window.

Important After you have successfully upgraded to SharePoint Portal Server 2003, it is recommended that you back up all of the servers in the server farm and restore them to computers with new, non-upgraded installations of SharePoint Portal Server 2003. This reduces the amount of obsolete information on your servers, such as unused files, data, or registry keys.

Upgrading from a Beta Version of SharePoint Portal Server 2003 Previously Upgraded from SharePoint Portal Server 2001

Upgrading to the final release of SharePoint Portal Server 2003 from any beta version of SharePoint Portal Server 2003 that was upgraded from SharePoint Portal Server 2001 can result in loss of data or reduced functionality, and is not supported.

To upgrade to the final release of SharePoint Portal Server 2003, you must perform an upgrade directly from SharePoint Portal Server 2001 to the final release of SharePoint Portal Server 2003. Any changes made after the upgrade to the beta version of SharePoint Portal Server 2003 will be lost.

Upgrading the Optional Document Library Components from a Previous Version of SharePoint Portal Server 2003

If you are upgrading to SharePoint Portal Server 2003 from a previous version of SharePoint Portal Server 2003 that included the optional document library components, you must also upgrade the optional document library components:

  1. Insert the SharePoint Portal Server 2003 CD into your CD drive.

    Note Installing the document library components from a network share is not supported. You must use the CD or copy the files to your local computer and install from there.

  2. On the taskbar, click Start, and then click My Computer.
  3. In My Computer, browse to the Optional\Server directory on the CD, and then click Setup.exe.

Note After the optional document library components are upgraded, all existing workspaces are upgraded. The status of the upgraded workspaces is available in Event Viewer. Wait until all workspaces are upgraded before using backward-compatible document libraries.

Upgrading Services and Application Pool Accounts

Upgrading of services and application pool accounts, which occurs at the end of the overall upgrade process, can take as long as 30 to 45 minutes on server farms with large numbers of users or large amounts of data. Do not cancel the upgrade when this occurs. The upgrade should complete successfully.

Restoring Customizations after Upgrading

Some customizations are lost when you upgrade from an evaluation version of SharePoint Portal Server 2003. These include modifications to template files for areas and sites, as well as modifications to the cascading style sheets (.css) files used for the portal site.

To preserve modifications to .css files, you can save the files named sps.css to another location, and then use them to overwrite the version of the files installed during the upgrade. The files can be found in the following locations:

  • <drive>:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\Template\Layouts\1033\Styles\sps.css
  • <drive>:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\Template\Admin\1033\SPS\Styles\sps.css

The other template files are located under the folder at:

  • <drive>:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\Template\Admin\1033

If you save all of the files in these folders that you have customized, you will retain all of the customizations for your portal site.


Upgrading from Microsoft SharePoint Portal Server 2001

Upgrading from Microsoft SharePoint Portal Server 2001

You can upgrade to Microsoft SharePoint Portal Server 2003 from SharePoint Portal Server 2001 by using the upgrade tool provided on the product CD.

It is important to back up and restore the data on the SharePoint Portal Server 2001 computer to another computer before upgrading to SharePoint Portal Server 2003. This computer must have the same version of SharePoint Portal Server 2001, including service packs, updates, and language packs. Any differences between the two computers may result in a failed backup and restore.

The upgrade tool exports data from the SharePoint Portal Server 2001 computer. After installing Microsoft Windows Server 2003 and taking other steps to upgrade your server, you run the upgrade tool again to make final changes.

You finish upgrading SharePoint Portal Server 2001 to SharePoint Portal Server 2003 by running the content import tool.

Important Upgrading from SharePoint Portal Server 2001 to a pre-release version of SharePoint Portal Server 2003 is not recommended for production servers, and upgrade to the release version of SharePoint Portal Server 2003 from a pre-release version is not supported.

Some data from SharePoint Portal Server 2001 is imported during upgrade, but cannot be used in SharePoint Portal Server 2003. This includes but may not be limited to portal customization and most SharePoint Portal Server 2001 custom Web Parts.

Security roles are exported from SharePoint Portal Server 2001 but are not imported to SharePoint Portal Server 2003. You can keep this information as a record to use when deciding how to assign users to site groups.

Search scopes from SharePoint Portal Server 2001 are not imported to SharePoint Portal Server 2003.

After completing an upgrade to SharePoint Portal Server 2003, you will not be able to back up and restore the client components for backward-compatible document libraries.

The portal content and dashboard folders are not deleted during upgrade and appear in the Documents area of the portal site. After you have migrated all of the content from these folders, it is recommended that you delete the folders.

Upgrading from SharePoint Portal Server 2001 to SharePoint Portal Server 2003

Supported upgrade scenarios from SharePoint Portal Server 2001

Upgrade from SharePoint Portal Server 2001 Service Pack 2 or later to SharePoint Portal Server 2003 is supported in the following circumstances:

  • Upgrade from all versions of SharePoint Portal Server 2001 Service Pack 2 or later is supported, including evaluation versions.
  • The language version for SharePoint Portal Server 2003 must be the same as the language version for SharePoint Portal Server 2001. English, French, German, Spanish, Italian, and Japanese are supported.
  • You must upgrade the operating system from Windows 2000 Server to Windows Server 2003 after exporting data from SharePoint Portal Server 2001 and before completing the upgrade of SharePoint Portal Server.

Note Upgrading to the final release of SharePoint Portal Server 2003 from any beta version of SharePoint Portal Server 2003 that was upgraded from Microsoft SharePoint Portal Server 2001 can result in loss of data or reduced functionality, and is not supported. To upgrade to the final release of SharePoint Portal Server 2003, you must perform an upgrade directly from SharePoint Portal Server 2001 to the final release of SharePoint Portal Server 2003. Any changes made after the upgrade to the beta version of SharePoint Portal Server 2003 will be lost.

Backing up and restoring SharePoint Portal Server 2001

Before you upgrade to SharePoint Portal Server 2003, you must back up and restore the SharePoint Portal Server 2001 server computer's settings to another computer running SharePoint Portal Server 2001. For more information on backup and restore in SharePoint Portal Server 2001, see Administrator's Help for SharePoint Portal Server 2001.

Important Do not use the Windows Backup utility to back up the server. Although the backup process is completed, the utility does not back up all required data for SharePoint Portal Server 2001. A subsequent restore using this utility fails.

You must be a member of the local administrators group to complete this procedure.

  1. On the taskbar, click Start, point to All Programs, point to Accessories, and then click Command Prompt.
  2. Change directories to the SharePoint Portal Server \Bin directory. The location of this directory depends on the location of the SharePoint Portal Server installation directory.
  3. Specify a network access account with rights to the computer to which you plan to restore this installation of SharePoint Portal 2001. To specify this account, type MSDMBack /a domain\user_password and then press ENTER. You need to specify this account only once.
  4. Type MSDMBack /b path_to_backup_file_name [password] and then press ENTER. The /b switch indicates that this is a backup procedure.

    For example, if you want to back up to the C:\DailyBackup directory, and you want the backup file name to be AdventureBackup1, the path_to_backup_file_name parameter is C:\BackupDaily\AdventureBackup1. The DailyBackup directory must exist and the AdventureBackup1 file must not exist before you run the script.

    The MSDMBack utility displays a dialog box with a status bar. If you want to cancel the backup process, click Abort.

  5. On the taskbar of the computer to which you are restoring SharePoint Portal 2001, click Start, select All Programs, select Accessories, and then click Command Prompt.
  6. Change directories to the SharePoint Portal Server \Bin directory. The location of this directory depends on the location of the SharePoint Portal Server installation directory.
  7. Type MSDMBack /r path_to_backup_file_name [password] [/o]

    The /r switch indicates that this is a restore procedure. The optional /o switch indicates that the restoration should put the full-text indexes in the original location of the backup source, not in the current default location.

    For example, if you want to restore from the AdventureBackup1 file in the C:\DailyBackup directory, the path_to_backup_file_name parameter is C:\BackupDaily\AdventureBackup1.

    The MSDMBack utility displays a dialog box with a status bar. If you want to cancel the restore process, click Abort.

  8. Create scheduled content source updates. The backup image does not include any scheduled content source updates from Windows 2000 Scheduled Tasks. You must recreate these content sources on the restored server. You must also restore any shortcuts to workspaces in My Network Places.

Exporting data from SharePoint Portal Server 2001

Before you export data from SharePoint Portal Server 2001, there are several considerations:

  • You cannot export data from SharePoint Portal Server 2001 after you have upgraded your operating system to Windows Server 2003.
  • If you export data to an external hard disk, search data is not exported unless the search service account has write access to that location.
  • Ensure that all category names for SharePoint Portal Server 2001 are 100 characters or less in length and do not use the following names:
    • Projects
    • Topics
    • News
    • Divisions
    • Resources
    • Strategy
    • Locations

    You must rename all categories that are longer than 100 characters or that use these names. If you do not rename these categories, they will not be properly imported as areas for SharePoint Portal Server 2003.

You must be a member of the local administrators group to complete this procedure.

To export data from SharePoint Portal Server 2001:

  1. Create the folder that you want to use to store exported data from the SharePoint Portal Server 2001 computer.
  2. Insert the SharePoint Portal Server 2003 CD into your CD-ROM drive.
  3. Click Exit, and then browse to the root directory of the CD by using My Computer.
  4. On the root directory of the SharePoint Portal Server 2003 CD, double-click Upgrade.exe.
  5. On the Export Server Data page, type the location of the folder that you want to use to store exported data. If you want, you can help protect the security of this information by typing a password.
  6. Click Next.
  7. When your data is exported, a message appears telling you that you must install Windows Server 2003. Click OK.

Upgrading your server to Windows Server 2003 and installing related components.

You must be a member of the local administrators group to complete this procedure.

  1. Install Windows Server 2003. For more information on installing Windows Server 2003, see the documentation for Windows Server 2003.
  2. Install the same language packs for Windows Server 2003 that were installed with your previous operating system.
  3. On the taskbar, click Start, select Administrative Tools, and then click Computer Management.
  4. On the Computer Management page, click Services and Applications, and then click Services.
  5. In the Services list, right-click World Wide Web Publishing Service, click Properties, and then under Startup type, click Automatic.
  6. In the Services list, right-click World Wide Web Publishing Service, and then click Start.
  7. On the taskbar, click Start, select Control Panel, and then click Add or Remove Programs.
  8. On the Add or Remove Programs page, click Add/Remove Windows Components.
  9. In the Windows Component Wizard, click Application Server in the components list, and then click Details.
  10. On the Application Server page, select ASP.NET, and then click OK.
  11. Click Next to begin installation of ASP.NET.
  12. After installation, click Finish and then close the Add or Remove Programs page.
  13. On the taskbar, click Start, select Administrative Tools, and then click Internet Information Services (IIS) Manager.
  14. On the IIS Manager page, click the server, and then click Web Service Extensions.
  15. In Web Service Extensions, click ASP.NET, and then click Allow.

Installing SharePoint Portal Server

You must be a member of the local administrators group to complete this procedure.

Note If the SharePoint Portal Server 2001 configuration that you are upgrading to SharePoint Portal Server 2003 has more than 15 workspaces, you must configure your SharePoint Portal Server 2003 server in a shared services configuration. For more information, see the Administrator's Guide.

  1. Insert the SharePoint Portal Server 2003 CD into your CD-ROM drive.
  2. At the message that appears that asks you to read this documentation before upgrading to SharePoint Portal Server 2003, click OK.
  3. Click Exit, and then browse to the root directory of the CD by using My Computer.
  4. On the root directory of the SharePoint Portal Server 2003 CD, double-click Upgrade.exe.
  5. The Upgrade Progress page shows the progress of installation. The document management components are installed, followed by the installation of SharePoint Portal Server 2003.

    Note It is strongly recommended that you monitor the progress of installation until it is complete. Delays during Setup can lead to errors in the installation. Also, to avoid errors, install SharePoint Portal Server to the default location.

    Troubleshooting problems with upgrade installations of SharePoint Portal Server2003

    Upgrading from Microsoft SharePoint Portal Server 2001 can be difficult, and occasional problems may occur. The following problems are relatively common, but if you follow the instructions below your upgrade should succeed.

    If the overall progress bar stops progressing, store.exe may have stopped responding. To check and fix this problem:

    1. In Windows Task Manager, on the Processes tab, check the resources used by store.exe. If the CPU resources for store.exe are at 0 for more than a minute, the program has stopped responding.
    2. Open a command prompt window, and then type net stop msexghangeis /y. Wait one minute to allow this change to occur.
    3. In Windows Task Manager, click store.exe, and then click End Process.
    4. In the command prompt window, type net start msdmserv. Wait a few minutes, and upgrade will continue.

  6. On the Configure Server Farm Account Settings page, under Default Content Access Account, select Configure Default Content Access Account, and then type a user name and password for an account to use when crawling content sources. The account must have rights to read the content being crawled.

    Note If this page does not appear correctly, click Start on the taskbar, click Run, type iisreset, and then click OK. Then refresh the page.

Importing data from SharePoint Portal Server 2001

Important If you are upgrading to a deployment that uses a document management server with a different URL than you used for SharePoint Portal Server 2001, you must change the name of the document management server before importing data from SharePoint Portal Server 2001.

If you do not change the name, the links to areas will be broken.

You must be a member of the SharePoint administrators group or the local administrators group to complete this procedure.

  1. On the title bar of the portal site, click Site Settings.
  2. On the Site Settings page, in the Portal Site Content section, click Import SharePoint Portal Server 2001 data.
  3. On the Import SharePoint Portal Server 2001 Data page, type the location of the import file, and then click OK.

Related Topics

Upgrading from an Evaluation Copy
Upgrading to an Evaluation Copy
Upgrading from SharePoint Team Services
Upgrade Considerations
Quick Installation Guide


Upgrading from SharePoint Team Services 1.0 from Microsoft

Upgrading from SharePoint Team Services 1.0 from Microsoft

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Using the Import Tool

Using the Import Tool

The content import tool is used to import data from Microsoft SharePoint Portal Server 2001 document libraries as part of the process of upgrading to SharePoint Portal Server.

Before you can run the content import tool, you must complete the other steps of upgrading to SharePoint Portal Server, including exporting data from SharePoint Portal Server 2001. For more information on upgrading from SharePoint Portal Server 2001 to SharePoint Portal Server, see Upgrading from Microsoft SharePoint Portal Server 2001.

Some data from SharePoint Portal Server 2001 is imported during upgrade, but cannot be used in SharePoint Portal Server. This includes portal customization, and most SharePoint Portal Server 2001 custom Web Parts.

To use the document management capabilities of SharePoint Portal Server 2001, you must install the optional components for backwards-compatible document libraries.

Note The backward-compatible document libraries that you import from SharePoint Portal Server 2001 are called workspaces in SharePoint Portal Server 2001. They are distinct from the document libraries provided by Microsoft Windows SharePoint Services and SharePoint Portal Server. References to "workspaces" while importing content refer to backward-compatible document libraries.

Import data from SharePoint Portal Server 2001

You must be a member of the SharePoint administrators group or the local administrators group to complete this procedure.

  1. On the title bar of the portal site, click Site Settings.
  2. On the Site Settings page, in the Portal Site Content section, click Import Microsoft SharePoint Portal Server 2001 data.
  3. On the Import SharePoint Portal Server 2001 Data page, type the location of the import file, and then click OK.

Related Topics

Upgrading from Microsoft SharePoint Portal Server 2001


Automated and Remote Installation

Automated and Remote Installation

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


About Security Credentials Used in the Server Farm

About Security Credentials Used in the Server Farm

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Granting Administrative Access to the Server Farm

Granting Administrative Access to the Server Farm

The following two levels of server administration exist:

  • Users who are members of the local Administrator group on each server in the server farm can perform all administrative functions.
  • Users who are members of the SharePoint administrators group but are not members of the local Administrators group can perform maintenance-level tasks only. For example, such users cannot perform tasks such as creating or deleting a portal site, or creating or disconnecting a configuration database.

To enable a user to be a server farm administrator for Microsoft Office SharePoint Portal Server 2003, you must add that user to the local Administrators group on each server in the server farm.

Grant administrative access to the server farm

  1. On the taskbar, click Start, point to Administrative Tools, and then click Computer Management.
  2. Under System Tools, expand Local Users and Groups, and then click Groups.
  3. Right-click Administrators, and then click Add to Group.
  4. In the Administrators Properties dialog box, click Add.
  5. In the Select Users, Computers, or Groups dialog box, in the Enter the object names to select box, type the name of the user account or group account that you want to add to the group, and then click OK.
  6. Click OK to close the Administrators Properties dialog box.

You can also add users to the SharePoint administrators group. Members of this group do not need to be members of the local Administrators group to perform administration tasks for SharePoint Products and Technologies. However, the SharePoint administrators group cannot perform the following actions:

  • Extend or unextend a virtual server.
  • Change the SharePoint administrators group.
  • Manage paths (inclusions and exclusions).
  • Change the configuration database.

You can specify the SharePoint administrators group from the Set SharePoint administrative group account link in the Security Configuration section on the SharePoint Portal Server Central Administration for server_name page. For information about the SharePoint administrators group, see Managing the SharePoint Administrators Group.


Managing the SharePoint Administrators Group

Managing the SharePoint Administrators Group

Two sets of users are allowed to perform administrative functions for Microsoft Windows SharePoint Services: members of the administrators group for the local server computer and members of the SharePoint administrators group. The SharePoint administrators group is a Microsoft Windows NT domain group that is registered with Windows SharePoint Services. Members of this domain group can perform Central Administration tasks without having to be given administrator rights to the local server computer. This is particularly useful in a server farm, because you can grant rights across the server farm, rather than individually for each computer in the server farm. This is also useful for applications that call into the administrative object model for Windows SharePoint Services. If the application process can be configured to run as a member of the SharePoint administrators group, it can create new sites, modify quota values for sites, and so on.

Note To manage the SharePoint administrator's group, you must be a member of the Administrators group of the local server computer.

Members of the SharePoint administrators group do not have access to the Internet Information Services (IIS) metabase or to the local server's file system, so they cannot perform the following actions for Windows SharePoint Services:

  • Extend virtual servers (they can, however, create top-level Web sites or change settings for a virtual server).
  • Remove Windows SharePoint Services from a virtual server.
  • Manage paths.
  • Change the SharePoint administrators group.
  • Change the configuration database settings.
  • Use the Stsadm.exe command-line tool.

Members of the SharePoint administrators group can perform any other administrative action using the HTML Administration pages or object model for Windows SharePoint Services. For example, members of the group can view and manage all sites created on their servers. This means that a member of the SharePoint administrators group can read documents or list items, change survey settings, delete a site, or perform any action on a site that the site administrator can perform.

Specify the SharePoint administration group

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Security Configuration, click Set SharePoint administration group.
  3. In the Group account name box, type the domain group you want to allow to administer Windows SharePoint Services.
  4. Click OK.

Changing the Group or Changing Group Membership

You can only register one domain group as the SharePoint administrators group, so if you want to include other members, you must add them to the group using the user and group management tools for your domain. If you want to change which group is registered, you can follow the steps to specify a group and specify a different domain group. When you specify a new group, the old group's rights are removed, and the members of that group can no longer manage the servers running Windows SharePoint Services.


Granting Access to the Portal Site

Granting Access to the Portal Site

After you have created a portal site, you can give users access to the portal site by assigning users to site groups. The following site groups are installed by default, and you can also create custom site groups.

  • Reader Allows users to search, view, and browse content in the site.
  • Member Allows users to submit listings and create personal sites.
  • Contributor Allows users to submit content to areas in the site to which they are granted rights.
  • Web Designer Allows users to change layout and settings on a Web page to which they are granted rights.
  • Administrator Allows users full control of the Web site.
  • Content Manager Allows users to manage all settings and content in an area to which they are granted rights.

You can adjust access to areas of the portal site by assigning users to a site group for a specific area.

Local users and groups added to a site group in a server farm deployment of Microsoft Office SharePoint Portal Server 2003 must be located on a front-end Web server.

Any attempt to add a local user or group from a computer that is not a front-end Web server will fail with the error message "The User does not exist."

Grant access to the portal site
  1. On the Site Settings page, in the General Settings section, click Manage users.
  2. On the Manage Users page, click Add Users.
  3. On the Add Users: portal_site_name page, in the Step 1: Choose Users section, in the Users box, type an e-mail address or account name.

    Tips

    • Separate multiple entries with semicolons.
    • Type account names in the format DOMAIN\user_name.
    • To find users from Microsoft Active Directory directory service, click Select users and groups.
  4. In the Step 2: Choose Site Groups section, select the check box for each site group to which you want to assign a user, and then click Next.
  5. In the Step 3: Confirm Users section, verify the e-mail address, user name, and display name for each user that you entered in the Step 1: Choose Users section.
  6. In the Step 4: Send E-mail section, do the following:
    1. If you want to send an e-mail message to users telling them that they have been granted access, select the Send the following e-mail to let these users know they've been added check box.

      Note Before you can send e-mail, the server farm administrator must configure the e-mail server settings from the SharePoint Portal Server Central Administration for server_name page.

    2. If you want to customize the message, type your changes in the Subject and Body boxes.
  7. Click Finish.

Related Topics

Managing Site Groups and Permissions


Changing Access Accounts and Passwords

Changing Access Accounts and Passwords

Microsoft Office SharePoint Portal Server 2003 uses the following accounts:

  • Configuration database administration account
  • CentralAdminAppPool application pool account
  • Portal site application pool identity
  • Default content access account
  • Override account for crawling
  • User profile import account
  • Single sign-on service account

SharePoint Portal Server grants access to an existing account in Microsoft SQL Server. You can remove any old accounts manually.

Important Accounts must be changed on each server in the server farm that has SharePoint Portal Server installed.

Configuration Database Administration Account

This account is requested during setup when you select the Install without database engine option.

This account will be used by SharePoint Central Administration functions to access and modify settings in the configuration database and in all databases for the portal site (people profile, content, and component settings databases).

The account must be a member of the Power Users group on the server on which you installed SharePoint Portal Server. The account must have the Database Creators and Security Administrators server roles on the SQL Server instance. In addition, the account must be a domain account if you have more than one server in your configuration.

Important The following user rights are granted automatically to this account (the configuration database administration account) on the local server: Replace a process level token, Adjust memory quotas for a process, and Log on as a service. If you change this account by using the Configure Server Farm Account Settings page, the rights are not revoked automatically for the previous account. See step 5 (Revoke rights from the old configuration database administration account) in the following procedure to remove these rights.

Note Changing the configuration database administration account requires you to reenter the password for the default content access account and for all rules that include or exclude content. Failure to do so causes crawls to fail.

Note If you change this account on a server farm that uses shared services, you must grant the new account access to search and index resources on the parent server farm. For information about how to do this, see Providing Shared Services.

Note If the password for this account expires and must be changed, or is reset, perform the procedure in the "CentralAdminAppPool Application Pool Account" section later in this document on the CentralAdminAppPool application pool before performing the following procedure.

Note If you change the user name of the configuration database administration account, add the new account as a member of the local Administrators group on the document library server.

Change the configuration database administration account

  1. If you are using SQL Server, change the account and password for the MSSQLSERVER service and the SQLSERVERAGENT service.

    1. On the task bar, click Start, point to Administrative Tools, and then click Services.
    2. On the Services management console, double-click MSSQLSERVER.
    3. Click the Log On tab.
    4. Click This account.
    5. In the This account box, type the user name in the format DOMAIN\user_name.
    6. In the Password and Confirm password boxes, type the new password.
    7. Click OK.
    8. Click OK on the message box that appears.
    9. Right-click MSSQLSERVER, and then click Stop.
    10. If prompted, click Yes to stop the other services.
    11. Right-click MSSQLSERVER, and then click Start.
    12. Double-click SQLSERVERAGENT.
    13. Click the Log On tab.
    14. Click This account.
    15. In the This account box, type the user name in the format DOMAIN\user_name.
    16. In the Password and Confirm password boxes, type the new password.
    17. Click OK.

  2. If you are changing the user name, give the user the security permissions in SQL Server.

    1. On the computer running SQL Server, open SQL Server Enterprise Manager.
    2. Expand the Microsoft SQL Servers node.
    3. Expand the SQL Server Group node.
    4. Expand the (local) (Windows NT) node.
    5. Expand the Security node.
    6. Click Logins, and then do one of the following:
      • If the logon name does not exist, right-click Logins, click New Login, and then in the Name box, type the account for the user in the format DOMAIN\user_name.
      • If the logon name already exists, right-click the logon name, and then click Properties.
      • Click the Server Roles tab.
      • In the Server Role section, select the Database Creators and Security Administrators check boxes.
      • Click OK.
      • Close SQL Server Enterprise Manager.

    7. If you are moving the portal site to a different domain, do the following before you perform step 4:

      1. Give the user the security permissions in SQL Server. To do this, see step 2 above.
      2. Add the user to IIS_WPG group. To do this:
        1. On the taskbar, click Start, point to Administrative Tools, and then click Computer Management.
        2. In the console tree, under the System Tools node, expand the Local Users and Groups node.
        3. Click Groups.
        4. Double-click IIS_WPG.
        5. In the IIS_WPG Properties dialog box, click Add.
        6. Add the user.
      3. Change the CentralAdminAppPool application pool identity to the new configuration database administration account. For more information, see "CentralAdminAppPool Application Pool Account" later in this document.
      4. Open a command prompt, type iisreset, and then press ENTER.

    8. Change the configuration database administration account.

      1. On the SharePoint Portal Server Central Administration for server_name page, in the Server Configuration section, click Configure Server Farm Account Settings.
      2. On the Configure Server Farm Account Settings page, in the Configuration Database Administration Account section, do the following:
        1. Select the Specify account check box.
        2. If you are changing the user name, in the User name (DOMAIN\user name) box, type the new user name.
        3. In the Password box, type the password for the account.
        4. In the Confirm password box, type the password again.
      3. Click OK.

    9. Optionally, revoke rights from the old configuration database administration account.

      1. Revoke the Replace a process level token, Adjust memory quotas for a process, and Log on as a service rights from the old account. To do this:
        1. On the taskbar, click Start, point to Administrative Tools, and then click Local Security Policy.
        2. In Local Security Settings, under Security Settings, expand the Local Policies node.
        3. Click User Rights Assignment.
        4. In the details pane, do the following for the policies Replace a process level token, Adjust memory quotas for a process, and Log on as a service:
          1. Double-click the policy.
          2. On the properties page for the policy, click the old account.
          3. Click Remove.
          4. Click OK to close the properties page.
      2. Remove the old account from the IIS_WPG, SPS_WPG, and STS_WPG local groups. To do this, repeat the following procedure for each of the three groups:
        1. On the taskbar, click Start, point to Administrative Tools, and then click Computer Management.
        2. In the console tree, under the System Tools node, expand the Local Users and Groups node.
        3. Click Groups.
        4. Double-click IIS_WPG, SPS_WPG, or STS_WPG.
        5. In the properties dialog box for the group, click the old account to remove.
        6. Click Remove.
        7. Click OK to close the dialog box.
      3. Revoke rights to the search service from the old account. Do the following on each search server:
        1. Copy srchperm.vbs from the SPS\Files\PFiles\SPS\Bin directory on the SharePoint Portal Server CD to the search server.
        2. Open command prompt.
        3. Navigate to the location of srchperm.vbs on the search server.
        4. Type cscript //h:cscript and then press ENTER.
        5. Type srchperm.vbs REMOVE DOMAIN\user_name and then press ENTER, where DOMAIN\user_name is the old account.
      4. Remove the security permissions for the old account from SQL Server. To do this:
        1. On the computer running SQL Server, open SQL Server Enterprise Manager.
        2. Expand the Microsoft SQL Servers node.
        3. Expand the SQL Server Group node.
        4. Expand the (local) (Windows NT) node.
        5. Expand the Security node.
        6. Click Logins.
        7. In the details pane, right-click the name of the old account, and then click Properties.
        8. Click the Server Roles tab.
        9. In the Server Role section, clear the Database Creators and Security Administrators check boxes.
        10. Click the Database Access tab.
        11. Remove the db_owner database role from the configuration database and from the profile (_PROF), component settings (_SERV), and content (_SITE) databases for each portal site. You must also remove the database role from the single sign-on database, if that database exists. Do the following for each database:
          1. In the Specify which databases can be accessed by this login section, select the database.
          2. In the Database roles for database_name section, clear the db_owner check box.
        12. Click OK.
        13. Close SQL Server Enterprise Manager.

    CentralAdminAppPool Application Pool Account

    By default, this account is the same as the configuration database administration account specified by the user at the end of setup.

    You need to change this account only if the password for the CentralAdminAppPool application pool expires or is reset.

    Change the CentralAdminAppPool application pool account

    1. On the task bar, click Start, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
    2. On the Internet Information Services management console, expand the tree view.
    3. Expand Application Pools.
    4. Right-click CentralAdminAppPool, and then click Properties.
    5. Click the Identity tab.
    6. Click Configurable.
    7. In the User name box, type the user name in the format DOMAIN\user_name.
    8. In the Password box, type the new password, and then click OK.
    9. In the Confirm Password dialog box, type the password, and then click OK.
    10. Close the Internet Information Services management console.

    Portal Site Application Pool Identity

    This account is used by the default application pool (MSSharePointPortalAppPool) created by SharePoint Portal Server to contain all portal sites.

    This account must be a domain account. However, if you are installing the single server with SQL Server configuration, this account can be a local account. This account must also be a member of the db_owner database role in SQL Server on the configuration database.

    Note If you change this account on a server farm that uses shared services, you must grant the new account access to search and index resources on the parent server farm. For information about how to do this, see Providing Shared Services.

    Note If you change this account on a server farm that has a document library server, add the new account as a member of the local Administrators group on the document library server.

    Change the portal site application pool identity

    1. On the SharePoint Portal Server Central Administration for server_name page, in the Server Configuration section, click Configure Server Farm Account Settings.
    2. On the Configure Server Farm Account Settings page, in the Portal Site Application Pool Identity section, do the following:
      1. Select the Change account settings check box.
      2. If you are changing the user name, in the User name (DOMAIN\user name) box, type the new user name.
      3. In the Password box, type the password for the account.
      4. In the Confirm password box, type the password again.
    3. Click OK.

    Default Content Access Account

    This account is the default account used when creating a content index of content sources. The account must have read access to the content being crawled.

    Change the default content access account

    1. On the SharePoint Portal Server Central Administration for server_name page, in the Server Configuration section, click Configure Server Farm Account Settings.
    2. On the Configure Server Farm Account Settings page, in the Default Content Access Account section, do the following:
      • Select the Specify account check box.
      • In the User name (DOMAIN\user name) box, type the user name in the format DOMAIN\user_name.
      • In the Password box, type the password for the account.
      • In the Confirm Password box, type the password again.
    3. Click OK.

    Override Account for Crawling

    This is an optional account that you can specify for rules that include and exclude content to override the default content access account.

    This account must have access to crawl whatever site or path the rule describes.

    Change the override account for crawling

    1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
    2. On the Configure Search and Indexing page, do one of the following:
      • If you have not enabled advanced search administration, in the General Content Settings and Indexing Status section, click Exclude and Include Content.
      • If you have enabled advanced search administration, do the following:
        1. In the Content Indexes section, click Manage content indexes.
        2. On the Manage Content Indexes page, click the name of the index.
        3. On the Manage Index Properties page, click Manage rules to exclude and include content.
    3. On the Exclude and Include Content page, rest the pointer on the rule or group of rules, and then click the arrow that appears.
    4. On the menu that appears, click Edit.
    5. On the Edit Rule page, in the Specify Authentication section, click Specify crawling account.
    6. In the Account box, type the account in the format DOMAIN\user_name.
    7. In the Password box, type the password for this user name.

      Your password is protected and can be used only to access the resources for the purpose of crawling content.

    8. In the Confirm password box, type the password for this user name again.
    9. To prevent Basic authentication from being used, select the Do not allow Basic authentication check box.
    10. Click OK.

    User Profile Import Account

    This is an optional account that is used for crawling Microsoft Active Directory directory service to import people profiles. The following procedure applies to a server farm configuration or a single server with SQL Server configuration. The procedure does not apply to the stand-alone configuration.

    The account must have read access to Microsoft Active Directory directory service. In addition, the portal site application pool identity account must have read access to Active Directory.

    Change the user profile import account

    1. On the Site Settings page, in the User Profile, Audiences, and Personal Sites section, click Manage profile database.
    2. On the Manage Profile Database page, click Configure profile import.
    3. On the Configure Profile Import page, in the Access Account section, do the following:
      • In the Account name box, type the user name in the format DOMAIN\user_name.
      • In the Password box, type the new password.
      • In the Confirm password box, type the new password again.
    4. Click OK.

    Single Sign-On Service Account

    This account is required only if you are configuring single sign-on. This account is the account that you specify when you enable the single sign-on service. You must change the password on each front-end Web server and on the job server.

    For information about the access requirements for this account and how to specify them, see Specifying Settings for Single Sign-On and Application Definitions.

    Change the single sign-on service account

    1. Back up the encryption key. For more information, see Backing Up the Encryption Key.
    2. Choose an account that meets access requirements. For more information, see Specifying Settings for Single Sign-On and Application Definitions.
    3. Change the service account. Do the following:
      1. On the task bar, click Start, point to Administrative Tools, and then click Services.
      2. On the Services management console, double-click Microsoft Single Sign-on Service.
      3. Click the Log On tab.
      4. Click This account.
      5. In the This account box, type the user name in the format DOMAIN\user_name.
      6. Type the new password in the Password and Confirm password boxes.
      7. Click OK.
      8. On the message box that appears, click OK.
      9. Right-click Microsoft Single Sign-on Service, and then click Stop.
      10. Right-click Microsoft Single Sign-on Service, and then click Start.
    4. Configure single sign-on, specifying the existing single sign-on database. For more information, see Specifying Settings for Single Sign-On and Application Definitions.
    5. Restore the encryption key. For more information, see Restoring the Encryption Key.

    Note If you need to change only the password of the service account, you need to follow only the third step, specifying the new password and restarting the service on the job server and on all front-end Web servers.


Enabling Secure Sockets Layer

Enabling Secure Sockets Layer

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Using Server and Client Certificates for SSL

Using Server and Client Certificates for SSL

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Managing Anonymous Access Settings

Managing Anonymous Access Settings

You can allow or deny anonymous users access to your portal site.

To enable anonymous access, you must first enable anonymous access from Internet Information Services (IIS). You can enable this access for the portal site directly, or create a virtual server and enable anonymous access for the virtual server. If you enable anonymous access for the portal site directly, you lose the ability to authenticate users, so it is recommended that you enable anonymous access through a virtual server.

After enabling anonymous access in IIS, you can then allow or deny anonymous access by using the Change Anonymous Access Settings page.

To create and extend a virtual server, you must be a member of the local administrators group. To enable anonymous access or manage anonymous access settings, you must be an Administrator on the portal site, or a member of the local administrators group.

Enable Anonymous Access for a Virtual Server

It is recommended that you enable anonymous access to the portal through a virtual server. After creating a portal site:

Create a virtual server

  1. On the taskbar, click Start, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. In Internet Information Services (IIS) Manager, click the node for the computer containing the portal site, and then click Web Sites.
  3. On the Action menu, point to New, and then click Web Site.
  4. On the Welcome to the Web Site Creation Wizard page, click Next.
  5. On the Web Site Description page, type a description for the virtual server, and then click Next.
  6. On the IP Address and Port Settings page, type a TCP port such as 8080, and then click Next.
  7. On the Web Site Home Directory page, click Browse.
  8. On the Browse For Folder page, browse to the folder where you want to create the virtual server, and then click Make New Folder to type the name of the virtual server. Click OK to return to the wizard.
  9. Click Next until you see the final page of the wizard, and then click Finish.

Extend the virtual server

  1. On the navigation bar of the portal site, click Site Settings.
  2. On the Site Settings page, in the General Settings section, click Go to SharePoint Portal Server central administration.
  3. On the SharePoint Portal Server Central Administration for server_name page, in the Portal Site and Virtual Server Configuration section, click Extend an existing virtual server from the Virtual Server List page.
  4. On the Virtual Server List page, click the virtual server that you created in the previous procedure.
  5. On the Extend Virtual Server page, in the Provisioning Options section, click Extend and map to another virtual server .
  6. On the Extend and Map to Another Virtual Server page, in the Application Pool section, click Use an existing application pool.
  7. Click OK.

Enable anonymous access for the virtual server

  1. On the taskbar, click Start, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. In Internet Information Services (IIS) Manager, click the node for the computer containing the portal site, click the node for Web Sites, and then click the virtual server.
  3. On the Action menu, click Properties.
  4. Click the Directory Security tab.
  5. In the Authentication and access control section, click Edit.
  6. On the Authentication Methods page, select the Enable anonymous access check box, and then click OK.
  7. Click OK.

After you finish these steps, you can manage anonymous access from the Site Settings page. Users can access the portal anonymously by typing http://portal:port number. To access the portal while using normal authentication, users can still access the portal by typing http://portal.

Enable Anonymous Access Without Using a Virtual Server

You can also enable anonymous access without using a virtual server. However, if you do this you lose the ability to authenticate users, so it is not recommended.

Enable anonymous access without using a virtual server

  1. On the taskbar, click Start, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. In Internet Information Services (IIS) Manager, click the node for the computer containing the portal site, click the node for Web Sites, and then click Default Web Site.
  3. On the Action menu, click Properties.
  4. Click the Directory Security tab.
  5. In the Authentication and access control section, click Edit.
  6. On the Authentication Methods page, select the Enable anonymous access check box, and then click OK.
  7. Click OK.

Manage anonymous access settings

  1. On the Site Settings page, in the General Settings section, click Manage security and additional settings.
  2. On the Manage security and additional settings page, in the Users and Permissions section, click Change anonymous access settings.
  3. On the Change Anonymous Access Settings page, do one of the following:
    • To allow anonymous users to access areas and content on your portal site, click Areas and content.
    • To allow anonymous users to access areas and content on your portal site and to perform searches, click Areas, content and search.
    • To prevent anonymous users from accessing anything on your portal site, click Nothing.
  4. Click OK.
  5. Do the following on each front-end Web server that is using network load balancing:
    1. On the taskbar, click Start, point to All Programs, point to Accessories, and then click Command Prompt.
    2. Type iisreset and then press ENTER.


Managing Users and Cross-Site Groups

Managing Users and Cross-Site Groups

Every Web site has users, and part of your job as administrator is to make sure the users of a Web site have the appropriate rights to use the site. To grant access to a site, users must be added to the site (either individually or as part of a cross-site group) and assigned to a site group. In Microsoft Windows SharePoint Services, users and cross-site groups can be added by using one of two modes:

  • Domain account mode — Used inside organizations to grant access to users and groups with existing domain accounts
  • Active Directory account creation mode — Used by Internet service providers to create unique accounts for customers

In Microsoft Office SharePoint Portal Server 2003, only Domain account mode is supported.

About Domain Account Mode

If you are using Windows SharePoint Services inside an organization that uses Microsoft Windows domain accounts, you can use domain account mode for user and cross-site group accounts. With domain account mode, you add users and cross-site groups to your site using their existing domain account information, including their account names and e-mail addresses. And you can add Microsoft Windows NT domain groups to your site, which is not possible in Active Directory account creation mode. Domain account mode is the standard mode for Windows SharePoint Services. Note that you can use Active Directory directory service to manage domain accounts — the difference between the modes is the type of account you use and when they are created, not the tool you use to manage them.

Using HTML Administration Pages to Manage Users and Cross-Site Groups

The steps for adding users and cross-site groups are the same, no matter which account mode you are using. Using either method, you can manage users and cross-site groups from the Site Settings page for your Web site.

To manage users and cross-site groups, you follow the Manage users link on the Site Settings page to the Manage Users page. By using this page, you can view a list of users and cross-site groups, check which site group a user or cross-site group is assigned to, add new users and cross-site groups, delete users and cross-site groups, or assign users and cross-site groups to site groups. When you add new users or cross-site groups, you also have the option to send an e-mail message to them, inviting them to use the site. You can even include a custom message in the invitation e-mail message. For example, you can describe your site and what it should be used for, or add a personal message to the default e-mail invitation.

Note If you do not see the Manage users link on your Site Settings page, you are probably in a subsite that uses the permission settings of a higher-level Web site of the server or virtual server. To work with user accounts and permissions, either go to the parent-level Web site, or change to using unique permissions for the subsite. For more information about subsite permissions, see Managing Site Groups and Permissions.

If you want to view which site groups a user is a member of, you use the Manage Users page.

View site group membership for a user or cross-site group
  • On the Web site you want to manage, click Site Settings.
  • On the Site Settings page, under Administration, click Manage users.

    The users and cross-site groups added to the Web site and the site groups they are a member of are displayed on the Manage Users page.

From the Manage Users page, you can change which site group a user or cross-site group is a member of.

Change site group membership for a user or cross-site group
  1. On the Manage Users page, select the check box next to the user or cross-site group name you want to change.
  2. Click Edit Site Group of Selected Users.
  3. In the Site Group Membership area, select the site group you want the user or cross-site group to be a member of.
  4. Click OK.

You can also add new users and cross-site groups to your site from the Manage Users page.

Add a new user or cross-site group
  1. On the Manage Users page, click Add Users.
  2. In the Step 1: Choose Users section specify the users that you would like to add, separated by semicolons. You can enter:
    • E-mail addresses (for example, someone@example.com)
    • User names (for example, DOMAIN\user_name)
    • Microsoft Active Directory directory service security group names (for example, DOMAIN\security_group_name)
    • Domain group names (for example, DOMAIN\group_name)
    • Cross-site group names (for example, Accounting)

    Notes

    • When running Windows SharePoint Services in a server farm, you cannot add local accounts.
    • Local accounts must exist before you attempt to add them. Windows SharePoint Services does not create local accounts like SharePoint Team Services v1.0 does.
  3. In the Step 2: Choose Permissions section, select the site group that the user or group will belong to, and then click Next.
  4. In the Step 3: Confirm Users section, verify the e-mail addresses, user names, and display names.
  5. In the Step 4: Send E-mail section, if you want to send an invitation, select Send the following e-mail to let these users know they've been added, and type the subject and body text information to send in the e-mail message.
  6. Click Finish.

You can delete users or cross-site groups from all site groups by using the Manage Users page. Note that this does not delete the user or cross-site group account, but does remove all rights to the Web site.

Add all users from an e-mail distribution list

Note To complete the steps in this section you must have a Windows SharePoint Services-compatible address book program such as Microsoft Office Outlook 2003 installed on the computer you are running.

  1. On the Web site you want to manage, click Site Settings.
  2. On the Site Settings page, in the Administration section, click Manage Users.
  3. On the Manage Users page, click Add Users.
  4. In the Step 1: Choose Users section, click Address Book.
  5. Select the distribution list you want to add from the address book.

    Note You can add only distribution lists that reside on the same e-mail server as your current e-mail account. For example, in Outlook, the names of distribution lists that reside on the same e-mail server appear in bold text.

    The list of users from the distribution list appears in the Users field.
  6. In the Step 2: Choose Permissions section, select the site group to which you want to add the members of the distribution list, and then click Next.
  7. In the Step 3: Confirm Users section, verify the e-mail addresses, user names, and display names.
  8. In the Step 4: Send E-mail section, if you want to send an invitation, select Send the following e-mail to let these users know they've been added, and type the subject and body text information to send in the e-mail message.
  9. Click Finish.

Note Adding or removing users from the e-mail distribution list will not add or remove them from the site. You must manually add or remove users from the site after changing your distribution list membership.

Delete a user or cross-site group from all site groups
  1. On the Manage Users page, select the check box next to the user or cross-site group you want to delete.
  2. Click Remove Selected Users.
  3. On the confirmation message that appears, click OK to remove the users.

Managing Users in a Site Collection

Every Web site with unique permissions has a Manage Users page that the site's administrator can use to add, modify, or delete users. In addition to this page, the top-level Web site in a Web site collection also includes a page that server administrators or the site collection administrator can use to view and delete users. This page lists all users for the site collection, including the users of the top-level Web site and users of any subsites in the site collection. When you remove a user from this list, the user is removed from all sites and subsites in the site collection.

Remove a user from a top-level Web site
  1. On the top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. On the Top-Level Site Administration page, under Site Collection Administration, click View site collection user information.
  4. Select the check box next to the user you want to remove, and then click Remove Selected Users.

Managing Users from SharePoint Central Administration

If you are an administrator on the server computer or a member of the SharePoint administrators group, you may have administrative rights to change settings on the Site Settings page for any individual site on your server. What happens when a top-level Web site owner leaves your organization, or a user must be added to or removed from a site that you do not have administrative rights for? The SharePoint Central Administration page includes a link for managing users for sites even if the administrator does not have rights to the site. You can add users or cross-site groups, remove users or cross-site groups, change site group membership, and change owners, without having to be an administrator on a specific site. You do, however, need to know the URL for the site, and the specific user name that you want to change.

Change the owner of a site collection
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Security Configuration, click Manage site collection owners.
  3. On the Manage Site Collection Owners page, in the Site URL box, type the URL to the site, and then click View.

    The information for the current site owner and secondary owner is automatically filled in on the page when you click View.

  4. In the Site Owner section, in the User name box, type the account name for the new owner.
  5. If you have a new secondary contact name, type the account name in the Secondary Owner section.
  6. Click OK.

If you are an administrator on the server computer, and need to change the owner of a site that you do not have administrative access to, you can make the change from the SharePoint Central Administration page.

Add a new site user or group
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, in the Security Configuration section, click Manage Web site users.
  3. On the Manage Web Site Users page, in the Site URL box, type the URL to the site, and then click View.
  4. In the Add a User section, specify the users that you would like to add, separated by semicolons. You can enter:
    • E-mail addresses (for example, someone@example.com)
    • User names (for example, DOMAIN\name)
    • Microsoft Active Directory directory service security group names (for example, DOMAIN\security_group_name)
    • Domain group names (for example, DOMAIN\group_name)
    • Cross-site group names (for example, Accounting)

    Notes

    • When running Windows SharePoint Services in a server farm, you cannot add local accounts.
    • Local accounts must exist before you attempt to add them. Windows SharePoint Services does not create local accounts like SharePoint Team Services v1.0 does.
  5. In the Display name box, type the full name.
  6. In the E-mail address box, type the e-mail address.
  7. In the Site group box, select a site group to which to add the user or group, and then click Add User.

You can also delete a user or change a user's site group membership from this page.

Delete a site user or change site group membership
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Security, click Manage Web site users.
  3. On the Manage Web Site Users page, in the Site URL box, type the URL to the site, and then click View.
  4. In the Change Existing User section, in the Account name box, type the user account you want to change or delete, and then click View user.
  5. To change site group membership, select the check box for the site group you want the user to be a member of, and then click Update.
  6. To remove the user from all site groups, click Delete User.

Using the Command Line to Manage Users

You can add a user account to your site by using the adduser operation. The adduser operation takes the url, userlogin, useremail, username, and role parameters, plus the optional parameter siteadmin. You use the siteadmin parameter to specify that the user is the site collection administrator or owner of the site collection.

For example, to add User1 as an administrator for http://server1/site1 in domain account mode, you would type:

stsadm.exe -o adduser –url http://server1/site1
–userlogin DOMAIN1\User1 -useremail user1@domain.com
-username "User 1" -role administrator

You use the deleteuser operation to remove users from a site. The deleteuser operation takes the url and userlogin parameters. To remove User1 from http://server1/site1, you would type:

stsadm.exe -o deleteuser –url http://server1/site1
–userlogin DOMAIN1\User1

You can assign a user to a site group from the command line by using the userrole operation. The userrole operation takes the url, userlogin, role, and add or delete parameters. For example, to add the user User1 to the Contributor site group for site http://server1/site1, you would type:

stsadm.exe -o userrole –url http://server1/site1 –userlogin DOMAIN1\User1
-role contributor -add

Note that this does not remove the user from any site groups they were previously members of.

Related Topics

For information about creating, editing, or deleting site groups and controlling Web site permissions, see Managing Site Groups and Permissions.

For more information about security, see "Windows SharePoint Services Security Model" in the Windows SharePoint Services Administrator's Guide .

With Windows SharePoint Services, you can set quotas and determine how many new user accounts can be created for each virtual server. For more information about setting quotas, see Configuring Site Quotas and Locks.


Managing Site Groups and Permissions

Managing Site Groups and Permissions

When you set up a Web site, you need a way to specify who has access to it. For a typical Internet site, you probably want everyone who comes to the site to be able to view your content, but you don't want them to be able to change that content. For a company intranet site, you may want a few people controlling the structure of the site, but many more people who can add new content or participate in group calendars or surveys. For an extranet, you want to carefully control which people can view the site at all. Generally, access to Web sites is controlled by combining user accounts with a permissions structure that controls the specific actions users can perform.

Microsoft Office SharePoint Portal Server 2003 provides the ability to control site access through the following means:

  • Site groups

    Site groups let you specify which of your users can perform specific actions on your site. For example, a user who is a member of the Contributor site group can add SharePoint Portal Server area listings or content, such as the Task list or a document library.

  • Anonymous access control

    For SharePoint Portal Server, anonymous users can only view content and possibly perform searches, depending on how rights are configured. They cannot contribute in any way.

    Most Internet Web sites allow anonymous viewing of the site but may ask for authentication when someone wants to edit the site or buy an item on a shopping site.

    Note You can also grant access to "all authenticated users" to allow all members of your domain to access a Web site, without having to enable anonymous access.

  • Per-area permissions

    You can manage permissions on a per-area basis. For example, if you have an area containing sensitive financial data for the next fiscal year, you can restrict access to that area so that only the appropriate users can view it. Per-area permissions override portal site–level permissions.

    Areas can either use the same permissions as the parent portal area (inheriting both the site groups and users available on the parent area) or use custom permissions assigned to site groups or individual users of that area.

  • Site creation rights

    There are three rights that control whether users can create team sites or areas: Create Sites, Create Personal Site, and Create Areas.

Defining Site Groups

SharePoint Portal Server uses site groups to manage site-wide security. Each user is a member of at least one site group. Each site group possesses corresponding rights. Rights are actions that users can perform, such as Manage Areas. With SharePoint Portal Server, you can use the following default site groups: Guest, Reader, Contributor, Member, Web Designer, Content Manager, and Administrator. In addition, SharePoint Portal Server allows you to edit the rights assigned to a site group, create a new site group, or delete an unused site group. You manage site groups in SharePoint Portal Server with either HTML Administration pages or the command-line administration tool. Note that you cannot change the rights assigned to the Guest and Administrator site groups, and you cannot assign users directly to the Guest site group.

Note It is possible to add user accounts to an area without assigning them to a site group.

SharePoint Portal Server includes the following site groups by default:

  • Guest Has limited rights to view pages and specific page elements. Use this site group to give users access to a particular page or list without granting them rights to view the entire site. You cannot add users explicitly to the Guest site group; users who are given access to lists or document libraries by way of per-list permissions are automatically added to the Guest site group. You cannot customize or delete the Guest site group.
  • Reader Has rights to view items, view pages, and perform searches. A reader cannot create Web sites. The ability to create portal sites requires the Create Site permission, which a reader doesn't have. Members, however, can create their own personal sites.
  • Member Has Reader rights, plus rights to add items, personalize Web Parts, use alerts, and create personal sites.
  • Contributor Has all rights of the Members site group plus the following: Edit Items, Delete Items, Manage Personal Views, and Browse Directories. Contributors cannot create new areas, but they can add and edit area listings and content to existing areas. In contrast to Microsoft Windows SharePoint Services, the SharePoint Portal Server contributor cannot create cross-site groups.
  • Content Manager Has all Contributor rights, plus the following: Cancel Checkout, Add and Customize Pages, Create Area, and Manage Area rights.
  • Web Designer Has all Content Manager rights, plus the Apply Style Sheets and Manage Portal Site rights. Web Designers can cancel check-out, delete items, manage areas, add and customize pages, define and apply themes and borders, and link style sheets. They can modify the structure of the site and create new area listings and content (which includes SharePoint Portal Server lists and document libraries).
  • Administrator Has all Web Designer rights, plus the following: Manage Area Permissions, Manage Alerts, Manage User Profiles, Manage Audiences, and Manage Search. The Administrator site group cannot be customized or deleted, and there must always be at least one member of the Administrator site group. Members of the Administrator site group always have access to, or can grant themselves access to, any item on the portal site.

SharePoint Portal Server maintains a list of site groups for your Web site. SharePoint Portal Server only maintains a set of site groups for the portal site. If a user is added to a site group, that user has rights to all areas that site group is assigned rights to. By default, all site groups and rights are inherited from the root area.

For a complete list of user rights and to see which are included in each site group by default, see User Rights and Site Groups.

Customizing Rights for Site Groups

You can create a new site group or customize an existing site group (except for the Guest and Administrator site groups, which cannot be customized) to include only the rights you want. For example, if you want only the Web Designers to be able to edit lists on the site, you can remove the Edit Items right from the Contributor site group.

Some rights depend on other rights. You must be able to view items before you can edit items. In the same way, if you add a right that requires another right, the required right is also added. So, if you grant the Edit Items right to a user, the View Items right is granted automatically.

Note For more information about dependencies in user rights, see User Rights and Site Groups.

Security and User Rights

User rights grant users the ability to perform certain actions on your portal site, or in a particular area of that site, and restrict other users from performing those actions. Some rights do not completely restrict certain actions. The Apply Style Sheet right allows users to make changes to the portal site or an area of that site. Any user with the Add and Customize Pages right, however, can perform the same changes on a page-by-page basis in the actual HTML code. Be aware that if you give a user the Add and Customize Pages right (by assigning him or her to a site group that contains the right), you are also giving that user the ability to change the theme, border, and style sheets for individual pages on your portal site.

When you assign rights to site groups, be sure that you assign the appropriate rights and do not unintentionally allow members of the site group to perform more actions than you want on your portal site. Conversely, be sure that members of the site group are not unintentionally restricted from performing the actions they need to perform.

Managing Site Groups

You can manage site groups from the Manage site security and additional settings page for your portal site. To manage site groups, on the Site Settings page, follow the Manage security and additional settings link to the Manage security and additional settings page. Then, in the Users and Permissions section, click Manage site groups to get to the Manage Site Groups page. On this page, you can view a list of site groups, change which rights are included in a site group, add a new site group, or delete a site group.

View a list of site groups
  1. On the Site Settings page for your portal site, in the General Settings section, click Manage security and additional settings.
  2. On the Manage security and additional settings page, click Manage site groups.

    The site groups available for the portal site are displayed on the Manage Site Groups page.

You can add new site groups for use on your site from the Manage Site Groups page.

Add a new site group
  1. On the Manage Site Groups page, click Add a Site Group.
  2. In the Site Group Name and Description section, type the name and description for your new site group.
  3. In the Rights section, select the rights you want to include in the new site group.
  4. Click OK.

You can create a new site group based on an existing site group.

Edit an existing site group
  1. On the Manage Site Groups page, click the site group you want to change.
  2. On the Members of Site group name page, click Edit Site Group Permissions.
  3. On the Change Site Group Rights page, select the rights you want to include and clear any rights that you do not want.
  4. Click OK.

If you find that a site group is not used, you can delete the site group.

Delete an existing site group
  1. On the Manage Site Groups page, select the check box next to the site group you want to delete.
  2. Click Delete Selected Site Groups.
  3. When a confirmation dialog box appears, click OK to confirm your changes.

Assigning Per-Area Permissions

SharePoint Portal Sever provides the ability to control permissions on a per-area basis. If you have sensitive information stored in an area and you do not want to expose the information to all members of your portal site, you can set permissions for just that area to control which users can view, edit, or add items to it. You can grant permissions to area listings or content to individual users, to groups of users, or to a site group. Per-area permissions work for any area listing or content in an area (for example, Announcements, Tasks, Shared Documents, and so on).

Area permissions can be changed by any user who has the Manage Area Permissions right (by default, included in the Administrator site group) or Full Control permissions for that area. By default, all members of an area (all users assigned to a site group, except for the Guest site group) have access to all area content, including portal listings, lists, and document libraries. Each site group has a predefined level of permissions for all area listings and content. The default area-level permissions are:

  • View listings (given to the Reader site group by default)
  • View, insert, edit, delete listings (given to the Contributor site group by default)
  • View, insert, edit, delete listings; change area and list settings (given to the Web Designer site group by default)
  • View, insert, edit, delete listings; change area and list settings; change area security

In addition, you can set advanced permissions, which allows you to grant any of the following rights for a user or site group:

  • View Area: View an area and its contents. Given to the Reader site group by default.
  • View Pages: View pages in an area.
  • Add Items: Add items to lists, add documents to document libraries, add Web Discussion comments. Given to the Contributor site group by default.
  • Edit Items: Edit items in lists, edit documents in document libraries, customize Web Part pages in document libraries. Given to the Contributor site group by default.
  • Delete items from a list, documents from a document library, and Web discussion comments in documents. Given to the Contributor site group by default.
  • Manage Personal Views: Create, change, and delete personal views of lists. Given to the Contributor site group by default.
  • Add/Remove Personal Web Parts: Add or remove Web Parts on a personalized Web Part Page.
  • Update Personal Web Parts: Update Web Parts to display personalized information.
  • Cancel Check-Out: Check in a document without saving the current changes. Applies only to document libraries. Given to the Web Designer site group by default.
  • Add and Customize Pages: Add, change, or delete HTML pages or Web Part Pages; edit the portal site by using a Windows SharePoint Services–compatible editor.
  • Create Area: Create an area on the portal site.
  • Manage Area: Delete or edit the properties for an area on the portal site. Given to the Web Designer site group by default.
  • Manage Area Permissions: Add, remove, or change user rights for an area.
  • Apply Style Sheets: Apply a style sheet (.css file) to an area or the portal site.
  • Browse Directories: Browse directories in an area.

Note Members of the Administrator site group always have the highest level of permissions for all area content including portal site listings, lists, and document libraries. You cannot change list or document library permissions for the Administrator site group. Also, any site group that has the View Items right (such as Reader) can continue to see the list name, description, number of items, and time when the list was last modified, even though they cannot view the list contents directly.

To control permissions for an area, go to the area itself or to the Manage Security Settings for Area Area Name page.

View permissions for an area
  1. Navigate to the area for which you want to view permissions, and then in the Actions list, click Manage Security.

  2. The Manage Security Settings for Area Area Name page displays the users and groups that have access to the area, and shows the permissions level each user or group is assigned.

You can change the area permissions for all members of a particular site group or for a user by modifying site group or user permissions.

Change area permissions for a particular site group
  1. Navigate to the portal area for which you want to change permissions, and then in the Actions list, click Manage Security.
  2. On the Manage Security Settings for Area Area Name page, select the check box next to the site group you want to change.
  3. Click Edit.
  4. On the Edit Rights on Area Area Name page, select the level of permissions to allow, and then click OK.

You can also grant permissions to individual users, or to user groups, instead of to all members of a site group. Remember that when you grant users or groups permissions to a specific area on your portal site, they are added to the Guest site group if they are not already members of the site. Note that members of the Guest site group cannot navigate to a page within the site unless you give them the exact page URL.

Assign area permissions to a specific user or group
  1. From your site, navigate to the area for which you want to assign permissions, and then in the Actions list, click Manage Security.
  2. On the Manage Security Settings for Area Area Name page, click New User.
  3. In the Users or Groups section, type the network domain name or e-mail address for the user or group you want to assign permissions.
  4. In the Rights section, select the level of permissions for the user or group.
  5. Click OK.

If you want to restrict your area to a specific set of users, you must both grant access to the individual users and remove access from other site members.

Remove area permissions for a user, group, or site group
  1. Navigate to the area for which you want to remove permissions, and then in the Actions list, click Manage Security.
  2. On the Manage Security Settings for Area Area Name page, select the check box next to the site group, user, or group you want to remove permissions for, click Remove Permissions, and then click OK.

If you no longer want to use custom permissions for a particular area, you can reset the permissions to use the portal site's general permissions.

Controlling Anonymous Access to a Portal Site

If you want all authenticated users of your intranet to be able to access your portal site, rather than adding each user individually or in groups, you can configure your site to allow all users on your network rights to use the site. You can also specify which site group (either Reader or Contributor) to assign to all authenticated users.

If you want users to be able to access your site anonymously, you can configure your site to allow anonymous access. Anonymous access is used to allow users to browse sites without authenticating (a standard Internet scenario).

Setting Up Anonymous Access for Your Portal Site

Anonymous access is disabled by default and is set up at the portal site level. However, you can configure each individual area for anonymous access. For example, after setting up anonymous access for the portal site and turning it on at the portal site level, the administrator has the option of setting individual areas to be anonymously accessible.

By default, if the inheritance is not broken, an area allows anonymous access. If you want to allow anonymous access (such as for an Internet site, where you want visitors to be able to browse without authenticating), you must enable anonymous access by assigning rights to the anonymous user. After creating your portal site, if you want to enable users to access your portal site anonymously, you must first create a virtual server using Internet Information Services (IIS) and then extend and map the original authenticated server to the new one. All authenticated users use the original server, while the anonymous server is used by anonymous users only.

Anonymous access in SharePoint Portal Server works differently than in Windows SharePoint Services. In Windows SharePoint Services, you enable anonymous access for your site by first enabling it in IIS, and then by navigating to the SharePoint Central Administration page and enabling anonymous access. Users are then able to access the home page of the portal site without being authenticated. Site administrators can choose whether to log on and activate an authentication dialog box for new users.

In contrast, to enable anonymous access with SharePoint Portal Server, you must create a second virtual server, extend it, map it to the original portal site, and configure it to be anonymous. To access a SharePoint Portal Server site configured for anonymous access, users have a separate URL and are not prompted for authentication credentials. They can just browse the portal site, and also search if the search feature is configured for anonymous access.

Create a virtual server in IIS
  1. Log on as a local administrator.
  2. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  3. Expand local computer.
  4. Right-click Web Sites, click New, and then click Web Site.

    The Web Site Creation Wizard appears.

  5. Click Next.
  6. On the Web Site Description page, type a description (for example, vserver1), and then click Next.
  7. On the IP Address and Port Setting page, enter a TCP port name (for example, 8080), and then click Next.
  8. On the Web Site Home Directory page, click Browse to select the folder you want to put the virtual server in (for example, <root>\inetpub\wwwroot).
  9. In the Browse For Folder dialog box, click Make New Folder, and then name the new folder (for example, Anonymous). Click OK, and then click Next.
  10. On the Web Site Access Permissions page, select a check box to set the access permissions for the site, click Next, and then click Finish.

You may need to restart IIS for this change to take effect. After anonymous access has been turned on for the virtual server in IIS, you can enable anonymous access for a specific area.

Extend the site and map to another virtual server
  1. On your site, click Site Settings.
  2. In the General Settings section, click Go to SharePoint Portal Server central administration.
  3. On the SharePoint Portal Server Central Administration page, in the Portal Site and Virtual Server Configuration section, click Extend an existing virtual server from the Virtual Server List page.
  4. On the Virtual Server List page, click the virtual server you created in the previous procedure.
  5. On the Extend Virtual Server page, in the Provisioning Options section, click Extend and map to another virtual server.
  6. On the Extend and Map to Another Virtual Server page, in the Server Mapping section, select the original portal you want to configure anonymous access for (for example, Default Web Site). In the Application Pool section, click Use an existing application pool, and then select MSSharePointPortalAppPool.
  7. Click OK. If an authentication dialog box appears prompting you for credentials, type the user name and password of the account used by MSSharePointPortalAppPool, and then click OK. Repeat this step for any subsequent authentication dialogs that appear.
Enable anonymous access for the virtual server in IIS
  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Expand local computer, and then click Web Sites.
  3. Right-click the Web site you just created for anonymous access, and then click Properties.
  4. Click the Directory Security tab.
  5. In the Authentication and access control section, click Edit.
  6. In the Authentication Methods dialog box, select the Enable anonymous access check box.
  7. Click OK to apply the change, and then close the Authentication Methods dialog box.
  8. Click OK again to close the properties dialog box.
Enable anonymous access for the portal site
  1. On your portal site, click Site Settings.
  2. On the Site Setting page, in the General Settings section, click Manage security and additional settings.
  3. On the Manage security and additional settings page, in the Users and Permissions section, click Change anonymous access settings.
  4. On the Anonymous Access page, select a level of access to allow. Ensure that the setting is not set to Nothing.
  5. Click OK.
Configure alternate access mapping
  1. On your portal site, click Site Settings.
  2. On the Site Settings page, in the General Settings section, click Go to SharePoint Portal Server central administration.
  3. On the SharePoint Portal Server Central Administration page, in the Portal Site and Virtual Server Configuration section, click Configure alternate portal site URLs for intranet, extranet, and custom access.
  4. On the Configure Alternate Portal Access Settings page, rest the pointer on the site for which you want to change the access settings, click the arrow that appears, and then click Edit.
  5. On the Change Alternate Access Setting page, in the Custom URL box, type the anonymous access URL (for example, http://portal name:anonymous port number), and then click OK to save the changes.

Note You check your anonymous access settings by opening your browser and typing http://portal:8080. You should not be prompted for credentials.

Perform an iisreset
  1. Click Start, and then click Run.
  2. In the Open box, type cmd, and then click OK.
  3. In the command prompt window, type iisreset, and press ENTER.

Changing Anonymous Access Settings for Your Portal Site

After anonymous access is set up for your portal site, you must turn on anonymous access settings for the portal site so users can access the portal site anonymously. There are three anonymous settings:

  • Areas and content The user has View Area and View Pages rights for specific areas.
  • Areas, content and search The user has View Area and View Pages rights for specific areas and also has search rights for the portal site.
  • Nothing Anonymous access for the entire portal site is turned off: users cannot access the portal site anonymously, although it is configured.
Change anonymous access for the portal site
  1. On your portal site, click Site Settings.
  2. On the Site Settings page, in the General Settings section, click Manage security and additional settings.
  3. On the Manage security and additional settings page, in the Users and Permissions section, click Change anonymous access settings.

    Note This link only appears after anonymous access is configured for the portal site.

  4. On the Change Anonymous Access Settings page, in the Anonymous Access section, specify the parts of your site that anonymous users can access. Choose either areas and content, or areas, content, and search.
  5. Click OK.
  6. Perform an iisreset.

Note You always configure anonymous access to the portal site or enable anonymous access to an individual area from the original authenticated server. The anonymous virtual server is used for anonymous access only.

Setting Per-Area Anonymous Access

You can control anonymous access for your entire portal site by using the Manage Anonymous Access page, or you can control anonymous access for specific areas by using the per-area permissions feature. It is important to note, however, that permissions are inherited. Even if anonymous access is enabled for a child area, anonymous users will not be able access that area if anonymous access is disabled for the parent area; in this case, the child area will not display in the navigational hierarchy. For area-level anonymous access to work in this case, you must access the child area using a direct URL.

Change anonymous access for an area
  1. Verify that anonymous access is turned on for your portal site.
  2. Log on as a user who has the Manage Area Permissions right.
  3. Navigate to the area for which you want to change the anonymous access setting.
  4. In the Actions list, click Manage Security.
  5. On the Manage Security for Area Area Name page, toggle the Enable/Disable anonymous access to the contents of this portal area and all areas that inherit from this area as required.

Configuring Security Settings for an Area

When you create an area, it automatically inherits the security settings from the parent area. When an area inherits security settings from its parent area, any changes in the security settings of the parent area will also apply to the child area.

If you then change the security settings for your area in any way (for example, by adding, deleting, or modifying existing settings), the pattern of inheritance between the parent and child areas is broken. If you choose to restore the default settings and revert back to security settings from the parent area, any modifications to the area security settings are then lost.

Set custom permissions for an area
  1. Log on as a user with Manage Area Permissions right to the area.
  2. Navigate to the area for which you need to modify permissions.
  3. In the Actions list, click Manage Security.
  4. On the Manage Security Settings for Area Area Name page, select the check box next to the site group for which you want to customize permissions, and then click Edit.
  5. On the Edit Rights on Area Area Name page, select the permissions you want to assign to the users and groups, and then click OK.

The Manage Security Settings for Area Area Name page appears, and the site group or user for which you customized the permissions is listed as having Custom rights to the area.

If you want to return to using the same permissions as the parent area, you can use the Manage Security Settings for Area Area Name page.

Reset permissions to the default state
  1. Log on as a user with Manage Area Permissions rights to the area.
  2. Navigate to the area for which you want to reset permissions.
  3. In the Actions list, click Manage Security.
  4. On the Manage Security Settings for Area Area Name page, click Inherit permissions from the parent Web site.

Note The Inherit permissions from the parent Web site link does not appear unless the area permissions have already been customized.

Related Topics

For information about assigning users to site groups, see Managing Users and Cross-Site Groups.

For more information about self-service site creation, see Configuring Self-Service Site Creation.


Controlling User Rights and Assigning Tasks

Controlling User Rights and Assigning Tasks

As a server administrator, you have control over which actions users can perform for sites on your server, such as adding users to a Web site. You control their actions by controlling their rights. With Microsoft Windows SharePoint Services, you control rights in the following ways:

  • Limit the rights available for any site group on the virtual server.

    You use a rights mask to specify which rights can be included in site groups.

  • Allow anonymous access.

    You can determine whether anonymous users can use a particular Web site.

  • Assign rights to customized site groups, and include users in those site groups.

    You can include a specific right, such as Manage Lists, in a custom site group for users.

  • Allow users to request access.

    You can determine whether users can request access to a site, list, or document library.

Limiting Available Rights

As an administrator, if you want to allow or limit certain actions your users perform, you can disable or enable the associated right on the virtual server. For example, if you do not want users to be able to add pages to a Web site, you can disable the Add and Customize Pages right. When you disable a right on a virtual server, it cannot be assigned to any site group and, as a result, cannot be granted to any user of a site on the virtual server. Note that if a user already has a right, and you disable that right, the right is also disabled for that user.

Use the Manage User Rights for Virtual Server page in the Virtual Server Settings pages to specify which rights are available for site groups per virtual server.

Limit the rights for a virtual server
  1. On your server computer, click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Adminsitration.
  2. On the SharePoint Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to affect.
  4. Under Security Settings, click Manage user rights for virtual server.
  5. Select the check boxes next to the rights you want to enable, and clear the check boxes next to those rights you want to disable.

    You can select all rights by selecting the Select All check box. You can clear all rights by clearing the Select All check box.

  6. Click OK.

Allowing Anonymous Access

You can control anonymous access at the virtual server level and at the Web site level. At the virtual server level, you can enable or disable anonymous access in IIS. For more information about configuring anonymous access in Internet Information Services (IIS), see Configuring Authentication.

If you have enabled anonymous access for a virtual server, you can configure anonymous access for each Web site on that virtual server. To do so, you use the Site Administration page for the Web site.

Change anonymous access for a Web site
  1. On your site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Users and Permissions, click Manage anonymous access.
  4. To enable or disable anonymous access to the site, in the Anonymous Access section, under Anonymous users can access, select one of the following:
    • Entire Web site
    • Lists and libraries
    • Nothing
  5. Click OK.

Assigning Administration Tasks

If you manage multiple Web sites or virtual servers, you may find that performing tasks such as adding users, managing subsites, or managing check-in and check-out for each virtual server or Web site can become burdensome — especially if you manage more than five Web sites. With Windows SharePoint Services, you can use site groups and rights to assign such administrative tasks to trusted users and keep server-level administrator tasks (such as extending a new virtual server or setting defaults) to yourself.

By default, a user who is a member of the Administrator site group can:

  • Manage the Web site
  • Create subsites.
  • Manage list permissions.
  • Manage site groups.
  • View usage data.

By default, a user who is a member of the Web Designer site group can:

  • Add and customize pages.
  • Manage lists.
  • Theme a site, add borders, and link style sheets.
  • Cancel check-outs.

If you want a user, such as a Contributor, to be able to perform a single Administrator or Web Designer task, you can either assign them to the Administrator or Web Designer site group, or assign them to another site group that has the user right needed to perform the task.

Although the simplest way to delegate Administrator or Web Designer rights is to make a user a member of the Administrator or Web Designer site group, this potentially allows the user more access than you intended. If you want to delegate only a few tasks or limit tasks, assign only the necessary user rights. To do this, create a custom site group with the necessary rights, or edit an existing site group to contain those rights.

For example, if you want a user to be able to approve items before they are added to lists, create a Moderator site group, add the Manage Lists right to that site group, and then assign the user to the site group.

Note Users can be members of more than one site group, so you do not need to remove their old site group membership before adding them to a new one. Neither do you have to replicate all of their existing rights in the new site group. So, Joe User can be a member of both the Contributor and Moderator site groups at the same time.

The following table lists some tasks you may want to delegate, as well as the user rights required to perform those tasks.

Task to delegate | User right required
Adding users to the site | Manage Site Groups
Changing user site groups | Manage Site Groups
Adding, editing, or removing lists | Manage Lists
Approving items to be added to a list | Manage Lists
Creating, deleting, or merging subsites | Create Subsites
Adding ASP, ASPx, or HTML pages to a site | Add and Customize Pages
Break a document check-out or force a check-in | Cancel Check-Out

Allowing Users to Request Access

You determine whether users can request access to a site collection, list, or document library by configuring settings for that site collection, list, or document library. If the request access feature is enabled, when users attempt to perform an action (such as create a page or add an item to a list) for which they do not have permission, they see a page that allows them to request access to the site. When they fill in the request form and click Send Request, their request is sent as an e-mail message to the e-mail address you specified when you configured the feature. The recipient of the e-mail message can then use the links in the e-mail message to grant access to that user or change the request access settings.

If you have configured an SMTP server in SharePoint Central Administration, by default the request access feature is enabled for site collections and the reply-to address is set to the e-mail address of the user who entered the SMTP server name. If you want to use a different e-mail address, you can specify a different individual or group e-mail account to receive access requests. Note that request for access is configurable only for subsites with unique permissions. Subsites with inherited permissions also inherit the request access settings from the parent site and the Manage Access Requests link is not displayed on the Site Administration page for those sites.

Important You must be a site collection administrator to change request access settings for a site collection.

If you are a site collection administrator, you can allow users to request access to the sites in your site collection from the Top-level Site Administration page.

Configure access requests for a site collection
  1. On the Top-level Site Administration page for your site collection, under Users and Permissions, click Manage access requests.
  2. Select the Allow requests for access check box to enable access requests, or clear the check box to disable requests.
  3. If you enabled requests, in the Send all requests for access to the following e-mail address box, type the e-mail address to use for requests.

    You can specify an individual or group e-mail address, but be sure that the address is monitored, and that the individual or members of the group are site collection administrators.

  4. Click OK.

You can allow users to request access to a particular list or document library by changing settings for that list. If access request is enabled for a site collection, by default it is enabled for all lists in that site collection. If access request is disabled for the site collection, you cannot enable it for a specific list. You cannot configure a separate e-mail address to use for access requests at the list level — requests are automatically sent to the e-mail address specified on the Manage Request Access page for the site collection.

Important You must be a member of the Web Designer or Administrator site groups for a site to change request access settings for a list.

Configure access requests for a list or document library
  1. Browse to the list, and then in the Actions list, click Modify settings and columns.
  2. Under General Settings, click Change permissions for this list/document library.
  3. On the Change Permissions: List_Name page, on theActions list, click Manage request access.
  4. Select or clear the Allow requests for access check box to enable or disable requests.
  5. Click OK.

Related Topics

For information about creating, editing, and deleting site groups, see "Managing Site Groups and Permissions" in the Windows SharePoint Services Administrator's Guide.

For the complete list of rights available in Windows SharePoint Services, see User Rights and Site Groups.


Creating a Site Group

Creating a Site Group

If you are accessing the Create Site Group page for a specific area, area rights apply to the specific area and to any subareas that inherit from this area. If you are accessing this page for the portal site, area rights apply to all areas that inherit rights from the root of the portal site.

To create a site group, you must at a minimum be a member of the Administrator site group on the portal site. You can also create a site group if you are a member of the SharePoint administrators group or if you are a member of the local Administrators group on the front-end Web server on which the portal site is located.

Create a site group
  1. On the Site Settings page, in the General Settings section, click Manage security and additional settings.
  2. On the Manage Security and Additional Settings page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, click Add a Site Group.
  4. On the Create Site Group page, in the Site Group Name and Description section, do the following:
    1. In the Site group name box, type a name for the new site group.
    2. In the Description box, type a description for the site group.
  5. In the Rights section, select the rights for this site group.
  6. Click OK.


Editing Rights for a Site Group

Editing Rights for a Site Group

You can edit rights for a specific site group.

To edit the rights for a site group, you must at a minimum be a member of the Administrator site group on the portal site. You can also edit the rights for a site group if you are a member of the SharePoint administrators group or if you are a member of the local Administrators group on the front-end Web server on which the portal site is located.

Important The View Area right must be assigned to the Reader site group if Readers are to be able to view the home page of the portal site.

Edit rights for a site group
  1. On the Site Settings page, in the General Settings section, click Manage security and additional settings.
  2. On the Manage Security and Additional Settings page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, click the site group for which you want to edit the rights.
  4. On the Members of site_group page, click Edit Site Group Permissions.
  5. On the Change Site Group Rights page, select the rights for the site group, and then click OK.


Modifying Membership of a Site Group

Modifying Membership of a Site Group

You can modify the membership of a specific site group.

To modify membership of a site group, you must at a minimum be a member of a site group (on the portal site) with the Manage Area Permissions right. You can also modify membership of a site group if you are a member of the Administrators site group on that portal site, a member of the SharePoint administrators group, or if you are a member of the local Administrators group on each front-end Web server that hosts the portal site.

Modify membership of a site group

  1. On the Site Settings page, in the General Settings section, click Manage security and additional settings.
  2. On the Manage Security and Additional Settings page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, click the site group for which you want to modify the membership.
  4. On the Members of site_group page, do one of the following:

    • Add a member

      1. Click Add Members.
      2. On the Add Users: portal_site_name page, in the Step 1: Choose Users section, in the Users box, type an e-mail address, cross-site group name, or account name.

        Tips

        • Separate multiple entries with semicolons.
        • Type account names in the format DOMAIN\user_name.
        • To find users from Microsoft Active Directory directory service, click Select users and groups.
      3. In the Step 2: Choose Site Groups section, select the check box for each site group that you want to assign to a user, and then click Next.

        Note By default, the check box for the site group for which you are modifying the membership is selected.

      4. In the Step 3: Confirm Users section, verify the e-mail address, user name, and display name for each user that you entered in the Step 1: Choose Users section.
      5. In the Step 4: Send E-mail section, do the following:
        1. If you want to send an e-mail message to users telling them that they have been granted access, select the Send the following e-mail to let these users know they've been added check box.
        2. If you want to customize the message, type your changes in the Subject and Body boxes.
      6. Click Finish.

    • Delete a member

      1. Select the check box for the name of the member that you want to delete.
      2. Click Delete Selected Members.
      3. On the confirmation message, click OK.


Deleting a Site Group

Deleting a Site Group

You can delete a site group from a SharePoint site.

Notes

  • If a member of the site group that you delete is not a member of another site group on that site, the member can no longer view or access the SharePoint site.
  • You cannot delete the Administrator site group.

To delete a site group, you must at a minimum be a member of the Administrator site group on the portal site. You can also delete a site group if you are a member of the SharePoint administrators group or if you are a member of the local Administrators group on the front-end Web server on which the portal site is located.

Delete a site group
  1. On the Site Settings page, in the General Settings section, click Manage security and additional settings.
  2. On the Manage Security and Additional Settings page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, select the check box for the site group that you want to delete.
  4. Click Delete Selected Site Groups.
  5. On the confirmation message, click OK.


Configuring the Topology of the Server Farm

Configuring the Topology of the Server Farm

For information about supported topologies for a server farm, see the following:

  • Server Farm Deployments
  • Single Server Deployments
  • Shared Services Deployments

For information about specifying database settings and component assignments for the server farm, see the following:

  • Specifying Configuration Database Settings
  • Specifying Content Database Settings
  • Specifying Settings for Component Settings Database
  • Specifying Settings for Single Sign-On and Application Definitions
  • Adding a Server to the Server Farm
  • Removing a Server from the Server Farm
  • Changing Component Assignments for the Server Farm


Configuring E-Mail Settings

Configuring E-Mail Settings

Microsoft Windows SharePoint Services sends alerts and other administration messages by using an SMTP server. You can specify which SMTP server to use and set the e-mail address to use for sending alerts and receiving replies for all sites by using the SharePoint Central Administration e-mail settings. You can also specify different settings for a specific virtual server. At either level, you can specify the following settings: outbound SMTP server, from address, reply-to address, and character set.

About Character Sets and E-Mail

When you configure e-mail settings, one of the settings you specify is the character set (also called "codepage") to use in e-mail messages. The default character set is 65001 (Unicode UTF-8), a standard character set that works well for most languages. You can choose a specific language code to apply instead, such as 1256 (Arabic (Windows)), but be aware that changing to a specific language code may cause the e-mail messages to be unreadable to clients of other language codes, for example, 1252 (Western European (Windows)).

Configuring an SMTP Server in Internet Information Services

If you want to use an SMTP server in Internet Information Services (IIS) to send outbound e-mail messages from Windows SharePoint Services, you must configure the SMTP server to allow anonymous access and to allow e-mail messages to be relayed. Note that the SMTP server you use must have Internet access to be able to send messages to external e-mail addresses.

Note The SMTP service for IIS is not installed by default. If you want to use the SMTP service that comes with IIS and have not installed the SMTP service, or you do not see the default SMTP virtual server in IIS, you must install the SMTP service manually. For more information about installing, configuring, and managing the SMTP service, see the Help system for Internet Information Services (IIS) Manager.

To complete this procedure, you must be logged on as a member of the Administrators group on the local computer, or you must be logged on using an account that is both a member of the SharePoint administrators group and that has been granted permissions to administer IIS.

Configure an SMTP server in IIS for use with Windows SharePoint Services
  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Click the plus sign (+) next to the server name that contains the SMTP server you want to configure.
  3. Right-click the SMTP virtual server you want to configure, and then click Properties.
  4. On the Access tab, under Access control, click Authentication.
  5. In the Authentication dialog box, under Select acceptable authentication methods for this resource, verify that Anonymous access is selected.
  6. Click OK.
  7. On the Access tab, under Relay restrictions, click Relay.
  8. Under Select which computer may relay through this virtual server, select Only the list below.
  9. Under Computers, click Add.
  10. In the Computer dialog box, select Single computer, and then, in the IP address box, type the IP address for your front-end Web server or single server running Windows SharePoint Services.
  11. Click OK to close the Computer dialog box.
  12. Repeat steps 9 through 11 for any additional front-end Web servers in your server farm.

    Note You do not need to add the IP addresses for the back-end database servers in your server farm.

  13. Click OK to close the Relay Restrictions dialog box.
  14. Click OK to close the Properties dialog box.

Using HTML Administration to Configure E-Mail Settings for Windows SharePoint Services

You use the Configure Default E-mail Server Settings page to specify e-mail settings for your server.

Specify e-mail settings for a server or server farm
  1. On the SharePoint Central Administration page, under Server Configuration, click Configure default e-mail server settings.
  2. In the Outbound SMTP server box, type the name of the SMTP mail server to use for sending messages.
  3. In the From e-mail address box, type the e-mail address to send e-mail messages from.

    This address appears in the From box of any e-mail messages from the server. No e-mail messages are sent to this address, so you can use an unmonitored e-mail address if you want.

  4. In the Reply-to e-mail address box, type the e-mail address that users can reply to.

    If a user replies to an e-mail message from the server, it will be sent to this address. You should use an address that is monitored for the reply-to address.

  5. In the Character set box, select the character set to use.
  6. Click OK.

You can also specify e-mail settings for a particular virtual server. The virtual server settings override the settings specified on the SharePoint Central Administration pages. Use these steps when you want a virtual server to use a different SMTP server for alerts than the one specified in the server settings.

Specify e-mail settings for a virtual server
  1. On the SharePoint Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  2. On the Virtual Server List page, click the name of the virtual server you want to configure.
  3. Under Virtual Server Management, click Virtual server e-mail settings.
  4. In the Mail Settings section, in the Outbound SMTP server box, type the name of the SMTP mail server to use for sending messages.
  5. In the From address box, type the e-mail address to send e-mail messages from.

    This address appears in the From box of any e-mail messages from the server. No e-mail messages are sent to this address, so you can use an unmonitored e-mail address if you want.

  6. In the Reply-to address box, type the e-mail address that users can reply to.

    If a user replies to an e-mail message from the server, it will be sent to this address. You should use an address that is monitored for the reply-to address.

  7. In the Character set box, select the character set to use.
  8. Click OK.

Using the Command Line to Configure E-Mail Settings for Windows SharePoint Services

You can also configure e-mail settings from the command line, by using the email operation with Stsadm.exe. The email operation takes the following required parameters: outsmtpserver (the out-going SMTP server), fromaddress (the e-mail address to send messages from — can be an unmonitored address), replytoaddress (the e-mail address to send replies to — must be a monitored address), and codepage (the codepage to use).

In addition, you can use the optional url parameter to specify settings for a particular virtual server.

Note The valid codepages are listed on the Configure Default E-mail Server Settings page in SharePoint Central Administration, in the Character set box. To specify a codepage on the command line, use the number for the character set, rather than the full name. For example, use the number 65001 to specify the codepage for 65001 (Unicode UTF-8).

The email operation uses the following syntax:

stsadm.exe -o email -outsmtpserver <smtp server>
  -fromaddress <from address> -replytoaddress <reply-to address>
  -codepage <codepage> [-url <url>]

For example, to configure the e-mail settings to use the server \\SMTPServer, and to use someone@example.com as both the from and reply-to address, you would use syntax similar to the following.

stsadm.exe -o email -outsmtpserver SMTPServer
  -fromaddress someone@example.com
  -replytoaddress someone@example.com
  -codepage 65001

To set the http://myserver virtual server to use codepage 65001, you would use syntax similar to the following.

stsadm.exe -o email -outsmtpserver SMTPServer
  -fromaddress someone@example.com -replytoaddress someone@example.com
  -codepage 65001 -url http://server_name


Configuring Usage Analysis

Configuring Usage Analysis

Usage analysis allows you to track how Web sites on your server are being used. You configure the settings for processing the usage log by using commands in HTML Administration pages. From the SharePoint Central Administration page, you can control:

  • Whether or not to log usage data.

    Usage analysis is not enabled by default. If you want to use the usage analysis features for your server, you must enable the usage analysis logging process. Log files are created daily to track usage information. When the log file is processed, a flag is added to indicate that is has been processed. If you do not want to track usage analysis data and you want to conserve disk space, you can turn off data logging for usage analysis.

  • Where the log files are stored and how many log files to create.

    By default, the log files are in %windir%\system32\LogFiles\STS. Inside this folder is a folder for every virtual server, and under those folders, folders for each day. You can specify any other location you prefer. You can specify that up to 30 log files are created.

    Note If you choose a different log file location, you must be sure to give the STS_WPG user group Read, Write, and Update permissions to the directory. Without these permissions, the usage log files cannot be created or updated. For more information about setting permissions for a directory, see the Microsoft Windows Help system.

  • Whether or not to process the usage logs and when to do so.

    By default, the log files are set to be processed every day at 1:00 A.M. You can schedule the usage log to be processed at a more convenient downtime for your Web sites. If your Web sites are primarily used by internal employees, for example, you might schedule the log to be processed at night, when demand on the sites is lower than during working hours. If you have multiple servers, you can stagger the processing. For example, you can configure the processing to start at midnight, and stagger it by 15 minutes, so that server1 starts at 12:00, server2 starts at 12:15, server3 at 12:30, and so on.

In Microsoft Windows SharePoint Services, usage analysis data is gathered from the front-end Web servers and collected into temporary files. When the daily log processing takes place, the data is merged into the content databases on the back-end servers. Usage data is collected for an entire site collection on a server at a time. Even though the data is logged and stored for an entire site collection, when you view the data in HTML Administration pages, you can see only the data for a particular Web site or subsite, not for the entire site collection.

Note Although you can see the total number of hits for a site collection on the Site Collection Usage Summary page, for detailed information you must use the Site Usage Report page for the individual site or subsite.

For more information about the type of data gathered in the usage analysis logs and how to view the usage analysis reports, see Analyzing Web Site Usage.

Usage data is stored for 31 months. Daily information is stored for 31 days. The log files will not be deleted, even after processing. Note that usage analysis processes rely on the Microsoft SharePoint Timer service to manage the timing of log processing. For more information about the SharePoint Timer service, see Scheduling Timed Jobs.

Note Because usage analysis processing runs only once a day, when you enable usage analysis processing, you will not see any data until the next day. Log processing is only done for a single day's worth of data. If you turn off the log processing for a week but leave the data logging turned on, the next time you turn on processing, it will only process one day's worth of log files. The log files for all of the days before that will remain unprocessed.

You control settings for usage analysis processing from the SharePoint Central Administration page. You must be an administrator of the local server computer or a member of the SharePoint administrators group to configure usage analysis settings.

Note When you configure usage analysis processing for a server, it takes effect for any existing virtual servers. If you later add a virtual server, you must configure usage analysis processing again to enable usage analysis for the new virtual server.

Configure usage analysis processing for a server
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Component Configuration, click Configure usage analysis processing.
  3. In the Logging Settings section, select the Enable logging check box.
  4. In the Log file location box, type the location to store the log file.

    The default location for the log file is c:\Windows\system32\LogFiles\STS.

  5. In the Number of log files to create box, type a number between 1 and 30.

    In general, you should use a number that is one to three times the number of database servers in your server farm, with a maximum number of 30 log files.

  6. In the Processing Settings section, select the Enable usage analysis processing check box.
  7. Under Run processing between these times daily, specify the range of times to start the usage analysis log processing. In the Start box, select the earliest time of day to begin running log processing. In the End box, select the latest time to begin running log processing.
  8. Click OK.

Related Topics

For more information about viewing usage reports, see "Analyzing Web Site Usage" in the Windows SharePoint Services Administrator's Guide.

For more information about configuring and viewing quota information, see "Configuring Site Quotas and Locks" in the Windows SharePoint Services Administrator's Guide.


Configuring Antivirus Protection

Configuring Antivirus Protection

Microsoft Windows SharePoint Services now allows you to help protect your users from uploading or downloading files that contain viruses. When you have installed an antivirus scanner that is compatible with Windows SharePoint Services, you can enable the antivirus protection feature for your server. When you enable the antivirus protection feature, files are checked for viruses when a user adds a document to a document library or list, or when a user views a document in a document library or list. If a virus is found, the scanner attempts to clean the file, or if the file cannot be cleaned, blocks the file from being added or viewed.

Note If a file is uploaded, and is later identified as containing a virus, users will not be able to open the file. In this situation, however, users may still be able to save the file locally and open it from their computer.

You enable and configure antivirus protection at the server level. When enabled, antivirus protection is available for all document libraries on all sites and subsites on your server, or for all servers in your server farm. You can use HTML Administration pages or the command line tool to configure antivirus protection.

You must install Windows SharePoint Services-compatible antivirus software on any server computer running Windows SharePoint Services before you can enable antivirus protection in Windows SharePoint Services. If you are in a server farm configuration, antivirus software must be installed on every Web front-end server in the server farm. Consult your antivirus software vendor to find out whether they offer a virus scanner for use with Windows SharePoint Services and for information about installing the virus scanner. Or, for a list of antivirus software vendors that support antivirus protection for Windows SharePoint Services, see the Windows SharePoint Services Partners Site.

Using HTML Administration Pages to Configure Antivirus Settings

You use the Configure Antivirus Settings page in the SharePoint Central Administration pages to enable and configure antivirus protection.

Enable antivirus protection for your server or server farm
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Security Configuration, click Configure antivirus settings.
  3. Select the Scan documents on upload check box.
  4. Select the Scan documents on download check box.
  5. If desired, select the Attempt to clean infected documents check box.
  6. If you want to allow users to save infected files locally, select the Allow users to download infected documents check box.

    Note This option is disabled by default to prevent users from saving potentially infected files to their client computers.

  7. In the Time out scanning after ___ seconds box, type the number of seconds to allow before timing out the scanning process.

    The default time is 300 seconds, or 5 minutes. This should be enough time to allow the antivirus processes to finish without affecting performance. The default time is recommended, but you can adjust this time if you are experiencing performance issues.

  8. In the Allow scanner to use up to ___ threads box, type the number of threads to allow the scanning process to take up.

    By default, the number of threads is set to 5, which should be sufficient for even a large number of sites. The default number of threads is recommended, but you can adjust the number of threads if you are experiencing performance issues.

  9. Click OK.

Using the Command Line to Configure Antivirus Settings

You can also configure antivirus protection by setting properties on the command line. To set a property, you use the Stsadm.exe tool with the setproperty operation. The following properties are available for use in configuring antivirus protection.

Property name | Description | Values
avallowdownload | Specifies whether users can download infected documents to their client computers. | yes/no
avcleaningenabled | Specifies whether antivirus cleaning is enabled or disabled. | yes/no
avdownloadscanenabled | Specifies whether documents are scanned on download. | yes/no
avnumberofthreads | Specifies the number of threads to use for antivirus processes. | A numerical value, the number of threads to use.
avtimeout | Specifies how long to wait before timing out an antivirus process. | A numerical value, in seconds.
avuploadscanenabled | Specifies whether documents are scanned on upload. | yes/no

The following example shows the syntax to use when setting an antivirus property:

stsadm.exe -o setproperty -pn <property name> -pv <property value>

For example, to set the avtimeout property to 200, you would use the following syntax:

stsadm.exe -o setproperty -pn avtimeout -pv 200

For more information about setting properties using the command line, see "Introducing the Administration Tools for Windows SharePoint Services" in the Windows SharePoint Services Administrator's Guide.


Configuring Blocked File Extensions

Configuring Blocked File Extensions

Microsoft Windows SharePoint Services provides the ability to restrict certain kinds of files from being uploaded or retrieved, based on the file extension. For example, a file with the .exe file extension could potentially contain code that runs on client computers when it is downloaded. Because it has the .exe file extension, the file can be run on demand when it is downloaded. If files with the .exe file extension are blocked, users can neither upload nor download a file with the .exe extension, and potentially dangerous content in the .exe file cannot be downloaded. This feature does not prevent all exploits based on file types, nor is it designed to do so.

By default, several standard file extensions are blocked, including any file extensions that are treated as executable files by Windows Explorer. Files with curly braces { or } are also blocked automatically. The file extensions blocked by default are:

File extension | File type
.ade | Microsoft Access project extension
.adp | Microsoft Access project
.app | Application file
.bas | Microsoft Visual Basic class module
.bat | Batch file
.chm | Compiled HTML Help file
.class | Java class file
.cmd | Microsoft Windows NT Command Script
.com | Microsoft MS-DOS program
.cpl | Control Panel extension
.crt | Security certificate
.dll | Windows dynamic link library
.exe | Excutable program
.fxp | Microsoft Visual FoxPro compiled program
.hlp | Help file
.hta | HTML application
.ins | Internet Naming Service
.isp | Internet Communication settings
.jse | JScript Encoded Script file
.lnk | Shortcut
.mda | Microsoft Access add-in program
.mdb | Microsoft Access program
.mde | Microsoft Access MDE database
.mdt | Microsoft Access data file
.mdw | Microsoft Access workgroup
.mdz | Microsoft Access wizard program
.msc | Microsoft Common Console Document
.msi | Microsoft Windows Installer package
.msp | Windows Installer patch
.mst | Visual Test source files
.ops | Microsoft Office profile settings file
.pcd | Photo CD image or Microsoft Visual Test compiled script
.pif | Shortcut to MS-DOS program
.prf | System file
.prg | Program source file
.reg | Registration entries
.scf | Windows Explorer command file
.scr | Screen saver
.sct | Windows Script Component
.shb | Windows shortcut
.shs | Shell Scrap Object
.url | Uniform Resource Locator (Internet shortcut)
.vb | VBScript file
.vbe | VBScript Encoded Script file
.vbs | VBScript file
.wsc | Windows Script Component
.wsf | Windows Script file
.wsh | Windows Script Host Settings file

The list of file extensions is controlled for the entire server or server farm and is recorded in the configuration database. Because the list of blocked file types is maintained by file extension, all files that use a file extension on the list cannot be uploaded or downloaded, irrespective of the file's intended use. If .asp is on the list of extensions to block, the feature blocks all .asp files on the server, even if they're used to support Web site features on another server in the server farm. If a file ends in a period (.), the preceding characters are checked against the list of blocked file extensions as well. For example, if .exe is on the list of blocked file extensions, a file called "filename.exe." is also blocked. The following list shows different ways of representing the same file, all of which are blocked if the .hta extension is on the list of blocked file extensions:

  • filename.hta
  • filename.hta.
  • filename.hta.{3050F4D8-98B5-11CF-BB82-00AA00BDCE0B}
  • filename.hta::$DATA

You can determine which files are blocked for Web sites on your servers by modifying the list of blocked file extensions. You can block additional file extensions (up to 1024 file types) by adding them to the list in the SharePoint Central Administration pages, or remove a block by deleting the file extension from the list. When you change the list of file extensions, the change affects both new files being added to a Web site and files already posted to a Web site. For example, if a document library contains a .doc file, and you add the .doc file extension to the list of blocked file extensions, users will no longer be able to open the .doc file in the document library. Users will be able to rename or delete a file with a blocked file extension, but will not be able to perform any other actions.

Add or remove a file type from the list of blocked file extensions
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Security Configuration, click Manage blocked file types.
  3. On the Manage List of Blocked File Types page, perform one of the following actions:
    • To add a file type, click in the list and type the extension.
    • To delete a file type, delete the file extension from the list.
  4. Click OK.


Creating a Portal Site

Creating a Portal Site

After you have installed and initially configured the server, you can create additional portal sites.

The following limits apply to the number of portal sites supported on a server farm:

  • If the server farm is not part of a shared services environment, the server farm supports up to 15 portal sites.
  • If the server farm provides or uses shared services, the server farm supports up to 100 portal sites. Internet Information Services (IIS) limits the number of Web sites running on one server to 64. To create more than 64 Web sites on a front-end Web server in a server farm that provides or uses shared services, do the following:

    Caution Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

    1. On the taskbar, click Start, and then click Run.
    2. Type regedit and then click OK.
    3. In Registry Editor, navigate to HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\HTTP\Parameters.
    4. Right-click Parameters, point to New, and then click DWORD Value. A new DWORD value appears.
    5. Name the DWORD value MaxEndpoints.
    6. Right-click MaxEndpoints, and then click Modify.
    7. In the Value data box, type the number (less than or equal to 100) of Web sites that you want to create. Ensure that Base is specified as Decimal.
    8. Click OK.
    9. Close Registry Editor.
    10. Restart the server.

You can access the Create Portal Site for server_name page from multiple locations:

  • On the SharePoint Portal Server Central Administration for server_name page, in the Portal Site and Virtual Server Configuration section, click Create a portal site.
  • On the SharePoint Portal Server Central Administration for server_name page, in the Portal Site and Virtual Server Configuration section, click List and manage portal sites. On the Manage Portal Sites page, click Create Portal Site.

Create a portal site

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Portal Site and Virtual Server Configuration section, click Create a portal site.
  2. On the Create Portal Site for server_name page, in the Portal Creation Options section, click Create a portal.
  3. In the Site Name section, in the Name box, type a name for the portal site.

    This name appears at the top of most portal site pages.

  4. In the Site URL section, do the following:
    1. In the Virtual server list, click the existing virtual server on this server that will host the portal site.
    2. In the URL box, type the URL that users use to connect to the portal site.

      Note This is the load-balanced URL, not the local server URL.

      By default, this URL is http://server_name/.

      If you choose a virtual server that has a port number not equal to 80, you will see the port number as part of the URL, e.g., http://server_name:port_number/

  5. In the Owner section, do the following:
    1. In the Account name box, type the account name for the portal site owner in the format DOMAIN\user_name.

      The portal site owner manages content and user access.

    2. In the E-mail address box, type the e-mail address for the portal site owner.
  6. Click OK.
  7. On the Create Portal Site Confirmation for server_name page, click OK to begin creating the portal site.

    Caution Any custom content that you have added to the virtual server since its creation will be made unavailable once you start creating the portal site.

    The Operation Status page appears.

At the end of successful portal site creation, the Operation Successful page appears. You can then further configure the portal site.

Note If you create a portal site on an existing virtual server that is stopped, portal creation will succeed, but the portal site will not be accessible. To access the portal site, you must start the virtual server in IIS.


Configuring Portal Site Security

Configuring Portal Site Security

Important The portal site includes potentially sensitive information such as account names and organizational information. To protect this data against intrusion and detection on the network, see Security Planning.

The following are the recommended steps for configuring security on the portal site:

  1. Create Windows groups Create Microsoft Windows groups for users who will have the same set of rights. For example, you might create a group for all writers with one set of rights, and a group for the marketing department with another set of rights.
  2. Assign groups to site groups Assign each of these groups to one of the six default Microsoft SharePoint Portal Server site groups:
    • Reader Has rights to view items and use search on the portal site.
    • Member Has Reader rights, plus rights to add items, personalize Web Parts, use alerts, and create personal sites.
    • Contributor Has Member rights, plus rights to add and edit items, manage list permissions, manage personal groups and views, and personalize Web Parts Pages. Contributors cannot create new lists or document libraries, but they can add content to existing lists and document libraries.
    • Web Designer Has Contributor rights, plus rights to cancel check-out, delete items, manage lists, add and customize pages, define and apply themes and borders, and link style sheets. Web Designers can modify the structure of the site and create new lists or document libraries.
    • Administrator Has all rights from other site groups, plus rights to manage site groups and view usage analysis data. The Administrator site group cannot be customized or deleted, and there must always be at least one member of the Administrator site group. Members of the Administrator site group always have access to, or can grant themselves access to, any item in the Web site.
    • Content Manager Has rights to manage all settings or content in an area. A Content Manager can approve and reject submission requests, move content to the archive, and change security.
    Adding groups to a site group rather than adding individual users is a more flexible way of configuring security — as group membership changes, this will automatically be reflected in the site group membership. For more information, see Related Topics.
  3. Edit the rights on site groups Go to the site group management pages to ensure that the rights assigned to the default site groups are the rights that you want to assign to these respective groups. To go to these pages, do the following:
    1. On the Site Settings page, in the General Settings section, click Manage security and additional settings.
    2. On the Manage Security and Additional Settings page, in the Users and Permissions section, click Manage site groups.
    3. On the Manage Site Groups page, click the site group name for which you want to manage rights.
    4. On the Members of "site_group_name" page, click Edit Site Group Permissions.
    5. On the Change Site Group Rights page, edit the rights for the site group, and then click OK.
  4. Customize security for areas You can customize security for each area. Administrators are advised to add groups to site groups before customizing area security to avoid a potentially inconsistent security policy. Setting security on a parent area will cause these settings to be applied to all of its subareas. If you customize the security on a subarea, you will break inheritance. The subarea will no longer inherit changes made to the parent area.

    To grant full control on an area, including the ability to customize Web Parts and Web Part Pages, ensure that the user is also a member of the site-wide Contributor site group.

    To go to the Manage Security Settings page for an area, click Manage Security.

  5. Prevent Members from creating a personal site By default, members of the Member site group are given the right to create a personal site (My Site). All site groups except Reader can create personal sites. If you want to revoke this right, copy the rights from the Reader site group and create a site group with those permissions (View Area, View Pages, and Search). Assign groups or individual users to this new site group to prevent them from creating a personal site.

    For information about creating a site group, see Creating a Site Group.

Related Topics

Granting Access to the Portal Site
Editing Rights for a Site Group


Creating Sites and Subsites

Creating Sites and Subsites

You can use top-level Web sites and subsites to divide site content into distinct, separately manageable sites. Top-level Web sites can have multiple subsites, and subsites can also have multiple subsites, down as many levels as your users need. The entire structure of a top-level Web site and all of its subsites is called a Web site collection. The following diagram shows this hierarchy of sites and subsites.

Windows SharePoint Services Logical Architecture

This hierarchy allows your users to have a main working site for the entire team, plus individual working sites or shared sites for side projects. Top-level Web sites and subsites allow different levels of control over the features and settings for sites.

The administrator of a site collection can control settings and features for both the top-level Web site and any subsites beneath it. For example, an administrator of a site collection can:

  • Add, delete, or change user permissions
  • View usage statistics
  • Change regional settings
  • Manage Web Part and template galleries
  • Manage Web discussions and alerts
  • Change the site name and description, theme, and home page organization
  • Configure settings, such as regional settings, for the top-level Web site and all subsites

The administrator of a subsite can control settings and features only for that subsite, and the administrator of the next subsite down can control settings and features for only that subsite. For example, an administrator of a subsite can:

  • Add, delete, or change user permissions, if unique permissions have been set (for more information, see Managing Site Groups and Permissions)
  • View usage analysis data
  • Change regional settings
  • Manage Web discussions and alerts
  • Change the site name and description, theme, and home page organization

Allowing Users to Create Their Own Top-Level Web Sites and Subsites

Depending on the amount of customization and control you want to allow your users, you can let them create either top-level Web sites or subsites. The Self-Service Site Creation feature gives users the ability to create top-level Web sites on their own. For more information, see Configuring Self-Service Site Creation.

Users can also create subsites of any site for which they have the Create Subsites right. The Create Subsites right is included in the Administrator site group by default, so any member of the Administrator site group for a site can create a subsite of that site. You can assign this right to other site groups by using the Manage Site and Workspace Creation page. For more information about managing site and workspace creation, see Managing Site Groups and Permissions.

Creating Top-Level Web Sites for Users

You can give users the ability to create their own top-level Web sites by enabling Self-Service Site Creation. If you want to control top-level Web site creation yourself, however, you can disable Self-Service Site Creation and create top-level Web sites on your users' behalf from SharePoint Central Administration. To create a top-level Web site outside of Self-Service Site Creation, you must be an administrator of the local machine on which the site will reside or a member of the SharePoint administrators group.

Note When you are running a server farm with multiple host names, you cannot create a top-level Web site from SharePoint Central Administration.

Create a top-level Web site from SharePoint Central Administration
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Virtual Server Configuration, click Create a top-level Web site.
  3. On the Virtual Server List page, click the virtual server under which you want to create the top-level Web site.
  4. To create a site under a predefined URL path for the virtual server, on the Create Top-level Web Site page, select Create site under this URL; in the Site name box, type the name for the top-level Web site; and then in the URL path box, select the path to use.

    The name and URL path are combined with the server name to create the full URL to the site. For example, on http://servername, if you create a top-level Web site at the /sites URL path, and use Site001 as the name, the full path to the new top-level Web site is http://servername/sites/site001.

  5. To create a site at a predefined URL path, select Create site at this URL, and then in the URL path box, select the URL to use for the top-level Web site.

    The site is created at the top level of the URL path you select. For example, on http://servername, if you select /portal as the path, the site is created at http://servername/portal.

  6. In the Site Collection Owner section, type the user name (in the form DOMAIN\username) and e-mail address (in the form someone@example.com) for the user who will be the site owner and administrator.
  7. If you want to identify a user as the secondary owner of the new top-level Web site (recommended), in the Secondary Owner section, type the user name and e-mail address for a secondary owner and administrator of the new site.
  8. If you are using quotas, in the Quota Template section, select a quota template to use.
  9. In the Site Language section, select the language to use for the top-level Web site.
  10. Click OK.

The site owner can select a template for the site when first browsing to the URL, or you can browse to the URL on the confirmation page and select one yourself. You must alert the site owner and secondary owner when you have created the site with the URL. They are not notified automatically when you create a site.

Creating Subsites

You can create a subsite of a current site by using the Manage Sites and Workspaces page.

Create a subsite
  1. On a site, click Site Settings.
  2. Under Administration, click Manage sites and workspaces.
  3. On the Manage Sites and Workspaces page, click Create.
  4. On the New SharePoint Site page, in the Title and Description section, type the title and description for the new subsite.
  5. In the URL name box, type the URL for your subsite.
  6. In the User Permissions section, select either Use same permissions as parent site or Use unique permissions.

    Select Use same permissions as parent site if you want to share users with the parent site, or Use unique permissions if you want to maintain a separate list of users for your subsite. For more information, see Managing Site Groups and Permissions.

  7. In the Language section, select the language to use.
  8. Click Create.
  9. On the Template Selection page, select a template to use, and then click OK.

Creating Sites and Subsites from the Command Line

If you are an administrator of the server computer, you can also create sites and subsites by using the Stsadm.exe command-line tool. To create a top-level Web site, use the createsite operation. To create a subsite, use the createweb operation.

Note You can also use the createsiteinnewdb operation to create a top-level Web site and a new content database at the same time. For more information about this operation, see Command-Line Operations.

The createsite operation takes the following required parameters: url, ownerlogin, owneremail, and the following optional parameters: ownername, lcid, sitetemplate, title, description, and quota. For example, to create a top-level Web site called site1 on http://server_name/sites, you would use syntax similar to the following:

stsadm.exe -o createsite -url http://server_name/sites/site1
 -ownerlogin <DOMAIN\user> -owneremail <someone@example.com>
 -ownername <display name>

The createweb operation requires the url parameter and takes the following optional parameters: lcid, sitetemplate, title, description, and unique (used to specify unique permissions for the subsite). To create a subsite called subsite1 under the site you just created, you would use syntax similar to the following:

stsadm.exe -o createweb -url http://server_name/sites/site1/subsite1

For more information about using the createsite and createweb operations, see Command-Line Operations.


Configuring Authentication

Configuring Authentication

You configure authentication for Web sites based on Microsoft Windows SharePoint Services by configuring authentication methods in Internet Information Services (IIS). Windows SharePoint Services uses the authentication method you specify for a virtual server in IIS to control authentication for all top-level Web sites and subsites of that virtual server. Windows SharePoint Services works with the following authentication methods in IIS:

  • Anonymous authentication
  • Basic authentication
  • Integrated Windows authentication
  • Certificates authentication (SSL)

You can change authentication methods for virtual servers hosting Web sites based on Windows SharePoint Services, and you can change the authentication method used for the SharePoint Central Administration site. You can also enable Secure Sockets Layer (SSL) security in IIS to help protect your sites or the administration port for your server.

Changing Authentication Methods

Each virtual server can use a different authentication method in Internet Information Services (IIS). You can even enable multiple authentication methods if you are using the same Web site content in more than one environment. For example, if you have a Web site that is primarily for internal use within your organization, you would most likely choose Integrated Windows authentication. If, however, your use of the site changes, and you must allow your organization's members to access the site externally through a firewall, you might also want to enable Basic authentication.

Note Basic authentication is less secure than Integrated Windows authentication. For this scenario it is recommended that you use Basic authentication with SSL to help make your environment more secure.

When you change authentication methods in IIS, you do not need to change any settings in Windows SharePoint Services. For example, if you decide to use Integrated Windows authentication instead of Basic authentication, you make the change only in IIS.

Change authentication methods
  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Click the plus sign (+) next to the server name that contains the virtual server you want to change.
  3. Click the plus sign (+) next to Web sites.
  4. Right-click the virtual server, and then click Properties.
  5. On the Directory Security tab, under Authentication and access control, click Edit.
  6. Select the check boxes for the authentication methods you want to enable, and clear the check boxes for the authentication methods you want to disable.
  7. Click OK to close the Authentication Methods dialog box.
  8. Click OK again to close the Properties dialog box.

Note For more information about IIS authentication methods, see the topic About Authentication in IIS 6.0 Help.

Enabling Secure Sockets Layer (SSL)

To enable SSL for a virtual server hosting Web sites based on Windows SharePoint Services, you can simply turn on SSL in IIS. If you want to use SSL for the SharePoint Central Administration virtual server, you must also use the setadminport command-line operation to enable SSL in Windows SharePoint Services.

Enabling SSL in IIS

You can enable SSL for a virtual server by using Internet Information Services (IIS) Manager. Note that you must have a certificate before you can enable SSL. For more information about SSL certificates, see the topics About Certificates and Setting Up SSL on Your Server in IIS 6.0 Help.

Enable SSL in IIS
  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Click the plus sign (+) next to the server name that contains the virtual server you want to change.
  3. Click the plus sign (+) next to Web sites.
  4. Right-click the virtual server, and then click Properties.
  5. On the Directory Security tab, under Secure communications, click Edit.
  6. In the Secure Communications dialog box, select the Require secure channel (SSL) check box, and then click OK.
  7. Click OK again to close the Properties dialog box.

Enabling SSL for the SharePoint Central Administration Pages

After you have enabled SSL for the SharePoint Central Administration virtual server in IIS, you must use the command line to configure Windows SharePoint Services to use SSL. Perform the following steps to configure Windows SharePoint Services to use SSL for the Central Administration pages.

Enable SSL for the SharePoint Central Administration pages
  1. If you have a server farm, you must set all of the servers in your server farm to use the same administration port by using syntax similar to the following:
    stsadm.exe –o –setadminport –p 443

    Replace the port number in the example syntax with the port number you want to use for remote administration. Run this command on each Web front-end server in your server farm. Note that this step is for server farms only; you do not need to change the administration port if you are running Windows SharePoint Services on a single server.

  2. Configure the administration pages to use SSL by using syntax similar to the following:
    stsadm.exe –o –setadminport –ssl

If you have a server farm, you must run this command on each Web front-end server in your server farm.

Note If you want a more secure administration port, it is recommended that you also use your firewall or the IIS IP and domain restrictions feature to restrict access to the administration port. With either the firewall or IP and domain restrictions, you can specify that requests from unauthorized IP addresses or network domain names be ignored. For more information about configuring IP and domain restrictions in IIS, see the IIS Help system. For more information about configuring your firewall to reject unauthorized requests, see the documentation for your firewall.

Related Topics

For more information about authentication methods or SSL, see "Windows SharePoint Services Security Model" in the Windows SharePoint Services Administrator's Guide.

For more information about using command-line operations such as setadminport, see Command-Line Operations.


Configuring Virtual Servers

Configuring Virtual Servers

After you have installed Microsoft Windows SharePoint Services and extended a virtual server, you can configure settings for the virtual server. The following options can be set at the virtual server level and affect all sites on that virtual server:

  • Self-Service Site Creation settings

    Enable or disable Self-Service Site Creation. When enabled, this option allows users to create sites on their own. For more information, see "Configuring Self-Service Site Creation" in the Windows SharePoint Services Administrator's Guide.

  • Site use confirmation and auto-deletion settings

    Determine whether to require confirmation of site use, or whether to automatically delete unused Web sites. For more information, see Managing Unused Web Sites.

  • User right settings

    Specify which rights to make available to users of sites on your virtual server. For more information, see "Managing Site Groups and Permissions" in the Windows SharePoint Services Administrator's Guide.

  • Web Part Page security settings

    Specify whether users can create connections between Web Parts in a Web site, and whether the Microsoft Office 2003 Web Part gallery is available. For more information, see Managing Web Parts on Virtual Servers.

  • Virtual server general settings

    Configure settings to use as defaults for all sites that are created on your virtual server. For more information, see "Specifying General Settings for a Virtual Server" below.

  • E-mail settings

    Specify the outbound e-mail server to use, and the e-mail addresses to use when sending e-mail from the server. E-mail settings can also be configured at the server level, and used as the default settings. For more information, see Configuring E-Mail Settings.

In addition, you can perform the following administrative tasks from the virtual server level:

  • Manage content databases

    You can create or delete content databases, or change the capacity settings for a particular content database. For more information, see Managing Content Databases.

  • Remove Windows SharePoint Services from the virtual server

    You can remove Windows SharePoint Services either permanently or temporarily. For more information, see "Uninstalling Windows SharePoint Services" in the Windows SharePoint Services Administrator's Guide.

  • Define managed paths

    You can add or remove included and excluded paths to control which areas of the URL namespace are managed by Windows SharePoint Services. For more information, see Managing Paths.

  • Create a top-level Web site or delete a site collection

    You can create a new top-level Web site or delete an existing site collection. For more information, see "Creating Sites and Subsites" in the Windows SharePoint Services Administrator's Guide.

To configure settings and perform administration tasks for a virtual server, use the Virtual Server Settings page in HTML Administration.

Open the Virtual Server Settings page
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the name of the virtual server you want to configure.

Specifying General Settings for a Virtual Server

The Virtual Server General Settings page contains several options that apply to any sites that you create for the virtual server. When you configure a setting for a virtual server, it takes priority over settings applied on specific sites of that virtual server. For example, if you disable alerts for a virtual server, no site or subsite can use alerts. However, if you enable alerts on the virtual server, each top-level Web site can either enable or disable alerts for that Web site and its subsites. For more information about how each setting is treated at different levels, see the specific topic for that setting.

You can configure the following settings on the Virtual Server General Settings page:

  • Time zone to use for the virtual server

    Select a time zone to use for all sites created on this virtual server.

  • Default quota template for sites created under the virtual server

    Specify the default quota template to use. When you create a top-level Web site, you can create it using the default template or a different template. For more information about quotas, see "Configuring Site Quotas and Locks" in the Windows SharePoint Services Administrator's Guide.

  • Person Name Smart Tag and presence settings

    Enable or disable presence information for site members. For more information, see Configuring Online Presence Settings.

  • Maximum upload size

    Specify the maximum file size to allow when files are uploaded to a Web site on this virtual server.

  • Alert settings

    Enable or disable alerts for all sites under the virtual server, and configure default settings for alerts. For more information about alerts, see Managing Alerts.

  • Web page security validation

    Enable or disable security validation for Web site pages, and specify how long to wait before the validation expires for a given page.

  • Sending user names and passwords in e-mail

    Specify whether user names and passwords are sent in e-mail messages to new users. This setting is used for Active Directory user account creation mode only.

  • E-mail enabled document libraries

    Enable or disable e-mail-enabled document libraries, and specify the public folder path for e-mail attachments and how frequently to check for new attachments. For more information, see Configuring E-Mail-Enabled Document Libraries.

  • Event handlers

    Enable or disable event handlers. For more information, see Binding to a Document Library Event Handler.

Specify general settings for a virtual server
  1. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  2. In the Default Time Zone section, select the time zone to use for all sites and subsites under the virtual server.
  3. In the Default Quota Template section, select the quota template to use as a default for sites.

    If there are no templates, you can create a template by using the Manage Quota Templates page. Note that when you specify a default template for the virtual server, you can still select a different template when you create a site.

  4. In the Person Name Smart Tag and Presence Settings section, select Yes or No next to Enable Person Name smart tag and Online Status for members to show that information for all sites under the virtual server.
  5. In the Maximum Upload Size section, type the maximum file size to allow.
  6. In the Alerts section, specify settings for alerts:
    • Select On or Off to enable or disable alerts for all sites under this virtual server.
    • If you choose to enable alerts, and want to limit the number of alerts that users can create, under Maximum number of alerts that a user can create, select Unlimited, or type the number of alerts to allow.
    • If you choose to enable alerts, specify the times to send immediate, daily, or weekly alerts.
  7. In the Web Page Security Validation section, specify the following settings:
    • Select On or Off to enable or disable Web Page Security Validation.
    • To set the expiration time, select After, and then type the length of time to wait before the validations expire, or select Never to keep the validations from expiring.
  8. In the Send User Name and Password in E-Mail section, select Yes or No to control this option.
  9. In the E-Mail Enabled Document Libraries section, specify the following options:
    • Next to Document libraries on this virtual server can accept e-mail attachments, select Yes or No.
    • In the Public folder server name and root path box, type the name of the Microsoft Exchange server and the path to the root folder for Exchange public folders on that server.
    • If you choose to enable e-mail attachments, specify the frequency and times to check for e-mail attachments in the public folder.
  10. In the Event Handlers section, select On or Off to enable or disable event handlers.
  11. Click OK.


Configuring Online Presence Settings

Configuring Online Presence Settings

Online presence allows users of your site to see if other users are online and send instant messages to them. To use online presence, your users must have Microsoft Office 2003 installed, must be running Microsoft Windows Messenger version 4.6 or later or MSN Messenger version 4.6 or later on their client computers, and they must have valid accounts with the .NET Messenger or Microsoft Exchange Instant Messaging service. Note that the e-mail address for the instant messaging account must be compatible with the e-mail address for the user account in Windows SharePoint Services.

To see presence information for people with .NET Passport accounts, the e-mail address for the messenger contact must be the same as the e-mail address for the user account in Windows SharePoint Services. To see presence information for people with Exchange Instant Messaging service accounts, the user name must be the same, although the address may vary (for example, someone@example.com for the e-mail address, and someone@im.example.com for the instant messaging address), depending on your organization's Exchange configuration. For best results, it is recommended that users use their primary SMTP address for both instant messaging and their user account in Windows SharePoint Services. For more information about configuring Exchange Instant Messaging for your organization, see the Microsoft Exchange 2000 documentation.

The Office 2003 installation includes an ActiveX control that allows Microsoft Windows SharePoint Services to render online status for site users. This control checks the e-mail address on record for the user and directs a query to the presence server for that client to see if they are online. The ActiveX control does not store online information or e-mail addresses; it simply directs queries from the site to the e-mail address and renders the appropriate status.

You can enable or disable online presence information at the virtual server level. When you enable online presence for a virtual server, it is enabled for all sites and subsites of that virtual server.

Enable online presence for a virtual server
  1. On the SharePoint Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  2. On the Virtual Server List page, click the name of the virtual server you want to configure.
  3. Under Virtual Server Management, click Virtual server general settings.
  4. In the Person Name Smart Tag and Presence Settings section, next to Enable Person Name smart tag and Online Status for members, select Yes.
  5. Click OK.


Configuring Site Quotas and Locks

Configuring Site Quotas and Locks

If you are using Microsoft Windows SharePoint Services in a large environment, such as at an Internet Service Provider (ISP) or in a large intranet, you need to be able to maintain control over your server resources and carefully monitor areas such as storage space and site security. You must be able to ensure that one user's site cannot use so many resources that other sites can no longer function. Windows SharePoint Services allows you to specify quotas for sites, so that you can manage your site and server resources.

When you set a quota limit for storage, you can set two values: a warning value and a maximum value. When a site passes the warning limit, an e-mail message is sent to the site administrator and owner notifying them that their site is near its storage quota. E-mail messages are sent daily until the storage level drops below the warning level. When a site meets the maximum limit, another e-mail message is sent to the owner and administrator, and no new content can be added to the site. Note that before e-mail messages can be sent, you must configure the e-mail server settings and be running the Microsoft SharePoint Timer service. For more information, see Configuring E-Mail Settings and Scheduling Timed Jobs.

Note The size of the data reported by quotas does not necessarily match the size of the storage in the database. This is because the quota feature estimates storage figures for empty sites (sites that contain no user content) and includes those figures in the quota, as well as the actual storage from the database. The estimated size of an empty site includes the real size of the template pages for Windows SharePoint Services, such as the forms pages and pages in the _layouts directory, which are not normally counted, since there is only one copy of these pages for all sites. Although each site has a unique URL to the pages, the site does not have a unique instance of the page.

You can create multiple sets of quotas, called quota templates, and use them in different areas or your server farm, or to suit different users. For example, in a large intranet setting, you could have the following quota templates:

  • Test — Applied to free or demo sites; restricts users to 10 MB of storage.
  • Standard — Applied to monthly-chargeback sites; allows site owners up to 25 MB of storage.
  • Premium — Applied to sites for large teams; allows organizations up to 10 GB of storage.

You must be an administrator of the local server computer or a member of the SharePoint administrators group to be able to manage quotas and quota templates.

Enabling Quotas

The quota feature is disabled by default in Windows SharePoint Services — there are no default quota values or templates. To enable quotas, you use the following methods:

  • To use quotas for your server or server farm, you create a quota template.
  • To use quotas for a particular virtual server, you assign a default quota template to that virtual server.
  • To use quotas for a particular site collection, you assign a quota template to the site collection when you create the site collection.
  • To use a set of quota values for a single site only, you can apply specific quota limits to the site itself, independent of any quota template.

You can reverse your decision to use quotas at any point in the hierarchy. For example, applying a default quota template to a virtual server does not mean that all site collections under that virtual server must use the quota limits — it only means that they can. Settings that you apply to a single site can be cleared if you no longer want to use quotas.

About Quota Templates

Quota templates and the settings specified in them are stored in the configuration database for your server or server farm. Quota values apply to site collections and are applied when you create a site collection. You can specify a default template to use for all site collections created on a virtual server, for example, or you can specify the template to use when you create the site collection. The values listed in the quota template are copied into the database for the site collection and are referenced from there.

If you change the values for a quota template, those changes apply only to new site collections created by using that template, not to existing site collections. To update the quota values for large numbers of existing site collections, you can use the object model or an SQL query. For details on using the object model, see the SPSite object in the Windows SharePoint Services Software Development Kit. You can run queries similar to the following against your content databases to update quota values:

  • To update the storage quota:
    Update sites set diskquota=<new storage amount> where <search criteria>

To update all sites that use a quota template, you must run the query for all content databases in the server farm.

When you delete a quota template, the template is removed from the configuration database, but any site collections created using that template retain the quota values. If you want to remove quotas from all sites using a particular quota template, you must use the object model or perform an SQL query. For more information about using the Windows SharePoint Services object model, see the Windows SharePoint Services Software Development Kit.

Managing Quota Templates

You manage quota templates from the SharePoint Central Administration pages for your server or server farm. You can create or delete templates or change the values in the templates.

Create a quota template
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, in the Component Configuration section, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Quota Templates.
  4. On the Manage Quota Templates page, in the Template name section, select Create a new quota template.
  5. In the Template to start from box, select a template to base your new template on.
  6. In the New template name box, type the name to use for your new quota template.
  7. In the Storage Limit Values section, select the Limit site storage to a maximum of: ___ MB check box, and then type the amount of storage to allow at a maximum.
  8. Select the Send warning e-mail when site storage reaches ___ MB check box, and then type the amount of storage to allow before sending a warning e-mail message.
  9. Click OK.

    When you click OK, the new template is added to the list of available templates, and the page is refreshed.

You can delete a quota template if you change your quota structures. However, remember that deleting a quota template will not delete quota values from sites that were created using the quota template. If you want to remove quotas from all sites using a particular quota template, you must use the object model or perform a SQL query.

Delete a quota template
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, in the Component Configuration section, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Quota Templates.
  4. On the Manage Quota Templates page, in the Template name section, select Edit an existing template.
  5. In the Template to modify box, select the quota template you want to delete.
  6. Click Delete.

    When you click OK, the template is removed from the list of available templates, and the page is refreshed.

You can change individual quota values in a template. The new values apply only to new site collections created using the quota template. The changed values are not applied to existing sites unless you use the object model to update the values in the database.

Change an existing quota template
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, in the Component Configuration section, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Quota Templates.
  4. On the Manage Quota Templates page, in the Template name section, select Edit an existing template.
  5. In the Template to modify box, select the quota template you want to change.
  6. Update the options you want to change, and then click OK.

    When you click OK, the template is updated, and the page is refreshed.

Specifying a Quota Template for a Virtual Server

When you extend a new virtual server, you can specify a quota template to use as the default quota template for that virtual server on the Extend and Create Content Database page. Any new site collections that you create under the virtual server will automatically use the values in the default quota template. You can change the default quota template for a virtual server from the Virtual Server Settings page. Keep in mind that changing the default quota template does not change quota values for existing site collections. Only newly created site collections will use the new quota template.

Change the default quota template for a virtual server
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, in the Virtual Server Configuration section, click Configure virtual server settings.
  3. On the Virtual Server List page, select the name of the virtual server you want to change.
  4. Under Virtual Server Management, click Virtual server general settings.
  5. In the Default Quota Template section, select the quota template to use as the default template when new site collections are created.
  6. Click OK.

Specifying Quota Values for a Specific Site

If you want to specify a different set of limits for a particular site, you can do so. Specifying quota values for a single site is an easy way to turn on quotas on a site-by-site basis. Similarly, if you need to make an exception to a quota template for a particular site, you can change the quota value for just that site. Keep in mind, however, that it is possible to lock a site simply by changing the quota value. If you already have quotas set for a particular site, and you want to update the value, be sure to check the site's current quota levels before making the change. For example, suppose the current quota level for site storage is 25 MB, and a site has 21 MB. If you change the value to 20 MB, the site will be locked as soon as you save the change. To prevent locking a site accidentally, be sure to check the current storage or invited user count for the site before making a change to the quota values.

If you do not know what the existing quota values are for a site, you can use the SharePoint Central Administration page to view the current values and the current data (storage used and number of users) for the site.

View current quota values and data for a site collection
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, in the Component Configuration section, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage site collection quotas and locks.
  4. In the Select a Top-level Web Site section, type the URL in the Enter the top-level Web site URL box, and then click View Data.
  5. In the Site Quota Information section, view the settings listed to see the quota settings and current values.

To view the current data for a site collection, you can also use the Site Collection Usage Summary page for the top-level Web site.

View quota data for a site
  1. On the site collection you want to view data for, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Administration, click View site collection usage summary.

After you have checked the site quota data, you can change the quota values for a site. Note that this action does not change the quota template, and the change does not affect any site except the site you specify.

Change quota values for a site
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, in the Component Configuration section, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage site collection quotas and locks.
  4. In the URL of Top-level Web Site section, type the URL in the Enter the top-level Web site URL box, and then click View Data.
  5. In the Site Quota Information section, change the Limit storage to a maximum of __ MB amount, Send warning e-mail when site storage reaches __ MB amount.
  6. Click OK.

Managing Locks

You can use locks to stop sites from exceeding your storage quota limits, and to block all users from accessing a site if necessary. Sites are locked to block new content automatically when they exceed the maximum storage quota. You can also lock a site manually to block all access, if, for example, it is in violation of your site use policies. Depending on the type of lock, the result of a locked site is different:

  • When a site is locked for exceeding a storage quota limit, users who attempt to upload new content see a disk full error.
  • When a site is locked manually to block all access, users who attempt to view the site will see an access denied message. When a site is locked manually to block new content, users who attempt to add content see a disk full error.

Sites can be unlocked by different methods, depending on the reason for the lock. Site administrators can unlock sites by themselves if the sites are locked for exceeding quota limits. Only a server administrator can clear a manual lock. The following table lists the lock reasons and methods for unlocking sites.

Lock reason | Server administrator action to unlock | Site administrator action to unlock
Storage limit exceeded | Change the quota value. | Delete excess site content or documents.
Manual lock by server administrator | Clear the Adding content prevented or No access lock. | None.

If you need to lock a site and deny all users access to it, either temporarily or permanently, you do so by using the Manage Site Collection Quotas and Locks page.

Lock a site manually
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, in the Component Configuration section, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage site collection quotas and locks.
  4. In the URL of Top-level Web Site section, type the URL in the Enter the top-level Web site URL box, and then click View Data.
  5. In the Site Lock Information section, select Adding content prevented or No access.

  6. If you lock a site with Adding content prevented or No access, you must type an explanation in the Additional lock information box.

  7. Click OK.

When a site has been locked manually, you can unlock it by using the Manage Site Collection Quotas and Locks page.

Unlock a site
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, in the Component Configuration section, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage site collection quotas and locks.
  4. In the URL of Top-level Web Site section, type the URL in the Enter the top-level Web site URL box, and then click View Data.
  5. In the Site Lock Information section, select Not locked, and then click OK.

Related Topics

Quota data is captured along with the usage analysis data for a site. For more information about the usage analysis process, see Configuring Usage Analysis.


Configuring Self-Service Site Creation

Configuring Self-Service Site Creation

Microsoft Windows SharePoint Services allows members of the Administrator site group to create subsites off of their Web sites. These subsites can be fully functioning SharePoint sites, complete with a home page, document libraries, and other features, and they can even have their own unique permissions. Self-Service Site Creation is enabled by administrators and allows users to create their own top-level Web sites. The user does not need administrator permissions on the server or virtual server, only permissions on the Web site where Self-Service Site Creation is hosted. The user simply enters some basic information and the new top-level Web site is created with the user as the owner and administrator. When you enable Self-Service Site Creation, you do not have to create top-level Web sites on demand for your users — they can do it themselves.

You turn on Self-Service Site Creation from the Configure Self-Service Site Creation page for the virtual server you want to enable. When you turn on Self-Service Site Creation, an announcement is added to the home page of the top-level Web sites on that virtual server, with a link to the signup page (Scsignup.aspx). Users can click the link to go to the signup page and create their sites. This announcement is set to never expire, but if the Announcements list is long or is removed from the home page of your site, the announcement may not appear. If you want to ensure that the link always appears on the home page, you can customize the home page in a Web page editor compatible with Windows SharePoint Services to include the link in a prominent position, such as the top link bar.

Security and Self-Service Site Creation

Self-Service Site Creation allows users to create and manage their own top-level Web sites automatically. This capability can affect the security of your Web server running Windows SharePoint Services. Self-Service Site Creation is disabled by default — you must turn on the feature to use it. You enable Self-Service Site Creation for a single virtual server at a time. If you want to use it on all virtual servers in your server farm, you must enable it for every virtual server individually.

The Administration pages for Self-Service Site Creation are part of the virtual server administration pages, which can only be accessed by local computer administrators or members of the SharePoint administrators group. Access to the signup page follows the same security rules as other Web site pages. By default, the Use Self-Service Site Creation right is included in all site groups except the Guest site group, and it gives users access to the signup page and the ability to use Self-Service Site Creation to create their own top-level Web sites.

Note that because Self-Service Site Creation simply creates new top-level Web sites on an existing virtual server, any new sites automatically conform to the virtual server's quota settings, unused Web site notification settings, and other administrative policies.

By default, Microsoft Office SharePoint Portal Server 2003 enables Self-Service Site Creation within portal site installations. This is how the “Create Site” feature in the Site Directory works. If you disable Self-Service Site Creation, the “Create Site” feature will not to function.

Managed Paths and Self-Service Site Creation

By default, when you install Windows SharePoint Services, a URL path called /sites is added to your virtual server. When you enable Self-Service Site Creation, that path is the default path for sites that your users create. For example, a user can create "MyTeamSite" under /sites on Server 1. Using the defaults, the path for this site would be similar to the following: http://server/sites/MyTeamSite. You can use the default /sites path for users' Self-Service Site Creation sites, or you can create additional paths. You specify which URL paths are available for users to create sites under by adding managed paths. If you do add more URL paths for Self-Service Site Creation to use, when users go to the Scsignup.aspx page, they see a drop-down box listing the various paths available, and they can choose which path to create their site under. For more information about defining a URL path, see Managing Paths.

Enabling Self-Service Site Creation

You can use either HTML Administration pages or the command-line tool to enable and configure Self-Service Site Creation. Either method allows you to turn Self-Service Site Creation on or off and allows you to specify required information for each site.

Configuring Self-Service Site Creation from HTML Administration Pages

To enable Self-Service Site Creation for a virtual server, use the Configure Self-Service Site Creation page for that virtual server.

Enable Self-Service Site Creation
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server to enable.
  4. On the Virtual Server Settings page, under Automated Web Site Collection Management, click Configure Self-Service Site Creation.
  5. In the Enable Self-Service Site Creation section, next to Self-Service Site Creation is, select On.
  6. If you want to require two contact names for each site, select the Require secondary contact check box.

    Requiring a secondary contact is highly recommended if you are using site use confirmation and have enabled automatic Web site deletion. For more information, see Managing Unused Web Sites.

  7. Click OK.

To disable Self-Service Site Creation, go to the Configure Self-Service Site Creation page; next to Self-Service Site Creation is, select Off, and then click OK.

Configuring Self-Service Site Creation from the Command Line

You use the enablessc operation to enable and configure Self-Service Site Creation from the command line. The enablessc operation requires the URL parameter, and optionally takes the requiresecondarycontact parameter. For example, to enable Self-Service Site Creation for a server called MyServer and require two contact names for each site, you would use syntax such as the following:

stsadm -o enablessc -url http://MyServer -requiresecondarycontact

You can disable Self-Service Site Creation by using the disablessc operation. The disablessc operation takes only the URL parameter. So, to disable Self-Service Site Creation for MyServer, the syntax would be:

stsadm -o disablessc -url http://MyServer

Related Topics

For more information about using command-line operations, see Command-Line Operations.


About Shared Services

About Shared Services

Shared services are portal site services that are shared across server farms. The services are centrally managed from a single portal site for one or more server farms.

You cannot specify individual services to be shared. All of the following services are shared:

  • User profiles A user profile organizes and displays all of the properties known about a person within a portal site. When user profiles are shared, the parent portal site shares the information from the profile database with the child server farm.
  • Audiences An audience is a custom group used to target content to people based on membership in that group.
  • Search The search component consists of one or more services, databases, or related files that provide search functionality in a product. The parent portal site provides search services to the child server farm.
  • Alerts Alerts help users track changes to content that is relevant to their everyday work. Users can choose to be alerted to the following types of items: search queries, areas, files, and folders.
  • Single sign-on service Single sign-on is an authentication process that permits a user to enter one name and password to access multiple applications.
  • Personal sites My Site is a personal SharePoint site created in the portal site that provides personalized and customized information for you and your users. On this site, you will find content targeted to you based on membership in a particular audience. In addition, My Site provides quick access to things you need to do your work. This may include links to documents, people, or Web sites as well as personal alerts you create to track changes to content within the portal site and your organization. From My Site, you can also update your public profile and share collections of links with other portal site users. Personal sites can be hosted by a non-parent portal site or on another server farm.

    Personal sites hosted by a central portal site in a shared services configuration are not included in the content index, and their content does not appear in search results. If you want to include content from personal sites in search results, search for article 824615 in the Microsoft Knowledge Base.

Note Document library servers for backward-compatible document libraries (Web Storage System-based) do not participate in shared services. Each server farm must have its own document library server.

Note If the server farm administrator enters an invalid URL on the Configure Alternate Portal Access Settings page, the My Site and Alert Me links in a child portal site will be broken.

Terms Used in Shared Services

The server farm that provides shared services is the parent server farm. The portal site that provides the services is the parent portal site. Only one portal site on a server farm can provide shared services.

The server farm that uses shared services is the child server farm. Each portal site on that server farm is a child portal site. A child portal site is any portal site that uses shared services from a parent portal site.

When you configure a portal site to provide shared services, all other portal sites on the server farm become child portal sites. Any additional portal sites that you create on the server farm are automatically child portal sites.

Each portal site on a server farm can have its own user profiles, audiences, search, alerts, and personal sites. When you configure the server farm to provide shared services, you must decide which portal site you want to be the parent portal site based on that criteria.

Why Use Shared Services?

In a typical organization, there might be multiple deployments of Microsoft Office SharePoint Portal Server 2003. Each portal site can store user profiles, conduct search and indexing, and provide alerts. It becomes expensive to deploy each portal site with all of the services, because many of the services are common to all portal sites. To consolidate resources, you can factor out the common services of search, indexing, alerts, and user profile management by using shared services provided by a parent portal site. The child portal sites in the organization can then provide content based on division or application without using up resources on the technical details of import and crawl. They will use these services from the parent portal site.

Security Consideration

Adding a content source to the parent portal site for crawling child portal sites causes ASPX pages to be crawled by default. The crawling account is, by default, an administrator-level account. This account might be able to access information that other users cannot access. The result is that data included in the content index as a result of using the administrator-level account will be accessible to any person who can use search on the portal site.

To prevent this, do not add a content source to the parent portal site that causes ASPX pages to be crawled. If you do add a content source, create a rule to configure the content source so that it is crawled with a user account that has Read rights. For information about creating a rule, see Adding a Rule That Includes or Excludes Content.

Other Considerations when Using Shared Services

You should consider the following before providing or using shared services:

  • After you configure a server farm to provide shared services, all other portal sites on that server farm become child portal sites.
  • The parent server farm and the child server farm must be running the same version of SharePoint Portal Server in the same language.
  • The parent server farm and child server farm must belong to the same domain or trusted domain.
  • The parent and child server farms both must be on the intranet, on the extranet, or in a perimeter network (also known as DMZ, demilitarized zone, and screened subnet). You cannot have a firewall between the parent server farm and the child server farm.
  • Sharing services is at the server farm level. All portal sites on a child server farm will be child portal sites.
  • You should back up the server farm before you configure it to provide or use shared services. After you configure the server farm to provide or use shared services, you cannot undo the operation.
  • A child portal site can never be changed to a parent portal site.
  • When you configure the server farm to use shared services, the services that are no longer required on the child server farm are disabled. Administration pages for managing these services will display an error message stating that the service cannot be managed on this server farm.
  • Some services and scheduled tasks in the child server farm are turned off when you configure the server farm to use shared services. These services and tasks include the Microsoft SharePoint Portal Server Search service (SharePointPSSearch), search schedules, profile import, and the audience compilation schedule.
  • If the server farm administrator enters an invalid URL on the Configure Alternate Portal Access Settings page, the My Site and Alert Me links in a child portal site will be broken.

A portal site that crawls itself behaves differently than a portal site that crawls another portal site:

  • When the portal site crawls itself, it indexes the content so that alerts are available on list items and not only on the list as a whole. In addition, URL listings cause the crawler to go to the Web page or other object referenced by the URL and index it.
  • To achieve the same behavior for a remote portal site, modify the content source for the remote portal site and add a site path rule.
    • If you want to crawl Web pages and other URLs referenced by URL listings on the remote portal site, modify the content source responsible for crawling the remote portal site. Specify the site hops as 1, allowing the indexing to hop from the remote portal site to index URLs referenced in the listing.
    • To enable alerts per list items, add a site path rule for the URL of the remote portal site and select the Allow alerts for individual SharePoint list items check box.

These guidelines can be helpful when managing the crawl of portal sites that use the shared services of the indexing portal site. To achieve the same results as an internally managed crawl, configure these settings on the portal site sharing its search service.

Sample Scenario

  1. Create a parent portal site on the parent server farm that has the following:
    • User Profiles populated from a directory
    • Audience definitions
    • Content indexes for each portal site using shared services
    • Centralized alert store
    • Single sign-on database
  2. Create child portal sites on the child server farm and attach them to the shared services of the parent portal site. Each child portal site contains only site information (areas, lists, etc.) and sources shared data from the parent portal site. The job server, indexing, alerts, and classification are provided by the parent server farm.

Related Topics

Providing Shared Services
Using Shared Services


Providing Shared Services

Providing Shared Services

You can configure a server farm to provide services used by another server farm or by portal sites on the same server farm. When you configure a parent portal site on the parent server farm, all other portal sites on the parent server farm automatically become child portal sites. For more information, see About Shared Services.

Caution You should back up the server farm before and after you configure it to provide shared services. Once you configure the server farm to provide shared services, you cannot undo the operation.

There are up to four different accounts that are used in a shared services solution between two portal sites:

  • CentralAdminAppPool application pool account for the parent server farm
  • Application pool account for the parent portal site (MSSharePointPortalAppPool)
  • CentralAdminAppPool application pool account for the child server farm
  • Application pool account for the child portal site (MSSharePointPortalAppPool)

Note On the child portal sites, ensure that site group rights that affect access to shared services are the same rights as those on the parent portal site.

Provide shared services

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Manage shared services for the server farm.
  2. On the Manage Shared Services page, in the Shared Services Provider section, do the following:
    1. Select the Provide shared services check box.
    2. In the Portal site that provides shared services list, click the portal site that provides the shared services.
  3. To use a separate portal site to host personal sites, in the Personal Site Services section, do the following:
    1. Select the Use personal site services check box.
    2. In the Personal site provider box, type the URL of the portal site that hosts personal sites.

    Specifying a personal site provider allows you to use a separate portal site to host personal sites. All users accessing personal sites on this server are automatically redirected to the server you specify.

    If there are any existing personal sites, you must manually transfer the data to the new portal site.

    Note To avoid conflicting security settings, ensure that the site group rights on the portal site hosting personal sites match the site group rights specified on the child portal sites.

    Note If you want to include content from the personal sites in search results, see Configuring the Portal Site That Hosts Personal Sites for Search.

  4. In the Direct Access to Search Service section, in the Accounts with access to the Search Services box, type the name of one or more accounts on the child server farm that you want to have access to search and index resources on the parent server farm.

    Type the account name in the format DOMAIN\user_name. You can also type the user principal name (UPN).

    Note You must specify the configuration database administration account used by the child server farm. Additional accounts are required only if a child portal site uses a different application pool account than the parent portal site. If each child portal site uses a different application pool account (by default, they all share one application pool account), you must add each child portal site application pool account.

    Click Select accounts or groups to select a user or security group from Microsoft Active Directory directory service.

  5. Click OK.
  6. On the message box that appears, click OK.

You can now configure the child server farm to use shared services. For more information, see Using Shared Services.

Configure the parent server farm to crawl the child portal site and to return alerts

As the final step of configuring shared services, configure the parent portal site to crawl content on the child portal site and to return alerts. Do the following:

  1. Create a Web site content source that points at the child portal site. For information about creating a content source, see Adding a Content Source. When you create the content source, use the following parameters:
    • Specify the address as http://child_portal_site_URL.
    • Specify the crawl configuration as This site - follow links to all pages on this site.
    • If you have enabled advanced search administration mode, create a new source group describing the child portal site.

    Note You could add the site to the Site Directory and suggest the site for crawling, but that limits the options for scoping.

  2. Create a Site Directory content source that points at the child portal site.
    • On the Configure Search and Indexing page, do one of the following:
      • If you have enabled advanced search administration, in the Other Content Sources section, click Add content source. On the Add Content Source page, select a content index, click SharePoint Portal Server Site Directory, and then click Next.
      • If you have not enabled advanced search administration, in the Site Directory section, click Add Site Directory content source.
    • Specify the address as http://child_portal_site_URL.
    • Create a source group that describes the child portal site.
  3. Create a rule to allow alerts on individual SharePoint list items. For information about creating a rule, see Adding a Rule That Includes or Excludes Content. When you create the rule, use the following parameters:
    • Create the rule in the same content index as the Web site content source.
    • Specify the path as http://child_portal_site_URL/sites/*.
    • For the crawl configuration, select the Allow alerts for individual SharePoint list items check box.


Using Shared Services

Using Shared Services

You can configure a server farm to use the services provided by another portal site. For more information, see About Shared Services.

Caution You should back up the server farm before and after you configure it to use shared services. Once you configure the server farm to use shared services, you cannot undo the operation.

When you configure the server farm to use shared services, the services are no longer required on the child portal sites and are disabled. Administration pages for managing these services display a message stating that the service cannot be managed on this server farm.

Before you configure the child server farm to use shared services, you must configure the parent server farm to provide shared services. In addition, when you configure a parent portal site on the parent server farm, all portal sites on the parent server farm automatically become child portal sites. For more information, see Providing Shared Services.

Note On the child portal sites, ensure that site group rights that affect access to shared services are the same rights as those on the parent portal site.

To use shared services, you need the name of the server storing the configuration database and the name of the configuration database. To find this information, do the following:

  1. On the SharePoint Portal Server Central Administration for server_name page for the parent server farm, in the Server Configuration section, click Configure configuration database server.
  2. On the Specify Configuration Database Settings for server_name page, the name of the server storing the configuration database is displayed in the Configuration Database Server section.
  3. The name of the configuration database is displayed in the Configuration Database Name section.

Use shared services

  1. Remove the search, index, and job server components from the Change Component Assignments page. To do this:
    1. On the SharePoint Portal Server Central Administration for server_name page, in the Server Configuration section, click Configure server topology.
    2. On the Configure Server Topology page, click Change Components at the bottom of the page.
    3. On the Change Component Assignments page, do the following:
      1. In the Component Assignment section, clear the Search and Index check boxes.
      2. In the Job Server Component section, in the Job server list, click -none-.
      3. Click OK.
    4. On the Configure Server Topology page, click Close.
  2. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Manage shared services for the server farm.
  3. On the Manage Shared Services page, in the Shared Services Consumer section, do the following:
    1. Select the Use shared services check box.
    2. In the Configuration database server name box, type the name of the database server storing the configuration database for the parent server farm.
    3. In the Configuration database name box, type the name of the configuration database for the parent server farm.
    4. Click OK.
  4. On the message box that appears, click OK.


Configuring the Portal Site That Hosts Personal Sites for Search

Configuring the Portal Site That Hosts Personal Sites for Search

In a shared services environment, if you specify a personal site provider and you want to include content from the personal sites in search results, complete the following procedure. For more information about shared services, see About Shared Services.

Configure the portal site that hosts personal sites for search

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Other Content Sources section, click Manage content sources.
  3. On the Manage content sources page, rest the pointer on the People content source, and then click the arrow that appears.
  4. On the menu that appears, click Edit.
  5. On the Existing Web page or Web site content source page, in the Crawl Configuration section, do the following:
    1. Click Custom - specify page depth and site hops.
    2. Select the Limit site hops check box.
    3. Type 1 in the box for the number of site hops.
  6. Click OK.
  7. On the Manage content sources page, rest the pointer on the People content source, and then click the arrow that appears.
  8. On the menu that appears, click Start Full Update.


Using a Search Scope from Another Portal Site

Using a Search Scope from Another Portal Site

In a shared-services environment, you can associate a child portal site with the search scope of a parent portal site. Search results on the associated parent portal site will then include the contents of this child portal site.

Perform the following procedure on the child portal site.

Use a search scope from another portal site

  1. On the Site Settings page for the child portal site, in the Search Settings and Indexed Content section, click Use search scope from another portal site.
  2. On the Associate Portal Site page, in the Associating Portal section, do one of the following:
    • If you do not want to associate this child portal site with the search scope of a parent portal site, click Do not associate this portal.
    • If you want to associate this child portal site with the search scope of a parent portal site, do the following:
      1. Click Associate this portal to the following portal.
      2. In the URL box, type the URL of the associated parent portal site.
  3. Click OK.


Using Fully Qualified Domain Names

Using Fully Qualified Domain Names

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Managing Security on the Server Farm

Managing Security on the Server Farm

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Managing Front-End Web Servers

Managing Front-End Web Servers

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Managing HTML Viewers

Managing HTML Viewers

Included with Microsoft Windows SharePoint Services is the ability to connect to an HTML viewing server. The HTML viewing server provides support for users who want to view the content of files on the Windows SharePoint Services Web site, but do not have Microsoft Word, Microsoft Excel, or Microsoft PowerPoint from Microsoft Office 97, or a later release of Office, installed on their local computer. Even users who only have a Web browser (Microsoft Internet Explorer or Netscape Navigator) can view content by having the native Office file format converted to HTML automatically. Although there is a slight delay while the transformation takes place, the converted file is extremely close to the WYSIWYG formatting of the original. In addition to making files available for viewing by users, administrators can use a batch process mode of HTML viewing to convert the contents of entire folders to HTML.

Note By default, the HTML viewing service supports only the following document types: .doc, .xls, .ppt, and .pps.

Transformation of a supported document can take between 1 and 30 seconds, depending on the complexity and size of the document as well as the speed and available resources of the dedicated computer. To provide for this ability and assure a fast response time, it is recommended that you dedicate a separate computer to this service.

After the server is set up, it can be managed through the Configure HTML Viewer page in the SharePoint Central Administration pages. For more information about setting up an HTML viewing server, see the Microsoft Office HTML Viewer Service for Windows SharePoint Services white paper on the Microsoft Office Resource Kit Web site.

Configure Windows SharePoint Services to use the HTML Viewer
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Server Configuration, click Configure HTML Viewer.
  3. Select the Allow HTML Viewing check box.
  4. In the Path to HTML Viewer Server box, type the full URL to the server hosting the HTML Viewer.
  5. In the Maximum cache size box, type the maximum size to allow for the HTML viewing cache.
  6. In the Maximum file size box, type the maximum file size to view.
  7. In the Timeout length box, type the length of time to wait before ending an HTML Viewer process.
  8. Click OK.


Starting and Stopping Services

Starting and Stopping Services

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Specifying the SMTP Server for the Document Library Server

Specifying the SMTP Server for the Document Library Server

If you have installed the components for backward-compatible document libraries (Web Storage System-based), you must specify a Simple Mail Transfer Protocol (SMTP) server for the document library server if you want to use approval e-mail messages and e-mail messages for alerts. You must use the same SMTP server that you specify for the server farm.

Specify the SMTP server for the document library server

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Server Configuration section, click Configure e-mail server settings.
  2. On the Configure E-Mail Server Settings page, specify the mail settings, and then click OK.
  3. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based).
  4. On the List and Manage Document Libraries page, click Synchronize.

    If no Synchronize button appears on the page, the SMTP server for the document library server is already set to the SMTP server for the server farm.


Adding a Server to the Server Farm

Adding a Server to the Server Farm

You can expand the scale of your server farm by adding servers. Add a server to the server farm by doing the following:

  1. Install either Microsoft Office SharePoint Portal Server 2003 or the document library component of SharePoint Portal Server on the server that you want to add.
  2. On the server that you want to add, connect to the configuration database for the server farm. For more information, see Specifying Configuration Database Settings.
  3. On the server that you want to add, configure the component assignments for the component or components that you want on that server. For more information, see Changing Component Assignments for the Server Farm.


Changing Component Assignments for the Server Farm

Changing Component Assignments for the Server Farm

You can change the components that are active on each server in your server farm. This can be useful if, for example, you add servers to your server farm.

You can view the component assignments for all servers on the server farm on the Configure Server Topology page.

Note If you have removed a search server from the topology and then added it back to the server farm, you must propagate the content index to the search server if you want search results to be available as soon as possible. For more information about forcing propagation, see Propagating a Content Index.

Change component assignments for the server farm

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Server Configuration section, click Configure server topology.
  2. On the Configure Server Topology page, click Change Components.
  3. On the Change Component Assignments page, in the Component Assignment section, do one of the following:
    • Select a check box to assign a component to a server.

      You can assign more than one component to each server.

    • Clear a check box to remove the assignment of a component to a server.
  4. In the Job Server Component section, in the Job server list, select a job server.
  5. If you have installed the server component for backward-compatible document libraries, in the Document Library Server Component (Optional) section, in the Document library server box, type the URL of the server to run the document library server component.

    If you are not using Secure Sockets Layer (SSL), the URL should be of the form http://server_name or server_name.

    If SSL is enabled or enforced on the document library server, the URL must be an https address (for example https://server_name).

    If you want an existing document library to use SSL, see "Configure a document library to use SSL" later in this document.

  6. Click OK.

Configure a document library to use SSL

If you want an existing document library that uses an http address to use an https address, do the following:

  1. Disconnect all document libraries from the configuration database. For more information, see Disconnecting a Document Library from the Configuration Database.
  2. Remove the document library server from the server farm topology. Do the following:
    1. On the SharePoint Portal Server Central Administration for server_name page, in the Server Configuration section, click Configure server topology.
    2. On the Configure Server Topology page, click Change Components.
    3. On the Change Component Assignments page, in the Document Library Server Component (Optional) section, delete the entry in the Document library server box.
    4. Click OK.
  3. Update the alternate portal access settings from http to https. For more information, see Editing Alternate Portal Access Settings.
  4. Add the document library server to the server farm topology. Ensure that you specify an https address for the URL. For more information, see "Change component assignments for the server farm" earlier in this document.
  5. Connect all document libraries to the configuration database. For more information, see Connecting a Document Library to the Configuration Database.


Removing a Server from the Server Farm

Removing a Server from the Server Farm

The preferred method for removing a server running Microsoft Office SharePoint Portal Server 2003 from the server farm is to disconnect the server from the configuration database. For information about configuration database settings, see Specifying Configuration Database Settings.

It is recommend that you remove a server from the server farm by using the Remove Server button on the Configure Server Topology page only in the following situations:

  • The server does not have SharePoint Portal Server installed on it.
  • The server running SharePoint Portal Server is unresponsive or offline.
  • The server is running the optional component for backward-compatible document libraries only.

Before you remove a server from the server farm, you must remove all dependencies from the server, unless it is the last computer remaining in the server farm.

Remove the optional document library server from the server farm

To remove an optional document library server from the server farm, do the following:

  1. Delete or disconnect all document libraries (Web Storage System-based) before removing the document library server. For more information, see Deleting a Document Library or Disconnecting a Document Library from the Configuration Database.
  2. Remove the entry for the document library server from the Change Component Assignments page. For more information, see Changing Component Assignments for the Server Farm.

    Note If you attempt to remove the entry for the document library server before deleting or disconnecting the document libraries, the Document Library Server Deactivation Warning page appears.

  3. If the server server is running the optional component for backward-compatible document libraries only, you must also do the following:
    1. On the SharePoint Portal Server Central Administration for server_name page, in the Server Configuration section, click Configure server topology.
    2. On the Configure Server Topology page, click Remove Server.
    3. On the Remove Server from Server Farm page, in the Select server list, select the name of the server that you want to remove from the server farm, and then click OK.

Remove a computer running SQL Server from the server farm

To remove a computer running SQL Server from the server farm, do the following:

  1. Delete the portal sites that have databases hosted on the SQL Server computer that you want to remove. For more information, see Deleting a Portal Site.
  2. On the SharePoint Portal Server Central Administration for server_name page, in the Server Configuration section, click Configure server topology.
  3. On the Configure Server Topology page, click Remove Server.
  4. On the Remove Server from Server Farm page, in the Select server list, select the name of the server that you want to remove from the server farm, and then click OK.

Remove an unresponsive, offline, or other server from the server farm

  1. Remove the Web, Search, and Index component assignments from the server. For more information, see Changing Component Assignments for the Server Farm.
  2. Change the server for the site and component settings databases. For more information, see Specifying Content Database Settings and Specifying Settings for the Component Settings Database.

    Note If you have only one server in your server farm, you cannot change the server for these databases. You must remove the component assignments from the server only.

  3. Remove the job server assignment or change the job server to another server. For more information, see Changing Component Assignments for the Server Farm.
  4. Ensure that the server does not provide Simple Mail Transfer Protocol (SMTP) services globally or to individual virtual servers. If the server does provide SMTP services, you cannot delete the server.
  5. On the SharePoint Portal Server Central Administration for server_name page, in the Server Configuration section, click Configure server topology.
  6. On the Configure Server Topology page, click Remove Server.
  7. On the Remove Server from Server Farm page, in the Select server list, select the name of the server that you want to remove from the server farm, and then click OK.


Specifying Automatic Error Reporting

Specifying Automatic Error Reporting

You can configure Microsoft Office SharePoint Portal Server 2003 to automatically send reports of errors that cause it to crash to Microsoft. Automatic error reporting uses a connection that uses the HTTP over SSL (https) protocol, which is more secure than an ordinary Internet connection. The data that Microsoft collects is used strictly for the purpose of tracking down and solving problems that users are experiencing. The information is stored in a secure database with limited access.

You can view the Microsoft Error Reporting Data Collection Policy from a link on the Diagnostic tools for server server_name page. There is a link to this page on the SharePoint Portal Server Central Administration for Server server_name page.

You must be logged on to the computer as a member of the local Administrators group to complete this procedure.

Specify automatic error reporting for all applications on this server

  1. On the taskbar, click Start, and then click Run.
  2. Type gpedit.msc and then click OK.
  3. In Group Policy Object Editor, under the Local Computer Policy node, expand the Computer Configuration node.
  4. Right-click Administrative Templates, and then click Add/Remove Templates.
  5. In the Add/Remove Templates dialog box, click Add.
  6. Select AER_LanguageID.ADM, and then click Open. For example, for English, you would select AER_1033.ADM. For more information about language IDs, see Regional and Language Settings.
  7. Click Close to close the Add/Remove Templates dialog box.
  8. Under the Computer Configuration node, expand the Administrative Templates node.
  9. Expand the Application Error Reporting node.
  10. Click the Queued Reporting node.
  11. In the details pane, right-click Bypass queue and send all reports, and then click Properties.
  12. On the Properties page, on the Setting tab, click Enabled.
  13. Click OK.
  14. Close Group Policy Object Editor.


Specifying Logging Settings for a Component

Specifying Logging Settings for a Component

You can specify the logging settings for components of Microsoft Office SharePoint Portal Server 2003 such as the single sign-on service and the search service. You can choose to do the following:

  • Log no events for this component.
  • Log critical events only.
  • Log informational events and critical events.
  • Log tracing information.

    Note You should select Log tracing information only for troubleshooting purposes. Logging tracing information might affect performance and disk use.

You an also choose to save a copy of the log automatically after a specified number of days, and you can choose to delete logs automatically after a specified number of days.

Specify logging settings for a component

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure diagnostic settings.
  2. On the Configure Diagnostic Settings for server_name page, in the Logging Settings section, in the Components list, select the component for which you want to specify logging settings, and then click Edit.
  3. On the Edit Logging Settings for server_name page, in the Logging Settings section, select a logging level for the component.
  4. In the Frequency for Saving and Deleting section, do the following:
    • In the Save a copy every (in days) box, type the time interval, in days, at which you want the server to save a copy of the log file for this component.

      If you do not want to save a copy of the log, type 0.

    • If you want log files for this component to be deleted automatically after a specified amount of time, in the Delete copies older than (in days) box, type the time, in days.

      Log files for this component that are older than the specified number of days will be deleted automatically. To delete files manually, type 0.

  5. Click OK.

Troubleshoot logging settings for a component

If you specify a configuration database administration account that is a member of the Power Users group, the administration service cannot create log files. Logging can be re-enabled by making the following changes to the Windows registry on the server containing the configuration database.

Caution Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

  1. On the taskbar, click Start, and then click Run.
  2. In the Run window, type regedit, and then click OK.
  3. Browse to the following key:

    HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Eventlog\Application\SharePoint Portal Server

  4. Double-click the EventMessageFile string value, and then copy the text in the Value data box.
  5. Browse to the following key:

    HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Eventlog\Application

  6. Right-click the folder for the Application key, point to New, and then click Key.
  7. Type SharePoint Portal Administration Service for the name of the key, and then click OK.
  8. Right-click the new key, point to New, and then click String Value.
  9. Type EventMessageFile for the name of the string value.
  10. Double-click the EventMessageFile string value and paste the value data text from step 4.
  11. Close Registry Editor.


Managing Portal Sites

Managing Portal Sites

You can use the Manage Portal Sites page to go to a portal site home page, to go to the Site Settings page for the portal site, to create a portal site, and to delete a portal site.

Manage portal sites

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Portal Site and Virtual Server Configuration section, click List and manage portal sites.
  2. On the Manage Portal Sites page, do one of the following:

    Go to the portal site home page.

    To do this, click the link for the portal site that you want to go to.

    Go to the Site Settings page for the portal site.

    To do this, rest the pointer on the name of the portal site that you want to manage, click the arrow that appears, and then click Manage Portal Site Properties.

    Create a portal site.

    To do this, click Create Portal Site, and then follow the steps in Creating a Portal Site.

    Delete a portal site.

    To do this, rest the pointer on the name of the portal site that you want to delete, click the arrow that appears, click Delete Portal Sites, and then follow the steps in Deleting a Portal Site.

    Restore a portal site.

    To do this, click Restore Portal Site, and then follow the steps in Restoring a Portal Site.


Changing Portal Site Properties and Site Creation Settings

Changing Portal Site Properties and Site Creation Settings

You can change the portal site properties and the site creation settings.

The following character limitations apply:

  • Portal site name The portal site name is limited to 80 Unicode characters.

    The portal site name can consist of all alphanumeric characters except for the following: \ / : * ? " < > |

  • Portal site description The portal site description is limited to 200 Unicode characters.

    The portal site description can consist of all alphanumeric characters, as well as the following: # % * + \ | " ? $ @ [ ] { } ⌂

  • Portal site logo The URL for the portal site logo is limited to 256 ASCII characters.

    The URL for the portal site logo can consist of all alphanumeric characters except for the following: # % * + \ | " ? > < $ @ [ ] { } ⌂

    The following file formats are supported for the graphics file: .gif, .bmp, .jpg, and .png. TIFF files are not supported.

  • Location for creating SharePoint sites The URL for creating sites from the Site Directory is limited to 2,048 ASCII characters. In addition, no component of the URL, such as the virtual directory or virtual server, can exceed 128 characters.

    The URL must end with /_layouts/language/scsignup.aspx.

Change portal site properties and site creation settings

  1. On the Site Settings page, in the General Settings section, click Change portal site properties and SharePoint site creation settings.
  2. On the Change Portal Site Properties and SharePoint Site Creation Settings page, in the Portal Site Name and Description section, do the following:
    1. In the Name box, type the name of the portal site.

      The name appears on the home page of the portal site.

    2. In the Description box, type a description for the portal site.
  3. In the Custom Portal Site Logo section, in the Location of logo file box, type the location of the graphics file that contains the custom logo to display on each portal site page.

    If the file location is a local relative path (for example, /_layouts/1033/logo.gif), you must copy the graphics file to that location on each front-end Web server.

  4. If you want to specify the URL from which users create sites, in the Location for Creating SharePoint Sites section, type the URL in the URL box.

    If you do not type a URL in this box, users will create sites from the default site creation page for this portal site.

    The default URL for team site creation is http://server_name/_layouts/language/scsignup.aspx. If you have previously typed an entry in the URL box and want to return to the default, leave the URL box blank.

  5. In the Custom Cascading Style Sheet section, in the Location of cascading style sheet file box, type the location of the cascading style sheet file that you want to use for this portal site.

    If the file location is a local relative path (for example, /_layouts/1033/blue.css), you must copy the cascading style sheet file to that location on each front-end Web server.

    For better performance, it is recommended that you copy the file to the _layouts folder on each front-end Web server.

  6. Click OK.


Restoring a Portal Site

Restoring a Portal Site

There are several scenarios in which you may want to restore a portal site. You may want to restore a site as part of disaster recovery. You may want to recover one or more documents that was deleted from the portal site but that exists in the backup of the portal site. You may also want to move a portal site from one server to another.

You can choose to restore the portal site to the same server or to an empty virtual server on a different server farm.

Restore a Portal Site to a Different Server Farm

If you want to move a portal site from Server A on one server farm to Server B on a second server farm, you would do the following:

  1. Create a virtual server on Server B.
  2. On Server B, go to the Create Portal Site for Server Server B page and select the option to restore a portal site.
  3. Specify the name of the server that stores the content database.
  4. Specify the name of the content database. If the name of the portal site you are restoring is MyPortalSite, the name of the content database is MyPort1_SITEDB.
  5. Specify the name of the server that stores the user profile database.
  6. Specify the name of the user profile database.
  7. Specify the name of the server that stores the services database.
  8. Specify the name of the services database.
  9. Select the virtual server you created on Server B.

The following limits apply to the number of portal sites supported on a server farm:

  • If the server farm is not part of a shared services environment, the server farm supports up to 15 portal sites.
  • If the server farm provides or uses shared services, the server farm supports up to 100 portal sites. Internet Information Services (IIS) limits the number of Web sites running on one server to 64. To create more than 64 Web sites on a front-end Web server in a server farm that provides or uses shared services, you must modify a registry setting. For more information, see Creating a Portal Site.

Restore a Portal Site from the Create Portal Site for Server server_name Page

You can access the Create Portal Site for Server server_name page from multiple locations:

  • On the SharePoint Portal Server Central Administration for Server server_name page, in the Portal Site and Virtual Server Configuration section, click Create a portal site.
  • On the SharePoint Portal Server Central Administration for Server server_name page, in the Portal Site and Virtual Server Configuration section, click List and manage portal sites. On the Manage Portal Sites page, click Create Portal Site.

    Note You can also click Restore Portal Site to get to that task directly.

This option restores the portal site without restoring the search configuration and content indexes. The information in the databases in restored, but the default search configuration for new portal sites is used. To fully restore a portal, you will have to follow the procedure described in the later section "Restore a Portal Site from the SharePoint Portal Server Data Backup and Restore Program."

Regardless of how you restore the portal site, alternate access settings are not backed up but are stored by the configuration database. If you restore to the same deployment, these settings will be intact. If not, you must reconfigure alternate access settings.

Restore a Portal Site from SharePoint Portal Server Central Administration

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Portal Site and Virtual Server Configuration section, click Create a portal site.
  2. On the Create Portal Site page, in the Portal Creation Options section, click Restore a portal.
  3. In the Restore Portal From Database section, do the following:
    1. In the Site database server list, select the content database server.
    2. In the Site database name box, type the name of the content database from which you want to restore the portal site.

      The name of the database ends in _SITEDB.

    3. In the User profile database server list, select the database server that hosts the user profile database.
    4. In the User profile database name box, type the name of the user profile database from which you will restore user profile information for the portal.
    5. In the Services database server list, select the database server that hosts the services database.
    6. In the Services database name box, type the name of the services database from which you will restore services for the portal.
  4. In the Site URL section, do the following:
    1. In the Virtual Server list, click the existing virtual server on this server that hosts the portal site.
    2. In the URL box, type the URL that users use to connect to the portal site.

      By default, this URL is http://server_name/.

  5. Click OK.
  6. On the SharePoint Portal Server Central Administration for Server server_name page, in the Portal Site and Virtual Server Configuration section, click Create a portal site.
  7. In the Portal Creation Options section, click Create a portal.

At the end of successful portal site creation, the Operation Successful page appears. You can then further configure the portal site.

Restore a Portal Site from the SharePoint Portal Server Data Backup and Restore Program

Note Some information for the portal site is not restored, and must be configured after restore has completed. This includes proxy settings, the configuration database, e-mail settings, and various registry settings described in the documentation.

  1. Create a virtual server on Server B.
  2. On Server B, on the taskbar, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Data Backup and Restore.
  3. In the Microsoft Office SharePoint Portal Server 2003 Backup and Restore window, click the Restore tab.

    The Microsoft Office SharePoint Portal Server 2003 Backup and Restore dialog box opens.

  4. In the Manifest file box, specify the location of the manifest file. You can also click Browse to find the location of the manifest file.

    The manifest file is the XML file that is in the directory that you specified for the backup files when you backed up the server. The file name is the prefix you specified for the backup file names. For example, if the file name you specified as the prefix for the backup file names was Adventure, the name of the manifest file would be Adventure.XML.

  5. In the tree view, expand Available components by clicking the plus sign, expand Portal sites, and then click the portal that you want to restore.
  6. Select the SITEDBS component, and click Edit.
  7. Specify the virtual server created in the first step, the URL for the portal site, and the database server name and database names for the site database, the user profile database, and the services database. Click OK.
  8. For each TEAMDBS component:
    1. Select the component, and click Edit.
    2. Specify the database server name and database name for the TEAMDBS component, and then click OK.
    3. Make sure the check box next to the component is selected.
  9. For each INDEX component:
    1. Select a component, and click Edit.
    2. Specify the content index server to use for this component.

      Note The backup image corresponding to the job server must be restored to the current job server in the server farm. The server for that component is selected for you and cannot be changed.

    3. Make sure the check box next to the component is selected.
  10. After every component is selected, click Restore.

    All databases are restored, the portal site is created, the team databases are added to the virtual server, and all content indexes on the appropriate servers are restored.

Troubleshooting Restoration of Portal Sites

Avoid Duplicate Alerts After Restoring a Portal Site

When a portal site is restored, a large number of spurious alert e-mail messages may be sent to users immediately following the first full update of the content index. The alert e-mail messages will be duplicates of messages already sent, or messages from unexpected servers.

To avoid sending unnecessary e-mail messages, you can run an incremental update instead, which sends alert e-mail messages only for items that have changed. Your next full update will still send unnecessary alert e-mail messages.

To avoid sending these alert e-mail messages after a full update, you can reset all of your content indexes and then run full updates on them. This will clear any pending alert e-mail messages. You can also stop the SharePoint Portal Alert service, run full updates on all of your content indexes, and then delete all alert e-mail messages in the queue before restarting the service. Because alert e-mail messages will not be sent during either option even if documents are changed, it is recommended that you make all of the changes at the same time when few people are using the portal site.

If you are restoring the portal site to recover deleted items, you can choose to disable the search schedule just long enough to restore the items, avoiding duplicate alerts.


Deleting a Portal Site

Deleting a Portal Site

If you delete a portal site, you will remove entries from the configuration database for all portal site content and all portal site configuration data, and you will remove content indexes. You can specify whether to delete associated databases when deleting the portal site.

In a shared services topology, if you delete the portal site that provides shared services, all child portal sites stop functioning. To restore functionality to the child portal sites, you must restore the parent portal site.

Only an administrator on the server farm can delete a portal site.

Note Deleting a portal site fails on a front-end Web server if the virtual server is not extended. You must delete a portal site from the Manage Portal Sites page on a front-end Web server that has a virtual server extended to host that portal site. Attempting portal site deletion from any other server in the server farm will result in an error that the SPVirtualServer object could not be located for the portal site.

Delete a portal site

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Portal Site and Virtual Server Configuration section, click List and manage portal sites.
  2. On the Manage Portal Sites page, rest the pointer on the name of the portal site that you want to delete, and then click the arrow.
  3. On the menu that appears, click Delete Portal Sites.
  4. On the Delete portal_site_name page, if you want to delete all databases, select the Delete all databases check box.

    If you do not select this box, the databases will be detached from the configuration database but not deleted.

    The following databases will be deleted:

    • Profile (database name ends in _PROF)
    • Site (database name ends in _SITE)
    • Component settings (database name ends in _SERV)
    • All content databases associated with this virtual server (database name begins with STS_)

    The first nine characters of the database names are based on the first eight characters of the portal site name plus a number.

  5. Click OK.

    Important Data loss will occur. When you click OK, the portal site deletion process starts. You cannot cancel the portal site deletion process.

After portal site deletion completes successfully, if you have multiple front-end Web servers, unextend all virtual servers that are extended to host the portal site.


Migrating Portal Data

Migrating Portal Data

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Changing the Portal Owner

Changing the Portal Owner

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Scheduling Timed Jobs

Scheduling Timed Jobs

Several features of Microsoft Windows SharePoint Services rely on scheduled background processes. For example, to be able to review usage analysis information, you must first gather the information, preferably when your site is not being heavily used. With Windows SharePoint Services, you can schedule the following operations to occur automatically at specific times.

Operation | Frequency | Scope
Processing the usage analysis log files | Daily | Web server
Sending alert notifications | Immediately, daily, or weekly | Content database
Checking for and automatically deleting unused Web sites | Daily, weekly, or monthly | Content database
Checking for and automatically adding e-mail attachments from a specific public folder to a specific document library | Every few minutes, hourly, or daily | Content database

Scheduled times apply to all Web sites on a particular virtual server. The scope determines how the job is run. If a job is scoped to the Web server level, it is run for each Web server computer, independently of any other Web servers that might be hosting the same content. If an operation is scoped to the content database level, it is run once for the content database, which means once for the each content database in the entire server or server farm.

The Microsoft SharePoint Timer service, a background utility, handles scheduled jobs in Windows SharePoint Services. This utility is installed to your Web server when you set up Windows SharePoint Services. The SharePoint Timer service relies on the Gregorian calendar for scheduling. For every job you schedule, you must specify a beginning time for that job based on a 24-hour clock. You specify the time in local time versus an offset from Universal Coordinated Time (UCT), and the time is stored in that format as well.

The dates used by the SharePoint Timer service are not stored in context. This means that you cannot schedule jobs to run every X days/weeks/months/years, where X is greater than 1. So, while you can schedule jobs to run every day, every week, or every month, you cannot schedule a process for every two days, and so on. Neither can you schedule jobs for relative days in a month, such as the third Monday of every month.

When you schedule a timed job, you schedule the beginning time for the job. For example, you can schedule a job to be run daily, beginning between 1:00 A.M. and 2:00 A.M. You always schedule jobs to begin within a time range, rather than at a specific time. This allows the SharePoint Timer service to be run at a random time in that range, so that not every server in a server farm is running the scheduled job at the same time. For example, if you set usage analysis processing to be done during the range 1:00 A.M. to 2:00 A.M., each front-end Web server starts processing usage analysis sometime between 1:00 and 2:00 A.M.

Using HTML Administration Pages to Schedule Jobs

You can schedule timed jobs by using HTML Administration pages. To schedule a timed job, go to the page that contains the settings for the job you want to schedule, and then select the day, date, month, year, and time that you want the job performed. For example, if you want to schedule usage analysis processing to be performed daily at 3:00 A.M., you would use the Configure Usage Analysis Processing page to specify the time to run the log processing. For more information about scheduling specific timed jobs by using HTML Administration pages, see the following topics:

  • Managing Alerts
  • Configuring Usage Analysis
  • Managing Unused Web Sites
  • Configuring E-Mail-Enabled Document Libraries

Using Command-Line Properties to Schedule Jobs

You can also set properties on the command line to schedule timed jobs. Alert and site use confirmation jobs can both be scheduled by using command-line properties. You use the setproperty operation with Stsadm.exe to schedule timed jobs. The setproperty operation takes the propertyname and propertyvalue parameters, as well as the -url parameter. For a timed job, the propertyvalue parameter is the frequency and time when you want the job to be performed.

When you schedule a job from the command line, you use one of the following formats to specify the frequency and time:

Job frequency | Example time format
Immediate | "every 5 minutes between 0 and 59"
Daily | "daily between 22:00:00 and 06:00:00"
Weekly | "weekly between Fri 22:00:00 and Mon 06:00:00" or "weekly at Sat 0:00:00"

For example, to schedule a job to be processed daily between midnight and 1:00 A.M., you would specify the propertyvalue parameter as:

-pv "daily between 0:00:00 and 01:00:00"

For more information about scheduling timed jobs from the command-line, see Command-Line Properties.

Restarting the SharePoint Timer Service

If you need to restart the SharePoint Timer service on a Web server computer, you can do so by using the Services control panel.

Note To restart the SharePoint Timer service you need to be a member of the local computer's Administrators group or you need to have been granted permissions to manage services on the local computer.

Restart the SharePoint Timer service
  1. Click Start, point to All Programs, point to Administrative Tools, and then click Services.
  2. In the Services (Local) pane, right-click SharePoint Timer Service, and then click Restart.


Managing Sites and Subsites

Managing Sites and Subsites

Web sites in Microsoft Windows SharePoint Services are organized into site collections. Each site collection has a top-level Web site. This top-level Web site can have multiple subsites, and each subsite can have multiple subsites. Because sites are nested in a hierarchy within the site collection, it can be challenging to manage them all.

Note Local server administrators and members of the SharePoint administrators group can perform any task that a site collection administrator can perform for a site collection.

You can use two methods to manage sites and subsites:

  • HTML Administration pages

    When you use HTML Administration pages to manage sites in a site collection, be aware that some features are only available from the top-level Web site. These features include managing site collection galleries, viewing storage space allocation, viewing the site heirarchy, and listing all users in the site collection.

  • Command-line administration

    If you use the command line to manage sites in a site collection, the levels are not as important, because you can always specify the full URL path for a site you want to manage, and you can adjust the URL to list sites and subsites at any level in the site collection. However, you must be a member of the administrators group for the local server computer to use the command-line tools.

Managing Sites and Subsites by Using HTML Administration Pages

You can use the HTML Administration pages to view a list of subsites within a site collection or for a particular subsite. You can also use HTML Administration pages to delete a site or subsite. Depending on your administrative access level, you can perform different actions.

  • Members of the local server's administrator group and members of the SharePoint administrators group can delete a site collection from SharePoint Central Administration. Site collection administrators can also delete a site collection by using the Top-Level Site Administration page. Deleting the site collection deletes the top-level Web site in that site collection, as well as any subsites.
  • Members of the site collection administrators group can view a list of all subsites below the top-level Web site in that site collection from the View Site Hierarchy page. They can delete a specific subsite in the site collection or the entire site collection by navigating from the View Site Hiearchy page to the Site Administration page for the subsite or top-level Web site (to delete a site collection).
  • Members of the Administrator site group for a subsite can only see the immediate subsites below their subsite. They can delete the subsites they see, provided that the subsites have no subsites beneath them.

Viewing Subsites

If you are a member of the Administrator site group for a site, you can view a list of subsites from the Manage Sites and Workspaces page in Site Settings. This list displays only the immediate set of subsites for the current site (one level down).

View the list of immediate subsites for a site
  1. On the site, click Site Settings.
  2. On the Site Settings page, under Administration, click Manage sites and workspaces.

If you are a site collection administrator, you can see the full list of subsites for the site collection (any subsites of the top-level Web site, plus any of their subsites) by using the View Site Hierarchy page in Site Administration.

View the entire list of subsites within a site collection
  1. On the top-level Web site for the site collection, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. Under Site Collection Administration, click View site hierarchy.

Deleting a Site Collection

If you are an administrator of the local server computer on which a site resides or a member of the SharePoint administrators group, you can use the Delete Site Collection page in the Central Administration or Virtual Server Administration pages to delete a site collection (a top-level Web site and any subsites beneath it).

Caution When you delete a top-level Web site, you also delete any subsites beneath it. Before you delete a site, be sure to verify that there are no subsites beneath it, or that you no longer need the subsites beneath it. You cannot recover a subsite unless you have a backup version of the subsite. For more information about backing up a site, see "Backing Up and Restoring Databases by Using the SQL Server 2000 Tools" in the Windows SharePoint Services Administrator's Guide.

Delete a site collection from SharePoint Central Administration
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Delete site collection.
  3. In the URL of the site to delete box, type the full URL to the site.
  4. Click OK.

If you are the owner of or a site collection administrator for a top-level Web site, you can delete the top-level Web site by using the Delete This Site page in the Site Administration pages.

Delete a site collection from Site Administration
  1. On the subsite, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. Under Management and Statistics, click Delete this site.
  4. On the confirmation page, click Delete.

Deleting a Subsite

Depending on your administrative access level, you can use different methods to delete a subsite:

  • If you are a member of the Administrator site group for the subsite you want to delete, you can use the Delete This Site page in Site Administration.
  • If you are a member of the Administrator site group for the site one level up from the subsite you want to delete, you can use the Manage Sites and Workspaces page in Site Settings for your subsite.

Caution You cannot recover a subsite unless you have a backup version of the subsite. For more information about backing up a site, see "Backing Up and Restoring Databases by Using the SQL Server 2000 Tools" in the Windows SharePoint Services Administrator's Guide.

Delete a subsite using the Delete This Site page
  1. On the subsite, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. Under Management and Statistics, click Delete this site.
  4. On the confirmation page, click Delete.

To delete a subsite from the Manage Sites and Workspaces page, you must use the Site Settings page for the site immediately above the subsite you want to delete.

Delete a subsite using the Manage Sites and Workspaces page
  1. On the site above the subsite you want to delete, click Site Settings.
  2. On the Site Settings page, under Administration, click Manage Sites and Workspaces.
  3. On the Manage Sites and Workspaces page, next to the subsite you want to delete, click the Delete icon.
  4. On the confirmation page, click Delete.

Managing Sites and Subsites from the Command Line

You can use the following operations with the Stsadm.exe command-line tool to manage sites and subsites.

Operation | Description
enumsites | Lists all top-level Web sites for a specific virtual server.
enumsubwebs | Lists all subsites of a specific top-level Web site or subsite.
renameweb | Renames a subsite.
deletesite | Deletes a top-level Web site and any subsites beneath the top-level Web site.
deleteweb | Deletes a subsite. If the subsite contains other subsites, an error will be returned, and the subsite will not be deleted.

You can also use the following operations to manage sites and subsites: createsite, creatsiteinnewdb, and createweb. For more information, see "Creating Sites and Subsites" in the Windows SharePoint Services Administrator's Guide.

The enumsites and enumsubwebs operations take the url parameter. Their syntax is simple, just the operation and URL, as in the following examples:

stsadm.exe -o enumsites -url <URL>
stsadm.exe -o enumsubwebs -url <URL>

The enumsites and enumsubwebs operations provide the list of sites and subsites as XML text. For example, a list of sites generated by running enumsites would look like:

<Sites Count="2">
  <Site URL="http://site_name1" Owner="DOMAIN\userA"/>
  <Site URL="http://site_name2" Owner="DOMAIN\userB"/>
</Sites>

The deletesite and deleteweb operations also take only the url parameter and follow the same syntax:

stsadm.exe -o deletesite -url <URL>
stsadm.exe -o deleteweb -url <URL>

The renameweb operation takes the url and newname parameters. The syntax for renameweb is as follows:

stsadm.exe -o renameweb -url <URL> -newname <new subsite name>

For more information about using the command-line operations, see Command-Line Operations.

Related Topics

Part of managing sites and subsites is creating sites when you need to. For more information, see "Creating Sites and Subsites" in the Windows SharePoint Services Administrator's Guide.

You can also delete unused sites automatically. For more information, see Managing Unused Web Sites.


Managing Paths

Managing Paths

When you extend a virtual server, create a top-level Web site, or configure Self-Service Site Creation, you may also need to define managed paths. Managed paths allow you to perform two important tasks:

  • Indicate which pieces of the URL namespace are controlled by Microsoft Windows SharePoint Services.

    Many organizations installing Windows SharePoint Services already have a Web server or server farm in use, and must be able to identify areas of the existing URL namespace that should not be managed by Windows SharePoint Services. For example, if you have a Web application on your Web server already, and you install Windows SharePoint Services, you need a way to tell Windows SharePoint Services not to attempt to control content in or settings for that path.

  • Specify paths to use for Self-Service Site Creation.

    You can restrict Self-Service Site Creation users to specific paths when they create sites. By default, the path /sites is created and added as a path for Self-Service Site Creation users when you enable Self-Service Site Creation. You can create other paths for Self-Service Site Creation users, or remove the /sites path when you manage paths.

There are two categories of paths you can manage: included and excluded paths. An included path indicates that Windows SharePoint Services manages that path. An excluded path indicates that the path is managed by a different application, and that Windows SharePoint Services should leave it alone. Included paths can be further broken down into the following two types:

  • Explicit inclusions — Includes only the specific path you set. Use explicit inclusions, for example, if you want Windows SharePoint Services to manage a specific path, such as /portal, but not any possible sites below it, such as /portal/webapp.
  • Wildcard inclusions — Includes any sites below the path you set, so you don't have to add them individually. This is the type of inclusion to use for Self-Service Site Creation, when you want users to be able to create top-level Web sites underneath a specific path, such as /sites.

Note Web server performance declines linearly with the number of inclusions and exclusions. You can minimize the performance impact by using wildcard inclusions rather than many explicit inclusions, and by putting as many excluded applications under the same excluded path as possible.

The following table lists example URLs and explains the types of paths.

Path type | Example URL | Path name | Comments
Explicit inclusion | http://server1/site1 | /site1 | Identifies the Web site at /site1 as a Windows SharePoint Services site.
Wildcard inclusion | http://server1/sites/* | /sites/* | Identifies all sites below the /sites/ path as Windows SharePoint Services sites.
Exclusion | http://server1/webapp | /webapp | Indicates that the /webapp directory is not handled by Windows SharePoint Services.
Top-level Web site explicit inclusion | http://server1 | / | Indicates an explicit inclusion for the top-level Web site. Only the top-level Web site is a Windows SharePoint Services site, not any other sites below the top-level Web site.
Top-level Web site wildcard inclusion | http://server1 | /* | Indicates a wildcard inclusion for the top level of the virtual server. Every directory under the specified path is a Windows SharePoint Services top-level Web site.

Included and excluded paths are used only for directories, not pages in a Web site, and they are recursive (for example, if you exclude /mango, Windows SharePoint Services will ignore any URL beginning with /mango/ or equal to /mango). Exclusions take precedence over inclusions, so if you accidentally set a particular path to be both included and excluded, the path will be excluded. Inclusions are evaluated by length; longer URLs are checked before shorter URLs, so an inclusion for http://server1/sites/teams will be evaluated before an inclusion for http://server1/teams.

You can manage paths by using either HTML Administration pages or the command line.

Managing Paths by Using HTML Administration Pages

To include or exclude a new path, use the Define Managed Paths page for the virtual server that contains the path.

Add a new path
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Define managed paths.
  5. In the Add a New Path section, in the Path box, type the path to add.
  6. Select Excluded path or Included path. If you select Included path, select a type (wildcard or explicit) in the Type box.
  7. Click OK.

If you change how you use the URL namespace, and no longer need a path to be included or excluded, you can remove the path.

Remove a path
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Define Managed Paths.
  5. Under Included Paths or Excluded Paths, select the check box next to the path you want to remove, and then click Remove selected paths.

Managing Paths from the Command Line

You can use the addpath and deletepath operations to manage paths on the command line. Both operations take the -url and -type parameters. The -type parameter has three values: exclusion, explicitinclusion, and wildcardinclusion. For example, to add a new wildcard inclusion to manage all sites at the top level of http://server1, you would use syntax like the following:

stsadm -o addpath -url http://server1/ -type wildcardinclusion

You can also remove an included or excluded path by using the command line. For example, to remove an exclusion for the site at http://server1/hrweb/webapp, you would use syntax like the following:

stsadm -o deletepath -url http://server1/hrweb/webapp

Related Topics

For more information about how managed paths affect extending a virtual server, creating sites, or allowing users to create sites by using Self-Service Site Creation, see Extending Virtual Servers, "Creating Sites and Subsites," and "Configuring Self-Service Site Creation" in the Windows SharePoint Services Administrator's Guide.


Managing Unused Web Sites

Managing Unused Web Sites

Web sites based on Microsoft Windows SharePoint Services may become inactive for many reasons: perhaps a site was set up for documents relating to a project that is finished, or perhaps a user was trying out Windows SharePoint Services and created a site that he or she no longer needs. Because inactive sites take up space on the servers, it's important to check with site owners to see if their sites are still needed or have become inactive. In Windows SharePoint Services, new administrative options allow you to automatically send notices to site owners requiring them to confirm that their sites are in use. You can also delete unconfirmed sites automatically. These features give you a way to control the number of unused Web sites on your server.

Site use confirmation works like alerts for your users' sites. When sites are created, they are added to the database and are logged as active sites. After a specified time defined by the administrator, the site owners are sent an e-mail notification asking the owners to either reactivate or delete their unused Web sites. The notification e-mail text contains links to confirm that a site is active or to delete a site. After the notification is sent, there are three possible outcomes:

  • If a site is in use, the site owner will click a link to confirm that the site is active and preserve the site. When the owner clicks the confirmation link, the timer is restarted, and the owner will be notified again after the same time period.
  • If a site is not in use, the site owner can delete the site by following instructions in the notification e-mail, or do nothing. The site owner continues to receive periodic e-mail notifications (the period is defined by the administrator) until use is confirmed or the site is deleted.
  • If a site is not in use, and you have turned on the automatic deletion feature, the site owner is queried a specific number of times (a number configured by the administrator), and if use is not confirmed, the site is automatically deleted.

Automatic deletion is an advanced administrative feature that can delete unneeded sites without any administrative intervention and without any backup mechanism. To prevent a site from being deleted without any notification, you must turn on site use confirmation before you can turn on automatic deletion. Also, the site owner must always be sent at least two confirmation notices before a site can be deleted. In addition to these basic safeguards included as defaults, you should also consider the following best practices:

  • Require a secondary contact when sites are created.

    When a user creates a site, the user is listed as the site owner. Depending on your configuration, the user may also be required to specify a secondary contact for the site. Confirmation notifications are automatically sent to the site owner and to the secondary contact, if one exists. For more information, see "Configuring Self-Service Site Creation" in the Windows SharePoint Services Administrator's Guide.

  • Set reasonable intervals between confirmations and before automatic deletion.

    For example, if a site owner is unavailable for four weeks, and sites are deleted after four missed weekly confirmations, the site could be deleted without allowing the owner a chance to confirm. If you are enabling this feature inside a corporation, be sure you consider your organization's policies regarding vacations and leaves of absence when you configure the intervals for confirmation and deletion.

  • Back up Web sites regularly, so you can restore a recent copy if a site is unintentionally deleted.

    For example, if you configure confirmation and automatic deletion to happen on the fifth day of each month, make it a policy to back up your server on the fourth day. You can automate this process by creating a stored process in Microsoft SQL Server to check the sites table and automatically back up any items scheduled for deletion. For more information about SQL Server, see the SQL Server documentation. For more information about the sites table, see the Windows SharePoint Services Software Development Kit.

Configuring Site Use Confirmation and Deletion

There are several settings that you can configure to control how much time elapses between stages for confirmation and automatic deletion. You can configure the following:

  • When to begin sending site use confirmation notices

    The initial notification value controls when the first confirmation notice is sent to a new site, or to a site that has been confirmed as in use. This value does not control the frequency of notifications, only the number of days to wait before the initial notification.

  • How frequently to check for sites needing confirmation and how frequently to send out notifications

    The frequency value affects both how often the server is checked and how often confirmation notices can be sent. If you set the frequency to weekly, the server is checked weekly, and notifications are also sent out weekly, immediately after the server has been checked.

  • What time to perform the check and to send out notifications

    Change this time to suit your environment. For example, if most of your users are online and hitting the server during the day, pick a time during the night when the server is not as busy.

  • How many notifications to send before allowing automatic deletion

    Adjust this number to be sure site owners receive notification before a site is deleted. The number of notifications also depends on the frequency, so if you specify daily checks, with 30 reminders before deletion, the site owner would be notified every day for a month before the site was deleted.

Be sure to configure these times to be useful and reasonable given your organization's context. In a large organization, where users may need data to be stored for some time, you can specify longer intervals (for example, start sending notifications at 180 days, notify every month, and delete after six months without a confirmation). If you are hosting free sites for customers, you may want to shorten these intervals (start sending notifications at 45 days, notify weekly, delete after four weeks). If you are hosting sites for paying customers, you may not want to use this feature, unless you have an automated backup strategy that allows you to restore sites on request.

The following table lists each of these settings as you see them on the Configure Site Collection Use Confirmation and Auto-Deletion page and their default and minimum values.

Setting | Default value | Minimum value
Start sending notifications ___ days after site collection creation, or use is confirmed | 90 days | 30 days
Check for unused site collections, and send notices <Daily Weekly Monthly> and run the check at <time> | Weekly 12:00 AM | Daily
Delete the site collection after sending ___ notices | 4 | Daily minimum: 28 Weekly minimum: 4 Monthly minimum: 2

In a scenario using the default values above, the first notice is sent at 90 days. Another notice is sent every week for five additional weeks. On the sixth week after the initial notification, if the site has not been confirmed, the site is deleted. If at any point the site is confirmed as in use, the count goes back to the start, and the owner will not receive another notice for 90 days.

Note If for any reason the e-mail notification cannot be queued (for example, the SMTP server is down), the count is not incremented. For example, if three notices have been sent, and when it is time for the fourth notice to be sent the next week, the SMTP server is down, the fourth notification is not sent that day, and the count is not incremented. The next week, when the database is checked again, the fourth notice is sent, and the process continues from there.

The confirmation and automatic deletion feature relies on the Microsoft SharePoint Timer service to carry out the timed jobs. The times and intervals you specify here follow the same rules as any other SharePoint Timer service job in Windows SharePoint Services. For more information, see Scheduling Timed Jobs.

Enabling Site Use Confirmation and Automatic Deletion

You manage unused Web sites at the virtual server level by using the Configure Site Collection Use Confirmation and Auto-Deletion page in the HTML Administration pages. You must be an administrator on the server computer or a member of the SharePoint administrators group to access this administration page. By default, both site use confirmation and automatic deletion are turned off.

Open the Configure Site Collection Use Confirmation and Auto-Deletion page
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Automated Web Site Collection Management, click Configure site collection use confirmation and deletion.

By default, site use confirmation is turned off. If you want to require confirmation of use, you can specify the interval to wait before sending the first notification, and how frequently to continue sending notifications if site use is not confirmed. Notices are sent to the e-mail address specified in the site for the site owner and the secondary owner (if a secondary contact has been identified).

Enable and configure e-mail confirmation notices
  1. On the Configure Site Collection Use Confirmation and Auto-Deletion page, in the Confirmation and Automatic Deletion Settings section, select the Send e-mail notifications to owners of unused site collections check box.
  2. In the Start sending notifications ___ days after site collection creation, or use is confirmed box, type the number of days to wait before sending notifications after the site is created or use is confirmed.

    For example, if you enter 60 days, then when a user creates a site, the first notification will be sent after 60 days. If the user confirms that that the site is in use at that time, another 60 days will go by before they get another notification.

  3. In the Check for unused site collections, and send notices ____ and run the check at ____ boxes, specify daily, weekly, or monthly, and then the time of day to run the check.
  4. Click OK.

You must enable and configure e-mail confirmation notices before you can enable automatic deletion.

Enable and configure automatic deletion
  1. Enable and configure e-mail confirmation notices.
  2. Select the Automatically delete the site collection if use is not confirmed check box.
  3. In the Delete the web after sending ___ notices box, specify how many e-mail notifications to send before deleting the site.
  4. Click OK.

Configuring Site Use Confirmation and Automatic Deletion from the Command Line

You can also configure confirmation and automatic deletion from the command line by using the setproperty operation and the following properties: delete-web-send-email, dead-site-notify-after, dead-site-num-notifications, dead-site-auto-delete, and job-dead-site-delete. For more information, see Command-Line Properties.

Customizing the Notification Text

There are two versions of the confirmation e-mail notification — one is used when only site use confirmation is enabled, the other when automatic deletion is also enabled. The text for the notification e-mail messages is stored in the DEADWEB.XML file in the \Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\TEMPLATE\LCID\XML folder for the server, where LCID is the locale ID. You must be an administrator on the server computer to view or change this file. There are different versions of these e-mail messages for each language version. If you host site collections in multiple languages, be sure to customize the specific language versions of the notification e-mail messages as well.


Working with Templates

Working with Templates

There are methods for providing prepackaged site and list content in Microsoft Windows SharePoint Services:

  • You can build a new site definition. Site definitions include the set of basic pages and schema from which all SharePoint sites and lists are derived. Site definitions are stored on the file system of each front-end Web server as Web pages and XML files.
  • You can save an existing site or list as a custom template. Custom templates are a way of packaging up a set of changes to an existing site definition and making those available for new sites and lists. Every custom template is based on a site definition. Custom templates are stored in the database and made available through the central or site collection template galleries.

Each method can package up either an entire site or just one list. The site creation template picker page shows both site definitions and sites saved as custom site templates. The Create page shows lists defined in the site definition, and lists saved as custom list templates.

Working with Site Definitions

When you install Windows SharePoint Services on a Web server computer, the default set of site definitions is also installed. Every site definition is stored in a folder on the file system of each front-end Web server and includes at minimum an Onet.xml file. Administrators of the server computer can create custom versions of the default set of site definitions. To create a custom version of a site definition, it is recommended that you create a new site definition, rather than editing the existing site definition files. If you edit the default site definition files, and then upgrade to a later version of Windows SharePoint Services, you will lose your customizations, and any sites based on the site definitions can potentially be broken. For more information about creating custom site definitions, see the Windows SharePoint Services Software Development Kit.

You can also mark a site definition as hidden, so it does not appear in the list of site types that users can create. For example, if you have a customized version of the Team Site template that you want users to base their sites on, rather than the default version, you can hide the default version of the Team Site template.

To mark a site definition as hidden, you modify the hidden parameter in the Webtemp.xml file. The Webtemp.xml file lists all of the site definitions available for the server, and is stored on the server computer at \Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\Template\LCID\XML, where LCID is a locale ID, such as 1033 for U.S. English. You can open the Webtemp.xml file in any XML editor, such as Notepad. To hide a particular template, locate the section for that template in the Webtemp.xml file, and then set the hidden parameter to true. Set hidden to false to unhide the template.

For more information about working with site definitions, see the Windows SharePoint Services Software Development Kit.

Working with Custom Templates

You can create custom site or list templates for your users. To create a custom template, you save an existing site or list as a site or list template. You can add custom site templates to the central template gallery or the site collection template galleries, and you can add custom list templates to the site collection template gallery. When you save a site or list as a site or list template, it retains an ID that indicates which site definition the template is based on.

Caution Template files include personal information such as server URLs and user account names. Only share template files with trusted users and groups.

About Site Templates

Users can customize a site and save the customized site as a site template, so that other users in the site collection can create similar sites later. Site templates created by another user or software vendor can also be imported to the site collection template gallery.

To create a site template based on a Web site, you must a member of the Administrators site group for the current Web site. To add or import a site template to the site collection gallery, you must have the Add Items right for the site template gallery, which is included by default in the Web Designer and Administrator site groups for the top-level Web site in a site collection.

A site template is a file that includes all of the design information about the site, such as:

  • The lists within a site.
  • Any Web Part Pages within a site.
  • Any custom pages within a site.
  • The theme or borders applied to a site.
  • Any customizations to the Quick Launch bar.
  • Site content (list and document library contents — optional).

Site templates do not include the following items:

  • Security settings, such as a list of users or groups with permissions to the site from which the template was created.
  • Personalizations to Web Part Pages.
  • Web discussions from the original site.
  • Alerts from the original site.
  • Web Part assemblies that were added to the original site.

Site templates are stored as files with the .stp extension.

Using Site Templates

Users can create subsites based on templates available on the server or on the site collection. When a user creates a top-level Web site, he or she can base the site on a site template from either of the following sources:

  • The site definitions available on the server
  • Custom site templates in the central template gallery

When a user creates a new subsite, he or she can choose from the combined list of templates from the following sources:

  • The site definitions available on the server
  • Custom site templates in the central template gallery
  • Custom site templates in the site collection template gallery

When the user creates a subsite, he or she chooses a template from templates available on the Template Selection page. This page shows all templates available on the server and site collection, filtered by the language that was selected on the Create Site page. The new subsite is based on the template, but can be customized and changed, just like any other site.

About List Templates

When a user creates a new list, he or she selects a list template to use in creating the list. Windows SharePoint Services includes many list templates by default, and users can customize an existing list and save the customized list as a new list template. List templates created by other users or software vendors can also be imported to the site collection template gallery.

You must have the Manage Lists right to create a list template. The Manage Lists right is included in the Web Designer and Administrator site groups by default. To add or import a list template to the site collection gallery, you must have the Add Item right for the list template gallery, which is included by default in the Web Designer and Administrator site groups for the top-level Web site in a site collection.

A list template is a file that includes all of the design information about the list, such as:

  • The columns and fields in the list.
  • Any views created for the list.
  • List content (optional).

List templates do not include:

  • Security settings, such as a list of users or groups with permissions to the list from which the template was created.
  • Lookup field links. Although lists can contain lookup fields that reference data in another list, that other list (and its data) is not included when you save a list template.

List templates are stored as files with the .stp extension.

Using List Templates

Users can create lists based on templates available on the server or on the site collection. To create a list based on a template, the user can go to the Create page in a site, and then click the list name to create. Custom list templates are listed on the Create page alongside the default set of list templates from the site definitions.

Note When a user creates a list, he or she can select a list template from the set of list templates on the server and the site collection. This set is filtered based on the site language and the site definition ID that your site is based on. For example, a site based on the Meeting Workspace template has a different site definition ID from a site based on the Team Site template. If you create a Meeting Announcements custom list template from the Announcements list in a site based on a Meeting Workspace template, that template is not available from within a site based on the Team Site template.

Creating Templates

Members of the Administrator site group for a site can create a template based on that site.

Create a site template
  1. On the site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Management and Statistics, click Save site as template.
  4. In the File name box, type the filename to use for the site template file.
  5. In the Template title box, type the title you want to use for the template in the site template gallery.
  6. In the Template description box, type a description for the site template.
  7. If you want to include the existing site content, select the Include content check box.
  8. Click OK.

You must be a member of the Web Designer or Administrator site group to be able to create a list template.

Create a list template
  1. Navigate to the list you want to save as a template.
  2. Under Actions, click Modify settings and columns.
  3. On the Customize <List Name> page, under General Settings, click Save list as template.
  4. In the File name box, type the filename to use for the template file.
  5. In the Template title box, type the title you want to use for the template in the list template gallery.
  6. In the Template description box, type a description for the template.
  7. If you want to include the existing content, select the Include content check box.
  8. Click OK.

Managing the Site Template Gallery

Site templates are added or removed from the site template gallery at the site collection level. You must go to the Site Administration page for the top-level Web site in a site collection to manage the site template gallery.

When a user creates a site template, it is automatically added to the site template gallery for the site collection. If you want to import a site template from an .stp file, you can do so from the Manage Site Template Gallery page.

Add a template to the site template gallery
  1. On the top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage site template gallery.
  4. On the Site Template Gallery page, click Upload Template.
  5. In the Name box, type the path to the template, or click Browse.

    You can upload multiple templates by clicking Upload Multiple Files.

  6. Click Save and Close.
Delete a template in the site template gallery
  1. On the top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage site template gallery.
  4. On the Site Template Gallery page, click the Edit icon next to the template name.
  5. On the Site Template Gallery: <Name> page, click Delete.

Managing the List Template Gallery

List templates are managed at the site collection level. You must be an administrator of the top-level Web site in a site collection to manage the list template gallery.

When a user creates a list template, it is automatically added to the list template gallery for the site collection. If you want to import a list template from an .stp file, you can do so from the Manage List Template Gallery page.

Add a template to the list template gallery
  1. On the top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage list template gallery.
  4. On the List Template Gallery page, click Upload Template.
  5. In the Name box, type the path to the template, or click Browse.

    You can upload multiple templates by clicking Upload Multiple Files.

  6. Click Save and Close.
Delete a template in the list template gallery
  1. On the top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage list template gallery.
  4. On the List Template Gallery page, click the Edit icon next to the template name.
  5. On the List Template Gallery: <Name> page, click Delete.

Managing the Central Template Gallery

There is a centralized store of site templates called the central template gallery. This gallery is managed for your entire server or server farm, and can only be managed by using the command-line tool, Stsadm.exe. You must be a member of the local administrators group for the server computer to manage the central template gallery.

You use the following operations to manage the central template gallery.

Operation | Description
addtemplate | Adds a template to the central template gallery.
deletetemplate | Removes a template from the central template gallery.
enumtemplates | Lists the templates currently in the central template gallery.

The addtemplate operation takes the required filename and title parameters and the optional description parameter. To add a template, you would use the following syntax:

stsadme.exe -o addtemplate -filename <filename> -title <template title> -description <description of the template>

The deletetemplate operation takes the required title parameter and the optional lcid parameter. To delete a template from the central template gallery, you would use the following syntax:

stsadme.exe -o deletetemplate -title <template title> -lcid <language>

Note After you add or delete a template from the central template gallery, you need to restart the Web service in Internet Information Services (IIS). You can restart all of IIS at once by running iisreset on the command line, or just restart the specific Web sites in Internet Information Services (IIS) Manager. If you are in a server farm environment, you must restart the Web services for each front-end Web server in your server farm.

The enumtemplates operation takes the optional lcid parameter. To list all templates in the central template gallery, you would use the following syntax:

stsadm.exe -o enumtemplates

To list only templates for a specific language, you would use the following syntax:

stsadm.exe -o enumtemplates -lcid <language>

For more information about command-line parameters, see Command-Line Parameters. For a list of valid locale IDs (LCIDs), see Regional and Language Settings.

Using Site Templates from the Central Template Gallery

Users can create sites based on templates available in the central template gallery by using the same method as is used for any other site template. When the user creates a site, he or she chooses a template from templates available on the Template Selection page.

Administrators can also create sites based on the site templates available in the server template gallery. To create a site based on a template in the central template gallery, the administrator must use the createsite or createweb operation on the command line, and specify the template name as _GLOBAL_#number, where number refers to the template ID. For example, if you have a site template in the central template gallery with the ID 2, you could use the following syntax to create a site based on that template:

stsadm.exe -o createsite -url <url> -ownerlogin <DOMAIN\username>
-owneremail <someone@example.com> -sitetemplate _GLOBAL_#2

Note To find the template ID for a global template, you can use the enumtemplates operation.

Sharing Templates

You can share list and site templates with users outside of your site collection by giving them a copy of the .stp template file. You can give them a copy of the template file, just like any other file, by sending it in an e-mail message, posting it to a network share or Web site, or making a copy on a disk.

If the users are members of the Administrator or Web Designer site groups for their sites, they have the Add Item right for the site and list template galleries, and can add the site or list template to their site or list template gallery, and start using it.

To create a copy of a template, you must perform the following steps:

  1. Create the template.
  2. Navigate to the template gallery (whether site or list), right-click the file, and then click Save As to save the file to a network share or your local computer.

Portal Site Templates and Area Templates

To edit or create portal site or area templates, you must edit the site definitions on the front-end Web servers. The portal site template must be marked as hidden. There is only one portal site template.

Area site definitions are stored in the folder \Program Files\Common Files\Microsoft Shared\web server extensions\60\TEMPLATE\1033. They are distinguished by the SPS prefix on the folder. To create a new area site definition, copy an existing one and rename it. Ensure that the name begins with SPS so that the template picker can recognize it. Area site definitions differ from Windows SharePoint Services site definitions because they require an additional set of properties that enable area security inheritance and restrict the ways in which Microsoft FrontPage can edit the area. By copying an existing template, you can ensure that you capture these unique values.

After you create the new area site definition, modify Webtempsps.xml. Do the following on the front-end Web server:

  1. In a text editor, open Webtempsps.xml located at \Program Files\Common Files\Microsoft Shared\web server extensions\60\TEMPLATE\1033\XML.
  2. Within the <TEMPLATES> node, copy and paste an existing <TEMPLATE> node.

    Example:

    <Template Name="SPSNEWS" ID="32">

    <Configuration ID="0" Title="News area template" Type="0" Hidden="TRUE" ImageUrl="../images/spshome.gif" Description="Area Template."></Configuration>

    </Template>

  3. Replace the Name property with the name of the new template folder.
  4. Give the new template a unique ID.
  5. Replace the Title, ImageUrl, and Description properties as appropriate.
  6. Save the file.
  7. Restart IIS.

For more information about working with site definitions, see the Windows SharePoint Services Software Development Kit.


Extending Virtual Servers

Extending Virtual Servers

Microsoft Windows SharePoint Services uses virtual servers to host Web sites on your server. The process of applying Windows SharePoint Services to a virtual server is called extending. You must extend a virtual server with Windows SharePoint Services before you can create a Web site based on Windows SharePoint Services. When you install Windows SharePoint Services on a single server by using the simple installation method, your default virtual server is extended automatically and a Web site is created. If you are installing Windows SharePoint Services in a more complex environment (for example, hosting multiple sites on a single server, or many sites in a server farm), you must extend each virtual server individually. To extend a new virtual server, you must perform the following steps:

  1. Create the virtual server in Internet Information Services (IIS).
  2. If necessary, connect to the configuration database for the server farm.
  3. Extend the virtual server using HTML Administration pages or the command line.

Note To complete this procedure, you must be logged on as a member of the Administrators group on the local computer, or you must be logged on using an account that is both a member of the SharePoint administrators group and that has been granted permissions to administer IIS.

How Does Extending a Virtual Server Interact with the Databases?

Windows SharePoint Services relies on databases to store all data for a virtual server, including both configuration settings and site content. When you extend a virtual server and configure a site, you interact with two different databases:

  • Configuration database

    The configuration database maintains connections between servers and content databases, stores server settings, and identifies which content is to be provided by which virtual servers. There is one configuration database per stand-alone server or per server farm. For more information about the configuration database, see Managing the Configuration Database.

  • Content database

    Content databases store data from the sites: both site management data, such as user names and permissions, and content, such as list data and documents from document libraries. You can create as many content databases as you need to support the Web sites on your servers. For a departmental server, you may need only one content database. For a server farm, you may need thousands. For a Web site that is available to members both behind and outside of a firewall (an extranet), you may have one content database linked to two virtual servers with very different URLs. For more information about content databases, see Managing Content Databases.

Before you extend the first virtual server on a server computer, you must create or connect to a configuration database; subsequent virtual servers do not have to be separately registered with the configuration database. When you extend a virtual server, you choose whether to create a new content database or connect to an existing content database.

Creating a New Virtual Server in Internet Information Services (IIS)

If you are adding a new virtual server to an existing server, you must create the virtual server first. This means creating a folder on your hard disk (usually under the \Inetpub folder) to store the virtual server's files, and then adding the virtual server in Internet Information Services (IIS).

Create a virtual server
  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Click the plus sign (+) next to the server name you want to add a virtual server to.
  3. Right-click the Web Sites folder, click New, and then click Web site.
  4. Click Next.
  5. In the Description box, type the description of your virtual server, and then click Next.
  6. In the Enter the IP address to use for this Web site box, click All Unassigned.

    Note You can create multiple virtual servers by using IIS Host Headers with All Unassigned if necessary, but IP-bound virtual servers are not supported.

  7. In the TCP port this Web site should use (Default: 80) box, type the port number to assign to the virtual server.

    You do not need to assign a host header, because the hosting is being handled through Windows SharePoint Services.

  8. Click Next.
  9. In the Path box, type or browse to the path on your hard disk where the site content will go.
  10. If you do not want to allow anonymous access to your virtual server, clear the Allow anonymous access to this Web site check box.
  11. Click Next.
  12. On the Web Site Access Permissions panel, select the permissions to use, and then click Next.

    The default permissions, Read and Run Scripts (such as ASP), are recommended. The Execute (such as ISAPI applications or CGI) permission will be added automatically to the appropriate folders by Windows SharePoint Services.

  13. Click Finish.

For more information about creating new Web sites on servers running the Windows Server 2003 family, see the Adding Sites topic in the Help system for Internet Information Services.

Connecting to a Configuration Database (Server Farm Only)

If you are adding a server to a server farm, and provisioning the first virtual server for that server, you must connect to the configuration database for your server farm before you can extend the virtual server. To connect to a configuration database, use the Set Configuration Database Server page. For more information, see Managing the Configuration Database. After you have connected to the configuration database, you can extend the virtual server.

Extending a Virtual Server that is Already Running Microsoft FrontPage 2002 Server Extensions

If you have an existing virtual server running FrontPage 2002 Server Extensions that you would like to upgrade to Windows SharePoint Services, you must uninstall FrontPage Server Extensions and then extend the virtual server. If you wish to preserve the content from your FrontPage 2002 Server Extensions-based site, use the smigrate.exe tool to migrate the content to your new Windows SharePoint Services-based site before uninstalling. For information on smigrate, see "Migrating and Upgrading Web Sites" in the Windows SharePoint Services Administrator's Guide.

Remove FrontPage Server Extensions (if installed)

  1. Click Start, and then click Run.
  2. In the Run window, type cmd and then click OK.
  3. Change to the directory where FrontPage Server Extensions are installed. For example:

    cd ..\..\program files\common files\microsoft shared\web server extensions\50\bin

  4. Type the owsadm.exe command to uninstall FrontPage Server Extensions:

    owsadm.exe -o fulluninstall -p <port number>

    Where "<port number>" represents the port number used by the virtual server running FrontPage Server Extensions.

Extending a Virtual Server

Generally, you extend a virtual server because you need to add more capacity to your server, whether that server is a departmental server or one of many in your server farm. More capacity can mean either more space for Web site content or more connections to existing Web sites. For example, if you have a site with a lot of visitors, you can have several virtual servers hosting the same content to increase the number of concurrent users you can support and balance the load for your servers. You can extend a virtual server to do one of the following:

  • Contain new content

    If you need to provide space for users to create new Web sites, you can extend a new virtual server to contain new content. Note that you can also add space for users by adding more site collections or new content databases to an existing virtual server. For more information about creating site collections, see "Creating Sites and Subsites" in the Windows SharePoint Services Administrator's Guide. For more information about content databases, see Managing Content Databases.

  • Connect to existing content

    If you want your new virtual server to point to a Web site that is already in use, either to allow for more connections to a site or to allow more than one URL to point to a site, you can connect to an existing content database. When you extend a virtual server you can choose which content database to use. The content databases are actually listed as virtual servers, and the list contains all virtual servers that currently exist on the server (in a single-server setting), or in the server farm. This list is generated by querying the configuration database, which is why you must be connected to the configuration database before you can extend a virtual server.

    When you extend and connect to an existing content database, all of the configuration data about the existing virtual server is applied to the new virtual server. Any managed paths are also applied. This means that if you have virtual server A that contains the paths /teams, /sites, and /users, when you extend virtual server B and connect to the content database for virtual server A, virtual server B now also has the /teams, /sites, and /users paths. A user can be directed to either virtual server A or B and see the same content — they are essentially mirrored virtual servers. For more information about URLs in Windows SharePoint Services, see "Windows SharePoint Services Architecture" in the Windows SharePoint Services Administrator's Guide.

When you extend a virtual server, you must supply the following information:

  • The application pool to use for the virtual server.
  • The user account and e-mail address for the owner of the default top-level Web site for the virtual server.
  • The content database to use for storing data for sites on the virtual server.
  • Which URL to use for your top-level Web site (optional). The default is to create the top-level Web site at the root of the virtual server, but you can specify a custom URL path instead.
  • Which quota template to apply, if you are using quotas on your server (optional).
  • The language to use for the default top-level Web site (select from the set of Windows SharePoint Services languages installed on your server).
  • Which site template to apply to the top-level Web site (optional). On the command line, you can specify which template to apply to the top-level Web site in the same command that you use to extend the virtual server. You can choose the template from HTML Administration pages as well, but you must navigate to the site to do so.

After you extend the virtual server, you can specify default settings for top-level Web sites created under that virtual server. For more information, see Configuring Virtual Servers.

The following sections show you how to extend a virtual server using HTML Administration pages or the command line. You can use either method to extend a virtual server and connect to or create a content database.

Note You can also extend a virtual server by using a script during a quiet installation. For more information, see "Performing a Quiet Installation" in the Windows SharePoint Services Administrator's Guide.

Extending a Virtual Server by Using HTML Administration Pages

If you are adding a new virtual server on a stand-alone server, or the first virtual server for a server farm, you need to create a place to store the content your Web site users will create. This means that when you extend your virtual server, you need to create a content database.

Extend and create a content database by using HTML Administration pages
  1. On the SharePoint Central Administration page, click Extend or upgrade virtual server.
  2. On the Virtual Server List page, click the name of the virtual server to extend.
  3. On the Extend Virtual Server page, in the Provisioning Options section, select Extend and create a content database.
  4. In the Application Pool section, select either Use an existing application pool or Create a new application pool.

    Notes

    • When using Windows SharePoint Services with SharePoint Portal Server, re-use the MSSharePointPortalServerAppPool application pool created by SharePoint Portal Server. This application pool can be managed by clicking on Configure Server Farm Account Settings in SharePoint Portal Server Central Administration.
    • In most other installations, it is recommended that you create a new application pool for each virtual server, so that they run in separate processes. This application pool should use a domain account, but it does not need to have database creation rights in Microsoft SQL Server — the administration virtual server account creates any databases required.

  5. If you selected Use an existing application pool, select the application pool to use. If you selected Create a new application pool, enter the new application pool name, user name, and password to use.

  6. In the Site Owner section, in the User name box, type the user name for the site owner (in the format DOMAIN\username if the username is part of a Windows domain group).
  7. In the E-mail box, type the e-mail address that corresponds to the account.
  8. In the Database Information section, enter the following database connection information or select the Use default content database server check box:
    • In the Database server box, type the server name for your server computer.
    • In the Database name box, type the name to use for your content database.
  9. If you want to specify a path for the URL, in the Custom URL path box, type the path to use.
  10. If you are using quotas, select a template in the Select a quota template box of the Quota Settings section.
  11. In the Site Language section, select the language to use.
  12. Click OK.

The virtual server is extended, a site is created at the root of the virtual server, and the browser window returns to the Virtual Server Settings page, where you can configure default settings for new top-level Web sites.

When you connect to an existing content database, you do not need to create a top-level Web site. After you extend the virtual server, the virtual server hosts the existing sites in the database.

Extend and connect to an existing content database by using HTML Administration pages
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Click Extend or upgrade virtual server.
  3. On the Virtual Server List page, click the virtual server you want to extend.
  4. On the Extend Virtual Server page, click Extend and connect to existing content database.
  5. On the Extend and Connect to Existing Content Database page, in the Server Mapping section, in the Host name or IIS virtual server name box, select the name of the host or virtual server that you want to use.
  6. In the Application Pool section, select either Use an existing application pool or Create a new application pool.

    Notes

    • When using Windows SharePoint Services with SharePoint Portal Server, re-use the MSSharePointPortalServerAppPool application pool created by SharePoint Portal Server. This application pool can be managed by clicking on Configure Server Farm Account Settings in SharePoint Portal Server Central Administration.
    • In most other installations, it is recommended that you create a new application pool for each virtual server, so that they run in separate processes. This application pool should use a domain account, but it does not need to have database creation rights in Microsoft SQL Server — the administration virtual server account creates any databases required.

  7. If you selected Use an existing application pool, select the application pool to use. If you selected Create a new application pool, enter the new application pool name, user name, and password to use.

  8. Click Submit.

The virtual server is extended and can now provide the same content as the other virtual servers pointing to that content database. You can add a new top-level Web site to the virtual server if you need to, and it will be hosted by any virtual server that is connected to the content database.

Extending a Virtual Server from the Command Line

You can extend virtual servers from the command line by using the extendvs operation. The extendvs operation allows you to extend a virtual server and either connect to an existing content database or create a new content database, specify the language for the top-level Web site, and specify a template to use for the top-level Web site. The extendvs operation takes the following required parameters: url, ownerlogin, owneremail and the following optional parameters: ownername, databaseserver (ds), databaseuser (du), databasepassword (dp), databasename (dn), lcid, sitetemplate, donotcreatesite, apcreatenew, apidname, apidtype, apidlogin, and apidpwd.

The lcid parameter allows you to specify a language to use for the default top-level Web site. For example, to specify U.S. English as the language to use, you would type -lcid 1033 on the command line. If you do not specify a locale ID (LCID) using the lcid parameter, the language of the server is used for the default top-level Web site.

The donotcreatesite parameter allows you to extend a virtual server and create a content database without a top-level Web site. Use this parameter when you are setting up a server farm and hosting sites with URLs like http://server_name/site1, http://server_name/site2, and so on. (To use this site naming scheme, you must create a wildcard inclusion for the path under which you create the sites. For more information about inclusions, see Managing Paths.)

The sitetemplate parameter allows you to extend a virtual server, create a top-level Web site, and apply a site template to the top-level Web site during site creation. If you do not use the sitetemplate parameter, the site owner can choose a site template when he or she first browses to the site.

To extend a virtual server and use the default content database server and default application pool, use the following syntax:

Stsadm –o extendvs -url <url> -ownerlogin DOMAIN\username -owneremail
 someone@example.com [-ownername <full name>]

To extend a virtual server, specify a content database name and server, and create a new application pool, use the following syntax:

stsadm -o extendvs -url <url> -ownerlogin DOMAIN\user -owneremail
 someone@example.com [-ownername <full name>] -ds <database server name>
 [-du <database user name> -dp <password>] -dn <database name>
 -lcid <lcid> -sitetemplate sts -apcreatenew -apidname <application pool name>
 -apidtype <configurableid/NetworkService/LocalService/LocalSystem>
 -apidlogin <DOMAIN\name> -apidpwd <password>

Note that the -du and -dp parameters are not needed if you are using Windows authentication to connect to the SQL Server databases.

If you are in a server farm environment, you can use the extendvsinwebfarm operation. The extendvsinwebfarm operation uses the following syntax:

stsadm -o extendvsinwebfarm -url <url> -vsname <virtualservername>
 [-apcreatenew] [-apidname <app pool id>]
 [-apidtype <configurableid/NetworkService/LocalService/LocalSystem>]
 [-apidlogin <app pool user account>]
 [-apidpwd <app pool password>]

Related Topics

For more information about the extendvs and extendvsinwebfarm operations, see Command-Line Operations.

After you have extended a virtual server, you can configure settings for the virtual server. For more information, see Configuring Virtual Servers.

As your organization's use of Windows SharePoint Services grows, you may find that you need additional database capacity for your site content. You can create additional content databases to store site data. For more information, see Managing Content Databases.


Managing Versions and Checking Documents In and Out

Managing Versions and Checking Documents In and Out

Microsoft Windows SharePoint Services gives users the ability to keep versions of documents, and to check documents in and out.

About Document Versioning

Document versioning allows you to keep multiple versions of a document. If a change needs to be reversed, you can restore the previous version and continue working. A Version History command is included on the drop-down list users see when they click the arrow next to a document name and on the toolbar in the Edit Properties page for the document. The Version History command is also available in client applications compatible with Windows SharePoint Services, such as Microsoft Office Word 2003, Microsoft Office Excel 2003, and Microsoft Office PowerPoint 2003. When the user clicks Version History, a list of the previous versions of the document appears. The user can open an old version, restore a version (replacing the current version), or delete an old version.

When versioning is enabled, versions are automatically created whenever a user updates a document in a document library. Versions are created in the following situations:

  • When a user checks out a file, makes changes, and checks the file back in.
  • When a user opens a file, makes changes, and then saves the file for the first time.

    Note If the user saves the file again, without closing the file, a new version is not created. If the user closes the application he or she is using to edit the file, and then opens it and saves the file again, another version is created.

  • When a user restores and old version of a file (and does not check it out).
  • When a user uploads a file that already exists, in which case the current file becomes an old version.

Members of the Administrator and Web Designer site groups for a site can determine whether document versioning is enabled for a particular document library. To enable document versioning, you use the settings page for that document library.

Enable versioning for a document library
  1. Navigate to the list, and on the left link bar, click Modify settings and columns.
  2. On the Customize "Document Library" page, click Change general settings.
  3. On the Document Library Settings page, in the Document Versions section, under Create a version each time you edit a file in this document library?, click Yes.
  4. Click OK.

About Checking Documents In and Out

Checking documents in and out allows users to obtain exclusive write access to a document, eliminating the need to merge changes from multiple authors. When a user checks a document out, that user is the only user who can save changes to the document. Other users can read the document, but they cannot make changes. The user who has the document checked out can update the document, and see the latest version of the document, but other users will not see the updates until the document has been checked back in. Members of the Administrator and Web Designer site groups (or members of any site group with the Cancel Check-out right) for a site can override a document check-out if necessary, and force the document to be checked in with the previous version.

To force a document to be checked in, you use the same command as the user would use to check in a document normally.

Cancel a check-out and return to the previous version
  1. Navigate to the document, click the down arrow next to the document's title, and then click Check In.
  2. On the Check In page, select Discard changes and undo check out, and then click OK.
  3. On the confirmation message that appears, click OK to check in the document.


Migrating and Upgrading Web Sites

Migrating and Upgrading Web Sites

If you have been using SharePoint Team Services v1.0 from Microsoft, you probably have several Web sites that you need to move to new servers running Microsoft Windows SharePoint Services. You may also have new Web sites based on Windows SharePoint Services that you want to move to another URL or another Internet Service Provider, for example. To accomplish these tasks, you use the Microsoft SharePoint Migration Tool (Smigrate.exe).

Note With Microsoft Office SharePoint Portal Server 2003, the Microsoft SharePoint Migration Tool can be used only to move non-portal site collections (sites created with the Site Directory feature, for instance) to other URLs. Portal site collections and personal sites can be moved only by using the SharePoint Portal Server 2003 backup and restore tools.

For larger scale site migration in Windows SharePoint Services, such as moving a site collection to a new server, use the full backup and restore features for Windows SharePoint Services. For more information, see "Backing Up and Restoring Web Sites" in the Windows SharePoint Services Administrator's Guide.

When you use the SharePoint Migration Tool, you must actually perform two separate operations: First, you back up the site to a file, and then you restore the site to the new location. During the backup process, you specify the URL for the Web site and the backup file to create. You can also specify the scope of the site migration (whether to migrate just the top-level Web site, or whether to migrate the top-level Web site and any subsites). During the restore process, you specify the new URL and the backup file to restore from.

If you are upgrading from SharePoint Team Services v1.0 to Windows SharePoint Services, you can also specify whether to migrate the security settings for the site. Migrating security settings includes all of the following:

  • The list of user roles and associated rights
  • The list of user accounts and role membership
  • The anonymous access settings
  • The setting for inherited or unique permissions for the site

Before you migrate a site, be sure that all of the settings are the way you want them to be in your destination site.

When restoring a site, it's often helpful to create an account specifically for this purpose. This is beneficial because the SharePoint Migration Tool will substitute the name of the account performing the restore in places where the account of the author or the last person who modified the content is unavailable. For example, if you create an account named "SharePoint Migration" and then use that account to restore a site, users will see "SharePoint Migration" as the author of list items whose author was unavailable.

If the site you are backing up or restoring is large, it can take quite a while to process. For example, a site with about 4.5 gigabytes (GB) of data can take up to 3 hours to back up. The same site can take up to 3 hours to restore, because so many files must be uploaded to the new server. The more files included in a site, the longer the restore process will take. As a general performance guideline, you will have the best backup/restore performance when using separate computers for each task. An example of such a configuration is:

  • One computer running Smigrate.exe
  • One or more computers running as front-end Web servers
  • One or more computers running as SQL back-end servers

Caution If you are using the SharePoint Migration Tool to migrate and upgrade a site from SharePoint Team Services v1.0 or FrontPage 2002 Server Extensions from Microsoft to Windows SharePoint Services, be aware that several features or types of customizations supported in these environments will not migrate properly or will not work in a migrated site. For a list of items that you must re-create or work around, see "Upgrade Considerations" in the Windows SharePoint Services Administrator's Guide.

You can migrate a site to a new virtual server, to a new top-level Web site on an existing virtual server, or to a subsite under an existing top-level Web site. No matter what level the site is, when you restore the site, you must create a blank site at the destination without applying a site template. For more information about creating a new virtual server, see Extending Virtual Servers. For more information about creating sites, see Creating Sites and Subsites. Follow the steps to create the site, but when prompted to select a site template, close the browser window and do not apply any template (including the Blank Site template) or the restore operation will fail.

Note Some of the steps in this topic require changing settings in Microsoft Internet Information Services (IIS) or Microsoft SQL Server. To complete the steps that use IIS, you must be logged on as a member of the Administrators group on the local computer, or you must be logged on using an account that is both a member of the SharePoint administrators group and that has been granted permissions to administer IIS. To complete the steps that use SQL Server, you must be logged on using an account that is a member of the db_owner role in SQL Server.

Temporary Files Created During Backup and Migration

While creating the backup file, the SharePoint Migration Tool creates temporary files in a folder at the same location where the backup file (*.FWP) is created. You should ensure that there is enough free space at the location where the backup file will be created to hold all of the data and files from the original Web site, plus approximately 25 percent.

While restoring, files are periodically saved in a folder in Temporary Internet Files folder on the computer on which you are running the SharePoint Migration Tool. Make sure the computer you use to run the SharePoint Migration Tool has sufficient disk space to temporarily store approximately 20 percent of the data and files from the original Web site.

Migrating Windows SharePoint Services Sites to Another Server Running Windows SharePoint Services

If you use the SharePoint Migration Tool to migrate a site based on Windows SharePoint Services to another server running Windows SharePoint Services, the following information is not migrated to the new site:

  • Security settings including: rights, site groups and memberships, cross-site groups, anonymous access setting, and whether or not permissions are inherited from the parent site.
  • SharePoint Central Administration settings for the server or virtual server.
  • Personalizations including personal views.
  • Web Part customizations made through Modify My Web Part instead of Modify Shared Web Part.

Migrating Sites by Using Secure Sockets Layer (SSL) Connections

For the SharePoint Migration Tool to migrate a site by using an SSL connection, the following conditions must be met:

  • The computer on which you are running the SharePoint Migration Tool trusts the certificate authority that issued the SSL certificate.
  • The hostname you provide when running the SharePoint Migration Tool matches the hostname on the SSL certificate.
  • The certificate is valid (for example, it cannot be expired).

If the computer on which you are running the SharePoint Migration Tool does not trust the certificate authority that issued the SSL certificate, you will need to add the certificate authority to your list of trusted certificates by following the steps in the following procedure.

Add certificate authority to list of trusted certificates
  1. Browse to the destination https site. The Security Alert window appears, indicating that the site certificate was issued by a company you do not yet trust.
  2. In the Security Alert window, click View Certificate.
  3. In the Certificate window, click the Certification Path tab.
  4. Click the parent certificate of the selected certificate. The parent certificate will have a red and white "X" through it.
  5. Click View Certificate.
  6. In the second Certificate window, click Install Certificate.
  7. In the Certificate Import Wizard, click Next.
  8. In the Certificate Store window, choose either:
    • Automatically select the certificate store based upon the type of certificate: Choose this option if you want the new certificate to be kept in the default store for that kind of certificate.
    • Place all certificates in the following store: Choose this option if you want to specify the store in which the new certificate will be kept. After choosing this option, click the Browse button and specify the desired store.
  9. Click Next.
  10. Click Finish.
  11. In the Root Certificate Store window, click Yes.

Migrating Sites by Using Proxy Server Connections

Problems can occur if the SharePoint Migration Tool must migrate a site over a proxy server connection. For example, if the proxy server requires different authentication than the destination Web server, the user name and password specified when you ran the SharePoint Migration Tool will be rejected and the migration will fail.

Migrating Sites Across Domains

Problems can occur when migrating a site to a destination Web server in another domain. Failures can occur even if you use the -u and -pw parameters to supply the necessary user name and password. To resolve this problem, on the computer on which you are running the SharePoint Migration tool, complete the following steps.

Turn on prompts for user authentication
  1. Click Start.
  2. Click Control Panel.
  3. Click Internet Options.
  4. Click the Security tab.
  5. Click the Internet zone in which the destination site exists.
  6. Click Custom Level.
  7. In the User Authentication Section, under Logon, click Prompt for user name and password.
  8. Click OK.

Before Migrating Sites to Windows SharePoint Services

Before you use the SharePoint Migration Tool to migrate your sites from either SharePoint Team Services v1.0 or Windows SharePoint Services to Windows SharePoint Services, it is recommended that you configure the following settings:

  1. If the original site is running SharePoint Team Services v1.0, you must download and install SharePoint Team Services v1.0 service packs 1 and 2 from the Microsoft Product Update site and then install the SharePoint Team Services Version 1.0 Update for the site to function with the SharePoint Migration Tool.
  2. Set the original site to read-only to ensure consistency. Because backup and restore may take some time, it is best to set the site to read-only so that the original site does not change while you are still restoring.
  3. If the original site is running Windows SharePoint Services, disable blocked file types so that Smigrate.exe can include all site files in the backup.
  4. If you are migrating a large Web site and need additional virtual memory, increase the paging file size to at least 1 GB. Increasing the paging file size is recommended especially if you are running the SharePoint Migration Tool directly on a front-end Web server.
  5. Change the following server settings on the destination server (detailed steps appear later in this topic):
    • Increase the Internet Information Services (IIS) timeout settings to 65,000 seconds.
    • If the destination server is using a Microsoft SQL Server 2000 database, disable full-text search before migrating. This step can decrease amount of time required to restore by as much as 40% in some cases.
    • Turn on anonymous user access in IIS (optional — use this setting only if you want to migrate anonymous access settings).
    • If you are using quotas for the destination virtual server, and the site you are migrating is close to the quota limit for the virtual server, double the quota limit.
    • Turn off blocked file extensions on the destination server.
  6. Change the following virtual server settings on the destination virtual server:
    • Change the maximum file size temporarily from 50 MB to 500 MB (or to the maximum upload limit for your hardware configuration).
    • Set the maximum number of allowed alerts to be unlimited.
  7. Create a destination collection, top-level Web site, or site and do not apply a template.

    Note To create a destination site with no template, begin creating the site collection, top-level site, or subsite as usual, but when you get to the page where you are asked to select a template, close the browser window without making a selection. Do not apply any template (including the Blank Site template) or the restore operation will fail.

Important When you have finished migrating your sites to Windows SharePoint Services, change the server settings to the configuration you want to use while users are working with the sites.

Download and install the update for SharePoint Team Services v1.0 (SharePoint Team Services v1.0 only)

To migrate sites from SharePoint Team Services v1.0 to Windows SharePoint Services, you must verify that the server hosting the original site has been updated to work with the SharePoint Migration Tool. You must download and install SharePoint Team Services v1.0 service packs 1 and 2 from the Microsoft Product Update site and then install the SharePoint Team Services Version 1.0 Update. To install this update, you must be a member of the local administrators group on the server.

Set the original site to read-only

You can set the original site to be read-only by turning off all but browsing and viewing rights on the Set List of Available Rights page for the server that contains the site.

Note This setting applies to all sites and subsites on the server.

If you are migrating a site based on Windows SharePoint Services to a new location, you can set the site to read-only by locking the site. For more information about locking a site, see Configuring Site Quotas and Locks.

  1. On the original server, click Start, point to All Programs, point to Administrative Tools, and then click Microsoft SharePoint Administrator.
  2. On the Server Administration page, click Set list of available rights.
  3. Clear all of the check boxes except for the Browse, View Lists, and View Web Document Discussions check boxes.
  4. Click Submit.
Turn off blocked file extensions in the original site (Windows SharePoint Services only)
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Security Configuration, click Manage blocked file types.
  3. In the list of blocked file types, delete the file types you want to include in the backup.
  4. Click OK.

Caution The list of blocked file extensions affects all sites on the server or in the server farm, not just the site you are migrating. After migrating, you must specify the blocked file settings again to restore this protection for any sites on the server or server farm.

Increase the paging file size

If you are migrating a large site or running the SharePoint Migration Tool directly on a front-end Web server, it is recommended that you increase the paging file size for the server to at least 1 GB.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click Computer Management.
  2. In the console tree, right-click Computer Management (Local), and then select Properties.
  3. On the Advanced tab, under Performance, click Settings.
  4. In the Performance Options dialog box, under Virtual memory, click Change.
  5. In the Drive list, click the drive that contains the paging file you want to change.
  6. Under Paging file size for selected drive, select Custom size, and then type 1024 in the Initial Size (MB) box.
  7. Specify a larger number in the Maximum Size (MB) box, and then click Set.

    This sets the paging file to a minimum of 1 gigabyte (GB).

Changing the Destination Server Settings

Some of the settings must be changed in IIS, and some must be changed in SharePoint Central Administration.

Increase IIS timeout settings
  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Double-click the server name that is running Windows SharePoint Services.
  3. Double-click Web Sites.
  4. Right-click the virtual server that you are restoring to, and then click Properties.
  5. On the Web Site tab, in the Connection time out box, change the setting from 120 to 65,000 seconds.
  6. Click OK.

If you want to migrate the anonymous user access settings to the destination server, you must enable anonymous user access in IIS.

Turn on anonymous user access in IIS

This procedure is optional. Turn on anonymous user access only if you want to migrate anonymous access settings.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Double-click the server name that is running Windows SharePoint Services.
  3. Double-click Web Sites.
  4. Right-click the virtual server that you are restoring to, and then click Properties.
  5. On the Directory Security tab, under Authentication and access control, click Edit.
  6. Select the Enable anonymous access check box, and then click OK.
  7. Click OK.

After the IIS settings are configured, you can change quota limits by using SharePoint Central Administration.

Double a quota limit
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage site collection quotas and locks.
  4. Enter the URL of the site collection, and then click View Data.
  5. In the Site Quota Information Section, double the amount of storage allowed for the Limit site storage to a maximum of option.
  6. Click OK.

If you know that the original site contains files that have file extensions on the blocked file extensions list, you must unblock those file extensions before you migrate the site. If you do not remove those file extensions from the blocked list, the files will not be migrated with the rest of the site content.

Disable full-text searching in SQL Server 2000
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Component Configuration, click Configure full-text search.
  3. Clear the Enable full-text search and index component check box.
  4. Click OK.
Turn off blocked file extensions on the destination server
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Security Configuration, click Manage blocked file types.
  3. In the list of blocked file types, delete the file types you want to allow.
  4. Click OK.

If you want to continue blocking these file types after the site has been migrated, you must add the file extensions back to this list after the migration is completed. Note that this list of blocked file extensions affects all sites on the server or in the server farm, not just the site you are migrating.

Changing the Destination Virtual Server Settings

You change the settings for the destination virtual server by using the Virtual Server General Settings page in SharePoint Central Administration. Specify a larger maximum upload size to allow any existing large files to be restored during migration and allow an unlimited number of alerts to be sure that all of the alerts for your users can be added.

By default, the maximum upload limit is set to 50 MB, which may not be enough to restore your site's content. However, uploading files larger than 50 MB may cause problems, depending on your available system resources. If you greatly increase the maximum file size and then attempt to upload a very large file, the upload may fail or the server may stop responding. The file size at which Windows SharePoint Services may stop responding depends on the hardware you are using and usage patterns. For example, an installation that includes a front-end Web server with 512 MB of RAM and a back-end server with 1 GB of RAM may be able to handle files up to about 128 MB. In general, it is the amount of available memory that determines how large of a file can be uploaded - for a temporary solution, such as when you are running the SharePoint Migration Tool, you can set the maximum upload size to handle files about one quarter of the size of the physical memory for your server.

Change the virtual server settings for maximum uploads and alerts
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the name of the virtual server that contains the destination site.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  5. In the Maximum Upload Size section, in the Maximum upload size box, type the maximum size you want to allow.
  6. In the Alerts section, under Maximum number of alerts that a user can create, select Unlimited number.
  7. Click OK.

Creating a New Top-level Site without Applying a Template

You can migrate a site to a new virtual server, to a new top-level Web site on an existing virtual server, or to a subsite under an existing top-level Web site. No matter what level the site is, when you restore the site, you must create a blank site at the destination without applying a site template.

You can use the stsadm.exe command line tool to create blank sites and site collections. For example:

 stsadm -o createweb

stsadm -o createsite

Be sure to not use the -sitetemplate parameter.

You can also use the SharePoint Central Administration, Site Administration, and Create pages to create a destination site without applying a template. To do so, begin creating the site collection, top-level site, or subsite as usual, but when you get to the page where you are asked to select a template, close the browser window without making a selection. Do not apply any template (including the Blank Site template) or the restore operation will fail.

Using the SharePoint Migration Tool to Migrate Sites

The SharePoint Migration Tool (Smigrate.exe) is available in the Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\Bin folder on your server computer. To use the SharePoint Migration Tool, you must be a site administrator for both the Web site being backed up and the destination Web site.

Note You can also download the SharePoint Migration Tool from the Microsoft Web site.

Smigrate.exe takes the following parameters:

Parameter | Description | Example values
-w | Web site URL. Required. | A valid URL, such as http://myserver/site1 or https://myserver/site1.
-f | The name of the backup file. Required. | A filename, or full path to a filename, with the .fwp extension. For example, backup.fwp, c:\backup.fwp, or \\myserver\folder\backup.fwp. Note The file name extension is optional. If you do not specify the .fwp extension, it will be added automatically.
-r | Restores a site to a new location. | none
-e | Excludes subsites during backup. Optional. | none
-x | Excludes security during restore. Optional. For use when migrating from SharePoint Team Services v1.0 to Windows SharePoint Services only. | none
-y | Overwrites an existing backup file. Optional. | none
-u | The user name for the Web site administrator. This parameter is required if your site supports only Basic authentication. Note that if the current logged on user has sufficient rights to perform the migration, the current user's credentials are used to perform the migration instead of the one specified with the -u parameter. If you want the migration to be performed by a specific account, log on as that account before migrating. Alternatively, you can change your Internet settings so that your computer does not automatically try to authenticate when you connect to Web sites. | A valid user name, in the form DOMAIN\name.
-pw | The password for the Web site administrator. Optional. | A valid password. Use "*" to be prompted to type a password.

Note If Internet Explorer Enhanced Security is enabled on your server, you must specify the u and pw parameters.

To back up a site, you use Smigrate.exe with the following parameters:

smigrate.exe -w Web_site_URL -f backup_filename [-e -y -u user_name -pw password]

For example, to create a backup of http://myserver/site1 to a file called backup.fwp at the root of the c:\ drive, without including any subsites of the Web site, you would type the following:

smigrate.exe -w http://myserver/site1 -f c:\backup.fwp -e

Note If your site has a space in the URL, enclose the URL in quotation marks ("). For example, to back up http://myserver/my site, type "http://myserver/my site".

To restore a site, you use Smigrate.exe with the following parameters:

smigrate.exe -r -w Web_site_URL -f backup_filename [-u user_name -pw password]

For example, to restore the above site to http://yourserver/site2, you would type the following:

smigrate.exe -r -w http://yourserver/site2 -f c:\backup.fwp

If you are logged on with an account that does not have specific permissions to the destination Web site, you can specify a site administrator user name and password that has the appropriate permissions. For example, to restore a site and specify the administrator user name and password, you would use the following syntax:

smigrate.exe -r -w Web_site_URL -f backup_filename -u site_administrator_user_account -pw password

When you migrate a site from SharePoint Team Services v1.0 to Windows SharePoint Services, you can also use the x parameter during restore, which allows you to determine whether or not to preserve the security settings for the Web site (user accounts and site groups). You can run the SharePoint Migration Tool from any computer running Microsoft Windows 2000 Service Pack 3 or later. The tool can be copied to another computer and used even if Windows SharePoint Services is not installed.

Note The upgrade and migration from SharePoint Team Services v1.0 to Windows SharePoint Services is not full fidelity, and some data may be lost because of changes in the functionality between versions. You can view the smigrate.log file to see which items migrated successfully and which did not. The smigrate.log file is stored in the %temp% directory for your user account. If a log file already exists from a previous backup or restore, a log file will be created using the next available name (such as smigrate_1.log, smigrate_2.log, and so on).

To restore a site based on SharePoint Team Services v1.0 to a server running Windows SharePoint Services, and exclude the security information, you use Smigrate.exe with the following parameters:

smigrate.exe -r -w Web_site_URL -f backup_filename -x

Migrating Personal Sites

It is possible to migrate personal sites using the SharePoint Migration Tool, but some additional steps are necessary:

  • The URL for personal sites must be in the format http://myserver/personal/username.
  • Back up the site as you would any other SharePoint site.
  • To restore a personal site to a new server, you must create an empty Web site with no template on the new server at http://myserver/personal/username, and then restore the site using the backup file created from the old server.

Troubleshooting Migration Issues

If your site does not migrate as expected, refer to the following list to understand issues or find solutions:

  • When using the SharePoint Migration Tool to backup my SharePoint Team Services v1.0 site, I get the message: The server administration programs and the server extensions on the Web server are not compatible. The server is too old to use with this administration program. Please consult the section in the Administration Guide on Migrating and Updating Web Sites for more information.

    To migrate sites from SharePoint Team Services v1.0 to Windows SharePoint Services, you must verify that the server hosting the original site has been updated to work with the SharePoint Migration Tool. To download this update, go to the SharePoint Team Services Version 1.0 Update page. To install this update, you must be a member of the local Administrators group on the server.

  • When using the SharePoint Migration Tool to restore a site, I get the following error message: Server error: A site template has already been applied to this site. Once a template has been applied, the site must be deleted and recreated in order to apply a different template.

    To restore to a site, you must first create a blank site without applying a template. To create a destination site with no template, begin creating the site collection, top-level site, or subsite as usual, but when you get to the page where you are asked to select a template, close the browser window without making a selection. Do not apply any template (including the Blank Site template) or the restore operation will fail. After you have created a blank site with no template, you can use the SharePoint Migration Tool to restore to that site.

  • How do I determine if there were errors during migration?

    Check the SharePoint Migration Tool log file for errors. The smigrate.log file is stored in the %temp% directory for your user account. If a log file already exists from a previous backup or restore, new log files will be created using the next available name (such as smigrate_1.log, smigrate_2.log, and so on). Search the log entries for the following error messages: cannot, could not, failure, server error, timed out, unable to, and the server sent a response.

  • Alerts from unavailable users were not restored.

    If a user account no longer exists at restore time, or if the account was a local account, the alerts for that user account cannot be restored.

  • Survey creation times are incorrect.

    Creation times for surveys are not preserved during migration. This applies to all list types, but is most visible for surveys.

  • The site language is incorrect.

    When you restore a site, the language of the restored site must match that of the backed up site. Be sure that the language you need is available on the server you are restoring to.

  • There are too many views.

    If your site was migrated from SharePoint Team Services v1.0 to Windows SharePoint Services, the restored site contains both the views from the original site and the default views for Windows SharePoint Services. The restored SharePoint Team Services v1.0 views are listed after the default Windows SharePoint Services views. You can remove any views that you do not want.

  • I get an error message when I try to back up or restore a site through a proxy server.

    If your firewall or proxy server requires authentication, you may not be able to back up or restore a site.

  • Some of my currency formats changed after migration.

    When migrating a site from SharePoint Team Services v1.0 to Windows SharePoint Services, Windows SharePoint Services converts some obsolete currencies to their modern equivalents. For example, German Deutschmarks are converted to Euros. However, only the format of the currency field is changed. The value for each entry is not altered and must be manually converted by using the desired conversion rate.

  • Some of the entries have the fields Created By or Modified By attributed to the wrong person.

    When you migrate a Web site, the SharePoint Migration Tool attributes any content created by users who are not currently members of the source site to the user who performed the site migration. This problem can happen easily if you migrate to a new site, and then migrate from there to yet another site. The second time you run the SharePoint Migration Tool, it is possible that there will be content from a user from the source site who is not a member of first destination site. After that content is migrated to the second destination site, the content will be attributed to the user who performed the second migration. To resolve this problem, make sure that all team members are listed on the User Information page (Userinfo.aspx) of the source site before migrating. This problem occurs only when migrating Windows SharePoint Services sites to another server running Windows SharePoint Services.

  • The lookup column I created is blank after I migrated the site.

    If you have a lookup column with the Get information from option set to User Information, the field will show up as blank in the restored site. This problem occurs only when migrating Windows SharePoint Services sites to another server running Windows SharePoint Services. This problem can happen easily if you migrate to a new site, and then migrate from there to yet another site. The second time you run the SharePoint Migration Tool, it is possible that the lookup field looked up a user from the source site who is not a member of the first destination site. When that content is migrated to the second destination site, if the SharePoint Migration Tool cannot find the user name in the second destination site, the lookup column is left blank. To resolve this problem, make sure that all team members are listed on the User Information page (Userinfo.aspx) of the source site before migrating.

  • The properties of library folders have the wrong information in fields such as Created By or Created.

    The SharePoint Migration tools does not preserve library folder information such as Created, Created By, Modified, and Modified By. This problem occurs only when migrating Windows SharePoint Services sites to another server running Windows SharePoint Services.

  • Some of the properties for files in my library are blank after migration.

    If the files were uploaded to the library using a multiple file upload utility such as the one provided in Office 2003 or using a Windows SharePoint Services-compatible Web page editor such as Office FrontPage 2003, any custom properties that use a default value will be blank after migration.

  • I no longer get alerts for changes in library folders

    The SharePoint Migration tool does not preserve alerts for library folders. This problem occurs only when migrating Windows SharePoint Services sites to another server running Windows SharePoint Services.

  • The migrated site is larger than the original site

    The size of the restored site will be larger than the original site due to an increase in the size of Web Part Pages. If the original site is near the size quota allowed on the destination server, you may need to increase the quota on the destination server or delete some site content. This problem occurs only when migrating Windows SharePoint Services sites to another server running Windows SharePoint Services.

  • Properties for my basic page or Web Part Page such as Modified or Modified By have changed after site migration.

    Properties such as Modified or Modified By are not preserved for basic pages or Web Part Pages. This problem occurs only when migrating Windows SharePoint Services sites to another server running Windows SharePoint Services.

  • The creation date and time for Web discussions have changed after migration.

    The SharePoint Migration Tool does not preserve creation time and date for Web discussions during migration. This problem occurs only when migrating Windows SharePoint Services sites to another server running Windows SharePoint Services.

  • A user keeps getting alerts for changes to the site, but he or she isn't allowed access to the site.

    The SharePoint Migration Tool migrates alerts to the new site, however, does not migrate site permissions. To resolve this problem, use the SharePoint administration pages to assign the user to a site group on the new site. If you don't want to give the user access to the site, you must manually delete any alerts that he or she created. This problem occurs only when migrating Windows SharePoint Services sites to another server running Windows SharePoint Services.

  • The version numbers on my documents have changed after migration.

    If you have a library with Document Versions enabled, the versions are numbered sequentially after migration. Deleting a version of a document from the library causes the original version numbers to be non-sequential. This problem occurs only when migrating Windows SharePoint Services sites to another server running Windows SharePoint Services.

  • The files that I had checked out are checked in after migration.

    File checkout status is not preserved during migration.

  • My user information from the source site didn't get migrated.

    The user information for the user who performs the migration is not copied to the destination site if he or she is already listed on the the User Information page (Userinfo.aspx) of the destination site.

  • The text direction for a list has changed.

    The SharePoint Migration Tool does not preserve the default text direction (right-to-left or left-to-right) during migration. To resolve this problem, you must manually change the text direction for lists after migration. This problem occurs only when migrating Windows SharePoint Services sites to another server running Windows SharePoint Services.

  • After migration, one of the lookup columns for a library has one more entry than there are files.

    After migration, an extra entry exists if a lookup field in a library references files in the same library.

  • Some folders marked as unbrowsable did not migrate.

    Windows SharePoint Services uses the _private folder to store unbrowsable files and folders. FrontPage 2002 Server Extensions and SharePoint Team Services v1.0 allowed you to mark additional folders as unbrowsable. When you use the SharePoint Migration Tool to migrate a site that has multiple unbrowsable folders, only the _private folder and any files in the _private folder, are restored. If you want to migrate a site that contains additional folders marked as unbrowsable, move the files from those additional folders into the _private folder before migrating.

    Note You can only see the _private folder and its contents when you open the site in a program compatible with Windows SharePoint Services such as Office Word 2003 or Office FrontPage 2003.

In addition, when you migrate a site from SharePoint Team Services v1.0 to Windows SharePoint Services, there are some features or customizations that do not migrate. For a list of these items, see "Upgrade Considerations" in the Windows SharePoint Services Administrator's Guide.


Configuring Data Retrieval Services

Configuring Data Retrieval Services

A data retrieval service implements a new data-binding technology that enables data consumers and data sources to communicate with each other through SOAP and XML. Data retrieval services are XML Web services that return XML data from different data sources. A data retrieval service is installed and runs on a server extended with Microsoft Windows SharePoint Services. Windows SharePoint Services comes with a default set of data retrieval services for working with data in SharePoint lists, OLEDB, and XML data sources. Client applications and data-bound Web Parts, such as the Spreadsheet Web Part, can use a data retrieval service to query the data source supported by the particular data source.

Note If your data retrieval service is attempting to connect to a remote Microsoft SQL Server database that is configured to use Microsoft Windows authentication, the server with the data retrieval service, the remote server running SQL Server, and the client initially making the request against the data retrieval service must be using Kerberos authentication. For more information about setting up Kerberos authentication, see the Help system for Internet Information Services (IIS) 6.0.

Configuring Data Retrieval Services from HTML Administration

You can enable or disable data retrieval services and configure settings for data retrieval services for an entire server or server farm by using the SharePoint Central Administration page.

Enable data retrieval services and configure settings for a server or server farm
  1. On the SharePoint Central Administration page, under Component Configuration, click Configure data retrieval services settings.
  2. On the Data Retrieval Services Settings page, in the Enable Data Retrieval Services section, select Enable these data retrieval services.
  3. In the Limit Response Size section, in the Response size limit box, specify the size, in kilobytes (KB), to use as the upper size limit for responses from the data retrieval services.
  4. To allow updatable queries, in the Update Support section, select the Enable update query support check box.
  5. In the Data Source Time-out section, in the Request time-out box, specify the length of time to allow the data retrieval service to respond before timing out, in seconds.
  6. Click OK.

You can also use HTML Administration pages to specify settings for a particular virtual server.

Enable data retrieval services and configure settings for a virtual server
  1. On the SharePoint Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  2. On the Virtual Server List page, click the name of the virtual server that you want to configure.
  3. On the Virtual Server Settings page, under Component Configuration, click Configure data retrieval service settings.
  4. On the Data Retrieval Service Settings page, in the Customize Virtual Server section, clear the Inherit the global settings check box to specify different settings for the virtual server.
  5. In the Enable Data Retrieval Services section, select Enable these data retrieval services.
  6. In the Limit Response Size section, in the Response size limit box, specify the size, in kilobytes (KB), to use as the upper size limit for responses from the data retrieval services.
  7. To allow updatable queries, in the Update Support section, select the Enable update query support check box.
  8. In the Data Source Time-out section, in the Request time-out box, specify the length of time to allow the data retrieval service to respond before timing out, in seconds.
  9. Click OK.

Configuring Data Retrieval Services from the Command Line

If you are using a third-party data retrieval service, you can register a service by using the command line. Register these services by using Stsadm.exe with the binddrservice and removedrservice operations. The binddrservice and removedrservice operations register individual data retrieval services for specific settings. When you register a service, it appears on the HTML Administration pages under the appropriate setting. For each operation, you specify the following required parameters: servicename and setting. The setting parameter takes any of the following values: enabled, responsesize, timeout, update.

For example, to register a data retrieval service called Service1 to the list of services that an administrator may enable or disable, you would use the following syntax:

            stsadm.exe -o binddrservice -servicename Service1 -setting enabled

And to remove Service1 from the list of services that may allow data updates, you would use the following syntax:

            stsadm.exe -o removedrservice -servicename Service1 -setting update

For more information about command-line operations, see Command-Line Operations.


About Web Parts

About Web Parts

A Web Part is a Microsoft ASP.NET server control that serves a particular purpose, such as displaying data from a spreadsheet or streaming stock quotations from an online Web service. Web Parts are inserted in Web Part zones on Web Part Pages. Web Part zones are containers for Web Parts that group and organize Web Parts and provide a set of properties that configure the Web Parts in that zone. Web Part Pages consolidate data and Web content through Web Part zones to create dynamic information portals.

Note Web Parts can be inserted outside of Web Part Zones. However, Web Parts outside of Web Part Zones have reduced functionality.

Web Part Pages can be built into site templates in Microsoft Windows SharePoint Services to implement dynamic, data-driven sites. Users interacting with a site can create Web Part Pages and add Web Parts. Users can connect Web Parts so that one Web Part can be driven by data from another. Web Part zones and part-to-part connections are exposed in the Windows SharePoint Services user interface, allowing users to build dynamic Web applications made up of Web Parts without having to write any code.

Windows SharePoint Services includes a default set of Web Parts that users can immediately use to customize their sites. For example, the Web Parts available with Windows SharePoint Services include:

  • Content Editor Web Part — Displays unstructured Web content, such as text or images.
  • Image Web Part — Displays a picture.
  • Form Web Part — Lets users add an HTML form.
  • Contacts — Lets users display their Contacts list on a Web Part Page.

Web Parts are made available to users from Web Part galleries, which are collections of Web Parts. Depending on how you configure the server, users can add Web Parts from any of the following galleries:

  • The Web Part Page gallery — A collection of Web Parts that are available to a specific Web Part Page but are currently inactive. Closing a Web Part on a page moves it to this gallery. Each Web Part Page has its own Web Part Page gallery.
  • The site collection Web Part gallery — The most central Web Part gallery for a work group. This gallery is typically managed by the site administrator of the site collection, who decides which Web Parts are available and safe for the team's sites. By default, the gallery name is the name of the site, such as "Our Team Site Web Part Gallery." There is only one site collection gallery for each site collection. For information about managing a site collection Web Part Gallery, see Managing a Site Collection Web Part Gallery.
  • The virtual server Web Part gallery — The central gallery available to all sites on a server or server farm. When an administrator installs a custom Web Part, the Web Part is available to users from this gallery. For information about installing custom Web Parts, see Managing Web Parts on Virtual Servers.
  • The online Web Part gallery — A set of Web Parts that are available over a Web service. This permits many servers to share access to a common, centrally maintained collection of Web Parts. You can optionally make one online gallery available to your site users. By default, SharePoint sites connect to the online gallery that Microsoft maintains at http://r.office.microsoft.com/r/hlidAwsGallery. For information about managing an online gallery, see Managing Web Parts on Virtual Servers.

Custom Web Part packages are distributed to server administrators as cabinet (.cab) files. You use the command-line tool Stsadm.exe to add Web Parts from a Web Part package (in cabinet file format) to one or more virtual servers. Stsadm.exe installs Web Part executable code in the Bin directory of each virtual server or in the global assembly cache (GAC). Any resources used by an assembly are installed in the \wpresources folder for assemblies installed in Bin directories, or \_wpresources for assemblies installed in the GAC. Web Part definition (.dwp) files are installed in the virtual server Web Part gallery.

Note On a server farm, you should install custom Web Parts identically on each front-end Web server. Use the SharePoint Configuration Analyzer utility to check each virtual server's Web Part configuration. For more information, see Using SharePoint Configuration Analyzer.

Related Topics

For information about installing, upgrading, and deleting custom Web Parts, along with descriptions of other Web Part configuration tasks at the virtual server level, see Managing Web Parts on Virtual Servers.

For information about using SharePoint Configuration Analyzer, see Using SharePoint Configuration Analyzer.

For information about managing a site collection Web Part Gallery, see Managing a Site Collection Web Part Gallery.


Managing a Site Collection Web Part Gallery

Managing a Site Collection Web Part Gallery

Administrators of a top-level Web site can determine which Web Parts are available to the users of sites in their site collection. They can use the site collection Web Part gallery page to add or remove Web Parts from the list of Web Parts available for use or to upload new Web Parts. Note that users may also have access to Web Parts in the online Web Part gallery or in the server Web Part gallery. The Web Part gallery for a site collection controls only a subset of all Web Parts available to users.

Make a Web Part available in the Web Part gallery
  1. On a top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage Web Part gallery.
  4. On the Web Part Gallery page, click New Web Part.
  5. Select the check box next to the Web Parts you want to include in the gallery, and then click Populate Gallery.

    Note The list of Web Parts that can be added to the Web Part gallery is derived from the list of safe Web Parts in the web.config file. There may be Web Parts in the web.config file that have never been in the gallery or that were deleted from the gallery.

    When you click Populate Gallery, the Web Parts you select are added to the gallery and are made available to all users.

If you have installed a Web Part package and need to add the Web Parts to the gallery, you can use the Upload Web Part button to add the new Web Parts to the gallery.

Web Parts can be organized into groups for easy filtering in the gallery. You can specify which group a Web Part belongs to when you add a Web Part to the Web Part gallery. Groups are optional — you can add a Web Part without specifying a group.

Add a Web Part to the Web Part gallery
  1. On the Web Part Gallery page, click Upload Web Part.
  2. In the Name box, type the name of the Web Part (including the full path to the .dwp file) or click Browse.
  3. In the Group box, select a group or, under Specify your own value, type a group name for the Web Part.
  4. Click Save and Close.

You can add several Web Parts to your gallery at once by using the Upload Multiple Files option on the Upload Web Part page.

Note You must be using a Windows SharePoint Services-compatible client application to use the Upload Multiple Files option.

Add multiple Web Parts to the Web Part gallery
  1. On the Web Part Gallery page, click Upload Web Part.
  2. Under Name, click Upload Multiple Files.
  3. Select the check boxes next to the Web Parts you want to upload, and then click Save and Close.

You can remove a Web Part from the gallery if you want to make it unavailable to users. If a user has already used a Web Part in the site, and you delete the Web Part from the site gallery, the Web Part will remain on the Web Part Page and will still work. However, if an administrator on the server computer removes the Web Part assembly that contains the Web Part from the server, or marks the assembly as unsafe in the Web.config file for the server, the Web Part will no longer run, and the user will see an error message.

Remove a Web Part from the Web Part gallery
  1. On the Web Part Gallery page, next to the Web Part you want to remove, click the Edit icon.
  2. On the Web Part Gallery: <Web Part Name> page, click Delete.
  3. Click OK to delete the Web Part.

Related Topics

For an overview of Web Parts, see About Web Parts.

For information about installing, upgrading, and deleting custom Web Parts, along with descriptions of other central administration Web Part configuration tasks, see Managing Web Parts on Virtual Servers.


Managing Web Parts on Virtual Servers

Managing Web Parts on Virtual Servers

This topic describes Web Parts administration on virtual servers. Web Part administration tasks include:

  • Installing Web Parts.
  • Upgrading Web Parts.
  • Deleting Web Parts.
  • Managing an online Web Part gallery.
  • Allowing part-to-part connections.
  • Setting additional Web Part configuration options.

For information about managing Web Parts for a site collection, see Managing a Site Collection Web Part Gallery.

Installing Web Parts

As a server administrator, you will be called on to install Web Parts on a server or server farm. To meet the needs of your organization, internal teams may develop Web Parts to deploy on some servers or across your entire intranet. Also, external software developers will build general purpose applications based on Web Parts technology and make them available to your user community. Installing a Web Part is a three-step process: evaluation, installation, and verification.

  • Evaluation

    Evaluate a custom Web Part before installing it on your server or server farm. You should be comfortable that installing the Web Part will not compromise your server's security or performance. Web parts should be coded and tested by following recommended best practices, and they must be configured to run with the minimum level of permissions required to access the system and other resources that they need. Microsoft Windows SharePoint Services takes advantage of the Microsoft .NET Framework code access security mechanism to provide server administrators with the flexibility to set permissions on Web Part assemblies tailored to their needs. For a complete discussion, see Microsoft Windows SharePoint Services and Code Access Security.

    The SharePoint Products and Technologies 2003 Software Development Kit contains guidelines for software developers that will help them implement their Web Parts following best security practices. For example, the SDK includes a topic, "Code Access Security For Administrators," that describes how code access security is used in Windows SharePoint Services and how an administrator can create custom security policy files if needed. Also, see the SharePoint Developer Center on MSDN for additional information on creating and testing Web Parts, and see the Microsoft Security Developer Center for information that helps developers create secure software. Make sure that your developer community uses these resources in designing, coding, and testing Web Parts before you agree to deploy them.

  • Installation

    Custom Web Part packages are distributed as cabinet (.cab) files. You use the command-line tool Stsadm.exe to add Web Parts from a Web Part package to one or more virtual servers.

    In addition to installing the Web Part assemblies, .dwp files, and resources needed by Web Parts, Stsadm.exe puts a copy of the Web Part package in the configuration database. In a server farm configuration, you use this centrally located Web Part package when installing the Web Parts from other servers.

    Note The Wppackager tool is an alternative method of packaging and installing custom Web Parts. This unsupported tool is available on the Microsoft Download Center at SharePoint Products and Technologies Tool: wppackager for packaging and deploying Web Parts. A whitepaper on this tool is published at Using Wppackager to Package and Deploy Web Parts for Microsoft SharePoint Products and Technologies.

    An important decision when adding a new Web Part assembly is whether to install it to the global assembly cache (GAC) or to the Bin directory (C:\inetpub\wwwroot\bin for the default virtual server). The Bin directory is the more secure option. When installed in the Bin directory, an assembly is only available to the virtual server. Because the administrator controls the trust level for the virtual server, assemblies installed in the Bin directory will run, by default, at a lower level of trust, such as WSS_Minimal, than they would in the GAC. (By default, assemblies installed in the GAC run at Full trust.)

    In some IIS configurations, you must install assemblies in the GAC. For example, when you configure an IIS virtual server, extended by using Windows SharePoint Services, that has a host header name, you must install Web Part assemblies in the GAC. But generally, you should install custom Web Parts in the Bin directory, and you should demand of your developer community that they develop Web Parts that work properly under the trust level that you want to enforce on your virtual servers.

  • Verification

    After installing Web Parts to each server, you can verify your installation by using the SharePoint Configuration Analyzer tool. Along with verifying that IIS and Windows SharePoint Services configurations are compatible, this tool reports on errors in Web Part and Web Control assemblies installations, mismatches between SafeControls lists (in web.config files) and the Web Parts that they reference, and Web Part assemblies that are missing from your server but referenced from pages in the database.

    After installing a new Web Part assembly, using SharePoint Configuration Analyzer to check the installation, and fixing any errors, you should run SharePoint Configuration Analyzer again with the Save state information option selected. When you select Save state information, SharePoint Configuration Analyzer creates a reference XML file that it uses to reconstruct the mappings between global unique identifiers (GUIDs) and type names, so that it can report the more readable type names of Web Parts in its reports.

    For information about installing and using SharePoint Configuration Analyzer, see Using SharePoint Configuration Analyzer.

Installing Web Parts By Using Stsadm.exe

To add a new Web Part package to your virtual server, use the following syntax:

stsadm.exe -o addwppack -filename <path to Web Part Package> [-url <URL>] [-globalinstall]
  • -filename specifies the path to the cabinet file containing the Web Parts and associated resources.
  • -url optionally specifies the URL of the virtual server on which to install the Web Parts. To install the Web Parts on every virtual server on a server, omit the -url parameter.
  • -globalinstall tells Stsadm.exe to install the Web Parts in the global assembly cache (GAC) rather than in the Bin directories of each virtual server.

    Assemblies installed in the GAC are available to all applications on the server. This is less secure than installing in Bin directories because it potentially grants a higher level of permission to your assemblies across a larger scope than might be necessary.

    Notes

    • Web Parts must be strongly named to be installed in the GAC. If one or more Web Parts in the Web Part package are not strongly named, the Web Part package will be installed in the Bin directory and not in the GAC. For more information, see the topic ”Code Access Security for Developers” in the SharePoint Products and Technologies 2003 Software Development Kit .
    • If you specify both the URL of a single virtual server and the -globalinstall parameter, the Web Part will only appear in the Web Part Gallery of the virtual server that you specified. However, the assembly will be installed in the GAC, will run at the Full Trust level by default, and will be available from other applications.

In a server farm configuration, if a Web Part package has already been installed on one front-end server, you can install the Web Part Package on another server from the configuration database by using the following syntax:

stsadm.exe -o addwppack -name <name of Web Part Package> [-url <URL>] [-globalinstall]
  • -name specifies the name of a Web Part Package.
  • -url optionally specifies the URL of the virtual server on which to install the Web Parts. To install the Web Parts on every virtual server on the server, omit the-url parameter.
  • -globalinstall specifies to install the Web Parts in the global assembly cache (GAC) rather than in the Bin directories of each virtual server. Use this flag consistently on all front-end servers of a server farm.

To enumerate the Web Part packages installed on a virtual server, use the following syntax:

stsadm.exe -o enumwppacks [-name <name of Web Part Package>] [-url <URL>]
  • -name specifies the name of a Web Part package. Omitting this parameter specifies to list all Web Part packages for the virtual server or virtual servers.
  • -url optionally specifies the URL of the virtual server for which to enumerate the Web Part packages. If -url is omitted, Stsadm.exe enumerates Web Part packages on every virtual server on the server.

Upgrading Web Parts

You may need to upgrade installed Web Parts on a server or server farm, either to introduce new functionality or to distribute repaired Web Parts in response to bugs or security issues. Upgrading Web Parts is a four-step process: evaluation, notification, installation, and verification.

  • Evaluation

    Evaluate changes to a custom Web Part before upgrading it. As when installing new Web Parts, you should verify that changes to the Web Part do not compromise your server security or performance. Make sure that your developer community uses the resources available at SharePoint Developer Center and in the SharePoint Products and Technologies 2003 Software Development Kit when designing, coding, and testing new or updated Web Parts before you agree to deploy them.

  • Notification

    Before upgrading a Web Part package, you should notify everyone in your user community who is using Web Parts from the package. An upgraded Web Part may function differently, and an upgraded Web Part description (.dwp) file may expose new properties. Failing to notify your user community could result in broken Web sites and the resultant support calls.

    To find all owners of pages containing a Web Part on a virtual server, use the SharePoint Configuration Analyzer tool. SharePoint Configuration Analyzer lists each Web Part installed on a virtual server and, for each Web Part, lists all of the pages that contain an instance of that Web Part in a Web Part Zone. Using this information, you can contact owners of pages containing Web Parts that are about to be upgraded. For more information about SharePoint Configuration Analyzer, including where to find this tool, see Using SharePoint Configuration Analyzer.

  • Installation

    Installing an upgraded Web Part package is similar to installing a new package. Use the Stsadm.exe command line tool to upgrade the Web Part package.

  • Verification

    As with new Web Parts packages, after upgrading Web Parts to each server, you can verify your installation by using the SharePoint Configuration Analyzer tool.

    After upgrading a Web Part assembly, using SharePoint Configuration Analyzer to check the upgrade, and fixing any errors, you should run SharePoint Configuration Analyzer again with the Save state information option selected. When you select Save state information, SharePoint Configuration Analyzer creates a reference XML file that it uses to reconstruct the mappings between GUIDs and type names, so that it can report the more readable type names of Web Parts in its reports.

Upgrading Web Parts By Using Stsadm.exe

You use the command-line tool Stsadm.exe to upgrade Web Parts from a Web Part package (in cabinet file format) to a virtual server. In addition to upgrading the Web Part assemblies and optional Web Part Definition (.dwp) files to the server, Stsadm.exe puts a copy of the Web Part package in the configuration database. In a server farm configuration, use this centrally located cabinet file when upgrading the Web Parts from other servers.

The syntax for upgrading a Web Part package on a virtual server is similar to the syntax for installing a new package:

stsadm.exe -o addwppack -filename <path to file> -force [-url <URL>] [-globalinstall]
  • -filename specifies the path to the cabinet file containing the Web Parts.
  • -force instructs Stsadm.exe to overwrite an existing Web Part package with a new version.
  • -url optionally specifies the URL of the virtual server on which to upgrade the Web Parts. If -url is omitted, Stsadm.exe upgrades the Web Parts in the Bin folder of every virtual server on the server. On servers where the Web Parts were not installed, this is equivalent to a new installation.
  • -globalinstall specifies to install the Web Parts in the global assembly cache (GAC) rather than in the Bin directories of each virtual server.

In a server farm, if a Web Part package has already been upgraded on one front-end server, you can upgrade the Web Part package from another server by using the following syntax, where -name specifies the name of the Web Part package:

stsadm.exe -o addwppack -name <name of Web Part Package> -force [-url <URL>] [-globalinstall]

When you upgrade a Web Part assembly that is currently in the global assembly cache, if you omit the -globalinstall parameter, the Web Part assembly will be moved to the Bin folder. When you upgrade a Web Part assembly that is currently in the Bin folder, adding the -globalinstall parameter will move the upgraded assembly to the global assembly cache.

Deleting Web Parts

When you delete a Web Part on a server, you delete the assembly (that part of the Web Part implementation that is executable code) and related resources. Users must remove the Web Part Definition file from any pages that use the Web Part. Deleting Web Parts is a three-step process: notification, deletion, and verification.

  • Notification

    Before deleting a Web Part assembly, you should notify everyone in your user community who is using the assembly. Deleting Web Parts that are in use will break the functionality of Web pages that are dependent on the Web Part. Failing to notify your user community could result in support calls as pages stop working as expected.

    To find all owners of pages containing a Web Part on a virtual server, use the SharePoint Configuration Analyzer tool, which lists each Web Part installed on a virtual server and, for each Web Part, lists all of the pages that contain an instance of the Web Part in a Web Part Zone. Using this information, contact owners of pages containing Web Parts that are to be deleted, so that they can remove instances of that Web Part from their pages. For more information about SharePoint Configuration Analyzer, see Using SharePoint Configuration Analyzer.

    Note Because SharePoint Configuration Analyzer does not report on the Web Parts that have been added to each site collection gallery, you should also contact all site administrators of site collection galleries to warn them to remove Web Parts that you are deleting from these galleries.

  • Deletion

    Use the Stsadm.exe tool to delete a Web Part assembly.

  • Verification

    After deleting Web Part assemblies from each server, you can verify the operation using the SharePoint Configuration Analyzer tool. By using this tool, you can find unwanted Web Part assemblies that remain on virtual servers along with pages that refer to deleted assemblies.

Deleting Web Parts By Using Stsadm.exe

To delete the Web Parts in a Web Part package, use the following syntax:

stsadm -o deletewppack -name <name of Web Part package> [-url <url>]
  • -name specifies the name of the Web Part package.
  • -url optionally specifies the URL of the virtual server on which to delete the Web Parts. If -url is omitted, Stsadm.exe deletes the Web Parts from the Bin folder of every virtual server on the server or from the global assembly cache.

Note When you delete the last instance of a Web Parts package on a server or server farm, Stsadm.exe also deletes the Web Part package from the configuration database.

Managing the Online Gallery

If your organization runs Windows SharePoint Services over multiple front-end servers, you may want to create your own online Web Part gallery as a central location for deploying Web Parts to all your sites.

For details on how to implement a custom online Web Part gallery, including the XML schema for communications between the server accessing the gallery and the server hosting the gallery, see the article Building an Online Web Part Gallery on MSDN.

Specifying an Online Web Part Gallery

To specify an online Web Part gallery for a virtual server:

  1. On the Web server, navigate to the folder containing the virtual server, and then, using a text editor such as Microsoft Notepad, open the web.config file under the following directory:

    \Inetpub\wwwroot

  2. In the web.config file, modify the following line, which is contained in the <SharePoint> element

    <OnlineLibrary Url="http://Server/Path"/>
    Where Server is the server hosting the online gallery and Path is the path to the .aspx page that implements the online gallery.

  3. Save and close the web.config file.
  4. Repeat steps 1 through 3 for each virtual server for which you want to specify an online Web Part gallery.

Adding Web Parts to an Online Web Part Gallery

As with all Web Part galleries, a new Web Part added to an online gallery can be implemented either as a Web Part description (.dwp) file or as a .dwp file along with a new assembly file. New Web Parts implemented as .dwp files provide their functionality by configuring existing assemblies to behave in new ways. New Web Parts that are implemented as both a .dwp file and an assembly file provide their functionality by implementing new code in the assembly file.

When a new Web Part that has a new assembly is added to an online gallery, the server administrator for each server that accesses the online gallery must install the assembly on each server. It is up the owner of the online gallery to contact each server administrator and provide a method for installing the new assembly, and the administrator of each server must evaluate the Web Part before installing its assembly, as with any custom Web Part.

Controlling Access to the Online Gallery

You can configure access to the online gallery for each virtual server. You must be an administrator of the local server computer or a member of the SharePoint Administrators group to configure access to the online gallery.

  1. On your server computer, click Start, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server you want to configure.
  4. On the Virtual Server Settings page, click Manage security settings for Web Part Pages.
  5. In the Online Web Part Gallery section, click Enabled to allow access to the online Web Part gallery, or click Disabled to prevent access to the gallery, and then click OK.

    You can also return to using the default server setting for enabling use of the Online Web Part gallery by clicking Restore Defaults.

Allowing Access to the Online Web Part Gallery from Behind a Proxy Server or Firewall

If your server is behind a proxy server or firewall, you must also edit the web.config file for each virtual server for which you want to enable an online Web Part gallery that is implemented outside of your firewall. In a server farm environment, you must edit this file for each virtual server in every front-end Web server in the server farm.

  1. On your Web front-end server computer, open Notepad, navigate to the folder containing the virtual server for which you want to enable the online Web Part gallery, and then open the web.config file under the following directory:

    \Inetpub\wwwroot

  2. In the web.config file, add the following lines.

    <system.net>
      <defaultProxy>
      <proxy proxyaddress="http://Proxy_Server:port" bypassonlocal = "true"/>
      </defaultProxy>
    </system.net>
    Where Proxy_Server:port is the proxy server or firewall used for your environment.

  3. Save and close the web.config file.
  4. Repeat steps 1 through 3 for each virtual server for which you want to enable access to the online Web Part gallery.

Allowing Part-to-Part Connections

You specify whether or not users can connect Web Parts to each other for each virtual server. You must be an administrator of the local server computer or a member of the SharePoint Administrators group to allow part-to-part connections.

  1. On your server computer, click Start, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server you want to configure.
  4. On the Virtual Server Settings page, click Manage security settings for Web Part Pages.
  5. Select the options you want to enable or disable, and then click OK.

    You can also return to using the default server setting for part-to-part connections by clicking Restore Defaults.

Additional Web Part Settings

There are additional Web Part options you can set in the Windows SharePoint Services web.config file. The web.config file is a text file containing custom XML elements. You can edit this file using a text editor, such as Microsoft Notepad. The web.config file for the default virtual server is located in the C:\Inetpub\wwwroot\ folder. When a virtual server is extended with Windows SharePoint Services, a top-level web.config file is placed within the content root folder of the extended virtual server.

The following is a summary of these additional Web Part options and their values.

Setting Safemode Attributes

There are two safe mode attributes:

  • MaxControls specifies the maximum number of server-side controls (controls with the HTML Element attribute runat = "server") on a Web Part Page, including Web Parts, static Web Parts (that is, Web Parts not in a zone), and Web Form Controls. The default value is 50.

  • CallStack shows or hides many (but not all) ASP.NET exceptions that may occur in addition to the initial error reported in the SharePoint Error page. You can do the following:

    • To show these messages, set CallStack to "true".
    • To hide these messages, set CallStack to "false". This is the default.

    You might set this attribute to "true" for developers who are testing Web Parts so they can view these messages on a remote computer. You must also set the customErrors mode in the <system.web> section to "On".

    Setting CallStack to "true" also enables stack tracing.

Note Except when debugging, CallStack should be set to "false." Setting CallStack to "true" on a production Web server will make your Web server less secure.

The following example sets the safe mode attributes to their default values:

<SharePoint>
    <SafeMode MaxControls="50" CallStack="False" />
</SharePoint>
<system.web>
    <customErrors mode="On" />
</system.web>

Setting WebPartLimits Attributes

There are two Web Part limit attributes:

  • MaxZoneParts specifies the total number of Web Parts allowed within all Web Part zones on a Web Part Page.
  • PropertySize specifies the maximum number of bytes used to store Web Part properties on the server.

The following example sets the Web Part limit attributes to their default values:

<SharePoint>
    <WebPartLimits MaxZoneParts="50" PropertySize="1048576" />
</SharePoint>

Configuring Web Part Caching

WebPartCache Storage specifies how a Web Part is cached on the server, if at all. You can enter one of the following values:

Value | Description
None | Prevent caching Web Parts on the server.
CacheObject | Use ASP.NET Web server memory caching. This is the default. In general, this value helps improve performance if your site is installed on a single server.
Database | Cache Web Parts in site server database. In general, this value helps improve performance if your site is installed on a server farm.

The following example sets the Web Part cache storage attribute to its default value:

<SharePoint>
    <WebPartCache Storage="CacheObject" />
</SharePoint>

Note A Web Part must implement caching to take advantage of the server or database cache. Developing Web Parts that use caching is described in the SharePoint Products and Technologies 2003 Software Development Kit .

Setting Web Part Timeout Values

WebPartWorkItem Timeout specifies a timeout value in milliseconds for any asynchronous child processes started by a Web Part. The default value is 7000.

The following example sets the Web Part work item timeout to its default value:

<SharePoint>
    <WebPartWorkItem Timeout value="7000" />
</SharePoint>

Setting the Default Security Policy and Trust Level

You can define and specify a default security policy and trust level for all Web Parts installed on the site server by using two configuration files. There are two default policies:

WSS_Minimal A copy of the ASP.NET web_minimaltrust.config file with WebPartPermission.Connections enabled. This is the default.

WSS_Medium A copy of ASP.NET web_mediumtrust.config file with WebPartPermission.Connections and SharePointPermission.ObjectModel enabled.

The following example defines and sets a minimal trust level

<system.web>
  <securityPolicy>
      <trustLevel name="WSS_Minimal" policyFile="C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\config\wss_minimaltrust.config" />
   </securityPolicy>
   <trust level="WSS_Minimal" originUrl="" />
</system.web>

The following example defines and sets a medium trust level

<system.web>
  <securityPolicy>
      <trustLevel name="WSS_Medium" policyFile="C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\config\wss_mediumtrust.config" />
  </securityPolicy>
  <trust level="WSS_Medium" originUrl="" />
</system.web>

For a full discussion of setting trust levels, see the topic "Code Access Security For Administrators" in the SharePoint Products and Technologies 2003 Software Development Kit .

The SafeControls List

To register a Web Part as a safe control for use in Windows SharePoint Services, in the SafeControls block, add a SafeControl element that specifies the Web Part in the top-level web.config file of the virtual server. When you add and delete Web Part assemblies using the Stsadm.exe tool, this is handled by Stsadm.exe.

The following example, from the SharePoint Products and Technologies 2003 Software Development Kit, registers a sample Web Part as a SafeControl:

<SafeControls>
  <SafeControl
   Assembly="SimpleWebPart, Version=1.0.0.0, Culture=neutral, PublicKeyToken=def148956c61a16b"
   Namespace="MyWebParts"
   TypeName="*" >
    .
    .
    .
<\SafeControls>

Related Topics

For an overview of Web Parts, see About Web Parts.

For information on using SharePoint Configuration Analyzer, see Using SharePoint Configuration Analyzer.

For information on managing a site collection Web Part Gallery, see Managing a Site Collection Web Part Gallery.

For information on developing custom Web Parts, see SharePoint Products and Technologies 2003 Software Development Kit .


Using SharePoint Configuration Analyzer

Using SharePoint Configuration Analyzer

SharePoint Configuration Analyzer is a tool that you can download from the Microsoft Download Center to analyze and report on your Microsoft Windows SharePoint Services installation and content. SharePoint Configuration Analyzer reports on a wide range of configuration errors and also copies a set of log files, configuration files, and other data to a results folder for further analysis or archiving.

SharePoint Configuration Analyzer is particularly useful for analyzing and troubleshooting Web Parts on your servers. For example, you can configure SharePoint Configuration Analyzer to list each Web Part installed on a virtual server and to report on all of the pages that contain an instance of each Web Part. This is useful when upgrading a Web Part to a newer version or when deleting a Web Part. Before upgrading or deleting the Web Part, run SharePoint Configuration Analyzer with these options selected. Then, by using the usage data, contact all owners of pages containing the Web Part you are about to upgrade or remove, giving them notice of the impending change.

Note SharePoint Configuration Analyzer is not supported, and is available as is. It does not change the state of your Windows SharePoint Services nor does it repair errors that it reports. SharePoint Configurration Analyzer only copies its analysis results, along with any configuration files, log files, or other data that you requested, to its results folder, as described in this topic and in the SharePoint Configuration Analyzer Help.

What is SharePoint Configuration Analyzer?

SharePoint Configuration Analyzer is a diagnostic tool that verifies settings on your server that are critical to running Microsoft Windows SharePoint Services or Microsoft SharePoint Portal Server and to hosting Web Parts on your server. SharePoint Configuration Analyzer also reports on Web Part usage on your server and retrieves a set of log files, configuration files, and Web Part packages used by Windows SharePoint Services and Internet Information Services (IIS). In a server farm configuration, running SharePoint Configuration Analyzer on each front-end server is a useful way to find and repair inconsistencies in server configurations and to ensure that all Web Part assemblies are deployed on all front-end servers.

When you run SharePoint Configuration Analyzer, you choose from a set of verification and information retrieval options. Verification options analyze aspects of each virtual server's configuration and report on error conditions. Information retrieval options gather information you request without verifying the data.

SharePoint Configuration Analyzer verifies the following and reports any errors it finds:

  • Microsoft Internet Information Services (IIS) settings match Windows SharePoint Services requirements.
  • Web Part and Web Control assemblies are installed in a way that is compatible with IIS.
  • All virtual directories for a virtual server share the same application pool.
  • Web Part and Web Control assemblies listed in the SafeControls list exist.
  • Web Part instances on pages are associated with Web Part assemblies.
  • Policy files listed in Web.config files exist.
  • A copy of Microsoft.sharepoint.dll is not installed in the \bin directory.

In addition to verifying the above information, SharePoint Configuration Analyzer can retrieve the following:

  • List of all application pools for the virtual server.
  • Web.config files found in the following folders:
    • /<wssroot>/
    • /<wssroot>/_vti_bin
    • /<wssroot>/_layouts
    • /<wssroot>/
    • /<wssroot>/wpresources
    • /<wssroot>/_wpresources
  • All security policy files that are referred to from the root Web.config file.
  • All IIS and Windows SharePoint Services log files.
  • The application and server event logs, which are copied to a tab-delimited file.
  • List of all Web Parts and Web Controls listed in the SafeControls list.
  • For each Web Part type found in the database, a list of the pages that contain an instance of that Web Part.
  • List of all Web Part packages installed in the Global Assembly Cache (GAC) and \bin directories.
  • List of all files contained within the main application root.

Note SharePoint Configuration Analyzer also lists general information about the Web server and SQL databases used by Windows SharePoint Services. Some of this information is sensitive. Because of this, you should view the output results of SharePoint Configuration Analyzer by using the administrator's account used to run SharePoint Configuration Analyzer.

Installing SharePoint Configuration Analyzer

You must install SharePoint Configuration Analyzer on the server running Windows SharePoint Services. In a server farm configuration, install SharePoint Configuration Analyzer on every front-end Web server.

To install SharePoint Configuration Analyzer:

  1. Run the installation program from the Microsoft Download Center.
  2. In the Unzip to folder field, enter a folder in which to install SharePoint Configuration Analyzer, such as C:\Program Files\SharePoint Configuration Analyzer, or click Browse and point to a folder.
  3. Click Unzip to complete the installation.

Using SharePoint Configuration Analyzer

Note To use SharePoint Configuration Analyzer, you must be a member of the local Administrator group on the server or servers running Windows SharePoint Services and on the server running Microsoft SQL Server 2000 or Microsoft SQL Server 2000 Desktop Engine (Windows) (WMSDE). For best results, run SharePoint Configuration Analyzer by using the same account that was used to install Windows SharePoint Services.

Start SharePoint Configuration Analyzer

  1. On your server, use Windows Explorer to locate the SharePoint Configuration Analyzer program, Sca.exe.
  2. From Windows Explorer, double-click Sca.exe.

Specify general parameters

  1. In the Server address field, type the URL of the virtual server or, if your server is configured in scalable hosting mode, type the fully-qualified host name of the server that you want to analyze.

    To analyze only the single site collection at the virtual server's address, clear the Include all site collections check box. Include all site collections is selected by default, specifying that all site collections on the virtual server should be analyzed.

  2. To start the analysis at the top-level Web site of a specific site collection, rather than analyzing the entire virtual server, in the Site collection path field, type the path to a Web site collection.

    If you choose this option, SharePoint Configuration Analyzer will limit its analysis to the database used by the specified site collection.

  3. To package the SharePoint Configuration Analyzer results in a Microsoft cabinet (.cab) file, click Package results into .cab file.

    When you select this option, SharePoint Configuration Analyzer creates a .cab file named "VirtualServerName_PortNumber_AnalyzerPackage_time.cab" and stores it in the SharePoint Configuration Analyzer's results folder. The CAB file includes copies of the log files, configuration files, and other data that you specified.

    Note Along with optionally creating a .cab file, SharePoint Configuration Analyzer always creates a folder, named "VirtualServerName_PortNumber_AnalyzerPackage_time, that contains the set of data it finds.

  4. Click Explore results to view the expanded results folder when SharePoint Configuration Analyzer finishes.

    Note If you don't select Explore results, you can view the expanded results by clicking the message "Last analysis folder: MyServerName_PortNumber_AnalyzerPackage_time" in the status bar at the bottom of the SharePoint Configuration Analyzer window after you run SharePoint Configuration Analyzer.

Specify analysis options

SharePoint Configuration Analyzer has a set of verification options and options that specify which log files and configuration files to include in the results.

  • Choose one or more of the following analysis options:
Option | Description
Verify IIS settings

Verifies that the IP address bindings in Internet Information Services (IIS) match Windows SharePoint Services requirements. SharePoint Configuration Analyzer flags the following IIS configurations because they are not supported by Windows SharePoint Services:

  • Static IP address binding.
  • IIS is configured so that multiple host header names are assigned to a single IP address, and Web Part DLLs are installed outside of the global assembly cache (GAC).

This option also lists all application pools and associated virtual servers.

Retrieve web.config files

Retrieves web.config files for the application root (usually located at \inetpub\wwwroot), _vti_bin, _layouts, _wpresources, and wpresources virtual directories. This option also retrieves any security policy files referenced by the application root web.config file.

Retrieve IIS and SharePoint Services log files

Retrieves all log files generated by IIS and all files with .log and .txt extensions generated by Windows SharePoint Services.

Retrieve server event logs

Retrieves the application and server event logs and stores them in tab-delimited files for easy viewing in a spreadsheet program such as Microsoft Excel.

Note Depending on the size of the server event log files, this operation could take SharePoint Configuration Analyzer a long time to complete.

Verify SafeControl assemblies

Verifies all Web Parts and Web Controls assemblies found in the SafeControls list (taken from the application root's web.config file). Verification includes:

  • Making sure the assemblies exist.
  • Determining the location of each assembly (the GAC or the Local_drive:\inetpub\wwwroot\bin directory).
  • Listing all public Web Part and Web Control types contained in these assemblies.
  • Reporting any conflicts between the assembly location and the Web server configuration (such as installing DLLS in the \bin directory in some IIS configurations).

After the assemblies have been verified, SharePoint Configuration Analyzer performs additional steps to find discrepancies between the use of Web Parts, as reflected in the database, and the Web Part assemblies listed in the web.config file. SharePoint Configuration Analyzer lists all pages with one of these database errors:

  • Web Part instances on pages that are not accounted for in the assemblies listed in the SafeControls list.
  • Uncompressed Web Parts. An uncompressed Web Part is one in which the properties of the Web Part are written directly in a Web page, rather than referenced from a .dwp file. When a page with an uncompressed Web Part is saved, Windows SharePoint Services removes the Web Part properties and other markup from the page and saves that data. Although uncompressed Web Parts are not errors, if a user gets an error when trying to view a Web Part, but the Web Part assembly is properly installed and configured, this could indicate an uncompressed Web Part for which the markup is insufficient to initialize the Web Part.

Note The scope of the database scan is dependent on the value of the Site collection path field.

Create Web Part usage report If you select Verify SafeControl assemblies, you can select Create Web Part usage report to generate, for each Web Part installed on the virtual server, a list of the pages that contain an instance of that Web Part. For example, it is useful to generate this list before upgrading a Web Part to a newer version so that you can contact all users of the Web Part before upgrading it. This option is deselected by default because it may take a long time to complete.

The Web Part usage report is displayed in the Analysis Results pane and is also stored in an XML file named WebPartUsageReport.xml.

Note If you are running SharePoint Configuration Analyzer on a server farm, select this option on only one of the front-end Web servers. This will generate a complete usage report covering all sites on the server farm. Because the Create Web Part usage report option is the most resource-intensive task, generating this report on multiple front-end servers will slow down your server farm environment needlessly.

Save state information Web Parts have a type name, such as Microsoft.SharePoint.Sample.WebPart, along with a globally unique identifier (GUID) value. Some configuration errors, such as a missing assemblies, make it difficult for SharePoint Configuration Analyzer to associate a GUID with its related type name. When you select Save state information, SharePoint Configuration Analyzer creates a reference XML file, named VirtualServerName_PortNumber_VirtualServerStateData.xml. In subsequent sessions, SharePoint Configuration Analyzer uses this file to reconstruct the mappings between GUIDs and type names, and reports the more readable type names in error messages and Web Part usage reports.

For best results, run SharePoint Configuration Analyzer with Save state information selected after installing Windows SharePoint Services to create a "snapshot" of the installed Web Parts, and repeat this each time that you install or update Web Parts packages to keep the state information up to date.

Note When using SharePoint Configuration Analyzer in a server farm environment, you should run SharePoint Configuration Analyzer with Save state information selected on every virtual server.

List Web Part packages | Lists all Web Part packages installed in the GAC or Local_drive:\inetpub\wwwroot\bin directory. To also retrieve the packages, click Retrieve packages, and they will be added to the results folder and CAB file. Note that Retrieve packages is cleared by default because this option can be time-consuming.
List application files | Lists all files contained within the main application root (for example, c:\inetpub\wwwroot).

Start the analysis

  • After specifying general and analysis options, click Go.

Exit SharePoint Configuration Analyzer

  • To exit SharePoint Configuration Analyzer, on the File menu, click Exit.

SharePoint Configuration Analyzer Results

By default, SharePoint Configuration Analyzer packages its results in four ways:

  • In a folder, named VirtualServerName_PortNumber_AnalyzerPackage_time, in the folder in which SharePoint Configuration Analyzer is installed.
  • In the SharePoint Configuration Analyzer's Analysis results pane.
  • In an optional Microsoft cabinet (.cab) file, named VirtualServerName_PortNumber_AnalyzerPackage_time .cab.
  • In the XML file, Analyzer.log, which is stored in the results folder.

For a full description of the results returned by SharePoint Configuration Analyzer, see the SharePoint Configuation Analyzer Help.


Japanese Language Features

Japanese Language Features

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Editing a Noise Word File

Editing a Noise Word File

A noise word is a word such as the or an that is not useful for searches. A list of noise words for a particular language is stored in the noise word file for that language. Microsoft Office SharePoint Portal Server 2003 provides noise word files for the following languages:

  • Chinese-Simplified (noisechs.txt)
  • Chinese-Traditional (noisecht.txt)
  • Czech (noisecsv.txt)
  • Dutch (noisenld.txt)
  • English-International (noiseeng.txt)
  • English-US (noiseenu.txt)
  • Finnish (noisefin.txt)
  • French (noisefra.txt)
  • German (noisedeu.txt)
  • Hungarian (noisehun.txt)
  • Italian (noiseita.txt)
  • Japanese (noisejpn.txt)
  • Korean (noisekor.txt)
  • Polish (noiseplk.txt)
  • Portuguese (Brazil) (noiseptb.txt)
  • Russian (noiserus.txt)
  • Spanish (noiseesn.txt)
  • Swedish (noisesve.txt)
  • Thai (noisetha.txt)
  • Turkish (noisetrk.txt)

If there is no noise word list for a particular language, the neutral noise word file (noiseneu.txt) is used. The word breaker of the corresponding language parses noise words.

By default, SharePoint Portal Server stores noise word files in the following directory of the server: \Program Files\SharePoint Portal Server\DATA\Config. The data directory is located elsewhere if you chose to install the data files elsewhere during the server installation process. Making changes to this path will only affect any future installed search application. If you want to change the behavior in an existing installation, see the paragraph later in this section which provides a full path.

You can edit the noise word file. If you add noise words, the accuracy of your searches may decrease. However, the size of the content index also decreases, which helps performance. You can delete noise words if you want searches to return those words.

If you remove words from the noise word file, you will not see the effect unless you reset the content indexes and perform a full update. When an administrator removes words from the noise word file, these words are removed from files before the files are included in an index. You must update the index after you modify the noise word list. Otherwise, documents that contain the removed noise words will not be returned in queries for those terms.

You should never delete the noise word file. If you do not want noise words removed during update or query time, remove all entries from the file. If you delete the file, all single characters will be removed as noise words.

Noise word files are copied to \Program Files\SharePoint Portal Server\DATA\Applications\Application UID\Config. You can specify noise words at the application level instead of at the server or server farm level. For example, if SharePoint Portal Server and Microsoft SQL Server are installed on the same server, each can have different noise word lists.

Tip If you want to include all words in the content index, even noise words, you should delete all entries from the noise word file for the language you are using. Leave the empty file in the data directory. If you delete the file, the neutral noise word file will prevent noise words from being included in the index.

Recommendation If you remove words from the noise word file, it is highly recommended that you reset the content index (for more information about resetting the index, see Resetting a Content Index). When you remove a noise word from the list, queries will issue the term as valid, but the documents that were included in the index prior to the change will not have any occurrences of the term due to noise word removal. When you add a noise word, any query that is run after the word is added will have the term removed. The result of this is that the term will not return query results.

Edit a noise word file

  1. Open the file in Notepad. (The noise word files are in Unicode and require a text editor capable of editing Unicode files.)
  2. Add or delete a noise word.
  3. Save the file and close Notepad.
  4. Restart the Microsoft SharePoint Portal Server Search service (SharePointPSSearch). To do this:
    1. Click Start, point to Administrative Tools, and then click Services.
    2. Right-click Microsoft SharePointPS Search, and then click Restart.
  5. Perform a full update of the index. For more information, see Starting a Full Update of a Content Index.

If the user is performing a search from the portal, SharePoint Portal Server discards some query terms as noise words even if the term itself is not a noise word. This occurs when the term is an inflectional form of the noise word. For example, if "be" is in the noise word file and you search for "am," "am" is treated as a noise word because it is a form of "be." If a user searches for a noise word, the portal returns no results.


Editing a Thesaurus File

Editing a Thesaurus File

The thesaurus is a query-expansion search feature. It allows the user to type a phrase in a search query and receive results for related words. For example, the user can search for "run" and receive results that contain either "run" or "jog" if those two terms are related by the thesaurus file. The thesaurus also enables the server farm administrator to affect search ranking by assigning weights to words. Microsoft SharePoint Portal Server provides thesaurus files for the following languages:

  • Chinese-Simplified (tschs.xml)
  • Chinese-Traditional (tscht.xml)
  • Czech (tscsv.xml)
  • Dutch (tsnld.xml)
  • English-International (tseng.xml)
  • English-US (tsenu.xml)
  • Finnish (tsfin.xml)
  • French (tsfra.xml)
  • German (tsdeu.xml)
  • Hungarian (tshun.xml)
  • Italian (tsita.xml)
  • Japanese (tsjpn.xml)
  • Korean (tskor.xml)
  • Polish (tsplk.xml)
  • Portuguese (Brazil) (tsptb.xml)
  • Russian (tsrus.xml)
  • Spanish (tsesn.xml)
  • Swedish (tssve.xml)
  • Thai (tstha.xml)
  • Turkish (tstrk.xml)

The thesaurus files contain inactive (commented out) sample content. The neutral thesaurus file (tsneu.xml) is applied to queries that do not have an associated thesaurus file for the query language. The neutral thesaurus file is always applied to queries, in addition to the thesaurus file associated with the query language.

By default, SharePoint Portal Server stores thesaurus files in the following directory of the server: local_drive\Program Files\SharePoint Portal Server\DATA\Config. The data directory is located elsewhere if you chose to install the data files elsewhere during the server installation process.

The thesaurus files are also copied to local_drive\Program Files\SharePoint Portal Server\Data\Applications\Application UID\Config for each specific instance of the Microsoft Search service (MSSEARCH) or Microsoft SharePointPS Search service (SharePointPSSearch). You can modify the thesaurus at the application level instead of at the server or server farm level. For example, if SharePoint Portal Server and Microsoft SQL Server are installed on the same server, each can have different thesaurus files.

Important There is one additional file called tsschema.xml. Do not modify this file.

You can edit the thesaurus entries by editing the XML file in a text editor. The file must be well-formed XML (matching opening and closing tags around each entry) to load properly. If the XML is malformed, SharePoint Portal Server logs an error in the Microsoft Windows Server 2003 event log referencing the file and line.

Note Do not change the case of the tags in the XML file. Only the XML tag is uppercase. All other tags are lowercase. For example, the <replacement> tag must remain lowercase.

Thesaurus files contain the following types of thesaurus entries:

Replacement set

A replacement set specifies a pattern that is replaced by a substitution or substitutions in a search query. For example, you can add a replacement set where "W2K" is the pattern and "Windows 2000" is the substitution. If users query for "W2K," SharePoint Portal Server returns only search results containing "Windows 2000." It does not return results containing "W2K."

Each replacement set is enclosed within a <replacement> tag. Within the replacement tag, you specify one or more patterns by enclosing them in a <pat> tag. You specify one or more substitutions by enclosing them in a <sub> tag. Patterns and substitutions can contain a word or a sequence of words. For the above example, you would add the following lines:

<replacement>
         <pat>W2K</pat>
         <sub>Windows 2000</sub>

</replacement>

You can have more than one substitution for each pattern.

By default, patterns are case sensitive. For example, if your thesaurus file contains the preceding entry and a user searches for "w2k," SharePoint Portal Server does not necessarily return search results containing "Windows 2000." SharePoint Portal Server does not recognize "w2k" as "W2k" because the case of the text differs.

You can specify that patterns are case sensitive or case insensitive by adding a tag to the thesaurus file for your language. For example, if you specify that patterns are case insensitive, the <pat> and <sub> terms will match query terms regardless of the case of the query term. For information about adding the case tag to the thesaurus file, see "Edit a thesaurus file" later in this section.

A query with a CONTAINS FORMSOF thesaurus works as described previously. For more information about the CONTAINS FORMSOF syntax, see the Microsoft SharePoint Products and Technologies 2003 Software Development Kit.

The type of query that the portal site uses by default is called FREETEXT. FREETEXT queries automatically activate the thesaurus. However, if you type your search term or terms in double quotation marks, SharePoint Portal Server disables the FREETEXT query and does not consult the thesaurus. As a result, SharePoint Portal Server returns results based on the exact search term or terms within the double quotation marks. If the thesaurus replaces one word of a phrase with another word, a FREETEXT query returns results for the new version of the entire phrase.

For the replacement set shown earlier, the following table shows results based on different user input typed in the search interface on the portal site. This example assumes that the thesaurus is set as case sensitive, but search is set as not case sensitive.

User input | Thesaurus consulted | Search results include documents that contain
w2k Yes (FREETEXT query)

W2k or W2K or w2k or w2K

No results are returned for Windows 2000 because the pattern in the thesaurus is uppercase W2K.

"w2k" | No | w2k or W2K or W2k or w2K
W2K Yes (FREETEXT query)

Windows 2000 or windows 2000 or case combinations (such as wInDows 2000) or

w2k or W2k or w2K

No results are returned for W2K.

"W2K" | No | W2K or w2k or W2k or w2K
W2K Server Yes (FREETEXT query)

Windows 2000 (and case combinations as shown above) or

Server (and case combinations such as server or SeRvEr) or

W2K Server (and case combinations)

No results are returned for W2K operating system.

"W2K Server" No

W2K Server or w2k Server or W2k Server or w2K Server or

W2K server or w2k server or W2k server or w2K server

Note In each of the previous examples, the case sensitivity setting for search is specified as false. Otherwise, all the case differences become significant when doing the pattern matching.

If you have two replacement sets with similar patterns being matched, the longer of the two takes precedence. For example, if you have the following two replacement sets, "Internet Explorer" takes precedence over "Internet":

<replacement>
         <pat>Internet</pat>
         <sub>intranet</sub>
</replacement>

and

<replacement>
         <pat>Internet Explorer</pat>
         <sub>IE</sub>
         <sub>IE 5</sub>
</replacement>

For the replacement sets shown above, the following table shows results based on different user input typed in the search interface on the portal:

User input Thesaurus consulted Search results include documents that contain
Internet Yes (FREETEXT query)

Intranet or intranet or case combinations (such as iNtranEt)

No results are returned for IE or IE 5.

Internet Explorer Yes (FREETEXT query)

IE or IE 5 (and case combinations such as iE or Ie 5)

No results are returned for Internet or Internet Explorer or intranet.

Expansion set

An expansion set is a group of substitutions that are synonyms of each other. Queries containing matches in one substitution are expanded to include all other substitutions in the set. For example, you can add an expansions set where "writer," "author," and "journalist" (the substitutions) are synonyms. If you then query for "author," SharePoint Portal Server also returns search results containing "writer" or "journalist."

Each expansion set is enclosed within an <expansion> tag. Within the expansion tag, you specify one or more substitutions enclosed by a <sub> tag. For the preceding example, you would add the following lines:

<expansion>
         <sub>writer</sub>
         <sub>author</sub>
         <sub>journalist</sub>
</expansion>

You can also configure the following two options:

Weighting

Substitution entries support weighting. Weighting enables you to rank certain words higher in search results by giving those words a higher value relative to the other words in the substitution set. You can specify a value between 0 and 1. For example, you can weight the following substitutions as shown:

 <expansion>
      <sub weight="0.8">Internet Explorer</sub>
      <sub weight="0.2">IE</sub>
      <sub weight="0.9">IE5</sub>
 </expansion>

Stemming

You can specify stemming in pattern and substitution entries. Word stemming maps a linguistic stem to all matching words. For example, in English, the stem "buy" matches "bought," "buying," and "buys."

You can specify stemming by adding "**" at the end of the string. SharePoint Portal Server returns matches for variations of the word you enter when you specify stemming.

For example, you can make queries for "run" also return "running," "jog," and "jogging." You would modify the expansion set as shown:

 <expansion>
      <sub weight="0.5">run**</sub>
      <sub weight="0.5">jog**</sub>
 </expansion>

If you query for "run" or "running," you get search results for "jog," "jogging," and so on. If you query for "running," you get the same results as for "run."

If your thesaurus file includes the pattern <pat> Stefan ran to the store** </pat> or the substitution <sub> Stefan ran to the store**</sub>, the query will return the following strings or search will add them to the query:

  • Stefan runs to the store
  • Stefan running to the store
  • Stefan ran to the store
  • Stefan runs to the stores
  • Stefan running to the stores
  • Stefan ran to the stores

If you create a thesaurus file that contains large numbers of multi-word expansions or substitutions, and you create a custom query page that uses the CONTAINS search predicate, there is a query performance degradation because each multi-word substitution or expansion is treated as a phrase. Phrasal queries are much more expensive to execute that non-phrasal queries. This should not apply to FREETEXT predicate queries.

Edit a thesaurus file
  1. Open the file in Microsoft Notepad. If double-byte character set (DBCS) characters are used, you must save the files in Unicode.
  2. If you are editing the thesaurus file for the first time, remove the following two comment lines at the beginning and end of the file, respectively:

    <!--Commented out

    -->

  3. If you want the patterns to be case insensitive, add the following tag at the beginning of the file: <case caseflag="false"></case>

    If you later want the patterns to be case sensitive, change false to true in the tag, as shown: <case caseflag="true"></case>

  4. Add, modify, or delete a replacement set, expansion set, weighting, or stemming.

    Note Entries you add to the thesaurus file should not contain only special characters or be noise words. You can, however, have blank entries. For example, if you want to ensure that queries for a specific word, such as windows, return no results, you would have an entry as follows:

    <replacement>

      <pat>windows</pat>

      <sub></sub>

</replacement>

  5. Save the file and close Notepad.


Specifying a Contact E-Mail Address for Search

Specifying a Contact E-Mail Address for Search

Microsoft Office SharePoint Portal Server 2003 provides an e-mail address to each Web site it crawls when creating an index. If a problem occurs while crawling (for example, the crawler is hitting the site too much), the administrator of the Web site can contact this address. All portals on the server provide this e-mail address when creating an index. For this reason, the e-mail address for the server farm administrator is typically specified.

Specify a contact e-mail address for search

  1. On the SharePoint Portal Server Central Administration page, in the Component Configuration section, click Manage the Search Service.
  2. On the Manage Search Settings page, in the Search Service Settings section, click Configure account and proxy settings.
  3. On the Configure Server Farm Account Settings page, in the Contact E-Mail Address section, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
  4. Click OK.


Specifying Proxy Server Settings

Specifying Proxy Server Settings

You can configure Microsoft Office SharePoint Portal Server 2003 to use a proxy server when it creates full-text indexes of external Web sites. Using a proxy server enhances the security of your intranet by helping to prevent unauthorized access by someone on the Internet. A proxy server also enhances performance by caching recently accessed Web pages, which minimizes download time.

By default, SharePoint Portal Server uses the proxy server setting of the default content access account. The default content access account uses the current proxy server settings from Microsoft Internet Explorer.

Changes to the proxy settings for the SharePoint Portal Server computer do not affect other applications on the server. For example, configuring the server to use a proxy server that is different from the proxy server used by Internet Explorer does not affect Internet Explorer.

Changing the proxy settings on the Search Server Settings page affects servers running the index component. For other servers, you can change the proxy settings from the Configure Server Farm Account Settings page. For more information, see Configuring Server Farm Account Settings.

Specify proxy server settings

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Manage the Search Service.
  2. On the Manage Search Settings page, in the Servers and Topology section, click the server name.
  3. On the Search Server Settings page, in the Proxy Server Settings section, do one of the following:
    • Click Do not connect by using a proxy server.
    • Click Use the proxy server specified, and then specify the following:
      1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating full-text indexes.
      2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
      3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
      4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
  4. Click Apply.


Specifying Resource Usage

Specifying Resource Usage

Microsoft Office SharePoint Portal Server 2003 includes a resource usage control for the resource-intensive processes that are commonly performed on SharePoint Portal Server computers. These processes are crawling content to create full-text indexes and searching.

With the Background usage setting, the server gives higher priority to other applications. With the Dedicated usage setting, the server reserves most of the system resources for searching or creating a full-text index. By default, SharePoint Portal Server configures the control as follows:

  • In a single server deployment, the setting is halfway between Background and Dedicated.
  • In a server farm configuration, any index management server will have the index resource usage set to Dedicated. Any search server will have the query resource usage set to Dedicated. The resource usage is automatically configured when you make changes on the Configure Server Topology page.

Note If you use this server to run other applications, such as Microsoft SQL Server, avoid adjusting the controls to Dedicated or near-Dedicated usage because this setting may affect resources that are dedicated to those applications.

Specify resource usage

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Manage the Search Service.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Servers and Typology section, click the server name.
  3. On the Search Server Settings page, click the Server Settings tab.
  4. In the Resource Usage section, select the amount of resources to use for content index resources. The more dedicated the resource usage, the quicker those tasks are completed, but the fewer resources remain for other purposes.
  5. Click Apply.


Specifying Time-Out Settings for Search

Specifying Time-Out Settings for Search

You can specify how long to wait when connecting to other servers.

Connection Time You can specify how long to wait when trying to establish a connection with a Web site or server by adjusting the number of seconds to wait for a connection time-out. By default, the wait time is 20 seconds. When specifying the wait time, consider the following:

  • If a wait time setting is too high (greater than two minutes), Microsoft Office SharePoint Portal Server 2003 spends a significant amount of time waiting while trying to crawl nonexistent sites, bad links, or servers that are unavailable.
  • If the wait time setting is too low (less than 10 seconds), a lot of content is not included in the full-text index because SharePoint Portal Server bypasses the busier servers.
  • If, during full-text index creation, SharePoint Portal Server encounters 32 consecutive time-outs related to one server, SharePoint Portal Server designates the server as unavailable and does not process any requests to that server for the next 10 minutes. SharePoint Portal Server records an access error in the gatherer log.
  • If you are crawling Microsoft Exchange public folders, the wait time must be greater than 10 seconds. The recommended wait time is 60 seconds.

Request Acknowledgment You can specify how long to wait for a requested Web page or file by adjusting the number of seconds to wait for request acknowledgment. By default, the wait time is 20 seconds. Specifying a wait time of less than 10 seconds would be low, resulting in fewer documents included in the index. Specifying a wait time of two minutes would be high and could result in longer indexing times.

Specify time-out settings for search

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Manage the Search Service.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Servers and Typology section, click the server name.
  3. On the Search Server Settings page, in the Time Outs section, do the following:
    1. In the Connection time box, type the number of seconds that you want SharePoint Portal Server to wait to connect to a Web site or server before timing out.
    2. In the Request acknowledgement time box, type the number of seconds you want SharePoint Portal Server to wait for a requested Web page or document before timing out.
  4. Click Apply.


Specifying the SSL Certificate Warning Configuration

Specifying the SSL Certificate Warning Configuration

Microsoft Office SharePoint Portal Server 2003 includes an option to ignore all Secure Sockets Layer (SSL) certificate name warnings for a specific index management server.

The certificate name might be mismatched (generating certificate name warnings) for several reasons. Commonly, names are mismatched if the server name changes or if only a single certificate is purchased for multiple sites in a company. However, the mismatched name could also represent an attempt to "spoof" the validity of a site. Spoofing refers to the practice of tricking users into providing passwords and other information to allow unauthorized access into a system.

You should ignore certificate name warnings only if you trust that the sites crawled by the index management server are legitimate. The setting to ignore name warnings applies to all content sources on the index management server. You must recrawl content after this setting is changed. As with all changes that reduce the amount of content that is crawled, three full updates must occur before any previously-crawled pages are excluded from the content index.

It is recommended that you limit ignoring certificate name warnings to internal sites. If you are crawling internal and external sites, you can configure one index management server to crawl internal content only and to ignore warnings. You can configure another index management server to crawl external content only and to obey warnings. If you configure a server to obey warnings and a warning occurs, the update fails and no more pages are crawled from that content source.

Specify the SSL certificate warning configuration

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Manage the Search Service.
  2. On the Manage Search Settings page, in the Servers and Topology section, click the server name.
  3. On the Search Server Settings page, in the SSL Certificate Warning Configuration section, select the check box if you trust that sites are legitimate even if their certificate name does not exactly match.
  4. Click Apply.


Enabling Advanced Search Administration Mode

Enabling Advanced Search Administration Mode

In the default search administration mode, two content indexes are used for portal and non-portal content. You cannot delete these indexes. All site directory content and new content sources are crawled and included in the non-portal content index.

Advanced search administration mode enables you to create and manage additional indexes. A list of indexes is useful for large scale crawling and custom query scoping, but maintaining it is complex. After you configure a portal site for advanced search administration mode, you cannot return to the standard (default) mode.

Advanced search administration also enables you to do the following:

  • Create multiple Site Directory content sources. This allows you to have multiple scopes over sites in the Site Directory.
  • Organize content sources into source groups. This allows an installation with a long list of content sources to deal with them in groups. Source groups show in user interface for scope definition. Scopes are defined based on source groups and not individual sources. This results in improved performance for queries over these sets, since the query checks for a source group instead of using multiple checks for each content source.

If you enable advanced search administration mode, you can do the following additional tasks that are not available in the default search administration mode:

  • Create an index
  • Reset an index
  • Delete an index
  • Specify the index in which a content source is included
  • Manage indexes

Enable advanced search administration mode

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, click Enable advanced search administration mode.
  3. On the Enable Advanced Search Administration Mode page, click OK.

After you have enabled advanced search administration mode, an additional section called Content Indexes appears on the Configure Search and Indexing page.


Configuring the Lotus Notes Protocol Handler

Configuring the Lotus Notes Protocol Handler

To crawl a Lotus Notes database, you must run the Lotus Notes Index Setup Wizard to configure the Lotus Notes protocol handler on the Microsoft Office SharePoint Portal Server 2003 computer. A member of the Administrator site group or a user with the Manage Search right can add a content source for a Lotus Notes database, but SharePoint Portal Server cannot crawl the database until you configure the Lotus Notes protocol handler.

Before configuring the Lotus Notes protocol handler

Before you configure the Lotus Notes protocol handler, you must ensure that:

  • SharePoint Portal Server is successfully installed on the computer.
  • A Notes server version 4.6a or R5 is available on the network. The Notes server name cannot contain a space — SharePoint Portal Server cannot crawl a Notes server that contains a space in the computer name.
  • A Notes client version R5 is installed on the same computer as SharePoint Portal Server. In addition, you must configure the Notes client and validate access to the Notes server before configuring the protocol handler.

Prepare Lotus Notes for use with SharePoint Portal Server

Lotus Notes Security

The Lotus Notes security model is different from that of Microsoft Windows Server 2003. When SharePoint Portal Server creates an index of content stored on a Notes server, it uses the security settings for each Notes object to recreate security settings for that object in SharePoint Portal Server by using the Windows Server 2003 security model. Because of the correlation between security models, each user name in the Notes database must map to a Windows Server 2003 name if you want SharePoint Portal Server to use the same security settings as the Notes database.

You might not need to set SharePoint Portal Server to use the same security settings as the Notes database if everyone who has access to the content index created by SharePoint Portal Server also has access to the content stored in the Notes database. For example, if all the data in your organization's Lotus Notes server is public, or if you include only public Notes databases in the content index, you can specify that SharePoint Portal Server ignore the security settings in the Notes database.

If you ignore Notes security, SharePoint Portal Server performs slightly better when creating a content index and searching. In this case, SharePoint Portal Server also requires less time to configure because it does not need to map user names from Notes to Windows Server 2003. This also decreases subsequent maintenance.

Important If you are not sure that you can safely ignore Notes security, you should not ignore it.

If you do not want SharePoint Portal Server to use the same security settings as the Notes database, you can skip to the "Configure the protocol handler" section.

Create a View

If you want SharePoint Portal Server to use the same security settings as the Notes database, you need a Lotus Notes view that contains the Lotus Notes and Windows Server 2003 user names. If this view does not exist, your Lotus Notes administrator must create one to map the Notes user names to the Windows user names. The format of the Notes user name is the same as that of Owner column in the typical Notes Address Book. The view must be sorted on the Notes user name column.

Important The view must be marked as a Shared View so that all clients can access it. The database upon which this view is built contains the security mappings and should be protected accordingly. However, it must be accessible to members of the Administrator site group for SharePoint Portal Server.

For example, your Lotus Notes administrator can create a database with a view named NotesToWindows with two columns: NotesID and WindowsID. The NotesID column contains the Notes user name, and the WindowsID column contains the Windows Server 2003 user name. When you install the protocol handler, you need to know the name of this view (NotesToWindows) and the two columns (NotesID and WindowsID). You can use any database and server, as long as the user can access them from the Lotus Notes client by using the account and password that you specify when configuring the protocol handler.

Configure the protocol handler

You must run the Lotus Notes Index Setup Wizard to complete this step. Before you run this program, you must know the following:
  • Location of the notes.ini file on your SharePoint Portal Server computer You need the full path name (for example, D:\lotus\domino\notes.ini).
  • Location of the Notes installation directory on your SharePoint Portal Server computer You need the full path name (for example, D:\lotus\domino\notes).
  • Notes user password This password is associated with the default Notes account on the Notes client. The protocol handler uses this password to access the Notes server.

    Note You are not required to supply a password if the Notes user does not need a password to access the Notes server from the Notes client installed on the SharePoint Portal Server computer.

If you want SharePoint Portal Server to use the same security settings as the Notes database, you must know this additional information:

  • Name of the Notes server that contains the view mapping the Notes user name to the Windows user name.
  • Name of the Notes database file that contains the view.
  • Name of the view that maps the Notes user names to the Windows user names. In the example from the section "Create a View," the view name is NotesToWindows.
  • Name of the columns in the view that map to the Notes and Windows user names. In the example from the section "Create a View," the two columns are NotesID and WindowsID, respectively.

Configure the Lotus Notes protocol handler

  1. Click Start on the taskbar of the server running SharePoint Portal Server, and then click My Computer.
  2. In My Computer, navigate to the \Program Files\SharePoint Portal Server\BIN directory.
  3. Double-click NotesSetup.exe. The Lotus Notes® Index Setup Wizard appears.
  4. Click Next.
  5. On the Register Lotus Notes® For Use With SharePoint Portal Server page:
    1. Verify the location of the notes.ini file shown in the Location of the notes.ini file box. If you specify the location, you must type the full file path (for example, D:\lotus\domino\notes.ini).
    2. Verify the location of the Notes installation shown in the Location of the Lotus Notes® install directory box. If you specify the location, you must type the full file path (for example, D:\lotus\domino\notes).
    3. Type the Notes user password in the Password box.
    4. Type the Notes user password again in the Confirm Password box.
    5. If you do not want SharePoint Portal Server to use the same security settings as the Notes database, select the Ignore Lotus Notes® security while building an index check box and go to step 7.
    6. Click Next.
  6. On the Specify Lotus Notes® Owner Field to Windows User Name Mapping page:
    1. Type the name of your Notes server in the Lotus Notes® server name box. This is the Notes server that is hosting the view that maps Notes user names to Windows user names.
    2. Type the Notes database file name in the Lotus Notes® database file name box. The database file has an .nsf extension.
    3. Type the name of the view in the View name box. This is the name of the view that contains the Notes and Windows ID columns.
    4. Type the name of the Notes ID column in the Lotus Notes® field name column title box. This is the title of the column in the view.
    5. Type the name of the Windows user name column in the Windows user name column title box. This is the title of the column in the view.
    6. Click Next.
  7. On the Completing the Lotus Notes® Index Setup Wizard page, click Finish.

If the wizard fails for any reason, you must restart the SharePointPSSearch service before attempting to run the wizard again. The wizard displays only one error message for any error in the entries.

Add full control permission to the Lotus Notes installation directory for the SPS_WPG group

  1. On the taskbar, click Start, and then click My Computer.
  2. Browse to the installation directory for Lotus Notes.
  3. Right-click the directory and click Properties.
  4. On the Notes Properties page, click the Security tab.
  5. Click Add.
  6. Type SPS_WPG, and then click OK.
  7. In Group or user names, click SPS_WPG and then in Permissions for Users, in Full Control, select Allow.
  8. Click OK.

After you configure the protocol handler, a member of the Administrator site group or a user with the Manage Search right can add a content source for the Lotus Notes database and include it in a content index. The option to add a Lotus Notes content source is available after configuring the Lotus Notes protocol handler on the Add Content Source page. For more information, see Adding a Content Source.

Reconfiguration of the protocol handler is required if the Notes installation changes or if Notes security settings change (for example, if you add, change, or remove user records, or you switch user identifiers). In addition, if you change the security mapping, you must stop and start the SharePointPSSearch service for the changes to be effective. For more information about the security mapping, see the "Prepare Lotus Notes for use with SharePoint Portal Server" section.

The protocol handler provides Number and Text property types and resolves numeric and string types to these two types. When you create a content source for Lotus Notes and map SharePoint Portal Server properties to Notes properties, the property type for each Notes property is displayed. The property type for each SharePoint Portal Server property is not displayed.

Important If you map a number to a string (or a string to a number), no error message appears.

SharePoint Portal Server crawls the Lotus Notes database and includes the content in the content index according to the Notes property types. Queries use the property types from SharePoint Portal Server. If the type has been mismatched, the query returns no results.


About Access Accounts for Search

About Access Accounts for Search

When Microsoft Office SharePoint Portal Server 2003 creates content indexes, it uses access accounts to crawl Web sites, servers, and network resources included in each content index. The permissions of the access account determine the success of the crawl.

  • The default content access account is the default user name and password used when SharePoint Portal Server crawls content outside the portal site. The account must have permission to read the Web sites and servers being crawled.

    When crawling sites based on Windows SharePoint Services, the crawling works best when the access account has administrative access to the SharePoint Team Services server farm. The access account should be a member of the SharePoint Administration group.

    If the access account is not a member of the SharePoint Administration group, the server will crawl the site, but the content index will not be secure because all users will be able to access the documents. In addition, some data might not be included in the content index because the account might not be able to access all of the sites under a Windows SharePoint Services site.

    When crawling sites based on SharePoint Team Services v1.0, the access account must be assigned to the Administrator role.

  • The configuration database administration account is the user name and password that SharePoint Portal Server uses when connecting to the configuration database or when propagating content indexes from index management servers to search servers. This account must have administrator privileges on both the index management and search servers.

The Default Content Access Account

The default content access account must have Read permissions for the Web sites and servers being crawled. In addition, the account must have the permissions discussed previously to crawl sites based on Windows SharePoint Services and SharePoint Team Services.

When SharePoint Portal Server creates a content index for sites on the Internet, it first provides the default content access account. If this account has not been configured, SharePoint Portal Server provides the anonymous account. If you are using a proxy server, the account that you use to access the Internet must have permissions on the proxy server in order to create a content index of sites on the Internet. Without permissions, you can crawl only content on your intranet.

Typically, you specify the default content access account when you install SharePoint Portal Server. This account applies to all content sources. If you want to configure an account for a specific content source, you can define a site or path rule for that content source and associate an account with it. If no site access account is specified for a content source, SharePoint Portal Server uses the default content access account when accessing content in that content source.

SharePoint Portal Server typically uses NTLM authentication first, and if that is not available, then it uses Basic authentication. Credentials passed when using Basic authentication are not secure.

The Configuration Database Administration Account

SharePoint Portal Server uses the configuration database administration account when connecting to the configuration database and when propagating indexes from index management servers to search servers. This account must be a member of the local Administrator group on the search server.

The index management server crawls content to include it in a content index. The search server executes queries. You propagate a content index from the index management server to another server to free resources for other processes on the destination server. The destination server can be a dedicated search server, or it can be a server that is also running other components.

You can dedicate one server to creating and updating content indexes and another server to processing queries. You create the content index on the first server (the index management server) and propagate the content index to the second server (the search server). You limit the resource-intensive processes to the server dedicated to indexing without affecting the performance of your server dedicated to searching.

Related Topics

Configuring Server Farm Account Settings


Configuring Server Farm Account Settings

Configuring Server Farm Account Settings

You can configure the following on the Configure Server Farm Account Settings page:

  • Contact e-mail address Microsoft Office SharePoint Portal Server 2003 provides an e-mail address to each Web site it crawls when creating an index. If a problem occurs while crawling (for example, the crawler is hitting the site too much), the administrator of the Web site can contact this address. All portals on the server provide this e-mail address when creating an index. For this reason, the e-mail address for the server farm administrator is typically specified.
  • Configuration database administration account The configuration database administration account is the user name and password that SharePoint Portal Server uses when connecting to the configuration database or when propagating full-text indexes from index management servers to search servers. At a minimum, this account must be a member of the Power Users local group on the front-end Web servers, index management servers, and search servers. This account must be a member of the local Administrators group on the document library server. In addition, this account must be a member of the Security Administrators and Database Creators server roles on Microsoft SQL Server.
  • Default content access account The default content access account is the user name and password used when SharePoint Portal Server creates a full-text index of content outside the portal. The account must have Read permissions for the Web sites and servers being crawled.
  • Portal site application pool identity This account is the identity of the application pool used by portal sites. This account must be a member of the local Administrators group on the document library server.
  • Proxy server settings You can configure SharePoint Portal Server to use a proxy server when it creates full-text indexes of external Web sites. Using a proxy server enhances the security of your intranet by helping to prevent unauthorized access by someone on the Internet. A proxy server also enhances performance by caching recently accessed Web pages, which minimizes download time.

For more information about access accounts for search, see About Access Accounts for Search. For more information about configuring proxy server settings, see Specifying Proxy Server Settings.

Configure server farm account settings

  1. To get to the Configure Server Farm Account Settings page, do one of the following:
    • On the SharePoint Portal Server Central Administration for server_name page, in the Server Configuration section, click Configure Server Farm Account Settings.
    • On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Manage the Search Service. On the Manage Search Settings page, in the Search Service Settings section, click Configure account and proxy settings.
  2. On the Configure Server Farm Account Settings page, in the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
  3. In the Configuration Database Administration Account section, do the following:
    1. Select the Specify account check box.
    2. In the User name (DOMAIN\user name) box, type the account name in the format DOMAIN\user_name.
    3. In the Password box, type the password for the account.
    4. In the Confirm Password box, type the password again.
  4. In the Default Content Access Account section, do the following:
    1. Select the Specify account check box.
    2. In the User name (DOMAIN\user name) box, type the account name in the format DOMAIN\user_name.
    3. In the Password box, type the password for the account.
    4. In the Confirm Password box, type the password again.
  5. In the Portal Site Application Pool Identity section, do the following:
    1. Select the Change account settings check box.
    2. In the User name (DOMAIN\user name) box, type the account name in the format DOMAIN\user_name.
    3. In the Password box, type the password for the account.
    4. In the Confirm Password box, type the password again.
  6. In the Proxy Server Settings section, do one of the following:
    • Click Do not connect by using a proxy server.
    • Click Use the proxy server specified, and then specify the following:
      1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating full-text indexes.
      2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
      3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
      4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
  7. Click OK.


About Search Content Propagation

About Search Content Propagation

A portal site can have multiple content indexes. When you create the portal site, Microsoft Office SharePoint Portal Server 2003 automatically creates two indexes. One index is for portal site content, and the other index is for non-portal site content. For more information about indexes, see About Content Indexes.

By using SharePoint Portal Server, you can propagate indexes from the index management server to the search server (the server dedicated to processing user search queries). Propagation allows you to distribute your resources. You can limit the resource-intensive processes required to create indexes to the index management server. This allows SharePoint Portal Server to create extensive indexes without affecting the performance of the search server.

Propagation automatically occurs at the end of the indexing process. You might want to force propagation in a situation where indexing is paused, or where propagation fails for some reason, such as network problems.

When you expand your server farm by adding a new search server, you can force propagation to put the latest indexes on the new search server.

Although you can propagate multiple indexes simultaneously, it is recommended that you propagate indexes one at a time.

Important When propagating indexes from an index management server to a search server, the transmission may not be secure. It is recommended that you implement Internet Protocol Security (IPSec), an industry-defined set of standards that verifies, authenticates, and optionally encrypts data at the IP packet level. For more information about IPSec, see www.microsoft.com.

Related Topics

Propagating a Content Index
Stopping Index Propagation


Propagating a Content Index

Propagating a Content Index

You must ensure that the following conditions exist before you can propagate a content index:

  • You have configured a search service account for the server farm. This account must have local administrator permissions on the search (destination) server. For information about configuring the search service account, see Configuring Server Farm Account Settings.
  • The destination server is on a trusted domain.
  • There is sufficient disk space available on the destination server. For each propagated index, allow for more than twice its size in disk space.

    Note If propagation fails due to lack of disk space on the destination server, Microsoft Office SharePoint Portal Server 2003 logs an error in the Application Log in Microsoft Windows Server 2003 Event Viewer (commonly referred to as the event log) of both the destination search server and the index management server.

The contents of a new index are not accessible on the search server until propagation has completed. The index is not accessible if propagation fails, even if a previous propagation was successful.

For more information about search content propagation, see About Search Content Propagation.

Propagate a content index

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Manage the Search Service.
  2. On the Manage Search Settings page, in the Indexes and Propagation section, click Manage search propagation.
  3. On the Manage Search Propagation page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Force Propagation.


Stopping Index Propagation

Stopping Index Propagation

You might stop propagating a content index if, for example, you lose your network connection or if the propagation is taking an exceedingly long time.

Propagation of indexes containing a large number of documents takes longer than propagation of indexes containing fewer documents. The time for propagation also depends on the network connection to the search servers.

Indexes are propagated to all search servers. If you stop propagation of an index, you will not be able to see it on any search server, unless you stopped the propagation after it was successful on some servers but not on others. When this occurs, the propagation page will show that the propagation was successful, but with errors on specific servers.

For more information about search content propagation, see About Search Content Propagation.

Stop index propagation

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Manage the Search Service.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Indexes and Propagation section, click Manage propagation.
  3. On the Search Propagation page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Stop Propagation.

    Note Once you stop propagation, you cannot resume it. However, you can propagate the index again. For more information, see Propagating a Content Index.


About Site Hit Frequency Rules

About Site Hit Frequency Rules

A site hit frequency rule determines the rate at which SharePoint Portal Server requests documents from one or more Web sites during crawling. The rate can be specified as the number of simultaneous documents requested or as the delay between requests. By default, the site hit frequency is limited to five simultaneous document requests.

You can use the site hit frequency rule to modify demands on specific sites. Although you may want a higher document request frequency for creating or updating an index of your own intranet, it is recommended that you specify a lower frequency for external Web sites so that you do not overload the sites with document requests. Web sites can identify you from the e-mail address you provide when you configure an index management server. If you overload a site with requests, you could be denied access to that site in the future.

Site name expressions are evaluated in order. Typically, you should order the rules from most restrictive to most general, since the first matching rule is applied. For example, “*” must always be the last expression in the list, or any later rules will not apply. If you create a new site hit frequency rule while a crawl is in progress, the new rule is effective as soon as you save it. You do not need to wait for the crawl to complete before the rule is effective.

Related Topics

Adding a Site Hit Frequency Rule
Editing a Site Hit Frequency Rule
Deleting a Site Hit Frequency Rule
Moving a Site Hit Frequency Rule


Adding a Site Hit Frequency Rule

Adding a Site Hit Frequency Rule

Add a site hit frequency rule to modify demands on specific sites as they are crawled. For more information about site hit frequency rules, see About Site Hit Frequency Rules.

Add a site hit frequency rule

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Manage the Search Service.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Site Hit Frequency Rules section, click Manage site hit frequency rules.
  3. On the Site Hit Frequency Rules page, click Add Update Rule.
  4. On the New Site Hit Frequency Rule page, in the Name section, in the Site name box, type the site name.

    A site name should be in the following form: example.microsoft.com. Do not include http:// in front of the site name.

    You can specify rules for individual sites. You can also use wildcard characters in site names to specify rules for multiple sites, as shown in the following table.

    Use | To
    * as the site name | Apply the rule to all sites.
    *.* as the site name | Apply the rule to sites with dots in the name.
    *.site_name.com as the site name | Apply the rule to all sites in the site_name.com domain (for example, *.adventure-works.com).
    *.top-level_domain_name (such as *.com or *.net) as the site name | Apply the rule to all sites that end with a specific top-level_domain_name (for example, .com, .net).
    ? Replace a single character in a rule. For example, *.adventure-works?.com would apply to all sites in the domains adventure-works1.com, adventure-works2.com, etc.

    You can create a frequency rule for *.com that applies to all Internet sites that end in .com. For example, an administrator of a portal might add a content source for samples.microsoft.com. The rule for *.com would apply to this site unless you add a frequency rule specifically for samples.microsoft.com.

  5. In the Request Frequency section, select one of the following frequency options:
    • Request documents simultaneously Microsoft Office SharePoint Portal Server 2003 uses all allocated system resources to request as many documents as possible, with no delay between document requests. This setting is usually too resource-intensive for Internet sites but can be acceptable for intranet sites.
    • Limit the number of simultaneous document requests You can specify the maximum number of documents that SharePoint Portal Server can request at one time from the site.

      In the Number of documents box, type the number of documents to request. The default setting for all sites is five simultaneous document requests.

      The minimum number of documents that SharePoint Portal Server can request is one. The maximum number of documents that SharePoint Portal Server can request is 999.

    • Wait a specified amount of time after each document request You can specify a delay between document requests. SharePoint Portal Server requests one document per site at one time, and then waits for the specified amount of time before making additional requests.

      In the Time to wait in seconds box, type the time to wait between document requests.

      The minimum time to wait between document requests is one second. The maximum time to wait between document requests is 999 seconds.

    If the frequency is too high, SharePoint Portal Server can overload some Web sites with requests. Consider specifying lower frequency rates for Internet sites over which you have no control and higher frequency rates for intranet sites over which you do have control.

  6. Click OK.


Editing a Site Hit Frequency Rule

Editing a Site Hit Frequency Rule

Note You cannot change the site name for which you have specified a rule. If you want to specify a new site name, you must create another site hit frequency rule.

For more information about site hit frequency rules, see About Site Hit Frequency Rules.

Edit a site hit frequency rule

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Manage the Search Service.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Site Hit Frequency Rules section, click Manage site hit frequency rules.
  3. On the Site Hit Frequency Rules page, rest the pointer on the site hit frequency rule name, and then click the arrow.
  4. On the menu that appears, click Edit.

    Note You can also edit a rule by clicking the rule.

  5. In the Request Frequency section, select one of the following frequency options:
    • Request documents simultaneously Microsoft Office SharePoint Portal Server 2003 uses all allocated system resources to request as many documents as possible, with no delay between document requests. This setting is usually too resource intensive for Internet sites but can be acceptable for intranet sites.
    • Limit the number of simultaneous document requests You can specify the maximum number of documents that SharePoint Portal Server can request at one time from the site.

      In the Documents box, type the number of documents to request. The default setting for all sites is five simultaneous document requests.

      The minimum number of documents that SharePoint Portal Server can request is one. The maximum number of documents that SharePoint Portal Server can request is 999.

    • Wait a specified amount of time after each document request You can specify a delay between document requests. SharePoint Portal Server requests one document per site at one time, and then waits the specified amount of time before making additional requests.

      In the Time to wait in seconds box, type the time to wait between document requests.

      The minimum time to wait between document requests is one second. The maximum time to wait between document requests is 999 seconds.

    If the frequency is too high, SharePoint Portal Server can overload some Web sites with requests. Consider specifying lower frequency rates for Internet sites over which you may have no control, and increasing the frequency for intranet sites over which you do have control.

  6. Click OK.


Deleting a Site Hit Frequency Rule

Deleting a Site Hit Frequency Rule

When a Web site included in a content index changes or is no longer available, the site hit frequency rules for that site might no longer apply. If a rule no longer applies, you can remove it.

When a rule is removed, be aware that one of the rules following it might apply. For example, you might have a rule for samples.microsoft.com configured to request up to four simultaneous document requests and a rule for *.com configured to request up to three simultaneous document requests. If you remove the rule applying to samples.microsoft.com, the *.com rule applies the next time Microsoft SharePoint Portal Server requests documents from samples.microsoft.com.

For more information about site hit frequency rules, see About Site Hit Frequency Rules.

Delete a site hit frequency rule

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Manage the Search Service.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Site Hit Frequency Rules section, click Manage site hit frequency rules.
  3. On the Site Hit Frequency Rules page, rest the pointer on the site hit frequency rule name that you want to delete, and then click the arrow that appears.
  4. On the menu that appears, click Delete.
  5. On the message box that appears, click OK.


Moving a Site Hit Frequency Rule

Moving a Site Hit Frequency Rule

You can move a site hit frequency rule in the list of rules. Site name expressions are evaluated in order, so in most situations you should order the rules from most restrictive to most general. For example, "*" must always be the last expression in the list or none of the later rules will apply. For more information about site hit frequency rules, see About Site Hit Frequency Rules.

Move a site hit frequency rule

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Manage the Search Service.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Site Hit Frequency Rules section, click Manage site hit frequency rules.
  3. On the Site Hit Frequency Rules page, rest the pointer on the site hit frequency rule name, and then click the arrow that appears.
  4. On the menu that appears, click Move Up or Move Down.


Using the Topic Assistant

Using the Topic Assistant

The Topic Assistant provides a way for you to easily organize items in the portal into areas based on the areas used by existing items. This reduces the time and effort it takes to manage areas, allowing items in the portal to appear in search results and the portal site map according to the areas to which they belong.

To use the Topic Assistant to organize items into areas, you must train it to recognize areas for items based on a training set of items that you select. That set of items is then used as a sample to suggest areas for other items in the portal. New items created after training are automatically suggested for areas based on this training set.

To get a good working training set of items for the Topic Assistant, complete the following steps:

  • In the portal site map, create areas based on the needs of your organization. Some areas are already created for you, but generally, every organization must add additional areas to reflect the content used in that organization.
  • Add and organize items into areas in the portal site map until you have a variety of areas and a good idea as to what areas are most common. The items in each area should cover as many aspects of the area as possible. Also, individual items can and should be added to multiple areas.
  • On the Search tab of the properties page for areas, include areas in the training set until you have an adequate training set. The minimum training set includes two areas with at least ten documents each, but the Topic Assistant becomes more accurate as you add more areas to your training set. It is important that the areas in the training set represent the most common areas with most frequently used and highest number of documents.
  • Train the Topic Assistant on the Use Topic Assistant page.

Areas are suggested by the Topic Assistant the next time the content index is crawled. The examples in your training set are used to organize other items into areas based on the words and properties of those examples.

The more similar the words and properties of other items are to those in certain areas of the training set, the more likely those items are to be placed in the same area by the Topic Assistant. A single item is often added to more than one area.

The items organized by the Topic Assistant are displayed in the areas selected by the Topic Assistant, but must first be approved by an area manager before they can be used in searches and targeted content. This enables you to avoid the automatic approval of items that do not belong in the area suggested by the Topic Assistant.

Add areas to the training set of the Topic Assistant

Before you can use the Topic Assistant, you must include areas in the training set that is used by the Topic Assistant to add documents to areas when crawling the content index.

  1. Click Site Settings, and in the Portal Site Content section, click Manage portal site structure.
  2. On the Portal Site Map page, rest the pointer on a area that you want to use when training the Topic Assistant, and then, on the drop-down menu that appears, click Edit.
  3. On the Change Settings page, click the Search tab.
  4. In the Topic Assistant section, click Yes under Include in Topic Assistant.
  5. Click OK.
  6. Repeat for as many areas as you want to include in the training set.

    Note Areas in the training set must have at least ten documents, and you must include at least two areas in the training set. The more areas you include, the more accurate the Topic Assistant is when organizing other items in the portal into areas.

Enable and train the Topic Assistant

  1. Click Site Settings, and in the Portal Site Content section, click Use Topic Assistant.
  2. On the Use Topic Assistant page, in the Enable Topic Assistant section, select the Enable Topic Assistant check box. The other controls on the page are now available.
  3. In the Training Status section, the most recent training time and the current status of the Topic Assistant are listed. To train the Topic Assistant, click Train Now.

    Note Items are not automatically categorized until the next time you crawl the content index.

  4. In the Precision section, select the precision of the Topic Assistant. Higher precision results in fewer documents organized into areas. Lower precision results in more documents with less accuracy.
  5. Click OK.

Related Topics

Create or delete area
About areas
About search
About content indexes


Editing Properties of Crawled Content

Editing Properties of Crawled Content

Microsoft Office SharePoint Portal Server 2003 displays a list of the properties of items crawled by the content index server on the Manage Properties of Crawled Content page. SharePoint Portal Server displays most properties within groups according to the schema outlined for search. You can change the display name of these properties, or map them to other properties.

SharePoint Portal Server crawls some of these properties but hides them if no options are selected. You can decide whether to map a property, force it to be hidden, or select how it should be used in search and alerts.

You can also view the documents and other items that have been crawled that contain each property, also known as the source documents for that property. If those properties have been mapped to other properties during the creation of the content index to simplify search, those property mappings are also shown.

Showing and hiding excluded properties

By default, excluded properties are hidden and do not appear on the list. SharePoint Portal Server formats the name of excluded properties as strikethrough text.

  1. Click Site Settings, and in the Search Settings and Indexed Content section, click Manage properties from crawled documents.
  2. On the Manage Properties of Crawled Content page, on the toolbar, select or clear Hide excluded properties to hide or show excluded properties in the list.

Changing the display name of a property

  1. On the Manage Properties of Crawled Content page, click the group containing the property you want to edit, and then click the name of the property.
  2. In the Name and Information box, type a new display name for the property.
  3. Click OK.

Viewing the source documents for a property

  1. On the Manage Properties of Crawled Content page, click the group containing the property you want to view, and then click the name of the property.
  2. In the Content Using this Property section, a list of items with the property appears. Click the link for an item to view that item.
  3. Click OK.

Viewing property mappings for a property

  1. On the Manage Properties of Crawled Content page, click the group containing the property you want to view, and then click the name of the property.
  2. In the Mapping to this Property section, all of the properties mapped to this property appear.

    Note Property mappings for this property will not take effect until the next time SharePoint Portal Server crawls the content.

  3. Click OK.

Mapping this property to another property

  1. On the Manage Properties of Crawled Content page, click the group containing the property you want to view, and then click the name of the property.
  2. In the Mapping to Other Properties section, select Map to another property, and then select the property you want to use instead of this property. To select a property that is not listed, select Other and then click Select a property.

    Note Only properties of the same type are available for mapping.

  3. On the Map Property page, click the group containing the property you want to map to this property, and then click the property.
  4. Click OK to return to the Edit Property page for the original property.

Note After you map a property to another property, the options for the mapped property are not available since it is treated as the other property.

Excluding a property from the content index

SharePoint Portal Server hides properties that are not set to be used in search or alerts. These are typically system properties of documents. You can decide to exclude any property. This can help improve performance during searches by excluding unnecessary information.

  1. On the Manage Properties of Crawled Content page, click the group containing the property you want to exclude from the content index, and then click the property name.
  2. In the Property Exclusion section, select Hide this property and do not use in search or alerts.

    The search and alerts options are marked as unavailable, and the property is hidden on the Manage Properties of Crawled Content page.

  3. Click OK.

Changing the search options

You can choose how properties are displayed in search.

  1. On the Manage Properties of Crawled Content page, click the group containing the property for which you want to change the search options, and then click the property name.
  2. In the Search Options section, select Include this property in Advanced Search options to allow users to perform advanced searches using this property.
  3. Select Include this property in the content index to include this property in the content index, so you can search for items based on this property.
  4. Select Allow property to be displayed to make this property available for display in custom search applications.
  5. Select Display this property in item details in search results to display this property in the Item details section for each item in search results.
  6. Click OK.

Changing the alerts options

You can choose how properties are displayed in alerts.

  1. On the Manage Properties of Crawled Content page, click the group containing the property for which you want to change the display options, and then click the property name.
  2. In the Alerts Options section, select Use this property when alerts determine if the object has changed to show an item as changed when the value for this property is changed.

    Note If you change this option and then run a full update of the content index, alert e-mail messages will be sent to users for items with this property even if those items have not changed. To avoid sending unnecessary e-mail messages after making this change, you can run an incremental update instead, which sends alert e-mail messages only for items that have changed. Your next full update will still send unnecessary alert e-mail messages.

    To run a full update after changing this option without sending unnecessary alert e-mail messages, you have two options: You can reset all of your content indexes and then run full updates on them. You can also stop the SharePoint Portal Alert service, run full updates on all of your content indexes, and then delete all alert e-mail messages in the queue before restarting the service. Because alert e-mail messages will not be sent during either option even if documents are changed, it is recommended that you make all of the changes at the same time when few people are using the portal site.

  3. Select Include this property in alert e-mail messages to include this property in alert e-mail messages.
  4. Click OK.

Deleting a property

  • To delete a property, on the Edit Property page, click Delete.


Specifying Logging Options When Using Simple Search Administration Mode

Specifying Logging Options When Using Simple Search Administration Mode

In simple search administration mode, you can specify the information, in addition to errors, to include in the gatherer log.

Specify logging options when using simple search administration mode

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, click the link next to Log settings.
  3. On the Edit Search Settings page, do the following:
    1. To log each document successfully retrieved, select the Log each document successfully retrieved and any indexing warnings check box.

      You will get a complete record, but the gatherer log will quickly increase in size. For this reason, it is recommended that you log success only as an exception.

    2. To see which documents are being excluded from the crawl, select the Log each document excluded from this content index check box.

      Logging excluded items can create many times the number of entries that logging successes creates. It is recommended that you log excluded items only when investigating problems.

      Tip If you are crawling documents but the documents are not being returned in search results, you might not have a filter registered for that document type. To confirm that the lack of a filter is the reason that the documents are not being returned in search results, select the option to log documents that are excluded from the crawl.

  4. Click OK.


Viewing the Index Status of an Item

Viewing the Index Status of an Item

You can monitor the progress of updates to content sources from the Configure search and indexing page.

View the index status of an item

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, you can monitor the progress of the updates for portal content and for non-portal content.

    If you have enabled advanced search administration, you can monitor the progress of the updates for portal content and for non-portal content in the Content Indexes section.

  3. In the Site Directory section, you can monitor the progress of the updates for the site directory.
  4. In the Other Content Sources section, you can monitor the progress of updates for content sources that are not included in the site directory.
  5. To see the latest status, you must refresh the screen. To do this, use the refresh button in your browser or click Refresh on this page.


Using Client Certificates When Crawling Content

Using Client Certificates When Crawling Content

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.

Crawling content with client certificates is another way of allowing the portal site to authenticate when it is crawling content. Setting up client certificates requires configuration both inside and outside of the portal site.

Note To perform the following procedures on the index management servers and the front-end Web servers, you must be a member of the local Administrators group on the server on which you are performing the procedure.

Use client certificates when crawling content

  1. Enable Secure Sockets Layer (SSL) on all front-end Web servers on the server farm.

    For more information, see Enabling Secure Sockets Layer.

  2. Obtain a client certificate.

    Obtain a client certificate that is valid for crawling a site. The certificate must be a Personal Information Exchange type certificate (*.pfx).

    Important Each client certificate that you want to use for crawling must have a unique "issued to" name.

  3. Export the client certificate.

    Export the client certificate with the private key (*.pfx file) to use on the index management servers. Export the client certificate without the private key (*.cer file) to use on the front-end Web servers.

  4. Configure the front-end Web servers to use client certificates.

    For more information see Using Server and Client Certificates for SSL.

  5. Import the certificate to the Personal certificate store for the Local Computer.

    Do the following on the index management server on which the index containing the content source that requires the certificate is located:
    1. On the taskbar, click Start, and then click Run.
    2. Type mmc and then click OK.
    3. In the console, on the File menu, click Add/Remove Snap-in.
    4. In the Add/Remove Snap-in dialog box, on the Standalone tab, click Add.
    5. In the Add Standalone Snap-in dialog box, in the Available Standalone Snap-ins list, click Certificates, and then click Add.
    6. In the Certificates snap-in dialog box, click Computer account, and then click Next.
    7. In the Select Computer dialog box, click Local computer: (the computer this console is running on), and then click Finish.
    8. Click Close to close the Add Standalone Snap-in dialog box.
    9. Click OK to close the Add/Remove Snap-in dialog box.
    10. Expand the Certificates (Local Computer) node.
    11. Right-click Personal, point to All Tasks, and then click Import.
    12. On the Welcome to the Certificate Import Wizard page, click Next.
    13. On the File to Import page, specify the location of the certificate in the File name box, and then click Next.

      Note The certificate must be a Personal Information Exchange type certificate (*.pfx).

      Important Each client certificate that you want to use for crawling must have a unique "issued to" name.

    14. On the Password page, type the password for the certificate in the Password box, and then click Next.
    15. On the Certificate Store page, do the following:
      1. Click Place all certificates in the following store.
      2. In the Certificate store box, specify Personal.
      3. Click Next.
    16. On the Completing the Certificate Import Wizard page, click Finish.
    17. Click OK to close the message box.

  6. Ensure that the Certificate Authority is listed in the Trusted Root Certification Authorities certificate store.

    To avoid being challenged for the validity of the certificate, you must have the Certificate Authority listed in the Trusted Root Certification Authorities certificate store.

    You can check to see if the Certificate Authority is listed by doing the following on the index management server:

    1. Open the Certificates snap-in that you created in step 5 (Import the certificate to the Personal certificate store for the Local Computer).
    2. Expand the Certificates (Local Computer) node.
    3. Expand the Personal node, and then click Certificates.
    4. In the detail pane, double-click the client certificate that you imported.

      The Certificate dialog box appears.

    5. On the General tab, if there is a red circle with an X in it next to Certificate Information, the Certificate Authority is not listed in the Trusted Root Certification Authorities certificate store.

    If the Certificate Authority is not listed in the Trusted Root Certification Authorities certificate store, do the following on the index management server on which the index containing the content source that requires the certificate is located:

    1. Open the Certificates snap-in that you created in step 5 (Import the certificate to the Personal certificate store for the Local Computer).
    2. Expand the Certificates (Local Computer) node.
    3. Right-click Trusted Root Certification Authorities, point to All Tasks, and then click Import.
    4. On the Welcome to the Certificate Import Wizard page, click Next.
    5. On the File to Import page, specify the location of the certificate in the File name box, and then click Next.

      Note The certificate must be a Personal Information Exchange type certificate (*.pfx).

    6. On the Password page, type the password for the certificate in the Password box, and then click Next.
    7. On the Certificate Store page, do the following:
      1. Click Place all certificates in the following store.
      2. In the Certificate store box, specify Trusted Root Certification Authorities.
      3. Click Next.
    8. On the Completing the Certificate Import Wizard page, click Finish.
    9. Click OK to close the message box.

  7. Specify permissions for the certificate.

    There is a tool called WinHTTPCertCfg.exe that you use to specify permissions for a certificate. You can download this tool from the Microsoft Download Center. This tool enables the account specified to use the private key to access the Web site that you want to crawl.

    In the following procedure, use the configuration database administration account for DOMAIN\account.

    1. Download WinHTTPCertCfg.exe to the index management server on which the index containing the content source that requires the certificate is located.
    2. Open command prompt.
    3. Navigate to the location of WinHTTPCertCfg.exe.
    4. Type WinHttpCertCfg.exe -g -c LOCAL_MACHINE\MY -s certificate_name -a DOMAIN\account and then press ENTER.

  8. Add a rule that includes or excludes content on the content index that you want to use a certificate for crawling.

    For more information, see Adding a Rule That Includes or Excludes Content.

  9. Start a full update of the content source.

    For more information, see Starting a Full Update of a Content Source.


About Server Name Mappings

About Server Name Mappings

You can create server name mappings to override how Microsoft Office SharePoint Portal Server 2003 displays search results or how users access content after you create a content index.

You can use a server mapping to circumvent problems caused by referring to a local drive. For example, if you use a local address such as file://C:/Documents in the portal site to direct users to a document, access problems may occur. However, if you create a server name mapping to map the local address to an http:// protocol or to any other protocol, no access problems occur. A server name mapping matches all URLs that conform to a general expression (such as file://) and replaces the matched expression with another expression (such as http://).

Note Changes to the mappings on the Map Server Names page can conflict with mappings on the Configure Alternate Portal Access Settings page. Specify alternate portal access settings when a different server name or port is used for accessing the entire portal site. Use server name mappings to specify a protocol or server for an address that appears in search results that is different from the address from which that content was crawled.

Related Topics

Adding a Server Name Mapping
Editing a Server Name Mapping
Deleting a Server Name Mapping


Adding a Server Name Mapping

Adding a Server Name Mapping

Add a server name mapping to override how Microsoft Office SharePoint Portal Server 2003 displays search results or how users access content after you create a content index.

The mapping will not be effective until you update the content source or index that contains the content you are crawling.

For more information about server name mappings, see About Server Name Mappings.

Add a server name mapping

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, click the link next to Server name mappings.
  3. On the Map Server Names page, click New Mapping.
  4. On the Add Server Name Mapping page, in the Address in index box, type the address for the content that will be crawled.
  5. In the Address in search results box, type the address that appears in the search results and from which a user can access the content.
  6. Click OK.


Editing a Server Name Mapping

Editing a Server Name Mapping

You can edit the search results address, or the address that users see in search results, for the mapping. You cannot edit the search component address, which is the address used by the search component when accessing content to include in the content index.

The mapping will not be effective until you update the content source or index that contains the content you are crawling.

For more information about server name mappings, see About Server Name Mappings.

Edit a server name mapping

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status, click the link next to Server name mappings.
  3. On the Map Server Names page, rest the pointer on the name of the server you want to edit, click the arrow that appears, and then click Edit.
  4. On the Edit Server Name Mapping page, in the Address in search results box, type the address that appears in the search results, and then click OK.


Deleting a Server Name Mapping

Deleting a Server Name Mapping

Delete a server name mapping when you no longer want to override how Microsoft Office SharePoint Portal Server 2003 displays search results or how users access content after you create a content index.

The deletion will not be effective until you update the content source or index that contains the content you are crawling.

For more information about server name mappings, see About Server Name Mappings.

Delete a server name mapping

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, click the link next to Server name mappings.
  3. On the Map Server Names page, in the Address for Indexing column, rest the pointer on the server name for which you want to delete the mapping, click the arrow that appears, and then click Delete.


About File Types for Search

About File Types for Search

You can specify file types (indicated by file extensions) to include in the content index when crawling content sources. For example, you might want to include files with .abc and .def extensions in the index. The inclusion of a file type applies only to content that is stored outside the portal site and included in the content index through content sources. The inclusion of a file type does not apply to content stored in the portal site.

If a file type has an IFilter associated with it, the IFilter must be registered on the computer running Microsoft Office SharePoint Portal Server 2003 and crawling that file type. After the IFilter is registered, documents of that file type can be crawled and included in the index. If you add a file type but no filter is registered, only the file properties are included in the index. The procedure to register an IFilter varies, depending on the particular IFilter you are registering. See the documentation accompanying the IFilter for the proper procedure to register it.

SharePoint Portal Server includes filters for the following:

  • Microsoft Office documents
  • Microsoft Publisher files
  • Visio files
  • HTML files
  • Tagged Image File Format (TIFF) files
  • Text files
SharePoint Portal Server also accepts third-party IFilters for custom file types.

Related Topics

  • Adding a File Type
  • Deleting a File Type


Adding a File Type

Adding a File Type

You can add file types to be included in the content index. All files with a file extension in the list will be included in the index.

Note You must register the IFilter for new file types. If you add a new file type but no IFilter is registered, only the file properties are included in the index.

For more information, see About File Types for Search.

Add a file type

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, click Include file types.
  3. On the Specify File Types to Include page, click New File Type.
  4. On the Add File Type page, in the File extension box, type the file name extension for the file type that you want to add to the list of file types for the content index.
  5. Click OK.


Deleting a File Type

Deleting a File Type

You can delete file types to be included in or excluded from the content index. For more information, see About File Types for Search.

Delete a file type

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, click Include File Types.
  3. On the Specify File Types to Include page, rest the pointer on the file name extension, click the arrow that appears, and then click Delete.
  4. In the message box that appears, click OK.


About Rules That Include or Exclude Content

About Rules That Include or Exclude Content

You can create rules that include or exclude content from the content index. These rules are called site restrictions and site path rules. A site restriction is the main rule for a site. You can show or hide the other rules for a site by clicking the plus sign (+) or minus sign (-) next to the site restriction. The other rules for a site are called site path rules. The site restriction defines the overall rules for a site, and the site path rules are rules for specific parts of the site. For example, a site restriction might apply to the whole site example.microsoft.com, and the site path rules for that site apply to http://example.microsoft.com/ and http://example.microsoft.com/*. If no site path rule applies to a path in a site, then the site restriction applies.

You can use site restrictions and site path rules to do the following:

  • Override the settings for the default content access account when crawling a specific site or path.
  • Specify the granularity for crawling lists.
  • Allow crawling of sites where addresses pass parameters, i.e., the address includes a question mark (?).
  • Allow sites to be traversed for links without content being added into the index.
  • Exclude an area from the index completely.

Rules can use general expressions and wild cards, as shown in the following examples:

  • "http://server1/folder*" applies to all Web resources that have a URL that starts with "http://server1/folder"
  • "http://server?web*" applies to resources such as "http://serveraweb2/file.htm" and "http://serverbweb3/file.htm "
  • "*/*.doc" applies to every Microsoft Word document encountered

Note Depending on how a content source is added, site path rules need to be entered in a certain way for the update to succeed. For example, if the content source is \\server_name\Folder1\Folder2 and the site path rule is \\server_name\Folder1\Folder2\*, the update fails. If the content source is \\server_name\Folder1\Folder2 and the site path rule is \\server_name\Folder1\*, the update succeeds. If the content source \\server_name\Folder1\Folder2\ and the site path rule is \\server_name\Folder1\Folder2\*, the update succeeds.

Document shortcuts are subject to the same site and path restrictions as other documents and content sources in the portal site. If a user adds a document shortcut to the portal site, Microsoft Office SharePoint Portal Server 2003 updates that shortcut in the same way as other content sources. If site or file type restrictions prohibit the inclusion of a shortcut in the index, SharePoint Portal Server does not include content from that document shortcut in the index.

The settings described by these rules will become effective only after a new update occurs. If you change rules during an update, any content that has not been crawled yet and that is described by the rule will be affected by the changes.

Note By default, crawling ASPX pages is disabled.

Related Topics

Adding a Rule That Includes or Excludes Content
Editing a Rule that Includes or Excludes Content
Deleting a Rule That Includes or Excludes Content
Moving a Rule that Includes or Excludes Content


Adding a Rule That Includes or Excludes Content

Adding a Rule That Includes or Excludes Content

You can add a rule to include specific paths in the content index, to exclude specific paths from the index, to specify how SharePoint lists are handled, or to provide a specific account to access a specific path. For more information about rules that include or exclude content, see About Rules That Include or Exclude Content.

The procedure for adding a rule that includes or excludes content differs depending on whether you have advanced search administration enabled. For more information about enabling advanced search administration, see Enabling Advanced Search Administration Mode.

Add a rule that includes or excludes content (when advanced search administration is not enabled)

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, next to Exclude and include, do one of the following:
    • To include portal site Web Part Pages in the content index, click portal site Web Part Pages. The Edit Rule page appears.

      Note For enhanced security, portal site Web Part Pages are excluded from the content index by default.

    • To include or exclude other content, click other content, and then on the Exclude and Include Content for Non_Portal_Content page, click New Rule.
  3. Do one of the following:
    • If you clicked portal site Web Part Pages in step 2, go to step 4.
    • If you clicked other content in step 2, on the Add Rule page, in the Path box, type a path for the content affected by this rule. You can use general expressions and wildcard characters to define which resources are subject to this update rule. For example:
      • "http://server1/folder*" contains all Web resources with a URL that starts with "http://server1/folder"
      • "http://gw?web*" contains resources such as "http://gwaweb2/file.htm" and "http://gwbweb3/file.htm "
      • "*.doc" contains every Microsoft Word document encountered
  4. In the Crawl Configuration section, do one of the following:
    • To exclude all documents in this URL space, click Exclude all items in this path.

      If you select this option, when the search component encounters a resource within this space, it will neither crawl the resource nor follow links contained within the resource.

      You can optionally select the Apply this rule to both the crawled address and the address displayed in search results check box.

    • To include all documents in this URL space, click Include all items in this path.

      If you select this option, you can also do the following:

      • To suppress the inclusion in the index of items in this path but allow content to be crawled to find linked content that can be included in the index, select the Include linked content, but do not include source check box.
      • To follow complex links (URLs that include question marks (?) followed by parameters), select the Include complex URLs (URLs that contain question marks (?)) check box.

        Following complex links includes additional content in the content index.

  5. If the path contains SharePoint lists, in the Crawl Configuration section, optionally do the following:
    • To allow alerts on individual SharePoint list items, select the Allow alerts for individual SharePoint list items check box.

      By default, SharePoint lists are crawled as one item. If you do not select the Allow alerts for individual SharePoint list items check box, alerts for the list will be sent if any item in the list is changed.

    • To crawl each SharePoint list item individually, click Crawl individual SharePoint list items.
  6. In the Specify Authentication section, do one of the following:
    • To use the default content access account, click Use default crawling account.
    • If the default crawling account cannot access this path, click Specify crawling account, and then do the following:
      1. In the Account box, type the user name or ID that can access the resources in this URL space. Examples are user_name, user_name@org, or DOMAIN\user_name.
      2. In the Password box, type the password for this user name.

        Your password is protected and can be used only to access the needed resources for the purpose of crawling content.

      3. In the Confirm password box, type the password for this user name again.
      4. To prevent Basic authentication from being used, select the Do not allow Basic authentication check box.

        The server will attempt to use NTLM authentication. If NTLM authentication fails, the server will attempt to use Basic authentication unless the Do not allow Basic authentication check box is selected. If the check box is selected, the server will attempt to use NTLM authentication only.

        Important Clearing the Do not allow Basic authentication check box may cause your password to be transmitted without encryption.

    • To use a client certificate for authentication, click Specify client certificate, and then select a certificate from the list.

      For more information about using client certificates, see Using Client Certificates When Crawling Content.

  7. Click OK.

Add a rule that includes or excludes content (when advanced search administration is enabled)

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click the name of the content index for which you want to create a rule.

    Note For enhanced security, portal site Web Part Pages are excluded from the content index by default. To include this content, click the Portal_Content index and edit the rule applying to ASPX pages.

  3. On the Manage Index Properties page, in the Rules to Exclude and Include Content section, click Manage rules to exclude and include content.
  4. On the Exclude and Include Content for content_index_name page, click New Rule.

    Note If you reached this page by clicking the Portal_Content index because you want to include portal site Web Part Pages in the content index, edit the rule that has the format http://server_name/*.aspx.

  5. On the Add Rule page, in the Path box, type a path for the content affected by this rule. You can use general expressions and wildcard characters to define which resources are subject to this update rule. For example:
    • "http://server1/folder*" contains all Web resources with a URL that starts with "http://server1/folder"
    • "http://gw?web*" contains resources such as "http://gwaweb2/file.htm" and "http://gwbweb3/file.htm "
    • "*.doc" contains every Microsoft Word document encountered
  6. In the Crawl Configuration section, do one of the following:
    • To exclude all documents in this URL space, click Exclude all items in this path.

      If you select this option, when the search component encounters a resource within this space, it will neither crawl the resource nor follow links contained within the resource.

      You can optionally select the Apply this rule to both the crawled address and the address displayed in search results check box.

    • To include all documents in this URL space, click Include all items in this path.

      If you select this option, you can also do the following:

      • To suppress the inclusion in the index of items in this path but allow content to be crawled to find linked content that can be included in the index, select the Include linked content, but do not include source check box.
      • To follow complex links (URLs that include question marks (?) followed by parameters), select the Include complex URLs (URLs that contain question marks (?)) check box.

        Following complex links includes additional content in the content index.

  7. If the path contains SharePoint lists, in the Crawl Configuration section, optionally do the following:
    • To allow alerts on individual SharePoint list items, select the Allow alerts for individual SharePoint list items check box.

      By default, SharePoint lists are crawled as one item. If you do not select the Allow alerts for individual SharePoint list items check box, alerts for the list will be sent if any item in the list is changed.

    • To crawl each SharePoint list item individually, select the Crawl individual SharePoint list items check box.
  8. In the Specify Authentication section, do one of the following:
    • To use the default content access account, click Use default crawling account.
    • If the default crawling account cannot access this path, click Specify crawling account, and then do the following:
      1. In the Account box, type the user name or ID that can access the resources in this URL space. Examples are user_name, user_name@org, or DOMAIN\user_name.
      2. In the Password box, type the password for this user name.

        Your password is protected and can be used only to access the needed resources for the purpose of crawling content.

      3. In the Confirm password box, type the password for this user name again.
      4. To prevent Basic authentication from being used, select the Do not allow Basic authentication check box.

        The server will attempt to use NTLM authentication. If NTLM authentication fails, the server will attempt to use Basic authentication unless the Do not allow Basic authentication check box is selected. If the check box is selected, the server will attempt to use NTLM authentication only.

        Important Clearing the Do not allow Basic authentication check box may cause your password to be transmitted without encryption.

    • To use a client certificate for authentication, click Specify client certificate, and then select a certificate from the list.

      For more information about using client certificates, see Using Client Certificates When Crawling Content.

  9. Click OK.


Editing a Rule That Includes or Excludes Content

Editing a Rule That Includes or Excludes Content

You can edit a rule to include specific paths in the content index, to exclude specific paths from the index, to specify how SharePoint lists are handled, or to provide a specific account to access a specific path. For more information about rules that include or exclude content, see About Rules That Include or Exclude Content.

The procedure for editing a rule that includes or excludes content differs depending on whether you have advanced search administration enabled. For more information about enabling advanced search administration, see Enabling Advanced Search Administration Mode.

Note You cannot change the path for an existing rule. If you want to change the path, you must delete the rule and create a new rule.

Edit a rule that includes or excludes content (when advanced search administration is not enabled)

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, next to Exclude and include, do one of the following:
    • To include portal site Web Part Pages in the content index, click portal site Web Part Pages, and then go to step 5.

      Note For enhanced security, portal site Web Part Pages are excluded from the content index by default.

    • To include or exclude other content, click other content.
  3. On the Exclude and Include Content for Non_Portal_Content page, rest the pointer on the rule or group of rules, and then click the arrow that appears.
  4. On the menu that appears, click Edit.
  5. On the Edit Rule page, in the Crawl Configuration section, do one of the following:
    • To exclude all documents in this URL space, click Exclude all items in this path.

      If you select this option, when the search component encounters a resource within this space, it will neither crawl the resource nor follow links contained within the resource.

      You can optionally select the Apply this rule to both the crawled address and the address displayed in search results check box.

    • To include all documents in this URL space, click Include all items in this path.

      If you select this option, you can also do the following:

      • To suppress the inclusion in the index of items in this path but allow content to be crawled to find linked content that can be included in the index, select the Include linked content, but do not include source check box.
      • To follow complex links (URLs that include question marks (?) followed by parameters), select the Include complex URLs (URLs that contain question marks (?)) check box.

        Following complex links includes additional content in the content index.

  6. If the path contains SharePoint lists, in the Crawl Configuration section, optionally do the following:
    • To allow alerts on individual SharePoint list items, select the Allow alerts for individual SharePoint list items check box.

      By default, SharePoint lists are crawled as one item. If you do not select the Allow alerts for individual SharePoint list items check box, alerts for the list will be sent if any item in the list is changed.

    • To crawl each SharePoint list item individually, click Crawl individual SharePoint list items.
  7. In the Specify Authentication section, do one of the following:
    • To use the default content access account, click Use default crawling account.
    • If the default crawling account cannot access this path, click Specify crawling account, and then do the following:
      1. In the Account box, type the user name or ID that can access the resources in this URL space. Examples are user_name, user_name@org, or DOMAIN\user_name.
      2. In the Password box, type the password for this user name.

        Your password is protected and can be used only to access the needed resources for the purpose of crawling content.

      3. In the Confirm password box, type the password for this user name again.
      4. To prevent Basic authentication from being used, select the Do not allow Basic authentication check box.

        The server will attempt to use NTLM authentication. If NTLM authentication fails, the server will attempt to use Basic authentication unless the Do not allow Basic authentication check box is selected. If the check box is selected, the server will attempt to use NTLM authentication only.

        Important Clearing the Do not allow Basic authentication check box may cause your password to be transmitted without encryption.

    • To use a client certificate for authentication, click Specify client certificate, and then select a certificate from the list.

      For more information about using client certificates, see Using Client Certificates When Crawling Content.

  8. Click OK.

Edit a rule that includes or excludes content (when advanced search administration is enabled)

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click the name of the content index for which you want to edit a rule.

    Note For enhanced security, portal site Web Part Pages are excluded from the content index by default. To include this content, click the Portal_Content index and edit the rule applying to ASPX pages.

  3. On the Manage Index Properties page, in the Rules to Exclude and Include Content section, click Manage rules to exclude and include content.
  4. On the Exclude and Include Content for content_index_name page, rest the pointer on the rule or group of rules, and then click the arrow that appears.

    Note If you reached this page by clicking the Portal_Content index because you want to include portal site Web Part Pages in the content index, edit the rule that has the format http://server_name/*.aspx.

  5. On the menu that appears, click Edit.
  6. On the Edit Rule page, in the Crawl Configuration section, do one of the following:
    • To exclude all documents in this URL space, click Exclude all items in this path.

      If you select this option, when the search component encounters a resource within this space, it will neither crawl the resource nor follow links contained within the resource.

      You can optionally select the Apply this rule to both the crawled address and the address displayed in search results check box.

    • To include all documents in this URL space, click Include all items in this path.

      If you select this option, you can also do the following:

      • To suppress the inclusion in the index of items in this path but allow content to be crawled to find linked content that can be included in the index, select the Include linked content, but do not include source check box.
      • To follow complex links (URLs that include question marks (?) followed by parameters), select the Include complex URLs (URLs that contain question marks (?)) check box.

        Following complex links includes additional content in the content index.

  7. If the path contains SharePoint lists, in the Crawl Configuration section, optionally do the following:
    • To allow alerts on individual SharePoint list items, select the Allow alerts for individual SharePoint list items check box.

      By default, SharePoint lists are crawled as one item. If you do not select the Allow alerts for individual SharePoint list items check box, alerts for the list will be sent if any item in the list is changed.

    • To crawl each SharePoint list item individually, click Crawl individual SharePoint list items.
  8. In the Specify Authentication section, do one of the following:
    • To use the default content access account, click Use default crawling account.
    • If the default crawling account cannot access this path, click Specify crawling account, and then do the following:
      1. In the Account box, type the user name or ID that can access the resources in this URL space. Examples are user_name, user_name@org, or DOMAIN\user_name.
      2. In the Password box, type the password for this user name.

        Your password is protected and can be used only to access the needed resources for the purpose of crawling content.

      3. In the Confirm password box, type the password for this user name again.
      4. To prevent Basic authentication from being used, select the Do not allow Basic authentication check box.

        The server will attempt to use NTLM authentication. If NTLM authentication fails, the server will attempt to use Basic authentication unless the Do not allow Basic authentication check box is selected. If the check box is selected, the server will attempt to use NTLM authentication only.

        Important Clearing the Do not allow Basic authentication check box may cause your password to be transmitted without encryption.

    • To use a client certificate for authentication, click Specify client certificate, and then select a certificate from the list.

      For more information about using client certificates, see Using Client Certificates When Crawling Content.

  9. Click OK.


Deleting a Rule That Includes or Excludes Content

Deleting a Rule That Includes or Excludes Content

You can delete a rule if you do not want to include specific paths in the index, exclude specific paths from the index, specify how SharePoint lists are handled, or provide a specific account to access a specific path. For more information about rules that include or exclude content, see About Rules That Include or Exclude Content.

The procedure for deleting a rule that includes or excludes content differs depending on whether you have advanced search administration enabled. For more information about enabling advanced search administration, see Enabling Advanced Search Administration Mode.

Delete a rule that includes or excludes content (when advanced search administration is not enabled)

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, next to Exclude and include, click other content.

    Note For enhanced security, portal site Web Part Pages are excluded from the content index by default. This rule is for the Portal_Content content index and is of the format http://server_name/*.aspx. To access this rule on the Exclude and Include Content for Portal_Content page, do the following:

    1. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, next to View errors and warnings on, click portal content.
    2. On the Gatherer log details page, click Exclude and Include Content.
  3. On the Exclude and Include Content for content_index_name page, rest the pointer on the rule or group of rules, and then click the arrow that appears.
  4. On the menu that appears, click Delete.
  5. On the confirmation message box that appears, click OK.

    Note It is possible to have a site restriction with no path rules, but it is not possible to have site path rules without a site restriction.

Note

Delete a rule that includes or excludes content (when advanced search administration is enabled)

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click the name of the content index for which you want to delete a rule.
  3. On the Manage Index Properties page, in the Rules to Exclude and Include Content section, click Manage rules to exclude and include content.
  4. On the Exclude and Include Content for content_index_name page, rest the pointer on the rule or group of rules, and then click the arrow that appears.
  5. On the menu that appears, click Delete.
  6. On the confirmation message box that appears, click OK.

    Note It is possible to have a site restriction with no path rules, but it is not possible to have site path rules without a site restriction.


Moving a Rule That Includes or Excludes Content

Moving a Rule That Includes or Excludes Content

You can move a rule in the list of rules. Rules are evaluated in the order in which they are listed. This means that the first matching rule applies. For more information about rules that include or exclude content, see About Rules That Include or Exclude Content.

You can move site path rules up or down within a site restriction only. It is not possible to move a site path rule from one group to another. Moving a site restriction will move all of the site path rules contained by it as well.

The procedure for moving a rule that includes or excludes content differs depending on whether you have advanced search administration enabled. For more information about enabling advanced search administration, see Enabling Advanced Search Administration Mode.

Move a rule that includes or excludes content (when advanced search administration is not enabled)

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, next to Exclude and include, click other content.

    Note For enhanced security, portal site Web Part Pages are excluded from the content index by default. This rule is for the Portal_Content content index and is of the format http://server_name/*.aspx. To access this rule on the Exclude and Include Content for Portal_Content page, do the following:

    1. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, next to View errors and warnings on, click portal content.
    2. On the Gatherer log details page, click Exclude and Include Content.
  3. On the Exclude and Include Content for content_index_name page, rest the pointer on the rule or group of rules, and then click the arrow that appears.
  4. On the menu that appears, click Move Up or Move Down.

Move a rule that includes or excludes content (when advanced search administration is enabled)

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click the name of the content index for which you want to move a rule.
  3. On the Manage Index Properties page, in the Rules to Exclude and Include Content section, click Manage rules to exclude and include content.
  4. On the Exclude and Include Content for content_index_name page, rest the pointer on the rule or group of rules, and then click the arrow that appears.
  5. On the menu that appears, click Move Up or Move Down.


About Updates

About Updates

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Starting a Full Update of a Content Index

Starting a Full Update of a Content Index

During a full update, Microsoft Office SharePoint Portal Server 2003 updates the content index for all content. A full update adds new content, modifies changed content, and removes deleted content from the index. This is the most time-consuming and resource-intensive type of update. In a server farm configuration, SharePoint Portal Server automatically propagates one or more indexes from index management servers to search (destination) servers after creating or updating an index.

You should perform a full update in the following situations:

  • Whenever you change the update rules specified for content sources. These update rules control what content is included in the index.
  • When an area is renamed.
  • When you have changed a noise word file. A noise word is a word such as "the" or "an" that is not useful in an index. For information about editing the noise word file, see Editing a Noise Word File.
  • After you have reset the index. For more information, see Resetting a Content Index.
  • When the system experiences a power failure. You should perform a full update after power is restored if you notice that documents are missing.

Whenever you perform a full update of the index, each user who selected the e-mail alert option receives an e-mail message listing all of his or her alerts.

If power to the server is interrupted during an update, the update continues after power is restored. The index is in the "initializing" state for a certain period of time, which depends on the size of the crawl. The crawl resumes after it finishes initializing. The index is available for queries during this time.

You can start a full update only if the update status is Idle. You can view the update status in the Update Status column for the index on the Configure Search and Indexing page. The update status can have the following values:

  • Idle
  • Crawling
  • Crawling Adaptively
  • Crawling Incrementally
  • Paused (by user)
  • Paused (disk full)
  • Merging
  • Propagating

Start a full update of a content index

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage content indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Start Full Update.

You can schedule automatic updates of an index. For more information, see Creating a Search Schedule.


Starting an Incremental Update of a Content Index

Starting an Incremental Update of a Content Index

An incremental update of a content index includes only changed content. Microsoft Office SharePoint Portal Server 2003 removes deleted content from the index, but does not modify unchanged content. For this reason, performing an incremental update is faster than performing a full update.

You can perform an incremental update if you know that content has changed but you do not want to perform a full update. A periodic incremental update creates the index without using the time or resources required for a full update. You can then perform a full update less often. In general, you should perform an incremental update unless there is a reason for performing a full update.

Note You can optimize your resources by configuring SharePoint Portal Server to perform an incremental update daily and a full update weekly. This allows you to have daily updates of changed content and periodic full updates of all content.

An incremental update does not include content excluded since the last full update. For example, you have configured a content source to create an index of document types .doc, .htm, and .ppt. You perform a full update. You then modify the content source so that it creates an index that includes only .doc and .htm document types (you are excluding content with a document type of .ppt). You must perform a full update to incorporate this change into the index.

If an incremental update is the first update that you create — that is, you have not previously performed a full update — that incremental update is actually a full update. Subsequent incremental updates will be true incremental updates.

If power to the server is interrupted during an update, the update continues after power is restored. The index is in the "initializing" state for a period of time, which depends on the size of the crawl. The crawl resumes after it finishes initializing. The index is available for queries during this time.

SharePoint Portal Server automatically propagates one or more indexes from index management servers to search (destination) servers after creating or updating an index.

You can start an incremental update only if the update status is Idle. You can view the update status in the Update Status column for the index on the Configure Search and Indexing page. The update status can have the following values:

  • Idle
  • Crawling
  • Crawling Adaptively
  • Crawling Incrementally
  • Paused (by user)
  • Paused (disk full)
  • Merging
  • Propagating

Start an incremental update of a content index

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage content indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Start Incremental Update.

You can schedule automatic updates of an index. For more information, see Creating a Search Schedule.


Starting an Adaptive Update of a Content Index

Starting an Adaptive Update of a Content Index

An adaptive update, like the incremental update, crawls only the content that has changed since the previous update. Unlike the incremental update, however, the adaptive update increases its efficiency by attempting to access only those documents determined likely to have changed based on an analysis of historical information.

The adaptive update uses information accumulated over all previous updates of any type. The efficiency of the system increases over time and over multiple updates because more statistical samples are available to the algorithm. After a week of daily adaptive updates, the system settles into a steady state. A steady state is a state in which the system has acquired enough information so that the adaptive update is functioning at optimal efficiency.

The updates compute statistical information regardless of the type of update Microsoft Office SharePoint Portal Server 2003 performs. You can perform incremental updates and then later switch to adaptive updates. Performance improves immediately because the system is already in a steady state. This means that SharePoint Portal Server has already accumulated sufficient statistical information to apply the algorithm. Use of an adaptive update is unlikely to give a significant performance improvement in collections of fewer than 2,500 documents.

Important An adaptive update is faster than an incremental or full update, but an adaptive update could miss some updated content. However, SharePoint Portal Server always crawls documents that have not changed for two weeks, so no changes would go unnoticed for longer than that.

Performance improvement between an adaptive update and an incremental update depends on the number of documents and the frequency of changes to the documents. The higher the percentage of documents that change infrequently, the better the performance is.

If you have not performed any other updates, the first time you perform an adaptive update is equal to performing a full update, and the second time you perform an adaptive update is equal to performing an incremental update. You see the first improvement the third time you perform an adaptive update.

If power to the server is interrupted during an update, the update continues after power is restored. The index is in the "initializing" state for a certain period of time, which depends on the size of the crawl. The crawl resumes after it finishes initializing. The index is available for queries during this time.

In the server farm configuration, SharePoint Portal Server automatically propagates one or more indexes from index management servers to search (destination) servers after creating or updating an index.

You can start an adaptive update only if the update status is Idle. You can view the update status in the Update Status column for the index on the Configure Search and Indexing page. The update status can have the following values:

  • Idle
  • Crawling
  • Crawling Adaptively
  • Crawling Incrementally
  • Paused (by user)
  • Paused (disk full)
  • Merging
  • Propagating

Start an adaptive update of a content index

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage content indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Start Adaptive Update.

You can schedule automatic updates of an index. For more information, see Creating a Search Schedule.


Pausing an Update of a Content Index

Pausing an Update of a Content Index

You can pause an update to a content index if, for example, the server response time slows noticeably, or if you are performing several concurrent updates and you want to release resources to allow for a higher-priority index.

If you pause the update, the procedure pauses after it finishes processing the current document. The index contains everything processed before you paused the update. In a single server configuration, the changes made before the pause appear in search results. In a server farm configuration, pausing an update prevents any updated documents from appearing in search results because propagation to the search servers does not occur. Propagating the index will cause the contents of the partially-updated index to be reflected in search results. For more information about propagating an index, see Propagating a Content Index. You can resume the update later, and the update continues from the point at which it left off.

Closing the Manage Content Indexes page or restarting the computer that stores the index does not affect the paused status.

Note In a server farm configuration, you cannot pause an update while it is propagating files to the search server.

Pause an update of a content index

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage content indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Pause Update.


Resuming an Update of a Content Index

Resuming an Update of a Content Index

You can resume updating a content index after you have paused the update. For example, you can pause an update to release resources to allow for updating a higher-priority index. When the update of the higher-priority index is complete, you can resume the update that you paused.

Resume an update of a content index

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage content indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Resume Update.


Stopping an Update of a Content Index

Stopping an Update of a Content Index

You can stop updating a content index if, for example, the server response time slows noticeably. If you stop the update, the procedure stops only after it finishes processing the current document. The index contains everything processed before you stopped the update. You cannot resume the update later.

Stop an update of a content index

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage content indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Stop Update.


About Content Indexes

About Content Indexes

Every portal site includes content indexes that allow users to search for documents available from that portal site. These documents can be stored inside or outside the portal site. Microsoft Office SharePoint Portal Server 2003 updates and organizes the index so that the search function can use it. After content is included in an index, the content appears in search results on the portal site.

What Is a Content Index?

A content index is a full-text index that facilitates quick searching of the following content:

  • Content stored in the portal site. Documents stored in a document library (Web Storage System-based) must be published before they are included in the index.
  • Content that is stored outside the portal site (for example, Web sites) that you make available by using content sources. A content source represents a location where such content is stored and can be accessed for indexing. This content is indicated by a URL. This content can be located in a different portal site on the same server, on another server on your intranet, or on the Internet. For more information about content sources, see About Content Sources.
  • Retrievable properties associated with a document (for example, title and author).

SharePoint Portal Server can create indexes for content stored on Web sites and pages, file systems, Lotus Notes version 4.6a and R5 databases, computers running Microsoft Exchange 2000 Server, SharePoint Portal Server sites, and sites based on Windows SharePoint Services.

How Is a Content Index Created?

When you create a portal site, SharePoint Portal Server automatically creates two indexes:

  • Portal_Content This index enables searching over portal site content. By default, this index contains the following content sources: This portal and People. If you have installed the document library component, the Document Library:document_library_name content source is also in this index.
  • Non_Portal_Content This index enables searching over external content. By default, this index contains the following content source: Site directory.
Advanced search administration mode enables you to create and manage additional indexes. In addition, when you create content sources, you can specify the index in which the content source will appear, and you can specify the source group. For more information about advanced search administration, see Enabling Advanced Search Administration Mode.

When you add documents to the portal site or modify existing documents, SharePoint Portal Server modifies the index to include the changes. When you add content sources or change their settings, you must update the content source to update the index that contains that content source. You can update an index manually from the Manage Content Indexes page. Alternatively, you can schedule SharePoint Portal Server to update your indexes automatically.

SharePoint Portal Server performs the following processing on documents before they are included in the index:

  • Filtering the document Filters remove formatting and extract both the text of the document and any properties defined in the file itself. SharePoint Portal Server has a limit of 16 megabytes (MB) of text data that it filters from a single document. After this limit is reached, SharePoint Portal Server enters a warning in the gatherer log, and SharePoint Portal Server considers the document to be successfully indexed.

    Note The 16-MB limit applies only to the text in the document. The file size of the document does not matter. For example, you can have a document containing graphics that has a file size of 32 MB, but the 16-MB limit applies only to the text in that document.

    SharePoint Portal Server includes filters for the following: Microsoft Office documents, Microsoft Publisher files, Visio files, HTML files, Tagged Image File Format (TIFF) files, and text files.
  • Word-breaking the document A word breaker is a component that determines where the word boundaries are in the stream of characters in the query or in the document being crawled. SharePoint Portal Server provides word breakers for English, French, Spanish, Japanese, Thai, Korean, Chinese Traditional, and Chinese Simplified. The Windows 2000 Server Indexing Service word breakers are used for Dutch, Italian, Swedish, and German. When SharePoint Portal Server crawls documents that are in multiple languages, the customized word breaker for each language enables the resulting terms to be more accurate for that language. If no word breaker is available for a particular language, the neutral word breaker is used. Words are broken at neutral characters such as spaces and punctuation marks.
Creating and updating an index uses processor and disk resources intensively. The indexing process can take a significant amount of time if a large amount of text in the content is being crawled.

Why Would I Need an Index Management Server?

Because creating and updating an index is a resource-intensive process, you can choose to have a separate server that is dedicated to creating and updating indexes. This server is called the index management server. For information about propagating indexes from the index management server to the search server, see About Search Content Propagation.

How Do I Manage Content Indexes?

If you have not enabled advanced search administration mode, you can start, stop, and manage schedules of updates for the default content indexes only.

You can create and manage content indexes only if you have enabled advanced search administration mode.

Related Topics

Creating a Content Index
Editing the Properties of a Content Index
Starting a Full Update of a Content Index
Starting an Incremental Update of a Content Index
Starting an Adaptive Update of a Content Index
Pausing an Update of a Content Index
Resuming an Update of a Content Index
Stopping an Update of a Content Index
Resetting a Content Index
Deleting a Content Index
Viewing the Gatherer Log for a Content Index


Creating a Content Index

Creating a Content Index

You can create a content index only if you have enabled advanced search administration mode. For more information, see About Content Indexes and Enabling Advanced Search Administration Mode.

The following limitations apply to the index name:

  • The content index name must be less than 50 characters.
  • The content index name cannot contain the following characters: + ~ # ' % * ( ) = [ ] { } | \ " < > . ? / @ & or the euro symbol or a space.

Create a content index

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage content indexes.
  3. On the Manage Content Indexes page, click New Content Index.
  4. On the Create Content Index page, in the Name and information section, do the following:
    1. In the Name box, type a name for this index.

      The name must be unique for this portal.

    2. In the Description box, type a description for the index.
    3. In the Source Group box, type the description of the scope of content in the index.
    4. In the Server list, select the server on which the index will reside.
  5. To change the location for the index, do the following:
    1. In the Local Address section, select the Use a different local address check box.
    2. In the Address box, type the new address.

      Universal Naming Convention (UNC) names are not accepted here. The address must be a valid file system path for the server on which the index is being created.

  6. Click OK.


Editing the Properties of a Content Index

Editing the Properties of a Content Index

You can edit the properties of a content index only if you have enabled advanced search administration mode. For more information, see About Content Indexes and Enabling Advanced Search Administration Mode.

You can view the detailed status of the content index from the properties page.

Edit the properties of a content index

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage content indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Edit.
  5. On the Manage Index Properties page, in the Name and Information section, do the following:
    1. To change the description for this content index, in the Description box, type the new description.
    2. To change the source group for this content index, in the Source Group box, type the new source group name.
  6. In the Status section, you can view detailed status information about the index. To view the gatherer log, click View the gatherer log. For more information about the gatherer log for an index, see Viewing the Gatherer Log for a Content Index.
  7. In the Logging Options section, you can specify logging options for the index. For more information, see Specifying Logging Options for a Content Index.
  8. In the Rules to Exclude and Include Content section, you can view information about rules that specify which resources should be included in or excluded from the index. To manage these rules, click Manage rules to exclude and include content. For more information, see About Rules That Include or Exclude Content.
  9. Click OK.


Deleting a Content Index

Deleting a Content Index

Note You can delete a content index only if you have enabled advanced search administration mode. You cannot delete the Portal_Content or Non_Portal_Content indexes. For more information, see About Content Indexes and Enabling Advanced Search Administration Mode.

Delete a content index

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage content indexes.
  3. On the Manage Content Indexes page, point to the content index name, and then click the arrow that appears.
  4. On the menu that appears, click Delete.
  5. On the confirmation message box that appears, click OK.


Resetting a Content Index

Resetting a Content Index

When you reset a content index, you are emptying the index. You do not lose statistical information compiled during adaptive updates.

You might want to reset an index under the following conditions:

  • You know or suspect that the index contains old data.
  • You know or suspect that the index contains corrupted data.
  • You have changed a great deal of content or several settings (for example, you have modified the rules for content sources) and you want to perform a full update to reflect those changes.
  • You realize that there is a problem with security, and users are able to view data to which they should not have access. Resetting the index immediately removes this data from their access.

    Note In a server farm configuration, you must force propagation if you want to remove user access to this data immediately. For information about forcing propagation, see Propagating a Content Index.

If a user runs a search after you have reset an index but before you have created a new index, the search does not produce any results.

Note You can reset an index only if you have enabled advanced search administration mode. For more information, see Enabling Advanced Search Administration Mode.

Reset a content index

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage content indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Reset Content Index.
  5. On the message box that appears, click OK.

    Resetting the index stops any updates that are in progress and empties the index completely.

    In a server farm configuration, the old index exists on the search servers until you force propagation.

  6. After you reset a content index, you must perform a full update. To do this:
    1. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
    2. On the menu that appears, click Full Update.


Specifying Logging Options for a Content Index

Specifying Logging Options for a Content Index

Each time Microsoft Office SharePoint Portal Server 2003 creates or updates a content index, it also creates a gatherer log file. This file contains data about URLs accessed by SharePoint Portal Server while it creates an index. It can record successful accesses, indexing warnings, access errors, and accesses disallowed by rules (in case the user needs to debug the index restrictions).

By default, SharePoint Portal Server does not log successful accesses, indexing warnings, and accesses disallowed by rules. SharePoint Portal Server deletes the log five days after the last entry has been written to it. For more information about the gatherer log, see Viewing the Gatherer Log for a Content Index.

Note You can specify logging options of an index only if you have enabled advanced search administration mode. For more information, see Enabling Advanced Search Administration Mode.

Specify logging options for a content index

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage content indexes.
  3. On the Manage Content Indexes page, rest the pointer on the content index name, and then click the arrow that appears.
  4. On the menu that appears, click Edit.
  5. On the Manage Index Properties page, in the Logging Options section, do the following:
    • To log each document successfully retrieved, select the Log each document successfully retrieved and any indexing warnings check box.

      You will get a complete record, but the gatherer log will quickly increase in size. For this reason, it is recommended that you log success only as an exception.

    • To see which documents are being excluded from the crawl, select the Log each document excluded from this content index check box.

      Logging excluded items can create many times the number of entries that logging successes creates. It is recommended that you log excluded items only when investigating problems.

      Tip If you are crawling documents but the documents are not being returned in search results, you might not have a filter registered for that document type. To confirm that the lack of a filter is the reason that the documents are not being returned in search results, select the option to log documents that are excluded from the crawl.

  6. Click OK.


Viewing the Gatherer Log for a Content Index

Viewing the Gatherer Log for a Content Index

Each time Microsoft Office SharePoint Portal Server 2003 updates an index, it creates a gatherer log entry in a table in the component settings database for the portal site.

Note The name of the component settings database ends in _SERV, and the first six characters of the database name is based on the first five characters of the portal site name plus a number.

By default, gatherer log entries appear in the component settings database in a table for each of the following:

  • Autocat_train$$$
  • Non_Portal_Content
  • Portal_Content
  • ProfileImport

Log entries contain data about URLs that SharePoint Portal Server accesses while creating an index. The log can record successful accesses, access errors, and accesses affected by rules (in case the user needs to debug or check the rules she has created to include and exclude content). By default, SharePoint Portal Server does not log successful accesses and accesses disallowed by rules.

The log contains up to five days of logging entries. When the first log entry is written during a crawl, any entry older than five days will be overwritten. If no crawl is performed for more than five days, the log will contain records older than five days until a new crawl is started, and then all entries are deleted.

View the gatherer log for a content index

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, do one of the following:
    • If you have not enabled advanced search administration mode, in the General Content Settings and Indexing Status section, next to View errors and warnings on, click portal content or non portal content.
    • If you have enabled advanced search administration mode, do the following:
      1. In the Content Indexes section, click Manage content indexes.
      2. On the Manage Content Indexes page, rest the pointer on the name of the content index, and then click the arrow that appears.
      3. On the menu that appears, click View Gatherer Log.
  3. On the Gatherer Log Details page, you can view summary or detailed information, and you can customize your view of the log.

    If you want to see results from previous crawls, you must clear the Show only entries from last crawl check box. If a crawl has just started, you might not see any results for several minutes.

    By default, the gatherer log shows only the information from the last crawl. It is possible for multiple crawls to overlap. The last crawl is defined as the most recently started unfinished crawl, or if no crawls are unfinished, the most recently finished crawl. If a crawl is still occurring, but a subsequently started crawl has completed, only records from the unfinished crawl are shown unless you clear the Show only entries from last crawl check box.

Administrators can view the gatherer log by using a Microsoft Visual Basic script file. Administrators might want to back up old versions of the gatherer log for statistical purposes or trend analysis. For more information about how to view the log by using a Visual Basic script file, see ToolsHowTo.txt in the Support\Tools directory on the SharePoint Portal Server CD.

You can also view the gatherer log for a content source. For more information, see Viewing the Gatherer Log for a Content Source.


About Content Sources

About Content Sources

A content source is a starting point that Microsoft Office SharePoint Portal Server 2003 uses to create an index of information stored in a particular location. This content can be located on the same server, on another server on your intranet, or on the Internet. After SharePoint Portal Server includes these documents in the index, they are available for users to search for and view on the portal site. Examples of content sources include Web sites, file systems, other SharePoint Portal Server computers, Windows SharePoint Services sites, and Lotus Notes databases.

The Site Directory is the easiest way to add content to the portal site for searching. When a user adds a site, they have the option to include its contents in search results. A search administrator can have sites automatically approved for searching or can manage approval for each site. After approval, a site is included in the index and its contents appear in search results. However, content sources offer more control over what is searched.

SharePoint Portal Server can crawl the following types of content sources:

  • Exchange Server folder Messages, discussions, and collaborative content in a Microsoft Exchange 2000 Server folder.
  • File share The contents of a file share, such as \\myserver\shareddocs\ or file://myserver/shareddocs/.
  • Web page or Web site Any Web content from a single Web page to an entire Web site. Any SharePoint Portal Server site. Any Windows SharePoint Services site, including its HTML content, documents, and lists.
  • Site Directory The sites listed in the Site Directory.
  • Lotus Notes database Any Lotus Notes database. To create a Lotus Notes content source, you must first configure the index management server with the Lotus Notes client and then configure the Lotus Notes protocol handler.

Some content source types, such as Exchange Public Folders and Lotus Notes databases, cannot be included in the Site Directory. You can define content sources for content that is not included in the Site Directory or that requires a special update schedule.

A special type of content source is the "This Portal" content source. As a system content source, you cannot delete it. It controls indexing of all of the portal site internal content.

Security Consideration

Most content source types that ship with Microsoft Office SharePoint Portal Server 2003 have custom protocol handlers that enable SharePoint Portal Server to determine which users have rights to access documents.

The exception to this is the content source for Web pages or Web sites. When crawling a page or site that uses the HTTP or HTTPS protocol, SharePoint Portal Server cannot determine which users can access documents. If HTTPS or other restricted HTTP content is successfully crawled (that is, if the crawling account has access to the content), the content, including a document summary, is returned in search results. Users may see results for documents that they do not have rights to access. These users will be prompted to enter credentials if they click the results for which they do not have access.

This exception does not apply to the following content that uses the HTTP or HTTPS protocol:

  • When you are crawling a workspace in SharePoint Portal Server 2001.
  • When you are crawling a SharePoint Team Services 1.0 site or Windows SharePoint Services site and the crawling account is an administrator on the SharePoint site.

These crawls, although using the HTTP or HTTPS protocols, are able to determine which users can access documents so that content is not exposed to unauthorized users in search results.

Related Topics

Adding a Content Source
Editing a Content Source
Deleting a Content Source
Starting a Full Update of a Content Source
Starting an Incremental Update of a Content Source
Stopping an Update of a Content Source
Viewing the Gatherer Log for a Content Source
Configuring the Lotus Notes Protocol Handler
About the site directory


Adding a Content Source

Adding a Content Source

Add a content source to enable users to search for content that is not stored in the portal site. For more information about the types of content sources you can add, see About Content Sources.

The easiest way to add content to the portal site for searching is by adding a site to the Site Directory and suggesting it for search. However, content sources offer more control over what is searched.

Note SharePoint Portal Server can also crawl Lotus Notes databases. To create a Lotus Notes content source, you must first configure the index management server with the Lotus Notes client and then configure the Lotus Notes protocol handler. For information about configuring the protocol handler, see Configuring the Lotus Notes Protocol Handler.

In advanced search administration mode, you can select a content index for the content source. If you select an index that resides on an index management server on which you have installed the Lotus Notes client and configured the protocol handler, the Lotus Notes content source type is available. If you select an index that resides on a server without this configuration, the Lotus Notes content source type is not available.

You can do the following only if you have enabled advanced search administration mode:

  • Specify a content index for the content source.
  • Specify a source group for the content source.
  • Create a Site Directory content source.
For more information about advanced search administration mode, see Enabling Advanced Search Administration Mode.

Security Consideration

Most content source types that ship with Microsoft Office SharePoint Portal Server 2003 have custom protocol handlers that enable SharePoint Portal Server to determine which users have rights to access documents.

The exception to this is the content source for Web pages or Web sites. When crawling a page or site that uses the HTTP or HTTPS protocol, SharePoint Portal Server cannot determine which users can access documents. If HTTPS or other restricted HTTP content is successfully crawled (that is, if the crawling account has access to the content), the content, including a document summary, is returned in search results. Users may see results for documents that they do not have rights to access. These users will be prompted to enter credentials if they click the results for which they do not have access.

This exception does not apply to the following content that uses the HTTP or HTTPS protocol:

  • When you are crawling a workspace in SharePoint Portal Server 2001.
  • When you are crawling a SharePoint Team Services 1.0 site or Windows SharePoint Services site and the crawling account is an administrator on the SharePoint site.

These crawls, although using the HTTP or HTTPS protocols, are able to determine which users can access documents so that content is not exposed to unauthorized users in search results.

Add a content source

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, do one of the following:
    • In the General Content Settings and Indexing Status section, click Add Content Source.
    • In the Other Content Sources section, click Add Content Source.
    • In the Other Content Sources section, click Manage content sources. On the Manage Content Sources page, click Add Content Source.
  3. If you have enabled advanced search administration mode, on the Add Content Source page, in the Select a content index list, click a content index for this content source.
  4. You can add the following types of content sources:

    Add an Exchange Server folder as a content source

    1. To create a content source that crawls an Exchange 2000 Server folder, click Exchange Server public folder, and then click Next.
    2. On the Add Content Source: Exchange Server folder page, in the Address and Description section, do the following:
      1. In the Address box, type the address of the Exchange Server folder to include in the content index.

        For example, http://exchangeserver/public/folder/subfolder.

      2. In the Description box, type the description of the Exchange Server folder.
    3. In the Crawl Configuration section, do the following:
      1. Click This folder and all subfolders or This folder only.
      2. To include this content source in adaptive updates, select the Include content source in adaptive updates check box.

        Note If you select Include content source in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    4. If you have enabled advanced search administration mode, you can select a source group. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    5. Click Finish.

      After the content source is created, the Created Exchange Server folder content source page appears. You can use this page to further configure the content source.

    Add a file share as a content source

    1. To create a content source that crawls a file share, click File share, and then click Next.
    2. On the Add Content Source: File share page, in the Address and Description section, do the following:
      1. In the Address box, type the address of the file share to include in the content index, for example, \\myserver\shareddocs or file://myserver/shareddocs.

        Note If you are creating a content source that is in a different domain from the portal site, ensure that you type the address with the trailing slash, for example, \\myserver\shareddocs\ or file://myserver/shareddocs/. The crawl may fail if you do not include the trailing slash. In addition, you might need to create a rule that includes or excludes content. For more information, see About Rules That Include or Exclude Content.

      2. In the Description box, type the description of the file share.
    3. In the Crawl Configuration section, do the following:
      1. Click This folder and all subfolders or This folder only.
      2. To include this content source in adaptive updates, select the Include content source in adaptive updates check box.

        Note If you select Include content source in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    4. If you have enabled advanced search administration mode, you can select a source group. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    5. Click Finish.

      After the content source is created, the Created File share content source page appears. You can use this page to further configure the content source.

    Add a Web page or Web site, SharePoint Portal Server portal site, or Windows SharePoint Services site as a content source

    1. To create a content source that crawls a Web page or Web site, SharePoint Portal Server portal site, or Windows SharePoint Services site, click Web page or Web site, and then click Next.
    2. On the Add Content Source: Web page or Web site page, in the Address and Description section, do the following:
      1. In the Address box, type the address of the Web site, portal site, or SharePoint site to include in the content index, for example, http://example.microsoft.com/mypage.htm or http://example.microsoft.com.
      2. In the Description box, type the description of the content source.
    3. In the Crawl Configuration section, do one of the following:
        • Click This site - follow links to all pages on this site.

          Note If you are creating a content source for a portal site or a SharePoint site, you should select the default This site - follow links to all pages on this site option.

        • Click This page only.
        • Click Custom - specify page depth and site hops.

          If you click the custom option, you can limit the page depth and the site hops. To do this, select the Limit page depth and Limit site hops check boxes, and then specify the limits.

          The page depth is the number of links followed within sites. A site hop occurs when a link from one Web site leads to another Web site. If you specify that the number of site hops on a Web site content source is unlimited, Microsoft Office SharePoint Portal Server 2003 can access an unlimited number of sites through the initial site. If you chose to reduce the page depth, three full updates must occur before any previously-crawled pages are excluded.

      2. To include this content source in adaptive updates, select the Participate in adaptive updates check box.

        Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    4. If you have enabled advanced search administration mode, you can select a source group. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    5. Click Finish.

      After the content source is created, the Created Web page or Web site content source page appears. You can use this page to further configure the content source.

    Add a Site Directory as a content source

    1. To create a content source that crawls sites in the Site Directory of another portal site, click SharePoint Portal Server Site Directory, and then click Next.
    2. On the Add Content Source: Site Directory page, in the Address and Description section, do the following:
      1. In the Address box, change the address for the site directory if necessary.

        By default, the address for the site directory is http://server_name/.

      2. In the Description box, type the description of the content source.
    3. In the Crawl Configuration section, to include this content source in adaptive updates, select the Participate in adaptive updates check box.

      Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    4. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    5. Click Finish.

      After the content source is created, the Created Site Directory content source page appears. You can use this page to further configure the content source.

    Add a Lotus Notes database as a content source

    Note This option is only available if you have properly configured the Lotus Notes protocol handler. For more information, see Configuring the Lotus Notes Protocol Handler.

    1. To create a content source that crawls a Lotus Notes database, click Lotus Notes, and then click Next.
    2. On the New Notes Content Source page, in the Name and Information section, do one of the following:
      • To select a server from the list, click This server appears on the list below, and click the server name.
      • To specify the server name, click I will specify the server name, and then type the server name.
    3. Click Next.
    4. On the New Notes Content Source page, in the Database section, select a database from the Pick a database list.
    5. Click Next.
    6. On the New Notes Content Source page, in the Map Lotus Notes properties to search results column section, do the following:
      1. In the Pick the title property list, click a property to use as the title of the document.
      2. In the Pick the author property list, click a property to use as the author of the document.
    7. Click Next.
    8. On the New Notes Content Source page, in the Name and Information section, in the Name box, type a name for the content source.
    9. If you have enabled advanced search administration mode, you can select a source group. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source Group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    10. Click Next.

    After the content source is created, the Lotus Notes content source page appears. You can use this page to further configure the content source.

  5. If you want to start an update immediately, do the following:
    1. On the Created content_source_type content source page, select the Start update now check box.
    2. Click OK.

    Note The default content access account and proxy setting must be specified correctly for a content source to be crawled. These settings are typically specified during the installation process.


Editing a Content Source

Editing a Content Source

You can edit properties of a content source from multiple locations:

  • On the Existing content_source_type content source page, edit the fields that you want to change.
  • On the Manage Content Sources page, click the name of the content source. On the content_source_type content source page, click Edit.

Edit a content source

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Other Content Sources section, click Manage content sources.
  3. On the Manage Content Sources page, rest the pointer on the name of the content source that you want to change, and then click the arrow that appears.
  4. On the menu that appears, click Edit.
  5. On the Existing content_source_type content source page, do one the following:

    Edit an Exchange Server folder content source

    1. In the Address and Description section, in the Description box, type the description of the Exchange Server folder.
    2. In the Crawl Configuration section, do the following:
      1. Click This folder and all subfolders or This folder only.
      2. To include this content source in adaptive updates, select the Include content source in adaptive updates check box.

        Note If you select Include content source in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    3. If you have enabled advanced search administration mode, you can select a source group. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    4. Do one of the following:
      • Click OK.
      • Click Advanced. On the content_source_type content source page, you can specify scheduled updates, specify rules to include or exclude content, or start an update.

    Edit a file share content source

    1. In the Address and Description section, in the Description box, type the description of the file share.
    2. In the Crawl Configuration section, do the following:
      1. Click This folder and all subfolders or This folder only.
      2. To include this content source in adaptive updates, select the Include content source in adaptive updates check box.

        Note If you select Include content source in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    3. If you have enabled advanced search administration mode, you can select a source group. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    4. Do one of the following:
      • Click OK.
      • Click Advanced. On the content_source_type content source page, you can specify scheduled updates, specify rules to include or exclude content, or start an update.

    Edit a Web page or Web site, SharePoint Portal Server portal site, or Windows SharePoint Services site content source

    1. In the Address and Description section, in the Description box, type the description of the content source.
    2. In the Crawl Configuration section, do the following:
      1. Do one of the following:
        • Click This site - follow links to all pages on this site.

          Note If you are creating a content source for a portal site or a SharePoint site, you should select the default This site - follow links to all pages on this site option.

        • Click This page only.
        • Click Custom - specify page depth and site hops.

          If you click the custom option, you can limit the page depth and the site hops. To do this, select the Limit page depth and Limit site hops check boxes, and then specify the limits.

          The page depth is the number of links followed within sites. A site hop occurs when a link from one Web site leads to another Web site. If you specify that the number of site hops on a Web site content source be unlimited, Microsoft Office SharePoint Portal Server 2003 can access an unlimited number of sites through the initial site. If you chose to reduce the page depth, three full updates must occur before any previously-crawled pages are excluded.

      2. To include this content source in adaptive updates, select the Participate in adaptive updates check box.

        Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    3. If you have enabled advanced search administration mode, you can select a source group. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    4. Do one of the following:
      • Click OK.
      • Click Advanced. On the content_source_type content source page, you can specify scheduled updates, specify rules to include or exclude content, or start an update.

    Edit a Site Directory content source

    1. In the Address and Description section, in the Description box, type the description of the content source.
    2. In the Crawl Configuration section, to include this content source in adaptive updates, select the Participate in adaptive updates check box.

      Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    3. Do one of the following:
      • Click OK.
      • Click Advanced. On the content_source_type content source page, you can specify scheduled updates, specify rules to include or exclude content, or start an update.

    Edit a Lotus Notes database as a content source

    1. In the Name and Information section, in the Name box, type a name for the content source.
    2. In the Map Lotus Notes properties to search results column section, do the following:
      1. In the Pick the title property list, click a property to use as the title of the document.
      2. In the Pick the author property list, click a property to use as the author of the document.
    3. If you have enabled advanced search administration mode, you can select a source group. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source Group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.

    Edit the default content sources

    SharePoint Portal Server installs three content sources by default: This portal, Site Directory, and People. If you install the document management component, a content source is also created for the document library that is associated with a portal.

    1. In the Address and Description section, in the Description box, type the description of the content source.
    2. In the Crawl Configuration section, to include this content source in adaptive updates, select the Participate in adaptive updates check box.

      Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    3. If you have enabled advanced search administration mode, you can select a source group. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.

      Note You cannot edit the source group for Site Directory.

    4. Do one of the following:
      • Click OK.
      • Click Advanced. On the content_source_type content source page, you can specify scheduled updates, specify rules to include or exclude content, or start an update.


Deleting a Content Source

Deleting a Content Source

When you delete a content source, it is permanently removed from the portal site. It is not available for search, and you cannot restore it. However, content will be returned in search results until the next full crawl.

You cannot delete the content sources configured during portal site creation.

Delete a content source

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Other Content Sources section, click Manage content sources.
    • On the Manage Content Sources page, rest the pointer on the content source name, and then click the arrow that appears.
    • On the menu that appears, click Delete.
    • In the confirmation message box that appears, click OK.


Starting a Full Update of a Content Source

Starting a Full Update of a Content Source

During a full update, Microsoft Office SharePoint Portal Server 2003 updates all content in the content source. A full update includes adding new content, modifying changed content, refreshing the content index for existing unchanged content, and removing deleted content from the content index. This is the most time-consuming and resource-intensive type of update.

You should perform a full update in the following situations:

  • If you create a new rule that affects only one content source, you should perform a full update on that content source.
  • If files are renamed in a specific content source, you should perform a full update on that content source.

Note If you change settings to reduce the amount of content that is crawled (for example, you change rules that include or exclude content to limit the crawl, or you reduce the crawling depth for the content source), three full updates must occur before any previously-crawled pages are excluded from the index.

You can start a full update only if the update status is Idle. You can view the update status in the Update Status column for the content source on the Manage Content Sources page.

Start a full update of a content source

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Other Content Sources section, click Manage content sources.
  3. On the Manage Content Sources page, rest the pointer on the name of the content source, and then click the arrow that appears.
  4. On the menu that appears, click Start Full Update.

You can schedule automatic updates of a content source. For more information, see Specifying the Search Schedule for a Content Source.


Starting an Incremental Update of a Content Source

Starting an Incremental Update of a Content Source

An incremental update of a content source includes only changed content. Microsoft Office SharePoint Portal Server 2003 removes deleted content from the content index but does not recrawl unchanged content. For this reason, performing an incremental update is faster than performing a full update.

You can perform an incremental update if you know that content has changed but you do not want to perform a full update. A periodic incremental update creates the index without using the time or resources required for a full update. You can then perform a full update less often. In general, you should perform an incremental update unless there is a reason for performing a full update.

Note You can optimize your resources by configuring SharePoint Portal Server to perform an incremental update daily and a full update weekly. This allows you to have daily updates of changed content and periodic full updates of all content.

An incremental update does not update content that you have excluded by using the rules settings for the content index. For example, you have configured a content source to create a content index of document types .doc, .htm, and .ppt. You perform a full update. You then modify the content source so that it creates an index that includes only .doc and .htm document types (you exclude content with a document type of .ppt). You must perform a full update to incorporate this change into the content index.

You can start an incremental update only if the update status is Idle. You can view the update status in the Update Status column for the content source on the Manage Content Sources page.

Start an incremental update of a content source

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Other Content Sources section, click Manage content sources.
  3. On the Manage Content Sources page, rest the pointer on the name of the content source, and then click the arrow that appears.
  4. On the menu that appears, click Start Incremental Update.

You can schedule automatic updates of a content source. For more information, see Specifying the Search Schedule for a Content Source.


Stopping an Update of a Content Source

Stopping an Update of a Content Source

You can stop an update of a single content source. If you stop an update, you cannot continue the update.

When you stop an update, the update process stops only after it finishes processing the current document. The content index contains everything processed before you stopped the update, and on a single server configuration the changes appear in search results. However, in a server farm configuration, stopping an update of a content source prevents any updated documents from appearing in search results because propagation to the search servers does not occur. Propagating the index will cause the contents of the partially-updated index to be reflected in search results. For more information about propagating an index, see Propagating a Content Index.

Note In a server farm configuration, you cannot stop an update while it is propagating files to the search server.

Stop a full update of a content source

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Other Content Sources section, click Manage content sources.
  3. On the Manage Content Sources page, rest the pointer on the name of the content source, and then click the arrow that appears.
  4. On the menu that appears, click Stop Update.


Viewing the Gatherer Log for a Content Source

Viewing the Gatherer Log for a Content Source

Each time Microsoft Office SharePoint Portal Server 2003 updates a content index, it creates a gatherer log file. This file contains data about URLs that SharePoint Portal Server accesses while creating an index. The file can record successful accesses, access errors, and accesses disallowed by rules (in case the user needs to debug the index restrictions).

You can filter this log file and view the gatherer log for a specific content source.

By default, SharePoint Portal Server does not log successful accesses and accesses disallowed by rules. SharePoint Portal Server deletes the log after five days.

View the gatherer log for a content source

  1. On the Site Settings page, in the Search Settings and Indexed Content page, click Configure search and indexing.
  2. On the Customize Search and Indexing page, in the Other Content Sources section, click Manage content sources.
  3. On the Manage Content Sources page, rest the pointer on the name of the content source, and then click the arrow that appears.
  4. On the menu that appears, click View Gatherer Log.
  5. On the Gatherer Log Details page, you can view summary or detailed information, and you can customize your view of the log.

    Note By default, the gatherer log shows only the information from the last crawl. If you want to see results from previous crawls, you must clear the Show only entries from last crawl check box. If a crawl has just started, you might not see any results for several minutes.


Creating a Search Schedule

Creating a Search Schedule

By creating a schedule for updates, you can customize how often Microsoft Office SharePoint Portal Server 2003 updates the information in an individual content source or in a content index.

You can create overlapping schedules to allow for the most effective update of information. For example, you can create a full update that runs every day at midnight, and you can create incremental updates which run continuously every day.

Create an update schedule for search
  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, click Manage search schedules.
  3. On the Manage Search Schedules page, click New Search Schedule.
  4. On the Edit Search Schedule page, in the Content area list, click the content index for which you want to create an update schedule.
  5. In the Content source list, click the content source for which you want to create an update schedule.

    If you want the schedule to apply to the entire index, click All content sources.

    You can select specific content sources if you know that certain content needs to refresh faster than other content.

  6. In the Update type list, click the update type.
  7. Do one of the following:

    Schedule daily updates

    1. In the Schedule type list, click Daily.
    2. In the Starting time list, click a starting time for the update.
    3. If you want to repeat the task within the time frame of a day, do the following:
      1. Select the Repeat task check box.
      2. In the Task interval (minutes) box, type a number to determine how many minutes elapse before the update starts again.
      3. In the Task duration (minutes) box, type a number to determine the time period during which the update repeats.
    4. In the Schedule interval (days) box, type how often you want the daily schedule to repeat.

      By default, if you select Daily and want to repeat the task, the content source is updated starting at 12 A.M. every 5 minutes for 24 hours (1440 minutes), and the update repeats every day.

      For example, you can schedule a crawl that runs every five minutes every day during business hours. To do this, schedule a daily update starting at 9:00 A.M. Select the Repeat task check box, specify a Task interval of 5 minutes, specify a Task duration of 480 minutes (8 hours), and specify a Schedule interval of 1 day. The crawl runs every day every 5 minutes between 9 A.M. and 5 P.M.

    Schedule weekly updates

    1. In the Schedule type list, click Weekly.
    2. In the Starting time list, click a starting time for the update.
    3. If you want to repeat the task within the time frame of a day, do the following:
      1. Select the Repeat task check box.
      2. In the Task interval (minutes) box, type a number to determine how many minutes elapse before the update starts again.
      3. In the Task duration (minutes) box, type a number to determine the time period during which the update repeats.
    4. In the Schedule interval (weeks) box, type how often you want the weekly schedule to repeat.
    5. On the list of weekdays, select the check box for the day of the week on which you want the update to run.

      By default, if you select Weekly and want to repeat the task, the content source is updated starting at 12 A.M. every 5 minutes for 24 hours (1440 minutes), and the update repeats on the day of the week on which you create the schedule.

  8. Click OK.


Editing a Search Schedule

Editing a Search Schedule

You can edit the schedule for an update.

Edit an update schedule for search

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, click Manage search schedules.
  3. On the Manage Search Schedules page, rest the pointer on the name of the content area for the schedule that you want to change, and then click the arrow that appears.
  4. On the menu that appears, click Edit this schedule.
  5. On the Edit Search Schedule page, in the Content area list, click the content index for which you want to edit an update schedule.
  6. In the Content source list, click the content source for which you want to edit an update schedule.

    If you want the schedule to apply to the entire index, click All content sources.

  7. In the Update type list, click the update type.
  8. Do one of the following:

    Schedule daily updates

    1. In the Schedule type list, click Daily.
    2. In the Starting time list, click a starting time for the update.
    3. If you want to repeat the task within the time frame of a day, do the following:
      1. Select the Repeat task check box.
      2. In the Task interval (minutes) box, type a number to determine how many minutes elapse before the update starts again.
      3. In the Task duration (minutes) box, type a number to determine the time period during which the update repeats.
    4. In the Schedule interval (days) box, type how often you want the daily schedule to repeat.

      By default, if you select Daily and want to repeat the task, the content source is updated starting at 12 A.M. every 5 minutes for 24 hours (1440 minutes), and the update repeats every day.

      For example, you can schedule a crawl that runs every 5 minutes every day during business hours. To do this, schedule a daily update starting at 9:00 A.M. Select the Repeat task check box, specify a Task interval of 5 minutes, specify a Task duration of 480 minutes (8 hours), and specify a Schedule interval of 1 day. The crawl runs every day every 5 minutes between 9 A.M. and 5 P.M.

    Schedule weekly updates

    1. In the Schedule type list, click Weekly.
    2. In the Starting time list, click a starting time for the update.
    3. If you want to repeat the task within the time frame of a day, do the following:
      1. Select the Repeat task check box.
      2. In the Task interval (minutes) box, type a number to determine how many minutes elapse before the update starts again.
      3. In the Task duration (minutes) box, type a number to determine the time period during which the update repeats.
    4. In the Schedule interval (weeks) box, type how often you want the weekly schedule to repeat.
    5. On the list of weekdays, select the check box for the day of the week on which you want the update to run.

      By default, if you select Weekly and want to repeat the task, the content source is updated starting at 12 A.M. every 5 minutes for 24 hours (1440 minutes), and the update repeats on the day of the week on which you create the schedule.

  9. Click OK.


Deleting a Search Schedule

Deleting a Search Schedule

You can delete the schedule for an update if you no longer need it.

Delete an update schedule for search

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, click Manage search schedules.
  3. On the Manage Search Schedules page, rest the pointer on the schedule name, and then click the arrow that appears.
  4. On the menu that appears, click Delete this schedule.
  5. In the confirmation message box that appears, click OK.


Specifying the Search Schedule for a Content Source

Specifying the Search Schedule for a Content Source

By scheduling individual updates, you can customize how often Microsoft Office SharePoint Portal Server 2003 updates the information in an individual content source separately from how often SharePoint Portal Server updates a content index.

Specify a search schedule for a content source
  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, do one of the following:
    • In the Other Content Sources section, click Manage content sources, and then do the following:

      Note If you create or edit a search schedule by using this method, the content area, content source, and update type are all selected by default on the Edit Search Schedule page.

      1. On the Manage Content Sources page, rest the pointer on the name of the content source for which you want to specify a search schedule, and then click the arrow that appears.
      2. On the menu that appears, click Edit.
      3. On the Content_source_type content source page, click Advanced.
      4. In the Scheduled Updates section, click Specify full update schedule or Specify incremental update schedule.
    • In the General Content Settings and Indexing Status section, click Manage search schedules, and then do the following:
      1. On the Manage Search Schedules page, rest the pointer on the name of the content area that contains the content source for which you want to specify a search schedule, and then click the arrow that appears.
      2. On the menu that appears, click Edit this schedule.
  3. On the Edit Search Schedule page, do the following:
    1. In the Content area list, click the content area that contains the content source for which you want to specify an update schedule for search.
    2. In the Content source list, click the content source for which you want to specify an update schedule for search.
    3. In the Update type list, click the update type.
    4. Do one of the following:

      Schedule daily updates

      1. In the Schedule type list, click Daily.
      2. In the Starting time list, click a starting time for the update.
      3. If you want to repeat the task within the time frame of a day, do the following:
        1. Select the Repeat task check box.
        2. In the Task interval (minutes) box, type a number to determine how many minutes elapse before the update starts again.
        3. In the Task duration (minutes) box, type a number to determine the time period during which the update repeats.
      4. In the Schedule interval (days) box, type how often you want the daily schedule to repeat.

        By default, if you select Daily and want to repeat the task, the content source is updated starting at 12 A.M. every 5 minutes for 24 hours (1440 minutes), and the update repeats every day.

        For example, you can schedule a crawl that runs every five minutes every day during business hours. To do this, schedule a daily update starting at 9:00 A.M. Select the Repeat task check box, specify a Task interval of 5 minutes, specify a Task duration of 480 minutes (8 hours), and specify a Schedule interval of 1 day. The crawl runs every day every 5 minutes between 9 A.M. and 5 P.M.

      Schedule weekly updates

      1. In the Schedule type list, click Weekly.
      2. In the Starting time list, click a starting time for the update.
      3. If you want to repeat the task within the time frame of a day, do the following:
        1. Select the Repeat task check box.
        2. In the Task interval (minutes) box, type a number to determine how many minutes elapse before the update starts again.
        3. In the Task duration (minutes) box, type a number to determine the time period during which the update repeats.
      4. In the Schedule interval (weeks) box, type how often you want the weekly schedule to repeat.
      5. On the list of weekdays, select the check box for the day of the week on which you want the update to run.

        By default, if you select Weekly and want to repeat the task, the content source is updated starting at 12 A.M. every 5 minutes for 24 hours (1440 minutes), and the update repeats on the day of the week on which you create the schedule.

  4. Click OK.


About Data Store Files for Search

About Data Store Files for Search

The following data store and log files are associated with the Microsoft Office SharePoint Portal Server 2003 computer:

  • Content Indexes for Search When a portal site is created, SharePoint Portal Server creates two content indexes. When indexes are propagated to the search servers, SharePoint Portal Server creates the indexes under the root node. If you have enabled advanced search administration, you can specify the location of an index when you create it.

    To move existing indexes to a new location, see ToolsHowTo.txt in the Support\Tools directory on the SharePoint Portal Server CD.

    For information about content indexes, see About Content Indexes.

  • Search Temporary Files SharePoint Portal Server may need to create temporary files for documents being crawled. For best performance, the temporary files location should point to a disk other than the system drive or the drive that contains any SharePoint Portal Server data files, including the index files.

    By default, the Microsoft SharePoint Portal Server Search service (SharePointPSSearch) temporary files are stored in \Program Files\SharePoint Portal Server\DATA\Temp unless another location is specified by the server farm administrator. For more information, see Specifying the Location for Temporary Files.

    Important For SharePointPSSearch to operate correctly, you must ensure that there is sufficient space on this drive to store the SharePointPSSearch temporary files. The typical default for the system TMP variable points to the system drive, which is not the optimal configuration for performance. To optimize performance, you must ensure that the property store files, the search indexes, the system page files, and the Web Storage System files (if any) are stored on spindles separate from the SharePointPSSearch temporary folder.

  • Search Gatherer Logs Each time SharePoint Portal Server creates an index, it creates a log file for that portal site. This log file contains data about crawling content sources and records access errors.

    The gatherer log contains data about URLs that are accessed while an index is being created. By default, the file records errors and warnings. For debugging, you can also configure the log to record successful accesses and accesses that are disallowed by rules.

    For information about specifying settings for the gatherer log, see Specifying Logging Options for a Content Index and Specifying Logging Options When Using Simple Search Administration Mode.

If you install the optional component for backward-compatible document libraries (Web Storage System-based), you will have these additional data store files:

  • Microsoft Web Storage System — Database Every computer on which the optional component for backward-compatible document libraries is installed contains one public store (wss.mdb). All document libraries hosted on the server reside on the Web Storage System.
  • Web Storage System — Streaming Database Used for streaming files, the Web Storage System Streaming Database file (wss.stm) contains data and is a companion to the Web Storage System Database file (wss.mdb). Together these two files form the database. Document streams make up a sizable part of the total amount of data. You might want to move this file to a larger drive (ideally a dynamic disk that you can easily resize) because it can increase substantially over time.
  • Web Storage System — Database Log These are the log files for the Web Storage System. For optimal performance, place the log files on a dedicated physical volume.

    It is recommended that all files be stored on the same computer as the Web Storage System, although they can be on separate partitions. For optimal performance, place the log files on dedicated physical volumes. In addition, store the indexes on drives formatted for the NTFS file system.


Specifying the Location for Temporary Files

Specifying the Location for Temporary Files

Microsoft Office SharePoint Portal Server 2003 may need to create temporary files for documents being crawled. For best performance, the temporary files location should point to a disk other than the system disk or the disk that contains any SharePoint Portal Server data files, including the full-text index files.

Note If this location changes, the existing files do not move to the new path. However, SharePoint Portal Server creates subsequent files in the new location.

By default, the Microsoft SharePointPS Search service (SharePointPSSearch) temporary files are stored on the operating system drive in the \Program Files\SharePoint Portal Server\DATA\Temp directory.

Important For SharePointPSSearch to operate correctly, you must ensure that there is sufficient space on this drive to store the SharePointPSSearch temporary files. To optimize performance, you should ensure that the property store files, the full-text indexes, the system page files, and the Web Storage System files are stored on spindles separate from the SharePointPSSearch temporary folder.

For more information, see About Data Store Files for Search.

Specify the location for temporary files

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Manage the Search Service.
  2. On the Manage Search Settings page, in the Servers and Topology section, click the server name.
  3. On the Search Server Settings page, click the Server Settings tab.
  4. In the File Locations section, type the location for the temporary files.
  5. Click Apply.


Manage keywords

Manage keywords

Keywords are used to mark specific items as more relevant for a particular word included in search, so that they show up more prominently in search results.

Administrators create keywords for common searches, and then add keyword Best Bets for each keyword that are items most relevant to that search. You can create additional keywords under existing keywords based on subject matter. This is useful for organizing keywords, but the keyword Best Bets for lower-level keywords do not appear in search results for the higher-level keywords.

When a user types a keyword or synonym for a keyword in the search box, its keyword Best Bets are shown with the highest relevance in search results. These items are also identified with a distinctive icon as keyword Best Bets.

To create keywords, you must have the create area right. To edit and delete keywords, you must have the manage area right. To add, edit, and delete keyword best bets, you must have the add items, edit items, and delete items rights.

Approval and publishing

Keyword Best Bets must be approved before they can be used by search. Keyword managers can choose to approve new keyword Best Bets automatically or require an approval process.

Keyword Best Bets can be in several different states depending upon their approval status and publishing dates. The status of keyword Best Bets is shown in particular ways depending upon how you are viewing keywords and keyword Best Bets.

Creating and managing keywords

You can create keywords and add keyword Best Bets from the Actions section of the action pane. You can also add, edit, and delete keywords and keyword Best Bets by clicking existing keywords or keyword Best Bets, and then clicking the appropriate action.

To manage keywords, click Site Settings, and in the Search Settings and Indexed Content section, click Manage keywords.

Views of keywords and keyword Best Bets

On the Keywords page, in the Views section of the action pane, you can change the view of keywords and keyword Best Bets:

  • Keywords This view shows all keywords that are created for this server. By default, the items that are selected as keyword Best Bets are shown under the appropriate keywords. Keyword Best Bets are marked with icons to show their status. You may choose to show only the keywords by clicking Keywords Only in the Show list on the toolbar.

  • Keyword Best Bets This view shows a flat list of all keyword Best Bets. Each keyword Best Bet in the list shows the keyword with which it is associated, the user who created it, and its status. You can organize the list into groups by using any of these properties.

    To organize by groups, click the property in the Group by list. You can filter the view to show only items with a particular status by clicking Filter on the toolbar, and then clicking a status in the Status list that appears on the page. You can also choose whether to include the description for each keyword Best Bet by clicking Show More or Show Less on the toolbar.

    From this view, to add a keyword Best Bet click Add Keyword Best Bet on the toolbar. To edit or delete keyword Best Bets, or change the status of a keyword Best Bet, click the item and then click the appropriate action.

    You can view information about the keyword for a keyword Best Bet by clicking the keyword property for the keyword Best Bet. This also displays contact information for the person who created the keyword.

  • Pending This is similar to the Keyword Best Bets view, but shows only keyword Best Bets that are marked as pending approval.
  • Rejected This is similar to the Keyword Best Bets view, but shows only keyword Best Bets that are rejected.
  • Archived This is similar to the Keyword Best Bets view, but shows only keyword Best Bets that are marked for archiving.

Related Topics

Create, edit, and delete keywords
Add, edit, and delete keyword Best Bets
Approve, reject, and archive keyword Best Bets
About search


Create, edit, and delete keywords

Create, edit, and delete keywords

Use keywords to mark certain items as more relevant for searches that contain the keywords. Keywords are words or phrases that are likely to be used in searches.

You can create keywords under the main Keywords heading or under an existing keyword. Typically, keywords that are placed under existing keywords are more specific examples of the subject matter covered by the existing keyword. For example, the keyword "cat" might exist under the keyword "animal."

After you create keywords, you then add keyword Best Bets for the items that are most relevant for that keyword. When you search the portal by using a keyword as one of the search terms, SharePoint Portal Server displays all keyword Best Bets for that keyword prominently in search results.

Create a keyword

  1. Click Site Settings, and in the Search Settings and Indexed Content section, click Manage keywords.
  2. On the Keywords page, click the keyword under which you want to create a keyword, and then click Create Keyword.

    You can also create a keyword by clicking Create Keyword in the Actions section of the action pane.

  3. On the Create Keyword page, in the Title and Description section, type a title and description for this keyword.

    The title is the word that is typed in the search box that causes the keyword Best Bets for this keyword to appear in search results.

  4. In the Synonyms section, type any words or phrases that users might use in the search box for which you want the keyword Best Bets for this keyword to appear.

    Note To minimize unnecessary duplication of keywords, you are warned whenever you add a synonym that already exists for another keyword.

  5. In the Parent Keyword section, click Change parent keyword to change the location of this keyword and create it under a different keyword.

    In the Keyword Chooser window, select the keyword under which to create this keyword, and then click OK.

  6. On the Create Keyword page, click OK.

Edit a keyword

  1. Click Site Settings, and in the Search Settings and Indexed Content section, click Manage keywords.
  2. On the Keywords page, point to the keyword, click the arrow on the bar that appears, and then click Edit on the menu that appears.
  3. On the Edit Keyword page, click the General tab, and in the Title and Description section, type a new title or description for this keyword.

    A new title may be appropriate if users are not finding your keyword Best Bets for this keyword with its current title, or if you are reorganizing existing keywords.

  4. In the Synonyms section, type any words or phrases that users might use in the search box for which you want the keyword Best Bets for this keyword to appear.

    Note To minimize unnecessary duplication of keywords, you are warned whenever you add a synonym that already exists for another keyword.

  5. In the Parent Keyword section, click Change parent keyword to change the location of this keyword and place it under a different keyword.

    In the Keyword Chooser window, select the keyword under which to place this keyword, and then click OK.

  6. In the Dates section, you see when this keyword was created and who created it, as well as when it was last modified and who modified it.

    Note This information cannot be changed, but may be useful for managing this keyword.

  7. Click the Publishing tab of the Edit Keyword page to view or change the publishing settings for this keyword.
  8. In the Keyword Approval section, for Require approval to publish new keywords, select Yes if you want to require approval to publish new keyword Best Bets and keywords added to this keyword from everyone except the keyword manager.

    Select No to approve keyword Best Bets automatically for all users.

  9. For Automatically approve all keywords added by keyword manager, select Yes to automatically approve all keyword Best Bets and keywords added to this keyword by the keyword manager.

    Select No to require that the keyword manager approve all items manually.

  10. Click OK.

Delete a keyword

  1. Click Site Settings, and in the Search Settings and Indexed Content section, click Manage keywords.
  2. On the Keywords page, point to the keyword, click the arrow on the bar that appears, and then click Delete on the menu that appears.
  3. On the confirmation message that appears, click OK.

    Note Deleting a keyword also deletes the keywords and keyword Best Bets that are added to that keyword. Delete a keyword only if you also intend to delete its keywords and keyword Best Bets.

Related Topics

Add, edit, and delete keyword Best Bets
Approve, reject, and archive keyword Best Bets
Manage keywords
About search


Add, edit, and delete keyword Best Bets

Add, edit, and delete keyword Best Bets

Keyword Best Bets are relevant items that you can choose for a subject. You add keyword Best Bets to a keyword to mark the items that are most relevant for that keyword. When a portal user types a keyword into the search box, all keyword Best Bets for that keyword are displayed prominently in search results.

After you add, edit or delete a keyword Best Bet, you must wait until the next scheduled update of the portal content before the Best Bets appear in search results.

Add a keyword Best Bet

  1. Click Site Settings, and in the Search Settings and Indexed Content section, click Manage keywords.
  2. Do one of the following:
    • On the Keywords page, click the keyword under which you want to add a keyword Best Bet, and then click Add Keyword Best Bet.
    • In the Actions section of the action pane, click Add Keyword Best Bet.
  3. On the Add Keyword Best Bet page, in the Title and Description section, type a title and description for this keyword Best Bet.
  4. In the Address section, type the address for the item that you are adding as a keyword Best Bet.
  5. In the Keyword section, click Change parent keyword to add this keyword Best Bet to a different keyword than the one listed.

    In the Keyword Chooser window, select the keyword under which to add this keyword Best Bet, and then click OK.

  6. On the Keywords page, click OK.

Edit a keyword Best Bet

  1. Click Site Settings, and in the Search Settings and Indexed Content section, click Manage keywords.
  2. On the Keywords page, point to the keyword Best Bet, click the arrow on the bar that appears, and then click Edit on the menu that appears.
  3. On the Change Settings page, in the General tab, in the Title and Description section, type a new title or description for this keyword Best Bet.
  4. In the Address section, type the address for the item that you are adding as a keyword Best Bet.

    Note You might need to change the address if the item's location has changed, or if you want to point this keyword Best Bet at a different item.

  5. In the Keyword section, click Change parent keyword to add this keyword Best Bet to a different keyword than the one listed.

    In the Keyword Chooser window, select the keyword under which to add this keyword Best Bet, and then click OK.

  6. In the Related Best Bets section, keyword Best Bets for other keywords that point to the same item as this keyword Best Bet are listed. Click the listed keyword Best Bets to edit those keyword Best Bets at the same time as you edit this keyword Best Bet. If this is the only keyword Best Bet that points to this item, no links are shown.
  7. In the Dates section, you see when this keyword Best Bet was created and who created it, as well as when it was last modified and who modified it.

    Note This information cannot be changed, but it may be useful for managing this keyword Best Bet.

  8. Click the Publishing tab to view or change the publishing settings for this keyword Best Bet.
  9. In the Approval Status section, select a status for this keyword Best Bet.
  10. Click OK.

Delete keyword Best Bet

  1. Click Site Settings, and in the Search Settings and Indexed Content section, click Manage keywords.
  2. On the Keywords page, point to the keyword Best Bet, click the arrow on the bar that appears, and then click Delete on the menu that appears.
  3. On the confirmation message that appears, click OK.

Related Topics

Approve, reject, and archive keyword Best Bet
Create, edit, and delete keywords
Manage keywords
About search


Approve, reject, and archive keyword Best Bets

Approve, reject, and archive keyword Best Bets

Keyword Best Bets are used in search only after the keyword Best Bets have been approved. Requiring approval helps keep results well-managed and under control.

The use of approval results in several kinds of status for keyword Best Bets:

  • Pending Pending keyword Best Bets are those that must be approved by a user with approval rights for the portal site before they are used by search. Depending on your rights and the settings for each keyword, keyword Best Bets may be approved by default. You may also want to reactivate an archived keyword Best Bet, or resubmit a rejected keyword Best Bet for approval. To change the status of an item to Pending, point to the item, click on the arrow that appears, and then click Undo Approval. That sets the status of the keyword Best Bet to Pending, allowing anyone with the proper rights to approve or reject the keyword Best Bet.
  • Approved Approved keyword Best Bets are those that were submitted for approval and then approved by someone with approval rights on the portal site. Depending on your keyword settings, some keyword Best Bets may be approved by default. You may want to reactivate and approve an archived keyword Best Bet, or change the status of a rejected item to Approved. To approve a keyword Best Bet, point to the item, click on the arrow that appears, and then click Approve.
  • Rejected Rejected keyword Best Bets are those that were submitted for approval and then rejected by someone with approval rights on the portal site. Depending on your keyword settings, some keyword Best Bets may be approved by default. You may want to reject a previously approved item or an item that is Pending. To reject a keyword Best Bet, point to the item, click on the arrow that appears, and then click Reject.
  • Archived Archived keyword Best Bets are those that are not in use now but that may be useful in the future. You can choose to mark any keyword Best Bet for archiving at any time. To mark a keyword Best Bet for archiving, point to the item, click on the arrow that appears, and then click Archive. You must have an archiving program compatible with Microsoft Office SharePoint Portal Server 2003 to move the marked keyword Best Bets to an archive.

Check your keyword Best Bets regularly to approve pending keyword Best Bets, and to ensure that the status of other keyword Best Bets is appropriate. Your search results are improved by proper management of the status of keyword Best Bets.

Related Topics

Create, edit, and delete keywords
Add, edit, and delete keyword Best Bets
Manage keywords
About search


Managing Search Scopes

Managing Search Scopes

Search scopes allow users to narrow their searches based on the topics, areas, and content sources of items on the portal. Search scopes appear to all users in a list next to the portal search box.

Site administrators create the search scopes that appear in the list next to the portal search box. These search scopes are typically limited to specific topics and content sources that the site administrator has decided are important and common enough to make them useful to users in the organization.

Search scopes may be limited by either topics and areas or the type of content sources where content outside the portal can be found. Content sources outside the portal can be grouped into certain types, and you may want to limit your search scope to exclude or include particular content source groups.

To view the Manage Search Scopes page, in Site Settings in the Search Settings and Indexed Content section, click Manage search scopes. A link to this page is also available on the Configure Search and Indexing page.

The Manage Search Scopes page contains a list of currently defined search scopes. You may reorganize the order of this list by clicking the arrow next to a search scope and then clicking Move Up or Move Down. To make a search scope the default search scope in the portal, click the arrow next to the search scope and click Use as Default Scope.

Related Topics

Adding and Editing Search Scopes
Deleting Search Scopes
About Search


Adding and Editing Search Scopes

Adding and Editing Search Scopes

Search scopes appear in a list next to the search box on the portal site. By default, there is a scope for All sources. Other search scopes can be added by site administrators.

Add a search scope

  1. Click Site Settings, and in the Search Settings and Indexed Content section, click Manage search scopes.
  2. On the Manage Search Scopes page, on the toolbar, click New Search Scope.
  3. On the Add Search Scope page, type a name for this search scope.
  4. Decide whether you want to limit the scope by topics or other portal areas. In the Topics and Areas section, select Include all contents if this search scope is not limited by topic or area. To search only those items that are not in topics or areas, click Include no topic or area in this scope. To limit this search scope by topic or area, select Limit the search scope to items in the following topics or areas and then click Change areas.
  5. On the Change Location page, select areas to use for this search scope. You may select one or more areas, but each selected area includes all of its subareas. Only items in the selected areas show up in search results when using this search scope. When you are finished selecting areas, click OK.
  6. In the Content Source Groups section, select Include all content sources if this search scope is not limited to certain groups of content sources. Select Exclude all content sources to limit the search scope to only the default content source for this portal. To limit the search scope to particular content source groups, select Limit the scope to the following groups of content sources, and then select the content source groups that apply.
  7. Click OK.

Edit a search scope

  1. Click Site Settings, and in the Search Settings and Indexed Content section, click Manage search scopes.
  2. On the Manage Search Scopes page, point to the search scope you want to edit, click the arrow on the bar that appears, and then click Edit.
  3. On the Edit Search Scope page, you can type a new name for this search scope.
  4. Decide whether you want to limit the scope by topics or areas. In the Topics and Areas section, select Include all contents if this search scope is not limited by topic or area. To search only those items that are not in topics or areas, click Include no topic or area in this scope. To limit this search scope by topic or area, select Limit the search scope to items in the following topics or areas and then click Change areas.
  5. On the Change Location page, select areas to use for this search scope. You may select one or more areas, but each selected area includes all of its subareas. Only items in the selected areas show up in search results when using this search scope. When you are finished selecting areas, click OK.
  6. In the Content Source Groups section, select Include all content sources if this search scope is not limited to certain groups of content sources. Select Exclude all content sources to limit the search scope to only the default content source for this portal. To limit the search scope to particular content source groups, select Limit the scope to the following groups of content sources, and then select the content source groups that apply.
  7. Click OK.

Related Topics

Deleting Search Scopes
Managing Search Scopes
About Search


Deleting Search Scopes

Deleting Search Scopes

You can delete a search scope.

  1. Click Site Settings.
  2. On the Site Settings page, in the Search Settings and Indexed Content section, click Manage search scopes.
  3. On the Manage Search Scopes page, point to the scope, click the arrow on the bar that appears, and then click Delete on the menu that appears.
  4. On the confirmation message that appears, click OK.

Related Topics

Adding and Editing Search Scopes
Managing Search Scopes
About Search


Managing Crawling of the Site Directory

Managing Crawling of the Site Directory

When users add links to sites in the Site Directory, they can choose to include the sites in search results.

Before sites can appear in search results, a member of the Administrator site group must approve them. Sites added by administrators are automatically approved. Rejected sites and sites that are pending approval do not appear in search results.

A site administrator can approve and reject sites for crawling and otherwise manage the crawling of the Site Directory from the View sites pending approval for indexing page. You can reach this page by clicking Manage crawls of Site Directory in the Search Settings and Indexed Content section of the Site Settings page.

Sites that are approved are crawled when the content index is updated, and appear in search results. Sites that are rejected are not crawled and do not appear in search results. A site administrator can quickly see what sites need to be reviewed, what sites are already approved, and what sites are rejected.

This page has the following views:

  • Requested Sites Displays all sites in the Site Directory that have not been approved or rejected, and require approval before they can be crawled. This is the default view for this page.
  • Approved Sites Displays all sites in the Site Directory that are approved and appear in search results, including sites approved automatically.
  • Rejected Sites Displays all rejected sites. These sites are not crawled and do not appear in search results.

To see one of these views, click the link for the view in the Crawl status of sites list.

On the View sites pending approval for indexing page, there are links to Manage search scopes and Manage Content Sources. You can also add and delete links to sites by using the toolbar on this page.

Approve and Reject Sites for Crawling

Approve a site

  1. On the title bar, click Site Settings.
  2. On the Site Settings page, in the Search Settings and Indexed Content section, click Manage crawls of Site Directory.
  3. In the drop-down list next to the site that you want to approve, click Crawl this site.

    The site is approved and will be crawled the next time the content index is updated. The site will appear in search results.

  4. To approve multiple sites, select the check box next to each site that you want to approve, and then click Crawl this site in the Edit Multiple drop-down list on the toolbar.

Reject a site

  1. On the title bar, click Site Settings.
  2. On the Site Settings page, in the Search Settings and Indexed Content section, click Manage crawls of Site Directory.
  3. In the drop-down list next to the site that you want to approve, click Do not crawl this site.

    The site is rejected and is not crawled. The site will not appear in search results.

  4. To reject multiple sites, select the check box next to each site that you want to reject, and then click Do not crawl this site in the Edit Multiple drop-down list on the toolbar.

Require approval for crawling

  1. On the title bar, click Site Settings.
  2. On the Site Settings page, in the Search Settings and Indexed Content section, click Manage crawls of Site Directory.
  3. In the drop-down list next to the site that you want to approve, click Require approval for crawling.

    The status of the site is set to pending and the site is not crawled. The site does not appear in search results.

  4. To require approval for crawling for multiple sites, select the check box next to each site that you want to reject, and then click Require approval for crawling in the Edit Multiple drop-down list on the toolbar.

Add and Delete Site Links

You can add and delete site links from the View sites pending approval for indexing page.

Add a site link

  1. On the title bar, click Site Settings.
  2. On the Site Settings page, in the Search Settings and Indexed Content section, click Manage crawls of Site Directory.
  3. On the toolbar of the View sites pending approval for indexing page, click Add Link to Site. For more information about adding a link to a site, see Add a link to a site.

Delete a site link

  1. On the title bar, click Site Settings.
  2. On the Site Settings page, in the Search Settings and Indexed Content section, click Manage crawls of Site Directory.
  3. On the View sites pending approval for indexing page, select the check box next to every site link that you want to delete.
  4. On the toolbar, click Delete.

Related Topics

About the Site Directory
Search the Site Directory
Add a link to a site
Managing Search Scopes
Managing Content Sources


Specifying Default Search Behavior for the Site Directory

Specifying Default Search Behavior for the Site Directory

Users can suggest that sites they add or link to the Site Directory be searchable. You can specify the way those sites appear in the content index. You can specify that the sites are automatically crawled, automatically not crawled, or require approval before being crawled.

By default, a site will be included in the index for the Site Directory content source in the Non_Portal_Content index. If you have enabled advanced search administration mode, you can also create a Site Directory content source and specify the content index that will include the content source. Once a site is crawled, the content is available for searching. The settings for default search behavior do not affect how the sites are listed on the Sites page of the portal site.

Specify default search behavior for the Site Directory

  1. On the Site Settings page, in the Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Site Directory section, do one of the following:
    • To specify crawling options for new sites, click the link next to Default behavior for new sites.
    • To specify crawling options for new links, click the link next to Default behavior for new links.
  3. On the Edit Search Settings page, in the Site Directory Crawling section, do one of the following:
    • In the New sites list, click the default behavior for new sites added to the Site Directory.
    • In the Linked sites list, click the default behavior for links to existing sites added to the Site Directory.
  4. Click OK.


Managing the Configuration Database

Managing the Configuration Database

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Disconnecting a Document Library from the Configuration Database

Disconnecting a Document Library from the Configuration Database

You can remove an entry for a document library (Web Storage System-based) from the configuration database. You would do this if, for example, you had an unrecoverable error on the document library server and you could not recover the document library.

The selected document library will be disconnected from the configuration database. If the document library is associated with a portal site, the Document Library area will be deleted from the home page of the portal site. The content source for the document library will be deleted.

After you disconnect a document library from the configuration database, the document library still exists on the document library server. If the document library is still functional, you can later connect it to a configuration database. For example, you might want to move a document library server from one server farm to another server farm.

Disconnect a document library from the configuration database
  1. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based).
  2. On the List and Manage Document Libraries page, click Disconnect.
  3. On the Disconnect Document Library from Configuration Database page, in the Document libraries list, select the document library that you want to disconnect from the configuration database.
  4. Click OK.


Managing Content Databases for Portal Sites

Managing Content Databases for Portal Sites

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Managing Content Databases

Managing Content Databases

Microsoft Windows SharePoint Services uses a database to store and manage site content. Just as each virtual server can host multiple top-level Web sites, each virtual server can rely on multiple content databases to store site content. If you are running Windows SharePoint Services on a single server, hosting just a few sites, you can probably use the same content database for all of your sites. If you want to add capacity in a server farm, you will most likely need several content databases to store site data for each virtual server.

To make it easier to manage site content for large server farms, you can also set a limit on how many top-level Web sites can store content in a content database. You can specify a warning limit and a maximum limit for the number of sites. When a warning limit or maximum limit is reached, an event is logged in the server's NT Event Log, so you can take action. When a maximum limit is reached, no more sites can be created using that content database.

When you create a new site, the databases are queried and the new site's content is added to the database which has the most available space. For example, suppose your virtual server has three content databases, all set to warn you when they reach 2000 sites, with a maximum of 2025 sites. When the first content database reaches 2000 sites, an event is logged. When it reached 2025 sites, no more sites can be created in that database. When you are close to the limit on two out of three of the content databases, and you know that you'll need to host more than 2000 additional sites, it is time to create another content database.

You can specify any number of sites for the warning and maximum number of sites. To determine an appropriate number for your situation, divide the amount of available disk space on the database server by the estimated size for each site (plus a buffer). If you are using quotas, divide the disk space by the disk space quota (plus a buffer).

A buffer allows the number of sites to grow beyond the warning level, but not exceed your disk space. The size of the buffer is up to you, but make sure to provide enough space for growth, so that you don't exceed the maximum number before you can react to a warning event. When the maximum number is reached, no more sites can be created in that content database. Be sure to create a buffer large enough so that your users can continue to create sites as required, without having to constantly create new content databases.

Content databases are created and managed at the virtual server level. When you create a new content database (or when you extend a virtual server), you specify the database connection settings for the content database. You can update these settings if, for example, the database server name changes.

You can create or delete content databases, and specify settings such as the database server to use for the content and how many top-level Web sites to allow per content database in a server farm setting, by using pages in HTML Administration. In HTML Administration, you can view the full list of content databases for your virtual server, and see the current, warning and maximum level of sites for the content database at a glance.

Managing Content Databases by Using HTML Administration

You can specify a default server to store content databases for all of your virtual servers. This allows you to create a new content database when you extend a virtual server, without having to specify a location or supply the user name and password.

Specify a default content database server
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Server Configuration, click Set default content database server.
  3. In the Content Database Server section, fill in the database server name.

    If you are using Microsoft SQL Server authentication, you must also supply the administrator account user name and password.

  4. Click OK.

You can create multiple content databases for each virtual server. There are two situations in which you create a new content database: when you extend a new virtual server, and when your other content databases are getting full. You use a different method to create the content databases in each of these cases.

In most cases, you create a content database when you extend a virtual server. For information about extending a virtual server and creating a content database, see Extending a Virtual Server.

When you extend a virtual server, the warning level is set to 9,000 sites, and the maximum is set to 15,000 sites. To change this after the virtual server is extended, you use the Manage Content Databases page. You can also create additional content databases by using this page.

Create a new content database for a virtual server
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Manage content databases.
  5. On the Manage Content Databases page, under Content Databases, click Add a content database.
  6. In the Database Information section, select either Use default content database server or Specify database server settings.

    If you select Specify database server settings, fill in the database server name and database name. If you are using SQL Server authentication, you must also supply the administrator account user name and password.

  7. In the Database Capacity Settings section, type a number in the Number of sites before a warning event is generated box.
  8. Type a number in the Maximum number of sites that can be created in this database box.
  9. Click OK.

You can also change database connection settings and warning and maximum site levels for a content database.

Change settings for a content database
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Manage content databases.
  5. On the Manage Content Databases page, under Content Databases, click the database you want to change.
  6. To change database status, in the Database Status box, select Ready or Offline.
  7. To change the number of sites allowed for a content database, in the Database Capacity Settings section, enter a new warning and maximum number.
  8. Click OK.

If you want to remove a content database, you do so from the Manage Content Databases page as well. Note that when you remove a content database, the site data stored in that database is not deleted. You can reconnect to the content database later to restore the sites.

Remove a content database
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Manage content databases.
  5. On the Manage Content Databases page, under Content Databases, select the database you want to change.
  6. On the Manage Content Database Settings page, in the Remove Content Database section, select the Remove content database check box.
  7. Click OK.

You can reconnect to a content database that you have removed by adding it again. To reconnect to an existing content database, you need to use the same database server and database name. There are additional steps if you are reconnecting to a content database after restoring the database to a new server farm. For more information, see "Backing Up and Restoring Databases by Using the SQL Server 2000 Tools" in the Windows SharePoint Services Administrator's Guide.


Specifying Configuration Database Settings

Specifying Configuration Database Settings

Microsoft Office SharePoint Portal Server 2003 uses the configuration database to store configuration and site mapping information for the servers in the server farm. There can be only one configuration database for each server farm.

The preferred method for removing a server running SharePoint Portal Server from the server farm is to disconnect the server from the configuration database. If this is not possible (for example, the server is offline), you might need to use the Remove Server button on the Configure Server Topology page. For information about removing servers from the server farm, see Removing a Server from the Server Farm.

Specify configuration database settings

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Server Configuration section, click Configure configuration database server.
  2. On the Specify Configuration Database Settings for server_name page, do one of the following:

    Create the configuration database

    1. In the Database Connections section, click Create configuration database.
    2. In the Configuration Database Server section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database is stored.

      Note If you have a named SQL Server instance, specify both the name of the computer running SQL Server and the SQL Server instance name in the format server_name\SQL_instance_name.

    3. In the Configuration Database Name section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then type a name for the database.
    4. Click OK.

    Connect to an existing configuration database

    1. In the Database Connections section, click Connect to existing configuration database.
    2. In the Configuration Database Server section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database is stored.

      Note If you have a named SQL Server instance, specify both the name of the computer running SQL Server and the SQL Server instance name in the format server_name\SQL_instance_name.

    3. In the Configuration Database Name section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then type a name for the database.
    4. Click OK.

    Disconnect from the configuration database

    Before you disconnect from the configuration database, you must:

    1. Delete any portal sites associated with the server (for example, an index management server would not have any portal sites associated with it). For more information, see Deleting a Portal Site.

      If the server that you want to remove has a SQL Server instance that is used for the content database, component settings database, or profile database for one or more portal sites, you must delete those portal sites before you disconnect.

      If the SQL Server instance is used for the default content database or default component settings database, and the server is not the last server in the server farm to be disconnected, you must change the default content database and default component settings database to a SQL Server instance on another computer. For more information, see Specifying Content Database Settings and Specifying Settings for the Component Settings Database.

      If the server that you want to remove has no SQL Server instance on it, there is no need to delete any portal site.

    2. Remove all component assignments from the server. For more information, see Changing Component Assignments for the Server Farm.
    3. Ensure that the server does not provide Simple Mail Transfer Protocol (SMTP) services globally or to individual virtual servers.

    To disconnect from the configuration database, do the following:

    1. In the Database Connections section, click Disconnect from configuration database.
    2. Click OK.


Specifying Content Database Settings

Specifying Content Database Settings

Microsoft Office SharePoint Portal Server 2003 and Microsoft Windows SharePoint Services both use content databases to store content for individual sites. However, SharePoint Portal Server uses a different content database for each site, while Windows SharePoint Services uses a content database for multiple sites.

You can view the complete list of database settings for the server farm in the Database Server Settings section on the Configure Server Topology and Component Assignments page. An asterisk (*) next to the server name in the site settings entry indicates the default database server for the content database for the next portal site created. All servers that have stored the content database for previously-created portal sites are also listed.

Specify content database settings

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Server Configuration section, click Specify content database server.
  2. On the Specify Content Database Settings page, do one of the following:
    • To use the same server for the content database that the configuration database server uses, select the Use same server as configuration database check box.

      By default, when you create a virtual server, SharePoint Portal Server stores a corresponding content database on the same server that contains the configuration database.

    • To specify a different server for the content database, clear the Use same server as configuration database check box, and then type the name of the new server in the Server name box.
  3. Click OK.


Specifying Settings for the Component Settings Database

Specifying Settings for the Component Settings Database

Microsoft Office SharePoint Portal Server 2003 uses the component settings database to store service information for each portal site in a deployment.

You can view the complete list of database settings for the server farm in the Database Server Settings section on the Configure Server Topology page. An asterisk (*) next to the server name in the component settings entry indicates the default database server for the component settings database for the next portal site created. All servers that stored the component settings database for previously-created portal sites are also listed.

Specify settings for the component settings database

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Server Configuration section, click Specify component settings database server.
  2. On the Specify Settings for Component Settings Database page, do one of the following:
    • To use the same server for the component settings database that the configuration database server uses, click the Use same server as configuration database check box.

      By default, SharePoint Portal Server stores this database on the same server that contains the configuration database.

    • To specify a different server for the component settings database, clear the Use same server as configuration database check box, and then type the name of the new server in the Server name box.
  3. Click OK.


Enabling Single Sign-On

Enabling Single Sign-On

To enable the single sign-on service on the server farm, you must enable it on each front-end Web server, on the job server, and on any server running the single sign-on service. After you enable the service, you can configure single sign-on and application definitions.

Note The Microsoft Single Sign-on service (SSOSrv) must run as a member of the local Administrators group or as a member of the STS_WPG and SPS_WPG local groups. The account under which the service is running must also be a member of the Single Sign-On Administrator group or account, have the public right on the configuration database for Microsoft Office SharePoint Portal Server 2003, and be a member of the Server Administrators server role on the Microsoft SQL Server instance where the single sign-on database is located. For more information about configuring single sign-on, see Specifying Settings for Single Sign-On and Application Definitions.

Enable single sign-on

Do the following on each front-end Web server, job server, and any server running the single sign-on service:

  1. On the taskbar, click Start, point to Administrative Tools, and then click Services.
  2. On the Services management console, double-click Microsoft Single Sign-on Service.
  3. Click the Logon tab.
  4. Under Log on as, click This account.
  5. In the This account box, type an account name that is either a member of the local Administrators group or a member of the STS_WPG and SPS_WPG local groups. This user must also be a member of the Single Sign-On Administrator account.
  6. In the Password and Confirm password boxes, type the password.
  7. Click Apply.
  8. Click the General tab.
  9. In the Startup type list, click Automatic.
  10. In the Service status section, if the service status does not display Started, click Start.
  11. Click OK.


Disabling Single Sign-On

Disabling Single Sign-On

To disable the single sign-on service on the server farm, you must disable it on each front-end Web server, on the job server, and on any server running the single sign-on service.

If you want to delete all credentials associated with application definitions, you must delete each enterprise application definition. For more information, see Deleting an Application Definition.

Disable single sign-on

Do the following on each front-end Web server, job server, and any server running the single sign-on service:

  1. On the taskbar, click Start, point to Administrative Tools, and then click Services.
  2. On the Services management console, double-click Microsoft Single Sign-on Service.
  3. On the General tab, in the Startup type list, click Manual.
  4. In the Service status section, click Stop.
  5. Click OK.


Security Considerations when Using Single Sign-On

Security Considerations when Using Single Sign-On

The Microsoft Single Sign-On service (SSOSrv) uses the following types of accounts: configuration account, single sign-on administrator account, single sign-on service account, and the enterprise application manager account. For information about the rights required by each of these accounts, see Specifying Settings for Single Sign-On and Application Definitions.

Security Recommendations Regarding the Topology of the Server Farm

When using the single sign-on service, you can help enhance security by distributing your resources in the server farm. Specifically, the configuration of the front-end Web server, the job server, and the computer storing the single sign-on database can affect security.

  • Less secure configuration Everything is deployed on one server. This configuration is less secure because the front-end Web server, the single sign-on database stored in Microsoft SQL Server, and the encryption key are on the same computer.

    Note This configuration is not recommended.

  • More secure configuration Two-computer configuration where one computer is the front-end Web server. The second computer is the job server containing the single sign-on database stored in SQL Server and the encryption key.
  • Recommended configuration for better security Configuration of three or more computers in which the front-end Web server, the job server containing the encryption key, and the server containing the single sign-on database stored in SQL Server are different computers.

If you are using single sign-on in a shared services scenario, the user credentials stored in the parent server farm are available to the administrators of all child server farms. It is recommended that you run applications using single sign-on on the parent portal site only and use an iFrame in the application for child portal sites. You should disable the single sign-on service on child server farms.

Security Recommendations for Storing the Backup Copy of the Encryption Key

You should store the backup disk for the encryption key in a safe place.

The encryption key is used as part of the encryption process for each of the credentials. Since it is the key that decrypts the encrypted credentials stored in the database, the backup copy of the key should not be stored with the backup copy of the database.

Note If a user obtains a copy of both the database and the key, the user names and passwords may be compromised.

Enabling Auditing for the Encryption Key

You should enable auditing for the encryption key. Then, if the key is read or written to, there will be an audit trail in the security log in Microsoft Windows Server 2003 Event Viewer.

Enable auditing for the encryption key
  1. Modify the registry by doing the following:

    Caution Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

    1. On the taskbar, click Start, and then click Run.
    2. Type regedit and then click OK.
    3. In Registry Editor, navigate to HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\ssosrv\Config.
    4. Right-click Config, and then click Permissions.
    5. In the Permissions for Config dialog box, click Advanced.
    6. In the Advanced Security Settings for Config dialog box, click the Auditing tab, and then click Add.
    7. In the Select User, Computer, or Group dialog box, in the Enter the object name to select box, type everyone
    8. Click OK.
    9. In the Auditing Entry for Config dialog box, in the Failed column, select the Full Control check box, and then click OK.
    10. Click OK, and then click OK again to close all dialog boxes.
    11. Close Registry Editor.
  2. Enable auditing by doing the following:
    1. On the taskbar, click Start, and then click Run.
    2. Type mmc and then click OK.
    3. In the console, on the File menu, click Add/Remove Snap-in.
    4. In the Add/Remove Snap-in dialog box, on the Standalone tab, click Add.
    5. In the Add Standalone Snap-in dialog box, in the Available Standalone Snap-ins list, click Group Policy Object Editor, and then click Add.
    6. In the Select Group Policy Object dialog box, ensure that Local Computer appears in the Group Policy Object box, and then click Finish.
    7. In the Add Standalone Snap-in dialog box, click Close.
    8. In the Add/Remove Snap-in dialog box, click OK.
    9. Expand the following nodes:
      • Local Computer Policy
      • Computer Configuration
      • Windows Settings
      • Security Settings
      • Local Policies
      • Audit Policy
    10. In the details pane, double-click Audit object access.
    11. In the Audit object access Properties dialog box, select the Failure check box, and then click OK.

You can verify that auditing is working by doing the following:

  1. Log off.
  2. Log on as a user who should not have access to the registry key.
  3. Try to read the registry key.
  4. Look in the security log in Windows Server 2003 Event Viewer for audit entries.


Using Single Sign-On and Application Definitions

Using Single Sign-On and Application Definitions

The single sign-on service enables scenarios where multiple Web Parts access different enterprise applications, which each use a different type of authentication. Each Web Part can automatically sign on to its enterprise application without prompting the user to provide credentials each time. Microsoft Office SharePoint Portal Server 2003 single sign-on enables Web Part developers to encrypt credentials for enterprise applications.

Related Topics

Specifying Settings for Single Sign-On and Application Definitions
Creating the Encryption Key
Managing Account Information for an Application Definition


Specifying Settings for Single Sign-On and Application Definitions

Specifying Settings for Single Sign-On and Application Definitions

Before you can use single sign-on with enterprise application definitions, you must perform pre-configuration steps, configure the service, and supply the necessary information.

Overview of Single Sign-On Configuration Steps

Use the following steps to configure single sign-on:

  1. Perform the pre-configuration steps. See "Perform pre-configuration steps" later in this document.
  2. Enable the single sign-on service on the job server. For more information, see Enabling Single Sign-On.
  3. Configure the single sign-on service by using the single sign-on administration pages. See "Specify settings for single sign-on and application definitions" later in this document.
  4. Enable the single sign-on service on each front-end Web server. For more information, see Enabling Single Sign-On.

Perform pre-configuration steps

Before configuring single sign-on, you must set up the following:

  1. Configuration account Select the Windows account that will be used to configure single sign-on. When setting up single sign-on, you use this account to log on to the job server. This account must meet the following requirements:
    • Be a member of the local Administrators group on the job server.
    • Be a member of the local Administrators group on the computer running Microsoft SQL Server that stores the single sign-on database.
    • Belong to the single sign-on administrator account.
  2. Single sign-on administrator account Determine the Windows Global group or user account that will be used as the administrative account.
    • The single sign-on service “run-as” account must be this user or a member of this group.
    • This user or members of this group have full access to the single sign-on administration pages and can make configuration and application definition changes.
    • This group or user account is entered in the Account name box in the Single Sign-On Settings section on the Manage Server Settings for Single Sign-On page.
  3. Single sign-on service account Select the user account that will run the single sign-on service:
    • The single sign-on service account must be the same as the single sign-on administrator account or a member of the group account that is the single sign-on administrator account.
    • The account must be a member of the local group STS_WPG on all servers running Microsoft Office SharePoint Portal Server 2003 in the server farm.

      To make the user a member of STS_WPG

      1. On the taskbar, click Start, point to Administrative Tools, and then click Computer Management.
      2. In the console tree, under the System Tools node, expand the Local Users and Groups node.
      3. Click Groups.
      4. Double-click STS_WPG.
      5. In the STS_WPG Properties dialog box, click Add.
      6. Add the user.
    • The account must be a member of the local group SPS_WPG on all servers running SharePoint Portal Server in the server farm.

      To make the user a member of SPS_WPG

      1. On the taskbar, click Start, point to Administrative Tools, and then click Computer Management.
      2. In the console tree, under the System Tools node, expand the Local Users and Groups node.
      3. Click Groups.
      4. Double-click SPS_WPG.
      5. In the SPS_WPG Properties dialog box, click Add.
      6. Add the user.
    • The account must be a member of the public database role on the SharePoint Portal Server configuration database.

      Note On a single server deployment, if the single sign-on service runs under an account that is a member of the local Administrators group, you do not need to ensure that the user has the public right on the configuration database. However, for security reasons it is recommended that you do not run the service under an account that is a member of the local Administrators group.

      To assign rights on the configuration database

      1. On the SQL Server computer, open SQL Server Enterprise Manager.
      2. Expand the Microsoft SQL Servers node.
      3. Expand the SQL Server Group node.
      4. Expand the (local) (Windows NT) node.
      5. Expand the Security node.
      6. Click Logins, and then do one of the following:
        • If the logon name does not exist, right-click Logins, click New Login, and then in the Name box, type the account for the user in the format DOMAIN\user_name.
        • If the logon name already exists, right-click the logon name, and then click Properties.
        • Click the Database Access tab.
        • In the Specify which databases can be accessed by this login section, select the check box for the configuration database.
        • In the Database roles for database_name section, select the public check box.
        • Click OK.
        • Close SQL Server Enterprise Manager.
      7. The account must be a member of the Server Administrators server role on the Microsoft SQL Server instance where the single sign-on database is located.

        Note On a single server deployment, if the single sign-on service runs under an account that is a member of the local Administrators group, you do not need to ensure that the user is a member of Server Administrators server role on the Microsoft SQL Server instance where the single sign-on database is located. However, for security reasons it is recommended that you do not run the service under an account that is a member of the local Administrators group.

        To make the user a member of the Server Administrator role

        1. On the SQL Server computer, open SQL Server Enterprise Manager.
        2. Expand the Microsoft SQL Servers node.
        3. Expand the SQL Server Group node.
        4. Expand the (local) (Windows NT) node.
        5. Expand the Security node.
        6. Click Logins, and then do one of the following:
          • If the logon name does not exist, right-click Logins, click New Login, and then in the Name box, type the account for the user in the format DOMAIN\user_name.
          • If the logon name already exists, right-click the logon name, and then click Properties.
          • Click the Server Roles tab.
          • Select the Server Administrators check box.
          • Click OK.
          • Close SQL Server Enterprise Manager.
      8. Enterprise application manager account Determine the Windows Global group or account that will be used to give access to application definitions.
        • This account or members of this group have rights to create, modify or delete application definitions from the single sign-on administration pages.
        • This account or members of this group do not have rights to configure single sign-on. Only members of the single sign-on administrator account can configure single sign-on.
        • Rights that this user or members of this group have are automatically contained in the single sign-on administrator account.
        • This account or group is entered in the Account name box in the Enterprise Application Definition Settings section on the Manage Server Settings for Single Sign-On page.

      Notes

      • If you change the job server to another server, you must reconfigure single sign-on. After changing the job server, you must delete the entire registry key HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\ssosrv\Config on the old job server.
      • If you reconfigure single sign-on and you want to change the account that you specified for managing the single sign-on service (the single sign-on administrator account), the user who reconfigures the single sign-on service and the single sign-on “run-as” user must be a member of both the current account that manages the service and the new account that you want to specify.

      Important You cannot configure single sign-on or manage the encryption key remotely. To configure single sign-on or manage the encryption key, go to the computer running as the job server and specify the settings locally.

      Specify settings for single sign-on and application definitions

      Before you can specify the settings for single sign-on and application definitions, Microsoft Single Sign-on service (SSOSrv) must be running. For more information, see Enabling Single Sign-On.

      You must be logged on as the configuration account on the job server before running these steps.

      1. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Manage settings for single sign-on.

        – or –

        Click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

      2. On the Manage Settings for Single Sign-On for server_name page, in the Server Settings section, click Manage server settings.
      3. On the Manage Server Settings for Single Sign-On page, in the Single Sign-On Settings section, in the Account name box, type the name of the single sign-on administrator account that can set up and manage the single sign-on service.

        • Important The account can be a group account or an individual user account. It cannot be a local domain group or a distribution list.

        • The format of the account is DOMAIN\group_name or DOMAIN\user_name.
      4. In the Enterprise Application Definition Settings section, in the Account name box, type the name of the enterprise application manager account that can set up and manage application definitions.

        • Important The account can be a group account or an individual user account. It cannot be a local domain group or a distribution list.

        • The format of the account is DOMAIN\group_name or DOMAIN\user_name.
      5. In the Database Settings section, do the following:
        1. In the Server name box, type the name of the database server on which you want to store the settings and account information for single sign-on.
        2. In the Database name box, type the name of the single sign-on database.

          If the database does not exist, it is created.

      6. In the Time Out Settings section, do the following:
        1. In the Ticket time out (in minutes) box, type the number of minutes to wait before allowing a ticket, or access token, to time out.
        2. In the Delete audit log records older than (in days) box, type the number of days to hold records in the audit log before deleting.

          Note The audit log is overwritten after the number of days you specify. Because the log contains a record of any illicit operations or logon attempts, it is recommended that you maintain backup copies of the logs. The logs reside in the single sign-on database and are automatically backed up when you back up this database.

          Note Information about attempts to obtain the name of the single sign-on database or the name of the computer running SQL Server on which the single sign-on database is stored is not included in the audit log.

      7. Click OK.
      8. If a message box appears stating that you have reconfigured single sign-on, click OK.


Managing Account Information for an Application Definition

Managing Account Information for an Application Definition

You can update or delete account information for a single application definition, or you can remove an account from all application definitions.

Manage account information for an application definition

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Manage settings for single sign-on.

    Alternatively, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

  2. On the Manage Settings for Single Sign-On for server_name page, in the Enterprise Application Definition Settings section, click Manage account information for enterprise application definitions.
  3. On the Manage Account Information for an Enterprise Application Definition page, in the Account Information section, do the following:
    1. In the Enterprise Application Definition list, select the name of the application definition.
    2. In the Account name or Group account name box, type the account name to modify.

      Note If you created the application definition to use an individual account, the Account name box appears. If you created the application definition to use a group account, the Group account name box appears.

      Note If you change the group account name, the group account mapped to the application definition is overwritten, and only the members of the new group can access the back-end application.

  4. In the Enterprise Application Definition section, you can do the following:

    Update the account information for this application

    1. Click Update account information.
    2. Click OK.
    3. On the Provide application_definition_name Account Information page, in the box for logon information, type the user name for the account that can access the enterprise application. An enterprise application is the back-end business application that SharePoint Portal Server connects to by using the application definition.
    4. Click OK.

    Delete the account information for this application

    Note This option is not available for application definitions that use group accounts.

    1. Click Delete stored credentials for this account from this enterprise application definition.
    2. Click OK.
    3. To delete the user credentials, click OK on the confirmation message box.

      Important You cannot undo this operation.

    Remove this account from all application definitions

    Note This option is not available for application definitions that use group accounts.

    1. Click Delete stored credentials for this account from all enterprise application definitions.
    2. Click OK.
    3. To remove the user credentials from all application definitions, click OK on the confirmation message box.


Creating the Encryption Key

Creating the Encryption Key

The encryption key is used as part of the encryption process for credentials used with single-sign on. The key helps to decrypt encrypted credentials stored in the single sign-on database.

The first time you configure single sign-on and enterprise application definitions on the Manage Server Settings for Single Sign-On page, the encryption key is created automatically.

You can regenerate the key if the previous credentials are compromised or if you have a policy to change the key after a certain number of days.

When you create an encryption key, you can choose to re-encrypt the existing credentials with the new key. When you re-encrypt the Microsoft Single Sign-On service (SSOSrv) credential store, events are logged in the Microsoft Windows Server 2003 application event log. Once re-encryption is initiated, you can monitor the application event log to verify that the credential store has been re-encrypted. Event ID 1032 is recorded in the application event log when re-encryption is started. Even ID 1033 is recorded in the application event log when re-encryption has ended. If there are any failures during re-encryption, an event is recorded in the log.

If the job server is restarted or SSOSrv is stopped on the job server during the re-encryption process, you should look in the event log for errors. If the event log reports an error, you must restart the re-encryption process from the Manage Encryption Key page.

To reencrypt the existing credentials, the RunAs user of the single sign-on service must be a member of the SQL Server 2000 server administrator role on the computer running SQL Server 2000.

Note During the re-encryption process, Write operations such as updating credentials and changing application definitions are not allowed. Read operations such as retrieving credentials continue to work as normal.

Recommendation It is recommended that you change or restore the encryption key during non-peak periods.

Important You cannot manage the encryption key remotely. To manage the encryption key, go to the computer running as the job server and specify these settings locally.

Create the encryption key

  1. Do one of the following:
    • On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Manage settings for single sign-on.
    • Click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.
  2. On the Manage Settings for Single Sign-On for server_name page, in the Server Settings section, click Manage encryption key.
  3. On the Manage Encryption Key page, in the Encryption Key Creation section, click Create Encryption Key.
  4. On the Create Encryption Key page, to re-encrypt the credentials for the single sign-on database, select the Re-encrypt all credentials by using the new encryption key check box, and then click OK.

    Important This is a long-running operation. If you do not re-encrypt the existing credentials with the new encryption key, users must retype their credentials and administrators for application definitions must retype group credentials.

  5. Click OK.

After the key is created, you should back it up. For information about backing up the encryption key, see Backing Up the Encryption Key.


Backing Up the Encryption Key

Backing Up the Encryption Key

After creating the encryption key, you should back it up. You must back up the key to a 3.5-inch floppy disk.

Security Recommendations for Storing the Backup Copy of the Encryption Key

You should lock up the backup disk for the encryption key in a safe place.

The encryption key is the encryption key that is used as part of the encryption process for each of the credentials. Because it is the key that decrypts the encrypted credentials stored in the database, the backup copy of the key should not be stored with the backup copy of the database. If a user obtains a copy of both the database and the key, the user names and passwords could be compromised.

Important You cannot manage the encryption key remotely. To manage the encryption key, go to the computer running as the job server and specify these settings locally.

Back up the encryption key

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Manage settings for single sign-on.

    Alternatively, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

  2. On the Manage Settings for Single Sign-On for server_name page, in the Server Settings section, click Manage encryption key.
  3. Insert a 3.5-inch disk into a disk drive on the computer running as the job server.
  4. On the Manage Encryption Key page, in the Encryption Key Backup section, in the Drive list, click the letter of the disk drive, and then click Back Up to back up the encryption key.
  5. In the completion message box that appears, click OK.
  6. Remove the 3.5-inch disk from the disk drive.


Restoring the Encryption Key

Restoring the Encryption Key

You cannot manage the encryption key remotely. To manage the encryption key, go to the computer running as the job server and specify these settings locally.

Note When you create an encryption key, you can choose to re-encrypt the existing credentials with the new key. However, when you restore the encryption key, you do not have the option to re-encrypt the credentials. As a result, users must retype their credentials and administrators for application definitions must retype group credentials.

Restore the encryption key

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Manage settings for single sign-on.

    Alternatively, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

  2. On the Manage Settings for Single Sign-On for Server server_name page, in the Server Settings section, click Manage encryption key.
  3. Insert a 3.5-inch disk into a disk drive on the computer running as the job server.
  4. On the Manage Encryption Key page, in the Encryption Key Restore section, in the Drive list, click the letter of the disk drive, and then click Restore to restore the encryption key.
  5. On the message box that appears, click OK.
  6. Remove the 3.5-inch disk from the disk drive.


Creating an Application Definition

Creating an Application Definition

An enterprise application definition is used by a Web Part to integrate with an enterprise application within a portal site. The application definition controls how credentials will be stored for a particular business application. The Web Part uses the application definition to retrieve credentials that are used to integrate with an enterprise application.

Note If you specify a group account as the account type, so that all users log on by using a single account, ensure that you have the appropriate number of client licenses for the application that you are accessing.

Create an application definition

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Manage settings for single sign-on.

    -or-

    Click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

  2. On the Manage Settings for Single Sign-On for server_name page, in the Enterprise Application Definition Settings section, click Manage settings for enterprise application definitions.
  3. On the Manage Enterprise Application Definitions page, click New Item.
  4. On the Create Enterprise Application Definition page, in the Application and Contact Information section, do the following:
    1. In the Display name box, type a display name for this application definition.

      The display name is what the user sees on the logon form when entering credentials.

      Note If you enter a long name with no spaces in it for the display name, the entire name may not be displayed.

    2. In the Application name box, type an application name for the application definition.

      The application name is used by developers.

      Note If you enter a long name with no spaces in it for the application definition name, the entire name may not be displayed.

    3. In the Contact e-mail address box, type an e-mail address for users to contact for this application.
  5. In the Account Type section, do one of the following:
    • If you want all users to log on by using a single account, select Group.

      Users do not need to enter any credentials with this option.

    • If you want a users to log on by using their own account information, select Individual.

      Each user must enter credentials when accessing the Web Part.

  6. In the Logon Account Information section, select one or more fields to map to the required logon information for this application definition. If necessary, see the documentation provided with the enterprise application to identify the required information and its appropriate order.
    1. Type a display name for each field to remind you of the required information.
    2. To ensure that sensitive information, such as a password, is not displayed when viewing account information, click Yes for Mask.

    For example, for SAP credentials you might enter the following:

    • Field 1 = SAP user name
    • Field 2 = SAP password (select Yes for the Mask option)
    • Field 3 = SAP system number
    • Field 4 = SAP client number
    • Field 5 = language

  7. Click OK.


Editing an Application Definition

Editing an Application Definition

You can edit the display name, e-mail contact, and application information for an enterprise application definition. You cannot edit the application definition name or the account type.

Edit an application definition

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure the Single Sign-on component and manage enterprise application definitions for portals.

    Alternatively, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

  2. On the Manage Settings for Single Sign-On for Server server_name page, in the Application Settings section, click Manage settings for enterprise application definitions.
  3. On the Manage Enterprise Application Definitions page, rest the pointer on the the display name for the application definition, and then click the arrow that appears.
  4. On the menu that appears, click Edit.
  5. On the Edit Enterprise Application Definition page, in the Application and Contact Information section, you can edit the display name and the e-mail contact.
    1. In the Display Name box, type a display name for this application definition.

      The display name is what the user sees.

    2. In the E-mail Contact box, type an e-mail address for users to contact for this application.
  6. In the Account Information section, select one or more fields to map to the required logon information for this application definition. If necessary, see the documentation provided with the enterprise application to identify the required information and its appropriate order.
    1. Type a display name for each field to remind you of the required information.

      The display names for the fields will appear on the logon page for the application.

    2. To ensure that sensitive information, such as a password, is not displayed when viewing account information, click Yes for Mask?.
  7. Click OK.


Deleting an Application Definition

Deleting an Application Definition

When you delete an application definition, it is removed from the single sign-on database. In addition, all credentials associated with the application definition are removed.

Delete an application definition

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure the Single Sign-on component and manage enterprise application definitions for portals.

    Alternatively, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

  2. On the Manage Settings for Single Sign-On for Server server_name page, in the Application Settings section, click Manage settings for enterprise application definitions.
  3. On the Manage Enterprise Application Definitions page, rest the pointer on the the display name for the application definition, and then click the arrow that appears.
  4. On the menu that appears, click Delete.
  5. On the confirmation message box, click OK.


About Alternate Portal Access Settings

About Alternate Portal Access Settings

Alternate access settings provide a mechanism for server farm administrators to identify the different ways in which users access portal sites, ensuring that URLs are displayed appropriately for the manner in which the user accesses the portal site.

  • Administrators often deploy portal sites that users can access by using different URLs. It is important that functionality, such as search results for portal site and document library (Web Storage System-based) content, be appropriate for the URL that was used to access the portal site. External URLs must be provided to the user in a form that is appropriate for how the user is currently accessing the portal site.
  • Without alternate access settings, search results might be displayed in a way that would make them inaccessible to users. Users might receive search results that they cannot access whenever they access the portal site by using a URL that is different from the original URL used for crawling the content.

The Microsoft SharePointPSSearch (SharePointPSSearch) service consults the alternate access setting entries when crawling a document. If the URL of the document matches one of the mapping entry URLs, the URL is replaced with the mapping ID for the entry. When the search result is displayed, the mapping ID is replaced by the appropriate URL if the user is requesting the document from an access point listed in the alternate access setting entries. If there is no appropriate alternate mapping, the search results display the default URL.

Every alternate access setting entry must have a default URL. Each entry can have additional alternate access methods for either intranet, extranet, or custom access. Each URL must be different from all other URLs. These mappings are stored in the configuration database. Microsoft Office SharePoint Portal Server 2003 uses the default URL for any requested URL that is not found in the mapping table.

You cannot delete entries for virtual servers that currently host portal sites or document libraries.

If an entry has been deleted, but URLs for that mapping ID still exist in the index, the server farm administrator must update the content index in order to update the URLs.

Note Changes to the mappings on the Map Server Names page can conflict with mappings on the Configure Alternate Portal Access Settings page. Specify alternate portal access settings when a different server name or port is used for accessing the entire portal site. Use server name mappings to specify a protocol or server for an address that appears in search results that is different from the address from which that content was crawled.

Example

The server you are crawling is http://Server1. The server has an intranet URL of http://Server1 and an extranet URL of http://AdventureWorks.adventure-works.com. This server does not have SharePoint Portal Server installed. The server could be another internal server in your organization.

You have not defined an alternate access setting entry for this server. When SharePoint Portal Server crawls Server1, the URL stored in the content index is http://Server1.

When a user performs a search, one of the following occurs:

  • If a user is accessing the portal site from the intranet URL of http://Server1, he or she will get search results returned for content on Server1 and will be able to click the links for the results to access a document.
  • If a user is accessing the portal site from the extranet URL of http://AdventureWorks.adventure-works.com, he or she will get search results returned for content on Server1, but the user will get an error when he or she clicks the links for the results.

You define an alternate access setting entry for http://Server1 as follows:
Mapping Name Server1
Default URL http://Server1
Intranet URL Blank. Any blank entry defaults to the default URL.
Extranet URL http://AdventureWorks.adventure-works.com
Custom URL https://AdventureWorksPartners.adventure-works.com

Custom URLs can be intranet or extranet URLs. In addition, you can use Secure Sockets Layer (SSL) in any of the URL entries.

For this mapping to take effect, you must recrawl the content on Server1. Until you do this, the user will have the same search experience as above.

After you recrawl the content on Server1, when a user performs a search, one of the following occurs:

  • If a user is accessing the portal site from the intranet URL that is specified in the access settings list, he or she will get search results returned for content on Server1 and will be able to click the links for the results to access a document.
  • If a user is accessing the portal site from the extranet URL that is specified in the access settings list (i.e., http://AdventureWorks.adventure-works.com), he or she will get search results returned for content on AdventureWorks.adventure-works.com and will be able to click the links for the results to access a document.

If you are using shared services, where portal site services are shared across server farms, the following applies for alternate access settings:

  • You must manually synchronize the alternate access entries for the parent server farm and all child server farms. If you add, change, or delete an alternate access setting entry on the child server farm, you must add, change, or delete that entry on the parent server farm.

    The portal site and document library URLs are generated from the alternate access setting list for the child server farm. Search results use URLs from the alternate access setting list for the parent server farm. Changing an entry in the alternate access setting list (such as changing a default URL, or adding or changing an extranet URL) requires you to do this on both the child server farm and parent server farm.

  • The alternate access entry list in the parent server farm should be a superset of the alternate access entry lists in all child server farms. Each child server farm must keep alternate access entries for its portal sites and document libraries up-to-date.

Note If the server farm administrator enters an invalid URL on the Configure Alternate Portal Access Settings page, the My Site and Alert Me links in a child portal site will be broken.

Related Topics

Creating Alternate Portal Access Settings
Editing Alternate Portal Access Settings
Deleting Alternate Portal Access Settings


Creating Alternate Portal Access Settings

Creating Alternate Portal Access Settings

Alternate access settings provide a mechanism for server farm administrators to identify the different ways that portal sites are accessed, ensuring that URLs are displayed appropriately for the access method. For more information, see About Alternate Portal Access Settings.

The following character limitations apply:

  • Mapping name The mapping name has a maximum length of 64 Unicode characters and must not be null.
  • The following character limitations apply for the default, intranet, extranet, and custom URLs:
    • Each URL has a maximum length of 255 Unicode characters and a minimum length of 5 characters.
    • The user can enter the URL in any combination of uppercase and lowercase letters, but the URL is always saved in lowercase.
    • Each URL must be different from all other URLs.

The URL can include the protocol (for example, http, https, ftp), server name, and port number portion only. For example, http://server_name.domain.com or http://server_name:port_number. Do not include the portal site name, such as http://server_name.domain.com/portal_site_name.

Create an alternate portal access setting

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Portal Site and Virtual Server Configuration section, click Configure alternate portal site URLs for intranet, extranet, and custom access.
  2. On the Configure Alternate Portal Access Settings page, click New Access Setting.
  3. On the Add Alternative Access Setting page, in the Mapping name box, type the mapping name to use for alternate access to the server identified by the default URL.
  4. In the Default URL box, type the default URL.

    Search services will use the default URL when crawling content, and search results will display the default URL when no other access mapping is available.

    The default URL cannot be blank.

  5. In the Intranet URL box, type the intranet URL. The intranet URL is optional.
  6. In the Extranet URL box, type the extranet URL. The extranet URL is optional.
  7. In the Custom URL box, type the custom URL. The custom URL is optional and can be an intranet or an extranet address.
  8. Click OK.


Editing Alternate Portal Access Settings

Editing Alternate Portal Access Settings

Alternate access settings provide a mechanism for server farm administrators to identify the different ways that portal sites are accessed, ensuring that URLs are displayed appropriately for the access method. For more information, see About Alternate Portal Access Settings.

You can edit all mapping information except for the mapping name.

The following character limitations apply for the default, intranet, extranet, and custom URLs:

  • Each URL has a maximum length of 255 Unicode characters and a minimum length of 5 characters.
  • The user can enter the URL in any combination of uppercase and lowercase letters, but the URL is always saved in lowercase.
  • Each URL must be different from all other URLs.

The URL can include the protocol (for example, http, https, ftp), server name, and port number portion only. For example, http://server_name.domain.com or http://server_name:port_number. Do not include the portal site name, such as http://server_name.domain.com/portal_site_name.

Edit an alternate portal access setting

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Portal Site and Virtual Server Configuration section, click Configure alternate portal site URLs for intranet, extranet, and custom access.
  2. On the Configure Alternate Portal Access Settings page, rest the pointer on the mapping name that you want to edit, and then click the arrow that appears.
  3. On the menu that appears, click Edit.
  4. On the Change Alternate Access Setting page, you can change the following:
    • In the Default URL box, type the default URL.

      Search services will use the default URL when crawling content, and search results will display the default URL when no other access mapping is available.

      The default URL cannot be blank.

    • In the Intranet URL box, type the intranet URL. The intranet URL is optional.
    • In the Extranet URL box, type the extranet URL. The extranet URL is optional.
    • In the Custom URL box, type the custom URL. The custom URL is optional and can be an intranet or an extranet address.
  5. Click OK.


Deleting Alternate Portal Access Settings

Deleting Alternate Portal Access Settings

Alternate access settings provide a mechanism for server farm administrators to identify the different ways that portal sites are accessed, ensuring that URLs are displayed appropriately for the access method. For more information, see About Alternate Portal Access Settings.

You cannot delete the access setting for a portal site that is in use. You must delete the portal site and then delete the access setting. For information about deleting a portal site, see Deleting a Portal Site. You also cannot delete the access setting for a document library (Web Storage System-based) that is in use. you must delete the document library and then delete the access setting. For information about deleting a document library, see Deleting a Document Library.

Delete an alternate portal access setting

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Portal Site and Virtual Server Configuration section, click Configure alternate portal site URLs for intranet, extranet, and custom access.
  2. On the Configure Alternate Portal Access Settings page, rest the pointer on the mapping name that you want to delete, and then click the arrow that appears.
  3. On the menu that appears, click Delete.


Managing Active Directory Connections

Managing Active Directory Connections

When you configure import settings for user profiles, you can choose to import user profile information from servers running Microsoft Active Directory directory service for your current domain, from servers running Active Directory for your entire forest, or from servers running Active Directory on one or multiple custom domains.

Note To import user profile information from one or multiple domains, on the Configure Profile Import page, select the Custom source option in the Source section. Next, you must add, edit, or delete connections to the servers running Active Directory for the custom domains.

Related Topics

Adding and Editing Active Directory Server
Deleting Active Directory Server
Importing User Profiles
Managing User Profiles


Adding and Editing Active Directory Server

Adding and Editing Active Directory Server

If you decide to import user profile information from a set of custom servers running Microsoft Active Directory directory service, you must add the servers to the set of servers available to import user profile information. Later, you can add other servers, edit the settings for existing servers, or delete servers from the set used when importing user profile information.

Note To import user profile information from one or multiple domains, on the Configure Profile Import page, click Custom source in the Source section. Next, you must add, edit, or delete connections to the servers running Active Directory for the custom domains.

Add Active Directory server

  1. On the Manage Connections page, click New Connection.
  2. In the Connection Settings section on the Add Connection page, type a domain name in the Domain name box.

    Note By default, a domain controller is automatically detected for you. To select a controller, click Select a domain controller and type a domain controller name in the Domain controller name box for the Active Directory server that you want to add.

  3. To access this server by using a Secure Sockets Layer (SSL) secure connection, select the Use SSL-secured connection check box.
  4. To limit the amount of time spent attempting to access a server that is not responding, type a value in the Time out box.
  5. In the Search Settings section, type a name in the Search base box.

    If you do not enter anything in the Search base box, Microsoft Office SharePoint Portal Server enters the appropriate information.

  6. In the User filter box, you can add query clauses to further filter the user profile data that you are importing.

    The default value in the User filter box is a specific Lightweight Directory Access Protocol (LDAP) query.

  7. In the Scope section, select how deeply in the Active Directory server to search for user profiles to import. You can limit the scope by selecting One level or search more deeply by clicking Subtree.
  8. Type a value in the Page size box to limit the amount of data imported in each user profile.
  9. Type a value in the Page time out box to limit the amount of time spent attempting to access a server that is not responding.

Edit Active Directory server

  1. On the Manage Connections page, click the server that has the properties you want to edit, and then click Edit.
  2. In the Connection Settings section on the Add Connection page, you can type a new name in the Domain controller name box, if the Select a domain controller option is selected.
  3. To change whether this server uses a Secure Sockets Layer (SSL) secure connection, select or clear the Use SSL-secured connection check box.
  4. To change the time spent waiting for a response from the domain controller, type a new value in the Time out box.
  5. To add another node to the search base, type the distinguished name of the new node in the Search base box. For more information about distinguished names in Active Directory, see the documentation for Active Directory.
  6. To expand or restrict the number of user profiles that you are importing, type a new clause in the User filter box, or delete an existing clause.
  7. To change the depth to use when searching for user profiles to import, select One level or Subtree.
  8. Type a new value in the Page size box to limit the amount of data imported in each user profile.
  9. Type a new value in the Page time out box to change the amount of time spent attempting to access a server that is not responding.

Related Topics

Deleting Active Directory Server
Managing Active Directory Connections
Importing User Profiles
Configuring Import Settings
Managing User Profiles


Deleting Active Directory Server

Deleting Active Directory Server

To remove a server from the set of servers used as sources when importing user profiles from Microsoft Active Directory directory service, you must delete the Active Directory server from the list of Active Directory connections.

Deleting a server from this list of connections does not delete any of the content on that server. It just removes the connection to the server. User profiles found only on that Active Directory server are not imported.

  1. On the Site Settings page, in the User Profile, Audiences, and Personal Sites section, click Manage profile database.
  2. On the Manage Profile Database page, in the Profile and Import Settings section, click Manage connections.
  3. On the Manage Connections page, rest the pointer on the server you want to delete, and then click Delete on the menu that appears.

    Note For more information about the Manage Connections page, see Managing Active Directory Connections.

  4. On the confirmation message that appears, click OK.

Related Topics

Adding and Editing Active Directory Server
Managing Active Directory Connections
Importing User Profiles
Managing User Profiles


Configuring Import Settings

Configuring Import Settings

Before importing user profiles, you must configure the import settings. You set up an import account for a specific server running Microsoft Active Directory directory service in your organization. Then you enable full or incremental imports, and schedule when those imports should regularly occur.

  1. On the Manage Profile Database page, click Configure profile import.
  2. In the Source section, select the server running Active Directory from which to import user profiles. This can be from the Current domain, the Entire forest, or a set of Custom source domains that include the current domain.

    Note If you select Custom source, the Manage Connections page appears when you click OK on this page.

  3. In the Access Account section, type the account name and password for an account that has rights to Active Directory.
  4. In the Full Import Schedule section, select Schedule full import.
  5. In the Incremental Import section, click Schedule incremental import to show this option on the Manage User Profiles page.

    Note If the option isn't available, select Import from Active Directory by using the incremental method in the Source section.

    To perform incremental imports, the account must have the Replicate Changes permission for Active Directory directory services provided by Windows 2000 Server. The permission is not required for Windows 2003 Active Directory.

    Add the Replicate Changes permission for Active Directory directory services provided by Windows 2000 Server

    1. On the taskbar, click Start, point to Administrative Tools, and click Active Directory Users and Computers.
    2. Right-click the domain object, such as "company.com", and then click Properties.
    3. Click the Security tab.
    4. If the desired user account is not listed, click Add. If the desired user account is listed, proceed to the next step.
      1. On the Select Users, Computers, or Groups page, click the desired user account, and then click Add.
      2. Click OK.
    5. In the Name box, click the desired user account.
    6. In the Permissions box, find the Replicating Directory Changes option, and then select the Allow check box.
    7. Click OK.
  6. For each type of import you have enabled, select a start time from the Start at drop-down list.
  7. To schedule imports at this time every day, select Every day.
  8. To schedule imports on certain days of the week, select Every week on, and then select the days on which you want to import user profiles.
  9. To schedule imports once a month, select Every month on this date, and then select the day of the month on which to import user profiles.
  10. Click OK.

Related Topics

Importing User Profiles
Managing Active Directory Connections
Adding and Editing Active Directory Server
Managing User Profiles


Importing User Profiles

Importing User Profiles

You can import user profile information from Microsoft Active Directory directory service. This saves time in entering user information for every user in your organization, but may not include all of the properties you want to show for each user.

To import user profile information, you must first configure the import settings.

After you have configured the import settings, you can import user profile information from the list of actions in the Profile and Import Settings section on the Manage Profile Database page. You can also stop any import currently in progress, and view a log of past imports.

Imported user profiles are displayed on the View User Profiles page. This page has two views. The Active view includes all active user profiles that were imported during the last full import. The Missing from import view includes the user profiles that were imported in the past but were not imported in the previous three full imports because the user profile information was not available from Active Directory. For more information on deleting missing user profiles, see Deleting User Profiles.

Start full import

  1. On the Manage Profile Database page, in the Profile and Import Settings section, ensure that Source of user set lists the correct set of users.
  2. To select a different set of users, click Configure profile import.
  3. After verifying the set of users, click Start full import.

Start incremental import

  1. On the Manage Profile Database page, verify that the Start incremental import action is shown.
  2. If the action is shown, click Start incremental import.
  3. If the Start incremental import link is not shown, click Configure profile import.
  4. On the Configure Profile Import page, in the Source section, select Import from Active Directory by using the incremental method.
  5. Click OK.
  6. On the Manage Profile Database page, Click Start incremental import.

Stop import

  • On the Manage Profile Database page, in the Profile and Import Settings section, click Stop import.

View import log

  • On the Manage Profile Database page, in the Profile and Import Settings section, click View import log.

View active and missing user profiles

  1. On the Manage Profile Database page, in the Profile and Import Settings section, click View user profiles.
  2. On the View User Profiles page, in the action pane, click the view that you want to see:
    • To view active user profiles, click Active.
    • To view missing user profiles, click Missing from import.

Related Topics

Configuring Import Settings
Managing Active Directory Connections
Managing User Profiles


Managing User Profiles

Managing User Profiles

User profiles provide detailed information about individuals in your organization. A user profile organizes and displays all of the properties related to each user, as well as documents and other items related to that user.

User profiles are presented to users in three distinct views. A user has a personal view of his or her properties and related items that only he or she can see. The public view is what users see when they view user profiles for other users. The edit view is what is seen when changes are being made to a user profile.

User profiles are managed from the Manage User Profiles page. Users with the Manage Profiles right can add, edit, or delete user profiles. They can also import user profiles from Active Directory directory service. Other users may or may not be able to edit some of the properties of their user profiles from their personal pages.

The Manage User Profiles page also contains a brief summary of user profiles for the site, as well as links for adding, editing, and deleting the properties found in user profiles.

Related Topics

Adding and Editing User Profiles
Importing User Profiles
Adding and Editing Profile Properties


Adding and Editing User Profiles

Adding and Editing User Profiles

Users who do not already have user profiles available by using Microsoft Active Directory directory service as an import source must have their information entered manually by adding user profiles. Once user profiles are added or imported, you can update information by editing each user profile.

You can add new profiles using the default user profile. Editing a user profile does not change the set of properties displayed in that user profile. To do that, you must add, edit, or delete the individual profile properties from the default user profile.

Add a user profile

  1. Do one of the following:
    • On the Manage Profile Database page, click Add user profile.
    • On the View User Profiles page, click New Profile on the toolbar.
  2. Type values for the required properties and type values for any other properties you want to include for this user.
  3. On the toolbar, click Save and Close.
  4. To leave this page without adding a user profile, click Cancel and Go Back on the toolbar.

Edit a user profile

  1. On the Manage Profile Database page, click View user profiles.
  2. Click the user profile you want to edit, then click Edit.
  3. Type the new values for any properties you want to change.
  4. On the toolbar, click Save and Close.
  5. To leave this page without making changes, click Cancel and Go Back on the toolbar.

Related Topics

Importing User Profiles
Deleting User Profiles
Adding and Editing Profile Properties
Deleting Profile Properties
Managing User Profiles


Deleting User Profiles

Deleting User Profiles

If you delete a user profile, you also delete the properties and values for that user. Personalized links and alerts for that user are also deleted. Though you can import any properties mapped to Microsoft Active Directory directory service during the next scheduled import, you permanently lose any custom properties that you added. You also lose any values for properties mapped to Active Directory that changed since the last import.

Note If you delete a user profile for a user that remains in Active Directory directory service, that user profile is automatically recreated the next time user profiles are imported.

Delete a user profile

  1. In the User Profile, Audiences, and Personal Sitessection of the Site Settings page, click Manage profile database.
  2. In the Profile and Import Settings section of the Manage Profile Database page, click View user profiles.
  3. On the View User Profiles page, click the user profile that you want to delete, and then click Delete.
  4. On the confirmation message that appears, click OK.

Related Topics

Adding and Editing User Profiles
Adding and Editing User Profile Properties
Deleting Profile Properties
Managing User Profiles


Viewing Profile Properties

Viewing Profile Properties

On the View Profile Properties page, the properties available for user profiles are listed and organized by sections. You can add, delete, and edit properties from this page. You can also add, edit, and delete sections, and move properties within and between sections.

Profile Property Headings

The profile properties are arranged in the order that they appear on the user profile, with information about each profile property contained in columns under the following headings:

  • Property Name The name of the property that is used by Web Parts, custom applications, and other programmatical tasks.
  • Change Order You can change the order of properties by clicking on the arrows in this column.

    Note The enter key repeats the last move, which can be helpful in moving properties a long distance.

  • Display Name The name that is displayed in the user profile and the portal site for this property when it is visible.
  • Property Type The data type of the property that indicates the type of values that are valid for the property.
  • Length The maximum allowed length of the property in characters, if appropriate.
  • Active Directory Property The property in Active Directory directory services to which each property is mapped.
  • Visible A check mark indicates that a property is displayed on the user profile.
  • Alias A check mark indicates that a property is related to the user's name and account in portal site operations and search results.

Changing the View of Profile Properties

Add Profile Section

  1. On the toolbar, click New Section.
  2. On the Add User Profile Section page, in the Display Name text box, type a display name for the section.
  3. Click OK.

Edit Profile Section

  1. Click the section you want to edit, and then click Edit.
  2. Type the new display name for the section in the Display Name text box.

Delete Profile Section

  1. Click the section you want to delete, and then click Delete.
  2. On the confirmation message that appears, click OK.

    Note Properties in the section are moved to the nearest previous section.

Move Properties

  1. To move a property up or down on the user profile, click the up or down arrow in the Change Order column next to the Property Name. Repeat until the property is in the desired location.

Related Topics

Adding and Editing Profile Properties
Deleting Profile Properties
Managing User Profiles


Adding and Editing User Profile Properties

Adding and Editing User Profile Properties

The set of properties that are included in the user profile might not contain all of the information about users in your organization that you want to include on the site.

You can add new properties to enhance those included in the user profile. You can also edit existing properties to change how those properties are displayed in the user profile.

You can also map properties to properties in Active Directory directory services.

Note When you add or edit a property mapping, you must run a full import before the changes take effect.

Add a profile property

  1. In the User Profile, Audiences, and Personal Sites section of the Sites Settings page, click Manage profile database.
  2. In the User Profile Properties section on the Manage Profile Database page, click Add profile property.

    -or-

    In the User Profile Properties section on the Manage Profile Database page, click View profile properties. On the View Profile Properties page, click New Property.

  3. In the Property Settings section of the Add User Profile Property page, type a name for the property in the Name box.

    Note This name is not displayed on the user profile, but is used programatically whenever the property is accessed by Microsoft Office SharePoint Portal Server 2003.

  4. Type a display name for the property in the Display name text box. The display name is the name for the property that is shown on the personal and public views of the user profile.
  5. Select a property type in the Type list and if applicable, type the length in the Length box.

    Important These define the acceptable values for this property, and cannot be changed once the property is created.

  6. In the View Settings section, select one of the following options:
    • Click Public -- All users of the site can view the settings for this property to allow anyone to view the settings for the property.

      Note You must first select this option if you want to display the property in the Details section of the public view of user profiles.

    • Click Private -- Only the user and users with the Manage Profile right can view the settings for this property to hide the settings from most users.
  7. In the Edit Settings section, select one of the following options:
    • Click Allow users to edit this property to allow users without the Manage Profile right to edit the value of this property.

      Note You must first select this option if you want to display this property in the Edit My Profile page.

    • Click Do not allow users to edit this property so that only users with the Manage Profile right will be able to edit the value of the property.
  8. In the Display Settings section, you can choose whether the property appears in the public view of user profiles or on the Edit My Profile page:
    • Click Show in the Details section of the user profile to display the property in the Details section of the public view of user profiles.

      Note To show the property in the Details section of user profiles, you must first make sure that the property is made public in the View Settings section of this page.

    • Click Show on the Edit My Profile page to display the property on the Edit My Profile page.

      Note To show the property on the Edit My Profile page, you must first make sure that you allow users to edit this property by changing the setting in the Edit Settings section of this page.

  9. In the Aliasing section, click Alias to treat this property the same as the user name and account name when searching for items, targeting items to users, and displaying items in the My Documents Web Part of personal sites.

    Note To use this property as an alias, you must first make sure that the property is made public in the View Settings section of this page.

  10. In the Active Directory Import Mapping section, click a property in the Active Directory property to map list to map this property to a property in Microsoft Active Directory directory service.
  11. Click OK.

Edit a profile property

  1. In the User Profile, Audiences, and Personal Sites section of the Sites Settings page, click Manage profile database.
  2. In the User Profile Properties section on the Manage Profile Database page, click View profile properties.
  3. On the View Profile Properties page, click the property you want to edit, and then click Edit.
  4. To change the display name for this property, type the new display name.
  5. In the View Settings section, select one of the following options:
    • Click Public -- All users of the site can view the settings for this property to allow anyone to view the settings for the property.

      Note You must first select this option if you want to display the property in the Details section of the public view of user profiles.

    • Click Private -- Only the user and users with the Manage Profile right can view the settings for this property to hide the settings from most users.
  6. In the Edit Settings section, select one of the following options:
    • Click Allow users to edit this property to allow users without the Manage Profile right to edit the value of this property.

      Note You must first select this option if you want to display this property in the Edit My Profile page.

    • Click Do not allow users to edit this property so that only users with the Manage Profile right will be able to edit the value of the property.
  7. In the Display Settings section, you can choose whether the property appears in the public view of user profiles or on the Edit My Profile page:
    • Click Show in the Details section of the user profile to display the property in the Details section of the public view of user profiles.

      Note To show the property in the Details section of user profiles, you must first make sure that the property is made public in the View Settings section of this page.

    • Click Show on the Edit My Profile page to display the property on the Edit My Profile page.

      Note To show the property on the Edit My Profile page, you must first make sure that you allow users to edit this property by changing the setting in the Edit Settings section of this page.

  8. In the Aliasing section, click Alias to treat this property the same as the user name and account name when searching for items, targeting items to users, and displaying items in the My Documents Web Part of personal sites.

    Note To use this property as an alias, you must first make sure that the property is made public in the View Settings section of this page.

  9. In the Active Directory Import Mapping section, click a property in the Active Directory property to map list to map this property to a property in Microsoft Active Directory directory service.
  10. Click OK.

Related Topics

Deleting Profile Properties
Viewing Profile Properties
Managing User Profiles


Deleting Profile Properties

Deleting Profile Properties

Some properties on the default user profile may contain information about users in your organization that you are not likely to use. You can delete some of these properties.

Some properties cannot be deleted, and the option to delete them is unavailable. This is true of system properties, and properties that are being used in audience rules. You can delete properties used in audience rules by first deleting the audience rules based on those properties.

Note If you delete a property, all user profiles with values for that property lose the associated values. There is no way to recover this information, so be very careful when deleting profile properties.

Delete a profile property

  1. On the View Profile Properties page, click the property you want to edit, and then click Delete.
  2. On the confirmation message that appears, click OK.

Related Topics

Adding and Editing User Profile Properties
Viewing Profile Properties
Managing User Profiles


Managing Audiences

Managing Audiences

Audiences allow you to target content to users based on their jobs or tasks in an organization. You can target content to users based on the values of properties that are contained in user profiles, the reporting structure of your organization, or Microsoft Active Directory directory service groups to which users belong.

Membership in audiences is determined by including the users in your organization that have properties that match audience rules, or are members of security groups or distribution lists that match audience rules. Since the rules or users that match them can change over time, audiences must be compiled regularly to determine current membership. Members of an audience see content targeted to that audience.

Related Topics

Creating and Editing Audiences
Deleting Audiences
Viewing Audience Membership
Compiling Audiences
About Audiences


Creating and Editing Audiences

Creating and Editing Audiences

Audiences are used to target content to users based on their jobs or tasks within the organization. Users in an audience will see audience-specific content on the site that is not available to other users.

Create audience

  1. On the Managing Audiences page, click Create audience.

    Alternatively, on the View Audiences page, click New Audience on the toolbar.

  2. On the Create Audience page, type a name and description for the audience.
  3. Click Satisfy all of the rules or Satisfy any of the rules.

    Note Audience rules can be added from the View Audience Properties page.

  4. Click OK.

    The Add Audience Rule page appears. For more information, see Adding and Editing Audience Rules

You must add rules to an audience and then compile the audience before content can be targeted to the audience.

Edit audience

  1. On the View Audience Properties page, click Edit audience.
  2. On the Edit Audience page, to change the name or description for an audience, type the new name or description.
  3. You can click Satisfy all of the rules or Satisfy any of the rules to change how audience rules are used to include users in the audience.

    Note You can add, delete, or edit audience rules from the View Audience Properties page.

  4. When you have finished editing the audience, click OK to return to the View Audience Properties page.
  5. On the View Audience Properties page, review the statistics for this audience to see the number of current members and the last time it was compiled.

Related Topics

Managing Audience Rules
Deleting Audiences
Viewing Audience Membership
Compiling Audiences
About Audiences


Deleting Audiences

Deleting Audiences

Deleting an audience does not delete content, but no longer targets that content to members of that audience. If that content is only targeted to that audience, it is no longer seen on the site.

Delete an audience

  1. On the View Audiences page, click the audience in the list, and then click Delete.
  2. You can also delete one or more audiences by selecting the check boxes next to each audience you want to delete, and then clicking Delete on the toolbar.
  3. On the confirmation message that appears, click OK.

Related Topics

Creating and Editing Audiences
Viewing Audience Membership
About Audiences


Compiling Audiences

Compiling Audiences

Changes made to audiences and audience rules are not reflected in audience membership until the audience is compiled.

When you compile an audience, the property values in user profiles and membership in distribution lists, security groups, and reporting structure are checked to see if they match the audience rules you have created. Users that match the audience rules for an audience are included in that audience and receive content targeted to that audience.

You can set a compilation schedule so that audiences are compiled automatically at regular intervals. You can also start a compilation at any other time if you must update an audience before the next scheduled compilation.

From the Manage Audiences page, you can start a compilation and set a compilation schedule. You can also view the compilation status and most recent compilation time, and see the number of uncompiled audiences.

Start compilation

  • On the Manage Audiences page, click Start compilation.

    All of the audiences are compiled automatically. The compilation status is displayed on the Manage Audiences page.

Specify compilation schedule

  1. On the Manage Audiences page, click Specify compilation schedule.
  2. On the Specify Compilation Schedule page, click Enable scheduling to turn on audience scheduling.
  3. Select a start time from the Start at drop-down list.
  4. To schedule compilations at this time every day, select Every day.
  5. To schedule compilations on certain days of the week, select Every week on, and then select the days you want to compile audiences.
  6. To schedule compilations once a month, select Every month on this date, and then select the day of the month on which to compile audiences.
  7. Click OK.

Related Topics

Managing Audience Rules
Managing Audiences
Viewing Audience Membership
About Audiences


Viewing Audience Membership

Viewing Audience Membership

You can check the membership of an audience to see if the audience is targeting the right users. This is particularly helpful after adding or editing an audience, after adding or editing audience rules, or after changing the property or organizational structure used by an audience rule.

Important You must compile the audience before membership of an audience is updated with changes.

The audience membership summary shows the last time the audience was compiled, and the number of members in the audience at that time.

View audience members

  1. On the View Audiences page, click the audience whose membership you want to view, then click View Membership.

    -or-

    On the View Audience Properties page for an audience, in the Audience Settings section, click View membership.

  2. To view a different page of multiple page audience membership, click the page number in the Go to page drop-down list.

Related Topics

Creating and Editing Audiences
Deleting Audiences
Compiling Audiences
About Audiences


Managing Audience Rules

Managing Audience Rules

Audience rules determine who is or is not a member of an audience. An audience includes all of the members who match the audience rules when the audience is compiled. Changes to audience rules do not change the membership of the audience until the next time the audience is compiled.

Note To ensure that an audience is current, you must compile the audience after adding, editing, or deleting an audience rule. Audiences also must be compiled if the values of public properties used by the audience rule change or new users are added, even if the audience rules itself is not changed.

Related Topics

Adding and Editing Audience Rules
Deleting Audience Rules
Viewing Audience Membership
About Audiences


Adding and Editing Audience Rules

Adding and Editing Audience Rules

Audience rules use simple queries to include or exclude users from membership in an audience. Each rule includes an operand, operator, and value.

The operand is the user or property you want to include in the query for this rule. The operator indicates how users compared to the value should be queried to include or exclude them from the audience. The value is the point of comparison used by the query.

Note If you select the Member of operator, only users in the group that have a corresponding user profile will be included in the audience.

Add audience rule

  1. On the View Audience Properties page, in the Audience Rules section, click Add rule.
  2. On the Add Audience Rule page, click User to add a rule based on distribution list membership, security group, or reporting structure, or click Property to create a rule based on a user property.
  3. If you clicked Property, click the relevant property in the drop-down list.
  4. In the Operator drop-down list, click an operator to indicate how you want to compare the user or property with a given value.
  5. In the Value drop-down list, type a value to which to compare the user or property selected for this rule.
  6. Click OK.

Edit audience rule

  1. On the View Audience Properties page, click the audience rule.
  2. Click User to base the rule on distribution list membership, security group, or reporting structure, or click Property to base the rule on a user property.
  3. To change the property to include in the query for this rule, click the new property from the drop-down list.
  4. To change the operator you use to compare the user or property for this rule, click the new operator from the Operator drop-down list.
  5. To change the value to which you compare the user or property for this rule, type the new value in the Value drop-down list.
  6. Click OK.

Related Topics

Managing Audience Rules
Deleting Audience Rules
Viewing Audience Membership
Compiling Audiences
About Audiences


Deleting Audience Rules

Deleting Audience Rules

Deleting an audience rule changes how the membership of an audience is determined when the audience is compiled. The audience is compiled using the remaining audience rules. If the deleted audience rule was the only remaining audience rule, the audience membership is empty and content targeted to only that audience is not seen.

Delete an audience rule

  1. On the Edit Audience Rule page, click Delete.
  2. On the confirmation message that appears, click OK.

Related Topics

Adding and Editing Audience Rules
Managing Audience Rules
Deleting Audiences


About alerts on the portal site

About alerts on the portal site

Alerts notify you when information that interests you is added or updated on the portal site and associated content sources. You can define your areas of interest and identify how and when you want to be told about something new or updated that you may want to investigate. You can add an alert to track new matches to a search query, changes to content in an area, or a new site added to the Site Directory.

An alert can be added to track these types of items:

  • Search queries
  • Documents and listings
  • Areas
  • News listings
  • Sites added to the Site Directory
  • SharePoint lists and libraries
  • List items
  • Portal site users
  • Backward-compatible document library folders

Alerts are important tools for portal site users. As information from diverse sources is pulled together, sifting through so much content can be a time-consuming task. Alerts provide a proactive solution to staying informed. Alerts in Microsoft Office SharePoint Portal Server 2003 build on the concept of subscriptions in Microsoft SharePoint Portal Server 2001, extending and refining the feature to make it even more powerful.

The portal site sends alert results whenever changes are made to the content that you added an alert for. You can view alert results on the portal site or receive them in e-mail messages. You can specify how frequently you want to receive alert results by e-mail and receive them immediately, as a daily summary, or as a weekly summary. When you no longer need to follow changes for the item, you can delete your alerts at any time.

You can manage your alerts and alert results from My Alerts, a page available from My Site. In addition, by using Microsoft Office Outlook 2003, you can view all alerts and alert results from all alert providers, including alerts from Microsoft Windows SharePoint Services.

Related Topics

Add an alert
View and manage My Alerts
Delete an alert
Manage alerts settings for all users


Creating a Document Library

Creating a Document Library

Before you create a backward-compatible document library, you must do the following:

  1. Install the optional components for backward-compatible document libraries. For more information, see Installing the Component for Backward-Compatible Document Libraries.
  2. Configure the topology to include the document library server. For more information, see Changing Component Assignments for the Server Farm.

During creation of the document library, information that you enter on the Create Document Library page, such as document library friendly name, document library description, and contact name, is transmitted in plain text. If you want to secure this information during document library creation, enable Secure Sockets Layer (SSL) on the document library server.

Create a document library

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based).
  2. On the List and Manage Document Libraries page, click Create document library.
  3. On the Create Document Library page, in the Name and Description section, do the following:
    1. In the Document library friendly name box, type the friendly name for the document library that you are creating.

      Note The friendly name cannot exceed 100 characters in length.

    2. In the Document library description box, type the description for the document library.
    3. In the Document library name:http://server_name/ box, type a word to use in the URL of the document library after the server name.

      For example, for a URL of http://AdventureWorks/Adventure, you would type Adventure.

  4. In the Associated Portal Site section, from the Portal site list, select the portal site to associate with this document library.

    The portal site provides search capability and the ability to personalize alerts for users of the backward-compatible document library.

    By default, users can get to the document library from the Document Library area on the home page of the portal site. If an area named Document Library already exists, the area for the document library you create uses the document library friendly name. For example, if you create a document library with a friendly name of Markets, the area name will be Markets if there is already an area named Document Library. In this example, if an area named Markets already exists, a number is appended to the name, i.e., Markets1.

    To create a document library that is not associated with a portal site, select None.

    A document library that is not associated with a portal site can be used as a stand-alone document library.

  5. In the Document Library Contact section, do the following:
    1. In the Contact name box, type the name of the user or group to which you are assigning overall responsibility for the document library.
    2. In the Contact e-mail address box, type the e-mail address for the contact.

      The contact e-mail address can be that of an individual user or a group. This e-mail address is used as the reply-to address for e-mail messages sent by the document library during document approval routes.

  6. In the Document Versions section, to limit the number of previous major versions of a document to retain when the document is approved, select the Specify version limit check box, and then type a limit in the Number of versions to retain box.

    Note This setting does not affect the number of minor versions retained.

  7. Click OK.

    The Operation Status page appears. After the document library is successfully created, the List and Manage Document Libraries page appears.

By default, everyone is a reader on the document library. A user who is a member of the local Administrators group on the server is a coordinator by default. If the identity for CentralAdminAppPool is a domain account, that account is a coordinator on the document library. In a single-server configuration, the user who creates the document library (this user must be a member of the local Administrators group) is a coordinator.

You can also create a document library from the Site Settings page for a portal site if you are an administrator on the server farm. However, this option is displayed only if there is no document library already associated with the portal site. Each portal site can have only one document library associated with it. To create a document library from the Site Settings page, do the following:

  1. On the Site Settings page, in the Optional Document Libraries section, click Create a portal document library for this portal.
  2. Go to step 3 in the preceding procedure and continue.


Editing Settings for a Document Library

Editing Settings for a Document Library

On the Change Document Library Settings page, you can do the following:

  • Change the description of the document library, the contact name and e-mail address, and the version limit.

    Note If you are a server farm administrator, you can change the document library display name.

  • Find links to manage document library security, document profiles, and content sources.

Edit the settings for a document library
  1. Navigate to the Change Document Library Settings page by doing one of the following:
    • On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based) . On the List and Manage Document Libraries page, click Edit to the right of the document library that you want to change.
    • On the Site Settings page, in the Optional Document Libraries section, click Change document library settings.
  2. On the Change Document Library Settings page, in the Name and Description section, in the Document library description box, you can change the description for the document library.

    If you are a server farm administrator, you can change the name in the Document library friendly name box.

  3. In the Document Library Contact section, you can do the following:
    1. In the Contact name box, change the name of the user or group to which you are assigning overall responsibility for the document library.
    2. In Contact e-mail address box, change the e-mail address for the contact.

      The contact e-mail address can be that of an individual user or a group. This e-mail address is used as the reply-to address for e-mail messages sent by the document library during document approval routes.

  4. In the Specify version limit check box, you can change the limit in the Number of versions to retain box.

    Note This setting does not affect the number of minor versions retained.

  5. In the Document Library Tasks section, there are links from which you can do the following:
    • Manage document library security. For more information, see Manage Security for a Backward-Compatible Document Library.
    • Manage document profiles. For more information, see Create a Document Profile.
    • Manage content sources. For more information, see Managing Content Sources.

    Note If you click the links to navigate away from the Change Document Library Settings page before saving your changes, you may lose the changes.

  6. Click OK.


Deleting a Document Library

Deleting a Document Library

When you delete a document library, all documents stored in the document library are deleted. In addition, if the document library is associated with a portal site, then the Document Library area and the content source for the document library are deleted.

You can delete all document libraries on the server farm from the central administration page. You must use this page to delete document libraries that are not associated with a portal.

If you are a server farm administrator, you can also delete the document library associated with the portal from the Site Settings page for that portal.

Delete a document library by using the central administration page

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based).
  2. On the List and Manage Document Libraries page, click the Edit link to the right of the document library that you want to delete.
  3. On the Change Document Library Settings page, click Delete at the bottom right side of the page.
  4. On the Delete Document Library page, click OK.

    Warning All documents in the document library will be permanently deleted.

Delete a document library by using the Site Settings page

  1. On the Site Settings page, in the Optional Document Libraries section, click Delete the document library associated with this portal site.
  2. On the Delete Document Library page, click OK.

    Warning All documents in the document library will be permanently deleted.

Alternatively, you can do the following:

  1. On the Site Settings page, in the Optional Document Libraries section, click Change document library settings.
  2. On the Change Document Library Settings page, click Delete at the bottom right of the page.
  3. On the Delete Document Library page, click OK.

    Warning All documents in the document library will be permanently deleted.


Listing and Managing Document Libraries

Listing and Managing Document Libraries

You can use the List and Manage Document Libraries page to create a backward-compatible document library (Web Storage System-based), connect to or disconnect from the configuration database, change document library settings, and go to a document library.

List and manage document libraries

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based).
  2. On the List and Manage Document Libraries page, do one of the following:

    Create a document library

    Click Create document library, and then follow the steps in Creating a Document Library.

    Connect the document library to the configuration database

    Click Connect, and then follow the steps in Connecting a Document Library to the Configuration Database.

    Disconnect the document library from the configuration database

    Click Disconnect, and then follow the steps in Disconnecting a Document Library from the Configuration Database.

    Go to the Change Document Library Settings page

    Click Edit for the document library that you want to change.

    Go to the document library page

    Click the link for the document library that you want to go to.


Connecting a Document Library to the Configuration Database

Connecting a Document Library to the Configuration Database

You can add an existing document library (Web Storage System-based) on the document library server to the configuration database. You would do this if, for example, you had an unrecoverable error on the configuration database or you created a configuration database and you need to add an entry for the document library.

You can optionally associate this document library with a portal site. If you associate the document library with a portal site, users can search the document library and personalize alerts for the document library. A link to the Document Library area appears on the home page of the portal site. This area enables users to browse folders and to manage documents in the document library.

Connect a document library to the configuration database
  1. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based).
  2. On the List and Manage Document Libraries page, click Connect.
  3. On the Connect Document Library to the Configuration Database page, in the Document Library section, do the following:
    1. In the Document library friendly name box, type a friendly (display) name for the document library.
    2. In the Document library name box, type the document library name section from the URL for the document library. For example, for a document library with a URL of http://server_name/document_library_name, you would type document_library_name.
  4. If you want to associate a document library with a portal site, in the Associated Portal Site section, in the Portal site list, select a portal site to associate with the document library.
  5. Click OK.


Configuring E-Mail-Enabled Document Libraries

Configuring E-Mail-Enabled Document Libraries

Microsoft Windows SharePoint Services includes the ability to link a document library with a public folder based on Microsoft Exchange 2000 or later. Any documents attached to messages in the public folder can be automatically inserted into the document library, and the document library displays the document, plus the From address, the subject line, and the date and time that the attachment was inserted into the document library. Note that the body text of the e-mail message is not preserved. It remains in the public folder, but is not transferred to the document library.

A user can simply send e-mail to the public folder, with an attached document, and the document will be automatically added to the correct document library on a SharePoint site. For example, if you were using an XML template to store invoice information, a user could fill out the XML invoice and send it in-email to the public folder. The XML file would then be posted to the document library and would be available for rolling up into larger reports on invoices, or for easy retrieval.

About E-Mail and Document Library Security

This feature relies on e-mail to transport documents, and it uses the same security rules as all e-mail messages. Before enabling this feature, you should be aware of the following issues and vulnerabilities:

  • Because e-mail messages can cross firewalls, external users can use this method to send documents to an internal SharePoint site. This is useful for many scenarios, such as sending expense reports in from the field, but can also open your site up to unwanted junk e-mail messages. For information about controlling junk e-mail messages in public folders, see the Exchange 2000 documentation.
  • Because e-mail messages can carry documents with viruses, you might end up with a virus-laden document on your site. However, documents inserted into a document library from e-mail attachments can be scanned for viruses like any other documents in document libraries. For more information about virus scanning in Windows SharePoint Services, see Configuring Antivirus Protection.
  • Because e-mail addresses can be spoofed, the From address is preserved in the document properties and displayed in the document library. Trust the From address as much or as little as you trust other e-mail addresses.
  • To allow this feature to work, the document libraries allow anonymous insertions from e-mail attachments. You cannot control who has rights to add attached documents to this document library. However, you can control who can add documents directly to the document library, and you can control who has rights to post to the public folder by using the Exchange user management tools.
  • As with any public folder or document library, there is the possibility that a malicious user could add so many documents that the site or server's storage capacity is filled, thus blocking other users from accessing the site or server. Be sure to control the list of users with access to the public folder, and consider using quotas to control the size of the site. For more information about quotas, see "Configuring Site Quotas and Locks" in the Windows SharePoint Services Administrator's Guide.

This feature adheres to the blocked file extension rules for a document library. Any documents with file extensions that are blocked at the server level are also blocked from being added to an e-mail-enabled document library. For example, if you have a file with an .exe file extension, and you send it to the public folder, it will not be transferred to the document library. For more information about blocked file types, see Configuring Blocked File Extensions.

How It Works

The Microsoft SharePoint Timer service controls when the public folder is checked for new attached documents. When the SharePoint Timer service event runs, the service checks the public folder for new documents and inserts them into the document library. The SharePoint Timer service simply inserts documents. It does not update, overwrite, or delete documents. If the same document is added to the public folder more than once, it will also appear more than once in the document library. However, each document in the document library will have a unique file name (which is automatically generated by adding numbers, such as "1", to the end of the file name, so that filename.doc when added again becomes filename1.doc).

You can use this feature with any document library, or any list based on a document library template such as a custom document library, except picture library, which is not supported. The data sent to the document library along with the document is fixed. Any additional fields (even required fields) that you specify in the document library properties are ignored when documents are inserted.

Managing the Public Folder

You must configure the Exchange public folder to work with Windows SharePoint Services before you can enable this feature. And after you configure the feature, you must continue to perform the public folder administration tasks from within Exchange.

To use this feature, you must use the Exchange 2000 administration tools to:

  • Create the public folder.
  • Grant read access to the appropriate Windows SharePoint Services application pool accounts. If you are using one account for all virtual servers, grant access to that account. If you are using separate accounts for each virtual server, you must grant the virtual server accounts access to the appropriate public folders.

    If you prefer not to grant access to the application pool accounts, you can instead give the anonymous user account access to read the public folder. This is a less secure method than granting access to the application pool account.

  • Determine which e-mail distribution list to allow to post to the public folder, and grant that list appropriate access to the public folder.
  • Create an e-mail address for the public folder and enable the public folder to receive e-mail messages.
  • Continue to manage the public folder and the access to the public folder.

For more information about managing public folders and managing user access in Exchange 2000, see the Microsoft Exchange 2000 documentation.

Enabling E-Mail Access to Document Libraries

To enable this feature, you must be a local server administrator or a member of the SharePoint administrators group. You enable or disable this feature by selecting options on the Virtual Server General Settings page. After you have enabled this feature for a virtual server, any administrator of a site on that virtual server can enable the feature for a document library in his or her site.

Configure a virtual server to allow e-mail-enabled document libraries
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to use.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  5. In the E-Mail-Enabled Document Libraries section, next to Document libraries on this virtual server can accept e-mail attachments, click Yes.
  6. In the Public folder server and root path box, type the path to the root folder on the Exchange server that hosts public folders.

    Note You must specify the server name for the public folder server, not the fully-qualified domain name. For example, use http://server_name/public, not http://server_name.domain.company_name.com/public.

  7. Under Check for new e-mail in the public folder, specify how frequently the public folders are checked for attachments by selecting one of the following:
    • Every ___ minutes

      Type the number of minutes to wait before checking again.

    • Hourly between ___ and ___ minutes past the hour

      Type the times between which you want to check. For example, between 10 and 20 past the hour would specify that the public folder is checked at a random time between 1:10 and 1:20, 2:10 and 2:20, and so on. Specifying the range allows each Web server to process e-mail attachments at different times within the range, so that all of the front-end Web servers in a server farm do not check the Exchange server at the same time.

    • Daily between ___ and ___

      Type the times between which to process daily e-mail attachments.

    The default value is hourly, between 0 and 59 minutes past the hour.

  8. Click OK.

If this feature has been enabled at the virtual server level, any administrator (or other user with the Manage Lists Permissions right) of any site on that virtual server can configure a document library to link to a public folder.

Configure a document library to allow e-mail insertion
  1. Navigate to the document library you want to use.
  2. Under Actions, click Modify settings and columns.
  3. Under General Settings, click Change advanced settings.
  4. On the Document Library Advanced Settings: Library name page, under E-Mail Settings, in the Public folder address box, type the path to the Exchange public folder you want to link to.

    This path is relative to the path specified on the Virtual Server General Settings page. For example, if the virtual server has http://server_name/public as the root path for public folders, and the full path to the folder is http://server_name/public/folder_name, you would type /folder_name in the Public folder address box.

  5. Click OK.


Managing Web Discussions

Managing Web Discussions

Web sites based on Microsoft Windows SharePoint Services include Web discussions, a special collaboration feature that allows users to communicate with each other on the World Wide Web. Web discussions are threaded discussions that allow users to collaborate on HTML documents or on any document that can be opened with a browser (such as .htm, .xls, .doc, and .ppt files) on a server running Windows SharePoint Services. Users can add and view discussion items located within documents, or general discussion items located in the discussion pane.

About Web Discussions

Users can participate in discussions about documents created in word processing, spreadsheet, and presentation programs compatible with Windows SharePoint Services, such as Microsoft Word, Microsoft Excel, and Microsoft PowerPoint, as well as any HTML or Rich Text Format (RTF) file. The threaded discussions are maintained in the content database for the site.

To participate in a discussion, users click the Discuss button on the Microsoft Internet Explorer toolbar, or in a spreadsheet, word processing, or presentation program compatible with Windows SharePoint Services; or click the Web Discussions command (Online Collaboration submenu on the Tools menu). If the document is stored in a document library, you can also use the Discuss option on the Edit menu for the document. All user discussion items are displayed in a shared document that users can view either in the original application or in Internet Explorer.

Because discussion items are stored separately from the shared document, users can modify the document without affecting the collaborative discussion. This separation also allows multiple users to create and edit discussion items simultaneously. Users can also add discussion items to read-only documents.

By using the Web Discussions toolbar, users can view Web discussions, search for discussion items, or filter discussions by author or by date and time. Inline discussions print as part of the document, while discussions in a discussion pane print on a separate page when the document is printed. Users can view discussions offline, but they cannot add to them offline.

Editing Discussion Items

The logon authentication account identifies a user, and depending on the site group assigned to a user, the user has different rights for working with discussion items in a document library or list. For example, in a document library, a user with View Items rights can only view other users' discussion items but cannot contribute to the discussion. Whereas a user with Add Items, Edit Items, and Delete Items rights can participate in discussions, and can also edit or remove other users' discussion items.

With Windows SharePoint Services, and with the appropriate user rights, you can perform the following actions on an existing discussion item:

  • Reply — Append your discussion item to another user's discussion item.
  • Edit — Change your own or another user's discussion item.
  • Delete — Delete your own or another user's discussion item.
  • Close — Mark a discussion item as closed.
  • Close Item and Replies — Mark a discussion item and any replies as closed.
  • Activate — Restore a discussion item after it has been closed.

A user must have the correct rights to view, edit, reply to, or delete a discussion comment in a site. The following table explains the rights required to work with discussion comments within different environments in a Web site:

Action | Right Required (Web Site Page) | Right Required (Document or Attachment) | Right Required (List View and Form pages)
View discussions | View Pages | View Items | View Items
Insert a discussion | Add and Customize Pages | Add Items | Manage Lists
Edit a discussion | Edit Items | Edit Items | Manage Lists
Delete a discussion | Delete Items | Delete Items | Manage Lists
Close a discussion | Add and Customize Pages | Manage Lists | Manage Lists
Close an item and replies | Add and Customize Pages | Manage Lists | Manage Lists
Activate a discussion | Add and Customize Pages | Manage Lists | Manage Lists

For more information about which site groups include these rights, see User Rights and Site Groups.

Anyone with rights to view discussions (from View items on up) can close his or her own discussion items. When discussions are marked closed, they are not deleted from the database, and therefore there is no risk of losing important information. If the discussion is needed again, it can be restored by using the Activate command.

Modifying Documents That Contain Discussion Threads

Because discussion items are not stored in the document, users can modify the document independently from any discussions they create.

The following table explains how a modification to a document can affect threaded discussions in a document.

When a document is modified in this way | The discussion data is affected this way
The change is made in an area without a discussion item attached. | Inline and general discussions are not affected.
The change is made in an area with a discussion item attached. | Inline discussions attached to modified text are moved to the General discussions area and marked as "mismatched." General discussions are not affected.
The entire document is moved, renamed, or deleted. | All inline and general discussions are lost.

Managing Web Discussions

You can view and delete discussion threads on your discussion server. To manage discussion threads, you use the Manage Discussions page in the Site Administration pages for your site or subsite.

Manage Web discussion threads
  1. On the site, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. On the Site Administration page, under Management and Statistics, click Manage Web discussions, and then do any of the following:
    • To see all discussion threads associated with your site, click All Web discussions, and then click Update.
    • To see discussion threads filtered by a particular URL, type a path in the Web discussions in folder http://server_name/ box, and then click Update.
    • To view a particular discussion thread, click the URL for the thread.
    • To delete a particular discussion thread, select the check box next to the thread, and then click Delete.
    • To delete all discussion threads on your site, click Delete all discussions.


Managing Personal Sites

Managing Personal Sites

Every person in the Member site group or with the Create Sites and Create Personal Site rights can create a personal site by clicking My Site on the title bar on the portal home page.

Once a personal site is created, a user can view his or her personal site by clicking My Site. A user can also send a link to his or her personal site to any other user of the portal.

Site administrators control the location and site naming format for the personal sites on the portal from the Manage Personal Sites page. If you are using shared services, you can create and store personal sites for any portal site on a different portal site in the server farm.

Site administrators can also select the users and security groups that are part of the default Reader site group.

You can view and manage site settings for individual personal sites from the View User Profiles page.

Selecting the personal site location

The personal site location is the name of the directory where you want to create and store personal site directories for users. This directory is created immediately under the root directory. For example, if you click "personal," all of the personal site directories are created under http://servername/personal. You can change this location at any time without affecting the location of existing personal sites.

  1. Click Site Settings, and then in the User Profile, Audiences, and Personal Sites section, click Manage personal sites.
  2. On the Manage Personal Sites page, in the Personal Site Location section, in the Location list, select the location where you want to create and store all personal sites.
  3. Click OK.

Selecting the site naming format for personal sites

The site naming format describes the naming convention to use when creating directories for the personal sites for specific users, and how to resolve conflicts with existing directories. This is important because user names can potentially conflict with one another across multiple domains.

  1. Click Site Settings, and then in the User Profile, Audiences, and Personal Sites section, click Manage personal sites.
  2. On the Manage Personal Sites page, in the Site Naming Format section, select the naming format to use when creating and storing information for personal sites.
    • User name (do not resolve conflicts) Directories are named using the user name for each user. If the same user name occurs in multiple domains, information for the personal sites created for those user accounts is stored in the same location.
    • User name (resolve conflicts by using domain_username) Unless there is a naming conflict, all personal sites use the user name of the user that created them. In the case of conflicts, the new personal site is created in a directory with the format domain_username.
    • Domain and user name (will not have conflicts) All directories are created using a naming convention that includes the domain name. This avoids conflicts, but may be harder for users to remember.
  3. Click OK.

Adding accounts and groups to the Reader site group for personal sites

You can decide which users can view personal sites by adding accounts and groups to the Reader site group.

  1. Click Site Settings, and then in the User Profile, Audiences, and Personal Sites section, click Manage personal sites.
  2. On the Manage Personal Sites page, in the Default Reader Site Group section, type the accounts or groups that you want to add to the Reader site group in the text box, separating accounts and groups by using commas.
  3. You can also select accounts or groups to add to the Reader site group by clicking Edit.

    The Default Reader Site Group page appears.

  4. On the Default Reader Site Group page, in the Find by list, click the option for the name or alias of the user or security group for which you are searching.
  5. Type the text for the name or alias for which you are searching, and click Find. All names or aliases starting with that text are returned in search results.
  6. In the Results box, click the users or aliases that you want to add, and then click Add.
  7. Search for and add as many users as you want, and then click OK.

    The Default Reader Site Group page is closed.

  8. Click OK.

Managing site settings for individual personal sites

  1. On the navigation bar, click Site Settings.
  2. On the Site Settings page, in the User Profile, Audiences, and Personal Sites section, click Manage profile database.
  3. On the Manage Profile Database page, in the Profile and Import Settings section, click View user profiles.
  4. Click the account name for the personal site that you want to manage, and then click Manage Personal Site.

Related Topics

About My Site


Managing Targeted Content for My Site

Managing Targeted Content for My Site

As a site administrator, you can target content to the personal sites of portal users. Users who click My Site on the navigation bar to view their personal sites see all of the content that is targeted to their sites for the audiences to which they belong.

You target content to personal sites by adding listings to the Targeted links on My Site area or News area, and then editing the display properties of the listings to target specific audiences.

Users see the content that is targeted to them in the Links for You and News for You Web Parts on their personal sites. Content added to the Targeted links on My Site area is displayed in the Links for You Web Part. Content added to the News area is displayed in the News for You Web Part.

Note Users can also see targeted content on the home page of the portal site and in areas in the portal site map. Content added to the Home area is displayed on the home page of the portal site. Targeted content added to other areas appears in only those areas in the portal site map.

Though as an administrator you can manage targeted content for personal sites from the portal site map just as you do targeted content for the default portal page, you can also manage targeted content from the Targeted Links on My Site page. This page is a list view of all listings in that area.

Views

By default, the Targeted links on My Site page uses a view that organizes all of the content targeted to personal sites by groups. You also have the following views:

  • All Items This view shows all items.
  • New Requests This view shows items that are requested by users, but not yet rejected or approved.
  • Rejected Content This view shows items that are rejected.
  • Archived Content This view shows expired items that you are saving, possibly to use again at a later date.
  • Expired Content This view shows items that passed their expiration date, and have yet to be deleted or moved to the archive.
  • Suggestions This view shows items that are suggested as being relevant to this area by the topic assistant.

You can change the status of any item from the menu that appears when you select each item.

Add an item to target to audiences in personal sites

  1. Click Site Settings, and in the Portal Site Content section, click Manage targeted links on My Site.
  2. On the Targeted links on My Site page, click Add Listing to target a link to the Links for You Web Part on My Site.
  3. On the Add Listing page, in the Title and Description section, type a title and description for the listing.
  4. In the Content section, for existing items, click Existing listing and type the address for the location of the item.

    If you are adding a completely new item, click Add a listing by entering text and then click Open Text Editor. Type and format the text for the item, and then click OK.

  5. In the Group section, you can click the group to which you want to assign this listing. By default, listings are in the General group. The other group options are Best Bet and Expert.
  6. In the Image section, you can decide to type an address for an image to represent this listing when it appears in the portal site.
  7. In the Audience section, select the audience you want to target from the Available audiences list, and then click Add.

    Note If the list of available audiences is long, you can type part of the audience name into the Find audiences that start with text box to go directly to the audience in the list.

    You can select more than one audience.
  8. On the Add Listing page, click OK.

Edit an item to target to audiences in personal sites

  1. On the Targeted links on My Site page, click the arrow next to the item you want to edit, and then click Edit.
  2. On the Change Settings page, in the Title and Description section, you may change the title and description.
  3. In the Address section, you may change the location of the listing if the listing has moved.
  4. In the Location section, Targeted links on My Site is selected. Do not change this setting if you want this item to be targeted to the Links for You Web Part on My Site.

    Note If this is a news item that you would prefer to target to the News for You Web Part, click Change location and then select the News area or one of its subareas. If it's an item you want to target to the home page of the portal, you can change the area to Home or one of its subareas. If you change this to any other area, this item is not targeted to any users on the home page or in My Site.

  5. Click the Publishing tab to change the dates during which the item is targeted, as well as to set the approval status of the item.
  6. To target this item to another audience, click the Display tab, and then in the Audience section, select the new audience you want to target from the Available audiences list and click Add. To stop targeting an audience, select it and click Remove.

    You can also change the group and image for this listing from this tab.

  7. Click the Search tab, and then click Yes to include this listing in search results. To remove this listing from search results, click No.
  8. Click OK.

Add a person

In addition to documents, news, and other items, you can target user profiles for certain people in your organization to a specific audience. This is a useful way to provide information to a team about a manager or new employee.

  1. In the Actions list, click Add Person.
  2. On the Add Person page, in the Name and Description section, click Select person.
  3. On the Select a person page, in the Find by section, click name of user to search by the display name of the user, or alias of user to search by the account name, and then type the name for which to search.
  4. Click Find.

    The names that match your search appear in the Results list.

  5. Click the name of the person you want to add, and then click Add.
  6. Click OK.
  7. On the Add Person page, type a description, assign the person to a group, and target an audience just as you would with any other listing.
  8. Click OK.

    Note Editing a person is exactly like editing any other targeted item in the portal.

Related Topics

Add a News Item to the Portal Site
Use Audiences to Target Content
Target an Item to an Audience
Show Targeted Items to Portal Users
About My Site


Backing Up and Restoring Servers on the Server Farm

Backing Up and Restoring Servers on the Server Farm

You can back up and restore an entire server farm, an entire portal, or individual components of a Microsoft Office SharePoint Portal Server 2003 deployment by using the SharePoint Portal Server Data Backup and Restore utility. You can start the utility from the SharePoint Portal Server group on the All Programs menu.

Important You must install the Microsoft SQL Server 2000 client tools on the front-end Web server from which you run the backup and restore process in a server farm.

To back up an image, the following accounts must have write access to the directory where the image is located. To restore an image successfully, the following accounts must have read access:

  • The service account for SQL Server
  • The search service and database access accounts for search
  • The current user

The current user must also have the following rights:

  • Read access to all SQL Server databases
  • Write access to all site databases and the configuration database
  • Membership in the local administrators group on the document management server
  • Administrator rights on the database server, either as a member of the local administrators group or as a member of the SQL Server 2000 System Administrators server role

The SharePoint Portal Server Backup and Restore utility successfully backs up and restores almost all of the data in your server farm. However, custom Web Parts will need to be reinstalled on every front-end Web server in the server farm. To avoid having to reinstall these custom Web Parts, you have the option of using the operating system backup and restore utility before using the SharePoint Portal Server Backup and Restore utility.

Single Server Deployments

You should have regularly scheduled backups of your server so that you can restore data in case of server failure.

In case of total server failure, you can build a server with the same name or with a new name and restore your SharePoint Portal Server data to it.

Restore data to a single server

  1. Install SharePoint Portal Server.
  2. Create the configuration database.
  3. Restore everything from the server that you can restore.

    Use the Edit button on the Restore tab to specify the settings for each component, and select a new name for the server if you are restoring to a server with a different name.

  4. Configure the single sign-on service to use the restored single sign-on database, if it is part of your deployment.
  5. Restore the encryption key, if you have configured the single-sign on service.

Server Farm Deployments

You should have regularly scheduled backups of your server farm so that you can restore data in case of server failure.

Backup must be run from a front-end Web Server.

In case of total server failure, you can build a server with the same name or with a new name and restore your SharePoint Portal Server data to it.

Document library server — restore data to a server with the same name

  1. Install the document management component of SharePoint Portal Server on the newly built server.
  2. Restore the document management components to the server.

Document library server — restore data to a server with a new name

  1. Delete all document libraries by using the SharePoint Portal Server Central Administration for Server ServerName page. This will not actually delete the document libraries (because the server has failed), but it will delete the entry for them in the configuration database.

    Note For Microsoft Office SharePoint Portal Server 2003, delete any document libraries associated with portals by using the Site Settings page for each portal. Delete any document libraries not associated with portals by using the following URL: http://ServerName:8080/sps/DmWorkspaceDelete.aspx?WorkspaceName=NameOfWorkspace.

  2. Remove the document management server from the server farm topology by removing it from the component assignments.
  3. Remove the document management server from the server farm.
  4. Install the document management component of SharePoint Portal Server on the newly built server.
  5. Add the document management server to the server farm.
  6. Add the document management server to the server farm topology by adding it to the component assignments.
  7. Restore the document management components to the server.
  8. Reconnect your document libraries.

Index management or job server — restore data to a server with the same name

  1. Remove the index management server from the server farm topology by removing it from the component assignments.
  2. Remove the index management server from the server farm.
  3. Install SharePoint Portal Server on the newly built server.
  4. Add the index management server to the server farm.
  5. Add the index management server to the server farm topology by adding it to the component assignments. Add it as a content index server and as the job server, if applicable.
  6. Restore the index management components to the server.
  7. If the server is also a job server, and you are using the single sign-on service in your deployment, configure the single sign-on service, and then restore the encryption key.

Index management or job server — restore data to a server with a new name

  1. Install SharePoint Portal Server on the newly built server.
  2. Add the index management server to the server farm.
  3. Add the index management server to the server farm topology by adding it to the component assignments. Add it as a content index server and as the job server, if applicable.
  4. Remove the old index management server from the server farm topology by removing it from the component assignments.
  5. Remove the old index management server from the server farm.
  6. Restore the index management components to the server.
  7. If the server is also a job server, and you are using the single sign-on service in your deployment, configure the single sign-on service, and then restore the encryption key.

Database server — restore data to a server

  1. Disconnect each server in the server farm from the configuration database.
  2. Install SQL Server 2000 Service Pack 3 on the server for the configuration database, if necessary.
  3. Re-create the configuration database on the server using the SharePoint Portal Server Central Administration pages.
  4. Re-connect all servers to the newly created configuration database and assign proper components to each server.
  5. On all front-end Web servers, un-extend the virtual servers used previously by portal sites.
  6. Restore the portal sites, including site databases, user profile databases, and services databases for the server from the backup image.

    Note If some of these databases are on other servers, those servers must be reconfigured for the deployment of SharePoint Portal Server 2003.

  7. Restore the single sign-on database from the backup image and then reconfigure the single sign-on service, if you are using the single sign-on service in your deployment.
  8. On each Web server, open a command prompt and type iisreset.

Database server — migrate a single server installation using SQL Server 2000 Desktop Engine to a SQL Server 2000 server on a server farm

  1. Back up everything on your existing database server.
  2. Install SharePoint Portal Server on the newly built server, choosing the SQL Server 2000 option.
  3. Create a configuration database.
  4. Restore all of your components.

    Use the Edit button on the Restore tab to specify the settings for each component, including the new name for the server.

Server farm — restore data to all servers on the farm

Data is restored to servers using the same name as the failed servers.

  1. Install SharePoint Portal Server on each newly built server.

    Note You do not need to install SharePoint Portal Server on the database server.

  2. Install the server and client components for backward-compatible document libraries on the newly built document library server.
  3. Configure the farm topology but add only one Web server.
  4. Restore the data.

    Use the Edit button on the Restore tab to specify the server for the restore operation.

    Backup and restore will recreate portal sites, SharePoint sites, and document libraries.

    Note During restore, you will be asked to provide virtual server names and port numbers for portal sites and server names for document libraries. It is strongly recommended that you use the same settings for both portal sites and document libraries, which are provided by default. If you change the virtual server name for the portal site or the server name for the document library associated with that site, you will have to manually reconnect the document library in SharePoint Portal Server Central Administration. Using the same settings also ensures that other applications referring to the portal site can still access the portal site.

  5. Configure the single sign-on service, if it is part of your deployment.
  6. Restore the encryption key, if you have configured the single-sign on service.
  7. Add additional Web servers and extend the IIS virtual server for each site.

Restore data to the Web server

  • If at least one Web server on the server farm is still active, add additional Web servers to the server farm and extend the IIS virtual server for each site.

Restore data to the search server

  1. Install SharePoint Portal Server on the newly built server. You can use a server with the same name as the failed server or with a new name.
  2. Add the search server to the server farm.

    Note If a different name was used for the new server, the old server should be removed from the server farm.

  3. Add the search server to the server farm topology by adding it to the component assignments.

Related Topics

Backing Up Data
Restoring Data
Changing Component Assignments for the Server Farm
Removing a Server from the Server Farm
Adding a Server to the Server Farm
Specifying Configuration Database Settings
Deleting a Document Library
Specifying Settings for Single Sign-On and Application Definitions


Backing Up Data

Backing Up Data

You can back up all server farm components or individual components.

Important You must install the Microsoft SQL Server 2000 client tools on the front-end Web server from which you run the backup and restore process in a server farm.

To back up or restore an image successfully, the following accounts must have access to the directory containing the backup files:

  • The service account for SQL Server must have write access to the directory.
  • The search service and database access accounts for search must have write access to the directory.
  • The current user must have write access to the directory.

The current user must also have the following rights:

  • The user is a member of the Local Administrators group on the document library server.
  • The user is a member of the SPS_WPG group or Administrators group on the content index servers.
  • The user is a member of the db_owner database role on the configuration database and site databases.

Back Up Data

  1. Click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Data Backup and Restore.

    The Microsoft Office SharePoint Portal Server 2003 Backup and Restore dialog box opens.

  2. Click the Backup tab.
  3. In the Backup location and name box, do the following:
    1. Type or browse to the location where you want to store the backup files.
    2. After the folder name, type the file name that will be the prefix for each backup file.
  4. In the tree view, expand Available components by clicking the plus sign.
  5. Click the components that you want to back up.
  6. In the Backup comment box, type a comment.
  7. Optionally, select the Overwrite existing files check box.
  8. Click Backup.
  9. On the successful completion message box, click OK.

Back Up Data Using the Command Prompt

Though the SharePoint Portal Server 2003 Backup and Restore program can be run from the Start menu, you can also back up your data on a regular schedule using the command prompt.

  1. On the taskbar, click Start, and then click Command Prompt.
  2. Change directories to the \Bin directory of your SharePoint Portal Server installation.
  3. Use the program in one of three ways:
    • Type "spsbackup" to run the backup and restore program normally without any command line options.
    • Run the backup and restore program with the following command line parameters:

      spsbackup { /all | /teamdbs | /ssodb | /doclib | { /portal portalUrl [ /service { sitedbs | index } ] } } /file backupfilepath\fileprefix [/overwrite]

      You must choose one of the following for the type of data to back up:

      /all Backs up all data from all portal sites and team databases.
      /teamdbs Backs up all team databases.
      /ssodb Backs up all data from single sign-on databases.
      /doclib Backs up all data from document libraries.
      /portal portalUrl Backs up the portal site with the specified portalUrl.

      You may also add the following optional parameter to the /portal portalUrl parameter:

      /service Backs up a specific service, either sitedbs or index.

      The following parameters are added next:

      /file backupfilepath\fileprefix This required parameter specifies the files that contain the backup image. backupfilepath is the directory to the location of backup files, and fileprefix is the first few characters in the file names of the backup files.
      /overwrite This optional parameter overwrites any previous backup image.

    • Run the backup and restore program with the following command line parameters:

      spsbackup /DMLocalPath LocalPath

      LocalPath is the local path of the document library server where you want to temporarily hold the backup image.


Restoring Data

Restoring Data

You can restore all server farm components or individual components.

Important You must install the Microsoft SQL Server 2000 client tools on the front-end Web server from which you run the backup and restore process in a server farm.

To back up an image successfully, the following accounts must have write access to the directory containing the backup files. To restore an image, the following accounts must have read access:

  • The service account for SQL Server
  • The search service and database access accounts for search
  • The current user

The current user must also have the following rights:

  • Membership in the local administrators group on the document management server
  • Administrator rights on the database server, either as a member of the local administrators group or as a member of the SQL Server 2000 System Administrators server role

Note Some information is not restored, and must be configured after restore has completed. This includes proxy settings, the configuration database, e-mail settings, and various registry settings described in the documentation.

Alternate access settings are not backed up, but are stored by the configuration database. If you restore to the same deployment and the configuration database is on a different server in that same deployment, these settings will be intact. Otherwise, you will have to reconfigure alternate access settings.

Information on front-end Web servers is not backed up and restored by this procedure, and should be backed up manually. This includes custom templates, assemblies, Web parts, and style sheets.

Restore data

  1. On the taskbar, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Data Backup and Restore.

    The Microsoft Office SharePoint Portal Server 2003 Backup and Restore dialog box opens.

  2. Click the Restore tab.
  3. In the Manifest file box, specify the location of the manifest file. You can also click Browse to find the location of the manifest file.

    The manifest file is the XML file that is in the directory that you specified for the backup files when you backed up the server. The file name is the prefix you specified for the backup file names. For example, if the file name you specified as the prefix for the backup file names was Adventure, the name of the manifest file would be Adventure.XML.

  4. In the tree view, expand Available components by clicking the plus sign.
  5. Click the components that you want to restore.

    Components that are ready to be restored are labelled as Ready in the Restore Item column. If a component is labelled as Parameters Needed, you cannot select the check box for the component. You must click the component, click Edit, and then provide the missing parameters.

    If a component is labelled as Dependent Item, you must first select the check box for the component on which it is dependent. This is typically the SITEDBS component corresponding to the portal site.

  6. Click Restore.

    Caution Restore will overwrite existing data. Ensure that you have verified that each backup image corresponds to the correct component.

    Important When you restore the document library component, it restores all of the document libraries in the most recent backup image. Document libraries created since the most recent backup are not included, and will be lost. Make sure that you backup all document libraries before restoring the document library component.

  7. On the confirmation message box, click OK.
  8. On the successful completion message box, click OK.


Using Monitoring Tools

Using Monitoring Tools

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Optimizing Performance

Optimizing Performance

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Binding to a Document Library Event Handler

Binding to a Document Library Event Handler

Microsoft Windows SharePoint Services includes changes that allow you to bind an event handler to a document library. With this feature, you can use document library events to start other processes, such as workflow processes. You can develop managed code that takes advantage of document library events and create an application based on Windows SharePoint Services to perform whatever actions you need. When you combine document libraries, your own event-handling managed code, and possibly XML forms, you can create complex workflow processes that are easy for users to work with.

For example, in the healthcare industry, when a new patient is admitted to a hospital, there is a lot of paperwork that needs to be generated, and it needs to be done in a specific order. You can write an application that interacts with XML forms in a document library to do such things as:

  • Track when a new admissions form is added to the document library.
  • Extract the insurance information and forward it to the billing application.
  • Notify the staff in the appropriate section of the hospital to pull the patient's chart.

Tracking Events in Document Libraries

The following events can be tracked for document libraries.

Event | Description
Insert | A new document is added to the document library.
Update | An existing document is edited.
Delete | An existing document is deleted.
Move | A document is moved or renamed.
Copy | A document or folder is copied.
Check In | A document is checked in.
Check Out | A document is checked out.
Cancel Check-Out | Changes made to a checked out document are undone.

For more information about writing managed code to interact with document library events, see the Microsoft Windows SharePoint Services Software Development Kit.

Enabling Document Library Events

If you want to allow developers in your organization to use the document library events to write code, you must enable this feature at the virtual server level.

Enable document library events for a virtual server
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the name of the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  5. On the Virtual Server General Settings page, in the Event Handlers section, next to Event handlers are, select On.
  6. Click OK.

After the feature is enabled, you can write code to handle the events, and then specify the code to use for a particular document library in the document library settings.

Enable document library events for a specific document library
  1. On the appropriate Web site, navigate to the document library you want to monitor.
  2. Under Actions, click Modify columns and settings.
  3. Under General Settings, click Change advanced settings.
  4. In the Event Handler section, in the Assembly name box, type the strong name of the assembly containing the event handler class.
  5. In the Class Name box, type the full class name for the event handler.

    Note The Class Name value is case sensitive.

  6. In the Properties box, list any appropriate properties for the event handler.
  7. Click OK.

Note Be aware that event settings are preserved when a document library is saved as a list template. For more information about templates, see "Working with Templates" in the Windows SharePoint Services Administrator's Guide.


Viewing and Deleting Diagnostic Logs

Viewing and Deleting Diagnostic Logs

You can view and delete diagnostic logs.

View and delete diagnostic logs

  1. On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Configure diagnostic settings.
  2. On the Configure Diagnostic Settings for server_name page, in the View Diagnostic Logs section, in the Diagnostic logs list, select a diagnostic log, and then do one of the following:
    • To view the selected log, click View Log.
    • To delete the selected log, click Delete.

      You cannot delete a log file that is in use.

  3. To delete unused log files, click Delete Unused Log Files.

    You cannot delete log files that are in use.


Monitoring Events for Windows SharePoint Services

Monitoring Events for Windows SharePoint Services

Part of managing servers is monitoring the applications and services running on your servers so that you can take action either when an error occurs or before a limit is reached. Use the events, alerts, and System Monitor counters in this topic to monitor service status and troubleshoot issues for your front-end Web servers running Microsoft Windows SharePoint Services. When you monitor events for Windows SharePoint Services and related services, you can make sure that your users' SharePoint sites are available when they need them.

The following types of events are covered in this topic:

  • Web Site and SQL Server Events
  • Services Events
  • Active Directory Events
  • Virus Scanner Events
  • HTML Transformation Events
  • Baseline Server Events

Note The Microsoft Windows SharePoint Services Monitoring Design and Implementation whitepaper, available on the Microsoft Web site, contains more information about these events and errors and how one team, the Internet Platform and Operations group at Microsoft, used these errors and events to monitor Windows SharePoint Services during the beta release.

Web Site and SQL Server Events

The Windows NT Event log entries from Windows SharePoint Services all have the same Event ID (1000). For these events, the description field contains unique elements - usually the pound sign (#) followed by a number. These unique elements are called out in the following tables.

When the content and configuration databases cannot be reached, the Windows SharePoint Services service on the front-end Web server will be interrupted.

Event | Cannot connect to database
Event Type | Error
Event Source | Windows SharePoint Services 2.0
Event Category | None
Event ID | 1000
Description contains | substring '#50070'
Response | Check the database connection information and make sure that the database server is running.

The following two events are alerts, sent through e-mail messages to system administrators.

Event | Database capacity reached
Event Type | Error
Event Source | Windows SharePoint Services 2.0
Event Category | None
Event ID | 1000
Description contains | substring '#50068'
Response | Change the content database Web site capacity settings or add more content databases.
Event | Database capacity warning reached
Event Type | Warning
Event Source | Windows SharePoint Services 2.0
Event Category | None
Event ID | 1000
Description contains | substring '#50069'
Response | Either change the content database Web site capacity settings or add more content databases.

Services Events

When the following errors occur with Web parts, the SharePoint Timer Services, STSWel, or W3WP, they should be investigated and troubleshooted. When these events occur, Windows SharePoint Services services are still available but certain components on one server may not be functioning normally.

Error | Web Part rendering failure
Provider Name | Application
Provider Type | Windows NT Event Log
Event Type | Error
Source Name | Windows SharePoint Services 2.0
Description contains | Substring 'VerifySafeControls failed for guid’
Error | Web Part unsafe control detected
Provider Name | Application
Provider Type | Windows NT Event Log
Event Number | 1000
Event Type | Error
Source Name | Windows SharePoint Services 2.0
Description contains | Substring 'Unsafecontrol exception (GetTypeFromGuid)'
Error | OWSTimer and STSWel error
Provider Name | Application
Provider Type | Windows NT Event Log
Event Number | 1000
Event Type | Error
Source Name | Windows SharePoint Services 2.0
Description contains | Substring ‘owstimer.exe’
Error | W3WP error
Provider Name | Application
Provider Type | Windows NT Event Log
Event Number | 1000
Event Type | Error
Source Name | Windows SharePoint Services 2.0
Description contains | Substring ‘w3wp.exe’

Active Directory Events

The following three events are related to Active Directory account creation, deletion, and updating. Immediate action should be taken when an error is received.

Event | Cannot add user to Active Directory
Event Type | Information
Event Source | Windows SharePoint Services 2.0
Event Category | None
Event ID | 1000
Description | #1966150: Adding user <username> to OU <active directory OU> in domain <domain name> FAILED with HRESULT <error code from AD handler>
Event | Cannot delete user from Active Directory
Event Type | Information
Event Source | Windows SharePoint Services 2.0
Event Category | None
Event ID | 1000
Description | #1966151: Deleting user %user% from OU %OU% in domain %DOMAIN% FAILED with HRESULT %HR%
Event | Cannot update user in Active Directory
Event Type | Information
Event Source | Windows SharePoint Services 2.0
Event Category | None
Event ID | 1000
Description | #1966152: Updating user %user% from OU %OU% in domain %DOMAIN% FAILED with HRESULT %HR%

Virus Scanner Events

If a virus scanner is installed to the front-end Web servers, the following events may be logged in certain scenarios.

Event | Virus checking, loading virus scanner
Event Type | Information
Event Source | Windows SharePoint Services 2.0
Event Category | None
Event ID | 1000
Description | #96000f: Loading antivirus scanner...
Event | Virus checking, cannot load virus scanner
Event Type | Information
Event Source | Windows SharePoint Services 2.0
Event Category | None
Event ID | 1000
Description | #960010: Finished loading antivirus scanner. No scanner installed.

HTML Transformation Events

HTML transformation server is an optional component for a server farm running Windows SharePoint Services. An HTML transformation server runs an HTML viewer service such as Microsoft Office 2003 HTML Viewer. If an HTML transformation server is configured, the events in this category should be configured and monitored.

Event | HTML launcher started
Provider Name | Application
Provider Type | Windows NT Event Log
Source Name | Microsoft.Office.HtmlTrans.Launcher
Description contains | substring 'start'
Event | HTML load balancer stopped
Provider Name | Application
Provider Type | Windows NT Event Log
Event Number | 0
Source Name | Microsoft.Office.HtmlTrans.LoadBalancer
Description contains | Substring 'stop'
Event | HTML launcher1 stopped
Provider Name | Application
Provider Type | Windows NT Event Log
Event Number | 0
Source Name | Microsoft.Office.HtmlTrans.Launcher
Description contains | Substring 'stop'
Event | HTML load balancer 1 started
Provider Name | Application
Provider Type | Windows NT Event Log
Event Number | 0
Source Name | Microsoft.Office.HtmlTrans.LoadBalancer
Description contains | Substring 'start'
Event | HTML transformation server CPU usage
Provider Name | Processor - % Processor Time-_Total-3.0-minutes
Provider Type | Windows NT Performance Counter

Baseline Server Events

To make sure your servers are available to your users, you must monitor baseline server events, such as events for NetLogon, Internet Information Server (IIS), Microsoft SQL Server, and so on. The following events and System Monitor counters help you track the status of your servers.

Server Type | Event or Perfmon Counter
Front-end Web server | IIS stop and start times
Front-end Web server | NetLogon Service stop and start times
Front-end Web server | WSS Service stop and start times
Front-end Web server | Web Service: Connection Attempts/second > 500/second
Active Directory server | Events from the standard Microsoft Operations Manager (MOM) pack for Active Directory
Back-end database server | Events from the standard Microsoft Operations Manager (MOM) pack for SQL Server
All servers | Server login successes and failures
All servers | Memory: % Committed Bytes in Use > 80%
All servers | Memory: Available Mbytes < 50MB
All servers | Processor: % Processor Time: _Total (CPU Utilization) > 80%
All servers | Current Connections - Error 2000
All servers | Disk usage <10%
All servers | System: Processor Queue Length > 10
All servers | Memory Pages/second >220

You can also create a script to ping each front-end Web server to make sure that each port is responding, including the SharePoint Central Administration port. You can use the MOM scripts to create a URL monitoring rule and script to do this automatically. Note that the monitoring accounts must be able to access each port to be able to ping them.

If you want to understand the system load and service usage status for each server, you can also monitor the following System Monitor counters.

Server Type | Perfmon Counter
Front-end Web server | Process (w3wp)\% Processor Time Process (w3wp)\Private Bytes
Front-end Web server | Process (w3wp)\Working Set Process (w3wp)\Handle Count
Front-end Web server | .NET CLR Memory\# Bytes in All Heaps
Front-end Web server | .NET CLR Memory\Large Object Heap Size
Front-end Web server | .NET CLR Memory\% Time in GC
Front-end Web server | ASP.NET\Worker Process Restarts
Back-end database server | Process(sqlservr)\% Processor Time
Back-end database server | Process(sqlservr)\Working Set
Back-end database server | SQLServer:General Statistics\User Connections
Back-end database server | SQLServer:Locks\Number of Deadlocks/sec
Back-end database server | SQLServer:Locks\Lock Waits/sec
Back-end database server | SQLServer:Locks\Lock Wait Time (ms)
Back-end database server | SQLServer:SQL Statistics\Batch Requests/sec


Customizing SharePoint Portal Server

Customizing SharePoint Portal Server

Customizing the portal site

You can customize the portal site pages and the pages of SharePoint sites created in the portal site just as you customize any other SharePoint site. Customization options include:

  • Customizing the site using the standard Microsoft Windows SharePoint Services customization features available by browsing the portal site
  • Customizing sites by using Web page editing tools, such as Microsoft Office Office FrontPage 2003
  • Customizing sites programmatically

To customize SharePoint sites, you must have the appropriate rights. For more information about customizing SharePoint sites, see Customize your site.

You can also modify the portal site pages, including personal sites, by modifying the Web Parts found on that page.

Modifying Web Parts

As a member of the Administrator site group for the portal site, you can customize the Web Parts on portal site pages to change the default appearance of the portal site. You can also change the properties of Web Parts to prevent users from removing a Web Part from their view of portal pages or their personal site. For more information, see Modify shared Web Parts and Modify pages on My Site.

Enterprise Application Integration

You can create custom enterprise applications that are integrated with Microsoft Office SharePoint Portal Server 2003 by using Enterprise Application Integration. For more information, see the Microsoft SharePoint Products and Technologies 2003 Software Development Kit.

Related Topics

Customize Your Site
Modify Shared Web Parts
Modify Pages on My Site


Customizing a Web Site Based on Windows SharePoint Services

Customizing a Web Site Based on Windows SharePoint Services

Web sites based on Microsoft Windows SharePoint Services are designed to be flexible. You can tailor a site to fit your users' needs by adding or removing pages, changing the appearance of pages, changing the site navigation, and making other customizations. To customize Web sites based on Windows SharePoint Services, you must have the following rights, all of which are included in the Web Designer and Administrator site groups by default:

  • Manage Lists
  • Add and Customize Pages
  • Apply Themes and Borders
  • Apply Style Sheets

Other users of your site cannot gain access to the pages required to perform these tasks unless you specifically assign them to a site group that contains these permissions. For more information about controlling permissions and assigning rights and site groups, see "Managing Site Groups and Permissions" in the Windows SharePoint Services Administrator's Guide.

Customizing Web Sites in the Browser

Basic customization can be done from within the browser, using links from the Home, Create, and Site Settings pages of the Web site. From the browser you can perform basic customizations such as the following:

  • Add a list.
  • Change the layout of the home page.
  • Change the picture on the home page.
  • Add a Web Part to a Web Part Page.
  • Change a site's display name (not the URL).
  • Apply a theme.

The Windows SharePoint Services Help files contain more information about customizing Web sites from within the browser.

Customizing Web Sites by Using Web Page Editing Tools

Additional customization can be done by using a Windows SharePoint Services–compatible Web page editor, such as Microsoft Office FrontPage 2003. With a Web page editor you can perform customizations such as the following:

  • Add borders to pages.
  • Insert graphics.
  • Add components to the home page.
  • Change the navigation of a site.

For example, if you have created a custom theme for Windows SharePoint Services sites in Office FrontPage 2003, and added the theme name to the list of themes in Office FrontPage 2003, you can edit the list of available themes in Windows SharePoint Services to include your new theme. An XML template called spthemes.xml contains the theme name, style sheet location, thumbnail, preview, and description of each theme that is available through the browser. This XML file is used to render the theme selection page. You can modify this XML file (by opening it in any editor, such as Notepad) to include a custom theme on the Apply Theme to Web page. You must be a member of the local administrators group for the server to edit this file. For more information about creating a theme and adding it to the list of themes in Office FrontPage 2003, see the Office FrontPage 2003 Help system.

Add a custom theme to the list of available themes
  1. On the top link bar, click Site Settings.
  2. In the Customization section, click Apply theme to site.
  3. In the Address bar on the browser, replace the file name themeweb.aspx with spthemes.xml.

  4. For example, if the Address bar showed http://server_name/_layouts/1033/themeweb.aspx, you would change the path to http://server_name/_layouts/1033/spthemes.xml.

  5. Edit the XML file and add a new section for your custom theme, similar to the following:

    - <Templates>

    <TemplateID>newtemplateid</TemplateID>

    <DisplayName>NewTemplateDisplayName</DisplayName>

    <Description>Description</Description>

    <Thumbnail>../images/image.png</Thumbnail>

    <Preview>../images/image.gif</Preview>

    </Templates>

For more information about customizing Web site elements in a Windows SharePoint Services–compatible Web page editor, see the Help system for the Web page editor.

Customizing Web Sites by Using Administrative Controls

If you are an Administrator, you can customize how Web sites work by performing tasks such as the following:

  • Change settings, such as regional settings.
  • Add, remove, or modify site groups.
  • Add or remove users, or change their site group membership.

You control these features by using the Site Administration pages. Only an administrator of the site can perform these types of customizations, or users who are members of a site group that contains administrative rights, such as the Manage Site Groups right.

Customizing Web Sites Programmatically

You can perform advanced Web development customizations by using the programming model behind Windows SharePoint Services. You can use the programming model to make Web site customizations such as:

  • Add, edit, delete, and retrieve data from SharePoint lists.
  • Create new lists and set list metadata (such as the fields in a list).
  • Work with documents in document libraries.
  • Perform administrative tasks such as creating Web sites, adding users, creating roles, and so on.

For more information about advanced customizations, see the Windows SharePoint Services Software Development Kit.


Customizing Help

Customizing Help

Web sites based on Microsoft Windows SharePoint Services are fully customizable — you can add any type of Web page to the site, and all kinds of interactive content to the pages. To complement this flexibility in the site, the Help system for Windows SharePoint Services was designed to be customizable. So, when you customize the pages available on a Web site, you can also customize the Help available for those pages by adding topics that contain information specific to your organization.

For example, you might want to customize Help when:

  • You change the behavior of a default Web site page and want to explain how users can interact with the modified page.
  • You add a new page to the site with a form that users must fill out and you want to provide assistance for particular fields in the form.
  • You want to explain your organization's Web site policies, processes, or structure to new users of the site.

You must have administrator rights to the server computer to add topics to the Windows SharePoint Services Help system.

Performing Basic Customization of Help

Basic customization of Help consists of adding new Help topics. You can use any level 4 HTML-compatible Web page editor, such as Microsoft Office FrontPage 2003, to create topics. When you add a topic, be sure to edit the table of contents topic to include the new file, and also create a hyperlink in the index topic to link to important terms in the new topic.

Help for Windows SharePoint Services is stored as HTML and image files in the file system of the server computer. These files are stored per server, so when you add a Help topic, it is available for all users of that server. The following table lists and describes the contents of the folders used to store Help content on a server.

Folder | Contains
\_vti_bin\help\lcid\sts | All Help topic files. LCID stands for the locale ID. For example, U.S. English Help topics are stored in \_vti_bin\help\1033\.
\_vti_bin\help\lcid\sts\html\ | Localized HTML, cascading style sheets, and JavaScript files used in the Help topics.
\_vti_bin\help\lcid\sts\images\ | Localized images used in the Help topics.
About the Windows SharePoint Services Help Folder and Security

Because the Windows SharePoint Services Help topics take advantage of JScript coding to control some Help features, the \_vti_bin\help\lcid\sts\ folder that contains the Windows SharePoint Services Help files grants Read and Read and Execute permissions to the Everyone group. Be sure to tightly control access to this folder, and any of the other Windows SharePoint Services installation folders. Because of the Read and Execute permission, a user with Write permissions to this folder could potentially add malicious scripting to files in the folder, which would then be allowed to run.

Customizing Special Help Files

The Help system for Windows SharePoint Services consists of Help topic files plus special files such as the table of contents, index, glossary, and other files. When you add custom content to the Help system, consider updating these special files as well to contain references to your new content.

Finding Specific Help Files

You can easily find topics in the Help system by browsing through the table of contents. After you identify the topic you want, you can turn on the Address bar for the Help window (in Microsoft Internet Explorer, on the View menu, click Toolbars, and then click Address Bar), and then make a note of the file name. Alternatively, you can use Microsoft Windows search feature to search through the _vti_bin\lcid\sts\html folder to find a particular sentence or phrase in Help.

Performing Advanced Customization of Help

You can also perform more advanced customization of the Help system. For example, each default page has one or more unique Help topics associated with it. These associations are maintained in an XML file called sts.xml. By editing this file, you can make your custom Help topics appear in the list of context-sensitive topics for a particular page in your Web site. For more information about advanced customization of Help, see the Windows SharePoint Services Software Development Kit.

Preserving Customized Help When Installing Service Packs

Windows SharePoint Services service packs often contain updated Help files. If you customize a default Help topic, and then apply a service pack, your customized version of the Help file can be overwritten. Because service packs update default Help topics, it is not recommended that you customize the default Help topics, aside from the table of contents and index files. New topics that you add to the Help system are not overwritten by service packs, unless you use the same file names as existing or new topics.

If you are customizing the Help system extensively, be sure to back up your customized topics before applying a service pack, so that you can restore your customizations after the service pack has been installed.


Using the SDK to Perform Advanced Customization

Using the SDK to Perform Advanced Customization

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Extending Windows SharePoint Services

Extending Windows SharePoint Services

Microsoft Windows SharePoint Services is a technology that was designed to be extended and used with other products. Several products from Microsoft and other software vendors use Windows SharePoint Services as an extensible platform. These products build additional features that work with Windows SharePoint Services or customize existing features to meet the users' needs. This extension and customization can be as simple as editing an XML template file or providing special Web Parts that can be used on Web Part Pages, or as complex as creating entire products that build on the Windows SharePoint Services functionality. Other products may also provide administrative or user tools that interact with Windows SharePoint Services, or may link their document editing applications into Windows SharePoint Services to allow users to edit documents directly from the site.

If you have installed Windows SharePoint Services as part of another product, be sure to read the administrative documentation for that product to find out what additional features you have that are not covered in the Windows SharePoint Services Administrator's Guide.

If you are interested in building features for Windows SharePoint Services to work with your product, you can find information about building Web Parts, connecting to Windows SharePoint Services, and customizing Windows SharePoint Services features and templates files in the Windows SharePoint Services Software Development Kit.

Related Topics

For more information about creating or customizing templates, see "Working with Templates" in the Windows SharePoint Services Administrator's Guide.

For more information about distributing Web Parts, see Managing Web Parts on Virtual Servers.


Character Limitations

Character Limitations

The following sections contain the character limitations that apply to various user-specified parameters in Microsoft Office SharePoint Portal Server 2003.

Portal Site

  • Portal site name The portal site name is limited to 80 Unicode characters.

    The portal site name can consist of all alphanumeric characters except for the following: \ / : * ? " < > |

  • Portal site description The portal site description is limited to 200 Unicode characters.

    The portal site description can consist of all alphanumeric characters, as well as the following: # % * + \ | " ? $ @ [ ] { } ⌂

  • Portal site logo The URL for the portal site logo is limited to 256 ASCII characters.

    The URL for the portal site logo can consist of all alphanumeric characters except for the following: # % * + \ | " ? > < $ @ [ ] { } ⌂

    The following file formats are supported for the graphics file: .gif, .bmp, .jpg, and .png. TIFF files are not supported.

  • Portal site URL The URL for the portal site is limited to 255 characters for the entire URL, including virtual directories.
  • Account name for portal site owner The account name is limited to 128 characters.
  • E-mail address for portal site owner The e-mail address is limited to 255 characters.
  • Location for creating SharePoint sites The URL for creating sites from the Site Directory is limited to 2,048 ASCII characters. In addition, no component of the URL, such as the virtual directory or virtual server, can exceed 128 characters.

    The URL must end with /_layouts/language/scsignup.aspx.

Backward-Compatible Document Library (Web Storage System-Based)

  • Document library friendly name The friendly (display) name cannot exceed 100 characters in length.

Alternate Portal Site Access Mappings

  • Mapping name The mapping name has a maximum length of 64 Unicode characters and must not be null.

  • The following character limitations apply for the default, intranet, extranet, and custom URLs:

    • Each URL has a maximum length of 255 Unicode characters and a minimum length of 5 characters.
    • The user can enter the URL in any combination of uppercase and lowercase letters, but the URL is always saved in lowercase.
    • Each URL must be different from all other URLs.

Content Index

  • Content index name The content index name must be less than 50 characters.

    The content index name cannot contain the following characters: + ~ # ' % * ( ) = [ ] { } | \ " < > . ? / @ & or the euro symbol or a space.


Command-Line Operations

Command-Line Operations

This topic lists and explains the operations you can perform with Stsadm.exe. For detailed information about the required and optional parameters, including short forms of the parameters, see Command-Line Parameters. For more information about using the command-line tool, see "Introducing the Administration Tools for Windows SharePoint Services" in the Windows SharePoint Services Administrator's Guide.

Note To use stsadm.exe, you must be a member of the local Administrators group for the server computer.

You can also get a list of the command-line operations by typing stsadm.exe -help on the command line. Syntax help for specific operations is available by typing stsadm.exe -help <operation name>.

Operations in This Topic
  • addpath
  • addtemplate
  • adduser
  • addwppack
  • backup
  • binddrservice
  • createadminvs
  • createsite
  • createsiteinnewdb
  • createweb
  • deleteadminvs
  • deleteconfigdb
  • deletepath
  • deletesite
  • deletetemplate
  • deleteuser
  • deleteweb
  • deletewppack
  • disablessc
  • disablestsisapis
  • email
  • enablessc
  • enablestsisapis
  • enumroles
  • enumsites
  • enumsubwebs
  • enumtemplates
  • enumusers
  • enumwppacks
  • extendvs
  • extendvsinwebfarm
  • getadminport
  • getproperty
  • removedrservice
  • renameweb
  • restore
  • setadminport
  • setconfigdb
  • setproperty
  • siteowner
  • unextendvs
  • uninstall
  • upgrade
  • userrole

addpath

Adds a defined path (inclusion or exclusion) to a virtual server. For more information, see Managing Paths.

Required parameters | Optional parameters
-url -type | <none>

Sample syntax:

 stsadm.exe -o addpath -url <url>
  -type <exclusion/explicitinclusion/wildcardinclusion>

addtemplate

Adds a site template to the template gallery.

Note If you want the changes to the template list to take effect immediately, run the iisreset command after you run the addtemplate operation.

Required parameters | Optional parameters
-filename -title | -description

Sample syntax:

 stsadm.exe -o addtemplate -filename <template filename>
  -title <template title> [-description <template description>]

adduser

Adds a user account to the specified site and assigns it to the specified site group. Use the siteadmin parameter to register the user as the site administrator.

Required parameters | Optional parameters
-url -userlogin -useremail -role -username | -siteadmin

Sample syntax:

 stsadm -o adduser -url <url> -userlogin <DOMAIN\username>
  -useremail <someone@example.com> -role <site group name>
  -username <user's display name> [-siteadmin]

addwppack

Adds a Web Part package to your server Web Part gallery. Use the globalinstall parameter to install the Web Parts in the global assembly cache (GAC) rather than in the Bin directories of each virtual server. Assemblies installed in the GAC are available to all applications on the server. The url parameter optionally specifies the URL of the virtual server on which to install the Web Parts. To install the Web Parts on every virtual server on a server, omit theurl parameter. Use the force parameter to overwrite an existing Web Part package with a new version, or to repair a Web Part package by reinstalling it. Use the lcid parameter to specify a language for the Web Part package.

Use filename to specify the path to the cabinet file containing the Web Parts and associated resources. If the Web Part package has already been installed on another server in a server farm configuration, you can install the Web Part package from the configuration database by using the name parameter.

Required parameters | Optional parameters
either -filename or -name | -url -globalinstall -force -lcid

Sample syntax:

 stsadm.exe -o addwppack -filename <Web Part Package filename>
  [-url <url> -globalinstall -force -lcid <language>]

backup

Creates a backup of the site at the specified URL. Use the overwrite parameter to replace an existing backup file.

Required parameters | Optional parameters
-url -filename | -overwrite

Sample syntax:

 stsadm.exe -o backup -url <url> -filename <filename> [-overwrite]

binddrservice

Registers a data retrieval service for the list of data retrieval services that pertain to a specific setting on the Data Retrieval Services Settings page. Specify the service name and then the setting. Settings include enabled, responsesize, timeout, and update.

Required parameters | Optional parameters
-servicename -setting | <none>

Sample syntax:

 stsadm.exe -o binddrservice -servicename <service name> -setting <enabled/responsesize/timeout/update>

createadminvs

Creates the administration virtual server for Microsoft Windows SharePoint Services. Use the admapid... parameters to create a new application pool for IIS, or to specify the application pool to use for the administration virtual server.

Required parameters | Optional parameters
<none> | -admapcreatenew -admapidname -admapidtype -admapidlogin -admapidpwd

Sample syntax:

 stsadm.exe -o createadminvs [-admapcreatenew]
  [-admapidname <app pool id>]
  [-admapiptype <configurableid/NetworkService/LocalService/LocalSystem>]
  [-admapidlogin <app pool user account>] [-admapidpwd <app pool password>]

createsite

Creates a site at the specified URL with the specified user as owner and administrator. If you do not specify the template to use, the owner can choose the template when he or she first browses to the site.

Required parameters | Optional parameters
-url -ownerlogin -owneremail | -ownername -lcid -sitetemplate -title -description -quota

Sample syntax:

 stsadm.exe -o createsite -url <url>
  -ownerlogin <DOMAIN\username> -owneremail <someone@example.com>
  [-ownername <display name>] [-lcid <language>]
  [-sitetemplate <site template>] [-title <title>]
  [-description <description>] [-quota <quota template>]

Note You must specify the -lcid option when using a non-English template.

createsiteinnewdb

Creates a site at the specified URL and creates a new content database with the username and password you specify. If you do not specify the template to use, the owner can choose the template when he or she first browses to the site.

Required parameters | Optional parameters
-url -ownerlogin -owneremail | -ownername -databaseuser -databasepassword -databaseserver -databasename -lcid -sitetemplate -title -description -secondarylogin -secondaryemail -secondaryname

Sample syntax:

 stsadm.exe -o createsiteinnewdb -url <url>
  -ownerlogin <DOMAIN\username> -owneremail <someone@example.com>
  [-ownername <owner's name>]
  [-databaseuser <databaseusername>] [-databasepassword <databasepassword>
  [-databaseserver <databaseserver>] [-databasename <databasename>]
  [-lcid <language>] [-sitetemplate <site template>]
  [-title <title>] [-description <description>]
  [-secondarylogin <DOMAIN\username>] [-secondaryemail <someone@example.com>]
  [-secondaryname <secondary owner's name>]

Note You must specify the -lcid option when using a non-English template.

createweb

Creates a subsite at the specified URL. If you do not specify the template to use, the owner can choose the template when he or she first browses to the site. Use the unique parameter to specify unique permissions for the subsite.

Required parameters | Optional parameters
-url | -lcid -sitetemplate -title -description -unique

Sample syntax:

 stsadm.exe -o createweb -url <url> [-lcid <language>]
  [-sitetemplate <site template>] [-title <title>]
  [-description <description>] -unique]

Note You must specify the -lcid option when using a non-English template.

deleteadminvs

Deletes the administration virtual server for Windows SharePoint Services.

Required parameters | Optional parameters
<none> | <none>

Sample syntax:

 stsadm.exe -o deleteadminvs

deleteconfigdb

Deletes the configuration database for Windows SharePoint Services.

Required parameters | Optional parameters
<none> | <none>

Sample syntax:

 stsadm -o deleteconfigdb

deletepath

Removes an included or excluded path from the list of paths managed by Windows SharePoint Services.

Required parameters | Optional parameters
-url | <none>

Sample syntax:

 stsadm -o deletepath -url <url>

deletesite

Deletes the specified site. To delete users from Active Directory directory services, specify true for the deleteadaccounts parameter.

Required parameters | Optional parameters
-url | <none>
-deleteadaccounts |

Sample syntax:

 stsadm.exe -o deletesite -url <url> -deleteadaccounts <true/false>

deletetemplate

Deletes the specified site template.

Required parameters | Optional parameters
-title | -lcid

Sample syntax:

stsadm.exe -o deletetemplate -title <template title> [-lcid <language>]

deleteuser

Deletes the specified user.

Required parameters | Optional parameters
-url -userlogin | <none>

Sample syntax:

 stsadm -o deleteuser -url <url> -userlogin <DOMAIN\username>

deleteweb

Deletes the specified subsite.

Required parameters | Optional parameters
-url | <none>

Sample syntax:

 stsadm.exe -o deleteweb -url <url>

deletewppack

Removes the Web Parts in a Web Part package from a virtual server. When you delete the last instance of a Web Parts package on a server or server farm, Stsadm.exe also deletes the Web Part package from the configuration database.

The parameter name specifies the name of the Web Part package. The parameter url optionally specifies the URL of the virtual server on which to delete the Web Parts. If url is omitted, Stsadm.exe deletes the Web Parts from the Bin folder of every virtual server on the server or from the global assembly cache.

Use the lcid parameter to remove a particular language version of a Web Part package.

Required parameters | Optional parameters
-name | -url -lcid

Sample syntax:

 stsadm -o deletewppack -name <name of Web Part package> [-url <url> -lcid <language>]

disablessc

Disables Self-Service Site Creation for the specified virtual server.

Required parameters | Optional parameters
-url | <none>

Sample syntax:

 stsadm -o disablessc -url <url>

disablestsisapis

Disables the Windows SharePoint Services ISAPI extensions. This operation is used by the Setup program for Windows SharePoint Services.

Required parameters | Optional parameters
<none> | <none>

Sample syntax:

 stsadm -o disablestsisapis

email

Sets the e-mail configuration settings for your server, or for a specific virtual server (when you use the url parameter).

Required parameters | Optional parameters
-outsmtpserver -fromaddress -replytoaddress -codepage | -url

Sample syntax:

stsadm.exe -o email -outsmtpserver <SMTP server>
  -fromaddress <someone@example.com> -replytoaddress <someone@example.com>
  -codepage <codepage> [-url <url>]

enablessc

Enables Self-Service Site Creation for the specified virtual server.

Required parameters | Optional parameters
-url | -requiresecondarycontact

Sample syntax:

 stsadm -o enablessc -url <url> [-requiresecondarycontact]

enablestsisapis

Enables the Windows SharePoint Services ISAPI extensions. This operation is used by the Setup program for Windows SharePoint Services.

Required parameters | Optional parameters
<none> | <none>

Sample syntax:

 stsadm -o enablestsisapis

enumroles

Lists the site groups that are available for use in a particular site or subsite.

Required parameters | Optional parameters
-url | <none>

Sample syntax:

 stsadm -o enumroles -url <URL>

enumsites

Lists all of the sites that have been created under a particular virtual server. The url parameter must be the URL of a virtual server.

Required parameters | Optional parameters
-url | <none>

Sample syntax:

 stsadm -o enumsites -url <URL>

enumsubwebs

Lists the subsites that have been created under a particular site.

Required parameters | Optional parameters
-url | <none>

Sample syntax:

 stsadm -o enumsubwebs -url <URL>

enumtemplates

Lists the site templates that are available.

Required parameters | Optional parameters
<none> | -lcid

Sample syntax:

stsadm.exe -o enumtemplates [-lcid <language>]

enumusers

Lists the users of a particular site or subsite.

Required parameters | Optional parameters
-url | <none>

Sample syntax:

stsadm.exe -o enumusers -url <url>

enumwppacks

Lists the Web Part Packages currently in your server Web Part gallery.

Required parameters | Optional parameters
<none> | -name -url

Sample syntax:

 stsadm -o enumwppacks [-name <name of Web Part Package>]
   [-url <URL>]

extendvs

Extends a virtual server with Windows SharePoint Services and creates a new content database.

Note Extending a virtual server creates a site but does not require the createsite parameter. Use the donotcreatesite parameter if you do not want to create a site when you extend the virtual server.

Required parameters | Optional parameters
-url -ownerlogin -owneremail | -ownername -databaseuser (du) -databaseserver (ds) -databasename (dn) -databasepassword (dp) -lcid -sitetemplate -donotcreatesite -apcreatenew -apidname -apidtype -apidlogin -apidpwd

Sample syntax:

 stsadm -o extendvs -url <url> -ownerlogin <DOMAIN\username>
  -owneremail <someone@example.com> [-ownername <display name>]
  [-du <database user>] [-ds <database server>] [-dn <database name>]
  [-dp <database user password>][-lcid <lcid>] [-sitetemplate <site template>]
  [-donotcreatesite] [-apcreatenew] [-apidname <app pool name>]
  [-apidtype <configurableid/NetworkService/LocalService/LocalSystem>]
  [-apidlogin <DOMAIN\username>]
  [-apidpwd <app pool password>]

extendvsinwebfarm

Extend a virtual server with Windows SharePoint Services for use in a server farm. This operation does not create a new content database, but allows you to connect to an existing virtual server (vsname) and use the same content database.

Required parameters | Optional parameters
-url -vsname | -apcreatenew -apidname -apidtype -apidlogin -apidpwd

Sample syntax:

 stsadm -o extendvsinwebfarm -url <url> -vsname <virtual server name>
  [-apcreatenew] [-apidname <app pool name>]
  [-apidtype <configurableid/NetworkService/LocalService/LocalSystem>]
  [-apidlogin <DOMAIN\username>]
  [-apidpwd <app pool password>]

getadminport

Returns the administration port for Windows SharePoint Services.

Required parameters | Optional parameters
<none> | <none>

Sample syntax:

 stsadm -o getadminport

getproperty

Returns the property value for the specified property name. For a list of valid properties, see Command-Line Properties.

Required parameters | Optional parameters
-propertyname (pn) | -url

Sample syntax:

 stsadm -o getproperty -pn <property name> [-url <url>]

removedrservice

Removes a data retrieval service from the list of data retrieval services that pertain to a specific setting on the Data Retrieval Services Settings pages. Specify the service name, and then the setting. Settings include enabled, responsesize, timeout, and update.

Required parameters | Optional parameters
-servicename -setting | <none>

Sample syntax:

 stsadm.exe -o removedrservice -servicename <service name> -setting <enabled/responsesize/timeout/update>

renameweb

Renames the specified subsite.

Required parameters | Optional parameters
-url -newname |

Sample syntax:

 stsadm.exe -o renameweb -url <url> -newname <new subsite name>

restore

Restores a Web site from a backup file. Use the overwrite parameter to replace any existing Web site at the new location.

Required parameters | Optional parameters
-url -filename | -overwrite

Sample syntax:

 stsadm.exe -o restore -url <url> -filename <filename> [-overwrite]

setadminport

Sets the port number for the administration virtual server for Windows SharePoint Services. Use the ssl parameter to specify a Secure Sockets Layer (SSL) connection to the port. Use the admap... parameters to specify the IIS application pool to use or to create a new IIS application pool for the administration virtual server.

Required parameters | Optional parameters
-port | -ssl -admapcreatenew -admapidname -admapidtype -admapidlogin -admapidpwd

Sample syntax:

 stsadm.exe -o setadminport -port <port> [-ssl]
  [-admapcreatenew] [-admapidname <app pool id>]
  [-admapiptype <configurableid/NetworkService/LocalService /LocalSystem>]
  [-admapidlogin <app pool user account>] [-admapidpwd <app pool password>]

setconfigdb

Creates the configuration database or specifies the connection to an existing configuration database. Setting the configuration database is required before a virtual server can be extended.

Required parameters | Optional parameters
-databaseserver (ds) | -connect -databaseuser (du) -databasepassword (dp) -databasename (dn) -hh -adcreation -addomain -adou

Sample syntax:

 stsadm.exe -o setconfigdb [-connect] -ds <database server>
  [-du <database user>] [-dp <database user password>] [-dn <database name>]
  [-hh] [-adcreation] [-addomain <AD domain> [-adou <AD OU>]

setproperty

Sets the specified property with the specified value. Use the url property to specify a virtual server or site collection to apply the property to, or omit the url parameter to apply the property at the server or server farm level. For a list of valid properties, see Command-Line Properties.

Required parameters | Optional parameters
-propertyname (pn) -propertyvalue (pv) | -url

Sample syntax:

 stsadm.exe -o setproperty -pn <property name>
  -pv <property value> [-url <url>]

siteowner

Sets the owner or secondary owner of a site collection. Either the ownerlogin or secondownerlogin parameter must be used.

Required parameters | Optional parameters
-url either -ownerlogin or -secondownerlogin |

Sample syntax:

 stsadm.exe -o siteowner -url <url>   [-ownerlogin <DOMAIN\username> | -secondownerlogin <DOMAIN\username>]

unextendvs

Removes Windows SharePoint Services from a particular virtual server. Use the deletecontent parameter to delete the content databases for the virtual server.

Required parameters | Optional parameters
-url | -deletecontent

Sample syntax:

 stsadm.exe -o unextendvs -url <url> [-deletecontent]

uninstall

Uninstalls Windows SharePoint Services from the default virtual server at port 80. Any other virtual servers that were extended with Windows SharePoint Services will not be unextended. Uninstall removes the Windows SharePoint Services ISAPI extensions and any virtual directories or other files from the virtual server. It does not delete the content databases unless you include the deletecontent parameter. This operation is used by the Setup program for Windows SharePoint Services.

Required parameters | Optional parameters
<none> | -deletecontent

Sample syntax:

 stsadm.exe -o uninstall [-deletecontent]

upgrade

Upgrades the server or the specified virtual server with Windows SharePoint Services. This operation is used by the Setup program for Windows SharePoint Services.

Required parameters | Optional parameters
<none> | -url

Sample syntax:

 stsadm.exe -o upgrade [-url <url>]

userrole

Specifies the site group membership for a user. Use the add and delete parameters to specify whether to add the user to a site group or remove the user from a site group.

Required parameters | Optional parameters
-url -userlogin -role | -add -delete

Sample syntax:

 stsadm.exe -o userrole -url <url> -userlogin <DOMAIN\username>
  -role <site group name> [-add] [-delete]


Command-Line Parameters

Command-Line Parameters

The following table lists and explains the parameters you can use with operations for Stsadm.exe. For detailed information about the operations, including sample syntax, see Command-Line Operations. For more information about using the command-line tool, see "Introducing the Administration Tools for Windows SharePoint Services" in the Windows SharePoint Services Administrator's Guide.

Parameter | Short form | Definition | Sample values
adcreation |  | Specifies that new user accounts are created in Microsoft Active Directory directory service. |
add |  | Specifies that the user is added to a site group when the userrole operation is run. |
addomain |  | The Active Directory domain. |
admapcreatenew |  | Specifies that a new application pool is created in Internet Information Services (IIS). |
admapidlogin |  | The user name to use for running processes in the administrative application pool. | This value must be a Microsoft Windows user name, and must be qualified with a domain name, for example DOMAIN\name.
admapidname |  | The administrative application pool ID. |
admapidpwd |  | The password that corresponds to the admapidlogin. |
admapidtype |  | The identity type to use for the administrative application pool. | (configurableid/ NetworkService/LocalService/LocalSystem)
adou |  | The Active Directory organizational unit (OU). |
apcreatenew | -apnew | Specifies that a new application pool is created in Internet Information Services (IIS). |
apidlogin | -apl | The user name to use for running processes in the application pool. | This value must be a Windows user name, and must be qualified with a domain name, for example DOMAIN\name.
apidname |  | The application pool ID. |
apidpwd |  | The password that corresponds to the apidlogin. |
apidtype |  | The identity type to use for the application pool. | (configurableid/ NetworkService/LocalService/LocalSystem)
codepage |  | The language codepage to use for e-mail messages. | This value must be a valid codepage, such as 65001.
connect |  | Connects to an existing database, rather than creating a new one. |
databasename | -dn | The name of the Microsoft SQL Server database or Microsoft SQL Server 2000 Desktop Engine (Windows) (WMSDE) database used for Windows SharePoint Services data. | The default database name is automatically generated based on the machine name, virtual server, and subsite. For example, SharePoint_collab_stsid.
databasepassword | -dp | The password that corresponds to the administrator user name for the SQL Server database or WMSDE database. |
databaseserver | -ds | The server on which the Windows SharePoint Services collaboration database exists. | The default is the local machine name. For example, SQL_01.
databaseuser | -du | The administrator user name for the SQL Server database or WMSDE database. |
delete |  | Specifies that the user is deleted from a site group when the userrole operation is run. |
deleteadaccounts |  | Specifies that users are deleted from Active Directory directory service when the deletesite operation is run. |
deletecontent |  | Specifies that the content databases are deleted when a virtual server is unextended or Windows SharePoint Services is uninstalled. |
description | -desc | The site or template description. | Any text string.
donotcreatesite |  | Specifies that no site is created when a virtual server is extended. |
force |  | Specifies that an existing Web Part package is overwritten when the addwppack operation is run. |
filename | -f | A valid file name for a file, template, or Web Part package. | A full path and file name, such as C:\Myfiles\Filename.htm.
fromaddress |  | The e-mail address to use as a From address on server messages, such as alert notifications. | This value must be a valid e-mail address, in the form someone@example.com.
globalinstall |  | Specifies that, when the addwppack operation is run, the Web Part package is installed in the global assembly cache (GAC) rather than in the Bin directories of each virtual server. Assemblies installed in the GAC are available to all applications on the server.. |
hh |  | Specifies that the server is in a server farm hosting configuration. No database is created and the virtual server is extended by connecting to existing content database. You must specify an existing SQL connection string to the configuration database when you use this parameter. |
lcid |  | The locale ID for sites created on this virtual server. Default is the install language for Windows SharePoint Services. | A locale ID, for example 1033.
name |  | The name of a Web Part package. |
newname | -new | The new name to use when renaming a subsite. |
operation | -o | The operation to perform. | For a list of available operations, see Command-Line Operations.
outsmtpserver |  | The SMTP server to use for outgoing messages. |
overwrite |  | Specifies that any existing backup files or existing Web sites will be overwritten during backup or restore. |
owneremail |  | The site owner's e-mail address. | This value must be a valid e-mail address, in the form someone@example.com.
ownerlogin |  | The site owner's user account. | This value must be a Windows user name, and must be qualified with a domain name, for example DOMAIN\name.
ownername |  | The site owner's display name. |
port |  | The port to use for SharePoint Central Administration. | An integer, such as 80.
propertyname | -pn | A valid property name. | For names, see Command-Line Properties.
propertyvalue | -pv | A valid property value. | For more information, see Command-Line Properties.
quota | -qt | The quota template to apply to sites created on the virtual server. | A quota template name. For example, personalquotas.
replytoaddress |  | The e-mail address that users can reply to when they receive server messages. | This value must be a valid e-mail address, in the form someone@example.com.
requiresecondarycontact |  | Specifies that users must supply a secondary contact when they create a new site. |
role |  | A valid site group name. | For example, reader.
secondaryemail | -se | The secondary site owner's e-mail address. | This value must be a valid e-mail address, in the form someone@example.com.
secondarylogin | -sl | The secondary site owner's user account. | This value must be a Windows user name, and must be qualified with a domain name, for example DOMAIN\name.
secondaryname | -sn | The secondary site owner's display name. |
servicename | -svc | The name of a data retrieval service. | For example, Service1.
setting |  | A setting for data retrieval services. | Any of the following values: enabled, responsesize, timeout, update.
siteadmin |  | Specifies that the user is an administrator of the site. |
sitetemplate | -st | The template to apply to the new site. | The value must be in the form name#configuration. If you do not specify the configuration, configuration 0 is the default (for example, STS#0). The list of available templates can be customized to include templates you create. Values available in a default installation include: STS#0 (Team Site) STS#1 (Blank Site) STS#2 (Document Workspace) MPS#0 (Basic Meeting Workspace) MPS#1 (Blank Meeting Workspace) MPS#2 (Decision Meeting Workspace) MPS#3 (Social Meeting Workspace) MPS#4 (Multipage Meeting Workspace) Note If you added a template to the central template gallery, you must specify the template name as _GLOBAL_#number, where number refers to the template ID.
ssl |  | Specifies that Secure Sockets Layer (SSL) encryption is used for the administration port. |
title | -t | The template or site title | Any text string.
type |  | Type of path to add or remove. | (exclusion/explicitinclusion/wildcardinclusion)
unique |  | Specifies that the subsite uses unique permissions. |
url |  | The URL to the virtual server, site, or subsite. | For example, http://myserver/site1.
useremail |  | An e-mail address. | This value must be a valid e-mail address, in the form someone@example.com.
userlogin |  | A user account. | This value must be a Windows user name, and must be qualified with a domain name, for example DOMAIN\name.
username | -u | A user name. | Always use the short form for this parameter (u). This value must be either a Windows user account name or a Windows group account name, and can be qualified with a domain name, for example DOMAIN\name.
vsname |  | The virtual server name. |


Command-Line Properties

Command-Line Properties

This topic lists and explains the properties that can be set on the command line by using the Stsadm.exe tool with the getproperty and setproperty operations. To see the current value of a property, you use the getproperty operation. To set the value for a property, you use the setproperty operation. The following examples show the syntax to use when getting or setting a property:

stsadm.exe -o getproperty -pn <property name> [-url <url>]
stsadm.exe -o setproperty -pn <property name> -pv <property value> [-url <url>]

Some properties are available for the entire server, and are called server properties. Some are only available for an individual virtual server. When you get or set a server property, you can omit the url parameter. You must include the url parameter to get or set virtual server properties. For more information about setting properties, see "Introducing the Administration Tools for Windows SharePoint Services" in the Windows SharePoint Services Administrator's Guide.

Server Properties for Windows SharePoint Services

  • Antivirus properties
  • Data retrieval services properties
  • HTML Viewer properties
  • Site confirmation and automatic deletion properties
  • Usage analysis properties

Virtual Server Properties for Windows SharePoint Services

  • Alert properties
  • Content database properties
  • Data retrieval services properties
  • General properties
  • Site confirmation and automatic deletion properties

Alert Properties

Use these properties to configure alerts for your server. Specify whether alerts are enabled, whether users are limited as to the number of alerts they can create, and if so, the maximum number of alerts. You can also specify the times to send out immediate, daily, and weekly alerts. For more information about alerts, see Managing Alerts.

Property name | Values
alerts-enabled | true/false
alerts-limited | true/false
alerts-maximum | A numerical value.
job-daily-alerts | A phrase that includes the frequency interval and time range to send out notifications. For example "daily between 22:00:00 and 06:00:00".
job-immediate-alerts | A phrase that includes the frequency interval and time range to send out notifications. For example "every 5 minutes between 0 and 59".
job-weekly-alerts | A phrase that includes the frequency interval and time range to send out notifications. For example "weekly between Fri 22:00:00 and Mon 06:00:00".

Antivirus Properties

Use these properties to configure antivirus protection for your server. Specify whether users can download infected files to their client computers, whether antivirus cleaning is enabled, whether the download and upload scans are enabled, the timeout time for scanning, and the number of threads to take up with antivirus processes. For more information about using antivirus scanning, see Configuring Antivirus Protection.

Property name | Values
avallowdownload | yes/no
avcleaningenabled | yes/no
avdownloadscanenabled | yes/no
avnumberofthreads | A numerical value, the number of threads to use.
avtimeout | A numerical value, in seconds.
avuploadscanenabled | yes/no

Content Database Properties

Use these properties to set the server name, user name, and password to use for the default content database for your server. For more information about the default content database, see Managing Content Databases.

Property name | Values
defaultcontentdb-password | The password for the defaultcontentdb-user.
defaultcontentdb-server | The server that contains the default content database.
defaultcontentdb-user | A user account in the format DOMAIN\username.

Data Retrieval Services Properties

Use these properties to configure data retrieval services for your virtual server, server, or server farm. Specify whether data retrieval services are enabled, whether to inherit the server farm settings for a virtual server, the time an adapter will wait for a response from the back-end data source, the maximum size for data returned from the back-end source, whether adapters can execute requests that contain updatable queries, and the list of supported OLEDB providers. For more information about data retrieval services, see Configuring Data Retrieval Services.

Property name | Values
data-retrieval-services-enabled | true/false
data-retrieval-services-inherit | true/false
data-retrieval-services-response-size | An integer value in kilobytes (KB) between 1 and 100,000.
data-retrieval-services-timeout | An integer value in seconds between 1 and 100,000.
data-retrieval-services-update | true/false
data-retrieval-services-oledb-providers | The list of OLEDB providers, separated by semi-colons For example: "DB2OLEDB;IBMDADB2;MSDAORA;OraOLEDB.Oracle;SQLOLEDB"

General Properties

Use the following properties to specify general settings for a virtual server. Specify how long (in days) to display the New icon for items added to a Web site, the default quota template and default time zone for Web sites, the maximum size for files posted to Web sites, and whether Web Discussions are enabled for the virtual server.

For more information about specifying virtual server general settings, see Configuring Virtual Servers.

Property name | Values
days-to-show-new-icon | A numerical value (number of days).
defaultquotatemplate | A quota template name.
defaulttimezone | A time zone (numerical). For a list of valid time zones, see Regional and Language Settings.
max-file-post-size | A numerical value, in megabytes (MB).
webdocdisc-allow | yes/no

HTML Viewer Properties

Use these properties to specify HTML Viewer options for your server or server farm. Specify whether HTML viewing is enabled, the path (URL) to the HTML Viewer server, the maximum cache size for the HTML Viewer, the maximum file size that can be viewed, and the timeout time for HTML viewing. For more information about HTML viewing, see Managing HTML Viewers.

Property name | Values
htmltranslbpath | A URL.
htmltransmaxcachesize | A numerical value, in MB.
htmltransmaxsize | A numerical value, in MB.
htmltranson | true/false
htmltranstimeout | A numerical value, in seconds.

Site Confirmation and Automatic Deletion Properties

These properties can be set either at the server (and server farm) level or at the virtual server level. Specify whether to send e-mail notifications about unused Web sites, how long to wait before sending the first e-mail notification, how many notifications to send, whether to automatically delete unused Web sites, and when to delete unused Web sites. For more information about site confirmation and automatic deletion, see Managing Unused Web Sites.

Property name | Values
delete-web-send-email | yes/no
dead-site-notify-after | A numerical value (the number of days to wait before sending notifications).
dead-site-num-notifications | A numerical value (the number of notifications to send).
dead-site-auto-delete | yes/no
job-dead-site-delete | A phrase that includes the frequency interval and time range to delete unused Web sites automatically. For example "weekly at Sat 0:00:00".

Usage Analysis Properties

This property can be set either at the server (and server farm) level or at the virtual server level. For more information about usage analysis, see Configuring Usage Analysis.

Property name | Values
job-usage-analysis | A phrase that includes the frequency interval and time range to perform usage analysis log processing. For example "daily between 16:55:00 and 17:00:00".

If you want the job to start at a specific time, set the beginning and end times to the same time, for example: "daily between 16:55:21 and 16:55:21".

Note This property can be set only to "daily", not to "weekly" or "immediate".


User Rights and Site Groups

User Rights and Site Groups

This topic explains the rights and site groups you can assign to users by using operations in Stsadm.exe and by using HTML Administration pages. Each user right or site group is listed by the name that appears in HTML Administration pages. The name used to identify a site group for the Stsadm.exe command-line tool is listed in a table. For each site group, the default rights included in that site group are listed. For each right, any rights dependent on the right are listed, as well as any default site groups that include the right.

For more information about user rights and site groups, see "Managing Site Groups and Permissions" and "Managing Users and Cross-Site Groups" in the Windows SharePoint Services Administrator's Guide. For more information about using the command-line tool, see "Introducing the Administration Tools for Windows SharePoint Services" in the Windows SharePoint Services Administrator's Guide.

Default Site Groups in Windows SharePoint Services

  • Guest
  • Reader
  • Contributor
  • Web Designer
  • Administrator

User Rights Available for Windows SharePoint Services

  • Add and Customize Pages
  • Add Items
  • Add/Remove Private Web Parts
  • Apply Style Sheets
  • Apply Themes and Borders
  • Browse Directories
  • Cancel Check-out
  • Create Cross-Site Groups
  • Create Subsites
  • Delete Items
  • Edit Items
  • Manage Lists
  • Manage List Permissions
  • Manage Personal Views
  • Manage Site Groups
  • Manage Web Site
  • Update Personal Web Parts
  • Use Self-Service Site Creation
  • View Items
  • View Pages
  • View Usage Data

Default Site Groups

Microsoft Windows SharePoint Services includes five site groups by default. You can customize the rights available in these site groups (except for the Guest and Administrator site groups) or add new site groups to combine different sets of rights.

Guest

The Guest site group is designed to be combined with per-list permissions on particular lists to give guest users access to a specific list, without giving them access to the entire site. The Guest site group cannot be customized or deleted.

Command-line name | Rights included by default
guest | None

Reader

The Reader site group allows a user to view items in lists and document libraries, view pages in the site, and create a site using Self-Service Site Creation.

Command-line name | Rights included by default
reader | Use Self-Service Site Creation View Pages View Items

Contributor

The Contributor site group allows a user to interact with Web Parts and lists and document libraries. They can also create and manage personal views and cross-site groups, and personalize Web Part Pages.

Command-line name | Rights included by default
contributor | All rights included in the Reader site group, plus: Add Items Add/Remove Private Web Parts Browse Directories Create Cross-Site Groups Delete Items Edit Items Manage Personal Views Update Personal Web Parts

Web Designer

The Web Designer site group allows a user to customize the Web site using the HTML tools or a Web page editor compatible with Windows SharePoint Services, such as Microsoft Office FrontPage 2003. For example, Web Designers can create lists from within the site or add new pages to the site by using a Web page editor.

Command-line name | Rights included by default
web designer | All rights included in the Contributor site group, plus: Add and Customize Pages Apply Themes and Borders Apply Style Sheets Cancel Check-out Manage Lists

Administrator

The Administrator site group allows a user to have complete control over a Web site. Members of the Administrator site group can configure settings, manage users and site groups, and view usage analysis data.

Command-line name | Rights included by default
administrator | All rights included in the Web Designer site group, plus: Create Subsites Manage List Permissions Manage Site Groups View Usage Data

User Rights

Windows SharePoint Services includes 21 rights, which are used in the five default user site groups. You can change which rights are included in a particular site group (except for the Guest and Administrator site groups) or create a new site group to contain a specific list of rights.

Add and Customize Pages

Grants permission to create ASP.NET, ASP, and HTML pages for a Web site.

Site groups included in by default | Dependent rights
Web Designer, Administrator | Browse Directories, View Pages

Add Items

Grants permission to add items to lists or add documents to document libraries.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Items, View Pages

Add/Remove Private Web Parts

Grants permission to add and remove Web Parts in order to personalize Web Part Pages.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | Update Personal Web Parts, View Items, View Pages

Apply Style Sheets

Grants permission to apply a style sheet to the entire Web site.

Site groups included in by default | Dependent rights
Web Designer, Administrator | View Pages

Apply Themes and Borders

Grants permission to apply a theme or border to an entire Web site.

Site groups included in by default | Dependent rights
Web Designer, Administrator | View Pages

Browse Directories

Grants permission to browse the directory structure of a Web site.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Pages

Cancel Check-out

Grants permission to cancel the check-out action performed by another user.

Site groups included in by default | Dependent rights
Web Designer, Administrator | View Pages

Create Cross-Site Groups

Grants permission to create or delete cross-site groups, or to change membership of a cross-site group.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Pages

Create Subsites

Grants permission to create a new subsite or workspace site, such as a Document Workspace site or Meeting Workspace site.

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator | View Pages

Delete Items

Grants permission to delete list items and documents from the Web site.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Items, View Pages

Edit Items

Grants permission to edit existing list items and documents in the Web site.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Items, View Pages

Manage Lists

Grants permission to create, edit, or delete lists and change their settings.

Site groups included in by default | Dependent rights
Web Designer, Administrator | View Items, View Pages, Manage Personal Views

Manage List Permissions

Grants permission to change permissions for a list or document library.

Site groups included in by default | Dependent rights
Administrator | Manage Lists, View Items, View Pages, Manage Personal Views

Manage Personal Views

Grants permission to create, edit, or delete personal views on lists.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Items, View Pages

Manage Site Groups

Grants permission to create, delete, and edit site groups, both by changing the rights assigned to the site group and by changing which users are members of the site group.

Site groups included in by default | Dependent rights
Administrator | View Pages

Manage Web Site

Grants permission to perform administration tasks for a particular site or subsite.

Site groups included in by default | Dependent rights
Administrator | View Pages

Update Personal Web Parts

Grants permission to update Web Parts to display personalized information.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Items, View Pages

Use Self-Service Site Creation

Grants permission to use the Self-Service Site Creation tool to create a top-level Web site.

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator | View Pages

View Items

Grants permission to view items in lists, documents in document libraries, and Web discussion comments.

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator | View Pages

View Pages

Grants permission to browse pages in the Web site.

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator | None

View Usage Data

Grants permission to view reports on Web site usage.

Site groups included in by default | Dependent rights
Administrator | View Pages


Files and Permissions

Files and Permissions

This appendix lists the detailed, minimum file permission settings that must be in place for Microsoft Windows SharePoint Services to perform as designed.

Windows SharePoint Services Installation Directory

The Windows SharePoint Services installation directory is C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60 by default.

Installation directory | User | Permissions
\ADMISAPI | Users Administrators SYSTEM | Read & Execute Full Control Full Control
\BIN | Users Administrators SYSTEM | Read & Execute Full Control Full Control
\CONFIG | Users Administrators SYSTEM | Read & Execute Full Control Full Control
\ISAPI | Users Administrators SYSTEM | Read & Execute Full Control Full Control
\TEMPLATE | Users Administrators SYSTEM | Read & Execute Full Control Full Control

Web Site Content Area

This listing is for a Web site content area of \inetpub\wwwroot.

Web site content area | User | Permissions
\inetpub Note All directories enclosing the content root will grant LIST permissions to these accounts. |  |
\inetpub\wwwroot\_vti_pvt | Users Administrators SYSTEM IIS_WPG Internet Guest Account (IUSR_*) | Read & Execute, Read Full Control Full Control Read & Execute, Read Special Permissions
web.config | Users Administrators SYSTEM IIS_WPG Internet Guest Account (IUSR_*) | Read & Execute, Read Full Control Full Control Read & Execute, Read, Special Permissions Special Permissions
wpresources\web.config | Users Administrators SYSTEM IIS_WPG IUSR_* Internet Guest Account (IUSR_*) | Read & Execute, Read Full Control Full Control Read & Execute, Read, Special Permissions Special Permissions

Windows Directory

Windows SharePoint Services also changes permissions for two folders in the Microsoft Windows directory (%WinDir%).

Windows directory | User | Permissions
%temp% | Administrators SYSTEM STS_WPG Network Service (for a domain controller only) | Full Control Full Control Read, Write Read, Write
%WinDir%\logfiles\STS | Administrators SYSTEM STS_WPG Network Service (for a domain controller only) | Full Control Full Control Read, Write Read, Write


Special Directories and Storage Locations

Special Directories and Storage Locations

This appendix lists folders and files used by Microsoft Windows SharePoint Services.

Installation Directory Files

The following files are added to the installation directory (c:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60) when you install Windows SharePoint Services.

Folder | Description | Files and purpose
\ADMISAPI | The physical directory addressed by the SharePoint Central Administration virtual directory. | admin.asmx — ISAPI filter for administration
\BIN | Contains the core binary files for Windows SharePoint Services. | *.DLL — Core binary files OWSTIMER.EXE — Microsoft SharePoint Timer service SMIGRATE.EXE — Microsoft SharePoint Migration Tool STSADM.EXE — Stsadm utility STSCFG.EXE — Configuration utility used by Setup
\BIN\LCID\ | Contains the core binary files used by specific languages. | FPEXT.MSG — Error messages and text strings ONETINTL.DLL — Core international binary file
\CONFIG | Contains configuration files and default values for the server. | *.xml — XML files used to map default values appwpresweb.config — Configuration file adminweb.config — Configuration file for the administrative virtual server gacwpresweb.config — Configuration file layoutsweb.config — Configuration file for the _layouts directory web.config — Configuration file for virtual servers wss_mediumtrust.config — Configuration file wss_minimaltrust.config — Configuration file
\ISAPI | The physical directory addressed by the /_vti/_bin virtual directory. | *.asmx — SOAP protocol receptors *.aspx — Form pages Global.asax — ASP.NET namespace definition *.xml — XML file for managed code *.DLL — Core binary files for managed code web.config — Configuration file
\ISAPI\BIN | Contains binary files for the /_vti/_bin virtual directory. | STSSOAP.DLL — Binary file used for SOAP code
\ISAPI\HELP\LCID\STS\HTML | Contains Help files and support files used in the Help system. | *.css *.htm *.js layout.swf
\ISAPI\HELP\LCID\STS\IMAGES | Contains images used in the Help system. | *.gif
\ISAPI_VTI_ADM | Contains Microsoft Office FrontPage 2003 legacy binary files. | ADMIN.DLL — Binary file used for administration from Office FrontPage 2003
\ISAPI\_VTI_AUT | Contains Office FrontPage 2003 legacy binary files. | AUTHOR.DLL — Binary file used for authoring from Office FrontPage 2003
\TEMPLATE | Contains all site templates and core Web site files. |
\TEMPLATE\LCID\MPS | Contains files that are copied to the root of the Web site upon instantiation with a Meeting Workspace template (for example, default.aspx). | *.aspx — Form pages
\TEMPLATE\LCID\MPS\DOCTEMP\SMARTPGS\ | Contains files used for Web Part Pages in Meeting Workspaces. | spstd1.aspx — Form page
\TEMPLATE\LCID\MPS\LISTS | Contains the actual lists used in the Meeting Workspace templates, along with schema definition and default views. |
\TEMPLATE\LCID\MPS\LISTS\AGENDA | Contains files used for the Agenda list. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\MPS\LISTS\DECISION | Contains files used for the Decisions list. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\MPS\LISTS\DOCLIB | Contains files used for document libraries in the Meeting Workspace templates. | *.aspx — Form pages *.HTM — Dialog boxes SCHEMA.XML — Schema file
\TEMPLATE\LCID\MPS\LISTS\MEETINGS | Contains files used for the Meeting Workspace templates. | MoveToDt.ASPX — Form page SCHEMA.XML — Schema file
\TEMPLATE\LCID\MPS\LISTS\OBJECTIV | Contains files used for the Objectives list. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\MPS\LISTS\PEOPLE | Contains files used for the Attendees list. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\MPS\LISTS\TEXTBOX | Contains files used for the Text Box list. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\MPS\LISTS\THGBRING | Contains files used for the Things to Bring list. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\MPS\LISTS\WKSPGLIB | Contains files used for lists in the Meeting Workspace templates. | SCHEMA.XML — Schema file
\TEMPLATE\LCID\MPS\XML | Contains the available lists in the Meeting Workspace templates, base types for fields (onet.xml), and the standard view template for new views. | *.XML — XML files for site schema and views
\TEMPLATE\LCID\STS | Contains files that are copied to the root of the Web site upon instantiation with the Team Site template (for example, default.aspx). | default.aspx — Default home page for sites based on Team Site templates
\TEMPLATE\LCID\STS\DOCTEMP\BLANKPGS | Contains the default document templates. | bpstd.aspx _blankpage.htm
\TEMPLATE\LCID\STS\DOCTEMP\FP | Contains document templates for Office FrontPage 2003. | FPTMPL.HTM — Default document templates for FrontPage documents
\TEMPLATE\LCID\STS\DOCTEMP\PPT | Contains document templates for Microsoft Office PowerPoint 2003. | FILELIST.XML MASTER03.CSS MASTER03.HTM MASTER03.XML PPTMPL.HTM PPTMPL.POT PRES.XML PREVIEW.WMF SLIDE001.HTM
\TEMPLATE\LCID\STS\DOCTEMP\SMARTPGS | Contains document templates for Web Part Pages. | *.aspx _smartpage.htm _webpartpage.htm
\TEMPLATE\LCID\STS\DOCTEMP\WORD | Contains document templates for Microsoft Office Word 2003. | WDTMPL.DOC WDTMPL.HTM
\TEMPLATE\LCID\STS\DOCTEMP\XL | Contains document templates for Microsoft Office Excel 2003. | FILELIST.XML SHEET001.HTM SHEET002.HTM SHEET003.HTM STYLE.CSS TABSTRIP.HTM XLTMPL.HTM XLTMPL.XLS
\TEMPLATE\LCID\STS\DOCTEMP\XMLFORMS\BLANK | Contains document templates for Microsoft Office InfoPath 2003. | TEMPLATE.XML — Default document templates for XML documents
\TEMPLATE\LCID\STS\DWS | Contains files that are copied to the root of the Web site upon instantiation with a Document Workspace template. | default.aspx — Default home page for Document Workspaces
\TEMPLATE\LCID\STS\LISTS | Contains the actual lists along with schema definition and default views. |
\TEMPLATE\LCID\STS\LISTS\ANNOUNCE | Contains files used for the Announcements list. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\STS\LISTS\CONTACTS | Contains files used for the Contacts list. | *.aspx — Form pages SCHEMA.XML — Schema file VCARD.VCF — Contacts form
\TEMPLATE\LCID\STS\LISTS\CUSTLIST | Contains files used for custom lists. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\STS\LISTS\DATASRCS | Contains files used for data sources for lists. | SCHEMA.XML — Schema file
\TEMPLATE\LCID\STS\LISTS\DISCUSS | Contains files used for the Discussion Board list. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\STS\LISTS\DOCLIB | Contains files used for document libraries. | *.aspx — Form pages *.HTM — Dialog boxes SCHEMA.XML — Schema file
\TEMPLATE\LCID\STS\LISTS\EVENTS | Contains files used for the Events list. | *.aspx — Form pages EVENT.ICS — Event form SCHEMA.XML — Schema file
\TEMPLATE\LCID\STS\LISTS\FAVORITE | Contains files used for the Favorites list. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\STS\LISTS\GRIDLIST | Contains files used for the Datasheet view of lists. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\STS\LISTS\IMGLIB | Contains files used for picture libraries. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\STS\LISTS\ISSUE | Contains files used for the Issues list. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\STS\LISTS\LISTTEMP | Contains files used for the list template gallery. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\STS\LISTS\TASKS | Contains files used for the Tasks list. | *.aspx — Form pages SCHEMA.XML — Schema file TASK.ICS — Task form
\TEMPLATE\LCID\STS\LISTS\VOTING | Contains files used for surveys. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\STS\LISTS\WEBTEMP | Contains files used for the site template gallery. | *.aspx — Form pages *.HTM — Dialog boxes SCHEMA.XML — Schema file
\TEMPLATE\LCID\STS\LISTS\WPLIB | Contains files used for the Web Part gallery. | *.aspx — Form pages SCHEMA.XML — Schema file
\TEMPLATE\LCID\STS\LISTS\WPLIB\DWP | Contains Web Part files. | *.dwp — Default Web Parts in the site collection Web Part gallery
\TEMPLATE\LCID\STS\LISTS\XMLFORM | Contains files used for form libraries. | *.aspx — Form pages *.HTM — Dialog boxes SCHEMA.XML — Schema file
\TEMPLATE\LCID\STS\XML | Contains the available lists in the site template, base types for fields (onet.xml), and the standard view template for new views. | *.XML — XML files for site schema and views
\TEMPLATE\LCID\XML | Contains the XML files with base list and field types defined for all site templates. | *.XML — XML templates used in all site templates for a particular language
\TEMPLATE\ADMIN\LCID | Contains files used for the site administration pages. | *.aspx, *.css, *.js — Administration pages, styles, and JavaScript files
\TEMPLATE\ADMIN\LCID\aspnet_client\system_web\Version | Contains ASP.NET files. | SmartNav.htm SmartNav.js WebUIValidation.js ASP.NET files
\TEMPLATE\ADMIN\LCID\BIN | Contains binary files used for the site administration pages. | *.DLL - Core binaries
\TEMPLATE\ADMIN\LCID\XML | Contains XML files used for the site administration pages. | adminleftnavbar.sts.xml — XML file for the left link bar (Action menu and Views list) setuperror.htm — Setup messages
\TEMPLATE\IMAGES | Contains images shared by all pages on the server, addressed by the virtual directory /_layouts/images. | *.gif, *.jpg, *.png
\TEMPLATE\LAYOUTS | Addressed by the virtual directory /_layouts, this directory contains language subdirectories that contain the forms for creating lists, site administration pages, and so on. These directories are shared by all sites. | Global.asax — ASP.NET namespace definition *.aspx — Form pages web.config — Configuration file
\TEMPLATE\LAYOUTS\LCID | Contains forms for creating lists, site administration pages, and so on, for a specific language. | *.aspx — Form pages *.css — Style sheets *.htm — Dialog boxes *.htc — Menu control *.js — JavaScript files *.xml — XML templates *.xsd — XML definitions
\TEMPLATE\LAYOUTS\LCID\IMAGES | Contains images used in the default site pages for a specific language. | *.gif, *.jpg
\TEMPLATE\LAYOUTS\LCID\MPS | Contains form pages and scripting files for Meeting Workspaces. Note This folder is added only if you have used a Meeting Workspace template. | *.aspx — Form pages MEETINGS.JS — JavaScript file
\TEMPLATE\LAYOUTS\LCID\STYLES | Contains style sheets shared by all site templates for a particular language. Addressable by the virtual directory /_layouts/styles. | *.CSS — Style sheets
\TEMPLATE\LAYOUTS\BIN | Contains core binary files. | Microsoft.SharePoint.ApplicationPages.dll — Core binary
\TEMPLATE\SQL | Contains stored procedures for Microsoft SQL Server. | *.SQL — Stored procedures for SQL Server
\TEMPLATE\THEMES | Contains the list of themes. | THEMES.INF — Themes list
\TEMPLATE\THEMES\Theme | Contains files used by a specific theme. | *.gif — Images *.css — Style sheets theme.INF — Theme definition file theme.utf8 — Theme file for UTF8 encoding
\TEMPLATE\XML | Contains XML files used by all site templates in all languages. | *.XML — Templates used across all languages and site types
\TEMPLATE\XML\HELP | Contains XML files used by the Help system. | STS.XML — Context-sensitive Help mapping file

Web Part Resource Files

In addition to the installation directory, there is a Web Part resources directory that contains files used to support custom Web Parts in Windows SharePoint Services. The c:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\wpresources directory contains a web.config file that is used to help control security for ASP.NET files used in Web Parts. For more information about custom Web Parts, see the Windows SharePoint Services Software Development Kit.

Web Site Content Files

The following files are added to each top-level Web site or subsite when a SharePoint site is created.

Folder | Description | Files and purpose
\inetpub\folder | Configuration file | web.config
\inetpub\folder\_vti_pvt | SpeedDial shortcuts | service services
\inetpub\folder\wpresources\ | Configuration file for Web Parts | web.config

All other Web site files are stored in the content and configuration database.


Language Considerations

Language Considerations

You use two methods to control the language settings available for Web sites based on Microsoft Windows SharePoint Services:

  • Language template packs

    Language template packs allow you to use site templates designed for specific languages. When you create a site based on a site template in a language template pack, the navigation and pages for that site are displayed in that language.

  • Regional settings

    Regional settings allow you to control how dates, times, and lists are displayed in a particular Web site. Regional settings do not control the language used for the navigation or pages in the site. For more information about regional settings, see Configuring Regional Settings.

About Languages and Locales

Windows SharePoint Services uses the following terms to describe the language settings that are used for a Web site:

  • Language ID

    The language ID specified when a Web site is created controls the language used in the Web site itself. For example, if the site was created in French (language ID 1036), all of the toolbars, navigation bars, list and form pages, and so on, appear in French. If the site was created in Arabic (1025), the text is in Arabic, and the default left-to-right orientation of the site is change to right-to-left to properly display Arabic text.

    By default, Windows SharePoint Services has language packs that contain site templates for many language IDs. You can install one or more of these language packs to your Web server to support users creating sites in as many languages as you need. For example, if you have a server running the Japanese version (language ID 1041) of Windows SharePoint Services, you can install a U.S. English (1033) language pack with templates that allow your users to create sites configured for U.S. English. New para

  • Locale ID

    The locale ID is specified on the Regional Settings page, and affects how numbers, calendars, sorting, and time are displayed in the site. For example, if you have a U.S. English language site (language ID 1033), and you change the locale ID to French (Canada) (locale ID 3084), the Events list and Calendar views reflect the French notations for dates, numbers, time, and so on. The locale ID does not affect the orientation of the site. Choosing Arabic (Egypt) (locale ID 3073) does not change the site to right-to-left orientation, but does allow you to display the Events list with dates in Arabic notation. Each language template has a default locale ID. For example, in the U.S. English (1033) template, the default locale ID is also 1033.

    Windows SharePoint Services supports all of the locale IDs supported by the Microsoft Windows Server 2003 family, which is a much larger set than the set of language IDs.

For more information about supported language IDs and locale IDs, see Regional and Language Settings.

Customizing Sites to Display Multiple Languages

When you create a site, you choose which language it is displayed in. You cannot display a site in more than one language, or change which language is used. If you need to create a site that can display more than one language, for example if you needed a site for both English and Spanish speakers, use the following method:

  1. Install the language packs that you need (in this example, US English and Spanish) to your server.
  2. Create sites based on each language pack you need (for example, one site in US English, one in Spanish).
  3. Customize one of the sites to include the strings you need from the other site.

    For example, on the US English site, use a Web page editor compatible with Windows SharePoint Services to edit the navigation strings to include both the English strings and the strings from the Spanish site. In this example, "Home" would become "Home/Pagina principal".

  4. Save the customized site as a site template, if you expect to use it again.

Because Windows SharePoint Services uses Unicode encoding, the strings from all of the languages should display correctly on the site you customize.

Installing Language Template Packs

Language template packs for Windows SharePoint Services are available as downloadable files from Windows Update. There are language template packs that you can install to support Web sites in many languages. For a list of supported languages, see Regional and Language Settings.

To install a language template pack, you simply download it from Windows Update, and then run the setup program. Note that at the end of setup, Internet Information Services (IIS) is automatically restarted. If you are in a server farm environment, you must install the language template packs to each front-end Web server in your server farm.

During installation, the site templates are added to the Windows SharePoint Services installation directory, under the \TEMPLATE\LCID directory, where LCID is the locale ID for the language. For more information about where the language template files are stored on the server, see Special Directories and Storage Locations. After installation, server administrators, members of the SharePoint administrators group, and users with the Create Subsites right or the Use Self-Service Site Creation right can create Web sites based on the language templates by selecting the language on the Create Top-Level Web Site page or the New SharePoint Site page.

If you no longer need a language template pack, you can uninstall it by using Add or Remove Programs in Control Panel. Uninstalling removes the language template files from the \TEMPLATE\LCID directories.

Caution When you uninstall a language template pack, any sites based on that language no longer work. You can reinstall the language template pack to restore the sites.


Regional and Language Settings

Regional and Language Settings

This topic lists the regional and language settings you can specify from the command line by using operations in Stsadm.exe and by using HTML Administration pages. For more information about specifying regional and language settings, see Language Considerations. For more information about the syntax for command-line operations, see Command-Line Operations.

The following types of regional and language settings are used in Microsoft Windows SharePoint Services:

  • Language IDs
  • Locale IDs
  • Time zones
  • Currency IDs

Language IDs

The Language ID determines the language used for text on pages in the Web site (such as the text on the Site Settings page). The languages available for site creation depend on the language template packs you have installed to your server or server farm. Web sites based on Windows SharePoint Services can be created in the following languages.

ID | Language | ID | Language
1025 | Arabic | 1041 | Japanese
1028 | Chinese - Traditional | 1042 | Korean
1029 | Czech | 1043 | Dutch
1030 | Danish | 1044 | Norwegian
1031 | German | 1045 | Polish
1032 | Greek | 1046 | Portuguese - Brazilian
1033 | English | 1049 | Russian
1034 | Spanish | 1053 | Swedish
1035 | Finnish | 1054 | Thai
1036 | French | 1055 | Turkish
1037 | Hebrew | 2052 | Chinese - Simplified
1038 | Hungarian | 2070 | Portuguese
1040 | Italian | 3076 | Chinese - Hong Kong SAR

Windows SharePoint Services also supports input and display of text in the following languages, but not site creation.

ID | Language | ID | Language
1026 | Bulgarian | 1048 | Romanian
1050 | Croatian | 2074 | Serbian
1061 | Estonian | 1051 | Slovak
1081 | Hindi with Indic PT | 1060 | Slovenian
1062 | Latvian | 1058 | Ukrainian
1063 | Lithuanian |  |

Locale IDs

The Locale ID controls the numbering, sorting, calendar, and time formatting for the Web site. You can change the locale for a Web site by using the Regional Settings page. Web sites based on Windows SharePoint Services can be set to the following Locale IDs.

ID | Locale | ID | Locale
1078 | Afrikaans | 1037 | Hebrew
1052 | Albanian | 1081 | Hindi
5121 | Arabic (Algeria) | 1038 | Hungarian
15361 | Arabic (Bahrain) | 1039 | Icelandic
3073 | Arabic (Egypt) | 1057 | Indonesian
2049 | Arabic (Iraq) | 1040 | Italian (Italy)
11265 | Arabic (Jordan) | 2064 | Italian (Switzerland)
13313 | Arabic (Kuwait) | 1041 | Japanese
12289 | Arabic (Lebanon) | 1099 | Kannada
4097 | Arabic (Libya) | 1087 | Kazakh
6145 | Arabic (Morocco) | 1111 | Konkani
8193 | Arabic (Oman) | 1042 | Korean
16385 | Arabic (Qatar) | 1088 | Kyrgyz (Cyrillic)
1025 | Arabic (Saudi Arabia) | 1062 | Latvian
10241 | Arabic (Syria) | 1063 | Lithuanian
7169 | Arabic (Tunisia) | 1071 | Macedonian (FYROM)
14337 | Arabic (U.A.E.) | 2110 | Malay (Brunei Darussalam)
9217 | Arabic (Yemen) | 1086 | Malay (Malaysia)
1067 | Armenian | 1102 | Marathi
2092 | Azeri (Cyrillic) | 1104 | Mongolian (Cyrillic)
1068 | Azeri (Latin) | 1044 | Norwegian (Bokmal)
1069 | Basque | 2068 | Norwegian (Nynorsk)
1059 | Belarusian | 1045 | Polish
1026 | Bulgarian | 1046 | Portuguese (Brazil)
1027 | Catalan | 2070 | Portuguese (Portugal)
3076 | Chinese (Hong Kong SAR) | 1094 | Punjabi
5124 | Chinese (Macau SAR) | 1048 | Romanian
2052 | Chinese (PRC) | 1049 | Russian
4100 | Chinese (Singapore) | 1103 | Sanskrit
1028 | Chinese (Taiwan) | 3098 | Serbian (Cyrillic)
1050 | Croatian | 2074 | Serbian (Latin)
1029 | Czech | 1051 | Slovak
1030 | Danish | 1060 | Slovenian
1125 | Divehi | 11274 | Spanish (Argentina)
2067 | Dutch (Belgium) | 16394 | Spanish (Bolivia)
1043 | Dutch (Netherlands) | 13322 | Spanish (Chile)
3081 | English (Australia) | 9226 | Spanish (Colombia)
10249 | English (Belize) | 5130 | Spanish (Costa Rica)
4105 | English (Canada) | 7178 | Spanish (Dominican Republic)
9225 | English (Caribbean) | 12298 | Spanish (Ecuador)
6153 | English (Ireland) | 17418 | Spanish (El Salvador)
8201 | English (Jamaica) | 4106 | Spanish (Guatemala)
5129 | English (New Zealand) | 18442 | Spanish (Honduras)
13321 | English (Philippines) | 2058 | Spanish (Mexico)
7177 | English (South Africa) | 19466 | Spanish (Nicaragua)
11273 | English (Trinidad) | 6154 | Spanish (Panama)
2057 | English (United Kingdom) | 15370 | Spanish (Paraguay)
1033 | English (United States) | 10250 | Spanish (Peru)
12297 | English (Zimbabwe) | 20490 | Spanish (Puerto Rico)
1061 | Estonian | 3082 | Spanish (Spain)
1080 | Faeroese | 1034 | Spanish (Traditional Sort) - Spain
1065 | Farsi | 14346 | Spanish (Uruguay)
1035 | Finnish | 8202 | Spanish (Venezuela)
2060 | French (Belgium) | 1089 | Swahili
3084 | French (Canada) | 1053 | Swedish
1036 | French (France) | 2077 | Swedish (Finland)
5132 | French (Luxembourg) | 1114 | Syriac
6156 | French (Monaco) | 1097 | Tamil
4108 | French (Switzerland) | 1092 | Tatar
1110 | Galician | 1098 | Telugu
1079 | Georgian | 1054 | Thai
3079 | German (Austria) | 1055 | Turkish
1031 | German (Germany) | 1058 | Ukrainian
5127 | German (Liechtenstein) | 1056 | Urdu
4103 | German (Luxembourg) | 2115 | Uzbek (Cyrillic)
2055 | German (Switzerland) | 1091 | Uzbek (Latin)
1032 | Greek | 1066 | Vietnamese
1095 | Gujarati |  |

Time Zones

Web sites based on Windows SharePoint Services can be set to any of the time zones recognized by Microsoft Windows Server 2003.

Code | Time zone | Code | Time zone
39 | (GMT-12:00) Eniwetok, Kwajalein | 59 | (GMT+02:00) Helsinki, Riga, Tallinn
16 | (GMT-11:00) Midway Island, Samoa | 27 | (GMT+02:00) Jerusalem 26 (GMT+03:00) Baghdad
15 | (GMT-10:00) Hawaii | 74 | (GMT+03:00) Kuwait, Riyadh
14 | (GMT-09:00) Alaska | 51 | (GMT+03:00) Moscow, St. Petersburg, Volgograd
13 | (GMT-08:00) Pacific Time (US and Canada); Tijuana | 56 | (GMT+03:00) Nairobi
38 | (GMT-07:00) Arizona | 25 | (GMT+03:30) Tehran
12 | (GMT-07:00) Mountain Time (US and Canada) | 24 | (GMT+04:00) Abu Dhabi, Muscat
55 | (GMT-06:00) Central America | 54 | (GMT+04:00) Baku, Tbilisi, Yerevan 48 (GMT+04:30) Kabul
11 | (GMT-06:00) Central Time (US and Canada) | 58 | (GMT+05:00) Ekaterinburg
37 | (GMT-06:00) Mexico City | 47 | (GMT+05:00) Islamabad, Karachi, Tashkent
36 | (GMT-06:00) Saskatchewan | 23 | (GMT+05:30) Calcutta, Chennai, Mumbai, New Delhi
35 | (GMT-05:00) Bogota, Lima, Quito | 62 | (GMT+05:45) Kathmandu 46 (GMT+06:00) Almaty, Novosibirsk
10 | (GMT-05:00) Eastern Time (US and Canada) | 71 | (GMT+06:00) Astana, Dhaka
34 | (GMT-05:00) Indiana (East) | 66 | (GMT+06:00) Sri Jayawardenepura
9 | (GMT-04:00) Atlantic Time (Canada) | 61 | (GMT+06:30) Yangon (Rangoon)
33 | (GMT-04:00) Caracas, La Paz | 22 | (GMT+07:00) Bangkok, Hanoi, Jakarta
65 | (GMT-04:00) Santiago | 64 | (GMT+07:00) Krasnoyarsk
28 | (GMT-03:30) Newfoundland 8 (GMT-03:00) Brasilia | 45 | (GMT+08:00) Beijing, Chongqing, Hong Kong SAR, Urumqi
32 | (GMT-03:00) Buenos Aires, Georgetown | 63 | (GMT+08:00) Irkutsk, Ulaan Bataar
60 | (GMT-03:00) Greenland | 21 | (GMT+08:00) Kuala Lumpur, Singapore
30 | (GMT-02:00) Mid-Atlantic | 73 | (GMT+08:00) Perth 75 (GMT+08:00) Taipei
29 | (GMT-01:00) Azores | 20 | (GMT+09:00) Osaka, Sapporo, Tokyo 72 (GMT+09:00) Seoul
53 | (GMT-01:00) Cape Verde Is. | 70 | (GMT+09:00) Yakutsk 19 (GMT+09:30) Adelaide
31 | (GMT) Casablanca, Monrovia | 44 | (GMT+09:30) Darwin
2 | (GMT) Greenwich Mean Time : Dublin, Edinburgh, Lisbon, London | 18 | (GMT+10:00) Brisbane
4 | (GMT+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna | 76 | (GMT+10:00) Canberra, Melbourne, Sydney
6 | (GMT+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague | 43 | (GMT+10:00) Guam, Port Moresby
3 | (GMT+01:00) Brussels, Copenhagen, Madrid, Paris | 42 | (GMT+10:00) Hobart
57 | (GMT+01:00) Sarajevo, Skopje, Sofija, Vilnius, Warsaw, Zagreb | 68 | (GMT+10:00) Vladivostok
69 | (GMT+01:00) West Central Africa | 41 | (GMT+11:00) Magadan, Solomon Is., New Caledonia
7 | (GMT+02:00) Athens, Istanbul, Minsk | 17 | (GMT+12:00) Auckland, Wellington
5 | (GMT+02:00) Bucharest | 40 | (GMT+12:00) Fiji Islands, Kamchatka, Marshall Is.
49 | (GMT+02:00) Cairo | 67 | (GMT+13:00) Nuku'alofa
50 | (GMT+02:00) Harare, Pretoria |  |

Currency IDs

Web sites based on Windows SharePoint Services can be set to use the following currencies.

ID | Currency | ID | Currency
5121 | 1,254 .ج.د (Arabic-Algeria) | 4106 | Q1,254 (Guatemala)
15361 | 1,254 .ب.د (Arabic-Bahrain) | 18442 | L. 1254 (Honduras)
3073 | 1,254 .م.ج (Arabic-Egypt) | 3076 | HK$1,254 (Hong Kong SAR)
2049 | 1,254 .ع.د (Arabic-Iraq) | 1038 | 1 254 Ft (Hungary)
11265 | 1,254 .ا.د (Arabic-Jordan) | 1081 | रु 1,254 (India)
13313 | 1,254 .ك.د (Arabic-Kuwait) | 6153 | IR£1,254 (Ireland)
12289 | 1,254 .ل.ل (Arabic-Lebanon) | 1037 | ₪1,254 (Israel)
4097 | 1,254 .ل.د (Arabic-Libya) | 1041 | ¥1,254 (Japan)
6145 | 1,254 .م.د (Arabic-Morocco) | 1042 | ₩1,254 (Korea)
8193 | 1,254 .ع.ر (Arabic-Oman) | 2058 | $1,254 (Mexico)
16385 | 1,254 .ق.ر (Arabic-Qatar) | 5129 | $1,254 (New Zealand)
1025 | 1,254 .س.ر (Arabic-Saudi Arabia) | 19466 | C$ 1254 (Nicaragua)
10241 | 1,254 .س.ل (Arabic-Syria) | 1044 | kr 1 254 (Norway)
7169 | 1,254 .ت.د (Arabic-Tunisia) | 1056 | Rs 1,254 (Pakistan)
14337 | 1,254 .إ.د (Arabic-U.A.E) | 6154 | B/. 1,254 (Panama)
9217 | 1,254 .ي.ر (Arabic-Yemen) | 15370 | Gs 1.254 (Paraguay)
11274 | $ 1.254 (Argentina) | 2052 | ￥1,254 (People's Republic of China)
3081 | $1,254 (Australia) | 10250 | S/. 1,254 (Peru)
3079 | öS 1.254 (Austria) | 1045 | 1 254 zł (Poland)
16394 | $b 1.254 (Bolivia) | 1049 | 1 254р. (Russia)
1046 | R$ 1.254 (Brazil) | 4100 | $1,254 (Singapore)
3084 | 1 254 $ (Canada) | 1051 | 1 254 Sk (Slovakia)
4105 | $1,254 (Canada) | 1060 | 1.254 SIT (Slovenia)
13322 | $ 1.254 (Chile) | 7177 | R 1,254 (South Africa)
9226 | $ 1.254 (Colombia) | 1053 | 1.254 kr (Sweden)
5130 | C1.254 (Costa Rica) | 2055 | SFr. 1'254 (Switzerland)
1029 | 1 254 Kč (Czech Republic) | 1028 | NT$1,254 (Taiwan)
1030 | kr 1.254 (Denmark) | 1054 | ฿1,254 (Thai)
7178 | RD$1,254 (Dominican Republic) | 1055 | 1.254 TL (Turkey)
17418 | C1254 (El Salvador) | 2057 | £1,254 (United Kingdom)
-2 | 1,254 € (European Union) | 1033 | $1,254 (United States)
-1 | € 1,254 (European Union) | 14346 | $U 1.254 (Uruguay)
1065 | 1,254 ريال (Farsi) | 8202 | Bs 1.254 (Venezuela)
1032 | 1.254 Δρχ (Greece) | 1066 | 1,254 ₫ (Vietnamese)


Configuring Regional Settings

Configuring Regional Settings

Every Web site (both top-level Web sites and subsites) based on Microsoft Windows SharePoint Services can be customized to use specific regional settings that apply to the users of your site. You can specify the following regional settings:

  • Locale

    Controls how numbers and dates are displayed in the site.

  • Sort order

    Controls the sort orders used for lists and libraries.

  • Time zone

    Controls the time zone for the Web site.

    Note You cannot configure a client's view to see document information in their time zone if it is different than the site's time zone. For example, if you have a site set to Eastern Time (US and Canada), and a user in Amsterdam adds a document at 1:00 PM (or 13:00) local time, the document properties show that it was added at 7:00 AM Eastern Time. If this is a problem for your site, you may want to consider creating a personalizable Web Part to show all documents and list items in a specific time zone. For example, the Web Part could list all document libraries and lists in the site, and then the user could select which document library or list to display and the time zone to display it in, and then they would see the data from that document library or list converted to their time zone. For more information about creating custom Web Parts, see the Windows SharePoint Services Software Development Kit.

  • Time format

    Specifies whether to display times in 12-hour or 24-hour format.

To specify the locale ID for a site, you can use either HTML Administration pages or the command line. To change the sort order, time zone, or time format for a site, you must use HTML Administration pages. For more information about language settings in Windows SharePoint Services, see Language Considerations.

Changing Regional Settings in HTML Administration Pages

You can change the locale ID, sort order, time zone, and time format for an individual site by using the Regional Settings page in the Site Administration pages.

Server administrators and members of the SharePoint administrators group can also specify a default time zone to use for all sites on a virtual server. For more information, see Configuring Virtual Servers.

Change the regional settings for a site
  1. On the site, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. On the Site Administration page, under Management and Statistics, click Change regional settings.
  4. On the Regional Settings page, select the settings to use, and then click OK.

Specifying Locale IDs on the Command Line

When you extend a virtual server, create a new top-level Web site, or create a new subsite from the command line, you can specify the locale ID to use. The extendvs, createsite, createsiteinnewdb, and createweb operations all accept the lcid parameter. To enter a locale ID in any of these operations, you type the numerical value for the locale (such as 1033 for U.S. English or 1036 for French/France). For example, to create a new subsite and use the French locale ID for France, you would use the following syntax:

stsadm.exe -o createweb -url http://server_name/site1/subsite1 -lcid 1036

All of these operations take several other parameters. For more information about these operations, see Command-Line Operations.


Using the Object Model to Manage SharePoint Portal Server

Using the Object Model to Manage SharePoint Portal Server

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Using the Object Model to Manage Windows SharePoint Services

Using the Object Model to Manage Windows SharePoint Services

You can use the object model for Microsoft Windows SharePoint Services to manage your servers, sites, users, and other resources. To access the administrative object model for Windows SharePoint Services, you must be an administrator of the local server computer or a member of the SharePoint administrators group.

If you are using a Web application (such as a billing application) to access the object model and perform administrative functions, you must be sure that the Web application is running in the same security context as Windows SharePoint Services. In other words, the Internet Information Services (IIS) application pool for the Web application must allow access to the SharePoint administrators group, or you must include the application pool account in the SharePoint administrators group, or the application pool must be the same application pool as is used for SharePoint Central Administration.

If you are relying on the SharePoint administrators group for the security context, keep in mind that there are some actions that that group cannot perform. The following actions must be performed by a member of the local administrators group for the server computer:

  • Extending virtual servers or removing Windows SharePoint Services from a virtual server
  • Changing the configuration database settings
  • Changing the SharePoint administrators group
  • Managing paths

If you want to perform these tasks from a custom application that calls the administrative object model directly, the application must be running as a member of the local administrator group.

Administrative Object Model Scenarios

There are many times when it would be useful to use the object model to perform administrative tasks for Windows SharePoint Services, rather than using the command line tool or HTML Administration pages. For example, you would use the object model when:

  • You have a custom administrative application that you use to manage servers in your server farm, rather than using SharePoint Central Administration.

    If your environment is very complex, and your organization uses a special administrative application to manage servers, you can use the object model to call the Windows SharePoint Services administrative functions, rather than using the HTML Administration pages or the command line.

  • You have a Web application that needs to call into Windows SharePoint Services to perform a specific set of administrative tasks.

    For example, if you have an application that coordinates online meetings, and you want to create Meeting Workspaces in Windows SharePoint Services automatically, you can use the object model to do so.

  • You want to generate administrative reports to track sites, usage, or other data.

    You can use the object model to enumerate the sites owned by particular users, find out how many users or how many files are being added to sites, or determine trends and perform capacity planning to decide when it is time to add another server to your server farm.

  • You want to make site creation conditional based on billing information or generate custom pages based on billing information.

    For example, you can use a billing application to verify billing information before a user can create a site. Or, you can use contact or billing information to generate a custom page that shows which sites belong to which site owners.

  • You want to make site access conditional based on billing or employment status.

    You can use the quota mechanisms to automatically lock a site if a customer or group is not current in its billing, and only allow access when the billing charges are rationalized. Or if a user is no longer part of your organization, you can lock all sites owned by that user until you determine what to do with the sites. For more information about quotas and locking sites, see Configuring Site Quotas and Locks.

For more information about the administrative object model and using it to perform administrative tasks, see the Windows SharePoint Services Software Development Kit.


Releasing the Lock on the Configuration Database

Releasing the Lock on the Configuration Database

If you try to perform a long-running operation, such as creating a portal site or a document library (Web Storage System-based), while another long-running operation is running, you will be taken to the Configuration Database Locked page. The operation that is currently running excludes all other long-running operations from the configuration database so that the task you are attempting to perform cannot run at this time.

Releasing the lock on the database might result in the failure of the currently running operation. Releasing the lock is not recommended unless it appears that the current operation has failed.

You must be a member of the SharePoint administrators group to complete this procedure.

Release the lock on the configuration database

  1. On the Configuration Database Locked page, click Release Lock.
  2. On the Confirm Lock Release page, click OK.


Troubleshooting Installation Issues

Troubleshooting Installation Issues

Temporary files left on the hard disk drive of the server

When users with no rights navigate to a SharePoint site, temporary files are left on the hard disk drive of the Web server. Over time, these temporary files take up more and more server disk space. To resolve this problem, download and install the update for Microsoft Windows Server 2003 from the Windows Update site. For more information, search for article 824629 in the Microsoft Knowledge Base.

Installation with SharePoint Team Services 1.0 fails

You cannot install and operate Microsoft SharePoint Portal Server 2003 on a server with an existing installation of SharePoint Team Services 1.0 from Microsoft. It is not supported. You must uninstall SharePoint Team Services before installing SharePoint Portal Server 2003.


Other Troubleshooting Issues

Other Troubleshooting Issues

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Glossary

Glossary
A | B | C | D | E | F | G | H | I | J | K | L | M
N | P | Q | R | S | T | U | V | W
A
Back to top
access control list (ACL)
A list of users or groups and their security permissions. Identifies who can update, modify, or delete an object on a computer or resource on the network.
Active Server Pages (ASP pages)
A technology that allows Web developers to combine scripts and HTML code to create dynamic Web content and Web-based applications.
administration port
The Internet Information Services (IIS) virtual server and port used for SharePoint Central Administration.
alert
A feature that notifies a user by e-mail when there is a change to an item, document, list, or document library on the Web site.
Anonymous authentication
An authentication method that provides access to users who do not have user accounts on the server computer.
anonymous user access
The ability to gain access to a Web server on which one does not have an account. Usually, anonymous users have more restricted access rights than users with accounts.
application pool
In Internet Information Services (IIS), a group of one or more URLs served by a worker process.
approval process
The process of reviewing a document before publishing it.
approval route
The path through which a document is approved.
approve
To accept a submitted item for publication.
approver
A user who has permission to approve or reject documents in a specified folder.
area
A classification for grouping content by user-defined criteria such as page contents, file types, or a similar distinction.
audience
A custom group used to target content to people based on membership within the group.
authentication
The process of proving that a user is who he or she claims to be.
authorization
The process of determining what a user is permitted to do.
B
Back to top
Basic authentication
Authentication protocol supported by most Web servers and browsers. Transmits the user name and password in clear text.
C
Back to top
cache
A special memory subsystem in which frequently used data values are duplicated for quick access.
Certificate authentication
An authentication method that provides security for TCP/IP connections. Also known as Secure Sockets Layer (SSL).
character set
A group of alphabetic, numeric, and other characters that have some relationship in common. For example, the standard ASCII character set includes letters, numbers, symbols, and control codes that make up the ASCII code scheme. See also code page.
check in
To release the lock for editing and enable other users to view the updated file or check out the file.
check out
To lock a file while editing it to prevent others from overwriting or editing it inadvertently. Only the user who checks out a document can edit the document.
check-in form
The form that displays when a user checks in a document to a backward-compatible document library. The form contains a box for check-in comments, an option to publish a document, and a drop-down menu for selecting a document profile.
clear text
Unencrypted, non-machine-dependent ASCII text in readable form.
code page
An ordered set of characters in which a numeric index (code point) is associated with each character of a particular writing system. There are separate code pages for different writing systems, such as Western European and Cyrillic.
code point
A numeric value in Unicode or in a code page that corresponds to a character. For example, in the Western European code page, 132 is the code point for the character ä; however, in another code page, the code point 132 might correspond to a different character.
Common Gateway Interface (CGI)
A standard method of extending Web server functionality by executing programs or scripts on a Web server in response to Web browser requests, such as in form processing. Use of CGI can make a Web page more dynamic.
component settings database
A database that stores service information for each portal site in a deployment.
configuration database
The Microsoft SQL Server or MSDE database that contains the configuration information that applies across all servers in a deployment of SharePoint Products and Technologies, such as virtual server information.
configuration property
A property that allows an administrator to control Windows SharePoint Services settings.
connection type
The type of Web Part connection. For example, the Provide Row To connection type passes a row of data from one Web Part to another Web Part, and the Get Filter From connection type gets a value from one Web Part and filters the data in another Web Part based on that value.
content database
The Microsoft SQL Server, MSDE, or WMSDE database that contains the content for one or more SharePoint sites.
content index
The full-text index, pointer to the property store, and other data that describes content across content sources, scopes, and servers.
content source
A starting point for crawling a file system, database, or Web site.
crawl
To search content to include it in a content index.
cross-site group
A custom security group that applies to more than one Web site. A cross-site group can be assigned to a site group as if it was a single user.
customize
To change the layout, view, content, etc. for a group of users.
D
Back to top
datasheet view
A view of a SharePoint list that allows you to modify multiple values.
dictionary
A defined list of values for a property.
Digest Access authentication
An authentication method that transmits user names and passwords in a secure format.
discussion server
A computer that stores discussion text and information about the location of the file being discussed.
discussion thread
In a discussion board or Web discussions, a series of messages or comments in which replies are nested under the message or comment instead of being arranged in chronological or alphabetical order.
document library
A folder where a collection of files is stored and where the files frequently use the same template. Each file in a library is associated with user-defined information that is displayed in the content listing for that library.
document profile
A set of properties applied to similar documents in the backward-compatible document library.
Document Workspace site
A Web site based on the Document Workspace template that workspace members use for discussing, editing, and working together on a document.
E
Back to top
encryption
A method used to scramble the content of a file or data packet to make the data unreadable without the decryption key.
encryption key
A block of data that is used to encrypt or decrypt information.
encryption, 128-bit
A high level of encryption that uses a 128-bit key to scramble the contents of a file or data packet to make the data unreadable without the decryption key.
encryption, 40-bit
A low level of encryption that uses a 40-bit key to scramble the contents of a file or data packet to make the data unreadable without the decryption key.
enhanced folder
A folder in a backward-compatible document library that supports document management tasks such as check-in, check-out, versioning, approval, and publishing.
enterprise application
A back-end business application that SharePoint Portal Server 2003 connects to by using the application definition Web Part.
enterprise application integration
The process of bringing data or functions from an enterprise application together with data or functions from another enterprise application.
extend
To apply Windows SharePoint Services to a virtual server.
extranet
An external Web site for an organization; usually secured so that only authorized users can access it.
F
Back to top
file allocation table (FAT)
A common format for file cataloging used by MS-DOS and Microsoft Windows operating systems to manage files on a hard disk; a physical method of storing and accessing files from a hard disk. The FAT contains a list of all files on the physical or logical drive.
File Transfer Protocol (FTP)
A protocol that is used to copy files to or from a Web server.
firewall
A security system that uses a proxy server outside of an organization's network to protect the network against external threats, such as malicious users or corrupt files.
FrontPage Server Extensions
A set of programs and scripts that support authoring in Microsoft Office FrontPage and that extend the functionality of a Web server.
full-text index
A resource that is compiled to enable full-text search of documents, document properties, and content that are stored outside the document library but are made available through content sources.
G
Back to top
gallery
A collection of Web Parts, list templates, or site templates.
H
Back to top
Highlight
A listing or document selected as the best recommendation for a specific portal area.
home page
The main page of a Web site. A home page usually has links to other pages, both inside and outside the site.
hyperlink
A colored and underlined block of text or a graphic that a user clicks to go to a file, a location in a file, an HTML page on the World Wide Web, or an HTML page on an intranet. Hyperlinks can also go to newsgroups and to Gopher, Telnet, and FTP sites.
I
Back to top
IFilter
A component that can interpret a file format, such as the Microsoft Word document format, for the purpose of crawling the text content of files for inclusion in the full-text index.
index propagation
The process of distributing an index from a content index server to one or more Web servers for the purposes of providing search.
Integrated Windows authentication
An authentication method that encrypts user names and passwords in a multiple-transaction interaction between client and server. Also known as Windows NT Challenge/Response authentication.
Internet
The worldwide collection of networks and gateways that use the TCP/IP suite of protocols to communicate with one another. If you have access to the Internet, you can retrieve information from millions of sources, including schools, governments, businesses, and individuals.
Internet Information Services (IIS)
Software services from Microsoft that support Web site creation, configuration, management, and other Internet functions. Internet Information Services include Network News Transfer Protocol (NNTP), File Transfer Protocol (FTP), and Simple Mail Transfer Protocol (SMTP).
Internet Server Application Programming Interface (ISAPI)
A Web server application-development interface, developed by Process Software and Microsoft, that can be used in place of CGI.
intranet
A private network for an organization based on Internet protocols such as TCP/IP.
ISAPI
See Internet Server Application Programming Interface
item
An entry in a list or portal area. An item can contain content or be a link to content stored elsewhere.
J
Back to top
job server
A server that hosts shared jobs.
JScript
An object-based scripting language distantly and loosely related to Java. JScript code is inserted directly into an HTML page.
K
Back to top
keyword
Metadata that facilitates effective search queries on content included in a full-text index.
keyword synonyms
Words that are identified as having the same or similar meaning as a specific keyword.
L
Back to top
list
A Web site component that stores and displays information that users can add to by using their browsers. Requires a Web server that is running Windows SharePoint Services or SharePoint Portal Server 2003.
local administrators group
The group of users who have permission to perform administration tasks on the local server computer. The permissions for this group are set by using the administration tools for the operating system.
locale ID (LCID)
A 32-bit value defined by Microsoft Windows that identifies a particular language. The LCID consists of a language ID, a sort ID, and reserved bits. For example, the LCID for U.S. English is 1033, and the LCID for Japanese is 1041.
M
Back to top
Meeting Workspace site
A Web site based on a Meeting Workspace site template that is used for planning, posting, and working together on meeting materials and following up after a meeting or series of meetings.
metadata
Data about data. For example, the metadata for a file can include the title, subject, author, and size of the file.
Microsoft SQL Server 2000 Desktop Engine (MSDE 2000)
A data store based on Microsoft SQL Server technology, but designed and optimized for use on smaller computer systems, such as a single-user computer or a small workgroup server. Previously known as Microsoft Data Engine.
Microsoft SQL Server 2000 Desktop Engine (Windows) (WMSDE 2000)
A version of MSDE 2000 designed specifically for Windows SharePoint Services.
multihosting
The ability of a Web server to support more than one Internet address and more than one home page. Also called multihoming.
My Site
The name of a personal site created on a portal site.
N
Back to top
network domain
A group of users in a network who share a common set of shared resources, such as server disk drives and printers. A large network may have several domains based on the needs of each set of users.
NTFS file system
An advanced file system designed for use specifically with Microsoft Windows NT and later operating systems. NTFS allows for stronger security and more flexible file management methods than FAT. See also file allocation table (FAT).
P
Back to top
parallel approval
A type of approval route where a document is routed to multiple approvers at the same time.
personal site
A site, named "My Site," created by an individual on a portal site.
personal view
A view of a list, SharePoint document library, or Web Part Page that is available only to a particular user. The personal view of a Web Part Page uses a combination of shared property values and personalized property values. Changes made to a personal view apply only to the list, library, or page in that view and are therefore visible to that user only.
personalize
To change the layout, view, content, etc. for yourself but not for others.
personalized Web Part
A shared Web Part that has been modified by a user in personal view. The changes made to a personalized Web Part are visible only to the user who made the changes.
private Web Part
A Web Part added to a Web Part Page by a user who is working on the page in personal view. Private Web Parts are available only to the user who added or imported the Web Part.
property weighting
The ability to manipulate the rank of a search result by assigning more importance to particular property values. For example, a file that matches a search term in the title might rank higher than a file that matches the search term only in the text.
Q
Back to top
quiet installation
An installation started with the /q command-line option that runs without generating any user prompts. Also known as unattended installation.
quota
A value that limits the amount of storage or number of users for a Web site.
quota template
A predefined set of quotas to apply to a site or to all sites on a virtual server.
R
Back to top
rank
The relevance of a file to a search query.
rank coercion
The ability to rank a file at the top of search results for a given search query.
remote host
A Web server on a separate server computer. A remote host is connected to other servers by a network connection.
rights
File-level and folder-level permissions that allow access to a Web site.
role
See site group.
S
Back to top
scope
The range and depth of a search on the portal site.
scripting language
A programming language designed specifically for Web site programming. Examples include JScript and Microsoft Visual Basic Scripting Edition (VBScript).
Secure Sockets Layer (SSL)
A proposed open standard that was developed by Netscape Communications for establishing a secure communications channel to prevent the interception of critical information, such as credit card numbers.
serial approval
A type of approval route where a document is routed to one approver after another.
server farm
A central group of network servers maintained by an enterprise or an Internet service provider (ISP). A server farm provides a network with load balancing, scalability, and fault tolerance. In some configurations, multiple servers may appear to users as a single resource.
Setupsts.exe
The setup program for Windows SharePoint Services.
shared services
Portal services that are shared across server farms.
shared view
A view of a list, document library, or Web Part Page that every user with the appropriate permissions on a site can see. The shared view of a Web Part Page uses shared property values. Changes made to a shared view apply to the list, library, or page as it appears to all users.
shared Web Part
A Web Part added to a Web Part Page by a user who is working on the page in shared view. Shared Web Parts are available to all users of a Web Part Page who have the appropriate permissions.
single sign-on
An authentication process that permits a user to enter one name and password to access multiple applications.
site
A group of related Web pages that is hosted by an HTTP server on the World Wide Web or an intranet. The pages in a Web site typically cover one or more topics and are interconnected through links. Most Web sites have a home page as their starting point.
site collection
A set of Web sites on a virtual server that have the same owner and share administration settings. Each site collection contains a top-level Web site and can contain one or more subsites. There can be multiple site collections on each virtual server.
site group
A custom security group that applies to a specific Web site. Users are assigned to site groups to grant them permissions on a SharePoint site.
SMTP mail server
An e-mail server that uses the Simple Mail Transfer Protocol (SMTP). SMTP is a member of the TCP/IP suite of protocols that governs the exchange of electronic mail between message transfer agents.
Spotlight Site
A listing or document selected as the best recommendation in the Site Directory.
SQL Server computer
A computer running Microsoft SQL Server with a configured database.
static Web Part
A Web Part that is added to a Web page (.aspx file) and that is not in a Web Part zone.
subsite
A complete Web site stored in a named subdirectory of the top-level Web site. Each subsite can have administration, authoring, and browsing permissions that are independent from the top-level Web site and other subsites.
survey
A Web site component that presents users with a set of questions specified by the creator of the survey and collects user responses. Results are tallied in a graphical summary. A survey requires a Web server that is running Windows SharePoint Services or SharePoint Portal Server 2003.
T
Back to top
Telnet
A protocol that enables an Internet user to log on to and enter commands on a remote computer linked to the Internet, as if the user were using a text-based terminal directly attached to that computer. Telnet is frequently used to gain remote access to UNIX Web servers.
tool pane
A task pane on a Web Part Page used to browse, search for, and import Web Parts from Web Part galleries, and to modify custom and common Web Part properties.
tool part
A control in the tool pane that allows users to set properties, execute commands, invoke wizards, and manipulate Web Parts on a Web Part Page.
Topic Assistant
A tool used to categorize content into areas automatically.
top-level Web site
The default, top-level site provided by a Web server or virtual server. To gain access to the top-level Web site, you supply the URL of the server without specifying a page name or subsite.
U
Back to top
Uniform Resource Locator (URL)
An address that specifies a protocol (such as HTTP or FTP) and a location of an object, document, World Wide Web page, or other destination on the Internet or an intranet. For example: http://www.microsoft.com/.
usage analysis
Data collected to evaluate how a Web site is being used, such as visitor user names, number of visits to each page, and the types of Web browsers used.
user locale
A setting that determines formats and sort orders for date, time, currency, and so on. Also known as regional settings.
user profile
A collection of properties known about a person within a portal site and related data such as documents the person has written, teams the person belongs to, and links the person has shared.
V
Back to top
vCard
The Internet standard for creating and sharing virtual business cards.
versioning
The process of creating a backup copy of a document or picture whenever a revision is saved to the library.
virtual server
A virtual computer that resides on an HTTP server but appears to the user as a separate HTTP server. Several virtual servers can reside on one computer, each capable of running its own programs and each with individualized access to input and peripheral devices. Each virtual server can have its own domain name and IP address.
Visual Basic Scripting Edition (VBScript)
A subset of the Microsoft Visual Basic for Applications programming language optimized for Web-related programming. As with Microsoft JScript, code for VBScript is embedded in HTML files.
W
Back to top
Web address
The path to an object, document, file, page, or other destination. An address can be a URL (Web address) or a UNC path (network address) and can include a specific location within a file, such as a Word bookmark or an Excel cell range. Also known as address.
Web discussion
Comments that users attach to Web pages and documents. Known as Web discussions to differentiate them from discussion boards. Web discussions require a Web server that is running SharePoint Team Services or Windows SharePoint Services.
Web farm
See server farm.
Web Part
A modular unit of information that consists of a title bar, a frame, and content. Web Parts are the basic building blocks of a Web Part Page. A Web Part is the combination of a Web Part Description (.dwp) file and a Web Part assembly (.dll) file. All Web Parts are based on Web Custom Controls.
Web Part description (.dwp) file
An XML file that defines default property settings for installing a Web Part, including references to any other files required to run and display the part.
Web Part infrastructure
The programming architecture used to work with Web Parts and Web Part Pages.
Web Part Page
A special type of Web page that contains one or more Web Parts. A Web Part Page consolidates data, such as lists and charts, and Web content, such as text and images, into a dynamic information portal built around a common task or special interest.
Web Part zone
A container with a set of properties that can be configured to control the organization and format of Web Parts on a Web Part Page. Web Part zones can also be used to provide protection against changes to Web Parts.
Web server
A computer that hosts Web pages and responds to requests from browsers. URLs for files hosted on a Web server begin with http://. Also known as an HTTP server.
WMSDE
See Microsoft SQL Server 2000 Desktop Engine (Windows).
word breaker
A search technology used to separate text into individual words for implementing search queries.


About Audiences

About Audiences

Audiences allow organizations to target content to users based on their job or task, as defined by their membership in a Windows 2003 security group, distribution list, organizational reporting structure, or the public properties in their user profiles.

You can target content in two ways. You can target Web Parts so that members of different audiences see different Web Parts on a page. By using Web Parts that recognize audience membership, you can also target items or links in an area to one or more audiences, so that only members of those audiences view the targeted items within the Web Parts. For example, in a default area called Human Resources, a site administrator or the manager of that area may choose to add a news item within the News Web Part targeted to all new employees directing them to the New Employee Benefits site.

Audiences are managed centrally across one or more server farms hosting Microsoft Office SharePoint Portal Server 2003. They apply across one or more portals in a deployment, not to individual areas, sites, or items. You must have the "Manage Audiences" right to manage audiences. As an audience manager, you can view all members of a specific audience, as well as manage the rules defining audiences and compile audiences as the rules and members of an audience change.

To use audiences effectively, you must first create an audience and the rules that determine which users are members of that audience. You must then target an item such as a document or news item to one or more audiences. Finally, you need to store the targeted item in an area that uses a Targeted Content Web Part to display items to users of the portal site.

Note Audiences are not used to assign rights and permissions. SharePoint Portal Server uses site groups to assign rights and permissions to users within the portal. Audiences are used to manage how content is distributed, not to enforce security. They push information to a user, not restrict or permit access to information.

Related Topics

Creating and Editing Audiences
Deleting Audiences
Target an Item to an Audience
Show Targeted Items to Portal Users


About areas

About areas

In Microsoft Office SharePoint Portal Server 2003, areas provide a flexible way to both describe and find information on the portal site. Areas define the structure of the portal site as a hierarchy that can be used to intuitively organize and browse the content on the portal site.

Documents, lists, and other items on the portal site and in other Web sites or file shares can be associated with one or more areas by using listings. Users can find information by browsing or searching the relevant areas for those items.

Using areas to navigate the portal site

You can browse areas from links on the navigation bar of the portal site. By default, all top-level areas appear on the navigation bar, although users with the correct permissions can exclude specific areas from portal site navigation. Top-level areas on the navigation bar tend to be broadly relevant to all users. The default top-level areas are Home, Topics, News, and Sites.

Managing areas

Users with the correct permissions can view the entire area structure of the site in the portal site map, available from the Portal Site Content section of the Site Settings page, including areas that have been excluded from portal site navigation. Users with the correct permissions can also add, edit, move, or delete areas to change the view of the portal site for all users.

As a site administrator, you can add a user to the content manager site group. By default, content managers can approve or reject content requests and manage area settings. In addition, as a site administrator or content manager, you can target areas for viewing by one or more audiences.

Creating an effective portal site structure requires planning and some understanding of how others might organize the content. For more information about managing areas, see About managing content in portal areas.

Using areas in search

Areas are also used during search to more accurately return search results for search terms related to various areas. You can scope searches by the current topic or area, or by any area from within the advanced Search Results page. For more information about searching by areas, see About search.

Topics

Topics are a subset of areas used to organize content on the portal site. Topics is also the name of the top-level area that by default contains all the topics. For more information about topics, see About topics.

Topic Assistant

If your portal site contains a large amount of content, dividing it into areas can be a time-consuming task. To simplify the process, SharePoint Portal Server 2003 provides an automated tool called the Topic Assistant. After you have assigned a few representative items to each area, the Topic Assistant compares those sample items to the items that haven't been assigned and then automatically selects the best area matches.

Despite its name, the Topic Assistant is used to automate and simplify the organization of all areas on your portal site, not just topics.

For more information about the Topic Assistant, see Using the Topic Assistant.

Related Topics

Create or delete an area
Move an area
About managing content in portal areas
Manage security settings for an area
About topics


About area templates

About area templates

All pages in the default portal site for Microsoft Office SharePoint Portal Server 2003 refer to and use a template to display content. This template, called an area template, determines the layout and style of the page while leaving control of the content to a broader set of portal site users. For example, as a content manager, when you create a custom template you define the layout and style by using zones and Web Parts on the Web Parts Page. After the template is applied to the area page, content appears through the Web Parts.

By editing the details of an area, you can select a different template to use for the area. You can also create a custom template to use, or choose to share a template with another area page. When you share a template with another area page, only the area properties and content associated with the area differ. The layout and style, including Web Parts, stay the same.

By default, new area pages use a template based on the parent area page. You can also choose to share the existing template for the parent area. To make an area use a different area template, edit the settings of the area.

Related Topics

Change the template an area uses
Edit an area
Change the primary navigation areas


About connected collaboration

About connected collaboration

Microsoft Office SharePoint Portal Server 2003 facilitates easy, connected collaboration across an enterprise organization. It enables people to work together on documents, projects, and tasks and to leverage best practices by using the combined collaboration features of Microsoft SharePoint Products and Technologies. Index and search services, as well as newly introduced people services, allow you to increase efficiency by finding relevant people, teams, sites, and other information.

Finding and organizing sites, people, and other information

Index and search

  • Search SharePoint Portal Server provides a search feature that finds all types of content — people, documents, sites, and other items on the portal site — based on keywords you enter. Search can find content stored in different sources, such as Web sites, file systems, mail servers, and databases. The results can be organized in different ways, such as by site, area, or date. For a more specific search, you can use the advanced search option to search by properties of items, to sort results by factors other than relevance, and to set other advanced search options.
  • Best Bets Best Bets enhance search efficiency and provide guidance to users by directing them to people, sites, documents, or other items considered particularly relevant to their search. SharePoint Portal Server displays Best Bets at the top of a search results list.
  • Site Directory The Site Directory is the easiest way to add content to the portal site for searching. When a user adds a site, they have the option to include its contents in search results. A search administrator can have sites automatically approved for searching or can manage approval for each site. After approval, a site is indexed and its contents appears in search results.
  • Alerts You can ask to be alerted when changes occur to the results for a specific search.

Areas

  • To make it easy for users to navigate, browse, and find what they need, you can divide portal site content into areas. Areas let you organize content — from documents to people to sites — into sets of related information even though the content can be stored in different sources and formats. To control all of the content in an area, the portal site administrator can assign a manager for the area. The manager can then control what content appears in the area and who has access to it.

People services

  • User profiles User profiles allow you to search for and connect with people within your organization based on information they publish about themselves. Index and search services use the profile information to improve search results.
  • My Site My Site is a personal SharePoint site created in the portal site that provides personalized and customized information for you, including content targeted to you based on your membership in a particular audience.
  • Audiences You can target content to a specific audience based on a user's job or task. For example, in an area called Human Resources, a site administrator or the manager of that area can choose to add a news item targeted to all new employees that directs them to the New Employee Benefits site.

Sharing, collaborating, publishing, and managing content

SharePoint Portal Server enables you to easily share information, leverage best practices, and work together with others on documents, projects, and other efforts. Some of the ways you can do that are by:

Creating Web sites based on Microsoft Windows SharePoint Services

Windows SharePoint Services allows you to create a Web site by selecting a template that best suits the project. SharePoint Portal Server includes a diverse collection of templates to meet business needs. You can create sites to facilitate meetings, organization, teams, or projects. By default, each site template features a custom set of collaboration features from Windows SharePoint Services. If you work with external customers or partners, or if you have users who need to access data from outside of your organization's firewall, SharePoint Portal Server allows both internal and external users to view and interact with the same content and data. After the sites are created, SharePoint Portal Server can search these sites the same way it searches other content on the portal.

Managing, publishing, and collaborating on documents

SharePoint Portal Server offers a number of features that make it easy to find, organize, and work together on documents. A document library offers a central place to store documents and track changes, My Site is a personal site where you can add links to documents you work with often, the Topics area lets you organize documents under different topic headings, and Microsoft Windows SharePoint Services Document Workspaces offer a place for collaborating on documents with others.

Related Topics

About index and search services
About Windows SharePoint Services
About personal context
About document management and publishing
About the backward-compatible document library
About areas


About document management and publishing

About document management and publishing

Employees may find large and complex information sources, such as multiple file shares, difficult to organize and use because there is little or no organizational framework in place. The difficulty increases with the addition of information sources such as Web sites, e-mail servers, and databases.

Employees might also have difficulty collaborating with others on documents. Important documents can be lost, overwritten, or hard to find. To help streamline your document development and avoid these common problems, Microsoft Office SharePoint Portal Server 2003 includes a document library.

The document library for the portal site is compatible with the SharePoint Portal Server 2001 document library and is based on a document store. The backward-compatible document library includes the following features:

  • Version tracking to record the history of documents
  • Searchable information to identify a document
  • Document publishing control, including publishing to specific audiences
  • Document approval routing

To make it easier to find, organize, and work together on documents, you can also use the following portal site features:

Topics To make it easier for others to find documents, you can add the documents to relevant subareas in the Topics area.

My Site To make it easier to manage your own documents and other items that you are interested in, the portal site can create a personal site for you. This site, called My Site, makes this information available from one place that you can customize to suit your needs.

Document Workspace sites A Document Workspace site is a Web site based on Microsoft Windows SharePoint Services with features that enable a group to share files, participate in discussions, and work together on a document.

Note SharePoint Portal Server also integrates with the document library features available with Windows SharePoint Services.

Related Topics

About the backward-compatible document library
About My Site
About personal context
About Topics
About Document Workspaces
About index and search services


About editing areas

About editing areas

You can customize the features, layout, and other aspects of the areas in a portal. You can make some of the changes by using the links in Actions, such as the Change Settings link. Other changes, such as modifying the Web Parts on the page, require that you switch to edit mode. In edit mode, the page displays a Modify Shared Page drop-down menu in the upper-right corner. From this menu, you can add Web Parts, modify their properties, and rearrange the parts on the page. By default, the changes you make occur in shared view. You can also choose to customize a personal view of a page that only you can see and customize. After you're finished using the Modify Shared Page menu, you can switch back to regular view by clicking View Page in Actions.

You must be a member of the Administrator, Web Designer, or Content Manager site group to edit an area.

Related Topics

About Web Part Pages
About Web Parts
About grouping content in an area
About security for portal areas


About index and search services

About index and search services

With the powerful index and search services in Microsoft Office SharePoint Portal Server 2003, you can search for people, sites, documents, or other information stored in many different locations and in a variety of formats. SharePoint Portal Server makes searches faster and more successful by using these features:

  • A single location to search for information stored in many different places and in many different formats
  • Keyword searches that find people, sites, documents, images, or other types of information on the portal site
  • Topic areas that make it easy for users who are unfamiliar with other areas of the portal site to find what they need
  • Automatic categorization of content
  • Best Bet tagging for items that are highly relevant to a search
  • Alerts that notify you of search results
  • User profiles that can be searched to find people by title, location, and other details they publish

Whether you are searching for specific information or just want to browse through a group of related items, SharePoint Portal Server makes finding information easy.

Related Topics

About search
About areas
About content indexes
Create, edit, and delete keywords
Manage keywords
About user profiles


About integrated enterprise

About integrated enterprise

Microsoft Office SharePoint Portal Server 2003 provides an architecture that addresses the most demanding performance needs. By using the latest technologies, SharePoint Portal Server provides a centralized, unified interface for enterprise users and highly flexible deployment options.

  • Microsoft .NET enterprise, scalable, distributed architecture SharePoint Portal Server is built on the .NET Framework, which is fast and scalable and uses ASP.NET, common language runtime, Web Forms and Web Part Pages, and a secure infrastructure to deliver better performance and greater integration. Through its flexible deployment options — from single server to server farm configurations — SharePoint Portal Server is designed to have high availability and manageability.
  • Business applications SharePoint Portal Server can present specific applications and customized content based on the user’s functional group and organizational role.
  • Delegated administration The portal site administrator can assign different managers for areas in the portal site. The content manager can then control what content appears in the area and who has access to the area.
  • Single sign-on The single sign-on service is an authentication process that permits a user to enter one name and password to access multiple applications.
  • Index and search services These services help users find people, sites, documents, and other types of information from different sources.
  • Alerts Alerts notify users of updates to relevant information.

Related Topics

About deploying SharePoint Portal Server
About connected collaboration
About index and search services
About single sign-on
About alerts


About grouping and ordering content in an area

About grouping and ordering content in an area

To further organize the content within an area or subarea, you can assign content to different groups. Each group is displayed with a group heading and the content assigned to that group listed under it. There are default group headings called General, Highlights, and Experts that you can assign content to, but you can also create new groups that work best for your organization and content. For example, in the Topics area, under the subarea Resources, you might create groups called Online Training, Classroom Training, and Books. You can specify the order in which groups appear on a page. You can also rename and delete groups.

To group and order content in an area, you must have the edit area right.

Related Topics

Create a listing group
Delete a listing group
Rename a listing group
Change the order of listing groups


About My Site

About My Site

My Site is your personal starting point for viewing and contributing to your organization's intranet through the portal site. It provides a place to save and share your work, a way to find and connect with other people in your organization and see their work, and a way to customize how other people in your organization see your work. To view My Site, click My Site on the navigation bar of the portal site.

Viewing information from My Site

Your personal site has a private view that contains information of interest to you. This view contains content targeted to you based on your membership in a particular audience. For example, if you are a new employee, you might find links to key training resources. From the private view, you can also organize and access your documents, view and manage your alerts and alert results, link to interesting people and information, view your e-mail inbox, and maintain a calendar — all from a single place.

Sharing information from My Site

Your personal site has a public view that contains information that you share with other users. The public properties of your user profile are displayed on this page, along with links and sites that you decide other users might want to see. Your most recent shared documents also appear automatically in the public view of your personal site.

The public view of your personal site is a convenient way for you to manage the way that other people in your organization find you and your work. You can easily update your public profile, provide appropriate shared links, and share documents and other information. You can send a link to your site to other people in your organization.

The public view of your site is not the only place where you can share information with other users. Your personal site also includes all the functionality of Microsoft Windows SharePoint Services sites. You can create document and picture libraries, calendars, surveys, tasks, and other SharePoint lists. You can create other pages on your personal site and provide links to those pages on the public view of your site. Any of the documents you create in your personal site can be shared with other users by adding them to public document libraries.

Finding people from My Site

Just as you share information with other people in your organization through the public view of your personal site, you can also find and connect with other people through the public views of their personal sites.

When a user name appears in the portal site, you can click the name to view the public view of that person's personal site. Everything that a person chooses to share is available for you to see. You can see a person's shared links to sites, people, and documents that might help you to get your work done. You can also see what information you have in common.

Customizing personal site information

Depending upon the rights granted to you by the site administrator, you can customize your personal site information by adding and removing Web Parts, changing the layout and appearance of Web Parts on the private view of your personal site, and add links to the action pane to certain kinds of information.

Site administrators can determine the level of personalization to allow users to have on My Site. They can define the number and scope of Web Parts to allow users to add to their pages and to what extent users can add or remove those Web Parts. They can modify the shared view of My Site to customize the default appearance of personal sites. If they have the Manage Audiences right, they can also target content to users based on membership in a specific audience.

Related Topics

Modify pages on My Site
Use My Site
About user profiles
About alerts
About personal context


About personal context

About personal context

Microsoft Office SharePoint Portal Server 2003 creates a portal site that remembers who you are and what information you care about and work with. Based on Web Part Pages technology, SharePoint Portal Server delivers customization and personalization that is flexible, secure, and reliable. SharePoint Portal Server provides a rich set of features focused on ensuring that users have easy access to relevant information from a variety of entry points.

  • Web Part Pages and Web Parts SharePoint Portal Server provides site managers with a flexible policy for personalization and customization. Site managers can customize the portal site to users based on specific criteria. Portal site users can personalize the site to facilitate collaboration or to provide custom views of their projects, including by using Web sites based on Microsoft Windows SharePoint Services to facilitate team collaboration.
  • Audiences SharePoint Portal Server allows you to target content to people according to their membership in a particular audience. By default, SharePoint Portal Server includes an audience called "All portal users." In addition to this audience, you can create other audiences, such as by department or security group. These audiences can span one or more portal sites in a deployment. After you create audiences, you can target content in the portal site for viewing by one or more specific audiences. By default, you can display targeted content on the home page and on My Site.
  • User profiles User profiles allow you to search for and connect with people within your organization based on information people publish about themselves. Index and search services use the profile information to improve search results. You can import user profile information directly from Microsoft Active Directory directory service or enter it manually. You can also customize the default user profile page by adding properties according to the needs of your organization or to map to Active Directory data, such as Territory or Geography.
  • My Site My Site is a personal SharePoint site created in the portal site that provides personalized and customized information for you, including content targeted to you based on your membership in a particular audience. User profile information is used to generate personal sites.
  • Alerts SharePoint Portal Server can alert you about new or updated information on topics that match your interests. You can choose to be alerted to content you find useful, such as documents, news or other areas, or a set of search results. After you create an alert, SharePoint Portal Server notifies you when content is modified or new content matching your criteria is available. In the case of documents, alerts can notify you when Web discussion comments are added. You can view your alerts and alert results directly from My Site. You can also choose to receive alert results by e-mail.

Related Topics

About Web Part Pages
About audiences
About user profiles
About alerts
About My Site


About portal site management

About portal site management

Microsoft Office SharePoint Portal Server 2003 provides a centralized location, called Site Settings, for managing all settings for an individual portal site. You can manage users, content, and other aspects of the site by clicking Site Settings on the title bar.

On this page, you can find, for example, general portal site settings, such as branding, site title, and description. You can specify supporting servers for hosting personal sites and other sites based on Microsoft Windows SharePoint Services, and you can manage security and change portal site navigation by adding, removing, or changing the area structure.

In addition, unless your site is participating in a shared services deployment, you can manage user profiles and audiences as well as index and search services relating directly to the site. By using the link to the Central Administration page, you can manage settings related to the server or server farm hosting the site.

Note To access this page, you must be a member of the Microsoft Windows NT SharePoint Administration security group or a member of the local administrators group.

Related Topics

About the portal site
About security for portal areas


About site group security in SharePoint Portal Server

About site group security in SharePoint Portal Server

After you create a portal site, you can give users access to it by assigning them to site groups. You can use site groups to help control general access to the portal site and to help control access to specific areas in the portal site. The following default site groups are available in Microsoft Office SharePoint Portal Server 2003: Reader, Contributor, Web Designer, Administrator, Content Manager, and Member. Each site group possesses corresponding rights. Rights are actions that users can perform, such as managing all settings and content in an area. You can edit the rights assigned to a site group, create a new site group, or delete an unused site group. A user who is not assigned to a site group won't be able to access the portal site.

However, users that have the view area right for one or more areas can view listings by typing in the URL for each area.

Related Topics

Security planning
About security for portal areas
About security in the backward-compatible document library
Manage security settings for an area
Give users access to the portal
About Windows SharePoint Services


About search

About search

You can search for people, documents, or other items on the portal site by typing words in the search box located under the navigation bar.

After you type words into the search box and click the search button with the green arrow, a list of search results appears. These search results can be organized into different views:

  • By Site Items are organized under headings by the site in which they appear, and are then sorted by relevance.
  • Simple List Items are not organized into groups, and are sorted by relevance.
  • By Author Items are organized in groups under headings by author with the most relevant author groups first, and then sorted by relevance.
  • By Date Items are organized under headings by the date on which they were last modified, and then sorted by relevance.
  • By Area Items are organized under area headings, and then sorted by relevance.

You can collapse groups of items so that only the headings of the groups appear.

From the search results page, you can add a specific search to the My Links section of your personalized My Site. You can also ask to be alerted when changes occur to the results for a specific search.

For more control over search results, you can switch to advanced search from the search results page or by clicking the magnifying glass icon next to the search box on any page. You can use advanced search to search by properties of items, sort results by factors other than relevance, and set other advanced search options.

Note Your search results contain only those items for which you have the appropriate rights. If you do not have rights to read an item, that item does not appear in search results.

Related Topics

Use simple search
Use advanced search
About alerts
About My Site


About security for portal areas

About security for portal areas

Security for portal areas helps control who has access to an area and what rights they have based on their membership in a site group. You can customize security for each area in the portal by adding, editing, or removing users or site groups.

Security settings on a parent area will be applied automatically to all of its subareas. However, if you customize the security on a subarea, the subarea will no longer inherit changes made to the parent area.

Related Topics

Configuring portal site security
About site group security in SharePoint Portal Server
About security in the backward-compatible document library


About SharePoint sites

About SharePoint sites

Microsoft Office SharePoint Portal Server 2003 offers a variety of site templates based on Microsoft SharePoint Products and Technologies and integration with Microsoft Office 2003. You can use these templates to create Web sites that take advantage of different sets of features, allowing you to facilitate end-to-end collaboration across your organization.

By default, SharePoint Portal Server includes the following sites:

  • Portal sites Find, centralize, and categorize Web-based SharePoint sites from across the enterprise and integrate information from various systems into one solution.
  • Team sites Create team sites to facilitate team collaboration on projects and other efforts.
  • Meeting Workspace sites Help meeting organizers plan meetings, share information with other attendees, track tasks, and more.
  • Document Workspace sites Facilitate ad-hoc collaboration among Office users by providing a central location to share and work on documents, to track document status, and to take advantage of Office integration with Microsoft Windows SharePoint Services.
  • Personal sites Provide personalized and customized information for you. On this site, called My Site, you will find content targeted to you based on membership in a particular audience. In addition, My Site provides quick access to things you need to do your work. This may include links to documents, people, or Web sites as well as personal alerts that you create to track changes to content within the portal and your organization. From My Site, you can also update your public profile and share collections of links with other portal users.

In addition to these sites, you can create custom Web sites by using a Web page editor compatible with Windows SharePoint Services such as Microsoft Office FrontPage 2003.

Note You must be a member of the SharePoint administrators security group to create additional portal sites.

Related Topics

Create a portal site
Create a site
About Windows SharePoint Services
About My Site


About single sign-on

About single sign-on

Single sign-on allows you to store and map account credentials. This prevents users from having to sign on again when portal-based applications retrieve information from business applications, such as third-party enterprise resource planning and customer relations management (CRM) systems.

Note To configure single sign-on, you must be a member of the local administrators group on the job server. You must also be a member of the account that you specify as the account for single sign-on. For other important permission requirements and considerations, see Help about specifying settings for single sign-on and application definitions.

By using single sign-on, you can centralize information from multiple back-end applications through a single portal that uses application definitions. By using application definitions, you can minimize and automate the sign-on process to these applications in a more secure environment. In addition, Microsoft Office SharePoint Portal Server 2003 provides an easy interface for developers to create and extend this feature.

To implement single sign-on, you must complete the following tasks:

  1. Configure the single sign-on service.
  2. Create an encryption key.
  3. Add a new application definition.
  4. Configure account credentials.

Related Topics

Specifying settings for single sign-on and application definitions
Using single sign-on and application definitions
Editing an application definition


About News

About News

Microsoft Office SharePoint Portal Server 2003 enables you to highlight information important to portal site users by adding listings to the News area. A news listing can be either text-based content or a link to an existing news item, such as an article on a news service.

In addition to the default news that appears on the home page, the News area of the portal site includes detailed views of news listings and a list of subareas. If you are a member of the Content Manager site group, you can vary the display of news listings — from headlines to summaries to expanded views — by modifying the properties of the Web Part.

News listings can be organized into subareas. You can also target news listings to specific audiences. When you target a news listing to a particular audience it appears in the News for You section of an audience member's personal site.

To make managing news listings easier, you can specify start and end dates for content display and automatically mark expired news listings for archiving at the end of their publishing dates.

To add, edit, and delete news listings, you must have the add items, edit items, and delete items rights.

Related Topics

Target an item to an audience
About areas


placeholder

placeholder
©2003 Microsoft Corporation. All rights reserved.


About the portal site

About the portal site

The portal site offers a centralized access point for finding and managing information. You can use a Web browser with the portal site to perform tasks and search the portal. The portal site provides access to information stored inside and outside your organization, allowing users to find people, sites, documents, and other content regardless of location or format. It also facilitates people working together on documents, projects, and other efforts by using the combined collaboration features of Microsoft SharePoint Products and Technologies.

You can customize the home page of the portal site to display organizational news and other important information. From the portal site, users can perform tasks such as:

  • Searching for information stored in many different places and in many different formats
  • Browsing through content by areas, which divide content into sets of related information so it's easier for users to find what they want
  • Creating a personal site, called My Site, that provides a personal view of the portal information that's relevant to the user and that lets the user share information with others in the organization
  • Asking to be alerted to new or changing information, such as new matches to a search query, changes to content in an area, or a new site added to the Site Directory
  • Creating or linking to Web sites, including those based on Microsoft Windows SharePoint Services, with collaboration features that let you facilitate projects, document development, and meeting organization

The portal site uses Web Part Page technology to organize and display information. A Web Part Page consists of reusable, customizable Web Parts such as Search, News, and Announcements. You can easily add or remove Web Parts to customize the portal site for your organization.

Related Topics

About SharePoint Portal Server
About deploying SharePoint Portal Server
About index and search services
About connected collaboration
About My Site
About document management and publishing
About Web Part Pages
About areas


About the portal site map

About the portal site map

The portal site map is a view of all the portal content areas and the structure for navigating them — from Home at the top level to all the areas and subareas under it. From the site map, you can change the navigation on the portal site by creating areas or by dragging existing areas and items to other locations. To see content according to different criteria, you can filter the content. You can also create a view that shows just the content you want to see, organized the way you want.

Related Topics

About managing content in portal areas
About areas
Create or delete areas
Move an area


About the Site Directory

About the Site Directory

The Site Directory provides a central location from which to view and access all Web sites associated with a specific portal site. You can also create sites based on Microsoft Windows SharePoint Services or add more links to existing sites. To organize and display the sites in meaningful ways, you can create views that sort, filter, and group the sites. For example, you can view just the sites that are from the Sales division by creating a view that displays sites that contain the value Sales in the Division column.

The Site Directory is also the easiest way to add content to the portal site for searching. When users add sites, they have the option to include the sites' contents in search results. As a member of the Administrator site group, you can set up the Site Directory to automatically approve sites for searching or to require approval for each site. After approval, a site is added to the index and its contents appears in search results.

The Site Directory includes other features, too. By default, Microsoft Office SharePoint Portal Server 2003 provides a list of recently viewed sites. As a member of the Administrator site group, you can highlight sites by using the Spotlight Web Part. As a portal user, you can choose to be alerted to changes to the Site Directory by clicking Alert Me.

To create a link to a site, you must have the Add Items right. To view site links and approve and reject sites, you must have the Manage Category right.

Related Topics

Add link to existing site
About the portal site
About portal site management


About Tools for Troubleshooting

About Tools for Troubleshooting

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


About Topics

About Topics

Topics are a subset of areas used to organize content on the portal site. Topics can also refer to subareas under all top-level areas except the default areas Home, News, and Sites. Topics is also the name of the top-level area that by default contains all of the topics.

As with the other default top-level areas, the Topics top-level area appears on the navigation bar of the home page of the portal site. The Topics top-level area can be removed from view on the navigation bar, and can be deleted. Areas within the Topics top-level area behave like other areas and are managed the same way.

The Topics top-level area can be seen as a default example of an area hierarchy that includes areas that most customers who implement a portal site will find useful. Those areas may not fall into the other default top-level areas of the portal site. Topics often contain highlights of other areas or frequently used content. They tend to be more narrow than other areas, often limited to a single subject. However, as with any area, you can add listings to more than one topic area, if appropriate.

If users don't know which main area on the home page to browse for the information they need, they can go to Topics to see information organized under different topic areas. The Topics area is also a good place for subject matter experts to use when they want to organize and publish information about a particular subject. Like other areas, topics can contain lists, discussion boards, document libraries, and other features that enable people to work together.

You must be a member of the Administrator, Web Designer, or Content Manager site group to add, edit, or delete a topic.

The Topic Assistant for Microsoft Office SharePoint Portal Server 2003 is used to automate and simplify the organization of all areas on your portal site, not just topics. For more information about the Topic Assistant, see About areas and Using the Topic Assistant.

Related Topics

Using the Topic Assistant
Create or delete an area
About areas


About User Profiles

About User Profiles

User profiles enable you to search for and connect with people within your organization. User profile information is also used to generate a personal site in the portal for individual users. Users can personalize their view of this site, called My Site. In addition, user profile information is used by index and search services to provide better search results, and is used in targeting content to audiences. You can import user profile information directly from Microsoft Active Directory directory service or enter it manually. You can also customize the properties of the user profile according to the needs of your organization or to map to Active Directory properties.

As a portal user, you can view and change your own user profile from My Site, a default area in the portal that provides personalized information for you. You can view your own profile by using either the personal view or the public view. The personal view contains private information that is viewable only by you and portal users with the Manage Profiles right.

The public view of the user profile is visible to all other users when they click your name in the portal. You can view the public user profile of any portal user by clicking the name of the user. For example, when viewing search results, you can click the author name to view the public user profile for the author.

Related Topics

Importing User Profiles
Adding and Editing User Profiles
Adding and Editing User Profile Properties
About Personal Context
About My Site


About constants in formulas

About constants in formulas

A constant is a value that is not calculated. For example, the date 10/9/2008, the number 210, and the text "Quarterly Earnings" are all constants. Constants can be of the following data types:

  • String (Example: =[Last Name] = "Smith")

    String constants are enclosed in double quotes and can be up to 255 characters.

  • Number (Example: =[Cost] >= 29.99)

    Numeric constants can include decimal places, and can be positive or negative.

  • Date (Example: =[Date] <> 7/7/2002)

    Date constants do not require delimiters.

  • Boolean (Example: =IF([Cost]>[Revenue], "Loss", "No Loss")

    Yes and No are Boolean constants. You can use them in conditional expressions. In the above example, if Cost is greater than Revenue, the IF function returns Yes, and the formula returns the string "Loss". If Cost is equal to or less than Revenue, the function returns No, and formula returns the string "No Loss".


Placeholder

Placeholder
©2003 Microsoft Corporation. All rights reserved.


Add a listing

Add a listing
  1. In the Actions list, click Add Listing.
  2. In the Title and Description section, type a title and description for the listing.
  3. To specify a source for the listing content, do one of the following:

    Link to existing content

    1. Click Existing listing.
    2. In the Address box, type the Web address or path where the content is located.

    Provide text for this listing

    1. Click Add a listing by entering text.
    2. Click Open Text Editor.

      The Text Editor page appears.

    3. Type the text to display for this listing.
    4. Click OK to save these changes and close the text editor.
  4. In the Group section, select a group from the list to assign the listing to a group.

    Note For example, you can identify this listing as a Highlight for an area by selecting the Highlight group.

  5. In the Image section, enter the address for a graphics file you want to display with this listing.
  6. In the Location section, click Change location to display the listing in a different portal area or to select additional areas for the listing.

    How?

    1. On the Change Location page, select one or more areas in which to display this listing and clear any that you do not want.
    2. Click OK.

    Note You can see the default location of the listing under Default location.

  7. In the Audience section, you can target this listing to users based on their job or task.

    How?

    1. Click the audience you want from the Available audiences list, and then click Add.

      Note If the list of available audiences is long, you can type the audience name into the Find text box to go directly to the audience in the list.

    2. Click OK.
  8. Click OK.

Notes

  • This listing may require approval from a content manager before it is displayed on the portal site. If a listing requires approval, it will appear in a list of pending items for the content manager.
  • Additional settings, such as approval status and publishing dates, are available when you edit the settings for a listing.

Related Topics

Move a listing
Edit listing settings
About grouping and ordering content in an area
About audiences


Add a link to an existing site

Add a link to an existing site
  1. Click Sites on the primary navigation bar.
  2. In the Actions list, click Add Link to Site.
  3. On the Add Link to Site page, in the Add site to portal section, type the title of the Web site in the Title box.
  4. Type the URL of the Web site in the URL box. For example, type http://Web_address/directory/ or \\server\directory.
  5. In the Include in Search section, select Include content from this site in search results to make this Web site available for index and search services.
  6. Click OK.


Add a link to a site

Add a link to a site

The Site Directory contains links to all the sites created by using Microsoft Office SharePoint Portal Server 2003. Those links are added when the sites are created. In the Site Directory, you can also add links to existing sites.

  1. On the navigation bar, click Sites to go to the Site Directory.
  2. In the Site Directory, in the Actions list, click Add Link to Site.
  3. On the Add Link to Site page, in the Site Link section, type a title and URL for the site.
  4. You can also type a description and owner for the site, or mark the site as a Spotlight Site by selecting the Spotlight Site check box.

    Note You might be able to enter other properties in the Site Link section, depending on how the Site Directory is configured. Enter as much information as you can for these other properties. For more information, see Use views in the Site Directory.

  5. In the Search Results section, select the Include in search results check box if you want this site to appear in search results.
  6. In the Areas section, click Change Location to display the listing in a different portal area or to select additional areas for the listing.

    How?

    1. On the Change Location page, select one or more areas in which to display this listing and clear any that you do not want.
    2. Click OK.
  7. Click OK.

Related Topics

About the Site Directory
Manage sites
Use views in the Site Directory
Search the Site Directory
Create a site


Add a list or library to an area

Add a list or library to an area

You can easily add any existing list or library to an area page by using the Add Web Parts pane.

Create a list or library

  1. On the page that displays the area, in the Actions list, click Manage Content.
  2. On the Documents and Lists page, click Create.
  3. On the Create Page, select the type of list or library you want to create and customize it as necessary.

Add a list or library to an area page

  1. In the Actions list, click Edit Page.
  2. At the top of the page, click Modify Shared Page to modify the shared view.

    Note The text for the link at the top of the page changes depending upon whether you are looking at the shared view or the personal view.

  3. Click Add Web Parts and then click Browse.
  4. Select a gallery and browse through the available Web Parts to find the list or library you want to add.

    Note To display available Web Parts by type, use the drop-down list in the Web Part List pane.

  5. In the Web Parts List pane, click the library Web Part that you want to add, and drag it onto the page.
  6. To close the Add Web Parts pane, click the X in the upper right corner of the pane.
  7. In the Actions list, click View Page to see the results.

Related Topics

Create or customize lists, libraries, and pages
Add or remove Web Parts from a page
Change the template an area uses


Add an alert for content on the portal site

Add an alert for content on the portal site

Complete the steps in the sections below to add alerts for any type of content on the portal site.

Note You can quickly add an alert for content you find. In the Actions list, click Alert Me and then click OK to accept the default settings. You can modify the settings for the alert at a later time.

Add an area alert

You can add an alert for an area in the portal site, such as a topic area. An area page is any area of the portal site other than the home page.

  1. Go to a page that displays a portal area.
  2. In the Actions list, click Alert Me.
  3. In the Title section, you can specify a title or accept the default title.
  4. In the Delivery Options section, specify how you want to receive alert results. If you click E-mail address, specify how often you want to be notified of changes.
  5. Click Advanced options to view additional settings.
  6. In the Alert Results section, specify whether you want to be notified when items have been discovered or changed.

    Note By default, this alert informs you when area listings, lists, and list items are discovered or changed.

  7. In the Filter section, you can specify keywords to refine your alert results. Adding filters to your alert limits results to omit items that do not match the restriction you specify and reduces the number of results generated.

    Note Separate words or phrases with a comma.

  8. Click OK.

Add a search alert

  1. Search for people, documents, or other information on the portal site and view the search results.
  2. In the Actions list, click Alert Me.
  3. In the Title section, you can specify a title or accept the default title.
  4. In the Delivery Options section, specify how you want to receive alert results. If you click E-mail address, specify how often you want to be notified of changes.
  5. Click Advanced options to view additional settings.
  6. In the Alert Results section, specify the types of changes you wanted to be alerted to.

    Note By default, this alert informs you when new search results are discovered or items have changed.

  7. In the Filter section, you can specify keywords to refine your alert results. Adding filters to your alert limits results to omit items that do not match the restriction you specify and reduces the number of results generated.

    Note Separate words or phrases with a comma.

  8. Click OK.

Add a Site Directory alert

  1. On the primary navigation bar, click Sites.
  2. In the Actions list, click Alert Me.
  3. In the Title section, you can specify a title or accept the default title.
  4. In the Delivery Options section, specify how you want to receive alert results. If you click E-mail address, specify how often you want to be notified of changes.
  5. Click Advanced options to view additional settings.
  6. In the Alert Results section, specify the types of changes you wanted to be alerted to.

    Note By default, this alert informs you when new sites are discovered.

  7. In the Filter section, you can specify keywords to refine your alert results. Adding filters to your alert limits results to omit items that do not match the restriction you specify and reduces the number of results generated.

    Note Separate words or phrases with a comma.

  8. Click OK.

Add a user alert

  1. Go to the user profile page for a person.
  2. In the Actions list, click Alert Me.
  3. In the Title section, you can specify a title or accept the default title.
  4. In the Delivery Options section, specify how you want to receive alert results. If you click E-mail address, specify how often you want to be notified of changes.
  5. Click Advanced options to view additional settings.
  6. In the Alert Results section, specify the types of changes you wanted to be alerted to.

    Note By default, this alert informs you when the user's profile is updated, when the content of the user's personal site changes, or when a document written or changed by the user is discovered or changed.

  7. In the Filter section, you can specify keywords to refine your alert results. Adding filters to your alert limits results to omit items that do not match the restriction you specify and reduces the number of results generated.

    Note Separate words or phrases with a comma.

  8. Click OK.

Add a list alert

  1. View a list on the portal site.
  2. In the Actions list, click Alert Me.
  3. In the Title section, you can specify a title or accept the default title.
  4. In the Delivery Options section, specify how you want to receive alert results. If you click E-mail address, specify how often you want to be notified of changes.
  5. Click Advanced options to view additional settings.
  6. In the Alert Results section, specify the types of changes you wanted to be alerted to.

    Note By default, this alert informs you when items in this list are discovered or changed.

  7. In the Filter section, you can specify keywords to refine your alert results. Adding filters to your alert limits results to omit items that do not match the restriction you specify and reduces the number of results generated.

    Note Separate words or phrases with a comma.

  8. Click OK.

Add a list item alert

  1. View the list that contains the item.
  2. Rest the pointer on the list item or file, click the arrow that appears, and then click Alert Me on the menu that appears.
  3. In the Title section, you can specify a title or accept the default title.
  4. In the Delivery Options section, specify how you want to receive alert results. If you click E-mail address, specify how often you want to be notified of changes.
  5. Click Advanced options to view additional settings.
  6. In the Alert Results section, specify the types of changes you wanted to be alerted to.

    Note By default, this alert informs you when this item changes.

  7. In the Filter section, you can specify keywords to refine your alert results. Adding filters to your alert limits results to omit items that do not match the restriction you specify and reduces the number of results generated.

    Note Separate words or phrases with a comma.

  8. Click OK.

Add a folder alert

  1. In the Actions list, click Manage Content.
  2. On the Documents and Lists page, click a document library, and then click a folder within the document library.
  3. In the Actions list, click Alert Me.
  4. In the Title section, you can specify a title or accept the default title.
  5. In the Delivery Options section, specify how you want to receive alert results. If you click E-mail address, specify how often you want to be notified of changes.
  6. Click Advanced options to view additional settings.
  7. In the Alert Results section, specify the types of changes you wanted to be alerted to.

    Note By default, this alert will tell you when documents are discovered or changed in this folder.

  8. In the Filter section, you can specify keywords to refine your alert results. Adding filters to your alert limits results to omit items that do not match the restriction you specify and reduces the number of results generated.

    Note Separate words or phrases with a comma.

  9. Click OK.

Add a document alert

  1. Go to the folder, document library, or search results page that displays a link to the document.
  2. Rest the pointer on the item, click the arrow that appears, and then click Alert Me on the menu that appears.
  3. In the Title section, you can specify a title or accept the default title.
  4. In the Delivery Options section, specify how you want to receive alert results. If you click E-mail address, specify how often you want to be notified of changes.
  5. Click Advanced options to view additional settings.
  6. In the Alert Results section, specify the types of changes you wanted to be alerted to.

    Note By default, this alert will tell you when the document or listing changes.

  7. In the Filter section, you can specify keywords to refine your alert results. Adding filters to your alert limits results to omit items that do not match the restriction you specify and reduces the number of results generated.

    Note Separate words or phrases with a comma.

  8. Click OK.

Related Topics

About alerts
View and manage My Alerts
Delete an alert
Delete alert results


Add or edit a news listing

Add or edit a news listing

Microsoft Office SharePoint Portal Server 2003 enables you to highlight information important to portal users by adding listings to the News area. A news listing can be either text-based content or a link to an existing news item, such as an article on a news service. To make managing news listings easier, you can specify start and end dates for content display and automatically mark expired news listings for archiving at the end of the publishing dates.

Add a news listing

  1. Go to a News page on the portal.

    Note To determine if you are on a News page, check the Actions list. Add News appears as a possible action.

  2. In the Actions list, click Add News.
  3. In the Title and Description section, type a title and description for the news listing.
  4. To specify a source for the news content, do one of the following:

    Link to existing content

    1. Click Link to existing listing.
    2. In the Address box, type the Web address or path where the content is located.

    Provide text for this listing

    1. Click Add a news listing by entering text.
    2. Click Open Text Editor. The Text Editor window appears.
    3. Type the text to display for this listing.
    4. Click OK to save these changes and close the text editor.
  5. In the Dates section, you can specify start and end dates to display this listing.
    • To specify a start date for this listing, type the date you want this listing to appear on the portal site in the Start date box. The default date is today's date.
    • To specify an end date for this listing, type the date you no longer want this listing to appear on the portal site in the Expiration date box. You can leave this blank to display the listing indefinitely.
  6. In the Group section, select a group from the list to assign the listing to a group.

    For example, you can identify this listing as a Highlight for the News area by selecting the Highlight group.

  7. In the Image section, type the address for a graphics file you want to appear with this listing.

    Note This image appears next to the listing on News pages.

  8. In the Location section, click Change location to display the listing in a different portal area or to select additional areas for the listing.

    How?

    1. On the Change Location page, select one or more areas in which to display this listing and clear any that you do not want.
    2. Click OK.

    Note You can see the default location of the listing under Default location.

  9. In the Audience section, you can target this listing to users based on their job or task.

    Note Members of the audience you select will see this listing on their personal site.

    How?

    1. Click the audience you want from the Available audiences list, and then click Add.

      Note If the list of available audiences is long, you can type the audience name into the Find text box to go directly to the audience in the list.

    2. Click OK.
  10. Click OK.

Edit a news listing

  1. Locate the news listing you want to edit.
  2. On the page for the news listing, in the Actions list, click Edit News Listing.

  3. Click the General tab and change settings as necessary.

    1. In the Title and Description section, type a title and description for the listing.
    2. In the Content section, do one of the following:
      • If this listing is linked to existing content, type the new Web address or path where the content is located.
      • If this listing is composed of text, click Open Text Editor and change the text.
    3. In the Location section, click Change location to display the listing in a different portal area.

      How?

      1. On the Change Location page, select an area in which to display this listing.
      2. Click OK.

      Note You can see the current location of the news listing under Default location.

    4. In the Related Items section, you will see a list of portal listings that point to this content. If you want to edit the settings for those listings, click the link to go to the listing.

  4. Click the Publishing tab and change settings as necessary.

    1. In the Publishing Dates section, you can specify start and end dates to display this listing.
      • To specify a start date for this listing, type the date you want this listing to appear on the portal site in the Start date box. The default date is today's date.
      • To specify an end date for this listing, type the date you no longer want this listing to appear on the portal site in the Expiration date box. You can leave this blank to display the listing indefinitely.
    2. In the Approval Status section, do one of the following:
      • Click Pending - Hold for later approval to add this listing but not display it. This listing will be hidden until the status is changed to Approved.
      • Click Approve - Display in area to display this listing.
      • Click Reject - Do not display in area to prevent this listing from appearing.
      • Click Archive - Mark for archiving to prevent this listing from appearing and mark it for later archiving.

  5. Click the Display tab and change settings as necessary.

    1. In the Group section, select a group from the list to assign the listing to a group.

      Note For example, you can identify this listing as a Highlight for an area by selecting the Highlight group.

    2. In the Image section, enter the address for a graphics file you want to appear with this listing. The image may appear in the details of this news listing, while the icons may appear next to links to the news listing.
    3. In the Audience section, you can target this listing to users based on their job or task.

      Note Members of the audience you select will see this listing on their personal site.

      How?

      1. Click the audience you want from the Available audiences list, and then click Add.

        Note If the list of available audiences is long, you can type the audience name into the Find text box to go directly to the audience in the list.

      2. Click OK.

  6. Click the Search tab and change settings as necessary.

    • Specify whether to include this listing in search results.

      Note If you click No, the listing will still appear in the areas you selected.

  7. Click OK.

Related Topics

Target an item to an audience
About Audiences
About grouping and ordering content in an area
About News


Add or remove Web Parts from a page

Add or remove Web Parts from a page

To customize the appearance of the portal site, you can add or remove Web Parts from a page.

To add or remove Web Parts from a page, you must be a member of the Administrator site group on the portal site. You can add or remove Web Parts only from some pages. You can add or remove Web Parts for the Home, News, Topics, and My Site pages. You cannot edit any of the pages in Site Settings or SharePoint Portal Server central administration, because these pages do not use Web Parts. The Sites page uses Web Parts, but can be modified only by using Web page editing tools.

You can add or remove Web Parts from the shared view, or from your personal view:

  • To see the shared view of a Web Part Page, click Modify My Page at the top of the page, and then click Shared View.
  • To see the personal view of a Web Part Page, click Modify Shared Page at the top of the page, and then click Personal View.

After adding a Web Part, you can target the Web Part to an audience and make other changes by editing the Web Part Page. For more information, see Modify shared Web Parts.

Add Web Parts

  1. On the page that you want to edit, click Edit Page in the Actions list.
  2. At the top of the page in the shared view, click Modify Shared Page to modify the shared view.

    To add Web Parts to your personal view without affecting the view of other users, click Modify My Page from the personal view.

    Note The text for the link at the top of the page changes depending upon whether you are looking at the shared view or the personal view.

  3. Point to Add Web Parts.
  4. To add a Web Part from an existing Web Part library, click Browse.

    The page opens in design mode, and the Add Web Parts pane appears.

  5. In the Add Web Parts pane, click the library you want to browse.
  6. In the Web Part List, find the Web Part you want. Click Next to view more Web Parts.
  7. To find the Web Part you want without browsing through all of the Web Part libraries, click Search after pointing to Add Web Parts.
  8. In the Search text box that appears in the Add Web Parts pane, type a word describing the Web Part for which you are looking, and then click Go.

    A list of Web Parts matching the search appears in the Add Web Parts pane.

    Tips

    • If the Web Part you want is not in a library, you can import a Web Part by clicking Import after pointing to Add Web Parts.

      In the text box that appears, type or browse to the location of a .dwp file you want to import as a new Web Part, and then click Upload.

      The Web Part is added to the currently selected Web Part library.

    • To switch between Browse, Search, and Import views of the Add Web Parts pane, click the current view just under the title of the pane, and then click the view that you want.

  9. From the available Web Parts, click the one you want to add.
  10. Click the zone to which you want to add the Web Part, and then click Add.

    You can also drag the Web Part to the desired location on the page.

  11. To close the Add Web Parts pane, click the X in the upper-right corner of the pane.

Remove Web Parts

You can remove a Web Part from a page at any time. Removing a Web Part from a page does not delete the Web Part. It is still available for use on other pages from the Web Part library.
  1. On the page that you want to edit, click Edit Page in the Actions list.
  2. Rest the pointer over the title of the Web Part you want to remove, and then click the arrow that appears.
  3. Click Close on the menu that appears.

Related Topics

Modify pages on My Site
Modify shared Web Parts
Change page layout


Add a listing for a person

Add a listing for a person

From any area page, you can add a listing for a person in a portal area. An area page is any area of the portal site other than the home page. For example, you could add listings to identify people as experts with special skills or contacts for project groups.

  1. In the Actions list, click Add Person.
  2. In the Name and Description section, click Select person, and choose someone from the list.
  3. Enter a description for the person.
  4. In the Group section, select a listing group.

    Note Listing groups are used to organize listings in an area. By default, this listing is added to the Expert group.

  5. In the Location section, click Change location to move this listing to another area or to select an additional area of the portal site.

    How?

    1. On the Change Location page, select one or more areas in which to display this listing and clear any that you do not want.
    2. Click OK.

    Note You can see the default location of the listing under Default location.

  6. In the Audience section, you can target this listing to users based on their job or task.

    How?

    • Click the audience you want from the Available audiences list, and then click Add.

      Note If the list of available audiences is long, you can type the audience name into the Find text box to go directly to the audience in the list.

  7. Click OK.

Note To quickly add a person, you can click Select person, choose someone, and then click OK. Settings for this listing can be edited at a later time.

Related Topics

About grouping and ordering content in an area
Add a listing group


Add a user or group to an area

Add a user or group to an area

From an area page, members of the Content Manager site group for the area add a user or group and assign specific rights for the area. An area page is any area of the portal site other than the home page.

Important Adding users or groups to a specific area will break the inheritance of security settings. Area permissions are inherited from the parent area. If you add users or groups, this area will no longer inherit permissions from the parent area.

  1. In the Actions list, click Manage Security.
  2. On the Manage Security Settings for Area "Name" page, click New User.
  3. Type the name of the user or group you want to add.

    or

    Click Select users and groups to choose one or more users or groups from a list.

    How?

    1. In the Find by box, select the method to search for the user. You can search by name or alias for a user or group. You can also select built-in accounts directly without searching.
    2. In the Starts with box, enter the first few letters of the name or e-mail alias.
    3. From the list of results, click a user or group, and then click Add.

      Note You can select more than one user or group on this page.

    4. Click OK.
  4. In the Rights section, select the set of rights you want to assign to the users and groups you specified.

    Note To see the full list of rights, click Advanced rights and select the individual rights you want.

  5. Click OK.

Note Site groups are a convenient way to assign a list of rights to a group of portal site users. If you do not need to specify a unique set of rights, you may want to consider adding a user or group to a site group that has similar rights for this area.

Related Topics

Manage security settings for an area
Edit site group permissions
Create a site group
About site group security in SharePoint Portal Server
Manage users and cross-site groups


Remove

Remove

Removes a user or group.


Role

Role

Specifies the role for the user or group.

Reader

A reader can search for and read documents but cannot add them to the backward-compatible document library. By default, all folder users are assigned to the Reader role. In an enhanced folder, readers can view only folders and published versions of documents. Enhanced folders provide increased document management functions, including approval routing and version control. A reader cannot check out, edit, or delete documents in the document library or view draft document versions.

By default, Microsoft Office SharePoint Portal Server 2003 assigns the Microsoft Windows Everyone group to the Reader role for all folders in the document library when it creates the document library.

Author

An author can add new documents to a folder, edit all documents in the folder, delete any document from the folder, and read all documents in the folder. In an enhanced folder, authors can also submit any document for publishing.

Authors can create, rename, and delete folders but cannot change the roles or the approval policy on folders they create. When you create a new folder, it inherits the roles and folder policies from the parent folder.

Coordinator

A coordinator on the document library node manages content in the top-level folder and performs a set of document library administration tasks. These tasks include managing content sources, document profiles, areas, and alerts and customizing the portal site. The coordinator creates indexes of updated content when necessary or schedules this to occur automatically.

A coordinator on a specific folder configures user roles on the folder. The coordinator creates subfolders and adds, edits, and deletes documents from them. Coordinators can also read and delete a document that has been created but is not yet checked in. For enhanced folders, the coordinator selects the appropriate approval process. In addition, the coordinator can undo the check-out of a document or end the publishing process by using the Cancel Publishing action or Bypass Approval action.

SharePoint Portal Server automatically assigns the administrator who creates the document library to the Coordinator role on the document library node and on each folder.


Number of major versions retained per document

Number of major versions retained per document

Provides a space to type the number of previous major versions to retain whenever a document is approved. This setting does not affect the number of minor versions retained.

The server checks the specified value and permanently deletes old versions as appropriate. The default value is Unlimited. The maximum value for this setting is 999.

If the specified value is lowered, the server applies the policy to all later approved document versions but does not apply it to documents that have been approved with the higher value.


Security tab

Security tab

Use the Security tab on the Properties page of the backward-compatible document library to manage security for the document library.

For information about a specific field on this page, click the question mark in the upper-right corner, and then click the field.


Add

Add

Opens the Select Users or Groups dialog box.


Description

Description

Provides a space to type a brief description of the backward-compatible document library. A description can be helpful if more than one system administrator creates document libraries on the same server or if you have a new system administrator. In addition, you can use the description to help you remember information about a particular document library if you manage a large number of document libraries.


General tab

General tab

Use the General tab on the Properties page of the backward-compatible document library to view or specify document library properties.

For information about a specific field on this page, click the question mark in the upper right corner, and then click the field.


User or Group

User or Group

Displays the user or group and the assigned role.


Workspace contact name

Workspace contact name

Provides a space to type the name of the user or group responsible for managing the backward-compatible document library. The workspace contact is the point of contact for document library-related issues. In addition, the workspace contact receives document library-related e-mail messages. The contact e-mail address can be that of an individual user or a group.


Workspace address

Workspace address

Displays the address by which users access the backward-compatible document library through Web folders and the portal site.


Created

Created

Displays the original date the backward-compatible document library was created.


E-mail Address for Workspace Contact

E-mail Address for Workspace Contact

Provides a space to type the e-mail address of the user or group responsible for managing the backward-compatible document library. This e-mail address routes messages regarding alerts to items in that contact's document library to the workspace contact.


Number of major versions retained per document (check box)

Number of major versions retained per document (check box)

Specifies the number of major versions retained per document.


About application pools

About application pools

Internet Information Services (IIS) introduced application pools in IIS 6.0. With application pools, you can use an isolated process to run your Web applications. Each application pool has unique credentials on the server, so you can identify which applications are performing which actions. If one application fails, it does not affect other applications that are also running.

Microsoft Windows SharePoint Services supports the new application pool model in IIS 6.0. You configure the admin app pool when you install Windows SharePoint Services using the Server Farm option. When you choose the Typical Install option, the admininstrative virtual server is automatically configured for you during installation. When you configure a server or server farm, you can choose from the following options:

  • One application pool for the administrative virtual server.

    The administrative virtual server must always have its own, separate application pool. This option is the most secure of these options.

  • Shared application pools for all virtual servers hosting Web sites

    You can choose to use the same application pool for all other virtual servers you use in Windows SharePoint Services. If you do so, however, you lose the security and failure protection measures that multiple application pools help provide. Applications running on one virtual server can potentially read or write data from another virtual server's application, and if one virtual server fails, they all fail.

  • Separate application pools for each virtual server hosting Web sites

    With separate application pools for each virtual server, you gain the security and failure protection measures that application pools help provide. If one virtual server fails, it does not affect the others. And no application running in a unique application pool can read another application's data if the application is on another virtual server. However, separate application pools create more complexity in management, since usually unique domain accounts are created and maintained for each application pool.

  • "Shared" application pools for all virtual servers hosting the same Web sites

    In a server farm environment, you can also choose to use the same application pool accounts for any virtual servers that are hosting the same Web sites. For example, if your server farm has three servers, each of which has at least one virtual server that hosts the same Web site (http://www.example.com/site_name), you can use the same application pool account for all of the virtual servers hosting that site. This way, you only need to remember one set of credentials for that group of Web sites, and you can perform tasks across a set of virtual servers in your server farm.

    Note If you choose this configuration, you must be sure to use a domain account for the application pool account.

You specify the application pool to use for your administrative virtual server when you install Windows SharePoint Services to a server and set the configuration database. You specify any other application pools to use when you extend a virtual server on that server. For more information about application pools, see IIS 6.0 Help.


Approve or reject content for an area

Approve or reject content for an area

To change the approval status of a listing in an area, do one of the following:

Approve a listing

  1. On the page that displays the listing, in the Actions list, click Edit Page.
  2. Point to the listing, click the arrow on the bar that appears, and then click Approve on the menu that appears.

Note An icon of a small clock will overlay the icon for all listings that are pending approval.

Reject a listing

  1. On the page that displays the listing, in the Actions list, click Edit Page.
  2. Point to the listing, click the arrow on the bar that appears, and then click Reject on the menu that appears.

Undo approval of a listing

If you want to change the status of a listing from approved back to pending, you can undo the approval and the item will be hidden.

  1. On the page that displays the listing, in the Actions list, click Edit Page.
  2. Point to the listing, click the arrow on the bar that appears, and then click Undo Approval on the menu that appears.

Note An icon of a small clock will overlay the icon for all listings that are pending approval.

View and manage all listings for an area

  1. On the page that displays the area, click Manage Content.
  2. On the Documents and Lists page, in the Portal Listings section, click Portal Listings.
  3. To change the status of a listing, point to the listing, click the arrow on the bar that appears, and then click the appropriate action on the menu that appears.

Related Topics

Edit listing settings


About calculation operators

About calculation operators

Operators specify the type of calculation that you want to perform on the elements of a formula. Lists support three different types of calculation operators: arithmetic, comparison, and text.

Types of operators

Arithmetic operators To perform basic mathematical operations such as addition, subtraction, or multiplication; combine numbers; and produce numeric results, use the following arithmetic operators.

Arithmetic operator | Meaning (Example)
+ (plus sign) | Addition (3+3)
– (minus sign) | Subtraction (3–1) Negation (–1)
* (asterisk) | Multiplication (3*3)
/ (forward slash) | Division (3/3)
% (percent sign) | Percent (20%)
^ (caret) | Exponentiation (3^2)

Comparison operators You can compare two values with the following operators. When two values are compared by using these operators, the result is a logical value of Yes or No.

Comparison operator | Meaning (Example)
= (equal sign) | Equal to (A=B)
> (greater than sign) | Greater than (A>B)
< (less than sign) | Less than (A<B)
>= (greater than or equal to sign) | Greater than or equal to (A>=B)
<= (less than or equal to sign) | Less than or equal to (A<=B)
<> (not equal to sign) | Not equal to (A<>B)

Text concatenation operator Use the ampersand (&) to join, or concatenate, one or more text strings to produce a single piece of text.

Text operator | Meaning (Example)
& (ampersand) | Connects, or concatenates, two values to produce one continuous text value ("North"&"wind")

The order in which a list performs operations in a formula

Formulas calculate values in a specific order. A list formula might begin with an equal sign (=). Following the equal sign are the elements to be calculated (the operands), which are separated by calculation operators. Lists calculate the formula from left to right, according to a specific order for each operator in the formula.

Operator precedence

If you combine several operators in a single formula, lists perform the operations in the order shown in the following table. If a formula contains operators with the same precedence — for example, if a formula contains both a multiplication and division operator — lists evaluate the operators from left to right.

Operator | Description
– | Negation (as in –1)
% | Percent
^ | Exponentiation
* and / | Multiplication and division
+ and – | Addition and subtraction
& | Connects two strings of text (concatenation)
= < > <= >= <> | Comparison

Use of parentheses

To change the order of evaluation, enclose in parentheses the part of the formula to be calculated first. For example, the following formula produces 11 because a list calculates multiplication before addition. The formula multiplies 2 by 3 and then adds 5 to the result.

=5+2*3

In contrast, if you use parentheses to change the syntax, the list adds 5 and 2 together and then multiplies the result by 3 to produce 21.

=(5+2)*3

In the example below, the parentheses around the first part of the formula force the list to calculate [Cost]+25 first and then divide the result by the sum of the values in columns EC1 and EC2.

=([Cost]+25)/SUM([EC1]+[EC2])


Capacity Planning

Capacity Planning

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Change the template an area uses

Change the template an area uses
  1. Go to the area to which you want to apply the custom template.
  2. In the Actions list, click Change Settings.
  3. On the Change Settings page, click the Page tab to view and change template information.
  4. In the Area Templates section, select the source for the template.
    • Click This area uses the same template as the parent area if you want this area to use the same template as the parent area.
    • Click This area uses the template originally specified for this area if you want to use the default template for the area.
    • Click This area uses the following page as a template and type the address of the appropriate template to use for this area.
  5. Click OK.

Related Topics

About area templates
Edit an area
Change the primary navigation areas


Change the order of listing groups

Change the order of listing groups

You can use listing groups to organize multiple listings in an area. For example, on an area page on the portal site, you can create listing groups such as Regional, National, International. Complete the following steps to change the order in which listing groups are displayed in an area.

  1. Go to an area page on the portal.

    Note An area page is any area of the portal site other than the home page.

  2. In the Actions list, click Manage Content.
  3. In the Portal Listings section, click Portal Listings.
  4. In the Views list, click Grouping and Ordering.
  5. In the Actions list, click Manage Groups.
  6. Under Position from Top, choose the order of the groups by selecting a number for each group.
  7. Click Return to Grouping and ordering page.

Related Topics

Add a listing group
Rename a listing group
Delete a listing group
About grouping and ordering content in an area


Change page layout

Change page layout

As a member of the Administrator site group, you can change the layout of pages on the portal site. You can change the layout for the Home, News, Topics, Sites, and My Sites pages.

  1. On the page that you want to edit, click Edit Page in the Actions list.
  2. In the upper right corner of the page, click Modify Shared Page, and then click Design this Page.

    You are now in Web Part Page design mode. You can return to the normal view of this page by clicking Design this Page again.

    Note To switch to your personal view of the page from the shared view, click Modify Shared Page, and then click Personal View. To switch to the shared view of the page from your personal view, click Modify My Page, and then click Shared View.

  3. Drag Web Parts to arrange them as you want them to be displayed on the page.
  4. To exit design mode and view the page, click View Page in the Actions list.

Related Topics

Modify shared Web Parts
Add or remove Web Parts from a page
Modify pages on My Site


Change the primary navigation areas

Change the primary navigation areas

The primary navigation areas are the areas that appear in the navigation bar on portal site pages. You can view a primary navigation area simply by clicking its link in the navigation bar.

By default, the primary navigation areas of the portal site include News, Topics, and Sites. The home page is also available from the navigation bar, but it cannot be removed. As a member of the Administrator site group, you can remove any of the primary navigation areas except for Home and add new navigation areas by using the portal site map.

  1. In the Actions list, click Manage Portal Site.
  2. On the Portal Site Map page, point to the area that you want to add or remove from the primary navigation areas.
  3. Click the arrow that appears, and then click Edit on the menu that appears.
  4. On the Change Settings page, click the Display tab.
  5. In the Navigation and Sort Order section, do one of the following:
    • To remove the area from the primary navigation areas, select the Exclude from portal site navigation check box.
    • To add the area to the primary navigation areas, clear the Exclude from portal site navigation check box.
    The check box is cleared by default. You can also choose to sort listings in the area either alphabetically or manually.

Related Topics

Modify shared Web Parts
Add or remove Web Parts from a page
Change page layout
Customizing SharePoint Portal Server


About column references in a formula

About column references in a formula

A reference identifies a cell in the current row in a datasheet and tells a list where to look for the values or data you want to use in a formula. For example, [Cost] references the value in the Cost column in the current row. If the Cost column has the value of 100 for the current row, then =[Cost]*3 will return 300.

With references, you can use data contained in different columns of a list in one or more formulas. Columns of the following data types can be referenced in a formula: Single line of text, number, currency, date and time, choice, yes/no, and calculated.

You use the display name of the column to reference it in a formula. If the name includes a space or a special character, you must enclose the name in square brackets ([ ]). References are not case-sensitive. For example, you could reference the Unit Price column in a formula as [Unit Price] or [unit price].

Note You cannot reference a value in a row other than the current row. You also cannot include column references in a formula that is specified as the default value of a column.


About document check out and check in

About document check out and check in

Some shared folders or document libraries require that you check out a file to work on it and then check it back in when your changes are complete. Checking out the file ensures that others cannot make changes to the document while you're editing it. You can check out and check in the document from either the document library or a Microsoft Office application. Other users won't see your changes until your check the file back in.

Document check out

When you check out a document, other users cannot edit the document or see your changes to the document. If you later decide to check in the document without saving your changes, you can use the Discard changes and undo check out option on the Check In page. You lose any changes made while you checked out the document. The document reverts to the last checked-in version, and no version history is kept for the unsaved changes.

Document check in

When you check in a document, other users who can access the document library can see and edit the document. Additionally, your changes to the document are visible to those users. You have the following options when checking in a document:

  • Check in document
  • Check in changes saved to this document, but keep the document checked out
  • Discard changes and undo check out


Create or delete an area

Create or delete an area

Create an area

  1. In the Actions list, click Create Subarea.
  2. In the Title and Description section, type a title and description for the area.
  3. In the Publishing Dates section, you can specify start and end dates to display this area by doing the following:
    • To specify a start date, type the date you want this area to appear on the portal site in the Start date box. The default date is today's date.
    • To specify an end date, type the date you no longer want this area to appear on the portal site in the Expiration date box. You can leave this blank to display the area indefinitely.
  4. In the Location section, click Change location to display the area in a different location.

    You can see the default location of the area under Default location.

    How?

    1. On the Change Location page, select a location in which to display this area.
    2. Click OK.
  5. Click OK.

Note Any area added at the top level, under the Home area, will appear as a navigation link on the primary navigation bar.

Delete an area

  1. In the Actions list, click Manage Portal Site.
  2. On the Portal Site Map page, rest the pointer on the area you want to delete and click the arrow that appears.
  3. On the menu that appears, click Delete.

    A confirmation window appears.

  4. Click OK.

To view your changes, click Return To Portal on the title bar of the page.

Related Topics

About areas
Edit an area
Manage security settings for an area


Create a site from the portal site

Create a site from the portal site

In the Site Directory, you can create sites.

  1. On the navigation bar, click Sites to go to the Site Directory.
  2. In the Site Directory, in the Actions section of the action pane, click Create Site.
  3. On the New SharePoint Site page, in the Title and Description section, type a title and description.
  4. In the Web Site Address section, in the drop-down box, click Sites or Personal, depending on whether you are creating the site in the Personal Sites folder or the Sites folder, and then type a name for the Site Directory.
  5. In the Your E-Mail Address section, type the e-mail address that you want Microsoft Office SharePoint Portal Server 2003 to use to send information to you about the site.
  6. Click Create.

    The Add Link to Site page appears.

  7. On the Add Link to Site page, enter information about the link to this site, and then click OK. For more information, see Add a link to a site.
  8. On the Template Selection page, click a Template, and then click OK. For more information about the different types of sites, see the Microsoft Windows SharePoint Services topic Create a site.

Related Topics

About the Site Directory
Manage sites
Use views in the Site Directory
Search the Site Directory
Add a link to a site


Add a listing group

Add a listing group

You can use listing groups to organize multiple listings in an area. For example, for listings on an area page in the portal site, you might create listing groups such as Regional, National, and International.

  1. Go to an area page on the portal.

    Note An area page is any area of the portal site other than the home page.

  2. In the Actions list, click Manage Content.
  3. On the Documents and Lists page, in the Portal Listings section, click Portal Listings.
  4. In the Views list, click Grouping and Ordering.
  5. In the Actions list, click Add Group.
  6. In the Title box, type a title for the group.
  7. Click OK.

Related Topics

Change the order of listing groups
Rename a listing group
Delete a listing group
About grouping and ordering content in an area


Create a site group

Create a site group

You can add new site groups for use on your site from the Manage Site Groups page.

  1. On the title bar of the portal site, click Site Settings.
  2. In the General Settings section, click Manage security and additional settings.
  3. In the Users and Permissions section, click Manage site groups.
  4. On the Manage Site Groups page, click Add a Site Group.
  5. In the Site Group Name and Description section, type the name and description for your new site group.
  6. In the Rights section, select the rights you want to include in the new group.
  7. Click OK.

Related Topics

Edit site group permissions
Delete a site group
Manage security settings for an area
About site group security in SharePoint Portal Server


Documents and Lists page

Documents and Lists page

Click one of the following links to browse Help topics related to this page. For the latest Help information, visit Microsoft SharePoint Products and Technologies on Microsoft TechNet.

Learn about libraries, lists, discussion boards, and surveys

  • About lists
  • About libraries
  • About picture libraries
  • About Form libraries
  • About creating lists, libraries, and their Web Parts in a Meeting Workspace site
  • About discussion boards
  • About surveys
  • About columns
  • About document and picture library versioning

Customize libraries, lists, discussion boards, and surveys

  • Customize your site
  • Contribute to a site
  • Create a custom list
  • Create or add other lists or features in a Meeting Workspace site
  • Delete a list or library
  • Delete a list or library or remove a Web Part in a Meeting Workspace site
  • Add, edit, or delete a column
  • Modify the New Item form
  • Add a calculated column
  • Create a folder in a library
  • Remove a folder from a library
  • Modify the Upload Document Form
  • Set up a template for a document library
  • Change the name or description of a list or library
  • Enable document versioning for a library
  • Add, edit, or delete a survey question

Contribute to libraries, lists, discussion boards, and surveys

  • Add, edit, or delete an announcement
  • Add, edit, or delete a contact
  • Participate in a discussion board
  • Add, edit, or delete an event
  • Add, edit, or delete a link
  • Respond to a survey
  • Read, edit, or delete a file in a library
  • Add a file to a document library
  • Add multiple files to a document library simultaneously
  • Check out or check in a document
  • Add a form to a form library
  • Merge forms
  • Add one or more pictures to a picture library
  • Download pictures from a picture library
  • Attach a file to a list item
  • View previous versions of a file
  • Restore a file to a previous version
  • Force a document check-in

Troubleshooting and accessibility

  • Troubleshoot Windows SharePoint Services
  • Getting help
  • Accessibility for people with disabilities
  • Keyboard shortcuts

If you don't see what you're looking for, you can find more information by clicking Home.


Create Page

Create Page

Click one of the following links to browse Help topics related to this page. For the latest Help information, visit Microsoft SharePoint Products and Technologies on Microsoft TechNet.

Learn about libraries, lists, discussion boards, surveys, workspaces and sites

  • About lists
  • About libraries
  • About picture libraries
  • About Form libraries
  • About discussion boards
  • About surveys
  • About creating sites
  • About sites and subsites
  • About site templates

Create lists, surveys, discussion boards, or libraries

  • Create a custom list
  • Create a list of announcements, contacts, events, tasks, issues, or links
  • Create a document library
  • Create a form library
  • Create a picture library
  • Create a survey

Create Web pages, sites, and Workspaces sites

  • Create or link to an existing Meeting Workspace site
  • About multiple meetings in a Workspace site
  • Create a site

If you don't see what you're looking for, you can find more information by clicking Home.


Add Column page

Add Column page

Click one of the following links to browse Help topics related to this page. For the latest Help information, visit Microsoft SharePoint Products and Technologies on Microsoft TechNet.

Learn about columns

  • About columns
  • About displaying totals and calculated columns
  • Information types and options
  • Functions
  • About using formulas and functions

Create and customize columns

  • Add, edit, or delete a column
  • Add a calculated column
  • Add, edit, or delete form library columns

Troubleshooting and accessibility

  • Troubleshoot Windows SharePoint Services
  • Getting help
  • Accessibility for people with disabilities
  • Keyboard shortcuts

If you don't see what you're looking for, you can find more information by clicking Home.


Customize list or library page

Customize list or library page

Click one of the following links to browse Help topics related to this page. For the latest Help information, visit Microsoft SharePoint Products and Technologies on Microsoft TechNet.

Learn about columns, views, library templates, list and library permissions

  • About columns
  • About displaying totals and calculated columns
  • Information types and options
  • Functions
  • About using formulas and functions
  • About views
  • About sorting and customizing item order
  • About filters
  • About templates for document libraries
  • About document and picture library versioning
  • About form library templates
  • About content approval
  • About permission settings for lists and libraries
  • About list templates

Create or customize views

  • Create a view
  • Delete a view of a list or library
  • Delete a list or library
  • Arrange list items in a custom order
  • Allow or prevent custom ordering of items
  • Filter Items
  • Sort items
  • Display sorted or filtered items
  • Set a default view
  • Show or hide columns
  • Change the name or file name of a view
  • Share list or library items across all meetings in a workspace site

Create or customize columns

  • Add, edit, or delete a column
  • Add a calculated column
  • Add, edit, or delete form library columns

Manage library templates

  • Set up a template for a document library
  • Edit a form template
  • Relink a form to its form library

Save a list or library as a template

  • Manage list templates

Manage list or library permissions

  • Change permission settings for a list or library

Troubleshooting and accessibility

  • Troubleshoot Windows SharePoint Services
  • Getting help
  • Accessibility for people with disabilities
  • Keyboard shortcuts

If you don't see what you're looking for, you can find more information by clicking Home.


Settings page

Settings page

Click one of the following links to browse Help topics related to this page. For the latest Help information, visit Microsoft SharePoint Products and Technologies on Microsoft TechNet.

Learn about general settings for lists and libraries

  • About content approval
  • About attaching files to list items
  • About permission settings for lists and libraries

Manage the general settings for a list or library

  • Change the name or description of a list or library
  • Change permission settings for a list or library

Troubleshooting and accessibility

  • Troubleshoot Windows SharePoint Services
  • Getting help
  • Accessibility for people with disabilities
  • Keyboard shortcuts

If you don't see what you're looking for, you can find more information by clicking Home.


Change Permissions page

Change Permissions page

Click one of the following links to browse Help topics related to this page. For the latest Help information, visit Microsoft SharePoint Products and Technologies on Microsoft TechNet.

  • About permission settings for lists and libraries
  • Change permission settings for a list or library

Troubleshooting and accessibility

  • Troubleshoot Windows SharePoint Services
  • Getting help
  • Accessibility for people with disabilities
  • Keyboard shortcuts

If you don't see what you're looking for, you can find more information by clicking Home.


Create View page

Create View page

Click one of the following links to browse Help topics related to this page. For the latest Help information, visit Microsoft SharePoint Products and Technologies on Microsoft TechNet.

  • About views
  • Create a view

Troubleshooting and accessibility

  • Troubleshoot Windows SharePoint Services
  • Getting help
  • Accessibility for people with disabilities
  • Keyboard shortcuts

If you don't see what you're looking for, you can find more information by clicking Home.


Create View page

Create View page

Click one of the following links to browse Help topics related to this page. For the latest Help information, visit Microsoft SharePoint Products and Technologies on Microsoft TechNet.

Learn about views

  • About views
  • About sorting and customizing item order
  • About filters

Create or customize views

  • Create a view
  • Delete a view of a list or library
  • Allow or prevent custom ordering of items
  • Arrange list items in a custom order
  • Filter Items
  • Sort items
  • Display sorted or filtered items
  • Set a default view
  • Show or hide columns
  • Change the name or file name of a view

Troubleshooting and accessibility

  • Troubleshoot Windows SharePoint Services
  • Getting help
  • Accessibility for people with disabilities
  • Keyboard shortcuts

If you don't see what you're looking for, you can find more information by clicking Home.


Edit View page

Edit View page

Click one of the following links to browse Help topics related to this page. For the latest Help information, visit Microsoft SharePoint Products and Technologies on Microsoft TechNet.

Learn about views

  • About views
  • About sorting and customizing item order
  • About filters

Customize views

  • Allow or prevent custom ordering of items
  • Arrange list items in a custom order
  • Filter Items
  • Sort items
  • Display sorted or filtered items
  • Set a default view
  • Show or hide columns
  • Delete a view of a list or library
  • Change the name or file name of a view

Troubleshooting and accessibility

  • Troubleshoot Windows SharePoint Services
  • Getting help
  • Accessibility for people with disabilities
  • Keyboard shortcuts

If you don't see what you're looking for, you can find more information by clicking Home.


Template Selection page

Template Selection page

Click one of the following links to browse Help topics related to this page. For the latest Help information, visit Microsoft SharePoint Products and Technologies on Microsoft TechNet.

  • About team sites
  • About Document Workspaces
  • About Meeting Workspace sites
  • About Meeting Workspace Templates
  • About site templates
  • Manage site templates

Troubleshooting and accessibility

  • Troubleshoot Windows SharePoint Services
  • Getting help
  • Accessibility for people with disabilities
  • Keyboard shortcuts

If you don't see what you're looking for, you can find more information by clicking Home.


Sites and Workspaces page

Sites and Workspaces page

Click one of the following links to browse Help topics related to this page. For the latest Help information, visit Microsoft SharePoint Products and Technologies on Microsoft TechNet.

Learn about managing sites and workspaces

  • About sites and subsites
  • About creating sites
  • About managing unused site collections
  • About allowing workspace site creation
  • About Meeting Workspace sites
  • About multiple meetings in a workspace site
  • About migrating Web sites
  • About checking site usage

Manage sites and workspaces

  • Manage unused Web sites
  • Create a site
  • Back up or restore a site
  • Migrate a Web site
  • Allow workspace site creation
  • Create a new or link to an existing Meeting Workspace site
  • Analyze site usage
  • Specify usage analysis settings

Troubleshooting and accessibility

  • Troubleshoot Windows SharePoint Services
  • Getting help
  • Accessibility for people with disabilities
  • Keyboard shortcuts

If you don't see what you're looking for, you can find more information by clicking Home.


SharePoint Central Administration home page

SharePoint Central Administration home page

Click one of the following links to browse Help topics related to this page. For the latest Help information, visit Microsoft SharePoint Products and Technologies on Microsoft TechNet.

Learn about Windows SharePoint Services Administration

  • Overview of Windows SharePoint Services Administration
  • About extending a virtual server
  • About virtual server configuration settings
  • About site groups
  • About rights and the default site groups
  • About cross-site groups
  • Create, edit, or delete a cross-site group
  • About cross-site groups
  • About the SharePoint administrators group
  • About authentications methods
  • About anonymous access
  • About security options
  • About creating sites
  • About sites and subsites
  • About managing unused site collections
  • About regional and language considerations
  • About quotas and locks
  • About checking site usage
  • About customizing Meeting Workspace sites
  • About allowing Workspace site creation
  • About enabling Self-Service Site Creation
  • About Web Part galleries
  • About managing Web Part availability
  • About command line options
  • About application pools
  • About managed paths
  • About data retrieval services
  • About content and configuration databases
  • About backing up the configuration and content databases
  • About configuring e-mail settings
  • About configuring e-mail-enabled document libraries
  • About HTML Viewers
  • About online presence integration
  • About managing and customizing search
  • About enabling Self-Service Site Creation
  • About Web Page Security Validation
  • About Secure Sockets Layer connections
  • About Internet Explorer Enhanced Security Configuration
  • About content approval
  • About blocked file types
  • About migrating Web sites
  • About backing up site collections
  • About options for removing Microsoft Windows SharePoint Services
  • About virus protection

Server Configuration

  • Upgrade a server or virtual server
  • Specify configuration database settings
  • Specify content database settings
  • Configure e-mail settings
  • Configure e-mail-enabled document libraries
  • Manage HTML Viewers
  • Configure online presence information
  • Change authentication methods
  • Remove Windows SharePoint Services
  • Analyze site usage

Virtual Server Configuration

  • Extend a virtual server
  • Upgrade a server or virtual server
  • Configure a virtual server
  • Enable document library event handlers
  • Manage Web Part availability
  • Manage paths
  • Configure Self-Service Site Creation
  • Migrate a Web site
  • Back up or restore a site

Security Configuration

  • Add a user or cross-site group
  • Add a site group
  • Specify rights available for site groups
  • Assign a user to a different site group
  • Enable or disable rights for a site group
  • Specify anonymous user access settings
  • View a list of site groups
  • View user account information
  • Modify user account information
  • Specify the SharePoint administrators group
  • Configure blocked file types
  • Configure antivirus settings

Component Configuration

  • Specify usage analysis settings
  • Manage site quotas and locks
  • Integrate with search and portal products
  • Configure data retrieval services

If you don't see what you're looking for, you can find more information by clicking Home.


CS Placeholder

CS Placeholder

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Web Part Maintenance Page

Web Part Maintenance Page

Click one of the following links to browse Help topics related to this page. For the latest Help information, visit Microsoft SharePoint Products and Technologies on Microsoft TechNet.

  • Open and use a Web Part Maintenance Page
  • Overview of Web Part Pages

If you don't see what you're looking for, you can find more information by clicking Home.


Adding or Editing a Content Source

Adding or Editing a Content Source

For information about completing your task, click the following links:

  • About Content Sources
  • Adding a Content Source
  • Editing a Content Source

If you don't see what you're looking for, you can find more information by clicking Home.


Configuring Server Topology

Configuring Server Topology

For information about completing your task, click the following links:

  • Specifying Configuration Database Settings
  • Specifying Content Database Settings
  • Specifying Settings for Component Settings Database
  • Specifying Settings for Single Sign-On and Application Definitions
  • Removing a Server from the Server Farm
  • Changing Component Assignments for the Server Farm

If you don't see what you're looking for, you can find more information by clicking Home.


Configuring Alternate Portal Access Settings

Configuring Alternate Portal Access Settings

For information about completing your task, click the following links:

  • About Alternate Portal Access Settings
  • Creating Alternate Portal Access Settings
  • Editing Alternate Portal Access Settings
  • Deleting Alternate Portal Access Settings

If you don't see what you're looking for, you can find more information by clicking Home.


Creating or Restoring a Portal Site

Creating or Restoring a Portal Site

For information about completing your task, click the following links:

  • Creating a Portal Site
  • Restoring a Portal Site

If you don't see what you're looking for, you can find more information by clicking Home.


Editing Search Settings

Editing Search Settings

For information about completing your task, click the following links:

  • Specifying Logging Options When Using Simple Search Administration Mode
  • Specifying Default Search Behavior for the Site Directory

If you don't see what you're looking for, you can find more information by clicking Home.


Including and Excluding Content

Including and Excluding Content

For information about completing your task, click the following links:

  • About Rules That Include or Exclude Content
  • Adding a Rule That Includes or Excludes Content
  • Editing a Rule That Includes or Excludes Content
  • Deleting a Rule That Includes or Excludes Content
  • Moving a Rule That Includes or Excludes Content

If you don't see what you're looking for, you can find more information by clicking Home.


Including File Types

Including File Types

For information about completing your task, click the following links:

  • About File Types for Search
  • Adding a File Type
  • Deleting a File Type

If you don't see what you're looking for, you can find more information by clicking Home.


Managing Site Hit Frequency Rules

Managing Site Hit Frequency Rules

For information about completing your task, click the following links:

  • About Site Hit Frequency Rules
  • Adding a Site Hit Frequency Rule
  • Editing a Site Hit Frequency Rule
  • Deleting a Site Hit Frequency Rule
  • Moving a Site Hit Frequency Rule

If you don't see what you're looking for, you can find more information by clicking Home.


Managing Enterprise Application Definitions

Managing Enterprise Application Definitions

For information about completing your task, click the following links:

  • Creating an Application Definition
  • Editing an Application Definition
  • Deleting an Application Definition

If you don't see what you're looking for, you can find more information by clicking Home.


Managing Content Indexes

Managing Content Indexes

For information about completing your task, click the following links:

  • About Content Indexes
  • Creating a Content Index
  • Editing the Properties of a Content Index
  • Starting a Full Update of a Content Index
  • Starting an Incremental Update of a Content Index
  • Starting an Adaptive Update of a Content Index
  • Pausing an Update of a Content Index
  • Resuming an Update of a Content Index
  • Stopping an Update of a Content Index
  • Resetting a Content Index
  • Deleting a Content Index
  • Viewing the Gatherer Log for a Content Index

If you don't see what you're looking for, you can find more information by clicking Home.


Managing Content Sources

Managing Content Sources

For information about completing your task, click the following links:

  • About Content Sources
  • Adding a Content Source
  • Editing a Content Source
  • Deleting a Content Source
  • Starting a Full Update of a Content Source
  • Starting an Incremental Update of a Content Source
  • Stopping an Update of a Content Source
  • Viewing the Gatherer Log for a Content Source

If you don't see what you're looking for, you can find more information by clicking Home.


Configuring Diagnostic Settings

Configuring Diagnostic Settings

For information about completing your task, click the following links:

  • Specifying Logging Settings for a Component
  • Viewing and Deleting Diagnostic Logs
  • Specifying Automatic Error Reporting

If you don't see what you're looking for, you can find more information by clicking Home.


Managing Search Propagation

Managing Search Propagation

For information about completing your task, click the following links:

  • About Search Content Propagation
  • Propagating a Content Index
  • Stopping Index Propagation

If you don't see what you're looking for, you can find more information by clicking Home.


Managing Search Schedules

Managing Search Schedules

For information about completing your task, click the following links:

  • Creating a Search Schedule
  • Editing a Search Schedule
  • Deleting a Search Schedule

If you don't see what you're looking for, you can find more information by clicking Home.


Configuring Search and Indexing for the Portal Site

Configuring Search and Indexing for the Portal Site

For information about completing your task, click the following links:

If you have not enabled advanced search administration, the following options for configuring search and indexing are available:

  • Using a Search Scope from Another Portal Site
  • Using the Topic Assistant
  • Mapping Server Names
  • Editing Search Settings
  • Starting a Full Update of a Content Index
  • Starting an Incremental Update of a Content Index
  • Starting an Adaptive Update of a Content Index
  • Managing Search Schedules
  • Viewing the Gatherer Log
  • Managing Search Scopes
  • Including File Types
  • Excluding and Including Content
  • Adding a Content Source
  • Enabling Advanced Search Administration Mode
  • Managing Crawling of the Site Directory
  • Add a Link to a Site
  • Managing Content Sources

If you have enabled advanced search administration, the following options for configuring search and indexing are available:

  • Using a Search Scope from Another Portal Site
  • Using the Topic Assistant
  • Mapping Server Names
  • Managing Search Schedules
  • Managing Search Scopes
  • Including File Types
  • Adding a Content Source
  • Managing Content Indexes
  • Creating a Content Index
  • Managing Crawling of the Site Directory
  • Add a Site Link to the Portal Site
  • Managing Content Sources

If you don't see what you're looking for, you can find more information by clicking Home.


Managing the Search Service for SharePoint Portal Server

Managing the Search Service for SharePoint Portal Server

For information about completing your task, click the following links:

  • Configuring Server Farm Account Settings
  • Specifying a Contact E-Mail Address for Search
  • Managing Settings for the Search Server
  • Configuring Search and Indexing for the Portal Site
  • Managing Search Propagation
  • Managing Site Hit Frequency Rules

If you don't see what you're looking for, you can find more information by clicking Home.


Managing Security and Additional Settings

Managing Security and Additional Settings

For information about completing your task, click the following links:

  • Managing Users and Cross-Site Groups
  • Managing Site Groups and Permissions
  • Managing Anonymous Access Settings
  • Managing Sites and Subsites (includes information about managing Web Part galleries and template galleries)
  • Specify Web Discussion Settings
  • Configure Regional Settings

If you don't see what you're looking for, you can find more information by clicking Home.


Managing Settings for the Search Server

Managing Settings for the Search Server

For information about completing your task, click the following links:

  • Specifying Resource Usage
  • Specifying Proxy Server Settings
  • Specifying Time-Out Settings for Search
  • Specifying the Location for Temporary Files
  • Specifying the SSL Certificate Warning Configuration

If you don't see what you're looking for, you can find more information by clicking Home.


Managing Shared Services

Managing Shared Services

For information about completing your task, click the following links:

  • About Shared Services
  • Providing Shared Services
  • Using Shared Services

If you don't see what you're looking for, you can find more information by clicking Home.


Managing Single Sign-On

Managing Single Sign-On

For information about completing your task, click the following links:

  • Specifying Settings for Single Sign-On and Application Definitions
  • Managing the Encryption Key
  • Managing Enterprise Application Definitions
  • Managing Account Information for an Application Definition

If you don't see what you're looking for, you can find more information by clicking Home.


Managing the Encryption Key

Managing the Encryption Key

For information about completing your task, click the following links:

  • Creating the Encryption Key
  • Backing up the Encryption Key
  • Restoring the Encryption Key

If you don't see what you're looking for, you can find more information by clicking Home.


Mapping Server Names

Mapping Server Names

For information about completing your task, click the following links:

  • About Server Name Mappings
  • Adding a Server Name Mapping
  • Editing a Server Name Mapping
  • Deleting a Server Name Mapping

If you don't see what you're looking for, you can find more information by clicking Home.


SharePoint Portal Server Central Administration

SharePoint Portal Server Central Administration

For information about completing your task, click the following links:

Server Configuration

  • Configuring Server Topology
  • Specifying Configuration Database Settings
  • Specifying Settings for Component Settings Database
  • Specifying Content Database Settings
  • Configuring E-Mail Settings
  • Configuring Server Farm Account Settings

Portal Site and Virtual Server Configuration

  • Creating a Portal Site
  • Managing Portal Sites
  • Extending Virtual Servers
  • Configuring Virtual Servers
  • Configuring Site Quotas and Locks
  • Configuring Alternate Portal Access Settings

Security Configuration

  • Managing the SharePoint Administrators Group
  • Managing Sites and Subsites
  • Managing Users and Cross-Site Groups
  • Configuring Blocked File Extensions
  • Configuring Antivirus Protection

Component Configuration

  • Managing the Search Service for SharePoint Portal Server
  • Listing and Managing Document Libraries

    Note You can manage document libraries only if you have the optional backward-compatible document library (Web Storage System-based) components installed.

  • Managing Single Sign-On
  • Managing Shared Services
  • Configuring Usage Analysis
  • Managing HTML Viewers
  • Configuring Diagnostic Settings

If you don't see what you're looking for, you can find more information by clicking Home.


Site Settings

Site Settings

For information about completing your task, click the following links:

General Settings

  • Managing Users and Cross-Site Groups
  • Managing Security and Additional Settings
  • Managing Alerts Settings
  • Changing Portal Properties and Site Creation Settings

Portal Site Content

  • About the Portal Site Map
  • Managing Top-Level lists and Document Libraries
  • Using the Topic Assistant
  • Managing Targeted Content for My Site
  • Using the Import Tool

Optional Document Libraries

If you have the optional document library components installed, the following links appear:

  • Creating a Document Library
  • Editing Settings for a Document Library
  • Deleting a Document Library

Search Settings and Indexed Content

  • Configuring Search and Indexing for the Portal Site
  • Managing Search Scopes
  • Using a Search Scope from Another Portal Site
  • Editing Properties of Crawled Content
  • Managing Crawling of the Site Directory
  • Managing Keywords

User Profile, Audiences, and Personal Sites

  • Managing User Profiles
  • Managing Audiences
  • Managing Personal Sites

If you don't see what you're looking for, you can find more information by clicking Home.


Specifying Advanced Settings for a Content Source

Specifying Advanced Settings for a Content Source

For information about completing your task, click the following links:

  • Editing a Content Source
  • Creating a Search Schedule
  • Excluding and Including Content
  • Starting a Full Update of a Content Source

If you don't see what you're looking for, you can find more information by clicking Home.


Working with a topic

Working with a topic

For information about completing your task, click the following links:

  • Add an alert
  • Add to My Links
  • Edit an area
  • About Topics

If you don't see what you're looking for, you can find more information by clicking Home.


Working with Topics

Working with Topics

For information about completing your task, click the following links:

  • Add an alert
  • Add to My Links
  • Edit an area
  • About Topics

If you don't see what you're looking for, you can find more information by clicking Home.


Viewing the Gatherer Log

Viewing the Gatherer Log

For information about completing your task, click the following links:

  • Viewing the Gatherer Log for a Content Index
  • Viewing the Gatherer Log for a Content Source

If you don't see what you're looking for, you can find more information by clicking Home.


Getting Started with Windows SharePoint Services

Getting Started with Windows SharePoint Services

Click one of the following links to browse Help topics related to this page. For the latest Help information, visit Microsoft SharePoint Products and Technologies on Microsoft TechNet.

Learn about Windows SharePoint Services

  • About Microsoft Windows SharePoint Services 2.0
  • What's New in Microsoft Windows SharePoint Services 2.0

Customizing the home page

This is the home page for your site. It is made up of Web Parts that show you views of the lists and libraries in your site. You can add more Web Parts to this page, change the layout of this page, or change the settings for the Web Parts. The links below tell you how.

  • Overview of Web Part Pages
  • Modify Web Parts

Adding pages to your site

With the proper permissions, you can also add new pages to your site, such as libraries and custom lists. Once you have set up a list or library, users with the proper permissions can add, modify, and delete files and items stored there.

  • Customize your site
  • Contribute to a site

Managing your site

Settings for the Web site are found on the Site Administration page. Settings for the Web server or virtual server are found in SharePoint Central Administration.

  • Overview of Windows SharePoint Services Administration
  • Site Administration home page
  • Central Administration home page

Troubleshooting and accessibility

  • Troubleshoot Windows SharePoint Services
  • Getting help
  • Accessibility for people with disabilities
  • Keyboard shortcuts

If you don't see what you're looking for, you can find more information by clicking Home.


Add an attendee

Add an attendee
Add, edit, or delete an attendee in a Meeting Workspace site
About the difference between attendees and users in a Meeting Workspace site
About the Attendees list and rights in a Meeting Workspace site


Change item order

Change item order
Arrange list items in a custom order
About sorting and customizing item order
Allow or prevent custom ordering of items


Meeting Workspace Table of Contents

Meeting Workspace Table of Contents

For information about completing your task, see the following topics:

Working with Meeting Workspace sites

About Meeting Workspace sites
About multiple meetings in a workspace site
About Meeting Workspace Templates
About customizing Meeting Workspace sites
Create a new or link to an existing Meeting Workspace site
About the difference between attendees and users in a Meeting Workspace site
Troubleshoot Meeting Workspace sites

Managing attendees and users

About the difference between attendees and users in a Meeting Workspace site
About the Attendees list and rights in a Meeting Workspace site
Add, edit, or delete an attendee in a Meeting Workspace site

Working with lists

About lists

About creating lists, libraries, and their Web Parts in a Meeting Workspace site
About the Agenda list in a Meeting Workspace site
About the Decisions list in a Meeting Workspace site
About the Objectives list in a Meeting Workspace site
About the Text Box in a Meeting Workspace site
About the Things To Bring list in a Meeting Workspace site

Adding, deleting, and customizing lists

Create an Agenda list in a Meeting Workspace site
Create a Decisions list in a Meeting Workspace site
Create an Objectives list in a Meeting Workspace site
Create a Text Box in a Meeting Workspace site
Create a Things To Bring list in a Meeting Workspace site
Create other lists or features in a Meeting Workspace site
Delete a list or library or remove a Web Part in a Meeting Workspace site
Share list or library items across all meetings in a workspace site

Working with pages

About adding pages to a Meeting Workspace site
Add a page to a Meeting Workspace site
Change the name of a page in a Meeting Workspace site
Change the order of pages in a Meeting Workspace site
Delete a page from a Meeting Workspace site
Hide or show pages in a Meeting Workspace site for multiple meetings

Working with meeting details

Change the meeting date, time, or location in a workspace site
Delete a meeting from a workspace site that has more than one meeting
Remove a Meeting Workspace link from a scheduled meeting

If you don't see what you are looking for, you can find more information by clicking Home.


Manage attendees and users

Manage attendees and users
About the difference between attendees and users in a Meeting Workspace site
About the Attendees list and rights in a Meeting Workspace site
Add, edit, or delete an attendee in a Meeting Workspace site
About multiple meetings in a workspace site
About filters
Filter Items
Delete a view of a list, document library, or discussion board
Create a view
Change permission settings for a list or library
About alerts
Add an alert


Site Administration home page

Site Administration home page

Click one of the following links to browse Help topics related to this page. For the latest Help information, visit Microsoft SharePoint Products and Technologies on Microsoft TechNet.

Learn about Windows SharePoint Services Administration

  • Overview of Windows SharePoint Services Administration
  • About site groups
  • About rights and the default site groups
  • About the difference between attendees and users in a Meeting Workspace site
  • About the Attendees list and rights in a Meeting Workspace site
  • About cross-site groups
  • Create, edit, or delete a cross-site group
  • About cross-site groups
  • About the SharePoint administrators group
  • About authentications methods
  • About anonymous access
  • About security options
  • About creating sites
  • About sites and subsites
  • About managing unused site collections
  • About regional and language considerations
  • About quotas and locks
  • About checking site usage
  • About customizing Meeting Workspace sites
  • About allowing workspace site creation
  • About enabling Self-Service Site Creation
  • About Web Part galleries
  • About managing Web Part availability

Manage users and groups

  • Add a user or cross-site group
  • Add a site group
  • Specify rights available for site groups
  • Specify the SharePoint administrators group
  • Assign a user to a different site group
  • Enable or disable rights for a site group
  • Specify anonymous user access settings
  • View a list of site groups
  • View user account information
  • Modify user account information

Manage sites

  • Create a site
  • Delete a site
  • Back up or restore a site
  • Migrate a Web site
  • Configure Self-Service Site Creation
  • Enable or disable unique permissions for a subsite
  • View a list of sites
  • Analyze site usage
  • Manage unused Web sites
  • Manage site quotas and locks
  • Specify usage analysis settings
  • Allow workspace site creation
  • Manage site templates
  • Configure regional settings
  • Install a language pack

Manage Web Parts

  • Overview of Web Part Pages
  • Manage Web Part availability

Troubleshooting and accessibility

  • Troubleshoot Windows SharePoint Services
  • Troubleshoot Meeting Workspaces
  • Getting help
  • Accessibility for people with disabilities
  • Keyboard shortcuts

If you don't see what you're looking for, you can find more information by clicking Home.


About connecting Web Parts

About connecting Web Parts

You can connect Web Parts together by passing data, such as a row or filter, from one Web Part to change the display of the other Web Part's data. By connecting Web Parts, you can synchronize their behavior and manage data in dynamic and interesting ways. Traditionally, the chore of connecting sets of data from different data sources has not been easy and has often required programming skills. But with Web Parts, making data connections is as simple as using menu commands. By connecting Web Parts, you can, for example, present data from two Web Parts in alternate views, perform related calculations between two Web Parts, and filter a Web Part using values from another Web Part — all on one Web Part Page.

What are Web Part connections?

Using Web Part connections, you can create or enhance your Web Part Pages. Typically, you connect Web Parts together so that when you perform an action in one Web Part, it changes the contents of another Web Part.

For example, you can connect an Employees List View Web Part to the Image Web Part by passing data to it. Each time you select a row in the Employees List View Web Part that contains a column with a picture of that employee, you can see the picture displayed in the Image Web Part.

A basic Web Part connection

1 A Web Part connection is a way to pass data from one Web Part to another Web Part and synchronize their behavior.

2 One Web Part provides the data.

3 Data can be lists, rows, cells, or parameter values.

4 The other Web Part gets the data.

You can make the Web Part connection from either Web Part by using the connection type submenu from the Connections command on the Web Part menu. For example, if one Web Part's connection type submenu command says Provide Row To, the other Web Part's connection type submenu command says Get Row From.

Not only can you make Web Part connections on the same Web Part Page, but you can also make connections between Web Parts on two different Web Part Pages in the same top-level site by using a Microsoft Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003.

The basic steps to creating Web Part connections

Creating a Web Part Page with Web Part connections is a simple, three-step process:

Step 1: Decide what data you want available on the Web Part Page

Often, there are one or more List View Web Parts that provide the data you want. Lists present your data in a tabular format and make it easy to modify and refresh data, change the sort order, filter within the list, and aggregate data. By using the view selector in the tool pane, you can easily change the view of a List Web Part, to work with just the columns you need.

In some cases, the data you want is in an application data source external to your site. There are several approaches you can take to make this external data source available. You could request your site administrator to install a Web Part that is designed to use external data sources, such as the Microsoft Office PivotView Web Part, available from Microsoft Office Web Parts and Components. Alternatively, a Web Part developer could develop a customized Web Part that uses an external data source and that can also connect to other Web Parts.

Step 2: Add the Web Parts to the Web Part Page

Most lists are available as List View Web Parts in your site Web Part gallery, and there are usually a variety of additional Web Parts available from all the Web Part galleries you have access to. Sometimes, you may need to import a Web Part from a user at another site who has created an interesting or useful instance of a Web Part. Occasionally, you may want to search for Web Parts on external Web sites, such as the SharePoint Portal Server Web Component Directory or from another software manufacturer, and then request that they be installed on your Web site by your site administrator. Over time, your Web Part galleries will grow and adapt to your needs and the needs of your enterprise.

Step 3: Connect the Web Parts to get the results you want

You can only make connections between Web Parts that support Web Part connections. The Connections submenu on the Web Part menu displays only the type of connection you can make, and the available Web Parts submenu displays only compatible Web Parts. Once you have done steps one and two, decision-making is very simple and no knowledge of scripting or coding is required to make the Web Part connection.

The basic building blocks of Web Part Connections

There are many ways to combine and connect Web Parts on a Web Part Page. Typically, you will make several of these Web Part connections on your Web Part Page. The following scenarios describe common types of data connections between Web Parts. Think of these scenarios as basic building blocks for Web Part connections.

Master/Detail

You have a master list of data and you need to display detailed information related to this master list.

A Basic/Detail example

1 An Employee Basics Web Part contains basic, commonly—accessed employee data, such as ID, name, and job title.

2 To look up employee details, you select a row.

3 The row is passed to the other Web Part.

4 In the Employee Details Web Part, all the employee details are displayed in a form view.

In a List View Web Part, you can even sort and filter a large list to help find the employee before selecting the row. If the detail data is extensive, you could even display the Detail Employee Web Part on another Web Part Page.

Summary/Detail

You have a summary list of data and you need to display the detailed information that produces the summary data.

A Summary/Detail example

1 A Year-to-Date Pay Stub Web Part contains your compensation information.

2 You select the the summary information about your accumulated vacation time and sick days.

3 The summary information is passed to the other Web Part.

4 In the Pay Stub Details Web Part that displays weekly data, you verify the weeks you recorded those days to refresh your memory or confirm their accuracy.

Parent/Child

You display a list of data (the parent) and for each row there is one or more related rows (the children) you want to display in another list.

A Parent/Child example

1 An Orders Web Part provides a list of the most recent customer orders.

2 You click the row containing the order you want to examine.

3 The row is passed to the other Web Part.

4 In the Order Details Web Part, all the line items for that order are displayed.

Search and filter

You want to enter data, such as search or filter criteria, in one Web Part to display results in another Web Part.

A search or filter criteria example

1 In the Book Search Web Part, you enter book information, such as title, author, and subject, to try to find the book or set of books.

2 You click SUBMIT.

3 The search criteria is passed to the other Web Part.

4 The Book List Web Part displays one or more books that match your search criteria.

Calculations

Although you can often calculate data inside a Web Part, sometimes you may want to combine two Web Parts to make your calculations more flexible.

A Calculation example

1 You enter mortgage numbers into a Mortgage Numbers Web Part.

2 You click GO.

3 The mortgage numbers are passed to the other Web Part.

4 The Mortgage Calculator Web Part computes the mortgage and displays the monthly payment schedule.

Alternate data views

Viewing your data in several different ways can help you to understand implications, trends, and relationships. You can pass lists, rows, and cells (or fields and parameters) from one Web Part and display the data in an alternate view.

An example of a list

You want to display all company employees in a hierarchy chart.

A alternate view of list data

1 The Employees Web Part displays the employee ID, employee name, job title, and manager ID of everyone who works for your company.

2 Because you are using all the data, no selection is required.

3 All the data is passed to another Web Part.

4 The Organization Chart Web Part displays the working relationships between employees and can display alternate views of this hierarchy.

An example of a row

You want to view a row of demographic data in a chart, such as a pie chart or bar graph.

An alternate view of row data

1 A Population Statistics Web Part displays demographic data such as age, income, and heritage.

2 You select a row of demographic data.

3 You pass the data to another Web Part.

4 The Chart Web Part displays the row of data in a pie chart and alternatively a bar graph.

An example of a cell

You want to track the overall progress of a fund-raising drive.

An alternate view of cell data

1 In a Fund-Raising Web Part, each member of a group enters the amount of money they have raised.

2 The current total is displayed in a total field.

3 The total field is passed to the other Web Part.

4 You check your group's overall progress in the Charity Goal Web Part.

Data enhancement

You want to augment basic data about people and places to make it more interesting, appealing, and useful.

A data enhancement example

1 A Contacts Web Part displays information you need to keep track of business associates, such as name, address, and perhaps a photo.

2 You select a contact.

3 A row of data is passed to the other Web Part.

4 You see a photo of the contact displayed in the Image Web Part and locate their business address in a Map Web Part.


About Document Workspaces

About Document Workspaces

A Document Workspace site is a Microsoft Windows SharePoint Services site that is centered around one or more documents. Colleagues can easily work together on a document — either by working directly on the Document Workspace copy or by working on their own copy, which they can update periodically with changes that have been saved to the Document Workspace copy.

Creation of Document Workspace sites

On a Windows SharePoint Services site, you can create a Document Workspace site either by going to the Create page or by clicking the arrow next to a document on a document library page and then clicking Create a Document Workspace.

When you create a Document Workspace site that's based on a document in a document library, the Document Workspace site carries the same name as the document on which it is based. The document is then stored in a separate document library in the new Document Workspace site. This document can be published back to its source location, in the original document library, from the Document Workspace site.

Note The ability to publish a document back to its original location is available only in a Document Workspace site created from a document that is already stored in a document library. This feature is not available in Document Workspace sites created by using the Create page on a Windows SharePoint Services site.

Document Workspace site features

Because a Document Workspace site is a SharePoint site, members can use Windows SharePoint Services features, such as using the Tasks list to assign each other to-do items, using the Links list to create hyperlinks to resource material, and storing related or supporting documents in the document library.

When you open the Document Workspace site in a Web browser, you can customize the site just as you would customize any Windows SharePoint Services site.


About the Members Web Part

About the Members Web Part

The Members Web Part automatically appears on the home page of a Document Workspace site. The Members Web Part displays a list of users and domain groups who have permission to use the site.

When you click a member's name, you go to the User Information page for that member. When you click the smart tag next to a member's name, you can use the contact information to send an e-mail message, schedule a meeting, make a phone call, or send an instant message.

If the site has unique permissions, the Members Web Part also includes a command for adding new users to the site.


About Web Part Pages

About Web Part Pages

Use a Web Part Page to consolidate, concentrate, and control related but dispersed information into a single Web page.

About Web Part Pages

A Web Part Page is a special type of Web page that consolidates data, such as lists and charts, and Web content, such as text and images, into a dynamic information portal built around a common task or special interest. Think of a Web Part Page as a Web dashboard that presents a variety of structured and unstructured information in an organized, useful, and convenient way. Instead of spending a lot of time repetitively accessing many Web pages and data sources, you can save substantial time by organizing this disparate information into a single, integrated Web page that can also expose details or links to other Web pages as needed.

A Web Part Page contains one or more Web Parts, which are the basic building blocks of a Web Part Page. These Web Parts are easy to reuse, share, and personalize by all users who have permission to access them. Web Part Pages often contains several Web Parts connected together that display data and content you can manipulate to dynamically change the Web Part Page and get the results you want.

Ways to use Web Part Pages

You might use Web Part Pages in the following ways:

  • Consolidate data from different data sources.
  • Report and summarize critical data.
  • Analyze and aggregate data (sums, totals, counts, and so on).
  • Summarize key information you want to see at the beginning of each day.
  • Prioritize and highlight project or customer data to help you make effective decisions.
  • Display an up-to-date work schedule and meeting information to quickly plan your day.
  • Get quick access to business news, local weather, and your favorite Web sites to focus your Web browsing.

A typical Web Part Page

You might create a Web Part Page, called Customer Orders, that you frequently use to display critical information. You get a call from a customer who has a question about an order, does not remember the Order ID number, but does remember the date the order was placed. You can use a Web Part Page to do the following.

A Daily Activities SmartPage with several Web Parts

1 Look up an order by Order ID number or, in this case, the Order date.

2 Display all orders by date.

3 Select the correct order, based on the customer's name, and look up the order details as well as the customer details.

4 Select a line item in the order (in this case, the lamp) and display a product picture to confirm the customers question.

5 Scan for late-breaking business news pertinent to the customer's order.

About Web Parts and Web Part connections

A Web Part is a modular unit of information that has a single purpose. Examples of Web Parts are:

The List View Web Part Makes lists on your site available to a Web Part Page.

The Content Editor Web Part Displays unstructured Web content, such as text, tables, or images.

The Image Web Part Displays a picture you specify, or connects to another Web Part that provides the picture.

The Form Web Part Displays a form you can use to enter text, and then use that text to filter columns in a connected Web Part.

An additional feature of Web Parts is the ability to easily connect them together by passing data between them and synchronizing their behavior. By connecting Web Parts, you can manage data in dynamic and interesting ways. Traditionally, the chore of connecting sets of data from different data sources has not been easy and has often required programming skills. But with Web Parts, making data connections is as simple as using menu commands. By connecting Web Parts, you can, for example, present data from two Web Parts in alternate views, perform related calculations between two Web Parts, and filter a Web Part using values from another Web Part — all on one Web Part Page.

Web Part Pages are easy to work with in many ways

Web Part Pages are designed to be easy to:

Create You create and access Web Part Pages in much the same way as you do any document or Web page in Microsoft Windows SharePoint Services. Using a browser, you open a simple form to name a Web Part Page, choose a standard template for organizing the layout of the page, and store it in a document library. Once created, Web Part Pages automatically inherit the theme of your site. Using a Windows SharePoint Services—compatible HTML editor such as Office FrontPage 2003, you can make advanced modifications to a Web Part Page, such as customizing a theme, modifying a template, or making a Web Part connection between different pages.

Design Using just your browser and the Web Part Page tool pane, you can quickly locate a Web Part from a Web Part gallery, import a Web Part from your computer, add a Web Part to the page, arrange Web Parts in one or more zones on the page, modify various common properties available to all Web Parts, and modify custom properties unique to each Web Part. Iteratively designing and viewing changes is simple and fast.

Deploy Close the tool pane to browse the Web Part Page and make sure it's working the way you want. No complex installation is required to make it available. Just send a hyperlink of the Web Part Page in e-mail when you finish creating or changing it to notify all users who have appropriate permission.

Use Web Part Pages are as easy to use as any Web page. You can access the same Web Part Page from your office or home. Other site Web Part Pages, such as the home page, the Document Workspace site, or the Meeting Workspace site are also available for you to modify.

Share You can quickly make unique instances of a Web Part, save these changes to a compact, portable Web Part Description file (.dwp), and then send this file via e-mail to other users. Other users can then import the Web Part to a Web Part Page, and site administrators can upload them to Web Part galleries. Many instances of Web Parts can be shared by multiple users without performance degradation because Web Parts are designed to scale well.

Personalize You can personalize the Web Part Page or Web Parts on it by changing the layout of the page, adding or removing Web Parts, changing the size, position, or appearance of the Web Parts, hiding or removing unused Web Parts, or changing the content inside the Web Part — all without affecting other users. In addition, site administrators can make changes to Web Part Pages that all users should see, such as adding a company logo, locking in place a critical Web Part on a page, or protecting an entire page from being changed.

Secure Site administrators can control who can access a Web Part Page, view or modify the list data in a List View Web Part, personalize the page, add or delete Web Parts, or modify Web Part properties by using the standard rights and site groups in Windows SharePoint Services. Web Parts must be installed by the site administrator and be secured before they are made available to users.

Extend Developers inside and outside your enterprise can create custom Web Parts for installation at your site. More importantly, because Web Parts are designed with a set of standard connection interfaces, they can be developed by different developers, but still be easily connected by users. Web Part developers can use an extensive Windows SharePoint Services Software Development Kit available from the SharePoint Products and Technologies Developer Center. In short, Web Part Pages are a platform for Web software development.

Ways to create and modify a Web Part Page

There are several ways to create and modify a Web Part Page.

The New Web Part Page form The most common way to create a Web Part Page is through the New Web Part Page form. After using this form to create a page, you can begin designing it right away in the browser. When you want to browse the page, you just close the tool pane.

An HTML editor Using an HTML editor compatible with Windows SharePoint Services, such as Microsoft Office FrontPage 2003, you can make advanced modifications to a Web Part Page, including the following:

  • Customize the theme of a specific Web Part Page, which uses the site theme by default.
  • Modify a Web Part Page template or create a new one.
  • Customize the page layout.
  • Modify zone properties.
  • Add HTML code or Web controls.
  • Change the way Web Parts stack inside a zone.
  • Add Web Parts outside a zone, or add a Web Part to a Web page that is not a Web Part Page..
  • Create connections between Web Parts on different Web Part Pages.
  • Publish a Web Part Page to a Web site that hosts Windows SharePoint Services.
  • Customize the Form Web Part and use the Data View Web Part.

A Programming environment Using a Windows SharePoint Services—compatible programming environment, such as Microsoft Visual Studio .NET, developers can exploit the full feature set of ASP.NET. A Web Part Page is an ASP.NET file (.aspx), and Web Parts are derived from Web Form Controls. To further enhance Web Part Pages, developers can create their own Web Parts that provide new functionality. Developers can also add custom properties to the Web Parts, custom builders in the tool pane for specialized user interfaces, and access to additional data sources unique to your enterprise through Web Part connections.

Designing a Web Part Page in a browser

Web Part Pages and Web Parts have a set of features and a consistent user interface that make them easy to create and customize in a browser.

About the design features of a Web Part Page

When you design a Web Part Page, you work with a template of one or more zones, and use a tool pane to modify it.

A blank SmartPage with the default template

1 Click the arrow to widen or narrow the tool pane.

2 The Web Part Page title bar can contain a title, caption, description and Company logo or other image.

3 Use the Web Part Page menu to add and modify Web Parts, design the page layout, and switch between personal and shared views.

4 The tool pane has a dual-purpose; to locate and add Web Parts, and to modify various properties.

5 Templates are like a structured canvas used to organize Web Parts into zones.

Accessing Web Parts stored in Web Part galleries through the tool pane

The tool pane makes it easy to locate and add Web Parts.

The ToolPane displays Web Part libraries and Web Parts

1 Browse and search for Web Parts in Web Part galleries or import them from a Web Part Description file (.dwp).

2 Click the Filter button to refine the list of Web Parts by lists, libraries, or other site-defined categories.

3 Most site list views are available through a List View Web Part.

4 Once you locate a Web Part, drag it into a zone on the Web Part Page.

About the design features of a Web Part

A Web Part has a consistent format within which you can make appropriate changes.

The basic components of a Web Part

1 In some cases, you can click the title to display a detailed description of the Web Part.

2 The Web Part has a title bar and frame that contains the body of the Web Part.

3 Click the Web Part menu to do common tasks: minimize the Web Part, modify properties, connect Web Parts, get help, and so on.

4 The body of the Web Part contains list data, images, and other useful content.

Viewing and modifying properties in the tool pane

There are two types of properties. Common properties are shared by all Web Parts and organized into three sections in the tool pane: Appearance, Layout, and Advanced. Custom properties, which many Web Parts have, are unique to the Web Part. These properties are often displayed in a separate section above and sometimes below the common properties sections, but may also be displayed in a Miscellaneous section at the bottom of the tool pane.

The ToolPane displays Web Part properties

1 Click the plus (+) or minus (-) button to expand and contract each property section.

2 Modify custom properties for Web Parts (if they have them) in the custom properties section.

3 Modify common properties for all Web Parts in the Appearance, Layout, and Advanced sections.

4 Click OK or Apply to save your property changes.

Benefits of Web Part Pages

Web Part Pages provide crucial benefits to you as a knowledge worker because:

  • They bring disparate but related information together on one page, so you can easily summarize and expose the details you need to make quick, effective decisions.
  • Information that was previously stored in incompatible applications, different data sources, and uncoordinated Web pages is now available through one convenient and integrated portal page, so you can save time and conveniently access this information.
  • They are Web pages that you can design right inside the browser, so you can see and deploy your design changes instantly.
  • They organize critical and useful information into a mini—application, to make it easy to satisfy your business and personal information needs.
  • Web Parts are designed to be reusable, shareable, and scalable, so it's easy to distribute critical content and tasks to a few or to many users.
  • You can better control and interact with the information you need each day to do your job, so you become more productive and efficient.
  • You can tailor content and data to fit your environment and style, so you can work the way that suits you best.
  • They are made up of one or more Web Parts that use a consistent user interface for the title bars, frames, menu commands, and properties, so that once you know how to use and modify one Web Part, you know how to use and modify all Web Parts.


About Web Part Page templates

About Web Part Page templates

The purpose of a Web Part Page template is twofold: To organize the layout of a Web Part Page into zones, and to arrange one or more Web Parts inside these zones.

Overview of Web Part Page templates

When you first create a Web Part Page, you can choose from one of eight templates. Each template is organized into one or more zones with a unique name. A descriptive name and an animated thumbnail image help you choose the best template to fit your needs. Templates help you quickly decide the layout of a page so you can begin designing the page right away. Typically, you add one or more Web Parts to one or more zones when you first design a page. When there are two or more Web Parts in a zone, they are stacked either vertically or horizontally, depending on the template and the zone.

Web Part Page template

If there are no Web Parts in a zone, the zone collapses (unless the zone has a fixed width or height) and the other zones expand to fill unused space when you browse the page.

Modifying Web Part Page templates

Once you choose a template and create the Web Part Page, you cannot change the template from a browser. In most cases, the supplied templates will be sufficient for the page you are creating. However, there are times you may need to modify an existing template or design your own template. For example, your page might grow more complex than you originally anticipated, or the purpose of the page might change. If you need more control over your templates, you can use an HTML editor that is compatible with Windows SharePoint Services from Microsoft, such as Microsoft Office FrontPage 2003. For more information, see the documentation of the HTML editor program you use.


About Web Parts

About Web Parts

A Web Part is is a modular unit of information that has a single purpose and that forms the basic building block of a Web Part Page. A Web Part is actually composed of two basic files, often requires additional resource files, and its property values are stored in database tables. Understanding how Web Parts work can help you share them in more creative and interesting ways and avoid problems.

Overview of the Web Part design

The following diagram summarizes the design of Web Parts, using the Image Web Part as an example.

Overview of the Web Part Architecture

1 The Image Web Part description file (.dwp) is a portable container of default and personalized property values for the Image Web Part.

2 The Image Web Part assembly file (.dll) contains the logic and code for the Image Web Part, and is installed on a site server.

3 Resource files that support the Image Web Part are also stored on the site server.

4 Tables in the Windows SharePoint Services database are used to store current values of the Image Web Part properties.

There are two important concepts to understand about the way Web Parts have been designed:

  • There is one Web Part assembly file, but there may be several instances of the Web Part used at your site (or even at other sites). Each instance of a specific Web Part may be similar or different in appearance and behavior, but it is based on the same Web Part assembly file installed on the site server. There can also be code for more than one Web Part in a Web Part assembly file.
  • For a Web Part to work properly, you must have both files, as well as any additional resource files, available to you at your site. This is usually not an issue for Web Parts that are built in to Microsoft Windows SharePoint Services, but can be an issue for a Web Part obtained from another site or source.

The Web Part description file (.dwp)

A Web Part description file is an XML text file with the extension .dwp. It can contain the following:

  • Property names and settings for the instance of this Web Part.
  • A reference to its companion Web Part assembly file (.dll).
  • If a user has personalized a Web Part, changes to any common and custom property settings.

For example, here is the Web Part description file for the Image Web Part:

<?xml version="1.0" encoding="utf-8"?>
<WebPart xmlns:xsd="http://www.w3.org/2001/XMLSchema"
     xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
     xmlns="http://schemas.microsoft.com/WebPart/v2"> (1)
  <Title>Image Web Part</Title>
  <FrameType>Default</FrameType>
  <Description>Use to display pictures and photos.</Description>
  <IsIncluded>true</IsIncluded>
  <ZoneID>LeftColumn</ZoneID>
  <PartOrder>1</PartOrder>
  <FrameState>Normal</FrameState>
  <Height /> (2)
  <Width />
  <AllowRemove>true</AllowRemove>
  <AllowZoneChange>true</AllowZoneChange>
  <AllowMinimize>true</AllowMinimize>
  <IsVisible>true</IsVisible>
  <DetailLink />
  <HelpLink />
  <Dir>Default</Dir>
  <PartImageSmall />
  <MissingAssembly />
  <PartImageLarge>/_layouts/images/msimagel.gif</PartImageLarge> (3)
  <IsIncludedFilter />
  <Assembly>Microsoft.SharePoint, Version=11.0.0.0, Culture=neutral,
     PublicKeyToken=71e9bce111e9429c</Assembly>
  <TypeName>
    Microsoft.SharePoint.WebPartPages.ImageWebPart
</TypeName>
</WebPart> (1)

1 The WebPart element identifies this XML code as a Web Part description file and contains the remaining elements in the file.

2 If the property value is blank, the Web Part uses the default values stored in the database tables.

3 I f the property value is not blank, the Web Part overrides the default value and uses the new value for this instance of the Web Part.

When Windows SharePoint Services is first installed, a Web Part description file is often stored in the Site Web Part Gallery. Other instances of this Web Part description file are created over time as users export Web Parts, and as site administrators upload and download Web Parts.

The Web Part assembly file (.dll)

The Web Part assembly file is an ASP.NET Dynamic Link Library file (.dll) that contains the logic and code of the Web Part. It is a companion file to the Web Part description file. However, for all instances of a particular Web Part on a site, there is only one assembly file. This assembly file contains managed code that derives from an ASP.NET Web Form Control (def). Managed code is essential to make the Web Part work because a Web Part Page is an ASP.NET Web page (.aspx).

When Windows SharePoint Services is installed, the Web Part assembly file for each Web Part is installed on the site server. Over time, additional custom Web Parts may be installed by the site administrator. In addition, any resource files required by the Web Part, such as images, alternate language files, and other auxiliary files, are installed in system folders on the site server. To ensure that a Web Part is safe, it must registered by the site administrator as a safe control.

Web Part properties

Each Web Part shares a set of common properties (also called base class properties) organized into sections in the tool pane that control its appearance (such as the title, height and width), layout (such as the Web Part order in the zone and the direction of the content), and advanced characteristics (such as the image icon and description).

Many Web Parts also have custom properties that are unique to the Web Part. These are usually displayed either above or below the common Web Part properties in the tool pane. For example, the Image Web Part has additional custom properties, including the image link, it's horizontal and vertical alignment, and background color.

Note Depending on how the Web Part was created, in some cases a Web Part custom property may be displayed in a default Miscellaneous section below the common properties in the tool pane.

There are three types of Web Parts:

An instance of a Web Part can be classified as one of three types:

Shared Web Part A Web Part added to a Web Part Page by a user who is creating or making changes to the Web Part Page in shared view. Shared Web Parts are available to all users of a Web Part Page with appropriate permission.

Personalized Web Part A shared Web Part with one or more property values modified by a user who has made changes to the Web Part in personal view. The changes made to the personalized Web Part are only available to the user who made those changes. However, other users who did not make changes in personal view continue to see the shared Web Part.

Private Web Part A Web Part that a user has added to a Web Part Page from a Web Part gallery or imported from a computer while creating or making changes to the Web Part Page in personal view. Private Web Parts are only available to the user who added or imported the Web Part. No other users can see private Web Parts.

The type of Web Part you are working with can be important because:

  • You may have permission to modify only some types of Web Parts on certain Web Part Pages, but not on other Web Part Pages.
  • You may be able to connect to certain types of Web Parts on a Web Part Page, but not to other types of Web Parts on the same Web Part Page.

Benefits of the Web Part design

There are significant benefits to the Web Part Architecture and to separating the instances of the Web Part description files (.dwp) from the Web Part assembly file (.dll).

Shareability Users can easily personalize Web Parts without affecting other users' instances of the same Web Part. Users and site administrators can easily share instances of Web Parts, either by sending the Web Part description file through e-mail or by transferring the Web Parts to other site galleries.

Transportability A primary advantage of the Web Part description file is that it is small and therefore easy to transport and duplicate. When you export, import, download, or upload a Web Part, the Web Part description file is the one you actually manipulate.

Performance Because the Web Part assembly file is precompiled code, it speeds up the execution of the Web Part Page. The Web Part Page does not have to interpret extensive code and logic. Because there is only one assembly file to install, site administrators have simple methods to "throttle" and control a Web Part or the number of Web Parts to ensure that no one user or Web Part Page can consume too many system resources.

Scalability Because Web Part properties are stored in database tables, many users can share Web Parts and create many instances of Web Parts without degrading overall system performance. Furthermore, you can balance workload or streamline Web Part installation by developing a Web Part Package file (.cab) and deploying Web Parts in a Virtual Server Web Part Gallery.

Security By using the standard rights and site groups in Microsoft Windows SharePoint Services, a site administrator can control who can access a Web Part Page, view or modify List View Web Part data, personalize the Web Part Page, add or delete Web Parts, or modify Web Part properties. A site administrator can also control which Web Parts are installed on a site and whether or not they can run on that site.

Maintenance Site administrators can easily control which Web Parts run on a site by controlling the installation of the Web Part assembly file. In addition, if a Web Part needs changes, or if a new version with added features becomes available, site administrators need to install only the new assembly file and any new resource files for all instances of the Web Part to see the new changes and features.

About importing and exporting Web Parts

Web Parts are highly portable and are designed to be easy to export, transport, and import. When you personalize a Web Part or when a site administrator makes a change to a Web Part Page for all users, you or the site administrator may want to share it with other users at your site or even another site. For example:

  • You can export the Web Part from a Web Part Page, and then send the Web Part description file (.dwp) in e-mail to other users. Other users can then import the Web Part onto a Web Part Page. Alternatively, a site administrator could upload the Web Part directly into a Web Part gallery so all users can access it.
  • A site administrator can export a Web Part from a Web Part gallery and then save the file to a public location. Other users can then import the Web Part onto a Web Part Page. Or, another site administrator can upload the Web Part description file into another Site Web Part Gallery.

In all cases, it's important to ensure that the Web Part assembly file is also installed on the new site so that the new Web Part you created can run on the new site.

Note You cannot export a List View Web Part. Lists are specific to a site and cannot be transported to other sites in the same way as other Web Parts. If you want to move list data from one site to another, you can export the list data from one site, and then import the data into a list to the other site, which will then automatically add a List View Web Part of the new list data to the other Site Web Part Gallery.


About the Web Part Page title bar

About the Web Part Page title bar

The title bar of a Web Part Page contains a title, caption, description, and image. An administrator or a user with sufficient rights to modify a Web Part Page for all users can add, modify, or remove these items. The title, caption, description, and image are optional and can be changed for all users who share the Web Part Page. However, they cannot be personalized for an individual user.

An administrator can also enable anonymous access to a server running Windows SharePoint Services from Microsoft. By doing so, an authentication button is automatically displayed on the Web Part Page to let users sign in. A user signs in to a Web Part Page to see or specify personal settings for the page.

The following components make up the Web Part Page title bar:

Title The main text heading in the title bar of a Web Part Page. Initially, it is set to a value based on the file name of the page. Because the title is optional, you can change or delete it. There is no limit to the length of the title. However, because a long title takes up considerable space on a Web Part Page, you may want to balance the title bar with the rest of the Web Parts on the page.

Caption A supplemental description for a Web Part Page. The caption is optional. If it exists, it is displayed above the title in the title bar of the Web Part Page. The maximum length of a caption is 100 characters.

Description Supplemental information for the title or caption of a Web Part Page. The description is optional, and if it exists, it is displayed when users rest their mouse pointer on the title or caption of a Web Part Page. The maximum length of a description is 255 characters.

Image An image such as a company logo, which appears to the left of the Web Part Page title. The image is optional. By default, it is set to a logo that you can remove or replace. An image is displayed at the size in which it is provided. The location of the image file can be specified as either a Web address or a file path. The supported file extensions for image files are .bmp, .gif, .jpg, .jpeg, and .pict.

Authentication Button A server running Windows SharePoint Services has anonymous access disabled by default, and automatically prompts users to sign in before they access the server. Alternatively, an administrator can enable anonymous access and allow users to sign in only when they want to see or specify personal settings for a Web Part Page on the server.

Whenever anonymous access is enabled for a server running SharePoint Portal Server, an authentication button appears on the Web Part Page title bar on that server. The button appears as a sign-in button when no user has signed in. When a user clicks the button, a login prompt allows users to type authentication information such as a user name and a password. If a user is successfully authenticated, the Web Part Page will show all personal settings that the user has set for that page.


Placeholder (Was About authenticating Web Part Page users)

Placeholder (Was About authenticating Web Part Page users)

Anonymous access allows a user to access a Web site without first having to sign in and be authenticated. A server running Windows SharePoint Services from Microsoft has anonymous access disabled by default. Users must be authenticated before accessing any Web Part Pages on the server.

An administrator for the Windows SharePoint Services site can enable anonymous access. When anonymous access is enabled, an authentication button appears on the title bar of a Web Part Page. A user can click the button to sign in to a Web Part Page. Before a user is authenticated, he or she can view the Web Part Page with its current global settings, but cannot modify the page. After the user is authenticated, the user can see his or her personal page settings.


Data Recovery Planning

Data Recovery Planning

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Placeholder

Placeholder

Placeholder topic


About Web browser support for Web Part Pages

About Web browser support for Web Part Pages

Web browser support for Web Part Pages can be categorized into 3 levels:

  • Level 1 support is the highest level of visual and functional support. Browsers that provide level 1 support include Microsoft Internet Explorer 5.5 and later for Microsoft Windows.
  • At level 2 support, a few visual and functional features are not available to some browsers, and some other features are compromised and behave differently than in level 1 browsers. However, the majority of features are still available to users. Browsers that provide level 2 support include Microsoft Internet Explorer 5.01 SP3 for Windows and Netscape Navigator 6.2 and above for Windows.
  • Level 3 support allows users to access the data they need, with an acceptable though not necessarily optimal user experience. These browsers behave with minor differences across operating systems, and such differences are not always addressed with alternate support. Browsers that provide level 3 support include Microsoft Internet Explorer 5.2 for Macintosh and Netscape Navigator 6.2 for Macintosh and Unix.
Browser level support

The following table shows the level of support that some common browsers provide.

Browser | Operating system | Level 1 | Level 2 | Level 3
Internet Explorer 5.5x | Windows | Yes |  |
Internet Explorer 6.x | Windows | Yes |  |
Internet Explorer 5.01 SP3 | Windows |  | Yes |
Navigator 6.2+ | Windows |  | Yes (with exceptions - see table below) |
Navigator 6.2 | Unix |  |  | Yes
Navigator 6.2 | Macintosh |  |  | Yes
Internet Explorer 5.2 | Macintosh |  |  | Yes
Browser level support details

The following table shows in detail the visual and functional support provided by some common browsers.

Feature Area | Internet Explorer 5.01 SP3 | Internet Explorer 5.5 | Internet Explorer 6 | Netscape 6.2+
Create a Web Part Page | Yes | Yes | Yes | Yes
Browse a page with Web Parts | Yes | Yes | Yes | Yes
Browse a page with Web Part connections | Yes | Yes | Yes | Yes
Restore and minimize a Web Part | Yes | Yes | Yes | Yes
Delete a Web Part | Yes | Yes | Yes | Yes
Drag and drop when adding Web Parts from a library | No | Yes | Yes | No
Drag and drop Web Parts when designing a page | No | Yes | Yes | No
Import a Web Part | Yes | Yes | Yes | Yes
Create Web Part connections | No | Yes | Yes | No
Switch between shared and personal views | Yes | Yes | Yes | Yes
Create or modify a Web Capture with the Web Capture tool | Yes | Yes | Yes | No
Drop down menus on Web Parts and Web Part Pages | No | Yes | Yes | No
Page menu in place of drop down menu for modifying a page | Yes | No | No | Yes
Expand or collapse a tool part | Yes | Yes | Yes | No
Drop down menu on tool pane when adding Web Parts | No | Yes | Yes | No
Menu bar in place of drop down menu on tool pane | Yes | No | No | Yes
Overall tool pane functionality | Yes | Yes | Yes | Yes
Close Web Part | Yes | Yes | Yes | Yes
Filter Web Parts when browsing libraries | Yes | Yes | Yes | Yes
Upload multiple files to the Document Library | Yes | Yes | Yes | No
Modify Web Part properties | Yes | Yes | Yes | Yes
Custom property builders | Yes | Yes | Yes | No
Web Part Page Services Component | Yes | Yes | Yes | No


Complete a Web Part connection

Complete a Web Part connection

To complete a Web Part connection, in some cases you may need to provide additional information, such as the connection type or a column you want to filter. You can use two dialog boxes: the Choose Connection dialog box and the Create/Edit Connection dialog box.

Note Depending on how one or both of the Web Parts were created, you may see additional dialog boxes that are unique to the Web Part connection. For more information, see the help information, if any, for the custom Web Part.

The Choose Connection dialog box

You use the Choose Connection dialog box when the Web Part you are connecting to has several compatible connection types available, and you need to select the one you want. For example the List View Web Part has three connection types, Provide Row To, Provide View Data To, and Get Sort/Filter From.

In the Connection type list box, select one the connection types. These are the same connection type commands you see in the Connections submenu under the Web Part menu.

Create/Edit Connection dialog box

You use the Create/Edit Connection dialog box to match columns between the Web Part getting the data and the Web Part providing the data.

Note It's possible you can make a connection that is correct, but not meaningful. For example, The Web Part providing the data may have a product ID column and the Web Part getting the data has an employee ID column. Although you can match these columns, the results will not make sense.

In the Column list box, either select a column from the Web Part that's getting the data, or the Web Part that is providing the data, or both.

The following are common examples:

Matching a row of data in one Web Part to a cell or field of data in another Web Part

The Web Part you are connecting from is a Contacts List View Web Part. One of the columns in the list view is a column containing a hyperlink called Photo that contains a URL to a picture of the contact. You make a connection to the Image Web Part, which can only display a URL containing a picture. You need to choose the Photo column from the Contacts Web Part to provide the correct match to the Image Web Part.

Matching a row of data in one Web Part to a column of data in another Web Part so you can filter it

The Web Part you are connecting from is a List View Web Part containing order data. One of the columns in the list view is a column containing a line item called OrdersDetailsID. You make a connection to another List View Web Part, which has several columns containing order details, one of which is a matching column called OrdersDetailsID. To connect the two Web Parts so that when you select the Order in one Web Part it displays each line item for that order in the other Web Part, you must match the OrdersDetailsID columns in each Web Part.

Note The column name does not have to be the same, but the underlying data needs to match, or have the same value.

Related Topics

About connecting Web Parts
Create or modify a connection between two Web Parts
Delete a connection between two Web Parts


Create or modify a connection between two Web Parts

Create or modify a connection between two Web Parts

Using simple menus and dialog boxes, you can connect Web Parts together by passing data between them and synchronizing their behavior. For example, if you have a List View Web Part of Contacts with a column that has a hyperlink to a picture of the contact and the Image Web Part Web Part on a Web Part Page, you can connect the two Web Parts together. Each time you select a row in the List View Web Part of Contacts, you can see the picture displayed in the Image Web Part.

  1. Open the Web Part Page.
  2. On the Web Part Page title bar, click Modify Shared Page/Modify My Page, and then click Design this Page.
  3. Decide which two Web Parts you want to connect. You can create or modify the same connection starting from either Web Part.
  4. From either one of the Web Parts, click the Web Part menu, and then move the pointer over Connections.

    Note This menu command may not be enabled or visible on your Web Part Page for several reasons, including the Web Part or the zone does not support connections, you are not using the correct browser, or connections are disabled at your site.

  5. From the connection type submenu, select the type of connection you want to create or modify, such as Provide Row To or Filter Data With.

    Note The connection type submenu can vary from Web Part Page to Web Part Page and Web Part to Web Part for several reasons, including the property settings for the Web Part Page, Web Part, or Web Part zone, the type or compatibility of Web Parts on the page, and whether or not the Web Parts have compatible connection types.

  6. From the available Web Parts submenu, select the Web Part for which you want to create or modify a connection.

    Note Only Web Parts that can be connected will appear on the available Web Parts submenu. Some Web Parts on the Web Part Page may not be designed to make connections, some Web Parts may not support making connections to the current Web Part, or certain connection limits may currently be exceeded.

  7. For some Web Part connections, you might need to select additional information in the Choose Connection and Create/Edit Connection dialog boxes. Follow the instructions in the dialog boxes, and click Help for more information, if it is available.

Related Topics

About connecting Web Parts
Delete a connection between two Web Parts


Common Web Part properties

Common Web Part properties

All Web Parts share a common set of properties that control their appearance, layout, and advanced characteristics. The common Web Part properties are listed below with their corresponding base class property name in parentheses.

About viewing the common properties in the tool pane

This topic describes all the common Web Part properties. However, the common Web Part properties you see in the tool pane may be different than what is documented in this topic for several reasons:

  • To see the Advanced section in the tool pane, you must have appropriate permission.
  • For a specific Web Part, a Web Part developer may have chosen not to display one or more of these common properties, or may have chosen to create and display additional properties not listed below in the Appearance, Layout, and Advanced sections of the tool pane.
  • Some permissions and property settings may disable or hide Web Part properties.

Appearance

Title (Title)

Specifies the title of the Web Part displayed in the Web Part title bar.

Type a string in the text box. To make it easier to edit a long string, click Text Builder Button image .

Height (Height)

Specifies the height of the Web Part.

Do one of the following:

  • To specify a fixed height, select Yes, type a positive number in the text box, and then select a unit of measurement. The following are valid units of measurement: Centimeters, Inches, Millimeters, Points, Picas, and Pixels (the default).
  • To automatically adjust the height of the Web Part in the zone, select No. This is the default.

Width (Width)

Specifies the width of the Web Part.

Do one of the following:

  • To specify a fixed width, select Yes, type a positive number in the text box, and then select a unit of measurement. The following are valid units of measurement: Centimeters, Inches, Millimeters, Points, Picas, and Pixels (the default).

To automatically adjust the width of the Web Part in the zone, select No. This is the default.

Frame State (FrameState)

Specifies the initial state of the Web Part frame.

Do one of the following:

  • To display only the Web Part title bar, select Minimized.
  • To display the entire Web Part, select Normal. This is the default.

Frame Style (FrameType)

Specifies the style of the Web Part frame.

Do one of the following:

  • To use the value of the FrameType Web Part zone property specified, select Default. This is the default.
  • To display the content, but not the title bar and frame, select None.
  • To display the title bar, content, and frame, select Title Bar and Border.
  • To display the title bar and content, but no frame, select Title Bar Only.

Layout

Visible on Page (IsVisible)

Specifies whether the Web Part is displayed or hidden when browsing the Web Part Page. The Web Part is still visible when you are designing the page and has the suffix (hidden) appended to the title.

You might make a Web Part hidden if you want to use it to provide data to another Web Part through a Web Part connection, but don't need to display the Web Part.

Do one of the following:

  • To display the Web Part, select the check box. This is the default.
  • To hide the Web Part, clear the check box.

Direction (Dir)

Specifies the direction of the text in the Web Part content. For example, Arabic and Hebrew are right-to-left languages; English and most other European languages are left-to-right languages.

Do one of the following:

  • To automatically choose a text direction based on the language setting of the site or subsite the Web Part Page is located in, select Default. This is the default.
  • To set the text direction to read left to right, select Left to Right.
  • To set the text direction to read right to left, select Right to Left.

Zone (ZoneID)

Specifies the zone on the Web Part Page where the Web Part is located.

To choose a zone, select a zone name from the list.

Note Zones on the Web Part Page are not listed in the list box when you do not have permission to modify the zone.

Part Order (PartOrder)

Specifies the position of the Web Part in a zone when the zone contains more than one Web Part.

To specify the order, type a positive integer in the text box.

A value of 1 means the Web Part is placed at the top of the zone, if the Web Parts in the zone stack from top to bottom, or to the left of the zone, if the Web Parts in the zone stack from left to right.

For example, when you add a Web Part to an empty zone that stacks from top to bottom, the Part Order is 1. When you add a second Web Part to the bottom of the zone, its Part Order is 2. To move the second Web Part to the top of the zone, type 1, and then type 2 for the first Web Part .

Note Each Web Part in the zone must have a unique Part Order number. Therefore, changing the Part Order value for the current Web Part can also change the Part Order value for other Web Parts in the zone.

Advanced

Allow Minimize (AllowMinimize)

Specifies whether or not the Web Part can be minimized.

Do one of the following:

  • To allow a Web Part to be minimized, select the check box. This is the default.
  • To prevent a Web Part from being minimized, clear the check box.

Allow Close (AllowRemove)

Specifies whether or not the Web Part can be removed from the Web Part Page.

Do one of the following:

  • To allow a Web Part to be closed, select the check box. This is the default.
  • To prevent a Web Part from being closed, clear the check box.

Allow Zone Change (AllowZoneChange)

Specifies whether or not the Web Part can be moved to a different zone.

Do one of the following:

  • To allow a Web Part to be moved to a different zone, select the check box. This is the default.
  • To prevent a Web Part from being moved to a different zone, clear the check box.

Allow Export Sensitive Properties (ExportSensitiveProperties)

Controls whether a user can export to a Web Part description file (.dwp) the values of one or more specific properties when making changes to a Web Part Page in personal view. This property also controls whether a Web Part property can be accessed by the Web Part Services Component (WPSC) that runs on the client computer or used in the default web service.

The ExportControlledProperties property is useful for preventing the viewing and distribution of one or more property values that may contain sensitive information, such as a social security number, a credit card number, or a connection string.

To enable the ExportControlledProperties property, the developer of the Web Part must mark the specific Web Part properties with the ControlledExport attribute by setting the attribute value to True.

After the Web Part is installed at a site and uploaded to a Web Part gallery, the ExportControlledProperties property of the Web Part is False by default, which means one or more of the Web Part's properties marked as sensitive by the ControlledExport attribute cannot be exported in personal view, accessed through the WPSC, and used in the default web service. However, a site administrator or user with permission can still set the ExportControlledProperties property to True, if desired or necessary. For more information about how to use this property, see the Windows SharePoint Services Software Development Kit.

Do one of the following:

  • To prevent a user from exporting values of the specified properties in personal view, access by the Web Part Services Component (WPSC) that runs on the client computer, or used in the default web service, clear the check box (The sets the property value to False). This is the default.
  • To allow a user to export values of the specified properties in personal view, access by the Web Part Services Component (WPSC) that runs on the client computer, or used in the default web service, select the check box (This sets the property value to True).

Detail Link (DetailLink)

Specifies the URL of a file containing additional information about the Web Part. The file is displayed in a separate browser window when you click the Web Part title.

Type a file path or hyperlink in the text box. To make it easier to edit a long string, click Text Builder Button image .

Description (Description)

Specifies the ScreenTip that appears when you rest the mouse pointer on the Web Part title or Web Part icon. When you search for Web Parts by using the Search command on the Find Web Parts menu of the tool pane, the value of this property is used when searching the following Web Part galleries: Site, Virtual Server, and Web Part Page.

Type a string in the text box. To make it easier to edit a long string, click Text Builder Button image .

Help Link (HelpLink)

Specifies the location of a file containing help information about the Web Part. The help information is displayed in a separate browser window when you click the Help command on the Web Part menu.

Type a file path or hyperlink in the text box. To make it easier to edit a long string, click Text Builder Button image .

Icon File (Large) (PartImageLarge)

Specifies the location of a file containing a large Web Part icon. The image size must be 16 by 16 pixels.

Type a file path or hyperlink in the text box. To make it easier to edit a long string, click Text Builder Button image .

Icon File (Small) (PartImageSmall)

Caution This property is reserved for future use by Microsoft, and the value is not saved if you enter it in the tool pane.

Missing Assembly Error (MissingAssembly)

Specifies a message that appears if the Web Part assembly file is missing or incorrect.

Type a string in the text box. To make it easier to edit a long string, click Text Builder Button image .

Is Included Filter (IsIncludedFilter)

Note The name of this property in the tool pane can be customized by a site administrator or Web Part developer and may be different than the name "Is Included Filter."

Specifies a query string with criteria defined by a developer or site administrator to determine whether or not to display the Web Part. This property is used by developers who want to customize Microsoft Windows SharePoint Services to target the display of Web Parts for certain groups of people. This property is not displayed in the tool pane if it is not used, and it is always the last property displayed in the Advanced section of the tool pane. For more information about how to use this property, see the Windows SharePoint Services Software Development Kit

Type a string in the text box. To make it easier to edit a long string, click Text Builder Button image .


Create a Document Workspace

Create a Document Workspace

Do one of the following:

Create a private Document Workspace site for a document that is already published in a document library

  1. In a Web browser, go to the document library where the document is stored.
  2. Point to the name of the document, click the Edit arrow that appears, and then click Create Document Workspace.

Tip

After you have worked on the document in the Document Workspace, you can update the original copy in the document library. In the Document Workspace, click the arrow next to the document, and then click Publish to Source Location.

Create a Document Workspace site in a Web browser

  1. Go to a Microsoft Windows SharePoint Services Web site where you have permission to create Document Workspaces.

    Note You may need to contact an administrator to grant you permission to create Document Workspaces.

  2. On the top link bar, click Create.
  3. On the Create page, under Web Pages, click Sites and Workspaces.
  4. Enter a title, description, and URL, and click a permission setting; then click Create.
  5. On the Template Selection page, click Document Workspace in the Template box, and then click OK.


Customize the Web Part Page title bar

Customize the Web Part Page title bar

An administrator or a user with sufficient rights to modify a Web Part Page for all users can add, modify, or remove the title, caption, description, and image for a Web Part Page. The administrator or user can do so only in shared view.

To customize the title bar of a Web Part Page
  1. If you are in personal view, click Modify My Page, and select Shared View to change to shared view.
  2. Click Modify Shared Page.
  3. Point to Modify Shared Web Parts, select Web Part Page Title Bar.
  4. You can modify these attributes of the title bar on the tool pane: title, caption, description, and image link.
  5. To save your changes and close the tool pane, click OK. To view your changes without closing the tool pane, click Apply.


About the Content Editor Web Part

About the Content Editor Web Part

You can use the Content Editor Web Part to add formatted text, tables, hyperlinks, and images to a Web Part Page.

Important

  • The Content Editor Web Part is intended for adding HTML content to a Web Part Page, it is not designed to link to a Web site. If you need to link to a Web site, consider using the Page Viewer Web Part.
  • The HTML <FORM> element is not allowed in the Content Editor Web Part. If you need to add a Web Part that uses the <FORM> element, consider using the Page Viewer Web Part or the Form Web Part.

Ways you can use the Content Editor Web Part

You might use the Content Editor Web Part to add:

  • An introductory, formatted paragraph to a page.
  • A table of instructions to explain a chart on your page, the data behind the chart, and how it was graphed.
  • A set of hyperlinks to more information.

Important The HTML <FORM> element is not allowed in the Content Editor Web Part. If you need to add a Web Part to a page that uses the <FORM> element, consider using the Page Viewer Web Part or the Form Web Part.

Ways to enter content

There are three ways you can add content to the Content Editor Web Part:

Rich Text Editor Using this editor, you can type formatted content automatically without prior knowledge of HTML syntax. Use the buttons on the standard and formatting toolbars at the top of the window to enter and format the content. Click Help on the standard toolbar to display a summary of the tasks you can perform and their corresponding buttons.

Source Editor Using this editor, you can enter or modify HTML source code. The Source Editor is a plain text editor and is intended for users who have knowledge of HTML syntax.

Content Link Instead of editing content, you can link to existing content by entering a hyperlink to a text file containing HTML source code. The two valid hyperlink protocols you can use are:

  • Hypertext Transfer Protocol (http://)
  • Hypertext Transfer Protocol with privacy, which uses Secure Sockets Layer (SSL) encryption (https://)

You can use an absolute URL or a relative URL. However, you cannot use a file path.

Important If the Content Link property links to a file that is located outside the Microsoft Windows SharePoint Services site and the site does not have anonymous user access enabled, then you cannot access the file. For assistance, contact your site administrator.

Combining edited and linked content

You can combine edited and linked content to provide both primary and secondary information. For example, you could provide an error message as secondary information in the edited content, in case the linked content, or primary information, is not available. When you provide both edited and linked content, the linked content is always used first. If the linked content is not accessible, the edited content is used.

Related Topics

About the Page Viewer Web Part
About the Form Web Part


Content Editor Web Part custom properties

Content Editor Web Part custom properties

Important

  • The Content Editor Web Part is intended for adding HTML content, it is not designed to link to a Web site. If you need to link to a Web site, consider using the Page Viewer Web Part.
  • The HTML <FORM> element is not allowed in the Content Editor Web Part. If you need to add a Web Part that uses the <FORM> element, consider using the the Form Web Part or the Page Viewer Web Part.
  • You cannot view or edit any of these custom properties in personal view.

Rich Text Editor (Content)

Use to enter formatted text, tables, hyperlinks, and images.

Click Rich Text Editor to enter and modify content. Knowledge of HTML syntax is not required to use this editor.

Source Editor (Content)

Use to enter HTML source code into a simple text editor. Knowledge of HTML syntax is required to use this editor.

Click Source Editor to enter or modify HTML source code.

Content Link (ContentLink)

Use to enter a hyperlink to a text file containing HTML source code.

The two valid hyperlink protocols you can use are:

  • Hypertext Transfer Protocol (http://)
  • Hypertext Transfer Protocol with privacy, which uses Secure Sockets Layer (SSL) encryption (https://)

You can use an absolute URL or a relative URL. However, you cannot use a file path.

Important If the Content Link property links to a file that is located outside the Windows SharePoint Services site and the site does not have anonymous user access enabled, then you cannot access the file. For assistance, contact your site administrator.

To make it easier to edit a long string, click Text Builder Button image .

Related Topics

About the Page Viewer Web Part
About the Form Web Part


Content Editor Web Part summary

Content Editor Web Part summary
About the Content Editor Web Part
Rich Text Editor Button Summary
Content Editor Web Part custom properties
Overview of Web Part Pages


Placeholder

Placeholder

Note


Delete a connection between two Web Parts

Delete a connection between two Web Parts
  1. Open the Web Part Page.
  2. On the Web Part Page title bar, click Modify Shared Page/Modify My Page, and then click Design this Page.
  3. From either one of the Web Parts for which you want to delete the connection, open the Web Part menu and rest the mouse pointer on Connections. Make sure there is a check mark to the left of the Connections command.
  4. On the connection type submenu, move the pointer over the type of connection you want to delete — for example, Provide Row To or Filter With. Make sure there is a check mark to the left of the connection type.
  5. From the available Web Parts submenu, select the Web Part for which you want to delete a connection. Make sure there is a check mark to the left of the Web Part name.
  6. In the dialog box, click Remove Connection, and then click OK.


Placeholder (Was Edit Connection dialog box)

Placeholder (Was Edit Connection dialog box)

Placeholder topic for Edit Connection dialog box context-sensitive help.


Delete an alert for content on the portal site

Delete an alert for content on the portal site

Follow these steps to delete alerts.

Delete an alert

  1. On the title bar of the portal site, click My Site.
  2. In the Actions list, click Manage Alerts.

  3. Do one of the following:

    • Rest the pointer on the alert you want to delete, click the arrow that appears, and then click Delete on the menu that appears.
    • Click the alert title to view the alert. In the Actions list, click Delete Alert.

  4. Click OK.

Delete all alerts

  1. On the title bar of the portal site, click My Site.
  2. In the Actions list, click Manage Alerts.
  3. In the Actions list, click Delete All Alerts.
  4. Click OK.

Related Topics

Delete alert results
View and manage My Alerts
Add an alert
About alerts


Delete alert results

Delete alert results

Follow these steps to delete alert results.

Delete an alert result

  1. On the title bar of the portal site, click My Site.
  2. In the Actions list, click Manage Alerts.
  3. In the list of alerts, rest the pointer on the alert whose results you want to delete.
  4. Click the arrow that appears, and then click Delete.
  5. Click OK.

Note If you receive alert results in e-mail messages, you can click Delete These Results from My Alerts in the e-mail message and automatically delete the results listed in the message.

Delete all alert results

  1. On the title bar of the portal site, click My Site.
  2. In the Actions list, click Manage Alerts.
  3. Click Delete All Alert Results.
  4. Click OK.

Note This deletes all alert results but does not delete your alerts. You will continue to receive alert results.

Related Topics

Delete an alert
View and manage My Alerts
Add an alert
About alerts


Delete all alerts and alert results

Delete all alerts and alert results
  1. On the title bar of the portal site, click Site Settings.
  2. In the General Settings section, click Manage alerts settings.
  3. In the User Alerts Management section, click Manage user profiles to go to a page where you can delete or deactivate an individual user's alerts.
  4. On the Manage Alert Settings page, in the Delete All Alerts and Alert Results section, click Delete all alerts and alert results to remove all alerts and alert results stored in the portal site for all users.
  5. Click OK to confirm that you want to delete all alerts and alert results for all users.

    Important This action cannot be undone.

  6. In the Delete All Alert Results E-mail Messages section, click Delete all alert results e-mail Messages to remove all alert results e-mail messages waiting to be sent in the alerts notification queue.
  7. Click OK to confirm that you want to delete all unsent alert results in the queue.

    Important This action cannot be undone.

Related Topics

Add user information with user profiles
About configuring e-mail settings


Delete a listing

Delete a listing

Follow these steps to delete a listing from the portal site:

  1. On the page that displays the listing, click Manage Content.
  2. On the Documents and Lists page, in the Portal Listings section, click Portal Listings.
  3. Rest the pointer on the listing, click the arrow that appears, and then click Delete on the menu that appears.
  4. Click OK in the confirmation window that appears.

The listing is deleted.

Related Topics

Move a listing
Edit settings for a listing
About grouping and ordering content in an area


Delete a listing group

Delete a listing group

If a listing group is no longer useful, you can delete it. When a listing group is deleted, any listings assigned to that group are automatically moved into the General group.

  1. Go to an area page on the portal site.

    Note An area page is any area of the portal site other than the home page.

  2. In the Actions list, click Manage Content.
  3. On the Documents and Lists page, in the Portal Listings section, click Portal Listings.
  4. In the Views list, click Grouping and Ordering.
  5. In the Actions list, click Manage Groups.
  6. Rest the pointer on the name of the group that you want to delete, click the arrow that appears, and then click Delete on the menu that appears.
  7. Click OK.

Note The General, Expert, and Highlight groups cannot be deleted.

Related Topics

Change the order of listing groups
Rename a listing group
Add a listing group
About grouping and ordering content in an area


Delete a site group

Delete a site group

If you have that a site group is no longer useful, you can delete the group.

  1. On the title bar of the portal site, click Site Settings.
  2. In the General Settings section, click Manage security and additional settings.
  3. On the Manage security and additional settings page, click Manage site groups.
  4. On the Manage Site Groups page, select the check box next to the group you want to delete.
  5. Click Delete Selected Site Groups.
  6. Click OK.

Related Topics

Create a site group
Edit site group permissions
Manage security settings for an area
About site group security in SharePoint Portal Server


Microsoft Office SharePoint Portal Server 2003

Show All Show All
Hide All Hide All

Placeholder

Placeholder

Note


About issues reports

About issues reports

Four reports are set up for an issues list for you to track issue trends by category, by person, or over a given date range.

  • Issues by category

    This report shows the number of issues by category. You can filter on the category and status of the issues.

  • Issues by person

    This report shows the number of issues assigned to a user. You can filter on the status and the display name of the persons assigned to the issues.

  • Issues created over a date range

    This report shows the number of issues created over a given date range. Aside from the date range, you can filter on the display name of the persons who created the issues and the category of the issues.

  • Issues for a date range

    This report tracks the different types of issues over a given date range. Aside from the date range, you can filter on the category and status of the issues, and the display name of the persons assigned to the issues.

Note The charts in these reports can only be displayed if you have Microsoft Office Web Components and the Microsoft Office Web Parts and Components installed.


Turn email notification on or off

Turn email notification on or off

You can specify whether to send an email to a user when an issue has been assigned to that user and when the issue has been modified.

  1. On the top link bar, click Documents and Lists.
  2. Click the issues list for which you want to turn email notification on or off.
  3. Click Modify settings and columns on the left side bar.
  4. Under General Settings, click Change general settings.

  5. To turn on email notification

    Click Yes for Email Notification.

  6. To turn off email notification

    Click No for Email Notification.
  7. Click OK.


Assign an issue

Assign an issue

An issue can be unassigned or can be assigned to one user at a given time.

You can assign an issue to a user by editing an issue in an issues list. The user must have already been added as a user to your Microsoft Windows SharePoint Services site.

To assign an issue to a user
  1. On the top link bar, click Documents and Lists.
  2. Click the issues list that contains the issue you want to assign.
  3. Click the title of the issue.
  4. Click Edit Item.
  5. Click the drop down list for Assigned To to look up and select the display name for the user to whom you want to assign the issue.
  6. Click Save and Close.


View issue history

View issue history

The issue history of an issue shows for each of the previous edits of the issue, the user who edited the issue, the date and time of the edit, if any user was assigned the issue, and any comment for that edit. When you view an issues list, you can choose to view details of an issue in the list. These details includes the issue history.

To view the history of an issue
  1. On the top link bar, click Documents and Lists.
  2. Click the issues list that contains the issue you want to view.
  3. Click the title of the issue.
  4. View the history of the issue under Issue History.
  5. You can view the details of a version in history. To do that, under Issue History, click the title of the version that you want to view.


Troubleshooting issues and issues reports

Troubleshooting issues and issues reports

I removed a related issue and when I returned to view the issue, the change had not been made.

After you remove a related issue, or in general after you have edited an issue, you must click Save and Close to save the changes.


Add or remove a related issue

Add or remove a related issue

You can add related issues to an issue, or remove related issues, by editing the issue in an issues list. When you add one issue as a related issue to another issue, all other issues that are already related to each of these two issues become related to one another as well.

Add related issues to an existing issue or remove related issues
  1. On the top link bar, click Documents and Lists.
  2. Click the issues list that contains the issue you want to edit.
  3. Click the title of the issue.
  4. Click Edit Item.

  5. To add a related issue

    Type the Issue ID of the issue you want to add as a related issue.

    Note You cannot add an issue that is already a related issue.

  6. To remove a related issue

    Under the section Related Issues, click Remove for the issue that you want to remove as a related issue.

    Note Removing a related issue does not delete the issue from the issues list. It only removes its relationships with all other issues as a related issue.

  7. Click Save and Close.


About the issues list

About the issues list

The issues list helps you manage a set of issues. You can assign, prioritize, and follow the progress of issues from start to finish.

General list tasks

You can carry out operations on an issues list just as you do with other lists in Microsoft Windows SharePoint Services:

  • add or delete an issues list
  • add, remove, view or edit an item in an issues list
  • add or edit a column

    Note Certain columns are defined by default for an issues list. Values for the Issue ID, Created, Created By, Current, Modified, and Modified By columns are automatically generated and cannot be changed.

  • define options for a column, for example, the type of a column, possible values of a column, whether a column is required
  • assign values to columns, for example, status, category, priority, due date, comment, etc.
  • create views for an issues list based on columns
  • define a default view for an issues list by specifying which columns are displayed, column totals, display style, and item limit, and whether columns are sorted, filtered or grouped
  • display custom views of an issues list by filtering on columns

    Note There is quick access on the task bar for three commonly used views - All Issues, My Issues and Active Issues with All Issues being the default view. These views use a default filter with Current set to Yes.

  • attach a file to an issue
  • alert user when an issue is assigned to that user and when the issue has changed

For more information on these operations, see corresponding topics for lists in Windows SharePoint Services help.

Issues list-specific tasks

The following are tasks specific to the issues list:

  • Add or remove a related issue
  • Assign an issue
  • View issue history
  • View related issues
  • Resolve, close, or reactivate an issue
  • Turn email notification on or off
  • View reports of an issues list

Columns for Issues lists

The issues list is set up with the following columns:

  • Add Related Issue

    The Issue ID of an issue that is related to this issue.

  • Assigned To

    A choice value based on the users list of the Windows SharePoint Services site.

  • Attachments

    After you have attached a file to an issue, the file name is displayed whenever you edit the issue.

  • Category

    A choice value for organizing items into categories. Default choices are (1) Category1, (2) Category2, and (3) Category3.

  • Comment

    Multiple lines of text that you can use to describe an issue.

  • Created

    The time and date when an issue is created. This value is automatically generated when the issue is saved. This value cannot be changed.

  • Created By

    This column shows the display name of the user who created an issue. This value is automatically generated when the issue is saved. This value cannot be changed.

  • Current

    A check box value (i.e., Yes or No) indicating whether the most current version of an issue. This value is automatically generated when the issue is saved. This value cannot be changed.

    Views use a default filter of Current being Yes to show only the current version of each issue.

  • Due Date

    A date and time value indicating when an issue is expected to be completed.

  • Edit

    This column shows the edit icon for editing the issue.

  • Issue ID

    An integer that is automatically assigned to an issue when the issue is created. This value cannot be changed.

  • Modified

    The time and date when an issue is last modified. This value is automatically generated when the issue is saved. This value cannot be changed.

  • Modified By

    This column shows the display name of the user who last modified an issue. This value is automatically generated when the issue is saved. This value cannot be changed.

  • Priority

    A choice value indicating the level of importance of an issue. Default choices are (1) High, (2) Normal, and (3) Low.

  • Status

    A choice value indicating the current state of an issue. Default choices are Active, Resolved, and Closed.

  • Title

    A single line of text. You must enter a title when you create an issue.


Resolve, close, or reactivate an issue

Resolve, close, or reactivate an issue

An issues list has a Status column defined by default. The Status column has these default look up values: Active, Resolved, and Closed. When you create an issue, its default initial status is Active. You can resolve or close an issue by editing the issue and changing its status to Resolved or Closed respectively, and you can reactivate the issue by changing its status to Active.

To change the status of an issue
  1. On the top link bar, click Documents and Lists.
  2. Click the issues list that contains the issue you want to resolve, close, or reactivate.
  3. Click the title of the issue.
  4. Click Edit Item.

  5. To resolve an issue

    Click the drop down list for Status and select Resolve.

  6. To close an issue

    Click the drop down list for Status and select Close.

  7. To reactivate an issue

    Click the drop down list for Status and select Active.
  8. Click Save and Close.


View related issues

View related issues

When you view an issues list, you can choose to view details of an issue in the list. These details includes any related issues.

To view related issues of an issue
  1. On the top link bar, click Documents and Lists.
  2. Click the issues list that contains the issue you want to view.
  3. Click the title of the issue.
  4. View the list of related issues, if any, under Related Issues.


View reports of an issues list

View reports of an issues list To view reports of an issues list
  1. On the top link bar, click Documents and Lists.
  2. Click the issues list the reports for which you want to view.
  3. Click View Reports on the left side bar.
  4. Select the report that you want to view.

Note The charts in these reports can be displayed only if the Microsoft Office 2003 Web Components and the Microsoft Office 2003 Web Parts and Components (or later versions of these components) are installed.


About the Image Web Part

About the Image Web Part

You can use the Image Web Part to add a picture or graphic to a Web Part page. To more easily coordinate the image with other Web Parts on the page, you can control the vertical alignment, horizontal alignment, and background color of the image inside the Image Web Part by modifying its custom properties in shared view.

Ways you can use the Image Web Part

You might use the Image Web Part to:
  • Add a corporate or project logo to a page.
  • Display photos of employees or products.
  • Make the page more visually appealing.

Ways you can display an image

There are two ways you can display an image:

  • Enter a file path or hyperlink to the image file in the Image Link property text box. In this case, the image is static and does not change (unless you modify the property).
  • Connect the Image Web Part to another Web Part that provides the file path or hyperlink. In this case, the image can be dynamic and change based on an action in the other Web Part, such as a user selecting a row in a List View Web Part.

    For example, you can connect a List View Web Part containing Contacts to the Image Web Part. Each time you select a row in the Contacts List View Web Part that contains a column with a hyperlink to a file containing a picture of that contact, you can see the picture of the contact displayed in the Image Web Part.

Note If the Image Link property already has a value and you connect the Image Web Part to another Web Part, the Image Link property is ignored. If the Image Web Part is already connected to another Web Part, and you want to set a value for the Image Link property, you must first remove the connection.

Related Topics

About connecting Web Parts


Image Web Part custom properties

Image Web Part custom properties

Note You cannot view or edit any of these custom properties in personal view.

Image Link (ImageLink)

Specifies a file path or hyperlink to the image you want displayed in the Image Web Part.

Depending on the browser you are using, supported graphic file formats include the following:

Graphic File Format | File Type
Windows Bitmap (BMP) | .bmp
Windows Enhanced Metafile (EMF) | .emf
Graphics Interchange Format (GIF) | .gif
Joint Photographic Experts Group (JPEG) | .jpg, .jpeg
Portable Network Graphics (PNG) | .png

To ensure you have typed the correct hyperlink or path, click Test Link , which displays the hyperlink or file in a separate browser window.

To make it easier to edit long strings, click Text Builder Button image .

Note The Image Link property may not be available because the Image Web Part is connected to another Web Part that provides the image.

Image Horizontal Alignment (HorizontalAlignment)

Positions the image horizontally within the Image Web Part. Select one of the following: Left, Center, or Right. The default value is Center.

Image Vertical Alignment (VerticalAlignment)

Positions the image vertically within the Image Web Part. Select one of the following: Top, Middle, and Bottom. The default value is Middle.

Web Part Background Color (BackgroundColor)

Determines the color of the Image Web Part window behind the image. The default color is the background color of the current Windows SharePoint Services theme.

To specify a color, click Web Part Background Color button to the right of the text box, and then do one of the following:

  • Select a color in the color grid.
  • Type an HTML color name.
  • Type an RGB color value.

To make the background color the same as the Microsoft Windows SharePoint Services theme of the site, click Transparent in the Web Part Background Color dialog box.


Image Web Part summary

Image Web Part summary
About the Image Web Part
Image Web Part custom properties
Overview of Web Part Pages


Placeholder (Was About administering Web Part libraries)

Placeholder (Was About administering Web Part libraries)

To be written.


About the List View Web Part

About the List View Web Part

You can use the List View Web Part to display and edit list data in your site, and to connect to other Web Parts, including other List View Web Parts. Lists are information that you share with team members and often display in tabular format. List views display this information in different ways for different purposes, such as filtering, sorting, selecting specific columns, and so on.

You can display most lists and List View Web Parts in one of two tabular views: Standard view, which is available to any user, and Datasheet view, which is a Microsoft Excel-like spreadsheet that uses the Microsoft Office List Datasheet Component and requires Microsoft Office 2003 to be installed on your client computer.

Ways you can use the List View Web Part

You might use the List View Web Part in the following ways:
  • Display list data on a Web Part Page in a tabular format to quickly sort, filter, isolate, and update the data.
  • Track project data in a List View Web Part and filter or sort it by a column containing a person's name or job assignment from a matching column in a connected Contacts List View Web Part.
  • From an Employee Basics List View Web Part that contains an employee name and ID number, look up detailed employee information, such as benefit options, family status, and medical insurance coverage, in a connected Employee Details List View Web Part.
  • Examine a complete customer order in two connected List View Web Parts: an Order List View Web Part that contains the order information, and an Order Details List View Web Part that contains all the line items for that order.
  • Visually enhance basic information about a person in a Contacts List View Web Part, by displaying a picture of that person in a connected Image Web Part, or a map of that person's business address in a connected, custom Map Web Part.

About connecting the List View Web Part

Using either Standard or Datasheet views, you can connect a List View Web Part to another Web Part, including another List View Web Part, from the Connections submenu on the Web Part menu in one of three ways:

Command on the Connection Type submenu | Description
Provide Row To | Pass a selected row of data to the other Web Part.
Provide View Data To | Pass all the data in the view to the other Web Part.
Get Sort/Filter From | Filter or sort data in the List View Web Part based on information from the other Web Part.

All the List View Web Parts at your site are usually available from the Site Web Part Gallery. When you first add a List View Web Part from a Web Part Gallery to the Web Part Page, it displays the default list view in the Web Part. To display the data you want in the List View Web Part as well as the other connected Web Part, you may need to modify the view of the list. For example, you may want to filter, sort, or group data a different way or display different columns.

You can change the list view from the custom properties List Views section of the tool pane in one of two ways:

  • Select a different view from the Selected View property.
  • Click Edit the current view to modify the current view.

Whenever you select or edit a list view, a copy of the list design is made from the original site list design and saved with the List View Web Part. However, the list data is the same.

Caution Be careful switching to a different view from the current view. You may remove changes you have made to the current view, and may disable Web Part connections that depend on columns in the current view. You are prompted for confirmation if you switch views.


About Connecting a List View Web Part

About Connecting a List View Web Part

The List View Web Part has two different tabular views: Standard view, which is available to any user, and Datasheet view, which is an Office Excel-like spreadsheet that uses the Microsoft Office List Datasheet Component and requires Microsoft Office Professional Edition 2003 installed on your client computer.

Using either Standard or Datasheet view, you can connect a List View Web Part to another Web Part, provide data to it, and change the way data is displayed in the other Web Part, including another List View Web Part. The following connection type commands on the Connections submenu of the Web Part menu are available:

Provide Row To

You can connect the List View Web Part to another Web Part by passing a selected row of data to the other Web Part. Depending on how the other Web Part was created and gets the data, it might display the row data or use it as a filter or parameter value.

In Standard view, a Select Item column containing option buttons is automatically added when you connect the List View Web Part, so you can indicate which row to pass to the other Web Part. You can only select one row at a time in Standard view. Some columns, such as the Edit column, are not available for use in a Web Part connection.

In Datasheet view, you can select multiple rows, but only one row is passed to the other Web Part. If multiple rows are selected, the row containing the active cell is passed to the other Web Part, and all other rows are ignored. You cannot provide data in the Total row or New row to the other Web Part.

You can have more than one Web Part connected with this type of connection to the List View Web Part.

Provide View Data To

You can connect the List View Web Part to another Web Part that works with list data. In this case, the List View Web Part is the data source for the other Web Part.

In Standard and Datasheet view, only the data in the view is provided to the other Web Part.

You can have more than one Web Part connected with this type of connection to the List View Web Part.

Get Sort/Filter From

In Standard and Datasheet view, you can connect the List View Web Part to another Web Part that can provide the following information to it:

  • One or more column name and value pairs of data that filter data in the List View Web Part.
  • A column of data to sort data by either ascending or descending order in the List View Web Part.

Only one other Web Part can be connected with this type of connection to the List View Web Part.

About supported list types that can be connected

Although you can display all list types in a List View Web Part, only certain list types are supported when making a Web Part connection. In general, list types that display data in tabular format, such as Contacts, are supported. Lists that display data in a non-tabular format, such as Folder view, are not supported.

Supported list types in a Web Part connection

Supported list types include the following:

  • Announcements
  • Contacts
  • Events
  • Links
  • Tasks
  • Custom Lists
  • Lists that contain data imported from a spreadsheet
  • Document Libraries
  • Form Libraries

Unsupported list types in a Web Part connection

Unsupported list types include the following:

  • Calendar view of an Events list
  • Discussion Boards
  • Issues
  • Surveys
  • Picture Libraries
  • Site and List Template Catalogs
  • Web Part Galleries
  • Data Sources

About supported list column types that can be connected

Although you can display all list column types in a List View Web Part, only certain list column types are supported when making a Web Part connection.

Supported list column types in a List View Web Part connection

Supported list column types include the following:

  • Single line of text
  • Choice
  • Number
  • Currency
  • Date and Time
  • Hyperlink or Picture (for matching columns)
  • Lookup
  • Yes/No
  • Calculated

Unsupported list column types in a Web Part connection

Unsupported list column types include the following:

  • Hyperlink or Picture (for filtering)
  • Mutiple Lines of Text
  • Edit


Placeholder (Was Troubleshoot List View Web Parts)

Placeholder (Was Troubleshoot List View Web Parts)

To be written.


Placeholder (Was About sorting and grouping in a List View Web Part)

Placeholder (Was About sorting and grouping in a List View Web Part)

To be written.


List View Web Part custom properties

List View Web Part custom properties

The List View Web Part custom properties are listed below with their corresponding base class property name in parentheses.

Note You cannot modify any of these custom properties in personal view.

Selected View

Caution Be careful switching to a different view from the current view. You may remove changes you have made to the current view, and may disable Web Part connections that depend on columns in the current view. You are prompted for confirmation if you switch views.

Specifies a list view to display in the Web Part. You can select one of the following:

All <List name> Displays all columns in the list, depending on the list type.

Note Select Current view to revert to the last view used before you have clicked the OK or Apply buttons, and ignore unsaved changes you have made to the copy of the list view design information. However, once you click the OK or Apply buttons, the changes you have made are applied to the new current view and saved with the List View Web Part.

Summary View Displays the summary view of the list. This view varies between list types.

<Additional list views> Displays user-defined views or other default views depending on the list type.

Edit the current view

Select Edit the current view to edit the current view used in the Web Part, including the columns displayed, the sort order and filter used, whether to display totals, and the item limit.

Whenever you select or edit a list view, a copy of the list design information is made from the original site list design and saved with the List View Web Part. However, the list data is the same.

Toolbar Type

Specifies the way the List toolbar is displayed or whether it is displayed at all. Select from one of three options:

Summary toolbar Displays the summary toolbar for the currently selected list view. This is the default value for most list types, except for custom lists.

Full toolbar Displays the entire toolbar for the currently selected list view. This is the default value for custom lists.

No Toolbar No toolbar is displayed.


List View Web Part summary

List View Web Part summary
About Getting Help for the List View Web Part
About the List View Web Part
About Connecting a List View Web Part
List View Web Part custom properties
Overview of Web Part Pages


About Getting Help for the List View Web Part

About Getting Help for the List View Web Part

The Help information you might need to use the List View Web Part is available from several different locations.

Getting List View Web Part Help

The List View Web Part help topics are context-sensitive topics that answer questions you might have regarding the Web Part, such as what is its purpose, how to use it, what are the common and custom properties, how to make connections to other Web Parts, and how to troubleshoot problems.

This help information becomes available when an administrator installs Microsoft Windows SharePoint Services on a server.

To display List View Web Part help information, on the Web Part menu, click Help.

Getting Windows SharePoint Services Help

The Windows SharePoint Services Help system provides information you may need about features related to the List View Web Part, especially the creating, using, and managing of lists and list views.

This help information becomes available when an administrator installs Windows SharePoint Services on a server.

To display this help information, click Help on the top link bar.

Getting Microsoft Office List Datasheet Component Help

Your List View Web Part may be in Datasheet view, which uses the Microsoft Office List Datasheet Component, and which contains a separate help system designed to explain how to use it.

This help information becomes available when you install Microsoft Office 2003 or an Office 2003 product on your computer.

To get Datasheet view help information, right-click any cell, and click Help. When you are in edit mode, press F1.

Getting Help from additional Microsoft Web Sites

The following Microsoft Web Sites are good sources of additional, up-to-date information about using and customizing the List View Web Part:

Microsoft SharePoint Products and Technologies on Microsoft TechNet.
SharePoint Products and Technologies Developer Center


About the approval process in the backward-compatible document library

About the approval process in the backward-compatible document library

In backward-compatible document libraries, you can use an approval process as a method of reviewing and approving documents in enhanced folders before publishing them on the portal site. After you approve a document a public version is automatically created. Users who are assigned as readers on the folder containing the document can then search for and view the document on the portal site.

  • When you create a subfolder, an approval process is inherited from the parent folder along with role assignments. However, any subsequent changes to the approval process on the parent folder are not inherited. You must manage the approval process for each folder individually.
  • Alternatively, you can establish different approval process configurations for individual folders and subfolders by clicking the Approval tab on the Properties page of the specific folder.

    Note You can make changes to an approval process, but these changes affect only documents submitted for approval after the changes have been made. Changes to the approval process for a folder do not affect documents already pending approval.

  • If you choose not to configure an approval process, Microsoft Office SharePoint Portal Server 2003 will publish documents automatically upon submission, without review or approval.

To configure an approval process, you must complete the following tasks:

  1. Choose the appropriate document approvers.
  2. Supply e-mail addresses for approvers to allow SharePoint Portal Server to alert them when a document is ready for review. This is not required, but it is recommended. If you do not provide e-mail addresses, users see only alert requests for approvals on the portal site and do not receive the alert results in an e-mail message.
  3. Create an e-mail message to send to approvers when a document is submitted for their approval.
  4. Choose an approval route.

    SharePoint Portal Server has two approval routing options: serial and parallel, which are illustrated below.

    Approval routes in SharePoint Portal Server

    • Serial approval (one after another). When the author submits the document by using the Publish command, the first member of the Approvers list receives a request for approval by e-mail. After the first person on the list approves the document, the next person on the list is asked to approve it, and so on. SharePoint Portal Server publishes the document only after all approvers on the list have approved the document. If any person on the list rejects the document, SharePoint Portal Server cancels the approval process and returns the document to the document library in a checked-in state.
    • Parallel approval (all at once). This approval model is based on the number of approvals required to publish the document. The coordinator can choose one of two strategies: one approval publishes the document or all approvers must approve the document for publication to take place. When the author submits the document by using the Publish command, SharePoint Portal Server sends a request for approval to all approvers. The approval e-mail informs approvers of the location of the document. If the required number of approvers approves the document, SharePoint Portal Server publishes it. If the document does not receive the required number of approvals, SharePoint Portal Server cancels the approval process and returns the document to the document library in a checked-in state. As a coordinator, you have the ability to stop an approval process, either by using the Bypass Approval command or the Cancel Publish command. This is useful if a document is under approval and one or more of the approvers is not available. The Bypass Approval command skips all remaining approvers and publishes the document to the portal site. The Cancel Publish command cancels the approval process and returns the document to a checked-in, unpublished state in the document library.

      Important If you are both a coordinator on a folder and an approver for that folder, when you receive an approval request, the Approve, Bypass Approval, Reject, and Cancel Publish options are all available to you on the same menu. Ensure that you do not accidentally choose Bypass Approval or Cancel Publish when you want to approve or reject a document.

Related Topics

Add or remove approvers in the backward-compatible document library
Approve or reject a document in the backward-compatible document library
Approve or reject multiple documents in the backward-compatible document library
Bypass or cancel approval in the backward-compatible document library
Choose an approval route in the backward-compatible document library


About the backward-compatible document library

About the backward-compatible document library

Employees may have difficulty collaborating with others on documents, controlling access to those documents, and publishing documents in their organization. Important documents can also be lost, overwritten, or hard to find. Microsoft Office SharePoint Portal Server 2003 offers a number of features to help streamline your document development and avoid these common problems.

In addition to SharePoint lists and libraries, SharePoint Portal Server offers an optional backward-compatible document library to help you manage documents. Features include:

  • Version tracking to record the history of documents
  • Application of descriptive, searchable information to identify a document
  • Document publishing control
  • Automated routing of documents to reviewers
  • Control of document access based on user roles

SharePoint Portal Server helps you collaborate with others, receive feedback from reviewers, identify the document with descriptive information such as keywords, and publish the document to a wide audience.

Related Topics

About document management and publishing
About security in the backward-compatible document library
Change settings for the backward-compatible document library


About settings for the backward-compatible document library

About settings for the backward-compatible document library

You can manage the following settings for the backward-compatible document library:

  • General Settings This includes specifying a description of the document library, providing a contact name and e-mail address, and limiting the number of document versions retained.
  • Security Settings This includes adding users to and removing users from the document library and folders that inherit security settings, and specifying membership in site groups that apply across the entire document library.
  • Document Profiles This includes adding and managing document profiles and properties.

To change these settings, open the Web folder for the document library, open the Management folder, and then double-click Workspace Settings. You can also change these settings directly from the portal site. To do this, on the title bar of the portal page, click Site Settings, and then click Change Document Library Settings.

Related Topics

Change settings for the backward-compatible document library
Manage security in the backward-compatible document library
About document management and publishing


About document profile properties in the backward-compatible document library

About document profile properties in the backward-compatible document library

Properties are specific fields on the document profile in which authors enter descriptive information (metadata) about their documents. Examples of profile properties are author, keywords, and title.

As a coordinator at the backward-compatible document library level, you can create customized properties to best fit the needs of your organization. To create or modify a property on a document profile, use the Profiles tab on the Properties page of the specific profile to access the profile form.

Note The properties you create are available to all document profiles. If you change the attributes of a property, the changes you make affect how the property appears on all document profiles. However, documents published with the original property are not automatically updated until they are republished.

Property Types

The following system property types are available for use when you create properties:

  • Text This property type provides a single-line text box where users can enter a limited quantity of text. Single-line text boxes have a 255-character limit. Examples of this property type are Author, Title, Link, and Subject, all of which are included with Microsoft Office SharePoint Portal Server 2003 as default properties.
  • Comment Box This property type provides a multiple-line text box where users can enter a greater quantity of text than in the Text property type. Multiple-line text boxes have a 4096-character limit. An example of the Comment Box property type is the Description property, which is a default property included with SharePoint Portal Server.
  • Number This property type provides a field where users can enter numbers only. There are no default properties of this type included with SharePoint Portal Server, but an example of this property type could be a field named "Project Number."
  • Date This property type provides a field where users can enter dates only.

    Note Since date information is included as information for searches on the portal site, it is important to note that users can search for dates in only the Gregorian calendar, formatted mm/dd/yyyy or mm-dd-yyyy, on the portal site. Users cannot search for non-Gregorian calendar dates on the portal site.

  • List This property type provides a menu where users can select values from a list or where they can enter new values to include in the list. An example of this property type is the Keywords property, a default property included with SharePoint Portal Server.

    The following options are available for this property type:

    Single selection drop-down list with restrictive list of terms Allows users to make a single selection from a drop-down list.
    Single selection drop-down list with a list of suggested terms Allows users to make a single selection from a drop-down list or to make a single selection by typing new text.
    Multi-selection drop-down list with a restrictive list of terms Allows users to make multiple selections from a drop-down list.
    Multi-selection drop-down list with a list of suggested terms Allows users to make multiple selections from a drop-down list or to make multiple selections by typing new text.

Preconfigured Properties

SharePoint Portal Server includes the following preconfigured system properties:

  • Author A text box in which users can enter the name of the document's author.
  • Title A text box in which users can enter the title of the document.
  • Subject A text box in which users can enter the subject of the document.
  • Link A text box in which users can enter an address, in URL format, to associate with the document.

    Important SharePoint Portal Server provides this property for use with the default Web Link document profile, rather than for documents stored in the Documents folder in the backward-compatible document library. When you add a link to a document, the link you enter overrides the default URL for the item. This could prevent the server from accessing the default URL. Therefore, it is not recommended that you use the Link property on the document profile of a regular document.

  • Description A comment box in which users can enter descriptive text or comments about the document.
  • Keywords A list from which users can choose keywords to associate with the document. Users can also use this field to enter new keywords to associate with the document. Keywords that users add to the list appear only in the list on the document profile of the specific document for which they are added. Other users are not able to see or select the new keywords from other documents. A coordinator at the workspace level is the only user who can add keywords to the main list for all users.

Related Topics

About document profiles in the backward-compatible document library
View and edit document properties and profiles in the backward-compatible document library
About document management and publishing


About document profiles in the backward-compatible document library

About document profiles in the backward-compatible document library

Document profiles offer a way to add searchable information pertaining to a document. This information can help describe or identify the document more clearly. By default, a profile includes basic properties such as Author and Title. You can easily add custom properties such as Account Number or Project Manager to capture additional information that makes it easier to organize and find documents in your organization.

Microsoft Office SharePoint Portal Server 2003 associates every document in the backward-compatible document library with a document profile that contains a set of properties. You create and store document profiles in the Document Profiles folder located in the Management folder.

Creating a document profile

SharePoint Portal Server bases all document profiles on a template. This Base Document profile contains general properties, such as title and keywords, which are applicable to all documents. If necessary, you can override these basic properties so that they do not appear on other document profiles that you create.

Depending on the needs of your organization, you can create many different document profiles. You can also override the settings on the default document profile. If you create and apply document profiles to folders in the document library, users can use the profile form to provide additional information about documents.

Note You can use document profiles to determine which documents are stored in a folder. You can allow users to store only documents with specific document profiles in certain folders.

Related Topics

Configure document profiles for a folder in the backward-compatible document library
Edit multiple document profiles in the backward-compatible document library


About the Properties page for a document in the backward-compatible document library

About the Properties page for a document in the backward-compatible document library

You can view and edit information associated with a document by using the Properties page of the specific document.

  • You can view document properties in read-only mode without checking a document out, but to edit the properties, you must first check out the document.
  • A new version of the document is created in draft form when you edit document properties.
  • If the coordinator has configured an approval process on the folder in which you are working, you must check in the document and submit it for approval before the revised document can replace a previously approved version.

You can view and edit the following document properties for documents stored in enhanced folders:

General This section of the Properties page of a document contains basic information about the document. This includes information such as file name, size, creation date, last modified date, location, version number, status (showing whether the document is checked in, approved, etc.), and related information. You cannot change this information directly, but you can cause changes by altering the document itself.
Document profile Every document in the document library has a document profile that contains a set of document properties. If you want to edit the information on a document profile, you can do so by using this section of the Properties page for your document.
Security If you are a coordinator, you can deny access to users for specific documents that reside in the folders for which you are a coordinator.

Note Microsoft Windows 95, Microsoft Windows 98, and Microsoft Windows NT 4.0 users cannot select roles for document library users.

Version history You can access the version history of the document by clicking the History tab of the Properties page of the document. Use this section of the Properties page to view previous versions of a document. This can be useful for reviewing or tracking progress on a project.

Related Topics

About document profiles in the backward-compatible document library
Add and edit document profile properties in the backward-compatible document library
View and edit document properties and profiles in the backward-compatible document library
About document management and publishing


About roles in the backward-compatible document library

About roles in the backward-compatible document library

In document management, it is important to restrict access to sensitive information. In some cases, it is important to restrict the viewing of a document to those who edit or approve it until it is ready for a larger audience.

In the backward-compatible document library, Microsoft Office SharePoint Portal Server 2003 uses roles to offer a flexible method to control access to documents. Assigning a user to a role gives that user permission to perform specific tasks, such as creating or editing documents. Roles in the document library add actions such as check-in, check-out, publish, and approve to traditional file-access permissions, such as read, write, and change.

Note You cannot customize permissions assigned to roles as you can with site groups. Access permissions for the three roles are fixed and cannot be modified.

Assigning security in the backward-compatible document library

How many roles are there?

Backward-compatible document libraries in SharePoint Portal Server use the following three roles:

Coordinators

  • Add users to the backward-compatible document library and assign roles to users.
  • Configure and manage document profiles.
  • Configure and manage the backward-compatible document library and folder structure.
  • Configure and manage the approval processes on enhanced folders.

Note Coordinators also have all of the rights and permissions of authors and readers.

Authors

  • Add, read, edit, or delete documents in a folder.
  • Submit any document for publication in an enhanced folder.
  • Add or modify subfolders.

Note Authors also have all of the rights and permissions of readers.

Readers

  • Read all documents in standard folders.
  • Read published documents in enhanced folders.
  • Search for documents that are available for public view.

Note By default, the Windows Everyone domain group is assigned to the Reader role for all folders. This allows everyone in your domain to read published documents.

SharePoint Portal Server also offers the option of denying users access to specific documents. Use on a document-level basis to prevent a user from viewing a specific document.

How do roles work?

If you are the coordinator at the document library level, you can assign roles for the backward-compatible document library and for individual folders. If you are the coordinator on a specific folder, you can assign roles only on that folder. When you create a subfolder, it inherits security settings from its parent folder by default. As a coordinator, you can choose to have the role settings on the subfolders change dynamically when the parent folder settings change, or you can choose not to inherit dynamically. When inheritance is canceled, the subfolders retain their role membership settings even if the settings on the parent folder change.

As an author, any subfolders you create automatically inherit the role assignments from the parent folder. You cannot change the security settings for your folder. You can have different roles for different folders in the same document library. For example, in one folder a user may be assigned to the Reader role only, while in another folder, the same user may be assigned to the Author role. If you assign a group to a role on a folder, all members of that group are assigned to the role. However, if you then assign a role to an individual member of that group, that individual gains the most permissive combination of the two roles. The exception to this is Deny Access, which takes precedence over all roles. If you specify Deny Access on a document for an individual user or group, that user or group has no access, regardless of other roles they may have for the folder.

Related Topics

About security in the backward-compatible document library
About settings for the backward-compatible document library
About document management and publishing


About security in the backward-compatible document library

About security in the backward-compatible document library

Before a user can access content in a backward-compatible document library, you must assign that user to a role. Roles add actions such as check in, check out, publish, and approve to traditional file-access permissions, such as Read, Write, and Change. Assigning a user to a particular role gives the user the ability to perform specific tasks.

Each user can have multiple roles in the document library. For example, in one folder, a user may be a reader, while in another folder the same user may be an author. You can also distribute management tasks among a number of coordinators. For example, at the document library level, you can have coordinators to manage the document profiles and document library security. At the folder level, you can delegate responsibility for managing folder-level security, selecting appropriate document profiles, and designating an approval process for the content in those folders.

You can assign users to roles at the document library level. This list of users and their roles will be inherited by all folders that inherit security settings from that level. To assign users to roles at the document library level, you open the Web folder for the document library, open Workspace Settings, and click the Security tab. To assign roles for individual folders in the document library, you must configure those roles by editing the properties for the individual folders.

Note Security settings on individual folders determine what users see in the backward-compatible document library. This means that a user assigned a role at the document library level may not have the same role at the folder level. For example, if you assign a user to the Reader role at the document library level, that user is a member of the Reader role for all folders that inherit security from that level. If you assign the same user to the Coordinator role at the folder level, that user is a coordinator for that folder only.

When you add a user to a backward-compatible document library, the default role for the user is Reader, which grants the user the ability to view all published documents in the document library. If you want to allow the user to modify documents or manage a folder, you must assign that user to a new role. By default, Microsoft Office SharePoint Portal Server 2003 assigns the Windows Everyone group to the Reader role for all folders when you create the backward-compatible document library. This means that everyone in your domain can read published documents.

You can select users from your existing Windows domain or local users and groups and assign them to roles. You can define these users and groups locally on the server or on the domain of which the server is a member.

Note It is strongly recommended that you use domain user and group accounts when you assign a role to a user. SharePoint Portal Server cannot recognize local user server accounts from the SharePoint Portal Server computer when it crawls content located on another server.

SharePoint Portal Server assigns the local administrators group to the Coordinator role at the document library level. All members of the local administrators group can add themselves or others as coordinators and then configure security on any folder or document. This group cannot be removed from this role. In the event that, through accident or malicious intent, the folder is made unavailable to those who should have access to it, a member of the local administrators group can always restore roles for the document library and for individual folders.

Note Denying access to a document does not affect the local administrators group's access to that document.

Related Topics

Manage security in the backward-compatible document library
About roles in the backward-compatible document library
About settings for the backward-compatible document library
About document management and publishing


About standard and enhanced folders in the backward-compatible document library

About standard and enhanced folders in the backward-compatible document library

In the backward-compatible document library, Microsoft Office SharePoint Portal Server 2003 provides two types of folders for document storage. Enhanced folders support all document library features, including document profiles, public and private views for documents, check-in and check-out functions, document version history, and document publishing and approval processes. If you disable enhanced folder settings, you disable check-in, check-out, and versioning for that folder, changing the enhanced folder to a standard folder. SharePoint Portal Server immediately publishes all documents added to standard folders.

Standard folders

  • SharePoint Portal Server publishes documents in standard folders automatically. After publication, these documents are available for searching and viewing on the portal site. There are no private document views in standard folders.
  • Standard folders support regular Web folder functions and document profiles, which allow you to supply information about an item by using the profile form.

Standard folders use the following icon:

Enhanced folders

  • Enhanced folders allow you to check in and check out documents from the document library. You can reserve the right to edit a document by checking it out. No other user can edit a document that is checked out. Until you check a document back in, other users in the folder cannot view your changes.
  • Enhanced folders track the version history of each document, monitoring the number of times that you check in, check out, and publish a document.
  • In addition to the basic enhanced folder features, the coordinator may allow users to publish documents from certain enhanced folders. In some cases, the coordinator may configure an approval process for a folder.

    If the coordinator configures an approval process for the folder, the Publish command sends the document into a review-and-approval process before it is published. If the coordinator does not configure an approval process, the Publish command automatically publishes the document to the document library on the portal site. Readers on the portal site can search for and view published documents.

Enhaced folders use the following icon:

The following table compares the document library features supported by each folder type.

Feature | Standard folder | Enhanced folder
Roles | Yes | Yes
Document version history | No | Yes
Check-in/check-out | No | Yes
Private draft versions | No | Yes
Approval routing | No | Yes
Profile metadata | Yes | Yes

Related Topics

About using standard and enhanced folders in the backward-compatible document library
Create standard and enhanced folders in the backward-compatible document library
About document management and publishing


About using standard and enhanced folders in the backward-compatible document library

About using standard and enhanced folders in the backward-compatible document library

The folders that you create are the foundation for the user experience within the backward-compatible document library. You can either create folders or import existing folders from your file structure. Because these folders are where users store and work with their documents, it is important to choose a folder type based on document management needs.

  • Use standard folders for documents that do not require document control such as editing, review, or approval. An example of a document that might be appropriate for a standard folder is a document containing the minutes from a meeting.
  • Use enhanced folders for documents that require document control such as editing, version control, review, or approval before being published on the portal for public view. A research proposal is an example of the type of document that might belong in an enhanced folder.

Folder Settings

If you are a coordinator for a folder, right-click the folder and click Properties to change the following folder settings:

  • General Use this tab on the Properties page to enable or disable enhanced folder settings and to view the general properties of the folder.

    Important You cannot enable or disable enhanced folder settings for a folder that contains documents. To change this setting, you must first remove all documents from the folder.

  • Security Use this tab on the Properties page to add and remove users, to assign users to roles, and to configure folder security inheritance settings.

    If a folder has the Use Parent Folder's Security Settings check box selected, subfolders, whether new or imported, automatically inherit properties and settings from their parent folders. For example, if the target folder is an enhanced folder, the imported folders become enhanced folders.

    If the target folder is a standard folder, the imported folders become standard folders. Roles inherited from the parent folder change dynamically when roles on the parent folder change.

    Note Subfolders inherit approval routes from parent folders only at the time they are created. Changes to the approval routing of the parent folder are not inherited after the subfolder is created. You must manage these settings separately for each folder.

  • Document Profiles Use this tab on the Properties page to select which document profiles to apply to an enhanced folder (standard folders allow all document profile types) and to select the default profile to apply to all documents placed in the folder that do not already have a document profile assigned.
  • Approval Use this tab on the Properties page only with enhanced folders. You can use this tab to add and remove approvers, select the approval route, and provide comments for the e-mail sent to approvers that notifies them that a document is awaiting their approval.

Related Topics

About standard and enhanced folders in the backward-compatible document library
About document management and publishing


About My Network Places and Web folders

About My Network Places and Web folders

A network place is a shortcut to a Web server or other resource accessible from a network. You can use network places to store documents and to publish documents for viewing in Web browsers. To use this feature, your Web server must support network places. Check with your system administrator or Internet service provider to see whether your Web server supports network places.

Note Network places and Web folders are equivalent. In this documentation, if the term Web folders is used and you have a computer running Microsoft Windows 2000 or Windows XP, substitute the term My Network Places.

You can view files and folders on Web servers just as you view files and folders on network file servers or your computer's hard disk. However, when you save a file to a network place, you save the file on a Web server. When you view the contents of a network place, you see a list of files and folders stored in that network place.

You can manage the files and folders on a Web server just as you do in Microsoft Windows Explorer. However, before you can do so, you must make sure that the Web server you are working with supports network places, and you must also have read and write access to the Web server. Contact your network administrator for information about available Web servers and how to access them.

For more information about network places and Web server requirements, see Microsoft Windows Help.

How do I use Web folders to access a backward-compatible document library?

A backward-compatible document library is a network place on a server running Microsoft Office SharePoint Portal Server 2003. Each backward-compatible document library has a unique set of properties and is associated with a portal site. Backward-compatible document libraries retain basic network place functions and offer additional document management tools. These tools include:

  • Commands for document management, such as Check In and Check Out.
  • Commands for document publishing and approval, such as Publish, Approve, and Reject.
  • The ability for coordinators to add and manage document profiles so that authors can define their documents by using metadata.
  • Enhanced views that display extended information about selected items.
  • A selection of related document management features that includes role-based security, version history of documents, and publishing settings by folder.

Caution Using Web folders can give users access to folders that they cannot reach from the HTML view of the backward-compatible document library. For example, members of the Reader role can browse files in the http://server_name/portal_site/Portal/resources folder. Browsing the files can allow users to discover the implementation details (the source code) in the files.

Related Topics

Create a Web folder or Network Place for a backward-compatible document library
View and manage the contents of a Web folder or network place
About document management and publishing


Add a document to the backward-compatible document library

Add a document to the backward-compatible document library

To use the document management features of Microsoft Office SharePoint Portal Server 2003, first make sure that documents or files are in the backward-compatible document library.

  • You can create a file by using a Microsoft Office 2003 application, and then by transferring the file from the computer to the backward-compatible document library by using the Save command.
  • You can add existing files to the document library by dragging them from the computer to the document library or by using the Save As command.

Add documents by dragging them to the backward-compatible document library

  1. Locate the document that you want to add. Make sure that you have saved the document.
  2. Open the Web folder for the backward-compatible document library.
  3. Open the Documents folder, and then navigate to the destination folder for the document.
  4. Drag the document to the destination folder.

Add a new document by using a Microsoft Office application

If you want to add a new document to the document library, you can create the document by using a Microsoft Office application, and then use the Save command to add it to the document library.

  1. On the File menu, click Save.
  2. In the Save dialog box, click Web folders or My Network Places, and then double-click a Web folder linked to the document library.
  3. Double-click to select a folder under the Documents folder to select it as the destination folder for the document.
  4. Click Save.
  5. Select the appropriate profile from the list on the profile form, and then complete the required information in the boxes on the form.
  6. Click OK.

Add an existing document by using the Save As command

To add an existing document to the backward-compatible document library using a Microsoft Office application, use the Save As command.

  1. Open the document that you want to add.
  2. On the File menu, click Save As.
  3. In the Save As dialog box, click Web folders or My Network Places, and then double-click a Web folder linked to a backward-compatible document library to open it.
  4. Double-click a subfolder in the backward-compatible document library to select it as the destination folder for the document.
  5. Click Save.
  6. Select the appropriate profile from the list on the profile form, and then complete the required information in the boxes on the form.
  7. Click OK.

Add a document to the backward-compatible document library from the portal site

  1. On the navigation bar of the portal site, click Document Library.
  2. Under the Document Library heading, view the folders and documents available from this site. The folders and documents that appear depend on your role.
  3. Click the folder or subfolder to which you want to add a document.
  4. Click Add Document.
  5. Under the Document file name heading, click Browse to locate the document on your computer.
  6. Select the document, and then click Open.
  7. If you are adding the document to an enhanced folder, you have the following two options:
    • If you want to add the document to the folder but do not want to publish it yet, select Check in the document. If you check in the document, authors in the folder can view and edit it. The document will not appear in search results or portal site areas until it is published.
    • If you want to publish the document after adding it, select Publish the document. If you publish the document, readers can see it immediately, unless the coordinator has configured an approval process for the folder where the document resides. If the coordinator has configured an approval process, the document must be approved before readers can view it.
  8. Click Continue.
  9. The profile form appears. Enter the required information on the document profile and fill in the version comments to briefly describe the changes you made to the document while you had it checked out.
  10. Click Save.

SharePoint Portal Server 2003 adds the new document to the folder you have selected. If the target folder is a standard folder, the document is available immediately for users to search for and view in the document library on the portal site.

Notes

  • When you add a document to the backward-compatible document library but have not yet checked it in for the first time, the Undo Check Out command is not available. This command becomes available only after you have checked in and checked out a document for the first time.
  • If you add a document to an enhanced folder, the document is saved in a checked-out state, and you should now check it in. Until you check it in, only you and the coordinator on the folder can see this document.

Related Topics

Copy, move, or delete documents from the backward-compatible document library
About document management and publishing


Add and edit document profile properties in the backward-compatible document library

Add and edit document profile properties in the backward-compatible document library

Properties are specific fields on the document profile in which authors enter descriptive information (metadata) about their documents. Examples of profile properties are author and title.

Add a document profile property

  1. From your desktop, double-click My Network Places, and then open the Web folder for the backward-compatible document library.
  2. Open the Management folder, and then open the Document Profiles folder.
  3. Right-click the document profile with which you want to work, and then click Properties.
  4. Click the Properties tab, and then click Select Properties.
    • If you select a property from the list provided, skip to step 7 in this procedure.
    • If you do not see the property you want, you can create a property by clicking New.
  5. Type a unique name for the new property in the space provided.
  6. Select the type of property that you want to create such as Text, Number, List, Multivalue List, Comment box, or Date.
    • If you create a List property, click Values to specify the values for the list. These values apply to this property in all profiles.
    • If you want to allow users to enter values not included in the list, select the Allow users to enter values not in the list check box. If you select this option, note that the values that a user enters in this case appear only once, in the individual profile of the document with which the user works. The values that the user enters are not available for other users of that profile to select.
    • If you want to allow users to select multiple values from the list when they fill out the document profile, create a Multivalue List property.
    • If you want to make the property required, select the Require users to enter a value for this property check box.
  7. Click OK to close each dialog box.

Note The properties you create are available to all document profiles.

Edit profile property attributes

  1. From your desktop, double-click My Network Places, and then open the Web folder for the backward-compatible document library.
  2. Open the Management folder, and then open the Document Profiles folder.
  3. Right-click the document profile with which you want to work, and then click Properties.
  4. Click the Properties tab.
  5. Select the property that you want to edit.
  6. Click Edit.
  7. To edit the document profile description, make the necessary changes in the Description box.
  8. Do one or more of the following:
    • To ensure that users enter a value, select the Require users to enter a value for this property check box.
    • To edit values for a List or Multivalue List property, click Edit Values, and then make the necessary changes.
  9. Click OK to close each dialog box.

Caution If you change or rename a property, the change you make affects how the property appears on all document profiles. However, documents published with the original property are not automatically updated until they are republished.

Microsoft Office SharePoint Portal Server 2003 modifies the document profile to include the new property.

Related Topics

About document profiles in the backward-compatible document library
View and edit document properties and profiles in the backward-compatible document library
About document management and publishing


Add or remove approvers in the backward-compatible document library

Add or remove approvers in the backward-compatible document library

If you are the coordinator on a specific folder in a backward-compatible document library, you can assign or remove users as approvers for documents in that folder.

  1. Open the Web folder for the backward-compatible document library.
  2. Open the Documents folder, and then navigate to the folder on which you want to modify the approvers.
  3. Right-click the folder for which you want to start an approval process, and then click Properties.
  4. Click the Approval tab.
  5. Select or clear the Documents must be approved before publishing check box.
  6. Do one of the following:
    • Add one or more approvers.

      To add an approver

      1. Click Add.
      2. Specify the user you want to add as an approver, and then click OK.
      3. Click Set E-mail.
      4. Type the e-mail address of the approver.

        Note This is not required, but it is recommended. If you do not provide an e-mail address, users see approval requests only on the portal site and do not receive the e-mail message. The address, if entered, should be a full SMTP address (for example, someone@example.com).

      5. Click OK.

        Repeat these steps for each approver that you want to add.

      6. Select an approval route and provide comments for the approval e-mail.
    • Remove one or more approvers.

      To remove an approver

      • Select an approver from the list.
      • Click Remove.

        Repeat these steps for each approver that you want to remove.

  7. Click OK.

    Note You can make changes to a folder approval process, but the changes will take effect only for documents submitted for approval after the changes have been made. Changes to the approval process do not affect documents that are already pending approval.

Related Topics

About the approval process in the backward-compatible document library
About document management and publishing


Apply a document profile to a document in the backward-compatible document library

Apply a document profile to a document in the backward-compatible document library

Every document in the backward-compatible document library has an associated document profile that contains a collection of document properties. Microsoft Office SharePoint Portal Server 2003 uses the information on the document profile to categorize documents and to direct searches after the document is published on the portal site. You use the profile form to supply information about your document, such as its author and title.

As a coordinator at the document library level, you can apply specific document profiles to documents when you add the documents to the document library for the first time. After you design your document library or folder, users can also apply document profiles to their documents when they add them to the document library. The information that users add to the profile form (metadata) is stored with the document.

Users can access the profile form through the Properties page of a specific document. In an enhanced folder, users can also access the profile form from the check-in form.

Apply a document profile to a document

  1. Open the Web folder for the backward-compatible document library.
  2. Open the Documents folder, and then navigate to the folder in which the document is stored.
  3. Do one of the following:
    • If the document is stored in an enhanced folder, do the following:
      1. Right-click the document, and then click Check Out.
      2. Right-click the document again, and then click Check In.
      3. Select the appropriate profile from the list on the profile form, and then complete the required information in the boxes on the form.
      4. Click OK.
    • If the document is not stored in an enhanced folder, do the following:
      1. Right-click the document, and then click Edit Profile.
      2. Select the appropriate profile from the list on the profile form, and then complete the required information in the boxes on the form.
      3. Click OK.

Related Topics

Create a document profile in the backward-compatible document library
About document profiles in the backward-compatible document library
About document management and publishing


Approve or reject a document in the backward-compatible document library

Approve or reject a document in the backward-compatible document library

If you are an approver for a document, you receive an approval e-mail containing a link to the item under review after the author submits the document for approval. You can approve or reject an item by using the appropriate commands in the approval e-mail message, from the backward-compatible document library, or from the portal site. After a document is approved, Microsoft Office SharePoint Portal Server 2003 publishes the approved version. Users with appropriate permissions can search for and view the document on the portal site. As an approver, if you reject a document, it returns to the backward-compatible document library in a checked-in, unpublished state.

Approve or reject a document from the document library

  1. In the document library, find the document that you want to approve or reject.
  2. Right-click the document, and then click Approve or Reject.

Approve or reject a document from the approval request e-mail message

  1. In the document approval request, click Click here to approve or reject this document.

    The portal site opens the Document Inspection page.

  2. Verify that the correct document is selected, and then click Approve or Reject.
  3. On the Approve Document or Reject Document page, click Approve or Reject.

Approve or reject a document through the portal site

  1. On the navigation bar of the portal site, click Document Library.
  2. On the Document Library page, locate the document that you want to approve.

    It may be available from a list in the Document Library view, or it may be located in a subfolder.

  3. Click the Show Actions link for the document.

    The Document Inspection page opens.

  4. Verify that the correct document is selected, and then click Approve or Reject.
  5. On the Approve Document or Reject Document page, click Approve or Reject.

Related Topics

About the approval process for the backward-compatible document library
About document management and publishing


Approve or reject multiple documents in the backward-compatible document library

Approve or reject multiple documents in the backward-compatible document library

You can approve and reject multiple documents in the backward-compatible document library.

Approve multiple documents

  1. Locate the documents that you want to approve by using the network place for the backward-compatible document library.
  2. Select the documents, right-click the selection, and then click Approve.

Reject multiple documents

  1. Locate the documents that you want to reject by using the network place for the backward-compatible document library.
  2. Select the documents, right-click the selection, and then click Reject.

Related Topics

About the approval process for the backward-compatible document library
About document management and publishing


Add or remove users from roles in the backward-compatible document library

Add or remove users from roles in the backward-compatible document library

If you are the coordinator for a backward-compatible document library, you can add or remove users from roles for the document library level and for the individual folders on a folder-by-folder basis.

A member of the Coordinator role can:

  • Add or remove users from roles at the document library level by using the Security tab of Workspace Settings in the Management folder.
  • Add or remove users from roles for a specific folder from the Properties page of the folder.
  • Deny access to a specific file from the Properties page of the file.

Add or remove users from roles at the document library level

  1. Open the Web folder for the document library.
  2. Open the Management folder, and then double-click Workspace Settings.
  3. On the Properties page, click the Security tab.
  4. Do one of the following:

    Add user to a role

    1. Click Add, specify one or more users to add to the list of users, and then click OK.

      -or-

      Select the user whose role you want to modify from the list of existing users.

    2. From the Role list, select the role to which you want to assign the user.
    3. Click Apply.

    Remove a user from a role

    1. From the User or Group list, select one or more users to remove.
    2. Click Remove.
    3. Click Apply.
  5. Click OK.

Add or remove users from roles on a folder

  1. Open the Web folder for the document library.
  2. Open the Documents folder, and then navigate to the folder on which you want to modify the security settings.
  3. Right-click the folder, and then click Properties.
  4. On the Properties page, click the Security tab.
  5. Clear the Use parent folder's security settings check box.
  6. Do one of the following:

    Add user to a role

    1. Click Add, specify one or more users to add to the list of users, and then click OK.

      -or-

      Select the user whose role you want to modify from the list of existing users.

    2. From the Role list, select the role to which you want to assign the user.
    3. Click Apply.

    Remove a user from a role

    1. From the User or Group list, select one or more users to remove.
    2. Click Remove.
    3. Click Apply.
  7. Click OK.

Note Microsoft Office SharePoint Portal Server 2003 automatically assigns all users to the Reader role unless you manually assign them to another role.

Related Topics

About roles in the backward-compatible document library
About security in the backward-compatible document library
About document management and publishing


Bypass or cancel approval in the backward-compatible document library

Bypass or cancel approval in the backward-compatible document library

If you are a coordinator on a specific folder, you have the ability to end an approval process by using the Bypass Approval command or by using the Cancel Publishing command. This is useful if a document is under approval and one or more of the approvers is not available to approve the document. The Bypass Approval command skips all remaining approvers and publishes the document to the portal site. The Cancel Publishing command cancels the approval process and returns the document to a checked-in, unpublished state in the backward-compatible document library.

Important If you are a coordinator for a folder and an approver in that folder, when you receive an approval request, the Approve, Bypass Approval, Reject, and Cancel Publishing options are all available to you on the same menu. Ensure that you do not choose Bypass Approval or Cancel Publishing accidentally when you want to use Approve or Reject.

Bypass approval

  1. Locate one or more documents for which you want to bypass approval by using the network place for the backward-compatible document library.
  2. Select the document or documents, right-click one of them, and then click Bypass Approval.

    The approval process for this document ends, and Microsoft Office SharePoint Portal Server 2003 publishes the document on the portal site. The document is available for users with appropriate roles to search for and view.

Cancel approval

  1. Locate one or more documents for which you want to cancel approval by using the network place for the backward-compatible document library.
  2. Select the documents, right-click one of them, and then click Cancel Publishing.
  3. In the confirmation message, click Yes.

    The approval process for this document is cancelled. SharePoint Portal Server 2003 returns the document to a checked-in, unpublished state in the backward-compatible document library.

Related Topics

About the approval process for the backward-compatible document library
About document management and publishing


Check a document into the backward-compatible document library

Check a document into the backward-compatible document library

When you add a document to the backward-compatible document library, or when you finish making changes to a document that you have checked out, you must check it in to enable other folder users to view the latest version of the document.

Check in a document by using the portal site

  1. On the primary navigation bar of the portal site, click Document Library.
  2. On the Document Library page, locate the document that you want to check in. It may be located in a subfolder. If the document is located in a subfolder, open that folder to display its contents.
  3. Click the Show Actions link for the document. The Document Inspection page opens.
  4. Verify that the correct document is selected, and then click Check-In.
  5. On the Check in document page, specify how to locate the document:
    • If you did not save a working copy of the document to your computer, clear the Copy the document from my computer to the workspace check box.
    • If you saved a working copy of the document to your computer, make sure that that the Copy the document from my computer to the workspace check box is selected. Under the Document file name heading, click Browse to locate the document on your computer, and then click Open.
  6. Click Continue.
  7. Make any necessary changes to the document profile and fill in version comments briefly describing how you changed the document while you had it checked out.
  8. Click Save.

Check in a document by using a Microsoft Office application

  1. On the File menu, click Check In.
  2. A check-in form appears. Complete the Version Comments and make any necessary changes to the profile form.
  3. Click OK.

Check in a document by using Web folders

  1. Locate the document in the document library.
  2. Right-click the document, and then click Check In.
  3. A check-in form appears. Complete the Version Comments and make any necessary changes to the profile form.
  4. Click OK.

Notes

  • After you check in a document, authors in the folder can see and edit the document. Changes to the document are not visible to users who search for the document on the portal site until you publish the document.
  • To publish a document, select the Publish this document after check-in check box on the check-in form. If the folder has not been configured with an approval process, the document will be published automatically.

Related Topics

Check a document out of the backward-compatible document library
About standard and enhanced folders in the backward-compatible document library
About document management and publishing


Check a document out of the backward-compatible document library

Check a document out of the backward-compatible document library

If you want to work with a document that is stored in an enhanced folder, you must first check it out. You can check out the document from the backwards-compatible document library, the portal site, or a Microsoft Office application. When you check out a document, Microsoft Office SharePoint Portal Server 2003 creates a new draft version of the document for you to work on. Until you check in the document, your changes are not visible to other users in the document library.

Check out a document by using the portal site

  1. On the primary navigation bar of the portal site, click the link to your document library.
  2. On the Document Library page, locate the document that you want to check out. It may be located in a subfolder. If the document is located in a subfolder, open that folder to display its contents.
  3. Click the Show Actions link for the document.
  4. Verify that the correct document is selected, and then click Check Out.
  5. The document is now checked out in your name. To work with the document, you must download a working copy to your computer.
  6. Right-click the document link, and then select the command that allows you to save the document to your computer.

    Note The wording of the Save command may vary depending on your browser. Save, Save As, and Save Target As are common variations.

  7. In the Save dialog box, complete the necessary actions to download the document to your computer.
  8. Click OK.
  9. After the document has been downloaded, click OK at the bottom of the page.

Check out a document by using a Microsoft Office application

  1. On the File menu, click Open.
  2. In the Open dialog box, click the My Network Places or Web folders button.
  3. Click the folder that contains the document that you want to view, and then click Open.
  4. On the File menu, click Check Out.

Check out a document by using Web folders

  1. In the document library, locate the document that you want to check out.
  2. Right-click the document, and then click Check Out.

Notes

  • After you check out a document, other users cannot edit the document or see your changes until you check it back in.
  • If you later decide to check in the document without saving your changes, you can click Undo Check Out in the Actions list for the document in the portal site, or by right-clicking the document in Web folders. You lose any changes made while you had the document checked out. The document reverts to the last checked-in version, and no version history is kept for the unsaved changes.

Related Topics

Check a document into the backward-compatible document library
About document management and publishing


Choose an approval route in the backward-compatible document library

Choose an approval route in the backward-compatible document library

As a coordinator on a folder, you can choose the approval route.

Choose an Approval Route

Choose an approval route

  1. From the network place for the backward-compatible document library, right-click the folder you want to configure, and then click Properties.
  2. Click the Approval tab.
  3. In the Route to approvers section, select a routing path.
    • If you select One after another, the document will be sent in order to all approvers in the Approvers list, and cannot be published until all approve.
    • If you select All at once as the routing method, select All approve or Only one approval required to set the number of people who have to approve the document before it can be published.
  4. Click OK.

    Note You can make changes to a folder approval process, but the changes take effect only for documents submitted for approval after the changes are made. Changes to the approval process do not affect documents that have already been submitted for approval.

Related Topics

About the approval process in the backward-compatible document library
About document management and publishing


Configure document profiles for a folder in the backward-compatible document library

Configure document profiles for a folder in the backward-compatible document library

You can configure standard or enhanced folders to include document profiles. When you apply document profiles to a folder, only documents with specific document profiles can be stored in that folder. You configure document profile settings by using the Profiles tab on the Properties page for the specific folder.

Specify document profile settings

  1. Locate the folder to which you want to apply a document profile by using the network place for the backward-compatible document library.
  2. Right-click the folder to which you want to apply a document profile, and then click Properties.
  3. Click the Profiles tab.
  4. In the Available document profiles list, select one or more document profiles.
  5. In the Use the following profile by default for documents in this folder list, select a default document profile.

    Microsoft Office SharePoint Portal Server 2003 applies this profile by default when a user checks in a new document, unless the document already has a valid document profile.

  6. Click OK.

You can apply more than one document profile to a folder. By applying document profiles to a folder, you can restrict the contents of the folder to documents that use those document profiles.

Related Topics

About document profiles in the backward-compatible document library
About document management and publishing


Configure folder inheritance in the backward-compatible document library

Configure folder inheritance in the backward-compatible document library

When you create a subfolder in the backward-compatible document library, it inherits security settings from its parent folder by default. You can choose to have the security settings on the subfolders change dynamically when the parent folder settings change, or you can choose not to inherit dynamically. When inheritance is canceled, the subfolders retain their security settings even if the settings on the parent folder change. You configure the inheritance settings for subfolders on the parent folder.

Select or clear the Use parent folder's security settings box

  1. In the backward-compatible document library, find the folder for which you want to configure inheritance settings by using the network place for the document library.
  2. Right-click the folder for which you want to configure inheritance settings, and then click Properties.
  3. Click the Security tab.
  4. Select the appropriate check boxes to configure the folder inheritance settings:
    • Select the Use parent folder's security settings check box to inherit folder security settings and role memberships from the folder where this folder resides. If you select this option, you cannot add or remove users from the folder or change user role assignments unless you clear the check box.
    • Select the Reset all subfolders to use these security settings check box to propagate all security settings on this folder to all subfolders of this folder. If you select this option, you cannot change security or role settings for the affected subfolders unless you clear the Use parent folder's security settings check box on the affected subfolders.
  5. Click Apply.
  6. Click Yes.
  7. Click OK.

Related Topics

  • Edit folder properties for the backward-compatible document library
  • Create standard and enhanced folders in the backward-compatible document library
  • About document management and publishing


Copy, move, or delete documents from the backward-compatible document library

Copy, move, or delete documents from the backward-compatible document library

You can copy or move documents in the backward-compatible document library and place them in an enhanced or standard folder either in the same or another workspace, or in a local folder on your computer. The information that moves with the document depends on the nature of the source and destination folders.

  • Enhanced folder Microsoft Office SharePoint Portal Server 2003 copies the document to the destination folder in a checked-out state. The document must be checked in. All metadata (the set of properties and values used to describe a document) in the document profile and Properties page remains with the document. If you are an author or coordinator on the document's folder and a coordinator on the destination folder, the document's version history is copied to the destination folder. Otherwise, the document version history is not copied to the destination folder.

    If the document type conflicts with allowable document profiles in the destination folder, the default document profile for the destination folder is applied to the document.

  • Standard folder SharePoint Portal Server copies the document to the destination folder. Metadata from the profile form remains with the document.
  • Another backward-compatible document library SharePoint Portal Server copies the document to the destination folder. Metadata included on the document profile remains only with documents created using the Microsoft Office applications Microsoft Word, Microsoft Excel, and Microsoft PowerPoint. Metadata for other file types is not preserved. You must reenter this information by using the profile form.
  • Local folder SharePoint Portal Server copies the document to the local folder. Only certain document metadata, such as title, author, and description, remains with the document.

Move documents from a network place

  1. Open the Web folder for the document library and locate the document you want to move.
  2. Right-click the document, and then click Cut.
  3. Right-click the destination folder, and then click Paste.

    The document is now located in the destination folder, and the original document is removed from the source folder.

Copy or delete documents from a network place

  1. Open the Web folder for the document library and locate the document you want to copy or delete.
  2. Right-click one or more document, and then click Copy or Delete.

    • If you are copying one or more files, right-click the destination folder, and then click Paste.

      Copies of the documents reside in the destination folder. The original documents remain in the source folder.

    • If you are deleting one or more files, click OK.

Delete documents from the portal site

  1. On the navigation bar for the portal site, click Document Library.

    Note If the document has already been published, you can also find the document by using search. In this case, click the link to the folder that contains the document to locate the document.

  2. On the Document Library page, locate the document you want to delete.

    Note The document may be available from a list on the Document Library page, or it may be located in a subfolder. If the document is located in a subfolder, open that folder to display its contents.

  3. Click Show Actions for the document.
  4. Verify that the correct document is selected, and then click Delete.
  5. Click OK.

    Caution The Delete command completely removes a document from the backward-compatible document library. You cannot restore a deleted document.

Related Topics

About My Network Places and Web folders
About standard and enhanced folders in the backward-compatible document library
About document management and publishing


Copy or move a folder in the backward-compatible document library

Copy or move a folder in the backward-compatible document library

If you copy or move a folder to a target folder with different settings, the folder you are copying or moving retains its original settings and does not inherit the settings of the target folder.

Copy or move a folder

  1. Right-click the folder you want to copy or move, and then do one of the following:
    • To copy the folder, click Copy.
    • To move the folder, click Cut.
  2. Select a target location for the folder, right-click the spot where you want to place the folder, and then click Paste.

Note You can also drag a folder or folders from your computer to the destination folder in the document library window.

Related Topics

About standard and enhanced folders in the backward-compatible document library
About document management and publishing


Create a Web folder or Network Place for a backward-compatible document library

Create a Web folder or Network Place for a backward-compatible document library

To access the backward-compatible document library, you must create a Web folder or a Network Place.

Before you create a Web folder or Network Place, it is recommended that you see your system administrator or Internet service provider for the URL of a Web server that supports Web folders.

Note Network Places and Web folders are equivalent. In this topic, if the term Web folders is used and you have a computer running Windows 2000, substitute the term My Network Places.

Create a Web folder from My Computer

  1. In My Computer, double-click Web Folders.
  2. Double-click Add Web Folder.
  3. Follow the instructions in the Add Web Folder Wizard.

Create a Web folder from a Microsoft Office 2003 application

  1. In the Office application, click File, and then click Open.
  2. In the Open dialog box, click Web Folders on the Look In bar.
  3. You can create a Web folder or base a Web folder on an existing Web server location:
    • To add a Web folder, click the Create New Folder icon on the toolbar, and then follow the instructions in the Add Web Folder Wizard.
    • To base a new Web folder on an existing Web server location, type the Web address in the File name box, and then click OK.

      For example, type http://server_name/ to create a Web folder at that destination.

Related Topics

About My Network Places and Web folders
About document management and publishing


Create a document profile in the backward-compatible document library

Create a document profile in the backward-compatible document library

The following procedure outlines how to create a document profile for use with documents stored in a backward-compatible document library.

Create a document profile

  1. From the network place, in the document library, open the Management folder.
  2. In the Management folder, open the Document Profiles subfolder.
  3. Double-click Add Document Profile.

    The Add Document Profile Wizard opens.

  4. On the first page of the wizard, click Next.
  5. In the Name text box, type a descriptive name for the document profile.
  6. In the Template dropdown list, select an existing document profile to use as a template.

    The Base Document Profile is the default template.

  7. Click Next.
  8. Define the properties that make up the fields on the document profile:
    • To select or clear a property to appear on the document profile, click the box next to the property name.
    • To add a new property, click New.
    • To edit the attributes of an existing property, select the property by clicking the property name, and then click Edit.
  9. Click Next.
  10. To choose the order in which the properties appear on the document profile, select a property, and then use the arrows to move the property up or down in order.
  11. Click Next.
  12. Review the settings for your new document profile and click Finish.

When the wizard is complete, the new document profile appears in the Document Profiles folder. The document profile is now available for a coordinator to associate with folders in the workspace. After coordinators associate this document profile with a folder, users can select the document profile from a list when checking in a document or editing the properties of a document.

Related Topics

About document profiles in the backward-compatible document library
About document management and publishing


Create standard and enhanced folders in the backward-compatible document library

Create standard and enhanced folders in the backward-compatible document library

You can create standard and enhanced folders within the backward-compatible document library directly from the portal site or by using the network place for the backward-compatible document library.

Create a folder from the portal site

  1. On the navigation bar for the portal site, click Document Library.
  2. On the Document Library page, select the location for the new folder.
  3. Click Add Sub-Folder.
  4. Type a unique name for the folder and click Create.

    Note By default, the folder you create inherits all folder settings from its parent folder. To configure folder settings, click Open in Web Folder, navigate to the folder in Web folders, right-click the folder, and then click Properties. Use the Properties page to configure the folder settings. The Management folder cannot have subfolders.

Create a folder from My Network Places

  1. Open the Web folder for the backward-compatible document library.
  2. Open the Documents folder, and then navigate to the location for the new folder.
  3. On the File menu, point to New, and then click Folder.

    Note By default, the folder you create inherits all folder settings from its parent folder. Use the Properties page to configure folder settings. The Management folder cannot have subfolders.

  4. Type a unique name for the folder.
  5. Right-click the folder, and then click Properties.
  6. Click the General tab on the Properties page, and then select or clear the Enable enhanced folders check box.
  7. Click OK.

Related Topics

About standard and enhanced folders in the backward-compatible document library
About document management and publishing


Create or delete shortcuts to documents in the backward-compatible document library

Create or delete shortcuts to documents in the backward-compatible document library

To create a desktop shortcut to a document, use the Create Shortcut command in the backward-compatible document library.

Create a document shortcut

  1. Open the Web folder for the document library.
  2. Open the Documents folder, and then navigate to the document for which you want to create a shortcut.
  3. Right-click the document, and then click Create Shortcut.
  4. Click Yes.

Delete a document shortcut

  1. Right-click the shortcut, and then click Delete.
  2. Click Yes.

Note Deleting a document shortcut deletes the link to the document but does not delete the document from the document library.

Related Topics

About My Network Places and Web folders
About document management and publishing


Customize approval e-mail text in the backward-compatible document library

Customize approval e-mail text in the backward-compatible document library

As a coordinator on a folder in a backward-compatible document library, you can customize the approval e-mail text Microsoft Office SharePoint Portal Server 2003 sends to approvers to inform them that a document is awaiting their approval. You specify the text of the e-mail message by using the Approval tab of the Properties page for the specific folder.

Customize approval e-mail text

  1. From the network place for the backward-compatible document library, right-click the folder you want to configure, and then click Properties.
  2. Click the Approval tab, and then select an approver from the list.
  3. Click Set E-mail.
  4. Type the approver's e-mail address, and then click OK.

    Note This is recommended, but not required. If you do not provide an e-mail address, users see alerts for approval requests only on the portal site and do not receive the approval e-mail. The approver address, if entered, should be a full SMTP address (for example, user_name@example.com).

  5. In the Comments for approval e-mail box, type any comments you want to include in the approval e-mail message.
  6. Click OK.
  7. In the message box that appears, click OK.

    SharePoint Portal Server sends the approval e-mail message with your comments to the approvers on the list when a document is ready for their approval.

Note You can make changes to a folder approval process, but the changes take effect only for documents submitted for approval after the changes are made. Changes to the approval process do not affect documents already pending approval.

Related Topics

Add or remove approvers in the backward-compatible document library
About the approval process in the backward-compatible document library
Publish documents in the backward-compatible document library
About document management and publishing


Delete a document profile in the backward-compatible document library

Delete a document profile in the backward-compatible document library

You can delete a document profile by using the Delete command in the backward-compatible document library.

Important Document profiles are common across the backward-compatible document library. Any changes you make affect the use of that profile across the whole document library. If you delete a document profile, you remove it entirely from the document library. You cannot restore deleted document profiles. Microsoft Office SharePoint Portal Server 2003 reclassifies documents that used the deleted profile with the default profile for the folder in which they are stored.

Delete a document profile

  1. From the network place for the backward-compatible document library, open the Management folder, and then open the Document Profiles folder.
  2. Right-click the document profile that you want to delete, and then click Delete.
  3. In the confirmation dialog box, click Yes.

Related Topics

Add and edit document profile properties in the backward-compatible document library
About document profiles in the backward-compatible document library
About document management and publishing


Delete or rename a folder in the backward-compatible document library

Delete or rename a folder in the backward-compatible document library

If you are a coordinator on a folder in the backward-compatible document library, you can delete or rename a folder directly from the portal site or from a network place.

Delete or rename a folder from the portal site

  1. On the navigation bar for the portal site, click Document Library.
  2. On the Document Library page, open the folder you want to delete or rename.
  3. Do one of the following:
    • To delete the folder, click Delete, and then on the Delete a folder page, click Delete.
    • To rename the folder, click Rename, type the new name for the folder, and then click Save.

Delete or rename a folder from a network place or Web folder

  1. In the backward-compatible document library, right-click the folder that you want to delete or rename.
  2. Do one of the following:
    • To delete the folder, click Delete, and then click Yes.
    • To rename the folder, click Rename, type a new name for the folder, and then press ENTER.

Related Topics

Copy or move a folder in the backward-compatible document library
About standard and enhanced folders in the backward-compatible document library
About document management and publishing


Edit or delete a property from a document profile in the backward-compatible document library

Edit or delete a property from a document profile in the backward-compatible document library

You can only delete a property if it is no longer associated with any document profile in the backward-compatible document library. If you delete a property from the document profile, it no longer appears on any document profile.

Note After you delete a property, you cannot restore it. You cannot delete system properties.

Edit or delete a property from a document profile

  1. From the network place for the backward-compatible document library, open the Management folder, and then open the Document Profiles folder.
  2. Right-click the document profile with which you want to work, and then click Properties.
  3. Click the Properties tab.
  4. Click Select Properties.
  5. Do one of the following:
    • Click the property that you want to edit, click Edit, and then do the following:
      1. To edit the name of the property, make the changes in the box containing the display name.
      2. To edit values for a List or Multivalue List property, click Edit Values, and then make the necessary changes.
      3. To edit the document profile description, make the necessary changes in the Description box.
      4. Select or clear the Require users to enter a value for this property check box to indicate whether users must enter a value.
      5. Click OK to close the dialog boxes.
    • Click the property that you want to delete, click Delete, and then click Yes.

      Note To remove the property from the document profile, clear the check box for the property. The property is not available to any document profile if you delete it.

Related Topics

About document profile properties in the backward-compatible document library
Create a document profile in the backward-compatible document library
About document profiles in backward-compatible document libraries
About document management and publishing


Edit folder properties in the backward-compatible document library

Edit folder properties in the backward-compatible document library

If you are a coordinator on a folder in a backward-compatible document library, you can use the Properties page to change the following folder settings:

  • General You can use this tab on the Properties page to enable or disable enhanced folder settings and to view the general properties of the folder.

    Note You cannot enable or disable enhanced folder settings for a folder that contains documents. If you want to change this setting, you must first remove all documents from the folder.

  • Security You can use this tab of the Properties page to add and remove users, to assign users with roles, and to configure folder security inheritance settings.
  • Profiles You can use this tab of the Properties page to select which document profiles to allow in an enhanced folder (standard folders allow all document profile types), and to select the default profile to apply to all documents placed in the folder that do not already have a profile assigned.
  • Approval You use this tab on the Properties page only with enhanced folders. You can use this tab to add and remove approvers, select the approval process routing path, and provide comments for the e-mail message sent to approvers that notifies them that a document is awaiting their approval.

    Subfolders do not inherit approval routes from parent folders. You must configure these settings separately for each folder. Depending on the inheritance settings on the folder, security settings can be inherited, and the security can change dynamically as the roles on the parent folder change.

Edit folder properties

  1. Open the Web folder for the backward-compatible document library.
  2. Open the Documents folder, and then navigate to the folder that you want to configure.
  3. Right-click the folder that you want to configure, and then click Properties.
  4. Click the appropriate tab to display the property that you want to edit.

Related Topics

Configure folder inheritance in the backward-compatible document library
Copy or move a folder in the backward-compatible document library
About document management and publishing


Edit multiple document profiles in the backward-compatible document library

Edit multiple document profiles in the backward-compatible document library

Microsoft Office SharePoint Portal Server 2003 associates every document in a backward-compatible document library with a document profile.

Note When you check in multiple documents, the check-in form appears in bulk edit mode. This means that all the fields on the form are blank. Any information you enter in the document profile is applied to all the documents that you are checking in. If you leave any (or all) fields blank, those fields are not changed on the individual documents.

  1. In the backward-compatible document library, locate the documents for which you want to edit the profiles by using the network place.

    Note If the documents are in an enhanced folder, you must check them out before you can edit their profiles.

  2. Select the documents, right-click one of them, and then click Edit Profile.
  3. A bulk-edit profile form appears. Complete the Version Comments and make any necessary changes to the document profile. SharePoint Portal Server applies this document profile to all the documents that you have selected.
  4. Click OK.

Related Topics

View and edit document properties and profiles in the backward-compatible document library
About document profiles in the backward-compatible document library
About document management and publishing


Enable or disable enhanced folders in the backward-compatible document library

Enable or disable enhanced folders in the backward-compatible document library

Enhanced folders support all document management features of the backward-compatible document library. If you enable enhanced folder settings, documents must be checked out for editing and checked back in after work is completed. Each time a user checks in a document, Microsoft Office SharePoint Portal Server 2003 adds a new version to the document history.

When you disable enhanced folder settings, thereby changing the enhanced folder to a standard folder, you disable check-in, check-out, versioning, and private document views for that folder.

Enabling or disabling enhanced folders.

  1. Open the Web folder for the backward-compatible document library.
  2. Open the Documents folder, and then navigate to the folder that you want to configure.
  3. Ensure that the folder you want to configure is empty. You cannot enable check-in, check-out, and versioning for folders that contain documents.
  4. Right-click the folder you want to configure, and then click Properties.
  5. Click the General tab on the Properties page, and then select or clear the Enable enhanced folders check box.
  6. Click OK.

Related Topics

About standard and enhanced folders in the backward-compatible document library
About document management and publishing


Manage compound documents in the backward-compatible document library

Manage compound documents in the backward-compatible document library

Microsoft Office SharePoint Portal Server 2003 supports compound, or multi-part, documents only in standard folders. Examples of compound documents are HTML files with relative links, a Microsoft Office Word 2003 document with a linked Microsoft Office Excel 2003 spreadsheet, and a master document created in Office Word 2003.

Related Topics

About standard and enhanced folders in the backward-compatible document library
About document management and publishing


Change settings for the backward-compatible document library

Change settings for the backward-compatible document library

On the Change Document Library Settings page, you can do the following:

  • Change the name and description of the document library, the contact name and e-mail address, and the version limit.
  • View the name of the portal site that is associated with the document library.
  • Find links to manage document library security, document profiles, and content sources.

Change the settings for a document library

  1. Navigate to the Change Document Library Settings page by doing one of the following:
    • On the SharePoint Portal Server Central Administration for server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based). On the List and Manage Document Libraries page, click Edit for the document library that you want to change.
    • On the Site Settings page, in the Optional Document Libraries section, click Change document library settings.
  2. On the Change Document Library Settings page, in the Name and Description section, do the following:
    1. In the Document library friendly name box, type a name for the document library.
    2. In the Document library description box, type the description for the document library.
  3. In the Document Library Contact section, do the following:
    1. In the Contact name box, type the name of the user or group to which you are assigning overall responsibility for the document library.
    2. In the Contact e-mail address box, type the e-mail address for the contact.

      The contact e-mail address can be that of an individual user or a group. This e-mail address is used as the reply-to address for e-mail messages sent by the document library during document approval routes.

  4. To limit the number of previous major versions of a document to retain when the document is approved, in the Document Versions section, select the Specify version limit check box, and then type a limit in the Number of versions to retain box.

    Note This setting does not affect the number of minor versions retained.

  5. Click OK.

Related Topics

Manage security for a backward-compatible document library
Create a document profile
Managing Content Sources
About My Network Places and Web folders
About settings for the backward-compatible document library


Open a document in the backward-compatible document library

Open a document in the backward-compatible document library

You can open and edit any file in the backward-compatible document library from the portal site, Microsoft Windows Explorer, or a Microsoft Office application.

When you save a document in a standard folder, you automatically publish any changes that you made to that document. The document is available for users with appropriate permissions to view.

To save changes to a document in an enhanced folder, you must first check out the file. If you have checked out the document, you can open the file and save changes to it. You must check in your document to use the enhanced document management features. If the document is checked out, a coordinator or author on the folder can open the latest draft version in read-only format. All other readers can open the last public version of the document in read-only format.

To open a document, choose one of the following:

By using Windows Explorer

Choose one of the following:

  • Right-click the document, and then click Open.
  • Double-click the document.

By using the portal site

  1. On the navigation bar of the portal site, click Document Library.
  2. On the Document Library page, locate the document that you want to open. It may be available from a list in the Document Library view, or it may be located in a subfolder.
  3. Click the document.
  4. If prompted, click Open.

The document opens in your Web browser. Unless you have checked out the document, it opens in read-only mode.

Note You can see only those documents and folders for which you have at least read access permissions.

By using an Office application

  1. On the File menu, click Open.
  2. In the Open dialog box, click Web folders or My Network Places.
  3. Click the Web folder for the document library that contains the document that you want to view, and then click Open.
  4. Navigate to the document that you want to view, click the document, and then click Open.

Unless you have checked out the document, it opens in read-only mode.

Related Topics

Copy, move, or delete documents from the backward-compatible document library
Add a document to the backward-compatible document library
About the Properties page for a document in the backward-compatible document library
About document management and publishing


Provide a document profile description in the backward-compatible document library

Provide a document profile description in the backward-compatible document library

You can provide a description for each document profile by using the Properties page of the specific profile. The description provides users with information about the document profile, and helps them determine whether the document profile appropriately describes the documents with which they are working.

  1. Open the Web folder for the document library.
  2. Open the Management folder, and then open the Document Profiles folder.
  3. Right-click the document profile with which you want to work, and then click Properties.
  4. Click the General tab.
  5. In the Description box, type a description for the document profile.
  6. Click OK.

Related Topics

Add and edit document profile properties in the backward-compatible document library
About document profiles in backward-compatible document libraries
About document management and publishing


Publish documents in the backward-compatible document library

Publish documents in the backward-compatible document library

Publishing a document creates a public version that is available to readers of a folder. The kind of folder—standard or enhanced—controls when documents are published. You can control when documents are published by storing different kinds of documents in different types of folders.

When you save a document to a standard folder, Microsoft Office SharePoint Portal Server 2003 publishes it immediately. Therefore, all documents stored in a standard folder are, by default, available for public view. For example, meeting agendas could be stored in standard folders.

In an enhanced folder, unpublished document versions, or drafts, are accessible only to other authors and coordinators for the folder. The Publish action allows you to control when a document changes from a private view to a public view. For example, presentation slides could be stored in an enhanced folder in draft form to restrict the audience until they have been reviewed for accuracy.

SharePoint Portal Server 2003 records a document’s history to help you track changes and eliminate the possibility of people overwriting another user’s modifications. When you publish a document in an enhanced folder, the version number increments to a whole number.

Note If the coordinator has configured an approval process on the folder in which the document resides, the document is pending approval when you publish it.

Check in a document

Publish documents from the portal site

  1. On the navigation bar of the portal site, click Document Library.
  2. On the Document Library page, locate the document that you want to publish.

    The document may be available from a list in the Document Library view, or it may be located in a subfolder. If it is located in a subfolder, open that folder to display its contents.

  3. Click Show Actions for the document.

    The Document Inspection page opens.

  4. Verify that the correct document is selected and checked in, and then click Publish.
  5. On the Publish document page, click Publish.

Note If the coordinator has configured an approval process on the folder in which the document resides, the document is now pending approval.

Publish documents from Microsoft Office 2003

  1. On the File menu, click Check In.
  2. In the Version comments section of the form, select the Publish this document after check in check box.
  3. Add check-in comments and make any necessary changes to the profile form.
  4. Click OK.

Note If the coordinator has configured an approval process on the folder in which the document resides, the document is now pending approval.

Publish documents from a network place

  1. Locate the document that you want to publish.
  2. Ensure that the document is checked in.
  3. Right-click the document, and then click Publish.

Note If the coordinator has configured an approval process on the folder in which the document resides, the document is now pending approval.

Related Topics

Check a document into the backward-compatible document library
Publish documents in the backward-compatible document library
About document profiles in backward-compatible document libraries
About document management and publishing


Remove a published document from the backward-compatible document library

Remove a published document from the backward-compatible document library

Occasionally, you may need to remove a published document from public view. There is no unpublish command available, but you can remove a document from public view while keeping a version of the original document in the backward-compatible document library. To do this, you create a copy of the document in another location, and then delete the original. This removes the published document from the document library and public view. Next, place the copy that you made of the document in the original folder. Microsoft Office SharePoint Portal Server 2003 treats this document as a new, unpublished document. All prior version history is lost. SharePoint Portal Server removes the "published" status from the document, but makes an unpublished copy available for private view.

Note To change a portion of the content of a published document, you can check the document out, make the necessary changes, and then republish it. Note that, in this case, the original published copy of the document remains available for searching and viewing on the document library in the portal site until the newer version of the document is approved (if appropriate) and published.

Remove a published document from public view

  1. From the network place for the backward-compatible document library, locate the document that you want to remove from public view.
  2. Right-click the document, and then click Copy.
  3. Locate a folder where you can temporarily store a copy of the document. Right-click that folder, and then click Paste.

    Verify that the document is copied to the folder. If you copied the document to an enhanced folder, its document status is checked out.

  4. Right-click the original, published document in the original folder, and then click Delete.
  5. Click Yes.
  6. Locate the copy of the document that was made in step 3 of this procedure. Right-click the document, and then click Cut.
  7. Right-click the document's original folder, and then click Paste.

    Verify that the document is copied to the folder. Its status is checked out.

You can continue to work with the document now, or check it in to make it available for other folder users to work with. The published version of the document is removed from the document library and portal users can no longer search for or view it. If you want portal users to be able to view the document, you must publish it again.

Related Topics

Publish documents in the backward-compatible document library
About the approval process in the backward-compatible document library
About document management and publishing


Rename documents in the backward-compatible document library

Rename documents in the backward-compatible document library

You can rename documents in the backward-compatible document library directly from the portal site or by using the network place to access the backward-compatible document library.

Note You cannot rename a document from the portal site if it is submitted for publishing and has a status of Pending Approval.

Rename documents from the portal site

  1. On the navigation bar for the portal site, click Document Library.

    Note If the document is already published, you can also find the document by using search. In this case, click the link to the folder that contains the document to locate the document.

  2. On the Document Library page, locate the document you want to rename.

    Note The document may be available from a list on the Document Library page, or it may be located in a subfolder. If the document is located in a subfolder, open that folder to display its contents.

  3. Click Show Actions for the document.
  4. Verify that the correct document is selected, and then click Rename.
  5. On the Rename a document page, type a unique name for the document, and then click Save.

Rename documents from a network place

  1. From the network place for the backward-compatible document library, locate the document you want to rename.
  2. Right-click the document you want to rename, and then click Rename.
  3. Type a unique name for the document, and then press ENTER.

Related Topics

Copy, move, or delete documents from the backward-compatible document library
About standard and enhanced folders
About document management and publishing


Select a document profile in the backward-compatible document library

Select a document profile in the backward-compatible document library

To use document profiles to restrict the types of documents that users can include in folders, you must select at least one document profile to associate with a folder. You can assign more than one document profile to a folder. When you assign document profiles to a folder, only documents matching those document profiles can be stored in that folder.

Select a document profile

  1. Right-click the folder to which you want to apply profiles, and then click Properties.
  2. Click the Profiles tab.
  3. In the Available document profiles list, select one or more document profiles.
  4. In the Use the following profile by default for documents in this folder list, select a default document profile. Microsoft Office SharePoint Portal Server 2003 automatically applies this document profile to all documents in the folder unless the user selects a different, valid document profile.
  5. Click OK.

Related Topics

Add and edit document profile properties in the backward-compatible document library
About document profiles in the backward-compatible document library
About document management and publishing


Specify automatic approval in the backward-compatible document library

Specify automatic approval in the backward-compatible document library

To specify whether to approve and publish documents in a folder when a user selects the Publish command, use the Approval tab on the Properties page of the folder.

Select or clear the check box for approving documents

Specify automatic approval

  1. From the network place for the backward-compatible document library, right-click the folder you want to configure, and then click Properties.
  2. Click the Approval tab.
  3. Select or clear the Documents must be approved before publishing check box.
  4. Click OK.

    Note You can make changes to a folder approval process, but these changes take effect only for documents submitted for approval after the changes are made. Changes to the approval process do not affect documents already pending approval.

Related Topics

About the approval process for the backward-compatible document library
About document management and publishing


Specify general settings for the backward-compatible document library

Specify general settings for the backward-compatible document library

It is not possible to specify general settings for the backward-compatible document library using Web folders. You can view the settings in Workspace Settings in the Management folder, but you must use the portal site to change the settings.

Specify general settings from the portal site

  1. On the title bar of the portal page, click Site Settings.
  2. On the Site Settings page, in the Optional Document Libraries section, click Change document library settings.
  3. In the Name and Description section, in theDocument library description box, type a description for this backward-compatible document library.
  4. In the Document Library Contact section, in the Contact name box, type the name of the contact.
  5. In the Contact e-mail address box, type the full Simple Mail Transfer Protocol (SMTP) e-mail address for the contact.
  6. In the Document Versions section, select Specify version limit to limit the number of versions, and then type a limit in the Number of versions to retain text box.
  7. In the Document Library Tasks section, use the links to manage additional settings for the document library.
  8. Click OK.

Related Topics

About settings for the backward-compatible document library
About document management and publishing


Manage security for a backward-compatible document library

Manage security for a backward-compatible document library

If you are the coordinator for a backward-compatible document library, you can add or remove users from roles for the document library level and for the individual folders on a folder-by-folder basis.

Note Security settings on individual folders determine what users see in the document library. This means that a user assigned a role at the document library level may not have the same role at the folder level.

Add a user at the document library level

  1. Open the Web folder for the document library.
  2. Open the Management folder, and then double-click Workspace Settings.
  3. On the Properties page, click the Security tab.
  4. Click Add, select one or more users to add to the list of users, and then click OK.
  5. In the Role list, click the role to which you want to assign the user.
  6. Click OK.

Notes

  • By default, a user is automatically assigned to the role of reader.
  • If you have a list of users who are all members of the same domain group, you can save time by adding the domain group instead of adding each user individually. If you add a new user to the group later, the new user automatically acquires the permissions of the group.

Add a user at the folder level in a document library

  1. Open the Web folder for the document library.
  2. In the document library, right-click the folder to which you want to add users, and then click Properties.
  3. On the Properties page, click the Security tab.
  4. Clear the Use parent folder's security settings check box.
  5. Click Add, select one or more users to add to the list of users, and then click OK.
  6. In the Role list, click the role to which you want to assign the user.
  7. Click OK.

Notes

  • By default, a user is automatically assigned to the role of reader.
  • If you have a list of users who are all members of the same domain group, you can save time by adding the domain group instead of adding each user individually. If you add a new user to the group later, the new user automatically acquires the permissions of the group.

Change a user's role

  1. On the Properties page for the document library or one of its folders, click the Security tab.
  2. Clear the Use parent folder's security settings check box.
  3. Select one or more users.
  4. In the Role list, click the role to which you want to assign the user.
  5. Click OK.

Deny access to a specific document

You can prevent a user from viewing a specific document by editing the properties of the document. On a document-by-document basis, you can deny access to any user that has at least reader access to the folder.

  1. On the Properties page for the document, click the Security tab.
  2. Click Deny.
  3. Select one or more users.
  4. Click OK.

Remove a user

  1. On the Properties page for the document library or one of its folders, click the Security tab.
  2. Clear the Use parent folder's security settings check box.
  3. Select one or more users.
  4. Click Remove. To remove all users, click Remove All
  5. Click OK.

Related Topics

About security in the backward-compatible document library
About roles in the backward-compatible document library
About settings for the backward-compatible document library
About document management and publishing


Undo check-out in the backward-compatible document library

Undo check-out in the backward-compatible document library

You can check a document back into the backward-compatible document library, without saving any changes, directly from the portal site or by using the network place for the document library. If you undo a check-out, you lose all changes that you made while you had the document checked out. The document reverts to the version that was most recently checked in, and Microsoft Office SharePoint Portal Server 2003 does not keep a version history record for the unsaved changes.

Coordinators on a folder can also undo a check-out on a document that another user has checked out. When you add a document to the document library but have not yet checked it in for the first time, the Undo Check Out command is not available. This command becomes available only after you have checked in and checked out a document for the first time.

Undo check-out from the portal site

  1. On the navigation bar of the portal site, click Document Library.

    Under the Document Library heading, SharePoint Portal Server displays a list of folders and documents available from this site. The items displayed depend on your permissions.

  2. Click the Show Actions link for the document.

    The Document Inspection page appears.

  3. Verify that the correct document is selected, and then click Undo Check Out.
  4. On the Undo check out of document page, click Undo Check Out.

SharePoint Portal Server 2003 returns the document to a checked-in state. The version that appears as the current version in the document library is the version that was most recently checked in. If you want to make changes to that document, you must check it out again.

Undo check-out by using the network place for the backward-compatible document library

  1. Locate your document in the backward-compatible document library.
  2. Right-click the document, and then click Undo Check Out.
  3. In the confirmation message, click Yes.

SharePoint Portal Server 2003 returns the document to a checked-in state. The version that appears as the current version in the document library is the version that was most recently checked in. If you want to make changes to that document, you must check it out again.

Related Topics

Check a document into the backward-compatible document library
Check a document out of the backward-compatible document library
About standard and enhanced folders in the backward-compatible document library
About document management and publishing


Use custom Office 2003 document properties in the backward-compatible document library

Use custom Office 2003 document properties in the backward-compatible document library

You can create a custom document template in Microsoft Office 2003 with properties that match those of a document profile used with the backward-compatible document library. Microsoft Office SharePoint Portal Server 2003 can then automatically copy the custom properties on the template to the document profile when the document is checked in.

This transfer of prefilled custom Office properties to document profiles works only if the default document profile for the folder in which the document resides matches the properties in the Office template.

For example, you could create a Specifications template in Office that has Team, Project Manager, and Area properties automatically filled out. Next, in the backward-compatible document library, you could create a Specifications document profile with the same properties and assign that document profile to be the default document profile for the folder to which you want to add the document.

Related Topics

About the Properties page for a document in the backward-compatible document library
About document management and publishing


Use shortcuts to folders in the backward-compatible document library

Use shortcuts to folders in the backward-compatible document library

If you want to create a desktop shortcut to a folder in a backward-compatible document library, you can use the Create Shortcut command in the document library on the portal site.

Create a folder shortcut

  1. Open the network place for the document library, right-click the folder for which you want to create a shortcut, and then click Create Shortcut.
  2. Click Yes.

A shortcut to the folder appears on your desktop. You can work in this folder as you would any other folder.

Delete a folder shortcut

  1. Right-click the shortcut you want to delete, and then click Delete.
  2. Click Yes.

Deleting a folder shortcut deletes the link to the folder but does not delete the folder in the document library.

Related Topics

Create a Web folder or Network Place for a backward-compatible document library
About My Network Places and Web folders
About document management and publishing


View and edit document properties and profiles in the backward-compatible document library

View and edit document properties and profiles in the backward-compatible document library

View and edit properties

  1. On the navigation bar of the portal site, click Document Library.

    In the Document Library section, view the folders and documents available from this site. The folders and documents that appear depend on your role.

  2. In the folder containing the document with properties that you want to view or edit, click Open in Web Folder.
  3. Do one of the following:
    • If the document is in an enhanced folder, do the following:
      1. Right-click the document, and then click Check Out.

        Note If the document is already checked out, this step is not necessary.

      2. Right-click the document again, and then click Properties.
      3. Click the appropriate tab to display the property that you want to edit.
      4. Make any changes, click Apply, and then click OK to close the Properties page.
      5. Right-click the document, and then click Check In.
      6. A profile form appears. Make your changes in the fields on the form. An asterisk (*) next to a field indicates required information.
      7. Click OK.
    • If the document is in a standard folder, do the following:
      1. Right-click the document, and then click Properties.
      2. Click the appropriate tab to display the property that you want to edit.
      3. Make any changes, click Apply, and then click OK to close the Properties page.

View and edit document profiles

  1. On the navigation bar of the portal site, click Document Library.

    In the Document Library section, view the folders and documents available from this site. The folders and documents that appear depend on your role.

  2. In the folder containing the document with the profile that you want to view or edit, click Open in Web Folder.
  3. Do one of the following:
    • If the document is in an enhanced folder, do the following:
      1. Right-click the document, and then click Check Out.

        Note If the document is already checked out, this step is not necessary.

      2. Right-click the document again, and then click Check In.
      3. A profile form appears. Make your changes in the fields on the form. An asterisk (*) next to a field indicates required information.
      4. Click OK.

      A new version of the document, with your updated document profile, is now checked in to the document library.

    • If the document is in a standard folder, do the following:
      1. Right-click the document, and then click Edit Profile.
      2. A profile form appears. Make your changes in the fields on the form. An asterisk (*) next to a field indicates required information.
      3. Click OK.

Related Topics

About the Properties page for a document in the backward-compatible document library
About standard and enhanced folders
About document management and publishing


View and manage the contents of a Web folder or network place

View and manage the contents of a Web folder or network place

You can view and manage folders and files in a Web folder or network place in two different ways:

  • In Microsoft Windows Explorer When you view the contents of a Web folder, you see a list of folders and files and their associated URLs. You can move, copy, rename, and delete these folders and files just as if they were on a regular file server. You can view the folder and file properties. You can also drag files between Web servers, between a Web server and a file server, and between a Web server and your hard disk.
  • In Microsoft Office 2003 From the Open dialog box (File menu, Open command), you can view and open the contents of Web folders. From the Save As dialog box (File menu, Save As command), you can save a copy of a file to a Web folder. You can also create a Web folder by clicking Web Folders on the Places bar, and then clicking Create New Folder.

Related Topics

Create a Web folder or Network Place for a backward-compatible document library
About My Network Places and Web folders
About document management and publishing


View a document's version history in the backward-compatible document library

View a document's version history in the backward-compatible document library

Enhanced folders track the version history of each document, monitoring the number of times that you check in, check out, and publish a document.

Showing the version history of a document

View version history

By using the portal site

  1. On the navigation bar for the portal site, click Document Library.
  2. From the Document Library page, find the document for which you want to view the version history.
  3. Click Show Actions, and then click Version History.

    The Version History page opens. You can view check-in comments and the user name for each version.

  4. To open a specific version of the document, click the link for the version that you want to open.

By using My Network Places

  1. In the backward-compatible document library, right-click the document for which you want to view the version history, and then click Properties.
  2. On the Properties page of the document, click the Versions tab.

    The Document versions list displays the version history of the document that you selected.

  3. To open a specific version of the document, click the version that you want to open from the Document versions list, and click View Document.

    To view the document profile for that version, click View Profile.

Related Topics

About the Properties page for a document in the backward-compatible document library
About standard and enhanced folders
About document management and publishing


Add a member to a Document Workspace

Add a member to a Document Workspace

To add members to a Document Workspace site, you must have the Create Subsite right, or you must belong to the Administrator site group.

  1. On the home page of the Document Workspace site, in the Members Web Part, click Add new member.
  2. Complete steps 1 and 2 on the Add Users page, and then click Next.
  3. Complete steps 3 and 4 on the Add Users page, and then click Finish.


About the Form Web Part

About the Form Web Part

You can use the Form Web Part to connect to and filter a column of data in another Web Part. Both Web Parts must run on the site server.

Ways you can use the Form Web Part

You might use the Form Web Part in the following ways:
  • Filter all employees with the same last name in a List View Web Part containing employee data.
  • Customize the Form Web Part by adding radio buttons (option buttons), checkboxes, and text boxes with default values to filter a List View Web Part containing product information.

Connecting and using the Form Web Part

To use the Form Web Part, you connect it with another Web Part capable of filtering through a Web Part connection, such as the List View Web Part, by selecting the Provide Form Value To command from the Connections submenu on the Web Part menu. You can connect the Form Web Part to one or more Web Parts on the Web Part Page.

After connecting the Form Web Part to another Web Part, you can type text in the text box, click Go or press ENTER, and the other Web Part can display data that matches the text you typed.

To clear the text box and type new text, select the current text, and then delete it.

Customizing the Form Web Part

You can modify the Form Web Part by using either the Source Editor custom property or an HTML editor compatible with Microsoft Windows SharePoint Services, such as Microsoft Office FrontPage 2003.

You might want to enhance the Form Web Part by adding other form elements, such as radio buttons (option buttons), checkboxes, default values, and list boxes, or create forms with several fields to combine criteria and pass more complex filters to the other Web Part. Once you have modified the Form Web Part, you can create another instance of it and add it to a Web Part Gallery on your site.

If you customize the Form Web Part, keep in mind the following important points:

  • Only one Go button (which uses the HTML element, <INPUT TYPE=SUBMIT/>) can be used to pass data to the other Web Part.
  • The Form Web Part uses the HTML <FORM> element. Certain HTML elements cannot be used inside a <FORM> element including <HTML>, <BODY>, and <FORM>.
  • All form field names must be unique. Each name value is used to connect to a corresponding column name in the Web Part you are connecting to.
  • You can only use use the following <FORM> controls and they pass the following values to the other Web Part:
    Control | HTML element | Value passed
    Text Box. | <INPUT TYPE=”text”> | The VALUE attribute
    Text Area | <TEXTAREA> | The VALUE attribute
    Check Box | <INPUT TYPE=”checkbox” | The VALUE attribute if checked; the string, "off", if unchecked.
    Radio (Option) Button | <INPUT TYPE=”radio”> | The VALUE attribute if checked; the string, "off", if unchecked.
    Dropdown Box | <SELECT> | A comma delimited string of the VALUE attributes of the selected options; the string, "off", if no selection. For example, if “chairs” and “tables” are selected, the VALUE attributes is "chairs,tables".

Note The Form Web Part only provides data to another connectable Web Part, it cannot get data from another connectable Web Part. You cannot use the Form Web Part, for example, as a detail form to display a row of data.


Form Web Part custom properties

Form Web Part custom properties

The custom property of the Form Web Part is listed below with its "friendly" name used in the tool pane and its property name in parentheses.

Source Editor (Content)

Opens a Text Editor Window which you can use to add or edit HTML source code. The Source Editor is intended for users with knowledge of HTML syntax.

By default, when you first add the Form Web Part to your Web Part Page, the following HTML code is inserted and used to display the text box and Go button, and execute Java script:

<div (1)
onkeydown="javascript:if (event.keyCode == 13) _SFSUBMIT_"> (2)
<input type="text" name="T1"/> (3)
<input type="button" value="Go"  (4)
onclick="javascript:_SFSUBMIT_"/> (5)
</div> (1)

1 Defines a block element for the Form Web Part.

2 Defines a placeholder for a Java script routine that passes the form data to the other Web Part when the ENTER key is pressed.

3 Creates the text box on the form and defines the form field passed to the other Web Part.

4 Creates the Go button on the form.

5 Defines a placeholder for a Java script routine that passes the form data to the other Web Part when the Go button is pressed.

Caution Do not modify the onkeydown or onclick event code in the Source Editor. The Form Web Part dynamically creates the Java script routine at run-time to create the connection to the other Web Part, and you may unintentionally break the Form Web Part.

If you customize the Form Web Part, keep in mind the following important points:

  • Only one Go button (which uses the HTML element, <INPUT TYPE=SUBMIT/>) can be used to pass data to the other Web Part.
  • The Form Web Part uses the HTML <FORM> element. Certain HTML elements cannot be used inside a <FORM> element including <HTML>, <BODY>, and <FORM>.
  • All form field names must be unique. Each name value is used to connect to a corresponding column name in the Web Part you are connecting to.
  • You can only use the following <FORM> controls, which pass the following values to the other Web Part:
    Control | HTML element | Value passed
    Text Box. | <INPUT TYPE=”text”> | The VALUE attribute
    Text Area | <TEXTAREA> | The VALUE attribute
    Check Box | <INPUT TYPE=”checkbox” | The VALUE attribute if checked; the string, "off", if unchecked.
    Radio (Option)Button | <INPUT TYPE=”radio”> | The VALUE attribute if checked; the string, "off", if unchecked.
    Dropdown Box | <SELECT> | A comma delimited string of the VALUE attributes of the selected options; the string, "off", if no selection. For example, if “chairs” and “tables” are selected, the VALUE attributes is "chairs,tables".

You cannot view or modify this property in personal view.

Note You can more easily modify the Form Web Part by using an HTML editor compatible with Microsoft Windows SharePoint, such as Microsoft Office FrontPage 2003.


Form Web Part summary

Form Web Part summary
About the Form Web Part
Form Web Part custom properties
Overview of Web Part Pages


Placeholder

Placeholder

Placeholder

©2003 Microsoft Corporation. All rights reserved.


Modify Web Parts

Modify Web Parts

You can modify attributes of a Web Part by assigning values to its Web Part properties. All Web Parts share a set of common properties that allow you to specify attributes for the appearance, layout, and other additional information. A Web Part can also have custom properties that apply only to that Web Part.

To modify Web Part properties by using the tool pane

If you are in shared view

  1. Click Modify Shared Page.
  2. Point to Modify Shared Web Parts, select the Web Part you want to modify.

The list of properties that apply to the selected Web Part is displayed in the tool pane. These properties include all the common properties as well as any custom properties that the Web Part developer has defined for the Web Part.

If you are in personal view

  1. Click Modify My Page.
  2. Point to Modify My Web Parts, select the Web Part you want to modify.

The list of properties that apply to the selected Web Part is displayed in the tool pane. These properties include the common properties and custom properties that the Web Part developer has allowed a user to modify in the personal view.

See Also

About Web Part Page personal and shared views

Switch Web Part Page views


Switch Web Part Page views

Switch Web Part Page views

Important Be careful switching Web Part page views. The contents of the Web Part Page and the values of the Web Part properties are often different in each view. More importantly, the scope and effect of changes you make varies significantly in each view.

Switch to personal view

If you are in shared view and you want to switch to personal view:

  • On the Web Part Page menu, click Modify Shared Page, and then select Personal View.

All subsequent changes that you make to Web Part properties and any Web Parts you add or remove will apply only to you.

Switch to shared view

If you are in personal view and you want to switch to shared view:

  • On the Web Part Page menu, click Modify My Page, and then select Shared View.

All subsequent changes that you make to Web Parts on the page will be applied to all users sharing that page and apply to those users if they have not personalized the Web Parts.


Check out or check in a document

Check out or check in a document

Check out a document

In a document library

  1. Locate the document that you want to check out.
  2. Point to the document, click the arrow, and then click Check Out.

In an Office application

  1. On the File menu, click Open.
  2. In the Open dialog box, select Web folders from the Look in drop-down menu, locate the document that you want to check out, and then click Open.
  3. On the File menu, click Check Out.

Check in a document

In a document library

  1. Locate the document that you want to check in.
  2. Point to the document, click the arrow, and then click Check In.
  3. On the Check In page, do one of the following:
    • Select Check in document.
    • Select Check in changes saved to this document, but keep the document checked out.
    • Select Discard changes and undo check out.
  4. Enter any comments in the text box under Check In comments, and then click OK.

In an Office application

  1. On the File menu, click Check In.
  2. In the Check In Comments dialog box, enter any comments in the text box, and then click OK.


About the Page Viewer Web Part

About the Page Viewer Web Part

You can use the Page Viewer Web Part to display a Web page, file, or folder on a Web Part Page. You enter either a hyperlink, file path, or folder name to link to the content.

Notes

  • You can only use the Page Viewer Web Part in a browser that supports the HTML <IFRAME> element.
  • Displaying a file or folder requires Microsoft Internet Explorer.

Ways you can use the Page Viewer Web Part

You might use the Page Viewer Web Part to display:
  • A favorite Internet news source in a dedicated news summary section of a Web Part page.
  • A list of active work group files on a network server that you want to view on a regular basis.
  • A commonly-used document or spreadsheet.

How the Page Viewer Web Part displays a Web page within a Web Part Page

The linked content of the Page Viewer Web Part is isolated from other content on the Web Part Page through the use of the HTML <IFRAME> element. This element ensures that any HTML elements displayed as content in the Page Viewer Web Part will not conflict with other HTML elements on the Web Part Page. For example, the Web Part Page may already contain a <FORM> element, and the page would not display correctly if the linked content also contained a <FORM> element that was not contained inside the <IFRAME> element.

The Page Viewer Web Part displays content asynchronously from the rest of the page. This means that you can view and use other Web Parts on the page if the link happens to take a long time to return the content.


Page Viewer Web Part custom properties

Page Viewer Web Part custom properties

Note You cannot view or edit any of these custom properties in personal view.

Web Page, Folder, or File group (SourceType)

Specifies the type of content you want to display in the Page Viewer Web Part.

Select one of the following:

Web Page

Select this option if you want to display a Web page as the content of the Page Viewer Web Part.

This option automatically enters the Hypertext Transfer Protocol (http://) protocol in the Link text box and hides the Browse button if it is visible.

This is the default value.

Folder

Select this option if you want to display a list of files in a folder. This option hides the Browse button if it is visible.

File

Select this option to display the contents of a file. This option also displays the Browse button under the Link text box. The file opens either in a separate browser window, or inside the Web Part if the application that opens the file supports inline activation for that file in the browser window.

Link (ContentLink)

Specifies a hyperlink, folder, or file to the content you want displayed in the Page Viewer Web Part:
  • If you select Web Page above, you must enter a valid hyperlink. The two valid hyperlink protocols you can use are:
    • Hypertext Transfer Protocol (http://)
    • Hypertext Transfer Protocol with privacy, which uses Secure Sockets Layer (SSL) encryption (https://)
  • If you select Folder above, you must enter a valid local or network folder. Displaying a folder requires Microsoft Internet Explorer.
  • If you select File above, you must enter a valid file path. Displaying a file requires Microsoft Internet Explorer. You can also click Browse to locate the file.

To ensure you have typed the correct link, click Test Link to display the Web Page, folder, or file in a separate browser window.

To make it easier to edit long strings, click Text Builder Button image .


Page Viewer Web Part summary

Page Viewer Web Part summary
About the Page Viewer Web Part
Page Viewer Web Part custom properties
Overview of Web Part Pages


Remove personalized changes on a Web Part Page

Remove personalized changes on a Web Part Page

You can remove personalized changes you have made to a Web Part Page and revert to the current shared property values for the Web Parts on the page.

Caution The Reset Page Content command permanently deletes personalized Web Part property values and permanently deletes any private Web Parts.

To reset Web Part page content
  • On the Web Part Page menu, click Reset Page Content.

Note The Reset Page Content command is only visible in personal view, and if you have previously personalized the Web Part Page.


Rights and site groups for Web Part Pages and Web Parts

Rights and site groups for Web Part Pages and Web Parts

Use the following sections to help you decide how to grant or deny rights, assign users to appropriate site groups, and manage personalized changes to Web Parts by users.

Typical ways to control Web Part Pages

Security for Web Part Pages and Web Parts is integrated with security for Microsoft Windows SharePoint Services. A subset of rights affects Web Part Pages and Web Parts (View Pages, View Items, Add and Customize Pages, Add Items, Edit Items, and Delete Items). Also, there are rights unique to Web Part Pages and Web Parts (Add/Remove Private Web Parts and Update Personal Web Parts). Typically, as a site administrator you would like to control who can do what to a Web Part Page and the Web Parts on it by allowing, for example:

  • A site reader to view, but not to personalize, a Web Part Page.
  • A site contributor to browse and personalize a Web Part Page on a site, but not to make changes to a Web Part Page or its Web Parts for all users in shared view.
  • A Web designer to browse, create, customize, and make changes to a Web Part Page and its Web Parts on a site or in a document library for all users in shared view.

Managing personalized changes to Web Part Pages by users

If at one time any user has had View Pages or View Items rights, but they have been removed, the user can still delete personalizations made to Web Part Pages. The Web Part will revert to its shared property values.

Once a user has personalized a Web Part Page, there is no automatic way to replace these personalized changes by a system administrator or user with appropriate permission. However, a system administrator or user with appropriate permission can go to the Web Part Maintenance Page and delete all personalized changes there. Any personalized changes made by the user will revert to the shared property values.

Rights for Web Part Pages and Web Parts on a site and in a document library

The following table summarizes how Windows SharePoint Services rights affect a user's experience when working with Web Part Pages and Web Parts on a site and in a document library.

This right Allows you to And applies to
View Pages
  • Browse a Web Part Page
A Web Part Page on a site, but not in a document library
View Items
  • View a Web Part on a Web Part Page
  • Open a Web Part Page in a document library
A Web Part Page in a document library
Add/Remove Private Web Parts
  • Add a Web Part to and remove a Web Part from a Web Part Page

    Note This right is dependent on and automatically granted with the Update Personal Web Parts right by default.

A Web Part Page on a site and in a document library
Update Personal Web Parts
  • Make changes to a Web Part Page that apply only to the current user in personal view

    Note This right is dependent on and must be granted with the Add/Remove Private Web Parts right.

A Web Part Page on a site and in a document library
Add and Customize Pages
  • Create a Web Part Page
  • Edit a Web Part Page by using a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003
  • Delete a Web Part Page
  • Make changes to a Web Part Page that apply to all users in shared view
  • Make changes to a Web Part Page that apply to all users in shared view by adding Web Parts to and removing Web Parts from a Web Part Page
A Web Part Page on a site, but not in a document library
Add Items
  • Create a new Web Part Page in a document library
A Web Part Page in a document library
Edit Items
  • Edit a Web Part Page
  • Edit a Web Part Page by using a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003
  • Make changes to a Web Part Page that apply to all users in shared view
  • Make changes to a Web Part Page that apply to all users in shared view by adding Web Parts to and removing Web Parts from a Web Part Page
A Web Part Page in a document library
Delete Items
  • Delete a Web Part Page in a document library
A Web Part Page in a document library

Web Part Page and Web Part default rights for each site group

The following table summarizes the Web Part Page and Web Part rights granted by default to each site group.

Right | Reader | Contributor | Web Designer | Administrator
View Pages | Granted | Granted | Granted | Granted
View Items | Granted | Granted | Granted | Granted
Add/Remove Private Web Parts | Denied | Granted | Granted | Granted
Update Personal Web Parts | Denied | Granted | Granted | Granted
Add Items | Denied | Granted | Granted | Granted
Edit Items | Denied | Granted | Granted | Granted
Delete Items | Denied | Granted | Granted | Granted
Add and Customize Pages | Denied | Denied | Granted | Granted

Comparing default site groups on a site and in a document library

As the following table shows, default site groups provide different abilities depending on whether the Web Part Page is located on a site or in a document library.

Site Group Abilities on a team Web site Abilities in a document library
Administrator
  • Create a Web Part Page
  • Edit a Web Part Page by using a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003
  • Delete a Web Part Page
  • Browse a Web Part Page and its Web Parts
  • Make changes to a Web Part Page that apply to all users in shared view
  • Personalize a Web Part
  • Add a private Web Part to a Web Part Page, or delete a private Web Part from a Web Part Page
  • Create a Web Part Page
  • Edit a Web Part Page by using a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003
  • Delete a Web Part Page
  • Browse a Web Part Page and its Web Parts
  • Make changes to a Web Part Page that apply to all users in shared view
  • Personalize a Web Part
  • Add a private Web Part to a Web Part Page, or delete a private Web Part from a Web Part Page
Web Designer
  • Create a Web Part Page
  • Edit a Web Part Page by using a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003
  • Delete a Web Part Page
  • Browse a Web Part Page and its Web Parts
  • Make changes to a Web Part Page that apply to all users in shared view
  • Personalize a Web Part
  • Add a private Web Part to a Web Part Page, or delete a private Web Part from a Web Part Page
  • Create a Web Part Page
  • Edit a Web Part Page by using a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003
  • Delete a Web Part Page
  • Browse a Web Part Page and its Web Parts
  • Make changes to a Web Part Page that apply to all users in shared view
  • Personalize a Web Part
  • Add a private Web Part to a Web Part Page, or delete a private Web Part from a Web Part Page
Contributor
  • Browse a Web Part Page and its Web Parts
  • Personalize a Web Part
  • Add a private Web Part to a Web Part Page, or delete a private Web Part from a Web Part Page
  • Create a Web Part Page
  • Edit a Web Part Page by using a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003
  • Delete a Web Part Page
  • Browse a Web Part Page and its Web Parts
  • Make changes to a Web Part Page that apply to all users in shared view
  • Personalize a Web Part
  • Add a private Web Part to a Web Part Page or delete a private Web Part from a Web Part Page
Reader
  • Browse a Web Part Page and its Web Parts
  • Browse a Web Part Page and its Web Parts


Rich Text Editor Button Summary

Rich Text Editor Button Summary

Use the Rich Text Editor to add formatted text, tables, hyperlinks, and images to the Content Editor Web Part. The tasks you can perform and their corresponding buttons are summarized below.

The Standard Toolbar

Button | Name | Description
Button image | Cut | Removes the selected text, table, or image and places it on the Clipboard.
Button image | Copy | Copies the selected text, table, or image to the Clipboard.
Button image | Paste | Inserts the contents of the Clipboard at the insertion point, and replaces any selection.
Button image | Undo | Reverses the last command or deletes the last entry you typed.
Redo button | Redo | Reverses the action of the Undo command.
Button image Find Searches for the specified text.

You can search for whole words only, or text that might also be part of a larger word. For example, if you only want to find the word "this", select Whole word matches only; To search for “this” and “thistle”, clear Whole word matches only.

You can also specify if you want to search from the current location of the insertion point either to the beginning of the content, by selecting Up, or to the end of the content, by selecting Down.

Show borders image | Show/Hide Gridlines | Shows or hides table and cell borders for tables or cells that don't have borders (HTML border attribute = 0) so you can more easily see the table or cell.
Button Image | Insert Hyperlink | Inserts a new hyperlink at the selected text, or edits the selected hyperlink.
Insert Picture button Insert Image Inserts a picture at the insertion point. You can enter a file path or hyperlink in Picture Source, and alternate text to display when you hover over the image.

In the Alignment drop-down list, you can select a variety of ways to align the image with surounding text.

Bottom or Baseline | Align the bottom of the image with the baseline of the text.
Middle | Align the middle of the image with the baseline of the text.
Top | Align the top of the image with the top of the largest item in a line of text.
Left | Align the image with the left margin, allowing text to wrap around the image.
Right | Align the image with the right margin, allowing text to wrap around the image.
Texttop | Align the top of the image with the top of the surrounding text.
Absmiddle | Align the middle of the image with the middle of the line of text.
Absbottom | Align the bottom of the image with the bottom of the line of text.

You can also specify border thickness, horizontal spacing, and vertical spacing. Valid values range from 0 to 999.

Insert Table button | Insert Table | Inserts a table at the insertion point. You can specify the number of rows and columns, a table caption, and additional table and cell HTML attributes.
Button image | Insert Row | Adds a table row above the table row containing the insertion point.
Insert Column image | Insert Column | Adds a table column to the left of the table column containing the insertion point.
Insert Cell button | Insert Cell | Adds a table cell to the left of the table cell containing the insertion point.
Merge Cell button image | Merge Cell | Combines the contents of two or more selected and adjacent table cells into a single table cell.
Split Cell image | Split Cell | Divides the selected table cell into two table cells.
Button image | Help | Displays this Help topic.

Formatting Toolbar

Button | Name | Description
Button image | Style | Inserts a text style, which is a set of formatting characteristics you can apply to selected text to quickly change its appearance.
Label control | Font | Changes the font, font style, font size, effects, and color of the selected text.
Button image | Bold | Bolds selected text if it is not bolded, and un-bolds selected text if it is already bolded.
Button image | Italics | Italicizes selected text if it is not italicized, and removes italics from selected text if it is already italicized.
Button image | Underline | Underlines selected text if it is not underlined, and removes underlining from selected text if it is already underlined.
Button image | Highlight | Adds background color to the selected text, or removes background color if the selected text already has background color.
Button image | Align Left | Aligns the selected text, table, or image to the left edge of the content.
Center text button | Center | Centers the selected text, table, or image.
Button image | Align Right | Aligns the selected text, table, or image to the right edge of the content.
Left-to-Right button | Left-to-Right | Converts the direction of the selected text, table, or image, including the reading order, alignment, and overall layout, to a left-to-right orientation.
Right-to-Left button | Right-to-Left | Converts the direction of the selected text, table, or image, including the reading order, alignment, and overall layout, to a right-to-left orientation.
Numbering button | Numbered List | Creates a numbered list for the selected text if it's not numbered, and removes a numbered list from the selected text if it's already numbered.
Bullets button | Bulleted List | Creates a bulleted list for the selected text if it’s not bulleted, and removes a bulleted list from the selected text if it's already bulleted.
Decrease indent button | Decrease Indent | Shifts the selected text, table, or image to the previous tab stop.
Increase indent button | Increase Indent | Shifts the selected text, table, or image to the next tab stop.


Troubleshoot importing and exporting Web Parts

Troubleshoot importing and exporting Web Parts

Troubleshoot importing a Web Part

I imported a Web Part description file (.dwp) onto my Web Part Page but it doesn't work.

Possible reasons include the following:
  • The Web Part assembly file (.dll) required for this Web Part may not be installed on the server for the site.
  • One or more Web Part resource files may not be accessible, or you do not have permission to access them.
  • The Web Part assembly file or the Web Part in the assembly file is not marked as safe by the site administrator.
  • The Web Part zone does not allow you to import a Web Part.
  • You have exceeded your SharePoint quota.

For assistance, contact your site administrator or the Web Part developer.

I can't import a Digital Dashboard Resource Kit version 3.0 Web Part.

You cannot automatically import a Digital Dashboard Resource Kit (DDRK) version 3.0 Web Part. You must first manually convert the Web Part before importing it. For more information on how to convert DDRK version 3.0 Web Parts, see the Windows SharePoint Services Software Development Kit.

I'm having problems importing a Web Part.

Possible reasons include the following:
  • The file you imported is not valid. Verify that the file is a Web Part description file (.dwp) and that it contains well-formed XML.
  • The Web Part is not specified as a safe Web Part on your site.
  • You do not have permission to import Web Parts.
  • There may be a problem writing to the database on the site server. Try again later.
  • You have exceeded your SharePoint site quota. Delete unnecessary documents or list data.
  • The Web Part Page does not contain any zones. This situation can occur when there is an attempt to add a Web Part to a Web Part Page programmatically.

For assistance, contact your site administrator or the Web Part developer.

I encounter an error with the XML source code when I try to import a Web Part.

Possible reasons include the following:
  • An unrecognized XML namespace.
  • An invalid file format.
  • A missing XML <Assembly> or <TypeName> element.
  • The use of XSL Transformations (XSLT).

For assistance, contact your site administrator or the Web Part developer.

Troubleshoot exporting a Web Part

I can't export a List View Web Part.

You cannot export a List View Web Part. Lists are specific to a site and cannot be transported to other sites in the same way as other Web Parts.

If you want to move list data from one site to another, in general, you can do try to do one of the following:

  • If you are a user, export the list data from one site, and then import the data into a custom list on the other site, which will then add a List View Web Part of the custom list data to the other Site Web Part gallery.
  • If you are a system administrator, save the list template and its contents to a file, and then upload the list template and contents to another site.

I can't export a Web Part.

Possible reasons include the following:

  • You don't have permission to export a Web Part.
  • You don't have enough disk space. Reclaim more disk space so that the Web Part description file (.dwp) can be saved to your disk.


Placeholder (Was About the Windows SharePoint Services SDK)

Placeholder (Was About the Windows SharePoint Services SDK)

To be written.


Troubleshoot Document Workspace sites

Troubleshoot Document Workspace sites

I can't create a Document Workspace site on a Windows SharePoint Services site.

The administrator of the Microsoft Windows SharePoint Services Web site may not have enabled Document Workspace site creation for your site group. Contact the administrator and request that your site group have permission to create Document Workspace sites.


Troubleshoot the XML Web Part

Troubleshoot the XML Web Part

I am having problems using the XSL Link or XSL Editor property in the XML Web Part

Possible reasons include the following:

  • The Extensible Stylesheet Language (XSL) specified in the XSL Link (XSLLink property) or XSL Editor (XSL property) is not valid. Make sure you have specified a valid XSL style sheet for this Web Part.
  • The XSL file specified in the XSL Link (XSLLink property) cannot be accessed by the site server. The site server may have anonymous access disabled or require you to log in with a user name and password. In either case, this makes the file inaccessible.

    If you can:

    • Move the XSL file to a secure location that has anonymous access enabled or to the same site as the XML Web Part.
    • Request the site administrator to enable anonymous access.
    • Move the XSL content from the XSL Link (XSLLink property) to the XSL Editor (XSL property).

For assistance, contact your site administrator.


Placeholder (Was Troubleshoot Web Part Page security)

Placeholder (Was Troubleshoot Web Part Page security)

To be written.


Troubleshoot connecting Web Parts

Troubleshoot connecting Web Parts

I can't make a connection between two Web Parts.

Possible reasons include the following:

  • You are browsing the Web Part Page. You can only make connections between Web Parts when you are designing the page. To design the page, click the Web Part Page menu, and then click Design this Page.
  • For security or performance reasons, the site administrator may have disabled Web Part connections on this site. In this case, the Connections submenu is not available.
  • The maximum number of connections for a connection type, such as Get Image From, has been reached. If possible, select another connection type, or remove a connection.
  • You may not have the appropriate permission to create Web Part connections.
  • The Connections submenu of the Web Part you are connecting from is hidden. This can occur if the Web Part zone does not allow you to make Web Part connections.
  • You are not using the correct browser. You must use Internet Explorer version 5.5 or later to make a connection between Web Parts.
  • You receive the message "The connection cannot be saved at this time. Try again later." In this case, the site server is busy. Try making the connection again when the site server is not busy. Also, check to see if your SharePoint quota has been exceeded.
  • There are no other Web Parts on the page that are compatible with this Web Part. The Web Part developer has created the Web Part so that only certain types of connections are supported.

For assistance, contact the site administrator or Web Part developer.

I can't delete or modify a Web Part connection.

Possible reasons include the following:

  • You are only browsing the Web Part Page. You can delete or modify connections between Web Parts only when you are designing the page.
  • You may not have permission to delete or modify Web Part connections. The Web Part developer or site administrator does not want connections to be modified or deleted on this Web Part Page.
  • You are not using the correct browser. You must use Internet Explorer version 5.5 or later to delete a connection between Web Parts.
  • The connection between two Web Parts is broken. You or another user deleted or disabled a Web Part after you made a connection to it.
  • The Web Part connection was created in another program. You cannot delete or modify this connection through the browser. To delete or modify this connection, you must use an HTML editor compatible with Windows SharePoint Services, such as Microsoft Office FrontPage 2003.
  • The Web Part you are trying to connect to is a static Web Part. To modify this connection, you must use a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003.
  • A column in the Create/Edit Connection dialog box is not available. You attempted to modify a connection and the previous column selected no longer exists in the Column list because the list of columns was changed by another user. Select another column.

For assistance, contact your site administrator or the Web Part developer.

The Connections submenu is hidden or unavailable.

Possible reasons include the following:

  • You are not using the correct browser. You must use Internet Explorer version 5.5 or later to create, modify, or delete a connection between Web Parts.
  • The Web Part you are trying to connect from does not allow connections. You can try to find or import another Web Part that does what you want and that allows connections.
  • The zone that contains the Web Part does not allow connections.
  • The Web Parts were connected in shared view and so the connection cannot be changed in personal view. If you can, switch to shared view.
  • You do not have permission to make Web Part connections.
  • Web Part connections are not supported at the site.

I can't find a Web Part on the Web Part Page on the Connections submenu, or the available Web Parts submenu is unavailable.

Only compatible Web Parts are available from the Connections submenu. This situation can occur for one or more of the following reasons:

  • The Web Part you are trying to connect to does not support making connections. Not all Web Parts are designed to be connected.
  • The Web Part you are trying to connect from is not compatible with the Web Part you are trying to connect to because it has an incompatible Web Part type. This can occur for the following reasons:
    • You are in personal view, the Web Part you are trying to connect from is a shared Web Part or personalized Web Part, and the Web Part you are trying to connect to is a private Web Part on the same Web Part Page.
    • The Web Part you are trying to connect from is a private Web Part, and the Web Part you are trying to connect to is a shared Web Part or personalized Web Part on the same Web Part Page.
  • The Web Part you are trying to connect to or from allows only one connection. To create a new connection, you must first remove the current connection from that Web Part.
  • The Web Part you are trying to connect to is already connected to the Web Part you are trying to connect from through a different connection type. Web Parts can have more than one connection, but each connection must be to a different Web Part.
  • The Web Part you are trying to connect to is not compatible with the Web Part you are trying to connect from because the Web Part is required to run on either a client or server. There are two situations that can apply:
    • The Web Part you are trying to connect to currently runs on the client, and the Web Part you are trying to connect from runs on the server.
    • The Web Part you are trying to connect to currently runs on the server, and the Web Part you are trying to connect from runs on the client.

    In this case, the Web Parts you are trying to connect must both run either on the client or on the server.

For assistance, contact the site administrator.

I get the message "Web Part connections cannot be created at this time. One or more Web Parts on this page contains more information about the problem."

This message is displayed when there is a problem with the source code of the Web Part or the Web Part contains run-time errors. To correct these problems, note the details of the problem and contact the Web Part developer or your site administrator.

I'm having problems finding and connecting a List View Web Part.

Possible reasons include the following:

  • You changed the view of the list. Switching to a different view may disable Web Part connections that depend on columns in the view.
  • Although most lists have corresponding List View Web Parts and can be connected, several list types, including Issues and Surveys, are not supported.
  • Although most list column types are supported in List Web Part connections, several list column types, including Multiple Lines of Text and Hyperlink (for filtering), are not supported.

I'm having problems connecting to a Web Part on another Web Part Page.

Possible reasons include the following:

  • For performance or security reasons, the Web Part developer may have disabled connections to Web Parts on other Web Part pages.
  • The connection may be broken. Try re-creating or editing the connection in a Windows SharePoint Services—compatible HTML editor, such as Microsoft Office FrontPage 2003.
  • The Web Part Page you are trying to connect to or from may not exist on the same top-level site as your current Web Part Page. You can only create Web Part connections between different Web Part Pages that are on the same top-level site.
  • The Web Part Page you are trying to connect to or from may not exist on the same internet domain as your current Web Part Page. You can only create Web Part connections between different Web Part Pages that are on the same internet domain.


Troubleshoot Web Part Pages

Troubleshoot Web Part Pages

In general, if you are having persistent problems viewing a Web Part Page, display the Web Part Maintenance Page to reset, close, and delete problem Web Parts or remove personal changes that may be causing the problem. To open the Web Part Maintenance Page, open the document library that contains the Web Part Page, rest your mouse pointer on the title, click Edit Properties on the Edit menu, and then click Open Web Part Page in maintenance view.

I can't modify the Web Part Page template or Web Part zones after I create a Web Part Page.

Using the browser, you cannot modify a template or zone after creating a Web Part Page. When you create a Web Part Page, choose the template carefully so you are using the best template for your needs. If you want to modify the template and zones, or create additional templates, use a Windows SharePoint Services-compatible HTML editor, such as Microsoft Office FrontPage 2003, that supports this functionality.

My Web Part titles are unexpectedly changing.

Although Web Part titles are not required to be unique on a Web Part Page, they must have unique names if you want to connect two Web Parts that have the same name.

When you open a Web Part Page or switch between designing and browsing, a numbered suffix is added to each duplicate Web Part title in the following way: <title>, <title> (2), <title> (3), and so on. The same numbered suffix is added for Web Parts with no titles — for example, <untitled>, <untitled> (2), <untitled> (3), and so on. If you add or remove a Web Part, a Web Part title may also change after the Web Part Page is refreshed. For example, <title> (4) may become <title> (5), or <untitled> (4) may become <untitled> (5).

These title changes are temporary and do not affect the Title property of the Web Part. In general, it's good practice to add a title to a Web Part and to give it a descriptive name that will likely be unique.

I'm having a problem searching for a Web Part from the tool pane.

Possible reasons include the following:

  • You may have typed text that generates too many results. Type a more specific word or phrase. Use whole words for your search phrase. Wildcards and Boolean logic are not supported. Search is not case sensitive.
  • There was a timeout on the server and the Web Part gallery could not be accessed. Try again later when the server is not as busy.
  • The Search Web Parts feature may be disabled.

For assistance, contact your site administrator.

I'm having problems adding a Web Part to a Web Part Page.

Possible reasons include the following:

  • A Web Part may be restricted to a specific zone on the Web Part Page by the Web Part developer or Web Part Page author, or you are not allowed to modify the Web Part zone.
  • There are no zones on the Web Part Page.
  • You do not have the appropriate permission to update the Web Part Page or modify zones on the Web Part Page.
  • You receive a “missing assembly” message. Web Part developers can display a custom message when the Web Part assembly is not found. This can occur when the Web Part assembly file is not available, or when there is a version mismatch between the Web Part on your Web Part Page and the Web Part stored in the Web Part gallery.
  • There is a problem with the Web Part file (.dwp). The file may not have well-formed XML, or the Web Part XML schema may be invalid.

For assistance, contact your site administrator or the Web Part developer.

I'm having problems viewing or modifying a Web Part property.

Possible reasons include the following:

  • You have not selected a Web Part. You need to select a Web Part before you can view or modify its properties. Alternatively, on the Web Part Page title bar, click Modify Shared Page/Modify My Page, click Modify Web Parts, and then click the Web Part whose properties you want to view or modify.
  • You do not have the appropriate permission to view or modify properties for the current Web Part Page.
  • The Web Part has been deleted from the site by another user.
  • The developer of the Web Part may have chosen not to display one or more common or custom properties for a specific Web Part.

For assistance, contact the site administrator or the Web Part developer.

There was a Web Part on my Web Part Page, but now it's missing.

Possible reasons include the following:

  • The Web Part may be hidden. A hidden Web Part has its IsVisible property set to False and is invisible when you browse a Web Part Page. Modify the design of the Web Part Page to reveal the zones and all the Web Parts on the page. (On the Web Part Page title bar, click Modify Shared Page/Modify My Page, and then click Design This Page.) The title of a hidden Web Part is preceded with '(Hidden)'.

    If you want to make the Web Part visible, click the Web Part menu, and then click Modify Web Part. In the tool pane, select the IsVisible property in the Layout section of the Web Part properties, and then click Apply or OK.

  • The Web Part is closed but still resides in the Web Part Page Gallery. If you have closed the Web Part, or set its IsIncluded property to False, the Web Part now resides in the Web Part Page Gallery and is not viewable on the page.

    If you want to make it visible, you can add it back to the page by dragging the Web Part from the Web Part Page Gallery.

  • The Web Part Frame State is cleared and the Frame Style is set to a value of None. If you have permission, modify one or both of the properties.

I'm having problems closing or deleting a Web Part on a Web Part Page.

If a Web Part is in a zone which does not allow changes, you cannot close or delete the Web Part.

    For assistance, contact the site administrator or the Web Part developer.

    The Web Part title bar is missing when I print a Web Part Page.

    You may need to change the print settings of your browser. To enable printing of a Web Part title bar in Microsoft Internet Explorer, point to the Tools menu, click Internet Options, click the Advanced tab, and then select Print background colors and images under the Printing section.

    I can't open a Web Part gallery.

    The site server may not be configured correctly to support Web Part galleries. For assistance, contact your site administrator.

    I'm having problems saving my Web Part property changes.

    Possible reasons include the following:
    • Web Part property changes are not automatically saved. You must click the OK or Apply buttons at the bottom of the tool pane to explicitly save your property changes.
    • You switched from shared view to personal view or personal view to shared view. Be careful switching views; it's not a good idea to switch views when making changes. In general, decide which view you want to work in first, then make changes in that view.


Placeholder

Placeholder

TPlaceholder


Placeholder (Was About administering Web Part Pages)

Placeholder (Was About administering Web Part Pages)

To be written.


About Web Part Page personal and shared views

About Web Part Page personal and shared views

A Web Part Page is always in one of two views: shared view or personal view. When a Web Part page is in shared view, all users see the same page and any changes you make in shared view are intended for all users to see. When a Web Part page is in personal view, you see any personal changes you have made and any changes you make in this view are intended just for you to see.

Understanding these two page views is important because:

  • The contents of the Web Part Page and the values of the Web Part properties are often different in each view.
  • The scope and effect of changes you make varies significantly in each view. These changes include adding, modifying, and removing Web Parts, changing the Web Part Page layout, and making connections between Web Parts.

About personal view

In personal view, the property values you see are a combination of shared and personalized property values that have been modified by you in personal view. In personal view, for example, you may change the height and width of one Web Part, close another Web Part, add a third Web Part, and delete a fourth Web Part. These changes apply only to your view of the page. These changes do not apply to other users.

When a Web Part page is in personal page view, you:

  • Can usually view and modify the Layout and Appearance common Web Part properties, but not the Advanced ones. In some cases, the developer of a Web Part may decide not to display some or all common properties or you may not have permission to see them.
  • Can view and modify custom Web Part properties. In some cases, the developer of a Web Part may decide not to display some or all custom properties or you may not have permission to see them.
  • Can view and modify, but not delete, shared Web Parts with appropriate permission. Once you modify a shared Web Part, however, it becomes a personalized Web Part.
  • Can view and modify, but not delete, personalized Web Parts. The modified property values of these Web Parts apply only to you.
  • Can view, modify, and delete private Web Parts. These Web Parts only apply to you, no other users can see them, even in shared view.

To summarize personal view, you may see a combination of shared and personalized Web Part properties. Web Part property values can vary between users, and therefore, the appearance and behavior of Web Part pages can vary between each user.

About shared view

In shared view, the property values you see may be the default values of the Web Part when it was installed on your site, or the current values if the page has been subsequently modified by you or another user in shared view. When, for example, a site administrator or privileged user changes the height and width of one Web Part, closes another Web Part, adds a third Web Part, and deletes a fourth Web Part, these changes apply to all users of the page. Users in personal view also see shared property values if they have not made changes to those values, or personalized them.

Caution Be careful deleting Web Parts in shared view. Users will lose their personalized changes because the Web Part no longer exists on the Web Part Page.

When a Web Part page is in shared view, you:

  • Can view and modify common as well as custom Web Part properties. Changes you make apply to all users.
  • Can view, modify, and delete shared Web Parts. Changes you make apply to all users.
  • Cannot view, modify or delete private Web Parts. You can only view, modify, and delete private Web Parts in personal view.
  • Cannot view or modify personalized Web Parts, either your own, or for another user.

To summarize shared page view, you only see the Web Part property values that apply to all users, and you do not see any personalized changes, even ones you make in your personal view.

The importance of knowing the current view of a Web Part page

It's especially important to know which view you are in when making changes to a Web Part Page. As a general rule, do not make changes to a Web Part page until you have confirmed which view the page is currently in. A Web Part page gives clear indications of the current view.

If you are in shared view:

  • The shared view icon Shared view icon is displayed to the left of the Web Part Page menu.
  • The Web Part Page menu says Modify Shared Page.
  • Each Web Part menu modify command says Modify Shared Web Part.

If you are in personal view:

  • The personal view icon Personal view icon is displayed to the left of the Web Part Page menu.
  • The Web Part Page menu says Modify My Page.
  • Each Web Part menu modify command says Modify My Web Part.

If you make changes and want your changes to apply to all users, but don't realize you are in personal view, the changes will not be applied to all users, only to you. If your changes are not extensive, you can quickly reverse your changes (use the Reset Page Content command on the Web Part Page menu), switch to shared view, and then make the changes again. If your changes are extensive, you can export each Web Part, delete each Web Part, switch to shared view, and then import each Web Part back in shared view.

If you make changes and want your changes to be made only for you, but don't realize you are in shared view, the changes will be applied to all users, not just you. If your changes are not extensive, you can reverse your changes, switch to personal view, and then make the changes again. If your changes are extensive, you can export each Web Part, delete each Web Part, switch to personal view, and then import each Web Part back in personal view.

Note You cannot export a List View Web Part.

How the default view is determined

The default view of a Web Part Page can vary depending on several conditions.

Personal view is the default view if any of the following conditions are true:

  • The page has been personalized by you.
  • You do not have rights higher than Update Web Parts and Update Web Part Pages. In other words, for a page outside a document library, you do not have the Add and Customize Pages right, and for a page in a document library, you do not have the Edit List Item right.
  • The page contains the following HTML META tag:
    <META Name= "WebPartPageDefaultViewPersonal" />

Shared view is the default view if all of the following conditions is true:

  • The page has not been personalized by you.
  • For a page outside a document library, you do have the Add and Customize Pages right, and for a page in a document library, you do have the Edit List Item right.
  • The page does not contain the following HTML META tag:
    <META Name= "WebPartPageDefaultViewPersonal" />

Important If you are a site administrator or developer who is customizing a site, be careful modifying the template file for a Web Part Page (also called a "ghost page"). The template file is used as the basis for all Web Part Pages on the site. Once you add or delete this HTML META tag, and reset Microsoft Internet Information Server (IIS), you change the default view for all new Web Part Pages created by any user in the browser (but not created in an HTML editor).


Placeholder (Was Modify your Site Web Part library)

Placeholder (Was Modify your Site Web Part library)

To be written.


Placeholder

Placeholder

To be written.


About Web Part zones and their properties

About Web Part zones and their properties

Web Part zones are containers of Web Parts that are used to group and organize Web Parts on a Web Part Page. Web Part zones also have a set of properties that serve a dual-purpose. You can use one subset of properties to organize the layout and format of Web Parts on the Web Part Page. You can use another subset of properties to provide an additional level of modification protection (or "lock down") of the Web Parts within the zone.

The Web Part zone properties each have default settings or behaviors. As you add Web Parts to the Web Part page, you automatically set some of these property values. Although these property values are not designed to be edited in the browser, you can modify them by using an HTML editor compatible with Microsoft Windows SharePoint Services, such as Microsoft Office FrontPage 2003.

For additional information on Web Part zone properties, see the Windows SharePoint Services Software Development Kit.

Layout and format properties

The following Web Part zone properties make it easy to rearrange a Web Part on a Web Part Page if you have appropriate permission.

Title

Specifies the name, such as "Header", "Left Column", "Footer" and so on, of the zone that appears in the browser or HTML editor when you are designing a Web Part Page. This property is pre-defined by the template chosen when you create the Web Part Page.

Orientation

Specifies in which direction the Web Part is placed or stacked in the zone, either vertical (top-to-bottom) or horizontal (left-to-right). This property is pre-defined in the template chosen when you create the Web Part Page.

FrameType

Specifies whether or not to use each Web Part's Frame Style (FrameType) property to determine the type of frame to use. A value of Default means use the Web Part's Frame Style (FrameType) property. A value of None, Title Bar and Border, or Title Bar Only, means use this specific type of frame style for all Web Parts in the zone and override each Web Part's Frame Style (FrameType) property when its value is Default.

ContainerWidth

Specifies the width of the zone if it has a vertical orientation. Web Parts in the zone usually expand to fill the width of the zone. This property is not used in zones with a horizontal orientation. This property is not visible in the user interface of the HTML editor.

Modification (or "lock down") properties.

A subset of Web Part zone properties can ensure that Web Parts in the zone stay in a specific location (or are "locked down") on a Web Part Page. These properties provide an additional level of protection for the intended design of the Web Part Page author.

For example, a Web Part Page author may want to always keep a Web Part on the page because it is essential for the purpose of the page, or because the Web Part is connected to another Web Part and removing it would break the connection.

The following Web Part zone properties affect the ability to modify a Web Part.

LockLayout

Specifies whether or not Web Parts within the zone can be added, deleted, resized, or moved. The LockLayout property works the same regardless of whether the Web Part Page is in personal or shared view.

If set to True, the specific Web Part properties for each Web Part in the zone that are affected are: Zone (ZoneID), Part Order (PartOrder), Visible on Page (IsVisible), Height (Height), Width (Width), Allow Close (AllowRemove), and IsIncluded (the Close command on the Web Part menu). Other Web Part properties are not affected.

If set to False, the Web Part properties determine whether modifications can be made (along with the appropriate site permissions).

AllowCustomization

Specifies whether or not shared property values of Web Parts within the zone can be modified.

If set to True, users with appropriate permission can make changes to the Web Parts in the zone for all users.

If set to False, users cannot make changes to the Web Parts in the zone in the user interface in shared view. However, changes can still be made programmatically and by using the Web Part Maintenance Page.

AllowPersonalization

Specifies whether or not personal property values of Web Parts within the zone can be modified.

If set to True, users with appropriate permission can make personal changes to the Web Parts in the zone.

If set to False, users cannot make personal changes to the Web Parts through the user interface, unless the Web Part is a private Web Part and they have appropriate permission.


Overview of Web Part Pages

Overview of Web Part Pages

Working with Web Part Pages

About Web Part Pages
About Web Parts
About Web Part Page templates
About the Web Part Page title bar
About Web Part galleries
Common Web Part properties
About Web Part Page personal and shared views
About Web browser support for Web Part Pages

Working with Web Part Connections

About connecting Web Parts
Create or modify a connection between two Web Parts
Complete a Web Part connection
Delete a connection between two Web Parts

Troubleshooting

Troubleshoot Web Part Pages
Troubleshoot connecting Web Parts
Troubleshoot importing and exporting Web Parts


Placeholder (Was About hidden Web Parts)

Placeholder (Was About hidden Web Parts)

To be written.


About Web Part galleries

About Web Part galleries

A Web Part gallery is a central warehouse of Web Parts that you can use to locate a specific Web Part when you are creating a Web Part Page. Depending on how your site administrator has configured your site, you may have up to four different Web Part galleries available to you. If you have the appropriate permissions, you can access the available Web Part galleries at your site by clicking either Browse or Search from the Web Part Page menu. Once you locate the Web Part you want, you typically drag it to your Web Part Page.

The Site Web Part Gallery

The Site Web Part Gallery is often the most central Web Part gallery for your work group. This Web Part gallery is typically managed by your server administrator, who decides which Web Parts are available and safe for your site. By default, the gallery name is the name of your site. For example, if your site is called "Boaters and Sailors", then the Web Part gallery name is “Boaters and Sailors Gallery”. There is only one Site Web Part Gallery for each site and any subsites under it.

The Web Part Page Gallery

The Web Part Page Gallery is a collection of Web Parts that are available to a specific Web Part Page but not visible on the page, whether you are browsing or designing the page. Each Web Part page has its own Web Part Page Gallery. Through this gallery a Web Part Page author can, for example, create a pool of recommended Web Parts for users to add to the Web Part Page.

The Web Part Page Gallery also contains Web Parts that at one time were on the page, but have since been closed by you or another user (On the Web Part menu, click Close). Web Parts can be either closed by you, as you personalize the Web Part Page in personal view, or by the Web Part page author who created the page for all users in shared view.

Closing a Web Part removes a Web Part from the Web Part Page and moves it to the Web Part Page Gallery. A closed Web Part (as opposed to a deleted Web Part) is still technically on the Web Part Page, but is not available because its IsIncluded property is set to False. However, you can add it back to the Web Part Page at any time, if you have the appropriate permission.

The Online Web Part Gallery

The Online Web Part Gallery contains an additional set of Web Parts available from Microsoft. In this gallery, you can locate several MSNBC Web Parts that display news, stock, and weather information. Over time, you may find additional Web Parts available in the Online Web Part Gallery, either from Microsoft, or from other software manufacturers and vendors. You can also create your own Online Web Part Gallery. For more information on creating your own Online Gallery, see the Microsoft Windows SharePoint Services Software Development Kit.

The Virtual Server Web Part Gallery

If your enterprise is large, has many sites, and has decided to conveniently install the same set of Web Parts on many sites, then these Web Parts may be stored in a Virtual Server Web Part Gallery.

You can deploy Web Parts in a Virtual Server Web Part Gallery by developing a Web Part Package file (.cab). For more information on deploying Web Parts on virtual servers, see the Windows SharePoint Services Software Development Kit.


Placeholder (Limit the number of Web Parts on a Web Part Page)

Placeholder (Limit the number of Web Parts on a Web Part Page)

To be written.


Open and use a Web Part Maintenance Page

Open and use a Web Part Maintenance Page

In general, if you are having persistent problems with a Web Part or Web Part connection on your Web Part Page, you can use the Web Part Maintenance Page to help isolate and fix your problem.

Notes

  • You must have the appropriate Web Part, Web Part Page, or Web Part zone permission to use the Web Part Maintenance Page.
  • If you are not sure which Web Part or Web Part connection is causing a problem on your Web Part Page, it's a good idea to work in a step-by-step fashion by closing one Web Part at a time, and then browsing the Web Part Page (click Go Back to My Web Part Page) to see if that fixes the problem. Once you are sure you have found the problem Web Part, then consider resetting or deleting the problem Web Part.
  • You cannot use the Web Part Maintenance Page to close, reset, or delete a static Web Part (that is, a Web Part outside a Web Part zone). To maintain a static Web Part, you must use an HTML editor compatible with Microsoft Windows SharePoint Services, such as Microsoft Office FrontPage 2003.

To open and use a Web Part Maintenance Page

  1. Open the document library that contains the Web Part Page.
  2. Position the cursor over the Web Part Page name and click the down arrow.
  3. Click Edit Properties on the Edit menu.
  4. Click Open Web Part Page in maintenance view. The Web Part Maintenance Page is displayed.
  5. Make sure you are in the view you want, either personal view or shared view. A note at the bottom of the page displays whether you are in personal or shared view. If you need to switch views, do one of the following:
    • If you are in personal view and you want to switch to shared view, click Switch to shared view.
    • If you are in shared view and you want to switch to personal view, click Switch to personal view.
  6. For the one or more Web Parts you select, do one of the following:
    • To move a Web Part to the Web Part Page Gallery, click Close.
    • To remove personal property values and revert to the shared property values of the Web Part, click Reset. You are prompted for confirmation before resetting a Web Part.
    • To permanently remove a Web Part from the Web Part Page, click Delete. You are prompted for confirmation before deleting a Web Part.

      Note It's possible to not have permission to delete a Web Part in personal view, but have permission to delete it in shared view.


Placeholder (Improve the performance of Web Part Pages)

Placeholder (Improve the performance of Web Part Pages)

To be written.


Placeholder (Was About securing Web Part Pages)

Placeholder (Was About securing Web Part Pages)

To be written.


Publish back to a document library from a Document Workspace

Publish back to a document library from a Document Workspace

If your Document Workspace site is based on a document that was already stored in a document library, you can update the original copy with changes that have been made to the Document Workspace copy.

  1. Open the Document Workspace site in a Web browser.
  2. Go to the document library where the document is stored.
  3. Point to the name of the document, click the Edit arrow that appears, and then click Publish to Source Location.


Modify the Members Web Part

Modify the Members Web Part
  1. At the top of the Members Web Part, click the Web Part Menu arrow next to Members, and then click Modify My Web Part.
  2. Do any of the following:
    • In the Number of items to display box, type the maximum number of member names you want to be able to display in the Web Part. The number must be between 1 and 1,000.
    • In the Toolbar Type list, specify the kind of toolbar you want for the Web Part.

      To include the Add New Member link in the Web Part, click Summary. To omit the link, click No toolbar.

    • In the Appearance and Layout sections, specify options as you would for any Web Part.


Placeholder concept

Placeholder concept

Note


Placeholder procedure

Placeholder procedure

Note


Placeholder troubleshooter

Placeholder troubleshooter

Notes


About the XML Web Part

About the XML Web Part

You can use the XML Web Part to display Extensible Markup Language (XML) and apply Extensible Stylesheet Language Transformations (XSLT) to the XML before the content is displayed.

Important The content displayed in the XML Web Part cannot contain an HTML <FORM> element. If you need to use the <FORM> element, consider using the Page Viewer Web Part or the Form Web Part.

Ways you can use the XML Web Part

You might use the XML Web Part to display:
  • Structured data from database tables or queries.
  • XML-based documents.
  • XML forms that combine structured and unstructured data, such as weekly status reports or travel expense reports.

Ways to enter content

There are two ways you can add content to the XML Web Part:

XML and XSL Editors Using these editors, you can enter or modify XML and XSLT source code. The XML and XSL source editors are plain text editors intended for users who have knowledge of XML and XSLT syntax.

XML and XSL Links Instead of editing the XML and XSLT, you can enter a hyperlink to a text file containing XML and XSLT source code. The two valid hyperlink protocols you can use are:

  • Hypertext Transfer Protocol (http://)
  • Hypertext Transfer Protocol with privacy, which uses Secure Sockets Layer (SSL) encryption (https://)

You can use an absolute URL or a relative URL. However, you cannot use a file path.

Combining edited and linked XML content

You can combine edited and linked XML content to provide both primary and secondary information. For example, you could provide an error message as secondary information in the edited XML content, in case the linked XML content, or primary information, is not available. When you provide both edited and linked XML content, the linked XML content is always used first. If the linked XML content is not accessible, the edited XML content is used.

Note Combining edited and linked XSL content in this manner is not supported.

Related Topics

About the Page Viewer Web Part
About the Form Web Part


XML Web Part custom properties

XML Web Part custom properties

Note You cannot view or edit any of these custom properties in personal view.

XML Editor (XML)

Use to enter XML source code into a plain text editor. Knowledge of XML syntax is required to use this editor.

Click XML Editor to enter or modify XML source code.

XML Link (XMLLink)

Specifies a hyperlink to a text file that contains XML source code. The two valid hyperlink protocols you can use are:
  • Hypertext Transfer Protocol (http://)
  • Hypertext Transfer Protocol with privacy, which uses Secure Sockets Layer (SSL) encryption (https://)

Note You cannot use a file path.

To make it easier to edit long strings, click Text Builder Button image .

To ensure you have typed the correct link, click Test Link to display the file in a separate browser window.

XSL Editor (XSL)

Use to enter XSLT source code into a plain text editor. Knowledge of XSLT syntax is required to use this editor.

Click XSL Editor to enter or modify XML source code.

XSL Link (XSLLink)

Specifies a hyperlink to a text file containing XSLT source code. The two valid hyperlink protocols you can use are:
  • Hypertext Transfer Protocol (http://)
  • Hypertext Transfer Protocol with privacy, which uses Secure Sockets Layer (SSL) encryption (https://)

Note You cannot use a file path.

To make it easier to edit long strings, click Text Builder Button image to the right of the text box to expand it.

To ensure you have typed the correct link, click Test Link to display the file in a separate browser window.


XML Web Part summary

XML Web Part summary
About the XML Web Part
XML Web Part custom properties
Overview of Web Part Pages


Edit an area

Edit an area

You can change the setting for a specific area of the portal site. An area page is any area of the portal site other than the home page.

  1. In the Actions list on the area page, click Change Settings.
  2. On the Change Settings: Area Name page, do one or more of the following:

    Click the General tab and change settings as necessary.

    1. In the Title and Description section, type descriptive information for this area.
      • In the Title box, type a title for the area.
      • In the URL name box, type a name for the URL.

        Caution A change to the URL name will break links to content in this area.

      • In the Description box, type a description of the area.
    2. In the Contact Information section, type information for a contact person for this area.
      • Click Select contact to search for a person to add as a contact for this area, or click Enter contact to type the information for a person to add as a contact.
      • You can also type the address of a photo or image of the contact person.
    3. In the Location section, click Change location to display this area in a different place in the portal site.

      How?

      1. On the Change Location page, select an area in which to display this area.
      2. Click OK.

      Note You can see the current location of the area under Default location.

    Click the Publishing tab and change settings as necessary.

    1. In the Publishing Dates section, you can specify start and end dates to display this area.
      • To specify a start date for this area, type the date you want this area to appear in the portal site in the Start date box. The default date is today's date.
      • To specify an end date for this area, type the date you no longer want this area to appear in the portal site in the Expiration date box.

        Note You can leave this blank to display the area indefinitely.

    2. In the Listing Approval section, specify whether listings require approval before they are added to the portal site.
      • Under Require approval to publish new listings, click Yes to specify that new listings must be approved by a content manager before they are added to the portal site.
      • Under Automatically approve all listings added by area managers, click Yes to bypass the approval requirement when a content manager adds a listing for this area.

    Click the Page tab and change settings as necessary.

    1. In the Subarea Templates section, select the page template to apply to subareas for this area. If you click Subareas can use any template, users who create subareas can select the area page template. If you want all subareas to look the same, click All subareas will use the following template and choose a page template.
    2. In the Area Templates section, select the source for the template.
      • Click This area uses the same template as the parent area if you want this area to use the same template as the parent area.
      • Click This area uses the template originally specified for this area if you want to use the default template for the area.
      • Click This area uses the following page as a template and type the address of the appropriate template to use for this area.

    Click the Display tab and change settings as necessary.

    1. In the Navigation and Sort Order section, specify whether to hide this area and how you want listings in this area to be sorted.
      • Select the Exclude from portal site navigation check box if you do not want users to see this area in portal site navigation.
      • Specify whether to sort subareas alphabetically or manually.

        Note If you specify a manual sort order, subareas appear in the same order they appear in the portal site map. To change the order, in the portal site map, drag the subareas into the order you want.

    2. In the Image section, type the address for a graphics file you want to display with this area. You can also type an address for an icon image to use for links to this area.

    Click the Search tab and change settings as necessary.

    1. In the Search Results section, specify whether to include this area in search results.

      Note If you click No, the listing still appears in the areas you selected.

    2. In the Topic Assistant section, specify whether you want the Topic Assistant to suggest content for this area when automatically categorizing content.

  3. Click OK.

Related Topics

Create or delete an area
Manage security settings for an area
About grouping and ordering content in an area
About managing content in portal areas
About areas


Edit listing settings

Edit listing settings
  1. On the page that displays the listing, click Manage Content.
  2. On the Documents and Lists page, in the Portal Listings section, click Portal Listings.
  3. Rest the pointer on the listing you want to edit, click the arrow that appears, and then click Edit on the menu that appears.

  4. Click the General tab and change settings as necessary.

    1. In the Title and Description section, type a title and description for the listing.
    2. In the Address section, type a new Web address or path for the listing.
    3. In the Location section, click Change location to display the listing in a different portal area or to select additional areas.

      How?

      1. On the Change Location page, select one or more areas in which to display this listing, and clear any that you do not want.
      2. Click OK.

      Note You can see the current location of the listing under Default location.

    4. In the Related Items section, you see a list of portal listings that point to this content. If you want to edit the settings for those listings too, click the link to go to the listing.

  5. Click the Publishing tab and change settings as necessary.

    1. In the Publishing Dates section, you can specify start and end dates to display this listing:
      • To specify a start date for this listing, type the date you want this listing to appear in the portal site in the Start date box. The default date is today's date.
      • To specify an end date for this listing, type the date you no longer want this listing to appear in the portal site in the Expiration date box. You can leave this blank to display the listing indefinitely.
    2. In the Approval Status section, do one of the following:
      • Click Pending - Hold for later approval to add this listing but not display it. This listing is hidden until the status changes to approve.
      • Click Approve - Display in area to display this listing.
      • Click Reject - Do not display in area to prevent this listing from being displayed.
      • Click Archive - Mark for archiving to remove this listing from display and mark it for later archiving.

  6. Click the Display tab and change settings as necessary.

    1. In the Group section, select a group from the list to assign the listing to a group.

      Note For example, you can identify this listing as a Highlight for an area by selecting the Highlight group.

    2. In the Image section, type the address for a graphics file you want to display with this listing.
    3. In the Audience section, you can target this listing to users based on their job or task.

      How?

      1. Click the audience you want from the Available audiences list, and then click Add.

        Note If the list of available audiences is long, you can type the audience name into the Find audiences that start with box to go directly to the audience in the list.

      2. Click OK.

  7. Click the Search tab and change settings as necessary.

    • Specify whether to include this listing in search results.

      Note If you click No, the listing still appears in the areas you selected.

  8. Click OK.

Related Topics

Delete a listing
About grouping and ordering content in an area
About audiences


Edit site group permissions

Edit site group permissions

You can edit an existing site group to change the rights assigned to that group.

  1. On the title bar of the portal site, click Site Settings.
  2. In the General Settings section, click Manage security and additional settings.
  3. On the Manage security and additional settings page, click Manage site groups.
  4. On the Manage Site Groups page, click the group you want to change.
  5. On the Members of site_group_name page, click Edit Site Group Permissions.
  6. On the Change Site Group Rights page, select or clear the rights you want to include or exclude.
  7. Click OK.

Related Topics

Create a site group
Delete a site group
Manage security settings for an area
About site group security in SharePoint Portal Server


Examples of common formulas

Examples of common formulas

Note You can use the following examples in calculated columns. Examples that do not include column references can be used to specify the default value of a column.

Conditional formulas

Check if a number is greater than or less than another number

Use the IF function to do this task.

Column1 | Column2 | Formula | Description
15000 | 9000 | =Column1>Column2 | Is Column1 greater than Column2? (Yes)
15000 | 9000 | =IF(Column1<=Column2, "OK", "Not OK") | Is Column1 less than or equal to Column2? (Not OK)

Return a logical value after comparing column contents

For a result that is a logical value (Yes or No), use the AND, OR, and NOT functions.
Column1 | Column2 | Column3 | Formula | Description
15 | 9 | 8 | =AND(Column1>Column2, Column1<Column3) | Is 15 greater than 9 and less than 8? (No)
15 | 9 | 8 | =OR(Column1>Column2, Column1<Column3) | Is 15 greater than 9 or less than 8? (Yes)
15 | 9 | 8 | =NOT(Column1+Column2=24) | Is 15 plus 9 not equal to 24? (No)

For a result that is another calculation, or any other value other than Yes or No, use the IF, AND, and OR functions.

Column1 | Column2 | Column3 | Formula | Description
15 | 9 | 8 | =IF(Column1=15, "OK", "Not OK") | If the value in Column1 equals 15, then return "OK". (OK)
15 | 9 | 8 | =IF(AND(Column1>Column2, Column1<Column3), "OK", "Not OK") | If 15 is greater than 9 and less than 8, then return "OK". (Not OK)
15 | 9 | 8 | =IF(OR(Column1>Column2, Column1<Column3), "OK", "Not OK") | If 15 is greater than 9 or less than 8, then return "OK". (OK)

Display zeroes as blanks or dashes

Use the IF function to do this task.
Column1 | Column2 | Formula | Description
10 | 10 | =Column1-Column2 | Second number subtracted from the first (0)
10 | 10 | =IF(Column1-Column2,"",Column1-Column2) | Returns null when the value is zero (blank column)
15 | 9 | =IF(Column1-Column2,"-",Column1-Column2) | Returns a dash when the value is zero (-)

Date and time formulas

Add dates

To add a number of days to a date, use the addition (+) operator. Note that when manipulating dates, the return type of the calculated column must be set to Date and Time.
Column1 | Column2 | Formula | Description
6/9/2007 | 3 | =Column1+Column2 | Add 3 days to 6/9/2007 (6/12/2007)
12/10/2008 | 54 | =Column1+Column2 | Add 54 days to 12/10/2008 (2/2/2009)

To add a number of months to a date, use the DATE, YEAR, MONTH, and DAY functions.

Column1 | Column2 | Formula | Description
6/9/2007 | 3 | =DATE(YEAR(Column1),MONTH(Column1)+Column2,DAY(Column1)) | Add 3 months to 6/9/2007 (9/9/2007)
12/10/2008 | 25 | =DATE(YEAR(Column1),MONTH(Column1)+Column2,DAY(Column1)) | Add 25 months to 12/10/2008 (1/10/2011)

To add a number of years to a date, use the DATE, YEAR, MONTH, and DAY functions.

Column1 | Column2 | Formula | Description
6/9/2007 | 3 | =DATE(YEAR(Column1)+Column2,MONTH(Column1),DAY(Column1)) | Add 3 years to 6/9/2007 (6/9/2010)
12/10/2008 | 25 | =DATE(YEAR(Column1)+Column2,MONTH(Column1),DAY(Column1)) | Add 25 years to 12/10/2008 (12/10/2033)

To add a combination of days, months, and years to a date, use the DATE, YEAR, MONTH, and DAY functions.

Column1 | Formula | Description
6/9/2007 | =DATE(YEAR(Column1)+3,MONTH(Column1)+1,DAY(Column1)+5) | Add 3 years, 1 month, and 5 days to 6/9/2007 (7/14/2010)
12/10/2008 | =DATE(YEAR(Column1)+1,MONTH(Column1)+7,DAY(Column1)+5) | Add 1 year, 7 months, and 5 days to 6/9/2007 (1/14/2009)

Calculate the difference between two dates

Use the DATEDIF function to do this task.
Column1 | Column2 | Formula | Description
01-Jan-1995 | 15-Jun-1999 | =DATEDIF(Column1, Column2,"d") | Return the number of days between the two dates (1626)
01-Jan-1995 | 15-Jun-1999 | =DATEDIF(Column1, Column2,"ym") | Return the number of months between the dates, ignoring the year part (5)
01-Jan-1995 | 15-Jun-1999 | =DATEDIF(Column1, Column2,"yd") | Return the number of days between the dates, ignoring the year part (165)

Calculate the difference between two times

For presenting the result in the standard time format (hours:minutes:seconds), use the subtraction operator (-) and the TEXT function.

For this method to work, hours must not exceed 24, and minutes and seconds must not exceed 60.

Column1 | Column2 | Formula | Description
06/09/2007 10:35 AM | 06/09/2007 3:30 PM | =TEXT(Column2-Column1,"h") | Hours between two times (4)
06/09/2007 10:35 AM | 06/09/2007 3:30 PM | =TEXT(Column2-Column1,"h:mm") | Hours and minutes between two times (4:55)
06/09/2007 10:35 AM | 06/09/2007 3:30 PM | =TEXT(Column2-Column1,"h:mm:ss") | Hours,minutes, and seconds between two times (4:55:00)

For presenting the result in a total based on one time unit, use the INT function, or HOUR, MINUTE, and SECOND functions.

Column1 | Column2 | Formula | Description
06/09/2007 10:35 AM | 06/10/2007 3:30 PM | =INT((Column2-Column1)*24) | Total hours between two times (28)
06/09/2007 10:35 AM | 06/10/2007 3:30 PM | =INT((Column2-Column1)*1440) | Total minutes between two times (1735)
06/09/2007 10:35 AM | 06/10/2007 3:30 PM | =INT((Column2-Column1)*86400) | Total seconds between two times (104100)
06/09/2007 10:35 AM | 06/10/2007 3:30 PM | =HOUR(Column2-Column1) | Hours between two times, when the difference does not exceed 24. (4)
06/09/2007 10:35 AM | 06/10/2007 3:30 PM | =MINUTE(Column2-Column1) | Minutes between two times, when the difference does not exceed 60. (55)
06/09/2007 10:35 AM | 06/10/2007 3:30 PM | =SECOND(Column2-Column1) | Seconds between two times, when the difference does not exceed 60. (0)

Convert times

To convert hours from standard time format to a decimal number, use the INT function.
Column1 | Formula | Description
10:35 AM | =(Column1-INT(Column1))*24 | Number of hours since 12:00 AM (10.583333)
12:15 PM | =(Column1-INT(Column1))*24 | Number of hours since 12:00 AM (12.25)

To convert hours from decimal number to the standard time format (hours:minutes:seconds), use the divisor operator and the TEXT function.

Column1 | Formula | Description
10:5833 | =TEXT(Column1/24, "h:mm") | Hours since 12:00 AM (10:35)
12:25 | =TEXT(Column1/24, "h:mm") | Hours since 12:00 AM (12:15)

Insert Julian dates

The phrase "Julian date" is sometimes used to refer to a date format that is a combination of the current year, and the number of days since the beginning of the year. For example, January 1, 2007 is represented as 2007001 and December 31, 2007 is represented as 2003356.

There is also a Julian date commonly used in astronomy, which is a serial date system starting on January 1, 4713 B.C.E.

Note This format is not based on the Julian calendar.

To convert a date to a Julian date, use the TEXT and DATEVALUE functions.

Column1 | Formula | Description
6/23/2007 | =TEXT(Column1,"yy")&TEXT((Column1-DATEVALUE("1/1/"& TEXT(Column1,"yy"))+1),"000") | Date in "Julian" format, with a two-digit year (07174)
6/23/2007 | =TEXT(Column1,"yyyy")&TEXT((Column1-DATEVALUE("1/1/"&TEXT(Column1,"yy"))+1),"000") | Date in "Julian" format, with a four-digit year (2007174)

To convert a date to a Julian date used in astronomy, use the constant 2415018.50.

This formula only works for dates after 3/1/1901, and if you are using the 1900 date system.

Column1 | Formula | Description
6/23/2007 | =Column1+2415018.50 | Date in "Julian" format, used in astronomy (2454274.50)

Show dates as the day of the week

To convert dates to the text for the day of the week, use the TEXT and WEEKDAY functions.
Column1 | Formula | Description
19-Feb-2007 | =TEXT(WEEKDAY(Column1), "dddd") | Calculates the day of the week for the date and returns the full name of the day (Monday)
3-Jan-2008 | =TEXT(WEEKDAY(Column1), "ddd") | Calculates the day of the week for the date and returns the abbreviated name of the day (Thu)

Math formulas

Add numbers

To add numbers in two or more columns in a row, use the addition operator or the SUM function.

Column1 | Column2 | Column3 | Formula | Description
6 | 5 | 4 | =Column1+Column2+Column3 | Add the values in the first three columns (15)
6 | 5 | 4 | =SUM(Column1,Column2,Column3) | Add the values in the first three columns (15)
6 | 5 | 4 | =SUM(IF(Column1>Column2, Column1-Column2, 10), Column3) | If Column1 is greater than Column2, add the difference and Column3. Else add 10 and Column3. (5)

Subtract numbers

Use the subtraction (-) operator to do this task.
Column1 | Column2 | Column3 | Formula | Description
15000 | 9000 | -8000 | =Column1-Column2 | Subtract 9000 from 15000 (6000)
15000 | 9000 | -8000 | =SUM(Column1, Column2, Column3) | Add numbers in the first three columns, including negative values (16000)

Calculate the difference between two numbers as a percentage

Use the subtraction (-) and division (/) operators, and the ABS function.
Column1 | Column2 | Formula | Description
2342 | 2500 | =(Column2-Column1)/ABS(Column1) | Percentage change (6.75% or 0.06746)

Multiply numbers

Use the multipliation (*) operator or the PRODUCT function to do this task.
Column1 | Column2 | Formula | Description
5 | 2 | =Column1*Column2 | Multiplies the numbers in the first two columns (10)
5 | 2 | =PRODUCT(Column1, Column2) | Multiplies the numbers in the first two columns (10)
5 | 2 | =PRODUCT(Column1,Column2,2) | Multiplies the numbers in the first two columns and the number 2 (20)

Divide numbers

Use the division operator (/) to do this task.

Column1 | Column2 | Formula | Description
15000 | 12 | =Column1/Column2 | Divides 15000 by 12 (1250)
15000 | 12 | =(Column1+10000)/Column2 | Adds 15000 and 9000, and then divides the total by 12 (2000)

Calculate the average of numbers

The average is also called the mean. To calculate the average of numbers in two or more columns in a row, use the AVERAGE function.

Column1 | Column2 | Column3 | Formula | Description
6 | 5 | 4 | =AVERAGE(Column1, Column2,Column3) | Average of the numbers in the first three columns (5)
6 | 5 | 4 | =AVERAGE(IF(Column1>Column2, Column1-Column2, 10), Column3) | If Column1 is greater than Column, calculate the average of the difference and Column3. Else calculate the average of the value 10 and Column3. (2.5)

Calculate the median of numbers

The median is the value at the center of an ordered range of numbers. Use the MEDIAN function to calculate the median of a group of numbers.
A | B | C | D | E | F | Formula | Description
10 | 7 | 9 | 27 | 0 | 4 | =MEDIAN(A, B, C, D, E, F) | Median of numbers in the first 6 columns (8)

Calculate the smallest or largest number in a range

To calculate the smallest or largest number in two or more columns in a row, use the MIN and MAX functions.
Column1 | Column2 | Column3 | Formula | Description
10 | 7 | 9 | =MIN(Column1, Column2, Column3) | Smallest number (7)
10 | 7 | 9 | =MAX(Column1, Column2, Column3) | Largest number (10)

Count values

To count numeric values, use the COUNT function.
Column1 | Column2 | Column3 | Formula | Description
Apple |  | 12/12/2007 | =COUNT(Column1, Column2, Column3) | Counts the number of columns that contain numeric values, including date and time values. Exludes text and null values. (1)
$12 | #DIV/0! | 1.01 | =COUNT(Column1, Column2, Column3) | Counts the number of columns that contain numeric values, but excludes error and logical values (2)

Increase or decrease a number by a percentage

Use the percentage (%) operator to do this task.
Column1 | Column2 | Formula | Description
23 | 3% | =Column1*(1+5%) | Increases number in Column1 by 5% (24.15)
23 | 3% | =Column1*(1+Column2) | Increase number in Column1 by the percent value in Column2: 3% (23.69)
23 | 3% | =Column1*(1-Column2) | Decrease number in Column1 by the percent value in Column2: 3% (22.31)

Raise a number to a power

Use the exponent (^) operator or the POWER function to do this task.
Column1 | Column2 | Formula | Description
5 | 2 | =Column1^Column2 | Calculates five squared (25)
5 | 3 | =POWER(Column1, Column2) | Calculates five cubed (125)

Round a number

To round up a number, use the ROUNDUP, ODD, and EVEN functions.

Column1 | Formula | Description
20.3 | =ROUNDUP(Column1,0) | Rounds 20.3 up to the nearest whole number (21)
-5.9 | =ROUNDUP(Column1,0) | Rounds -5.9 up (-6)
12.5493 | =ROUNDUP(Column1,2) | Rounds 12.5493 up to the nearest hundredth, two decimal places (12.55)
20.3 | =EVEN(Column1) | Rounds 20.3 up to the nearest even number (22)
20.3 | =ODD(Column1) | Rounds 20.3 up to the nearest odd number (21)

To round down a number, use the ROUNDDOWN function.

Column1 | Formula | Description
20.3 | =ROUNDDOWN(Column1,0) | Rounds 20.3 down to the nearest whole number (20)
-5.9 | =ROUNDDOWN(Column1,0) | Rounds -5.9 down (-5)
12.5493 | =ROUNDDOWN(Column1,2) | Rounds 12.5493 down to the nearest hundredth, two decimal places (12.54)

To round a number to the nearest number or fraction, use the ROUND function.

Column1 | Formula | Description
20.3 | =ROUND(Column1,0) | Rounds 20.3 down, because the fraction part is less than .5 (20)
5.9 | =ROUND(Column1,0) | Rounds 5.9 up, because the fraction part is greater than .5 (6)
-5.9 | =ROUND(Column1,0) | Rounds -5.9 down, because the fraction part is less than -.5 (-6)
1.25 | =ROUND(Column1, 1) | Rounds the number to the nearest tenth (one decimal place). Because the portion to be rounded is 0.05 or greater, the number is rounded up (result: 1.3)
30.452 | =ROUND(Column1, 2) | Rounds the number to the nearest hundredth (two decimal places). Because the portion to be rounded, 0.002, is less than 0.005, the number is rounded down (result: 30.45)

To round a number to the significant digit above 0, use the ROUND, ROUNDUP, ROUNDDOWN, INT, and LEN functions.

Column1 | Formula | Description
5492820 | =ROUND(Column1,3-LEN(INT(Column1))) | Rounds the number to 3 significant digits (5490000)
22230 | =ROUNDDOWN(Column1,3-LEN(INT(Column1))) | Rounds the bottom number down to 3 significant digits (22200)
5492820 | =ROUNDUP(Column1, 5-LEN(INT(Column1))) | Rounds the top number up to 5 significant digits (5492900)

Text formulas

Change the case of text

Use the UPPER, LOWER, or PROPER functions to do this task.
Column1 | Formula | Description
nancy Davolio | =UPPER(Column1) | Changes text to uppercase (NANCY DAVOLIO)
nancy Davolio | =LOWER(Column1) | Changes text to lowercase (nancy davolio)
nancy Davolio | =PROPER(Column1) | Changes text to title case (Nancy Davolio)

Combine first and last names

Use the ampersand (&) operator or the CONCATENATE function to do this task.
Column1 | Column2 | Formula | Description
Nancy | Fuller | =Column1&Column2 | Combines the two strings (NancyFuller)
Nancy | Fuller | =Column1&" "&Column2 | Combines the two strings, separated by a space (Nancy Fuller)
Nancy | Fuller | =Column2&","&Column1 | Combines the two strings, separated by a comma (Fuller, Nancy)
Nancy | Fuller | =CONCATENATE(Column2, ",", Column1) | Combines the two strings, separated by a comma (Fuller,Nancy)

Combine text and numbers from different columns

Use the CONCATENATE and TEXT functions, and the ampersand (&) operator to do this task.
Column1 | Column2 | Formula | Description
Buchanan | 28 | =Column1&" sold "&Column2&" units." | Combines contents above into a phrase (Buchanan sold 28 units)
Dodsworth | 40% | =Column1&" sold "&TEXT(Column2,"0%")&" of the total sales." | Combines contents above into a phrase (Dodsworth sold 40% of the total sales). Note The TEXT function appends the formatted value of Column2 instead of the underlying value, which is .4.
Buchanan | 28 | =CONCATENATE(Column1," sold ",Column2," units.") | Combines contents above into a phrase (Buchanan sold 28 units)

Combine text with a date or time

Use the TEXT function and the ampersand (&) operator to do this task.
Column1 | Column2 | Formula | Description
Billing Date | 5-Jun-2007 | ="Statement date: "&TEXT(Column2, "d-mmm-yyyy") | Combine text with a date (Statement date: 5-Jun-2007)
Billing Date | 5-Jun-2007 | =Column1&" "&TEXT(Column2, "mmm-dd-yyyy") | Combine text and date from difference columns into one column (Billing Date Jun-05-2007)

Compare column contents

To compare one column to another column or a list of values, use the EXACT and OR functions.
Column1 | Column2 | Formula | Description
BD122 | BD123 | =EXACT(Column1,Column2) | Compare contents of first two columns (No)
BD122 | BD123 | =EXACT(Column1, "BD122") | Compare contents of Column1 and the string "BD122" (Yes)
BD122 | BD123 | =OR(EXACT("BD121", Column1, Column2) | Compare the string "BD121" with the contents of the first two columns (No)

Check if a column value or a part of it matches specific text

To check if a column value or a part of it matches specific text, use the IF, FIND, SEARCH, and ISNUMBer functions.

Column1 | Formula | Description
Davolio | =IF(Column1="Davolio", "OK", "Not OK") | Checks to see if Column1 is Davolio (OK)
Davolio | =IF(ISNUMBER(FIND("v",Column1)), "OK", "Not OK") | Checks to see if Column1 contains the letter v (OK)
BD123 | =ISNUMBER(FIND("BD",Column1)) | Checks to see if Column1 contains BD (Yes)

Count nonblank columns

Use the COUNTA function to do this task.
Column1 | Column2 | Column3 | Formula | Description
Sales | 19 |  | =COUNTA(Column1, Column2) | Counts the number of nonblank columns (2)
Sales | 19 |  | =COUNTA(Column1, Column2, Column3) | Counts the number of nonblank columns (2)

Remove characters from text

Use the LEN, LEFT, and RIGHT functions to do this task.
Column1 | Formula | Description
Vitamin A | =LEFT(Column1,LEN(Column1)-2) | Return 7 (9-2) characters, starting from left (Vitamin)
Vitamin B1 | =RIGHT(Column1, LEN(Column1)-8) | Return 2 (10-8) characters, starting from right (B1)

Remove spaces from the beginning and end of a column

Use the TRIM function to do this task.
Column1 | Formula | Description
Hello there! | =TRIM(Column1) | Remove the spaces from the beginning and end (Hello there!)

Repeat a characater in a column

Use the REPT function to do this task.
Formula | Description
=REPT(".",3) | Repeats a period 3 times (...)
=REPT("-",10) | Repeats a dash 10 times (----------)

Other formulas

Hide error values in columns

To display a dash, #N/A, or NA in place of an error value, use the ISERROR function.
Column1 | Column2 | Formula | Description
10 | 0 | =Column1/Column2 | Results in an error (#DIV/0)
10 | 0 | =IF(ISERROR(Column1/Column2),"NA",Column1/Column2) | Returns NA when the value is an error
10 | 0 | =IF(ISERROR(Column1/Column2),"-",Column1/Column2) | Returns a dash when the value is an error


Enterprise Application Integration Planning

Enterprise Application Integration Planning

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Document Profile - Properties Tab - Edit - Edit Values (List)

Document Profile - Properties Tab - Edit - Edit Values (List)

Use this page to edit the values for the list type of document profile property.

Enter a New List Value

Use this field to enter a new value to include in the list for users to choose.

To add a new list value, type the value in the Enter a new list value field, and then click Add.

Remove

Use this control to remove values from the list.

To remove a value from the list, select a value, and then click Remove.

Move

Use the arrow buttons to change the order in which the values are displayed in a list on the profile form.

To move a value, select the value in the list, and then use the arrows to move the value up or down in the list.

Allow Users to Enter Values

Select the Allow users to enter values not in the list check box to allow users to enter their own values in a list, rather than selecting a value from a preconfigured list.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.


General Tab

General Tab

You can use the General tab on the Properties page of a folder to view the address, size, contents, date of creation, and last modified date of the folder and to enable or disable enhanced folder properties for this folder if it is a folder in a backward-compatible document library.

Title

The folder title appears at the top of the Properties page for the folder, to the right of the folder icon.

Address

Indicates the address on the server where the Documents folder resides.

Size

Indicates the size, in bytes, of the Documents folder.

Contains

Indicates the number of folders and files contained in the Documents folder.

Created

Indicates the date and time that the Documents folder was created.

Modified

Indicates the date that the Documents folder was last modified.

Enable Enhanced Folders

Use this check box to enable or disable enhanced folder properties. Enhanced folders support document versions, check-in and check-out, publishing, and approval processes.

Important You can enable or disable enhanced folder properties only for empty folders.

  • To enable enhanced folder properties, select the Enable enhanced folders check box.
  • To disable enhanced folder properties, clear the Enable enhanced folders check box.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.

Apply

Saves changes that you have made, but leaves the Properties page open so you can continue to make changes.


Document Properties - General Tab

Document Properties - General Tab

Use the General tab on the Properties page of a specific document to view the title, address, size, date of creation, date of modification, profile, public status, and status of the document.

Title

The document title appears at the top of the Properties page for the specific document, to the right of the document icon.

Address

Indicates the address on the server where the document resides.

Size

Indicates the size, in bytes, of the document.

Created

Indicates the date and time that the document was created.

Modified

Indicates the date and time that the document was last modified.

Profile

Indicates the document profile used to classify the document.

Public Status

Indicates whether the document has been published. If so, it also indicates the version number of the most recent published version of the document.

Status

Indicates the version number of the current working version of the document. Also indicates whether the document is checked in or checked out. If the document is checked out, this feature also displays the name of the author who has it checked out.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.

Apply

Saves changes that you have made, but leaves the Properties page open so you can continue to make changes.


Document Profile - General Tab

Document Profile - General Tab

Use the General tab on the Properties page of a specific document profile to view the title, profile type, backward-compatible document library name, properties, Uniform Resource Identifier (URI) name, creation and modification dates, and description for the document profile.

Title

The document profile title appears at the top of the Properties page of the document profile, to the right of the document profile icon.

Type

Indicates that this is a document profile.

Workspace

Indicates the name of the backward-compatible document library where the document profile was created.

Contains

Indicates the number of properties contained by the document profile.

URI Name

Indicates the URI name of the document profile.

Created

Indicates the date and time that the document profile was created.

Modified

Indicates the date and time that the document profile was last modified.

Description

This field contains the document profile description. You can modify the description by typing your changes in the Description field and then clicking OK.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.


Document Profile - Properties Tab

Document Profile - Properties Tab

Use the Properties tab on the Properties page of a specific document profile to view and edit the properties associated with this document profile.

Properties

Indicates the properties associated with the document profile, the type of property (text, list, comment box, or number), and whether users are required to fill out the property. Properties are displayed in the list in the order in which they appear on the profile form.

Move

Use the arrow buttons to change the order in which the properties are displayed on the profile form.

To move a property, select the property in the list under Properties, and then use the arrows to the left of the list to move the property up or down in the list. Click OK.

Edit

Use this control to edit a document profile property.

To edit a document profile property, select the property in the Properties list, and then click Edit.

For more information about using this control, see Document Profile - Properties Tab - Edit.

Select Properties

Use this control to add, edit, or delete properties for a document profile.

Note Because the document profiles are common to the whole backward-compatible document library, any changes that you make affect the use of that profile across the whole document library.

To add, edit, or delete properties for a document profile, click Select Properties. The Select Properties page opens.

  • To add an existing property to the profile, select the check box to the left of the property in the Properties list, and then click OK.
  • To create a new property, click New. The Create New Property page opens.
  • To edit an existing property, select a property from the Properties list, and then click Edit. The General Property page for the property opens.
  • To delete a property, select a property, click Delete, and then click Yes.

For more information about using this control, see Document Profile - Properties Tab - Select Properties.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.

Apply

Saves changes that you have made, but leaves the Properties page open so you can continue to make changes.


Document Profile

Document Profile

This section allows you to edit the title and properties associated with the current document profile. This information is used to classify the document.

Select a Profile

Select a document profile from the drop-down list.

Properties

Complete the properties listed in the document profile. Properties marked with an asterisk are mandatory, and properties that are not marked with an asterisk are optional.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.


Document Profile - Properties Tab - Select Properties - New

Document Profile - Properties Tab - Select Properties - New

Use this page to create a new property to add to the document profile.

Field Name

Use this field to provide a unique name for the new property.

To create a name for the property, type the name in the Field name field.

Type

Use this menu to specify the property type.

To specify property type, click the arrow at the right end of the Type field to expand the menu. Select the property type (text, number, list, or comment box).

Values

Use this control to create or edit the values for a list. The values in a list are the values from which users choose when they fill out the property on the profile form.

To create or edit property values for a list, select the List or Multivalueproperty type from the Type menu, and then click Values. The Values Property page appears.

Required Property

Select the Require users to enter a value for this property check box to require users to enter a value for this property. If you do not select this check box, users can complete a document profile form that contains this property without having to provide a value for the property.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.


Document Properties - Security Tab

Document Properties - Security Tab

Use the Security tab on the Properties page of a specific document to deny access to a document for a group or an individual.

Deny Access To

This field displays the users and groups for which access is denied for this document. Denying access to a document prevents specific groups or users from viewing this document, either in this folder or in search results.

Deny

Use this button to deny access to a document for a user or a group. To deny access to a new user or group, perform the following steps:

  1. Click Deny.
  2. Select the Object Types and Locationsfor the person or group for which you want to deny access.
    • If you type the name of a person instead of selecting from the list, click Check Names, and then click OK.
  3. You can also click Advanced to search for a user or group. When you are done selecting users and groups and have returned to this property page, clickOK.
  4. Click Apply.

Remove

Use this button to remove an individual or group from the Deny Access list for this document.

To remove a user from the Deny access to list, select that user (or group name) from the Deny access to list, click Remove, and then click OK.

The user or group can now see the document in this folder and in search results.

Remove All

Use this button to remove all users and groups from the Deny access to list for this document.

To remove all users and groups from the Deny access to list, click Remove All, click Yes, and then click OK.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.

Apply

Saves changes that you have made, but leaves the Properties page open so you can continue to make changes.


Document Profile - Properties Tab - Select Properties

Document Profile - Properties Tab - Select Properties

Use the Select Properties control on the Properties tab on the Properties page of a specific document profile to select, add, edit, or delete the properties that appear on a profile form.

Properties

Indicates a list of properties available to the document profile. The list includes the names of the properties, the type of property, and whether the property is required (whether the user must fill it out). A check box to the left of each property indicates whether the property is currently being used on the document profile.

To add an existing property to the profile form, select the check box to the left of the property in the Properties list, and then click OK.

New

Use this control to create a new property to add to the document profile.

To create a new document profile, click New. The Create New Property page opens.

For more information about using this control, see Document Profile - Properties Tab - Select Properties - New.

Edit

Use this control to edit existing properties.

To edit an existing property, select a property from the Properties list, and then click Edit. The General Properties page for the property opens.

Delete

Use this control to delete existing properties.

To delete a property, select a property, click Delete, and then click Yes.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.


Document Properties - Profile Tab

Document Properties - Profile Tab

Use the Profile tab on the Properties page of a specific document to view and edit the document profile.

Document Profile

This field displays the title and properties associated with the current document profile used to classify the document. The title of the document profile is displayed at the top of the field. The titles of each of the properties included on the document profile are displayed in a column under Properties. The values associated with those properties are displayed in a column under Value(s).

Edit Profile

You can use this button to edit the values of the properties included on the document profile.

To edit the value of a property included on the document profile, select a property from the list displayed in the Document Profile field, click Edit Profile, make any necessary changes to the document profile, and then click OK.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.

Apply

Saves changes that you have made, but leaves the Properties page open so you can continue to make changes.


Folder Properties - Security Tab

Folder Properties - Security Tab

Use the Security tab on the Properties page of the folder to manage security for the folder.

Use Parent Folder’s Security Settings

Specifies whether you want to use the security settings of the parent folder for this subfolder.

User or Group

Displays the user or group and the assigned role.

Add

Opens the Select Users or Groups dialog box.

Remove

Removes a user or group.

Role

Specifies the role for the user or group.

Reader A reader can search for and read documents but cannot add them to the backward-compatible document library. By default, all folder users are assigned to the role of reader. In an enhanced folder, readers can view only folders and published versions of documents. A reader cannot view draft document versions or check out, edit, or delete documents.
Author An author can add new documents to a folder, edit all documents in the folder, delete any document from the folder, and read all documents in the folder. In an enhanced folder, authors can also submit any document for publishing.

When a new folder is created, the roles and folder policies are inherited from the parent folder. However, the author cannot change the roles or the approval policies on folders that he or she creates.

Coordinator A coordinator at the document library level manages content in the top-level folder and performs document library administration tasks. These tasks include managing content sources, document profiles, categories, and alerts, in addition to customizing the document library on the portal site. The coordinator creates indexes of updated content when necessary or schedules this to occur automatically.

A coordinator on a specific folder configures roles on the folder. The coordinator creates subfolders and adds, edits, and deletes documents from them. Coordinators can also read and delete a document that has been created but is not yet checked in. For enhanced folders, the coordinator selects the appropriate approval process. In addition, the coordinator can undo the check-out of a document or end the publishing process by using the Cancel Publishing or Bypass Approval actions.

Reset All Subfolders

Select or clear Reset all subfolders to use these security settings to choose whether you want all subfolders to inherit the security settings of the parent folder.

If you cancel inheritance from parent folders by using the Reset control, the subfolders retain their security settings even if the settings of the parent folder change.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.

Apply

Saves changes that you have made, but leaves the Properties page open so you can continue to make changes.


Folder Properties - Approval Tab

Folder Properties - Approval Tab

Use the Approval tab on the Properties page of a folder to configure and manage document approval processes for this folder and to add or remove approvers.

Documents must be approved before publishing

The Documents must be approved before publishing check box enables the approval process for this folder. After it is selected, it also activates the remainder of the controls on this page.

If this check box is not selected, any documents published in this folder are displayed on the portal site without going through an approval process first.

Add

Click this button to open a dialog box that allows you to select a user to act as an approver for documents in this folder.

To add a new approver

  1. Click Add.
  2. Select the Object Types and Locations for the user that you want to add as an approver.
    • If you type the name of a user, click Check Names, and then click OK.
  3. To search for a user, click Advanced and enter information to search for a user. After you are done with your search and have selected a user to add as an approver, click OK.
  4. Click Apply.
  5. Specify the e-mail address for the approver.

Remove

Use this button to remove approvers from this folder.

To remove an approver, select the approver’s name in the Approvers list, click Remove, and then click Yes.

Set E-mail

Click this button to open a dialog box that allows you to enter the e-mail address for an approver. The approver e-mail address is the address where the approver receives notifications when documents require approval.

To set the approver e-mail address, select the approver’s name in the Approvers list, click Set E-mail, type the e-mail address of the approver, and then click OK.

Route to approvers

Use this section to choose the method in which to route documents to the approvers for approval for this folder.

  • One after another Sends the documents to all the approvers, one after another.
  • All at once Sends the documents to all the approvers at the same time.

    If you select the second option, you have a choice of approval methods: You can require all approvers to approve a document before it is published, or you can choose to publish the document after receiving a single approval. To choose your approval method, click the arrow at the right end of the menu under All at once, select either All approve or Only one approval required, and then click OK.

Comments for approval e-mail

Use this field to supply comments to include in the approval e-mail. Approvers receive this e-mail notifying them that documents require approval.

To add approval e-mail comments, type the comments in the Comments for approval e-mail field, and then click OK.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.

Apply

Saves changes that you have made, but leaves the Properties page open so you can continue to make changes.


Document Profile - Properties Tab - Edit

Document Profile - Properties Tab - Edit

Use the Edit control on the Properties page of a specific document profile to view and edit attributes of the properties for the document profile.

Title

The title of the property appears at the top of the General tab on the Attributes Properties page, to the right of the document profile icon.

Type

Indicates the type of property (list, text, number, or comment box).

Workspace

Indicates the name of the workspace in which the document profile property was created.

Edit Values

This control appears only on the Properties page for the list type of property. Use this control to edit list values for the list type of property.

To edit list values, click Edit Values. The Value Properties page appears. Make any necessary changes, and then click OK.

For more information about using this control, see Document Profile - Properties Tab - Edit - Edit Values (List).

URI Name

Indicates the Uniform Resource Identifier (URI) name of the document profile property.

Created

Indicates the date and time that the document profile property was created.

Modified

Indicates the date and time that the document profile property was last modified.

Description

Use this field to provide a description of the property. Property descriptions provide users with information about each property to help them decide if a specific property is appropriate to use when applying a document profile to a document.

To add a description of a property to a document profile, type the description in the Description field, and then click OK.

Require users to enter a value for this property

If you want to require a user to enter a value for this property before he or she can close the document profile, select the Require users to enter a value for this property check box. If you do not select this check box, users can complete a document profile form that contains this property without having to provide a value for the property.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.

Apply

Saves changes that you have made, but leaves the Properties page open so you can continue to make changes.


Check-In Form

Check-In Form

This form allows you to enter version comments, publish the document, choose a profile, and enter values for the properties.

Version Comments

This heading displays a text field to provide comments.

Enter Your Version Comments

Use this space to provide comments about your revision or the document.

Publish This Document after Check-In

Selecting the Publish this document after check-in check box starts the publishing process for the document. If the folder in which the document is stored has an approval route established, this begins the approval process. If the folder does not have an approval route associated with it, the document is available for viewing by users assigned to the appropriate role.

Document Profile

This section allows you to provide the title and properties associated with the current document profile. This information is used to classify the document.

Select a Profile

Select a document profile from the drop-down list.

Properties

Complete the properties listed in the document profile. Properties marked with an asterisk are mandatory, and properties that are not marked with an asterisk are optional.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.


Folder Properties - Profiles Tab

Folder Properties - Profiles Tab

Use the Profiles tab on the Properties page of a folder to specify the document profiles available for authors to use when classifying documents in this folder. In addition, use this tab to specify the default document profile to use when an author does not apply a document profile to a document stored in this folder.

Available document profiles

The Available document profiles field lists all the document profiles available in the workspace. By using this field, you can select document profiles to apply to this folder. The document profiles that you select become a list that appears on the profile form. Authors use the document profiles in the list to classify documents that they add to this folder.

  • To add a document profile to the list of document profiles allowed in this folder, select the check box to the left of the profile that you want to add, and then click OK.
  • To remove a document profile from the list of document profiles allowed in this folder, clear the check box to the left of that profile, and then click OK.

    Note When you remove a document profile from a folder, documents in that folder that already use the removed document profile remain in that folder, but the next time they are checked in, they are automatically reclassified by using the default document profile for the folder.

Profile description

Use this field to view the description of the document profile selected in the Available document profiles field.

To view a document profile description, select a document profile in the Available document profiles field by clicking the name of the profile. The description, if available, appears in the Profile description field.

Use the following profile by default

Use this field to select the default document profile to apply to documents in this folder when no other document profile is specified.

To select a default document profile, click the arrow at the right end of the Use the following profile by default for documents in this folder field to expand the menu, select the check box to the left of the document profile that you want, and then click OK.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.

Apply

Saves changes that you have made, but leaves the Properties page open so you can continue to make changes.


Document Properties - Versions Tab

Document Properties - Versions Tab

Use the Versions tab on the Properties page of a specific document to view the document version history.

Document Versions

This field displays the different versions of the document. In addition, this field lists the version number, the date and time that the version was created, and the user who created it.

  • A version number of 0.x (for example, 0.1, 0.2, 0.3) indicates a nonpublished version of the document.
  • A version number of x.0 (for example, 1.0, 2.0) indicates a published version of the document.

If the version number is a mix of the two (for example, 1.1, 1.2), this indicates that there has been a published version of the document, but there is now an unpublished version in the backward-compatible document library that is newer than the published version.

Version Comments

This field displays the comments that the author included on the profile form in the Version Comments section. Version comments may not be available for all documents.

To view comments for a document version, click the version in the list under Document Versions. The comments for that version appear in the Version Comments field.

View Document

Use this button to view the text of a document version.

To view a document version, select the version from the list under Document Versions, and then click View Document. The document opens in a new window, in read-only format.

View Profile

Use this button to view the document profile associated with a document version.

To view a document profile, select the version for which you want to view the profile, and then click View Profile.

OK

Closes the Properties page and saves any changes that you have made.

Cancel

Closes the Properties page without saving any changes that you have made.

Apply

Saves changes that you have made, but leaves the Properties page open so you can continue to make changes.


About formulas

About formulas

Formulas are equations that perform calculations on values in a list. A formula starts with an equal sign (=). For example, the following formula multiplies 2 by 3 and then adds 5 to the result.

=5+2*3

You can use a formula in a calculated column and to calculate default values for a column.

A formula can also contain any or all of the following: functions, column references, operators, and constants.

Parts of a formula
=PI()*[Result]^2

Functions The PI() function returns the value of pi: 3.142...

References (or column names) [Result] represents the value in the Result column for the current row.

Constants Numbers or text values entered directly into a formula, such as 2.

Operators The ^ (caret) operator raises a number to a power, and the * (asterisk) operator multiplies.

A formulas might use one or more of the above elements. Here are some examples of formulas (in order of complexity).

Simple formulas (such as =128+345)

The following formulas contain literal values and operators.

Example | Description
=128+345 | Adds 128 and 345
=5^2 | Squares 5

Formulas that contain column references (such as =[Revenue] – [Cost])

The following formulas refer to other columns in the same list.

Example | Description
=[Revenue] | Use the value in the Revenue column
=[Revenue]*10/100 | 10% of the value in the Revenue column
=[Revenue] > [Cost] | Returns Yes if the value in the Revenue column is greater than the value in the Cost column

Formulas that call functions (such as =AVG(1, 2, 3, 4, 5))

The following formulas call built-in functions.

Example | Description
=MAX(Q1, Q2, Q3, Q4) | Returns the largest value in a set of values
=IF(Cost>Revenue, "Not OK", "OK") | Returns Not OK if cost is greater than revenue. Else, returns OK.
=DAY("15-Apr-2008") | Returns a day part of a date. This formula returns the number 15.

Formulas with nested functions (such as =SUM(ROUND([Cost],2),[Profit])

The following formulas specify one or more functions as function arguments.

Example | Description
=SUM(IF(A>B, A-B, 10), C) | The IF function returns the difference between the values in columns A and B, or 10. The SUM function adds the return value of the IF function and the value in column C.
=DEGREES(PI()) | The PI function returns the number 3.14159265358979. The DEGREES function converts a value specified in radians to degrees. This formula returns the value 180.
=ISNUMBER(FIND("BD",Column1)) | The FIND function searches for the string BD in Column1 and returns the starting position of the string. It returns an error value if the string is not found. The ISNUMBER function returns Yes if the FIND function returned a numeric value. Else, it returns No.


About functions

About functions

Functions are predefined formulas that perform calculations by using specific values, called arguments, in a particular order, or structure. Functions can be used to perform simple or complex calculations. For example, the ROUND function rounds off a number in the Cost column.

=ROUND(Cost, 2)

Structure The structure of a function begins with an equal sign (=), followed by the function name, an opening parenthesis, the arguments for the function separated by commas, and a closing parenthesis.

Function name Name of a function that is supported by lists. Each function takes a specific number of arguments, processes them, and returns a value.

Arguments Arguments can be numbers, text, logical values such as True or False, or column references. The argument you designate must produce a valid value for that argument. Arguments can also be constants, formulas, or other functions.

Argument tooltip A tooltip with the syntax and arguments appears as you type the function. For example, type =ROUND( and the tooltip appears. Tooltips only appear for built-in functions.

Nested functions

In certain cases, you may need to use a function as one of the arguments of another function. For example, the following formula uses a nested AVERAGE function and compares the result with the sum of two column values.

=AVERAGE([Cost1], SUM([Cost2]+[Discount]))

Valid returns When a function is used as an argument, it must return the same type of value that the argument uses. For example, if the argument uses Yes or No, then the nested function must return Yes or No. If it doesn't, the list displays a #VALUE! error value.

Nesting level limits A formula can contain up to eight levels of nested functions. When Function B is used as an argument in Function A, Function B is a second-level function. For instance, the SUM function is a second-level function because it is an argument of the AVERAGE function. A function nested within the SUM function would be a third-level function, and so on.

Note Lists do not support the RAND and NOW functions. The TODAY and ME functions are not supported in calculated columns, but are supported in the default value setting of a column.


Microsoft SharePoint Products and Technologies documentation

Microsoft SharePoint Products and Technologies documentation Microsoft SharePoint Portal Server Help Resources

View the following links for additional information and help with Microsoft SharePoint Products and Technologies.

Help resources

For a list of resources available from the Docs directory of the CD, click the Help link on any SharePoint site, and then click Home at the beginning of the topic.

The following documents are available directly from the CD:

  • Microsoft Office SharePoint Portal Server 2003 Readme: Late-breaking and important information related to installation and setup of SharePoint Portal Server, available on the root directory of the CD as SPSReadme.htm
  • Microsoft Windows SharePoint Services Readme: Late-breaking and important information related to installation and setup of Windows SharePoint Services, available in the WSS directory of the CD as STSRead.htm

Web resources

Note You must have Internet access to connect to these resources.

The following resources are available online:

  • Microsoft Office SharePoint Portal Server on Microsoft Office Online: Resources for administrators about SharePoint Portal Server
  • Microsoft SharePoint Products and Technologies Web site: A Web site that provides information about all SharePoint products and technologies
  • Microsoft Product Support Services: Microsoft Help and Support Services for all products
  • Microsoft Office SharePoint Portal Server on Microsoft TechNet: Resources for administrators about SharePoint Portal Server 2003
  • Microsoft Windows SharePoint Services on TechNet: Resources for administrators about Windows SharePoint Services
  • Microsoft Office SharePoint Portal Server on MSDN: Resources for developers about SharePoint Portal Server on the Microsoft Developer Network

Tours and tutorials

The following resource is available directly from the portal site:

  • SharePoint Portal Server Quick Start Guide: A step-by-step tutorial that shows you how to build your portal site by using SharePoint Portal Server

    Note This guide is available on the default home page of any portal site.


Highlight content in an area

Highlight content in an area

Highlights guide users by directing them to people, sites, documents, and other listings considered particularly relevant to an area. A highlight is a listing selected as the best recommendation for an area.

Add a listing to highlights

  1. On the page that displays the listing, click Edit Page in the Actions list.
  2. Rest the pointer on the listing, click the arrow that appears, and then click Highlight on the menu that appears.

Remove a listing from highlights

  1. On the page that displays the listing, click Edit Page in the Actions list.
  2. Rest the pointer on the listing, click the arrow that appears, and then click Remove Highlight on the menu that appears.

Note You can also mark a listing as a highlight or remove the listing as a highlight by editing the settings for a listing.

Related Topics

About managing content in portal areas
Edit listing settings
Add, edit, and delete keyword Best Bets


Identifying Hardware Bottlenecks

Identifying Hardware Bottlenecks

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Identifying Network Bottlenecks

Identifying Network Bottlenecks

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Identifying Problems with the Server Farm

Identifying Problems with the Server Farm

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


ABS

ABS

Returns the absolute value of a number. The absolute value of a number is the number without its sign.

Syntax

ABS(number)

Number is the real number of which you want the absolute value.

Examples

Col1 | Formula | Description (Result)
-4 | =ABS([Col1]) | Absolute value of -4 (4)


ACOS

ACOS

Returns the arccosine, or inverse cosine, of a number. The arccosine is the angle whose cosine is number. The returned angle is given in radians in the range 0 (zero) to pi.

Syntax

ACOS(number)

Number is the cosine of the angle you want and must be from -1 to 1.

Remark

If you want to convert the result from radians to degrees, multiply it by 180/PI() or use the DEGREES function.

Example

Formula | Description (Result)
=ACOS(-0.5) | Arccosine of -0.5 in radians, 2*pi/3 (2.094395)
=ACOS(-0.5)*180/PI() | Arccosine of -0.5 in degrees (120)
=DEGREES(ACOS(-0.5)) | Arccosine of -0.5 in degrees (120)


ACOSH

ACOSH

Returns the inverse hyperbolic cosine of a number. Number must be greater than or equal to 1. The inverse hyperbolic cosine is the value whose hyperbolic cosine is number, so ACOSH(COSH(number)) equals number.

Syntax

ACOSH(number)

Number is any real number equal to or greater than 1.

Example

Formula | Description (Result)
=ACOSH(1) | Inverse hyperbolic cosine of 1 (0)
=ACOSH(10) | Inverse hyperbolic cosine of 10 (2.993223)


AND

AND

Returns TRUE if all its arguments are TRUE; returns FALSE if one or more argument is FALSE.

Syntax

AND(logical1,logical2,...)

Logical1, logical2, ... are 1 to 30 conditions you want to test that can be either TRUE or FALSE.

Remarks

  • The arguments must evaluate to logical values such as TRUE or FALSE, or the arguments must be column references that contain logical values.
  • If a column reference argument contains text, AND returns the #VALUE! error value; if it is empty, it returns FALSE.
  • If the arguments contain no logical values, AND returns the #VALUE! error value.

Example 1

Formula | Description (Result)
=AND(TRUE, TRUE) | All arguments are TRUE (TRUE)
=AND(TRUE, FALSE) | One argument is FALSE (FALSE)
=AND(2+2=4, 2+3=5) | All arguments evaluate to TRUE (TRUE)

Example 2

Col1 | Col2 | Formula | Description (Result)
50 | 104 | =AND(1<[Col1], [Col1]<100) | Because 50 is between 1 and 100 (TRUE)
50 | 104 | =IF(AND(1<[Col2], [Col2]<100), [Col2], "The value is out of range.") | Displays the second number, if it is between 1 and 100, otherwise displays a message (The value is out of range.)
50 | 104 | =IF(AND(1<[Col1], [Col1]<100), [Col1], "The value is out of range.") | Displays the first number, if it is between 1 and 100, otherwise displays a message (50)


ASC

ASC

For Double-byte character set (DBCS) languages, changes full-width (double-byte) characters to half-width (single-byte) characters.

Syntax

ASC(text)

Text is the text or a column reference that contains the text you want to change. If text does not contain any full-width letters, text is not changed.

Examples

=ASC("EXCEL") equals "EXCEL"

=ASC(" Excel Excel Excel Excel ") equals " Excel Excel Excel Excel "


ASIN

ASIN

Returns the arcsine, or inverse sine, of a number. The arcsine is the angle whose sine is number. The returned angle is given in radians in the range -pi/2 to pi/2.

Syntax

ASIN(number)

Number is the sine of the angle you want and must be from -1 to 1.

Remark

To express the arcsine in degrees, multiply the result by 180/PI() or use the DEGREES function.

Formula | Description (Result)
=ASIN(-0.5) | Arcsine of -0.5 in radians, -pi/6 (-0.5236)
=ASIN(-0.5)*180/PI() | Arcsine of -0.5 in degrees (-30)
=DEGREES(ASIN(-0.5)) | Arcsine of -0.5 in degrees (-30)


ASINH

ASINH

Returns the inverse hyperbolic sine of a number. The inverse hyperbolic sine is the value whose hyperbolic sine is number, so ASINH(SINH(number)) equals number.

Syntax

ASINH(number)

Number is any real number.

Example

Formula | Description (Result)
=ASINH(-2.5) | Inverse hyperbolic sine of -2.5 (-1.64723)
=ASINH(10) | Inverse hyperbolic sine of 10 (2.998223)


ATAN

ATAN

Returns the arctangent, or inverse tangent, of a number. The arctangent is the angle whose tangent is number. The returned angle is given in radians in the range -pi/2 to pi/2.

Syntax

ATAN (number)

Number is the tangent of the angle you want.

Remark

To express the arctangent in degrees, multiply the result by 180/PI() or use the DEGREES function.

Example

Formula | Description (Result)
=ATAN(1) | Arctangent of 1 in radians, pi/4 (0.785398)
=ATAN(1)*180/PI() | Arctangent of 1 in degrees (45)
=DEGREES(ATAN(1)) | Arctangent of 1 in degrees (45)


ATAN2

ATAN2

Returns the arctangent, or inverse tangent, of the specified x- and y-coordinates. The arctangent is the angle from the x-axis to a line containing the origin (0, 0) and a point with coordinates (x_num, y_num). The angle is given in radians between -pi and pi, excluding -pi.

Syntax

ATAN2(x_num,y_num)

X_num is the x-coordinate of the point.

Y_num is the y-coordinate of the point.

Remarks

  • A positive result represents a counterclockwise angle from the x-axis; a negative result represents a clockwise angle.
  • ATAN2(a,b) equals ATAN(b/a), except that a can equal 0 in ATAN2.
  • If both x_num and y_num are 0, ATAN2 returns the #DIV/0! error value.
  • To express the arctangent in degrees, multiply the result by 180/PI( ) or use the DEGREES function.

Example

Formula | Description (Result)
=ATAN2(1, 1) | Arctangent of the point 1,1 in radians, pi/4 (0.785398)
=ATAN2(-1, -1) | Arctangent of the point -1,-1 in radians, -3*pi/4 (-2.35619)
=ATAN2(-1, -1)*180/PI() | Arctangent of the point 1,1 in degrees (-135)
=DEGREES(ATAN2(-1, -1)) | Arctangent of the point 1,1 in degrees (-135)


ATANH

ATANH

Returns the inverse hyperbolic tangent of a number. Number must be between -1 and 1 (excluding -1 and 1). The inverse hyperbolic tangent is the value whose hyperbolic tangent is number; ATANH(TANH(number)) equals number.

Syntax

ATANH(number)

Number is any real number between 1 and -1.

Example

Formula | Description (Result)
=ATANH(0.76159416) | Inverse hyperbolic tangent of 0.76159416 (1, approximately)
=ATANH(-0.1) | Inverse hyperbolic tangent of -0.1 (-0.10034)


AVERAGEA

AVERAGEA

Calculates the average (arithmetic mean) of the values in the list of arguments. Unlike the AVERAGE functions, text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

AVERAGEA(value1,value2, ...)

Value1, value2,... are 1 to 30 arguments for which you want the average.

Remarks

  • Arguments that contain text evaluate as 0 (zero). Empty text ("") evaluates as 0 (zero). If the calculation must not include text values in the average, use the AVERAGE function.
  • Arguments that contain TRUE evaluate as 1; arguments that contain FALSE evaluate as 0 (zero).

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Formula | Description (Result)
10 | 7 | 9 | 2 | 0 |  | =AVERAGEA([Col1],[Col2],[Col3],[Col4],[Col5]) | Average of the numbers (5.6)
10 | 10 | 9 | 2 | 1 |  | =AVERAGEA([Col1],[Col2],[Col3],[Col4],[Col6]) | Average of the numbers, and the empty argument (7.75)


AVEDEV

AVEDEV

Returns the average of the absolute deviations of data points from their mean. AVEDEV is a measure of the variability in a data set.

Syntax

AVEDEV(number1,number2, ...)

Number1, number2, ... are 1 to 30 arguments for which you want the average of the absolute deviations.

Remarks

  • The arguments must be either numbers or column references that contain numbers.
  • If a column reference argument contains text, logical values, or is empty, those values are either ignored or return the #VALUE! error value; however, the value zero is included.
  • The equation for average deviation is:

AVEDEV is influenced by the unit of measurement in the input data.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Col7 | Formula | Description (Result)
4 | 5 | 6 | 7 | 5 | 4 | 3 | =AVEDEV([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7]) | Average of the absolute deviations of the numbers from their mean (1.020408)


AVERAGE

AVERAGE

Returns the average (arithmetic mean) of the arguments.

Syntax

AVERAGE(number1,number2, ...)

Number1, number2, ... are 1 to 30 numeric arguments for which you want the average.

Remarks

  • The arguments must be either numbers or references that contain numbers.
  • If an array or column reference argument contains text, logical values, or is empty, those values are either ignored or return the #VALUE! error value; however, arguments with the value zero are included.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Formula | Description (Result)
10 | 7 | 9 | 27 | 2 | =AVERAGE([Col1], [Col2], [Col3], [Col4], [Col5]) | Average of the column numbers (11)
10 | 7 | 9 | 27 | 2 | =AVERAGE([Col1], [Col2], [Col3], [Col4], [Col5], 5) | Average of the column numbers and 5 (10)


BETADIST

BETADIST

Returns the cumulative beta probability distribution function. The cumulative beta probability distribution function is commonly used to study variation in the percentage of something across samples, such as the fraction of the day people spend watching television.

Syntax

BETADIST(x,alpha,beta,A,B)

X is the value between A and B at which to evaluate the function.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution.

A is an optional lower bound to the interval of x.

B is an optional upper bound to the interval of x.

Remarks

  • If any argument is nonnumeric, BETADIST returns the #VALUE! error value.
  • If alpha ≤ 0 or beta ≤ 0, BETADIST returns the #NUM! error value.
  • If x < A, x > B, or A = B, BETADIST returns the #NUM! error value.
  • If you omit values for A and B, BETADIST uses the standard cumulative beta distribution, so that A = 0 and B = 1.

Example

X | Alpha | Beta | A | B | Formula | Description (Result)
2 | 8 | 10 | 1 | 3 | =BETADIST([X],[Alpha],[Beta],[A],[B]) | Cumulative beta probability density function, for the parameters (0.685470581)


BETAINV

BETAINV

Returns the inverse of the cumulative beta probability distribution function. That is, if probability = BETADIST(x,...), then BETAINV(probability,...) = x. The cumulative beta distribution can be used in project planning to model probable completion times given an expected completion time and variability.

Syntax

BETAINV(probability,alpha,beta,A,B)

Probability is a probability associated with the beta distribution.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution.

A is an optional lower bound to the interval of x.

B is an optional upper bound to the interval of x.

Remarks

  • If any argument is nonnumeric, BETAINV returns the #VALUE! error value.
  • If alpha ≤ 0 or beta ≤ 0, BETAINV returns the #NUM! error value.
  • If probability ≤ 0 or probability > 1, BETAINV returns the #NUM! error value.
  • If you omit values for A and B, BETAINV uses the standard cumulative beta distribution, so that A = 0 and B = 1.

BETAINV uses an iterative technique for calculating the function. Given a probability value, BETAINV iterates until the result is accurate to within ±3x10-7. If BETAINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

Probability | Alpha | Beta | A | B | Formula | Description (Result)
0.685470581 | 8 | 10 | 1 | 3 | =BETAINV([Probability],[Alpha],[Beta],[A],[B]) | Inverse of the cumulative beta probability density function for the parameters (2)


BINOMDIST

BINOMDIST

Returns the individual term binomial distribution probability. Use BINOMDIST in problems with a fixed number of tests or trials, when the outcomes of any trial are only success or failure, when trials are independent, and when the probability of success is constant throughout the experiment. For example, BINOMDIST can calculate the probability that two of the next three babies born are male.

Syntax

BINOMDIST(number_s,trials,probability_s,cumulative)

Number_s is the number of successes in trials.

Trials is the number of independent trials.

Probability_s is the probability of success on each trial.

Cumulative is a logical value that determines the form of the function. If cumulative is TRUE, then BINOMDIST returns the cumulative distribution function, which is the probability that there are at most number_s successes; if FALSE, it returns the probability mass function, which is the probability that there are exactly number_s successes.

Remarks

  • Number_s and trials are truncated to integers.
  • If number_s, trials, or probability_s is nonnumeric, BINOMDIST returns the #VALUE! error value.
  • If number_s < 0 or number_s > trials, BINOMDIST returns the #NUM! error value.
  • If probability_s < 0 or probability_s > 1, BINOMDIST returns the #NUM! error value.
  • The binomial probability mass function is:

    where:

    is COMBIN(n,x).

    Note The COMBIN function is used here to illustrate the mathematical formula used by the BINOMDIST function. It is not a function that you can use in a list.

    The cumulative binomial distribution is:

Example

number_s | trials | probability_s | Formula | Description (Result)
6 | 10 | 0.5 | =BINOMDIST([number_s],[trials],[probability_s],FALSE) | Probability of exactly 6 of 10 trials being successful (0.205078)


CEILING

CEILING

Returns number rounded up, away from zero, to the nearest multiple of significance. For example, if you want to avoid using pennies in your prices and your product is priced at $4.42, use the formula =CEILING(4.42,0.05) to round prices up to the nearest nickel.

Syntax

CEILING(number,significance)

Number is the value you want to round.

Significance is the multiple to which you want to round.

Remarks

  • If either argument is nonnumeric, CEILING returns the #VALUE! error value.
  • Regardless of the sign of number, a value is rounded up when adjusted away from zero. If number is an exact multiple of significance, no rounding occurs.
  • If number and significance have different signs, CEILING returns the #NUM! error value.

Example

Formula | Description (Result)
=CEILING(2.5, 1) | Rounds 2.5 up to nearest multiple of 1 (3)
=CEILING(-2.5, -2) | Rounds -2.5 up to nearest multiple of -2 (-4)
=CEILING(-2.5, 2) | Returns an error, because -2.5 and 2 have different signs (#NUM!)
=CEILING(1.5, 0.1) | Rounds 1.5 up to the nearest multiple of 0.1 (1.5)
=CEILING(0.234, 0.01) | Rounds 0.234 up to the nearest multiple of 0.01 (0.24)


CHAR

CHAR

Returns the character specified by a number. Use CHAR to translate code page numbers you might get from files on other types of computers into characters.

Syntax

CHAR(number)

Number is a number between 1 and 255 specifying which character you want. The character is from the character set used by your computer.

Example

Formula | Description (Result)
=CHAR(65) | Displays the 65 character in the set (A)
=CHAR(33) | Displays the 33 character in the set (!)


CHIDIST

CHIDIST

Returns the one-tailed probability of the chi-squared distribution. The γ2 distribution is associated with a γ2 test. Use the γ2 test to compare observed and expected values. For example, a genetic experiment might hypothesize that the next generation of plants will exhibit a certain set of colors. By comparing the observed results with the expected ones, you can decide whether your original hypothesis is valid.

Syntax

CHIDIST(x,degrees_freedom)

X is the value at which you want to evaluate the distribution.

Degrees_freedom is the number of degrees of freedom.

Remarks

  • If either argument is nonnumeric, CHIDIST returns the #VALUE! error value.
  • If x is negative, CHIDIST returns the #NUM! error value.
  • If degrees_freedom is not an integer, it is truncated.
  • If degrees_freedom < 1 or degrees_freedom ≥ 10^10, CHIDIST returns the #NUM! error value.
  • CHIDIST is calculated as CHIDIST = P(X>x), where X is a γ2 random variable.

Example

X | DegreesFreedom | Formula | Description (Result)
18.307 | 10 | =CHIDIST([X],[DegreesFreedom]) | One-tailed probability of the chi-squared distribution, for the specified arguments (0.050001)


CHIINV

CHIINV

Returns the inverse of the one-tailed probability of the chi-squared distribution. If probability = CHIDIST(x,...), then CHIINV(probability,...) = x. Use this function to compare observed results with expected ones to decide whether your original hypothesis is valid.

Syntax

CHIINV(probability,degrees_freedom)

Probability is a probability associated with the chi-squared distribution.

Degrees_freedom is the number of degrees of freedom.

Remarks

  • If either argument is nonnumeric, CHIINV returns the #VALUE! error value.
  • If probability < 0 or probability > 1, CHIINV returns the #NUM! error value.
  • If degrees_freedom is not an integer, it is truncated.
  • If degrees_freedom < 1 or degrees_freedom ≥ 10^10, CHIINV returns the #NUM! error value.

CHIINV uses an iterative technique for calculating the function. Given a probability value, CHIINV iterates until the result is accurate to within ± 3x10^-7. If CHIINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

Probability | DegreesFreedom | Formula | Description (Result)
0.05 | 10 | =CHIINV([Probability],[DegreesFreedom]) | Inverse of the one-tailed probability of the chi-squared distribution (18.30703)


CHOOSE

CHOOSE

Uses index_num to return a value from the list of value arguments. Use CHOOSE to select one of up to 29 values based on the index number. For example, if value1 through value7 are the days of the week, CHOOSE returns one of the days when a number between 1 and 7 is used as index_num.

Syntax

CHOOSE(index_num,value1,value2,...)

Index_num specifies which value argument is selected. Index_num must be a number between 1 and 29, or a formula or column reference containing a number between 1 and 29.

  • If index_num is 1, CHOOSE returns value1; if it is 2, CHOOSE returns value2; and so on.

  • If index_num is less than 1 or greater than the number of the last value in the list, CHOOSE returns the #VALUE! error value.

  • If index_num is a fraction, it is truncated to the lowest integer before being used.

Value1,value2,... are 1 to 29 value arguments from which CHOOSE selects a value or an action to perform based on index_num. The arguments can be numbers, column references, formulas, functions, or text.

Remarks

Example 1

Col1 | Col2 | Col3 | Col4 | Formula | Description (Result)
1st | 2nd | 3rd | Finished | =CHOOSE(2,[Col1],[Col2],[Col3],[Col4]) | Value from the second argument Col2 (2nd)
Nails | Screws | Nuts | Bolts | =CHOOSE(4,[Col1],[Col2],[Col3],[Col4]) | Value from the fourth argument Col4 (Bolts)

Example 2

Col1 | Col2 | Col3 | Col4 | Formula | Description (Result)
23 | 45 | 12 | 10 | =SUM([Col1], CHOOSE(2,[Col2],[Col3],[Col4])) | Sums the two arguments Col1 and the result of the Choose function (35)


CLEAN

CLEAN

Removes all nonprintable characters from text. Use CLEAN on text imported from other applications that contains characters that may not print with your operating system. For example, you can use CLEAN to remove some low-level computer code that is frequently at the beginning and end of data files and cannot be printed.

Syntax

CLEAN(text)

Text is any information from which you want to remove nonprintable characters.

Example

Col1 | Formula | Description (Result)
CHAR(7)&"text"&CHAR(7) | =CLEAN([Col1]) | Removes the nonprintable character, CHAR(7), from the string (text).


CODE

CODE

Returns a numeric code for the first character in a text string. The returned code corresponds to the character set used by your computer.

Syntax

CODE(text)

Text is the text for which you want the code of the first character in the text string.

Example

Formula | Description (Result)
=CODE("A") | Displays the numeric code for A (65)
=CODE("!") | Displays the numeric code for ! (33)


CONCATENATE

CONCATENATE

Joins several text strings into one text string.

Syntax

CONCATENATE (text1,text2,...)

Text1, text2, ... are 1 to 30 text items to be joined into a single text item. The text items can be text strings, numbers, or column references.

Remarks

The "&" operator can be used instead of CONCATENATE to join text items.

Example

Col1 | Col2 | Col3 | Formula | Description
brook trout | species | 32 | =CONCATENATE("Stream population for ",[Col1]," ",[Col2]," is ",[Col3],"/mile") | Concatenates a sentence from the data (Stream population for brook trout species is 32/mile)


CONFIDENCE

CONFIDENCE

Returns the confidence interval for a population mean with a normal distribution. The confidence interval is a range on either side of a sample mean. For example, if you order a product through the mail, you can determine, with a particular level of confidence, the earliest and latest the product will arrive.

Syntax

CONFIDENCE(alpha,standard_dev,size)

Alpha is the significance level used to compute the confidence level. The confidence level equals 100*(1 - alpha)%, or in other words, an alpha of 0.05 indicates a 95 percent confidence level.

Standard_dev is the population standard deviation for the data range and is assumed to be known.

Size is the sample size.

Remarks

  • If any argument is nonnumeric, CONFIDENCE returns the #VALUE! error value.
  • If alpha ≤ 0 or alpha ≥ 1, CONFIDENCE returns the #NUM! error value.
  • If standard_dev ≤ 0, CONFIDENCE returns the #NUM! error value.
  • If size is not an integer, it is truncated.
  • If size < 1, CONFIDENCE returns the #NUM! error value.
  • If we assume alpha equals 0.05, we need to calculate the area under the standard normal curve that equals (1 - alpha), or 95 percent. This value is ± 1.96. The confidence interval is therefore:

Example

Suppose we observe that, in our sample of 50 commuters, the average length of travel to work is 30 minutes with a population standard deviation of 2.5. We can be 95 percent confident that the population mean is in the interval:

Alpha | StdDev | Size | Formula | Description (Result)
0.05 | .5 | 50 | =CONFIDENCE([Alpha],[StdDev],[Size]) | Confidence interval for a population mean. In other words, the average length of travel to work equals 30 ± 0.692951 minutes, or 29.3 to 30.7 minutes. (0.692951)


COS

COS

Returns the cosine of the given angle.

Syntax

COS(number)

Number is the angle in radians for which you want the cosine.

Remark

If the angle is in degrees, multiply it by PI()/180 or use the RADIANS function to convert it to radians.

Example

Formula | Description (Result)
=COS(1.047) | Cosine of 1.047 radians (0.500171)
=COS(60*PI()/180) | Cosine of 60 degrees (0.5)
=COS(RADIANS(60)) | Cosine of 60 degrees (0.5)


COSH

COSH

Returns the hyperbolic cosine of a number.

Syntax

COSH(number)

Number is any real number for which you want to find the hyperbolic cosine.

Remark

The formula for the hyperbolic cosine is:

Example

Formula | Description (Result)
=COSH(4) | Hyperbolic cosine of 4 (27.30823)
=COSH(EXP(1)) | Hyperbolic cosine of the base of the natural logarithm (7.610125)


COUNT

COUNT

Counts the number of arguments that contain numbers.

Syntax

COUNT(value1,value2, ...)

Value1, value2, ... are 1 to 30 arguments that can contain or refer to a variety of different types of data, but only numbers are counted.

Remarks

  • Arguments that are numbers, dates, or text representations of numbers are counted; arguments that are error values or text that cannot be translated into numbers are ignored.
  • If you need to count logical values, text, or error values, use the COUNTA function.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Col7 | Formula | Description (Result)
Sales | 12/8/2008 |  | 19 | 22.24 | TRUE | #DIV/0! | =COUNT([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7]) | Counts the number of arguments that contain numbers in the list (3)
 |  |  | 19 | 22.24 | TRUE | #DIV/0! | =COUNT([Col4],[Col5],[Col6],[Col7]) | Counts the number of arguments that contain numbers in the last 4 rows of the list (2)
Sales | 2/8/2008 |  | 19 | 22.24 | TRUE | #DIV/0! | COUNT([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7],2) | Counts the number of arguments that contain numbers in the list, and the value 2 (4)


COUNTA

COUNTA

Counts the number of arguments that are not empty.

Syntax

COUNTA(value1,value2, ...)

Value1, value2, ... are 1 to 30 arguments representing the values you want to count. In this case, a value is any type of information, including empty text ("") but not including empty arguments. If you do not need to count logical values, text, or error values, use the COUNT function.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Col7 | Formula | Description (Result)
Sales | 12/8/2008 |  | 19 | 22.24 | TRUE | #DIV/0! | =COUNTA([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7]) | Counts the number of nonblank arguments in the list (6)
Sales | 12/8/2008 |  | 19 | 22.24 | TRUE | #DIV/0! | =COUNTA([Col4],[Col5],[Col6],[Col7])) | Counts the number of nonblank arguments in the last 4 rows of the list (4)
Sales | 12/8/2008 |  | 19 | 22.24 | TRUE | #DIV/0! | =COUNTA([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7],2) | Counts the number of nonblank arguments in the list and the value 2 (7)
Sales | 12/8/2008 |  | 19 | 22.24 | TRUE | #DIV/0! | =COUNTA([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7], "Two") | Counts the number of nonblank arguments in the list and the value "Two" (7)


CRITBINOM

CRITBINOM

Returns the smallest value for which the cumulative binomial distribution is greater than or equal to a criterion value. Use this function for quality assurance applications. For example, use CRITBINOM to determine the greatest number of defective parts that are allowed to come off an assembly line run without rejecting the entire lot.

Syntax

CRITBINOM(trials,probability_s,alpha)

Trials is the number of Bernoulli trials.

Probability_s is the probability of a success on each trial.

Alpha is the criterion value.

Remarks

  • If any argument is nonnumeric, CRITBINOM returns the #VALUE! error value.
  • If trials is not an integer, it is truncated.
  • If trials < 0, CRITBINOM returns the #NUM! error value.
  • If probability_s is < 0 or probability_s > 1, CRITBINOM returns the #NUM! error value.
  • If alpha < 0 or alpha > 1, CRITBINOM returns the #NUM! error value.

Example

Trials | Probability_s | Alpha | Formula | Description (Result)
6 | 0.5 | 0.75 | =CRITBINOM([Trials],[Probability_s],[Alpha]) | Smallest value for which the cumulative binomial distribution is greater than or equal to a criterion value (4)


DATE

DATE

Returns the sequential serial number that represents a particular date.

Syntax

DATE(year,month,day)

Year The year argument can be one to four digits.

  • If year is between 0 (zero) and 1899 (inclusive), the value is added to 1900 to calculate the year. For example, DATE(108,1,2) returns January 2, 2008 (1900+108).

  • If year is between 1900 and 9999 (inclusive), the value is used as the year. For example, DATE(2008,1,2) returns January 2, 2008.

Month is a number representing the month of the year. If month is greater than 12, month adds that number of months to the first month in the year specified. For example, DATE(2008,14,2) returns the serial number representing February 2, 2009.

Day is a number representing the day of the month. If day is greater than the number of days in the month specified, day adds that number of days to the first day in the month. For example, DATE(2008,1,35) returns the serial number representing February 4, 2008.

Remarks

  • Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.
  • The DATE function is most useful in formulas where year, month, and day are formulas, not constants.

Example

Year | Month | Day | Formula | Description (Result)
2008 | 1 | 1 | =DATE([Year],[Month],[Day]) | Serial date for the date (1/1/2008 or 39448)


DATEDIF

DATEDIF

Calculates the number of days, months, or years between two dates. This function is provided for compatibility with Lotus 1-2-3.

Syntax

DATEDIF(start_date,end_date,unit)

Start_date A date that represents the first, or starting, date of the period. Dates may be entered as text strings within quotation marks (for example, "2001/1/30"), as serial numbers (for example, 36921, which represents January 30, 2001, if you're using the 1900 date system), or as the results of other formulas or functions (for example, DATEVALUE("2001/1/30")).

End_date A date that represents the last, or ending, date of the period.

Unit The type of information you want returned:

Unit | Returns
"Y" | The number of complete years in the period.
"M" | The number of complete months in the period.
"D" | The number of days in the period.
"MD" | The difference between the days in start_date and end_date. The months and years of the dates are ignored.
"YM" | The difference between the months in start_date and end_date. The days and years of the dates are ignored
"YD" | The difference between the days of start_date and end_date. The years of the dates are ignored.

Remarks

  • Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.
  • The DATEDIF function is useful in formulas where you need to calculate an age.

Example

Start_date | End_date | Formula | Description (Result)
1/1/2001 | 1/1/2003 | DATEDIF(Start_date,End_date,"Y") | Two complete years in the period (2)
6/1/2001 | 8/15/2002 | DATEDIF(Start_date,End_date,"D") | 440 days between June 1, 2001, and August 15, 2002 (440)
6/1/2001 | 8/15/2002 | DATEDIF(Start_date,End_date,"YD") | 75 days between June 1 and August 15, ignoring the years of the dates (75)
6/1/2001 | 8/15/2002 | DATEDIF(Start_date,End_date,"MD") | The difference between 1 and 15 — the day of start_date and the day of end_date — ignoring the months and the years of the dates (14)


DATEVALUE

DATEVALUE

Returns the serial number of the date represented by date_text. Use DATEVALUE to convert a date represented by text to a serial number.

Syntax

DATEVALUE(date_text)

Date_text is text that represents a date in a date format. For example, "1/30/2008" or "30-Jan-2008" are text strings within quotation marks that represent dates.

If the year portion of date_text is omitted, DATEVALUE uses the current year from your server's built-in clock. Time information in date_text is ignored.

Remarks

  • Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.
  • Most functions automatically convert date values to serial numbers.

Example

Formula | Description (Result)
=DATEVALUE("8/22/2008") | Serial number of the text date (39682)
=DATEVALUE("22-AUG-2008") | Serial number of the text date (39682)
=DATEVALUE("2008/02/23") | Serial number of the text date (39501)
=DATEVALUE("5-JUL") | Serial number of the text date, assuming the computer's built-in clock is set to 2000 (37807)


DAY

DAY

Returns the day of a date, represented by a serial number. The day is given as an integer ranging from 1 to 31.

Syntax

DAY(serial_number)

Serial_number is the date of the day you are trying to find.

Remarks

  • Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.
  • Values returned by the YEAR, MONTH and DAY functions will be Gregorian values regardless of the display format for the supplied date value. For example, if the display format of the supplied date is Hijri, the returned values for the YEAR, MONTH and DAY functions will be values associated with the equivalent Gregorian date.

Example

Formula | Description (Result)
=DAY("15-Apr-2008") | Day of the date (15)


DAYS360

DAYS360

Returns the number of days between two dates based on a 360-day year (twelve 30-day months), which is used in some accounting calculations. Use this function to help compute payments if your accounting system is based on twelve 30-day months.

Syntax

DAYS360(start_date,end_date,method)

Start_date and end_date are the two dates between which you want to know the number of days. If start_date occurs after end_date, DAYS360 returns a negative number.

Method is a logical value that specifies whether to use the U.S. or European method in the calculation.

Method | Defined
FALSE or omitted | U.S. (NASD) method. If the starting date is the 31st of a month, it becomes equal to the 30th of the same month. If the ending date is the 31st of a month and the starting date is earlier than the 30th of a month, the ending date becomes equal to the 1st of the next month; otherwise the ending date becomes equal to the 30th of the same month.
TRUE | European method. Starting dates and ending dates that occur on the 31st of a month become equal to the 30th of the same month.

Remark

Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.

Example

Col1 | Col2 | Formula | Description (Result)
1/30/2008 | 2/1/2008 | =DAYS360([Col1],[Col2]) | Number of days between the two dates, based on a 360-day year (1)


DDB

DDB

Returns the depreciation of an asset for a specified period using the double-declining balance method or some other method you specify.

Syntax

DDB(cost,salvage,life,period,factor)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is being depreciated (sometimes called the useful life of the asset).

Period is the period for which you want to calculate the depreciation. Period must use the same units as life.

Factor is the rate at which the balance declines. If factor is omitted, it is assumed to be 2 (the double-declining balance method).

All five arguments must be positive numbers.

Remarks

  • The double-declining balance method computes depreciation at an accelerated rate. Depreciation is highest in the first period and decreases in successive periods. DDB uses the following formula to calculate depreciation for a period:

    ((cost-salvage) - total depreciation from prior periods) * (factor/life)

  • Change factor if you do not want to use the double-declining balance method.

Example

Cost | Salvage | Life | Formula | Description (Result)
2400 | 300 | 10 | =DDB([Cost],[Salvage],[Life]*365,1) | First day's depreciation. Factor is automatically assumed to be 2. (1.32)
2400 | 300 | 10 | =DDB([Cost],[Salvage],[Life]*12,1,2) | First month's depreciation (40.00)
2400 | 300 | 10 | =DDB([Cost],[Salvage],[Life],1,2) | First year's depreciation (480.00)
2400 | 300 | 10 | =DDB([Cost],[Salvage],[Life],2,1.5) | Second year's depreciation using a factor of 1.5 instead of the double-declining balance method (306.00)
2400 | 300 | 10 | =DDB([Cost],[Salvage],[Life],10) | Tenth year's depreciation. Factor is automatically assumed to be 2 (22.12)

Note The results are rounded to two decimal places.


DEGREES

DEGREES

Converts radians into degrees.

Syntax

DEGREES(angle)

Angle is the angle in radians that you want to convert.

Example

Formula | Description (Result)
=DEGREES(PI()) | Degrees of pi radians (180)


DEVSQ

DEVSQ

Returns the sum of squares of deviations of data points from their sample mean.

Syntax

DEVSQ(number1,number2, ...)

Number1,number2, ... are 1 to 30 arguments for which you want to calculate the sum of squared deviations.

Remarks

  • The arguments must be numbers or column references that contain numbers.
  • If argument contains text, logical values, or is empty, those values are ignored; however, arguments with the value zero are included.
  • The equation for the sum of squared deviations is:

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Col7 | Formula | Description (Result)
4 | 5 | 8 | 7 | 11 | 4 | 3 | =DEVSQ([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7]) | Sum of squares of deviations of data from their sample mean (48)


DOLLAR

DOLLAR

Converts a number to text using currency format, with the decimals rounded to the specified place. The format used is $#,##0.00_);($#,##0.00).

Syntax

DOLLAR(number,decimals)

Number is a number, a colimn reference containing a number, or a formula that evaluates to a number.

Decimals is the number of digits to the right of the decimal point. If decimals is negative, number is rounded to the left of the decimal point. If you omit decimals, your system locale setting will be used to determine the number of decimal places.

Remark

The Dollar function uses the currency setting of your computer. If you always want to show U.S. currency, use the USDOLLAR function instead.

Example

Col1 | Formula | Description (Result)
1234.567 | =DOLLAR([Col1], 2) | Displays the first number in a currency format, 2 digits to the right of the decimal point ($1,234.57)
1234.567 | =DOLLAR([Col1], -2) | Displays the first number in a currency format, 2 digits to the left of the decimal point ($1,200)
-1234.567 | =DOLLAR([Col1], -2) | Displays the second number in a currency format, 2 digits to the left of the decimal point (($1,200))
-0.123 | =DOLLAR([Col1], 4) | Displays the third number in a currency format, 4 digits to the right of the decimal point(($0.1230))
99.888 | =DOLLAR([Col1]) | Displays the fourth number in a currency format, 2 digit to the left of the decimal point ($99.89)


EVEN

EVEN

Returns number rounded up to the nearest even integer. You can use this function for processing items that come in twos. For example, a packing crate accepts rows of one or two items. The crate is full when the number of items, rounded up to the nearest two, matches the crate's capacity.

Syntax

EVEN(number)

Number is the value to round.

Remarks

  • If number is nonnumeric, EVEN returns the #VALUE! error value.
  • Regardless of the sign of number, a value is rounded up when adjusted away from zero. If number is an even integer, no rounding occurs.

Example

Formula | Description (Result)
=EVEN(1.5) | Rounds 1.5 up to the nearest even integer (2)
=EVEN(3) | Rounds 3 up to the nearest even integer (4)
=EVEN(2) | Rounds 2 up to the nearest even integer (2)
=EVEN(-1) | Rounds -1 up to the nearest even integer (-2)


EXACT

EXACT

Compares two text strings and returns TRUE if they are exactly the same, FALSE otherwise. EXACT is case-sensitive. Use EXACT to test text being entered into a document.

Syntax

EXACT(text1,text2)

Text1 is the first text string.

Text2 is the second text string.

Example

Col1 | Col2 | Formula | Description (Result)
word | word | =EXACT([Col1],[Col2]) | Checks whether the strings match (TRUE)
Word | word | =EXACT([Col1],[Col2] | Checks whether the strings match (FALSE)
w ord | word | =EXACT([Col1],[Col2]) | Checks whether the strings match (FALSE)


EXP

EXP

Returns e raised to the power of number. The constant e equals 2.71828182845904, the base of the natural logarithm.

Syntax

EXP(number)

Number is the exponent applied to the base e.

Remarks

  • To calculate powers of other bases, use the exponentiation operator (^).
  • EXP is the inverse of LN, the natural logarithm of number.

Example

Formula | Description (Result)
=EXP(1) | Approximate value of e (2.718282)
=EXP(2) | Base of the natural logarithm e raised to the power of 2 (7.389056)


EXPONDIST

EXPONDIST

Returns the exponential distribution. Use EXPONDIST to model the time between events, such as how long an automated bank teller takes to deliver cash. For example, you can use EXPONDIST to determine the probability that the process takes at most 1 minute.

Syntax

EXPONDIST(x,lambda,cumulative)

X is the value of the function.

Lambda is the parameter value.

Cumulative is a logical value that indicates which form of the exponential function to provide. If cumulative is TRUE, EXPONDIST returns the cumulative distribution function; if FALSE, it returns the probability density function.

Remarks

  • If x or lambda is nonnumeric, EXPONDIST returns the #VALUE! error value.
  • If x < 0, EXPONDIST returns the #NUM! error value.
  • If lambda ≤ 0, EXPONDIST returns the #NUM! error value.
  • The equation for the probability density function is:

  • The equation for the cumulative distribution function is:

Example 1

Formula | Description (Result)
=EXPONDIST(0.2,10,FALSE) | Probability exponential distribution function (1.353353)

Example 2

X | Lambda | Formula | Description (Result)
0.2 | 10 | =EXPONDIST([X,][Lambda],TRUE) | Cumulative exponential distribution function (0.864665)


FACT

FACT

Returns the factorial of a number. The factorial of a number is equal to 1*2*3*...* number.

Syntax

FACT(number)

Number is the nonnegative number you want the factorial of. If number is not an integer, it is truncated.

Example

Formula | Description (Result)
=FACT(5) | Factorial of 5, or 1*2*3*4*5 (120)
=FACT(1.9) | Factorial of the integer of 1.9 (1)
=FACT(0) | Factorial of 0 (1)
=FACT(-1) | Negative numbers cause an error value (#NUM!)
=FACT(1) | Factorial of 1 (1)


FALSE

FALSE

Returns the logical value FALSE.

Syntax

FALSE( )

Remark

You can also type the word FALSE directly into the formula, and it is interpreted as the logical value FALSE.


FDIST

FDIST

Returns the F probability distribution. You can use this function to determine whether two data sets have different degrees of diversity. For example, you can examine test scores given to men and women entering high school and determine if the variability in the females is different from that found in the males.

Syntax

FDIST(x,degrees_freedom1,degrees_freedom2)

X is the value at which to evaluate the function.

Degrees_freedom1 is the numerator degrees of freedom.

Degrees_freedom2 is the denominator degrees of freedom.

Remarks

  • If any argument is nonnumeric, FDIST returns the #VALUE! error value.
  • If x is negative, FDIST returns the #NUM! error value.
  • If degrees_freedom1 or degrees_freedom2 is not an integer, it is truncated.
  • If degrees_freedom1 < 1 or degrees_freedom1 ≥ 10^10, FDIST returns the #NUM! error value.
  • If degrees_freedom2 < 1 or degrees_freedom2 ≥ 10^10, FDIST returns the #NUM! error value.
  • FDIST is calculated as FDIST=P( F<x ), where F is a random variable that has an F distribution.

Example

X | Degrees1 | Degrees2 | Formula | Description (Result)
15.20675 | 6 | 4 | =FDIST([X],[Degrees1],[Degrees2]) | F probability distribution for the specified arguments (0.01)


FIND

FIND

Finds one text string (find_text) within another text string (within_text), and returns the number of the starting position of find_text, from the first character of within_text. You can also use SEARCH to find one text string within another, but unlike SEARCH, FIND is case sensitive and doesn't allow wildcard characters.

Syntax

FIND(find_text,within_text,start_num)

Find_text is the text you want to find.

Within_text is the text containing the text you want to find.

Start_num specifies the character at which to start the search. The first character in within_text is character number 1. If you omit start_num, it is assumed to be 1.

Tip

Use start_num to skip a specified number of characters. For example, suppose you are working with the text string "AYF0093.YoungMensApparel". To find the number of the first "Y" in the descriptive part of the text string, set start_num equal to 8 so that the serial-number portion of the text is not searched. FIND begins with character 8, finds find_text at the next character, and returns the number 9. FIND always returns the number of characters from the start of within_text, counting the characters you skip if start_num is greater than 1.

Remarks

  • If find_text is "" (empty text), FIND matches the first character in the search string (that is, the character numbered start_num or 1).
  • Find_text cannot contain any wildcard characters.
  • If find_text does not appear in within_text, FIND returns the #VALUE! error value.
  • If start_num is not greater than zero, FIND returns the #VALUE! error value.
  • If start_num is greater than the length of within_text, FIND returns the #VALUE! error value.

Example 1

Formula | Description (Result)
=FIND("M","Miriam McGovern") | Position of the first "M" in the string (1)
=FIND("m","Miriam McGovern") | Position of the first "m" in the string (6)
=FIND("M","Miriam McGovern",3) | Position of the first "M" in the string, starting with the third character (8)

Example 2

Col1 | Formula | Description (Result)
Ceramic Insulators #124-TD45-87 | =MID([Col1],1,FIND(" #",[Col1],1)-1) | Extracts text from position 1 to the position of " #" in the string (Ceramic Insulators)
Copper Coils #12-671-6772 | =MID([Col1],1,FIND(" #",[Col1],1)-1) | Extracts text from position 1 to the position of " #" in the string (Copper Coils)
Variable Resistors #116010 | =MID([Col1],1,FIND(" #",[Col1],1)-1) | Extracts text from position 1 to the position of " #" in the string (Variable Resistors)


FINV

FINV

Returns the inverse of the F probability distribution. If p = FDIST(x,...), then FINV(p,...) = x.

The F distribution can be used in an F-test that compares the degree of variability in two data sets. For example, you can analyze income distributions in the United States and Canada to determine whether the two countries have a similar degree of diversity.

Syntax

FINV(probability,degrees_freedom1,degrees_freedom2)

Probability is a probability associated with the F cumulative distribution.

Degrees_freedom1 is the numerator degrees of freedom.

Degrees_freedom2 is the denominator degrees of freedom.

Remarks

  • If any argument is nonnumeric, FINV returns the #VALUE! error value.
  • If probability < 0 or probability > 1, FINV returns the #NUM! error value.
  • If degrees_freedom1 or degrees_freedom2 is not an integer, it is truncated.
  • If degrees_freedom1 < 1 or degrees_freedom1 ≥ 10^10, FINV returns the #NUM! error value.
  • If degrees_freedom2 < 1 or degrees_freedom2 ≥ 10^10, FINV returns the #NUM! error value.

FINV can be used to return critical values from the F distribution. For example, the output of an ANOVA calculation often includes data for the F statistic, F probability, and F critical value at the 0.05 significance level. To return the critical value of F, use the significance level as the probability argument to FINV.

FINV uses an iterative technique for calculating the function. Given a probability value, FINV iterates until the result is accurate to within ± 3x10^-7. If FINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

Probability | Degrees1 | Degrees2 | Formula | Description (Result)
0.01 | 6 | 4 | =FINV([Probability],[Degrees1],[Degrees2]) | Inverse of the F probability distribution for the specified arguments (15.20675)


FISHER

FISHER

Returns the Fisher transformation at x. This transformation produces a function that is approximately normally distributed rather than skewed. Use this function to perform hypothesis testing on the correlation coefficient.

Syntax

FISHER(x)

X is a numeric value for which you want the transformation.

Remarks

  • If x is nonnumeric, FISHER returns the #VALUE! error value.
  • If x ≤ -1 or if x ≥ 1, FISHER returns the #NUM! error value.

  • The equation for the Fisher transformation is:

Example

Formula | Description (Result)
=FISHER(0.75) | Fisher transformation at 0.75 (0.972955)


FISHERINV

FISHERINV

Returns the inverse of the Fisher transformation. Use this transformation when analyzing correlations between ranges or arrays of data. If y = FISHER(x), then FISHERINV(y) = x.

Syntax

FISHERINV(y)

Y is the value for which you want to perform the inverse of the transformation.

Remarks

  • If y is nonnumeric, FISHERINV returns the #VALUE! error value.

  • The equation for the inverse of the Fisher transformation is:

Example

Formula | Description (Result)
=FISHERINV(0.972955) | Inverse of the Fisher transformation at 0.972955 (0.75)


FIXED

FIXED

Rounds a number to the specified number of decimals, formats the number in decimal format using a period and commas, and returns the result as text.

Syntax

FIXED(number,decimals,no_commas)

Number is the number you want to round and convert to text.

Decimals is the number of digits to the right of the decimal point.

No_commas is a logical value that, if TRUE, prevents FIXED from including commas in the returned text.

Remarks

  • If decimals is negative, number is rounded to the left of the decimal point.
  • If you omit decimals, your system locale setting will be used to determine the number of decimal places.
  • If no_commas is FALSE or omitted, then the returned text includes commas as usual.

Example

Formula | Description (Result)
=FIXED(1234.567, 1) | Rounds the first number 1 digit to the right of the decimal point (1,234.6)
=FIXED(1234.567, -1) | Rounds the first number 1 digit to the left of the decimal point (1,230)
=FIXED(-1234.567, -1, TRUE) | Rounds the second number 1 digit to the left of the decimal point, without commas (-1230)
=FIXED(44.332) | Rounds the third number 2 digits to the left of the decimal point (44.33)


FLOOR

FLOOR

Rounds number down, toward zero, to the nearest multiple of significance.

Syntax

FLOOR(number,significance)

Number is the numeric value you want to round.

Significance is the multiple to which you want to round.

Remarks

  • If either argument is nonnumeric, FLOOR returns the #VALUE! error value.
  • If number and significance have different signs, FLOOR returns the #NUM! error value.
  • Regardless of the sign of number, a value is rounded down when adjusted away from zero. If number is an exact multiple of significance, no rounding occurs.

Example

Formula | Description (Result)
=FLOOR(2.5, 1) | Rounds 2.5 down to nearest multiple of 1 (2)
=FLOOR(-2.5, -2) | Rounds -2.5 down to nearest multiple of -2 (-2)
=FLOOR(-2.5, 2) | Returns an error, because -2.5 and 2 have different signs (#NUM!)
=FLOOR(1.5, 0.1) | Rounds 1.5 down to the nearest multiple of 0.1 (1.5)
=FLOOR(0.234, 0.01) | Rounds 0.234 down to the nearest multiple of 0.01 (0.23)


FV

FV

Returns the future value of an investment based on periodic, constant payments and a constant interest rate.

Syntax

FV(rate,nper,pmt,pv,type)

For a more complete description of the arguments in FV and for more information on annuity functions, see PV.

Rate is the interest rate per period.

Nper is the total number of payment periods in an annuity.

Pmt is the payment made each period; it cannot change over the life of the annuity. Typically, pmt contains principal and interest but no other fees or taxes. If pmt is omitted, you must include the pv argument.

Pv is the present value, or the lump-sum amount that a series of future payments is worth right now. If pv is omitted, it is assumed to be 0 (zero), and you must include the pmt argument.

Type is the number 0 or 1 and indicates when payments are due. If type is omitted, it is assumed to be 0.

Set type equal to | If payments are due
0 | At the end of the period
1 | At the beginning of the period

Remarks
  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.
  • For all the arguments, cash you pay out, such as deposits to savings, is represented by negative numbers; cash you receive, such as dividend checks, is represented by positive numbers.

Example 1

Rate | Nper | Pmt | PV | Type | Formula | Description (Result)
6% | 10 | -200 | -500 | 1 | =FV(Rate/12, Nper, Pmt, PV, Type) | Future value of an investment with the specified arguments (2581.40)

Note The annual interest rate is divided by 12 because it is compounded monthly.

Example 2

Rate | Nper | Pmt | Formula | Description (Result)
12% | 12 | -1000 | =FV([Rate]/12, [Nper], [Pmt]) | Future value of an investment with the specified arguments (12,682.50)

Note The annual interest rate is divided by 12 because it is compounded monthly.


GAMMADIST

GAMMADIST

Returns the gamma distribution. You can use this function to study variables that may have a skewed distribution. The gamma distribution is commonly used in queuing analysis.

Syntax

GAMMADIST(x,alpha,beta,cumulative)

X is the value at which you want to evaluate the distribution.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution. If beta = 1, GAMMADIST returns the standard gamma distribution.

Cumulative is a logical value that determines the form of the function. If cumulative is TRUE, GAMMADIST returns the cumulative distribution function; if FALSE, it returns the probability mass function.

Remarks

  • If x, alpha, or beta is nonnumeric, GAMMADIST returns the #VALUE! error value.
  • If x < 0, GAMMADIST returns the #NUM! error value.
  • If alpha ≤ 0 or if beta ≤ 0, GAMMADIST returns the #NUM! error value.
  • The equation for the gamma distribution is:

    The standard gamma distribution is:

  • When alpha = 1, GAMMADIST returns the exponential distribution with:

  • For a positive integer n, when alpha = n/2, beta = 2, and cumulative = TRUE, GAMMADIST returns (1 - CHIDIST(x)) with n degrees of freedom.
  • When alpha is a positive integer, GAMMADIST is also known as the Erlang distribution.

Example

X | Alpha | Beta | Formula | Description (Result)
10 | 9 | 2 | =GAMMADIST([X],[Alpha],[Beta],FALSE) | Probability gamma distribution of the arguments (0.032639)
10 | 9 | 2 | =GAMMADIST([X],[Alpha],[Beta],TRUE) | Cumulative gamma distribution of the arguments (0.068094)


GAMMAINV

GAMMAINV

Returns the inverse of the gamma cumulative distribution. If p = GAMMADIST(x,...), then GAMMAINV(p,...) = x.

You can use this function to study a variable whose distribution may be skewed.

Syntax

GAMMAINV(probability,alpha,beta)

Probability is the probability associated with the gamma distribution.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution. If beta = 1, GAMMAINV returns the standard gamma distribution.

Remarks

  • If any argument is nonnumeric, GAMMAINV returns the #VALUE! error value.
  • If probability < 0 or probability > 1, GAMMAINV returns the #NUM! error value.
  • If alpha ≤ 0 or if beta ≤ 0, GAMMAINV returns the #NUM! error value.

GAMMAINV uses an iterative technique for calculating the function. Given a probability value, GAMMAINV iterates until the result is accurate to within ±3x10^-7. If GAMMAINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

Probability | Alpha | Beta | Formula | Description (Result)
0.068094 | 9 | 2 | =GAMMAINV([Probability],[Alpha],[Beta]) | Inverse of the gamma cumulative distribution for the arguments (10)


GAMMALN

GAMMALN

Returns the natural logarithm of the gamma function, Γ(x).

Syntax

GAMMALN(x)

X is the value for which you want to calculate GAMMALN.

Remarks

  • If x is nonnumeric, GAMMALN returns the #VALUE! error value.
  • If x ≤ 0, GAMMALN returns the #NUM! error value.
  • The number e raised to the GAMMALN(i) power, where i is an integer, returns the same result as (i - 1)!.
  • GAMMALN is calculated as follows:

    where:

Example

Formula | Description (Result)
=GAMMALN(4) | Natural logarithm of the gamma function at 4 (1.791759)


GEOMEAN

GEOMEAN

Returns the geometric mean of positive data. For example, you can use GEOMEAN to calculate average growth rate given compound interest with variable rates.

Syntax

GEOMEAN(number1,number2, ...)

Number1,number2, ... are 1 to 30 arguments for which you want to calculate the mean.

Remarks

  • The arguments must be either numbers or column references that contain numbers.
  • If a column reference argument contains text, logical values, or is empty , those values are ignored; however, arguments with the value zero are included.
  • If any data point ≤ 0, GEOMEAN returns the #NUM! error value.
  • The equation for the geometric mean is:

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Col7 | Formula | Description (Result)
4 | 5 | 8 | 7 | 11 | 4 | 3 | =GEOMEAN([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7]) | Geometric mean of the data (5.476987)


HARMEAN

HARMEAN

Returns the harmonic mean of a data set. The harmonic mean is the reciprocal of the arithmetic mean of reciprocals.

Syntax

HARMEAN(number1,number2, ...)

Number1,number2, ... are 1 to 30 arguments for which you want to calculate the mean.

Remarks

  • The arguments must be either numbers or column references that contain numbers.
  • If a column reference argument contains text, logical values, or is empty, those values are ignored; however, arguments with the value zero are included.
  • If any data point ≤ 0, HARMEAN returns the #NUM! error value.
  • The harmonic mean is always less than the geometric mean, which is always less than the arithmetic mean.
  • The equation for the harmonic mean is:

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Col7 | Formula | Description (Result)
4 | 5 | 8 | 7 | 11 | 4 | 3 | =HARMEAN([Col1],[Col2],[Col3],[Col4],[Col5],[Col6],[Col7]) | Harmonic mean of the data (5.028376)


HOUR

HOUR

Returns the hour of a time value. The hour is given as an integer, ranging from 0 (12:00 A.M.) to 23 (11:00 P.M.).

Syntax

HOUR(serial_number)

Serial_number is the time that contains the hour you want to find. Times may be entered as text strings within quotation marks (for example, "6:45 PM"), as decimal numbers (for example, 0.78125, which represents 6:45 PM), or as results of other formulas or functions (for example, TIMEVALUE("6:45 PM")).

Remark

Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5 because it is half of a day).

Example

Formula | Description (Result)
=HOUR("3:30:30 AM") | Hour of time (3)
=HOUR("3:30:30 PM") | Hour of time (15)
=HOUR("15:30") | Hour of time (15)


HYPGEOMDIST

HYPGEOMDIST

Returns the hypergeometric distribution. HYPGEOMDIST returns the probability of a given number of sample successes, given the sample size, population successes, and population size. Use HYPGEOMDIST for problems with a finite population, where each observation is either a success or a failure, and where each subset of a given size is chosen with equal likelihood.

Syntax

HYPGEOMDIST(sample_s,number_sample,population_s,number_population)

Sample_s is the number of successes in the sample.

Number_sample is the size of the sample.

Population_s is the number of successes in the population.

Number_population is the population size.

Remarks

  • All arguments are truncated to integers.
  • If any argument is nonnumeric, HYPGEOMDIST returns the #VALUE! error value.
  • If sample_s < 0 or sample_s is greater than the lesser of number_sample or population_s, HYPGEOMDIST returns the #NUM! error value.
  • If sample_s is less than the larger of 0 or (number_sample - number_population + population_s), HYPGEOMDIST returns the #NUM! error value.
  • If number_sample < 0 or number_sample > number_population, HYPGEOMDIST returns the #NUM! error value.
  • If population_s < 0 or population_s > number_population, HYPGEOMDIST returns the #NUM! error value.
  • If number_population < 0, HYPGEOMDIST returns the #NUM! error value.
  • The equation for the hypergeometric distribution is:

    where:

    x = sample_s

    n = number_sample

    M = population_s

    N = number_population

    HYPGEOMDIST is used in sampling without replacement from a finite population.

Example

A sampler of chocolates contains 20 pieces. Eight pieces are caramels, and the remaining 12 are nuts. If a person selects 4 pieces at random, the following function returns the probability that exactly 1 piece is a caramel.

Sample_s | Number_sample | Population_s | Number_Population | Formula | Description (Result)
1 | 4 | 8 | 20 | =HYPGEOMDIST([Sample_s],[Number_sample],[Population_s],[Number_Population]) | Hypergeometric distribution for sample and population (0.363261)


IF

IF

Returns one value if a condition you specify evaluates to TRUE and another value if it evaluates to FALSE.

Use IF to conduct conditional tests on values and formulas.

Syntax

IF(logical_test,value_if_true,value_if_false)

Logical_test is any value or expression that can be evaluated to TRUE or FALSE. For example, [Quarter1]=100 is a logical expression; if the value in one row of the column, [Quarter1], is equal to 100, the expression evaluates to TRUE. Otherwise, the expression evaluates to FALSE. This argument can use any comparison calculation operator.

Value_if_true is the value that is returned if logical_test is TRUE. For example, if this argument is the text string "Within budget" and the logical_test argument evaluates to TRUE, then the IF function displays the text "Within budget". If logical_test is TRUE and value_if_true is blank, this argument returns 0 (zero). To display the word TRUE, use the logical value TRUE for this argument. Value_if_true can be another formula.

Value_if_false is the value that is returned if logical_test is FALSE. For example, if this argument is the text string "Over budget" and the logical_test argument evaluates to FALSE, then the IF function displays the text "Over budget". If logical_test is FALSE and value_if_false is omitted, (that is, after value_if_true, there is no comma), then the logical value FALSE is returned. If logical_test is FALSE and value_if_false is blank (that is, after value_if_true, there is a comma followed by the closing parenthesis), then the value 0 (zero) is returned. Value_if_false can be another formula.

Remarks

  • Up to seven IF functions can be nested as value_if_true and value_if_false arguments to construct more elaborate tests. See the last of the following examples.
  • When the value_if_true and value_if_false arguments are evaluated, IF returns the value returned by those statements.
  • If any of the arguments to IF are arrays, every element of the array is evaluated when the IF statement is carried out.

Example 1

Col1 | Col2 | Col3 | Expense | Formula | Description (Result)
 |  |  | 50 | =IF([Expense]<=100,"Within budget","Over budget") | If the number is less than or equal to 100, then the formula displays "Within budget". Otherwise, the function displays "Over budget". (Within budget)
23 | 45 | 89 | 50 | =IF([Expense]=100,SUM([Col1],[Col2],[Col3]),"") | If the number is 100, then the three values are added. Otherwise, empty text ("") is returned. ()

Example 2

ActualExpenses | PredictedExpenses | Formula | Description (Result)
1500 | 900 | =IF([ActualExpenses]>[PredictedExpenses],"Over Budget","OK") | Checks whether the first row is over budget (Over Budget)
500 | 900 | =IF([ActualExpenses]>[PredictedExpenses],"Over Budget","OK") | Checks whether the second row is over budget (OK)

Example 3

Score | Formula | Description (Result)
45 | =IF([Score]>89,"A",IF([Score]>79,"B", IF([Score]>69,"C",IF([Score]>59,"D","F")))) | Assigns a letter grade to the first score (F)
90 | =IF([Score]>89,"A",IF([Score]>79,"B", IF([Score]>69,"C",IF([Score]>59,"D","F")))) | Assigns a letter grade to the second score (A)
78 | =IF([Score]>89,"A",IF([Score]>79,"B", IF([Score]>69,"C",IF([Score]>59,"D","F")))) | Assigns a letter grade to the third score (C)

In the preceding example, the second IF statement is also the value_if_false argument to the first IF statement. Similarly, the third IF statement is the value_if_false argument to the second IF statement. For example, if the first logical_test ([Score]>89) is TRUE, "A" is returned. If the first logical_test is FALSE, the second IF statement is evaluated, and so on.

The letter grades are assigned to numbers using the following key (assuming use of integers only).

If Score is | Then return
Greater than 89 | A
From 80 to 89 | B
From 70 to 79 | C
From 60 to 69 | D
Less than 60 | F


INT

INT

Rounds a number down to the nearest integer.

Syntax

INT(number)

Number is the real number you want to round down to an integer.

Example 1

Formula | Description (Result)
=INT(8.9) | Rounds 8.9 down (8)
=INT(-8.9) | Rounds -8.9 down (-9)

Example 2

Col1 | Formula | Description (Result)
19.5 | =[Col1]-INT([Col1]) | Returns the decimal part of a positive real number in Col1 (0.5)


IPMT

IPMT

Returns the interest payment for a given period for an investment based on periodic, constant payments and a constant interest rate. For a more complete description of the arguments in IPMT and for more information about annuity functions, see the PV function.

Syntax

IPMT(rate,per,nper,pv,fv,type)

Rate is the interest rate per period.

Per is the period for which you want to find the interest and must be in the range 1 to nper.

Nper is the total number of payment periods in an annuity.

Pv is the present value, or the lump-sum amount that a series of future payments is worth right now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0).

Type is the number 0 or 1 and indicates when payments are due. If type is omitted, it is assumed to be 0.

Set type equal to | If payments are due
0 | At the end of the period
1 | At the beginning of the period

Remarks
  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.
  • For all the arguments, cash you pay out, such as deposits to savings, is represented by negative numbers; cash you receive, such as dividend checks, is represented by positive numbers.

Example

Rate | Period | Nper | PV | Formula | Description (Result)
10% | 1 | 3 | 8000 | =IPMT([Rate]/12, [Period]*3, [Nper], [PV]) | Interest due in the first month for a loan with the specified arguments (-22.41)
10% | 1 | 3 | 8000 | =IPMT([Rate], 3, Nper, [PV]) | Interest due in the last year for a loan with the specified arguments, where payments are made yearly (-292.45)

Note The interest rate is divided by 12 to get a monthly rate. The years the money is paid out is multiplied by 12 to get the number of payments.


ISPMT

ISPMT

Calculates the interest paid during a specific period of an investment.

Syntax

ISPMT(rate,per,nper,pv)

Rate is the interest rate for the investment.

Per is the period for which you want to find the interest, and must be between 1 and nper.

Nper is the total number of payment periods for the investment.

Pv is the present value of the investment. For a loan, pv is the loan amount.

Remarks

  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at an annual interest rate of 12 percent, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.
  • For all the arguments, the cash you pay out, such as deposits to savings or other withdrawals, is represented by negative numbers; the cash you receive, such as dividend checks and other deposits, is represented by positive numbers.
  • For additional information about financial functions, see the PV function.

Example

Rate | Per | Nper | PV | Formula | Description (Result)
10% | 1 | 3 | 8000000 | =ISPMT([Rate]/12,[Per],[Nper]*12,[PV]) | Interest paid for the first monthly payment of a loan with the specified arguments (-64814.8)
10% | 1 | 3 | 8000000 | =ISPMT([Rate],1,[Nper],[PV]) | Interest paid in the first year of a loan with the specified arguments (-533333)

Note The interest rate is divided by 12 to get a monthly rate. The years the money is paid out is multiplied by 12 to get the number of payments.


KURT

KURT

Returns the kurtosis of a data set. Kurtosis characterizes the relative peakedness or flatness of a distribution compared with the normal distribution. Positive kurtosis indicates a relatively peaked distribution. Negative kurtosis indicates a relatively flat distribution.

Syntax

KURT(number1,number2, ...)

Number1,number2, ... are 1 to 30 arguments for which you want to calculate kurtosis.

Remarks

  • The arguments must be either numbers or column references that contain numbers.
  • If a column reference argument contains text, logical values, or is empty, those values are ignored; however, arguments with the value zero are included.
  • If there are fewer than four data points, or if the standard deviation of the sample equals zero, KURT returns the #DIV/0! error value.
  • Kurtosis is defined as:

    where:

    s is the sample standard deviation.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Col7 | Col8 | Col9 | Col10 | Formula | Description (Result)
3 | 4 | 5 | 2 | 3 | 4 | 5 | 6 | 4 | 7 | =KURT([Col1], [Col2], [Col3], [Col4], [Col5], [Col6],[Col7],[Col8],[Col9],[Col10]) | Kurtosis of the ata set (-0.1518)


LEFT

LEFT

LEFT returns the first character or characters in a text string, based on the number of characters you specify.

Syntax

LEFT(text,num_chars)

Text is the text string that contains the characters you want to extract.

Num_chars specifies the number of characters you want LEFT to extract.

  • Num_chars must be greater than or equal to zero.

  • If num_chars is greater than the length of text, LEFT returns all of text.

  • If num_chars is omitted, it is assumed to be 1.

Example

Col1 | Formula | Description (Result)
Sale Price | =LEFT([Col1],4) | First four characters in the string (Sale)
Sweden | =LEFT([Col1]) | First character in the string (S)


LEN

LEN

LEN returns the number of characters in a text string.

Syntax

LEN(text)

Text is the text whose length you want to find. Spaces count as characters.

Example

Col1 | Formula | Description (Result)
Phoenix, AZ | =LEN([Col1]) | Length of the string (11)
 | =LEN([Col1]) | Length of the string (0)
A One | =LEN([Col1]) | Length of the string, which includes 5 spaces (8)


LN

LN

Returns the natural logarithm of a number. Natural logarithms are based on the constant e (2.71828182845904).

Syntax

LN(number)

Number is the positive real number for which you want the natural logarithm.

Remark

LN is the inverse of the EXP function.

Example

Formula | Description (Result)
=LN(86) | Natural logarithm of 86 (4.454347)
=LN(2.7182818) | Natural logarithm of the value of the constant e (1)
=LN(EXP(3)) | Natural logarithm of e raised to the power of 3 (3)


LOG

LOG

Returns the logarithm of a number to the base you specify.

Syntax

LOG(number,base)

Number is the positive real number for which you want the logarithm.

Base is the base of the logarithm. If base is omitted, it is assumed to be 10.

Example

Formula | Description (Result)
=LOG(10) | Logarithm of 10 (1)
=LOG(8, 2) | Logarithm of 8 with base 2 (3)
=LOG(86, 2.7182818) | Logarithm of 86 with base e (4.454347)


LOG10

LOG10

Returns the base-10 logarithm of a number.

Syntax

LOG10(number)

Number is the positive real number for which you want the base-10 logarithm.

Example

Formula | Description (Result)
=LOG10(86) | Base-10 logarithm of 86 (1.934498451)
=LOG10(10) | Base-10 logarithm of 10 (1)
=LOG10(1E5) | Base-10 logarithm of 1E5 (5)
=LOG10(10^5) | Base-10 logarithm of 10^5 (5)


LOGINV

LOGINV

Returns the inverse of the lognormal cumulative distribution function of x, where ln(x) is normally distributed with parameters mean and standard_dev. If p = LOGNORMDIST(x,...) then LOGINV(p,...) = x.

Use the lognormal distribution to analyze logarithmically transformed data.

Syntax

LOGINV(probability,mean,standard_dev)

Probability is a probability associated with the lognormal distribution.

Mean is the mean of ln(x).

Standard_dev is the standard deviation of ln(x).

Remarks

  • If any argument is nonnumeric, LOGINV returns the #VALUE! error value.
  • If probability < 0 or probability > 1, LOGINV returns the #NUM! error value.
  • If standard_dev <= 0, LOGINV returns the #NUM! error value.

  • The inverse of the lognormal distribution function is:

Example

Probablility | Mean | StdDev | Formula | Description (Result)
0.039084 | 3.5 | 1.2 | =LOGINV([Probablility], [Mean], [StdDev]) | Inverse of the lognormal cumulative distribution function for the specified arguments (4.000028)


LOGNORMDIST

LOGNORMDIST

Returns the cumulative lognormal distribution of x, where ln(x) is normally distributed with the parameters mean and standard_dev. Use this function to analyze data that has been logarithmically transformed.

Syntax

LOGNORMDIST(x,mean,standard_dev)

X is the value at which to evaluate the function.

Mean is the mean of ln(x).

Standard_dev is the standard deviation of ln(x).

Remarks

  • If any argument is nonnumeric, LOGNORMDIST returns the #VALUE! error value.
  • If x ≤ 0 or if standard_dev ≤ 0, LOGNORMDIST returns the #NUM! error value.
  • The equation for the lognormal cumulative distribution function is:

Example

X | Mean | StdDev | Formula | Description (Result)
4 | 3.5 | 1.2 | =LOGNORMDIST([X],[Mean],[StdDev]) | Cumulative lognormal distribution at 4 with the specified arguments (0.039084)


LOWER

LOWER

Converts all uppercase letters in a text string to lowercase.

Syntax

LOWER(text)

Text is the text you want to convert to lowercase. LOWER does not change characters in text that are not letters.

Example

Col1 | Formula | Description (Result)
E. E. Cummings | =LOWER([Col1]) | Lower case of string (e. e. cummings)
Apt. 2B | =LOWER([Col1]) | Lower case of string (apt. 2b)


MAX

MAX

Returns the largest value in a set of values.

Syntax

MAX(number1,number2, ...)

Number1,number2, ... are 1 to 30 numbers for which you want to find the maximum value.

Remarks

  • You can specify arguments that are numbers, empty arguments, logical values, or text representations of numbers. Arguments that are error values or text that cannot be translated into numbers cause errors.
  • If logical values and text must not be ignored, use MAXA instead.
  • If the arguments contain no numbers, MAX returns 0 (zero).

Example

Col1 | Col2 | Col3 | col4 | Col5 | Formula | Description (Result)
10 | 7 | 9 | 27 | 2 | =MAX([Col1],[Col2],[Col3],[Col4],[Col5]) | Largest of the numbers (27)
10 | 7 | 9 | 27 | 2 | =MAX(Col1],[Col2],[Col3],[Col4],[Col5],30) | Largest of the numbers and 30 (30)


MAXA

MAXA

Returns the largest value in a list of arguments. Text and logical values such as TRUE and FALSE are compared as well as numbers.

MAXA is similar to MINA. For more information, see the examples for MINA.

Syntax

MAXA(value1,value2, ...)

Value1, Value2, ... are 1 to 30 values for which you want to find the largest value.

Remarks

  • You can specify arguments that are numbers, empty arguments, logical values, or text representations of numbers. Arguments that are error values cause errors. If the calculation must not include text or logical values, use MAX instead.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero).
  • If the arguments contain no values, MAXA returns 0 (zero).

Example

Col1 | Col2 | Col3 | Col4 | col5 | Formula | Description (Result)
0 | 0.2 | 0.5 | 0.4 | TRUE | =MAXA([Col1],[Col2],[Col3],[Col4],[Col5]) | Largest of the numbers. TRUE evaluates to 1 (1)


Me

Me

Returns the current user name.

Syntax

Me

Remarks

  • The Me function can only be used with default values; you cannot use the Me function in a calculated column.


MEDIAN

MEDIAN

Returns the median of the given numbers. The median is the number in the middle of a set of numbers; that is, half the numbers have values that are greater than the median, and half have values that are less.

Syntax

MEDIAN(number1,number2, ...)

Number1, number2, ... are 1 to 30 numbers for which you want the median.

Remarks

  • The arguments should be either numbers or column references that contain numbers.
  • If a column reference argument contains text, logical values, or is empty, those values are ignored; however, arguments with the value zero are included.

  • If there is an even number of numbers in the set, then MEDIAN calculates the average of the two numbers in the middle. See the second formula following.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Formula | Description (Result)
1 | 2 | 3 | 4 | 5 | 6 | =MEDIAN([Col1],[Col2],[Col3],[Col4],[Col5]) | Median of the first 5 numbers in the list (3)
1 | 2 | 3 | 4 | 5 | 6 | =MEDIAN([Col1],[Col2],[Col3],[Col4],[Col5],[Col6]) | Median of all the numbers, or the average of 3 and 4 (3.5)


MID

MID

MID returns a specific number of characters from a text string, starting at the position you specify, based on the number of characters you specify.

Syntax

MID(text,start_num,num_chars)

Text is the text string containing the characters you want to extract.

Start_num is the position of the first character you want to extract in text. The first character in text has start_num 1, and so on.

Num_chars specifies the number of characters you want MID to return from text.

Remarks

  • If start_num is greater than the length of text, MID returns "" (empty text).
  • If start_num is less than the length of text, but start_num plus num_chars exceeds the length of text, MID returns the characters up to the end of text.
  • If start_num is less than 1, MID returns the #VALUE! error value.

  • If num_chars is negative, MID returns the #VALUE! error value.

Example

Formula | Description (Result)
=MID("Fluid Flow",1,5) | Five characters from the string, starting at the first character (Fluid)
=MID("Fluid Flow",7,20) | Twenty characters from the string, starting at the seventh (Flow)
=MID("Fluid Flow",20,5) | Because the starting point is greater than the length of the string, empty text is returned ()


MIN

MIN

Returns the smallest number in a set of values.

Syntax

MIN(number1,number2, ...)

Number1, number2, ... are 1 to 30 numbers for which you want to find the minimum value.

Remarks

  • You can specify arguments that are numbers, empty, logical values, or text representations of numbers. Arguments that are error values or text that cannot be translated into numbers cause errors.
  • If an argument is a column reference, only numbers are used. If logical values and text should not be ignored, use MINA instead.
  • If the arguments contain no numbers, MIN returns 0.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Formula | Description (Result)
10 | 7 | 9 | 27 | 2 | =MIN([Col1],[Col2],[Col3],[Col4],[Col5]) | Smallest of the numbers (2)
10 | 7 | 9 | 27 | 2 | =MIN([Col1],[Col2],[Col3],[Col4],[Col5],0) | Smallest of the numbers and 0 (0)


MINA

MINA

Returns the smallest value in the list of arguments. Text and logical values such as TRUE and FALSE are compared as well as numbers.

Syntax

MINA(value1,value2,...)

Value1, value2,... are 1 to 30 values for which you want to find the smallest value.

Remarks

  • You can specify arguments that are numbers, empty , logical values, or text representations of numbers. Arguments that are error values cause errors. If the calculation must not include text or logical values, use the MIN function instead.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero).
  • If the arguments contain no values, MINA returns 0.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Formula | Description (Result)
FALSE | 0.2 | 0.5 | 0.4 | 0.8 | =MINA([Col1],[Col2],[Col3],[Col4],[Col5]) | Smallest of the numbers. FALSE evaluates to 0 (0)


MINUTE

MINUTE

Returns the minutes of a time value. The minute is given as an integer, ranging from 0 to 59.

Syntax

MINUTE(serial_number)

Serial_number is the time that contains the minute you want to find. Times may be entered as text strings within quotation marks (for example, "6:45 PM"), as decimal numbers (for example, 0.78125, which represents 6:45 PM), or as results of other formulas or functions (for example, TIMEVALUE("6:45 PM")).

Remarks

Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5, since it is half of a day).

Example

Formula | Description (Result)
=MINUTE("4:48:00 PM") | Minutes of the time (48)


MOD

MOD

Returns the remainder after number is divided by divisor. The result has the same sign as divisor.

Syntax

MOD(number,divisor)

Number is the number for which you want to find the remainder.

Divisor is the number by which you want to divide number.

Remarks

  • If divisor is 0, MOD returns the #DIV/0! error value.

  • The MOD function can be expressed in terms of the INT function:

    MOD(n, d) = n - d*INT(n/d)

Example

Formula | Description (Result)
=MOD(3, 2) | Remainder of 3/2. (1)
=MOD(-3, 2) | Remainder of -3/2. The sign is the same as divisor. (1)
=MOD(3, -2) | Remainder of 3/-2. The sign is the same as divisor. (-1)
=MOD(-3, -2) | Remainder of -3/-2. The sign is the same as divisor. (-1)


MODE

MODE

Returns the most frequently occurring, or repetitive, value in the argument list. Like MEDIAN, MODE is a location measure.

Syntax

MODE(number1,number2, ...)

Number1, number2, ... are 1 to 30 arguments for which you want to calculate the mode.

Remarks

  • The arguments should be numbers or column references that contain numbers.
  • If a column reference argument contains text, logical values, or is empty, those values are ignored; however, arguments with the value zero are included.
  • If the data set contains no duplicate data points, MODE returns the #N/A error value.

In a set of values, the mode is the most frequently occurring value; the median is the middle value; and the mean is the average value. No single measure of central tendency provides a complete picture of the data. Suppose data is clustered in three areas, half around a single low value, and half around two large values. Both AVERAGE and MEDIAN may return a value in the relatively empty middle, and MODE may return the dominant low value.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Col6 | Formula | Description (Result)
5.6 | 4 | 4 | 3 | 2 | 4 | =MODE([Col1], [Col2], [Col3], [Col4], [Col5], [Col6]) | Mode, or most frequently occurring number (4)


MONTH

MONTH

Returns the month of a date represented by a serial number. The month is given as an integer, ranging from 1 (January) to 12 (December).

Syntax

MONTH(serial_number)

Serial_number is the date of the month you are trying to find.

Remarks

Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.

Values returned by the YEAR, MONTH and DAY functions will be Gregorian values regardless of the display format for the supplied date value. For example, if the display format of the supplied date is Hijri, the returned values for the YEAR, MONTH and DAY functions will be values associated with the equivalent Gregorian date.

Example

Formula | Description (Result)
=MONTH("15-Apr-2008") | Month of the date (4)


NEGBINOMDIST

NEGBINOMDIST

Returns the negative binomial distribution. NEGBINOMDIST returns the probability that there will be number_f failures before the number_s-th success, when the constant probability of a success is probability_s. This function is similar to the binomial distribution, except that the number of successes is fixed, and the number of trials is variable. Like the binomial, trials are assumed to be independent.

For example, you need to find 10 people with excellent reflexes, and you know the probability that a candidate has these qualifications is 0.3. NEGBINOMDIST calculates the probability that you will interview a certain number of unqualified candidates before finding all 10 qualified candidates.

Syntax

NEGBINOMDIST(number_f,number_s,probability_s)

Number_f is the number of failures.

Number_s is the threshold number of successes.

Probability_s is the probability of a success.

Remarks

  • Number_f and number_s should be >= 0.
  • Number_f and number_s are truncated to integers.
  • If any argument is nonnumeric, NEGBINOMDIST returns the #VALUE! error value.
  • If probability_s < 0 or if probability > 1, NEGBINOMDIST returns the #NUM! error value.
  • The equation for the negative binomial distribution is:

    where:

    x is number_f, r is number_s, and p is probability_s.

Example

Number_f | Number_s | Probability_s | Formula | Description (Result)
10 | 5 | 0.25 | =NEGBINOMDIST([Number_f], [Number_s], [Probability_s]) | Negative binomial distribution for the specified arguments (0.055049)


NORMDIST

NORMDIST

Returns the normal distribution for the specified mean and standard deviation. This function has a very wide range of applications in statistics, including hypothesis testing.

Syntax

NORMDIST(x,mean,standard_dev,cumulative)

X is the value for which you want the distribution.

Mean is the arithmetic mean of the distribution.

Standard_dev is the standard deviation of the distribution.

Cumulative is a logical value that determines the form of the function. If cumulative is TRUE, NORMDIST returns the cumulative distribution function; if FALSE, it returns the probability mass function.

Remarks

  • If mean or standard_dev is nonnumeric, NORMDIST returns the #VALUE! error value.
  • If standard_dev ≤ 0, NORMDIST returns the #NUM! error value.
  • If mean = 0, standard_dev = 1, and cumulative = TRUE, NORMDIST returns the standard normal distribution, NORMSDIST.
  • The equation for the normal density function (cumulative = FALSE) is:

  • When cumulative = TRUE, the formula is the integral from negative infinity to x of the given formula.

Example

X | Mean | StdDev | Formula | Description (Result)
42 | 40 | 1.5 | =NORMDIST([X],[Mean],[StdDev],TRUE) | Cumulative distribution function for the specified arguments (0.908789)
42 | 40 | 1.5 | =NORMDIST([X],[Mean],[StdDev],FALSE) | Probability mass function for the specified arguments (0.10934005)


NORMINV

NORMINV

Returns the inverse of the normal cumulative distribution for the specified mean and standard deviation.

Syntax

NORMINV(probability,mean,standard_dev)

Probability is a probability corresponding to the normal distribution.

Mean is the arithmetic mean of the distribution.

Standard_dev is the standard deviation of the distribution.

Remarks

  • If any argument is nonnumeric, NORMINV returns the #VALUE! error value.
  • If probability < 0 or if probability > 1, NORMINV returns the #NUM! error value.
  • If standard_dev ≤ 0, NORMINV returns the #NUM! error value.

  • If mean = 0 and standard_dev = 1, NORMINV uses the standard normal distribution (see NORMSINV).

NORMINV uses an iterative technique for calculating the function. Given a probability value, NORMINV iterates until the result is accurate to within ± 3x10^-7. If NORMINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

Probability | Mean | StdDev | Formula | Description (Result)
0.908789 | 40 | 1.5 | =NORMINV([Probability],[Mean],[StdDev]) | Inverse of the normal cumulative distribution for the specified arguments (42)


NORMSDIST

NORMSDIST

Returns the standard normal cumulative distribution function. The distribution has a mean of 0 (zero) and a standard deviation of one. Use this function in place of a table of standard normal curve areas.

Syntax

NORMSDIST(z)

Z is the value for which you want the distribution.

Remarks

  • If z is nonnumeric, NORMSDIST returns the #VALUE! error value.
  • The equation for the standard normal density function is:

Example

Formula | Description (Result)
=NORMSDIST(1.333333) | Normal cumulative distribution function at 1.333333 (0.908789)


NORMSINV

NORMSINV

Returns the inverse of the standard normal cumulative distribution. The distribution has a mean of zero and a standard deviation of one.

Syntax

NORMSINV(probability)

Probability is a probability corresponding to the normal distribution.

Remarks

  • If probability is nonnumeric, NORMSINV returns the #VALUE! error value.
  • If probability < 0 or if probability > 1, NORMSINV returns the #NUM! error value.

NORMSINV uses an iterative technique for calculating the function. Given a probability value, NORMSINV iterates until the result is accurate to within ± 3x10^-7. If NORMSINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

Formula | Description (Result)
=NORMSINV(0.908789) | Inverse of the standard normal cumulative distribution, with a probability of 0.908789 (1.3333)


NOT

NOT

Reverses the value of its argument. Use NOT when you want to make sure a value is not equal to one particular value.

Syntax

NOT(logical)

Logical is a value or expression that can be evaluated to TRUE or FALSE.

Remark

If logical is FALSE, NOT returns TRUE; if logical is TRUE, NOT returns FALSE.

Example

Formula | Description (Result)
=NOT(FALSE) | Reverses FALSE (TRUE)
=NOT(1+1=2) | Reverses an equation that evaluates to TRUE (FALSE)


IS

IS

This section describes the eight functions used for testing the type of a value or column reference.

Each of these functions, referred to collectively as the IS functions, checks the type of value and returns TRUE or FALSE depending on the outcome. For example, the ISBLANK function returns the logical value TRUE if value is a column reference that is empty; otherwise it returns FALSE.

Syntax

ISBLANK(value)
ISERR(value)
ISERROR(value)
ISLOGICAL(value)
ISNA(value)
ISNONTEXT(value)
ISNUMBER(value)
ISTEXT(value)

Value is the value you want tested. Value can be blank, error, logical, text, number, or column reference.

Function | Returns TRUE if
ISBLANK | Value refers to an empty column reference.
ISERR | Value refers to any error value except #N/A.
ISERROR | Value refers to any error value (#N/A, #VALUE!, #REF!, #DIV/0!, #NUM!, #NAME?, or #NULL!).
ISLOGICAL | Value refers to a logical value.
ISNA | Value refers to the #N/A (value not available) error value.
ISNONTEXT | Value refers to any item that is not text. (Note that this function returns TRUE if value refers to a blank column reference.)
ISNUMBER | Value refers to a number.
ISTEXT | Value refers to text.

Remarks
  • The value arguments of the IS functions are not converted. For example, in most other functions where a number is required, the text value "19" is converted to the number 19. However, in the formula ISNUMBER("19"), "19" is not converted from a text value, and the ISNUMBER function returns FALSE.
  • The IS functions are useful in formulas for testing the outcome of a calculation. When combined with the IF function, they provide a method for locating errors in formulas (see the following examples).

Example 1

Formula | Description (Result)
=ISLOGICAL(TRUE) | Checks whether TRUE is a logical value (TRUE)
=ISLOGICAL("TRUE") | Checks whether "TRUE" is a logical value (FALSE)
=ISNUMBER(4) | Checks whether 4 is a number (TRUE)

Example 2

Col1 | Formula | Description (Result)
Gold | =ISBLANK([Col1]) | Checks whether the value in Col1 is blank (FALSE)
#REF! | =ISERROR([Col1]) | Checks whether #the value in Col1 is an error (TRUE)
#REF! | =ISNA([Col1]) | Checks whether the value in Col1 is the #N/A error (FALSE)
#N/A | =ISNA([Col1]) | Checks whether the value in Col1is the #N/A error (TRUE)
#N/A | =ISERR([Col1]) | Checks whether the value in Col1 is an error (FALSE)
330.92 | =ISNUMBER([Col1]) | Checks whether the value in Col1 is a number (TRUE)
Region1 | =ISTEXT([Col1]) | Checks whether the value in Col1 is text (TRUE)


NPER

NPER

Returns the number of periods for an investment based on periodic, constant payments and a constant interest rate.

Syntax

NPER(rate, pmt, pv, fv, type)

For a more complete description of the arguments in NPER and for more information about annuity functions, see PV.

Rate is the interest rate per period.

Pmt is the payment made each period; it cannot change over the life of the annuity. Typically, pmt contains principal and interest but no other fees or taxes.

Pv is the present value, or the lump-sum amount that a series of future payments is worth right now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0).

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Example
Rate | Pmt | PV | FV | Type | Formula | Description (Result)
12% | -100 | -1000 | 10000 | 1 | =NPER([Rate]/12, [Pmt], [PV], [FV], 1) | Periods for the investment with the specified arguments (60)
12% | -100 | -1000 | 10000 | 1 | =NPER([Rate]/12, [Pmt], [PV], [FV]) | Periods for the investment with the specified arguments, except payments are made at the beginning of the period (60)
12% | -100 | -1000 | 10000 | 1 | =NPER([Rate]/12, [Pmt], [PV]) | Periods for the investment with the specified arguments, except with a future value of 0 (-9.578)


NPV

NPV

Calculates the net present value of an investment by using a discount rate and a series of future payments (negative values) and income (positive values).

Syntax

NPV(rate,value1,value2, ...)

Rate is the rate of discount over the length of one period.

Value1, value2, ... are 1 to 29 arguments representing the payments and income.

  • Value1, value2, ... must be equally spaced in time and occur at the end of each period.
  • NPV uses the order of value1, value2, ... to interpret the order of cash flows. Be sure to enter your payment and income values in the correct sequence.
  • Arguments that are numbers, empty, logical values, or text representations of numbers are counted; arguments that are error values or text that cannot be translated into numbers are ignored.

Remarks

  • The NPV investment begins one period before the date of the value1 cash flow and ends with the last cash flow in the list. The NPV calculation is based on future cash flows. If your first cash flow occurs at the beginning of the first period, the first value must be added to the NPV result, not included in the values arguments. For more information, see the examples below.
  • If n is the number of cash flows in the list of values, the formula for NPV is:

  • NPV is similar to the PV function (present value). The primary difference between PV and NPV is that PV allows cash flows to begin either at the end or at the beginning of the period. Unlike the variable NPV cash flow values, PV cash flows must be constant throughout the investment. For information about annuities and financial functions, see PV.
  • NPV is also related to the IRR function (internal rate of return). IRR is the rate for which NPV equals zero: NPV(IRR(...), ...) = 0.

Example 1

In the following example:

  • Rate is the annual discount rate.
  • Value1 is the initial cost of investment one year from today.
  • Value2 is the return from first year.
  • Value3 is the return from second year.
  • Value4 is the return from third year.
Rate | Value1 | Value2 | Value3 | Value4 | Formula | Description (Result)
10% | -10000 | 3000 | 4200 | 6800 | =NPV([Rate], [Value1], [Value2], [Value3], [Value4]) | Net present value of this investment (1,188.44)

In the preceding example, you include the initial $10,000 cost as one of the values, because the payment occurs at the end of the first period.

Example 2

In the following example:

  • Rate is the annual discount rate. This might represent the rate of inflation or the interest rate of a competing investment.
  • Value1 is the initial cost of investment one year from today.
  • Value2 is the return from first year.
  • Value3 is the return from second year.
  • Value4 is the return from third year.
  • Value5 is the return from fourth year.
  • Value6 is the return from fifth year.
Rate | Value1 | Value2 | Value3 | Value4 | Value5 | Value6 | Formula | Description (Result)
8% | 40000 | 8000 | 9200 | 10000 | 12000 | 14500 | =NPV(Rate, [Value2], [Value3], [Value4], [Value5], [Value6])+[Value1] | Net present value of this investment (1,922.06)
8% | 40000 | 8000 | 9200 | 10000 | 12000 | 14500 | =NPV(Rate, [Value2], [Value3], [Value4], [Value5], [Value6], -9000)+[Value1] | Net present value of this investment, with a loss in the sixth year of 9000 (-3,749.47)

In the preceding example, you don't include the initial $40,000 cost as one of the values, because the payment occurs at the beginning of the first period.


ODD

ODD

Returns number rounded up to the nearest odd integer.

Syntax

ODD(number)

Number is the value to round.

Remarks

  • If number is nonnumeric, ODD returns the #VALUE! error value.
  • Regardless of the sign of number, a value is rounded up when adjusted away from zero. If number is an odd integer, no rounding occurs.

Example

Formula | Description (Result)
=ODD(1.5) | Rounds 1.5 up to the nearest odd integer (3)
=ODD(3) | Rounds 3 up to the nearest odd integer (3)
=ODD(2) | Rounds 2 up to the nearest odd integer (3)
=ODD(-1) | Rounds -1 up to the nearest odd integer (-1)
=ODD(-2) | Rounds -2 up to the nearest odd integer (-3)


OR

OR

Returns TRUE if any argument is TRUE; returns FALSE if all arguments are FALSE.

Syntax

OR(logical1,logical2,...)

Logical1, logical2, ... are 1 to 30 conditions you want to test that can be either TRUE or FALSE.

Remarks

  • The arguments must evaluate to logical values such as TRUE or FALSE, or be arrays or references that contain logical values.
  • If a column reference argument contains text or is empty, those values are ignored.
  • If the specified range contains no logical values, OR returns the #VALUE! error value.

Example

Formula | Description (Result)
=OR(TRUE) | One argument is TRUE (TRUE)
=OR(1+1=1,2+2=5) | All arguments evaluate to FALSE (FALSE)
=OR(TRUE,FALSE,TRUE) | At least one argument is TRUE (TRUE)


PI

PI

Returns the number 3.14159265358979, the mathematical constant pi, accurate to 15 digits.

Syntax

PI( )

Example

Formula | Description (Result)
=PI() | Pi (3.14159265358979)
=PI()/2 | Pi/2 (1.570796327)
=PI()*(3^2) | Area of a circle, with the radius (28.27433388)


PMT

PMT

Calculates the payment for a loan based on constant payments and a constant interest rate.

Syntax

PMT(rate,nper,pv,fv,type)

For a more complete description of the arguments in PMT, see the PV function.

Rate is the interest rate for the loan.

Nper is the total number of payments for the loan.

Pv is the present value, or the total amount that a series of future payments is worth now; also known as the principal.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (zero), that is, the future value of a loan is 0.

Type is the number 0 (zero) or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Remarks
  • The payment returned by PMT includes principal and interest but no taxes, reserve payments, or fees sometimes associated with loans.
  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at an annual interest rate of 12 percent, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12 percent for rate and 4 for nper.

Tip

To find the total amount paid over the duration of the loan, multiply the returned PMT value by nper.

Example 1

In the following example:

  • Rate is the annual interest rate
  • Nper is the number of months of payments
  • PV is the amount of loan
Rate | Nper | PV | Formula | Description (Result)
8% | 10 | 10000 | =PMT([Rate]/12, [Nper], [PV]) | Monthly payment for a loan with the specified arguments (-1,037.03)
8% | 10 | 10000 | =PMT([Rate]/12, [Nper], [PV], 0, 1) | Monthly payment for a loan with the specified arguments, except payments are due at the beginning of the period (-1,030.16)

Example 2

You can use PMT to determine payments to annuities other than loans.

In the following example:

  • Rate is the annual interest rate.
  • Nper is the years you plan on saving.
  • PV is the amount you want to have save in 18 years.
Rate | Nper | PV | Formula | Description (Result)
6% | 18 | 50000 | =PMT([Rate]/12, [Nper]*12, 0, [PV]) | Amount to save each month to have 50,000 at the end of 18 years (-129.08)

Note The interest rate is divided by 12 to get a monthly rate. The years the money is paid out is multiplied by 12 to get the number of payments.


POISSON

POISSON

Returns the Poisson distribution. A common application of the Poisson distribution is predicting the number of events over a specific time, such as the number of cars arriving at a toll plaza in 1 minute.

Syntax

POISSON(x,mean,cumulative)

X is the number of events.

Mean is the expected numeric value.

Cumulative is a logical value that determines the form of the probability distribution returned. If cumulative is TRUE, POISSON returns the cumulative Poisson probability that the number of random events occurring will be between zero and x inclusive; if FALSE, it returns the Poisson probability mass function that the number of events occurring will be exactly x.

Remarks

  • If x is not an integer, it is truncated.
  • If x or mean is nonnumeric, POISSON returns the #VALUE! error value.
  • If x ≤ 0, POISSON returns the #NUM! error value.
  • If mean ≤ 0, POISSON returns the #NUM! error value.
  • POISSON is calculated as follows.

    For cumulative = FALSE:

    For cumulative = TRUE:

Example

X | Mean | Formula | Description (Result)
2 | 5 | =POISSON([X],[Mean],TRUE) | Cumulative Poisson probability with the specified arguments (0.124652)
2 | 5 | =POISSON([X],[Mean],FALSE) | Poisson probability mass function with the specified arguments (0.084224)


POWER

POWER

Returns the result of a number raised to a power.

Syntax

POWER(number,power)

Number is the base number. It can be any real number.

Power is the exponent to which the base number is raised.

Remark

The "^" operator can be used instead of POWER to indicate to what power the base number is to be raised, such as in 5^2.

Example

Formula | Description (Result)
=POWER(5,2) | 5 squared (25)
=POWER(98.6,3.2) | 98.6 raised to the power of 3.2 (2401077)
=POWER(4,5/4) | 4 raised to the power of 5/4 (5.656854)


PPMT

PPMT

Returns the payment on the principal for a given period for an investment based on periodic, constant payments and a constant interest rate.

Syntax

PPMT(rate,per,nper,pv,fv,type)

For a more complete description of the arguments in PPMT, see PV.

Rate is the interest rate per period.

Per specifies the period and must be in the range 1 to nper.

Nper is the total number of payment periods in an annuity.

Pv is the present value — the total amount that a series of future payments is worth now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (zero), that is, the future value of a loan is 0.

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Remark

Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.

Example 1

Rate | Nper | PV | Formula | Description (Result)
10% | 2 | 2000 | =PPMT([Rate]/12, 1, [Nper]*12, [PV]) | Payment on principle for the first month of loan (-75.62)

Note The interest rate is divided by 12 to get a monthly rate. The years the money is paid out is multiplied by 12 to get the number of payments.

Example 2

Rate | Per | PV | Formula | Description (Result)
8% | 10 | 200,000 | =PPMT([Rate], [Per], 10, [PV]) | Principal payment for the last year of the loan with the specified arguments (-27,598.05)


PRODUCT

PRODUCT

Multiplies all the numbers given as arguments and returns the product.

Syntax

PRODUCT(number1,number2,...)

Number1, number2, ... are 1 to 30 numbers that you want to multiply.

Remarks

  • Arguments that are numbers, logical values, or text representations of numbers are counted; arguments that are error values or text that cannot be translated into numbers cause errors.
  • If an argument is a column reference, only numbers are counted. Empty arguments, logical values, text, or error values are ignored.

Example

Col1 | Col2 | Col3 | Formula | Description (Result)
5 | 15 | 30 | =PRODUCT([Col1], [Col2], [Col3]) | Multiplies the numbers (2250)
5 | 15 | 30 | =PRODUCT([Col1], [Col2], [Col3],2) | Multiplies the numbers and 2 (4500)


PROPER

PROPER

Capitalizes the first letter and any other letters that follow a non-letter character in a text string. Converts all other letters in the text string to lowercase letters.

Syntax

PROPER(text)

Text is text enclosed in quotation marks, a formula that returns text, or a column reference containing the text you want to partially capitalize.

Example

Formula | Description (Result)
=PROPER("this is a TITLE") | Proper case of string (This Is A Title)
=PROPER("2-cent's worth") | Proper case of string (2-Cent'S Worth)
=PROPER("76BudGet") | Proper case of string (76Budget)


PV

PV

Returns the present value of an investment. The present value is the total amount that a series of future payments is worth now. For example, when you borrow money, the loan amount is the present value to the lender.

Syntax

PV(rate,nper,pmt,fv,type)

Rate is the interest rate per period. For example, if you obtain an automobile loan at a 10 percent annual interest rate and make monthly payments, your interest rate per month is 10%/12, or 0.83%. You would enter 10%/12, or 0.83%, or 0.0083, into the formula as the rate.

Nper is the total number of payment periods in an annuity. For example, if you get a four-year car loan and make monthly payments, your loan has 4*12 (or 48) periods. You would enter 48 into the formula for nper.

Pmt is the payment made each period and cannot change over the life of the annuity. Typically, pmt includes principal and interest but no other fees or taxes. For example, the monthly payments on a $10,000, four-year car loan at 12 percent are $263.33. You would enter -263.33 into the formula as the pmt. If pmt is omitted, you must include the fv argument.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0). For example, if you want to save $50,000 to pay for a special project in 18 years, then $50,000 is the future value. You could then make a conservative guess at an interest rate and determine how much you must save each month. If fv is omitted, you must include the pmt argument.

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Remarks
  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.
  • The following functions apply to annuities:
    • FV
    • IPMT
    • PMT
    • PPMT
    • PV
    • RATE
    An annuity is a series of constant cash payments made over a continuous period. For example, a car loan or a mortgage is an annuity. For more information, see the description for each annuity function.
  • In annuity functions, cash you pay out, such as a deposit to savings, is represented by a negative number; cash you receive, such as a dividend check, is represented by a positive number. For example, a $1,000 deposit to the bank would be represented by the argument -1000 if you are the depositor and by the argument 1000 if you are the bank.
  • One financial argument is solved in terms of the others. If rate is not 0, then:

    If rate is 0, then:

    (pmt * nper) + pv + fv = 0

Example

In the following example:

  • Pmt is the money paid out of an insurance annuity at the end of every month.
  • Rate is the interest rate earned on the money paid out.
  • Nper is the years the money will be paid out.
Pmt | Rate | Nper | Formula | Description (Result)
500 | 8% | 20 | =PV([Rate]/12, 12*[Nper], [Pmt], , 0) | Present value of an annuity with the specified arguments (-59,777.15).

The result is negative because it represents money that you would pay, an outgoing cash flow. If you are asked to pay (60,000) for the annuity, you would determine this would not be a good investment because the present value of the annuity (59,777.15) is less than what you are asked to pay.

Note The interest rate is divided by 12 to get a monthly rate. The years the money is paid out is multiplied by 12 to get the number of payments.


RADIANS

RADIANS

Converts degrees to radians.

Syntax

RADIANS(angle)

Angle is an angle in degrees that you want to convert.

Example

Formula | Description (Result)
=RADIANS(270) | 270 degrees as radians (4.712389 or 3π/2 radians)


RATE

RATE

Returns the interest rate per period of an annuity. RATE is calculated by iteration and can have zero or more solutions. If the successive results of RATE do not converge to within 0.0000001 after 20 iterations, RATE returns the #NUM! error value.

Syntax

RATE(nper,pmt,pv,fv,type,guess)

For a complete description of the arguments nper, pmt, pv, fv, and type, see PV.

Nper is the total number of payment periods in an annuity.

Pmt is the payment made each period and cannot change over the life of the annuity. Typically, pmt includes principal and interest but no other fees or taxes. If pmt is omitted, you must include the fv argument.

Pv is the present value — the total amount that a series of future payments is worth now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0).

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Guess is your guess for what the rate will be.

  • If you omit guess, it is assumed to be 10 percent.
  • If RATE does not converge, try different values for guess. RATE usually converges if guess is between 0 and 1.

Remark

Make sure that you are consistent about the units you use for specifying guess and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for guess and 4*12 for nper. If you make annual payments on the same loan, use 12% for guess and 4 for nper.

Example

Nper | Pmt | PV | Formula | Description (Result)
4 | -200 | 8000 | =RATE([Nper]*12, [Pmt], [PV]) | Monthly rate of the loan with the specified arguments (1%)
4 | -200 | 8000 | =RATE([Nper]*12, [Pmt], [PV])*12 | Annual rate of the loan with the specified arguments (0.09241767 or 9.24%)

Note The years of the loan is multiplied by 12 to get the number of months.


REPLACE

REPLACE

REPLACE replaces part of a text string, based on the number of characters you specify, with a different text string.

Syntax

REPLACE(old_text,start_num,num_chars,new_text)

Old_text is text in which you want to replace some characters.

Start_num is the position of the character in old_text that you want to replace with new_text.

Num_chars is the number of characters in old_text that you want REPLACE to replace with new_text.

New_text is the text that will replace characters in old_text.

Example

Formula | Description (Result)
=REPLACE("abcdefghijk",6,5,"*") | Replaces five characters, starting with the sixth character (abcde*k)
=REPLACE("2009",3,2,"10") | Replaces the last two digits of 2009 with 10 (2010)
=REPLACE("123456",1,3,"@") | Replaces the first three characters with @ (@456)


REPT

REPT

Repeats text a given number of times. Use REPT to add a number of instances of a text string.

Syntax

REPT(text,number_times)

Text is the text you want to repeat.

Number_times is a positive number specifying the number of times to repeat text.

Remarks

  • If number_times is 0 (zero), REPT returns "" (empty text).

  • If number_times is not an integer, it is truncated.

  • The result of the REPT function cannot be longer than 2000 characters, or REPT returns #VALUE!.

Example

Formula | Description (Result)
=REPT("*-", 3) | Displays the string 3 times (*-*-*-)
=REPT("-",10) | Displays a dash 10 times (----------)


RIGHT

RIGHT

RIGHT returns the last characters in a text string, based on the number of characters you specify.

Syntax

RIGHT(text,num_chars)

Text is the text string containing the characters you want to extract.

Num_chars specifies the number of characters you want RIGHT to extract.

Remarks

  • Num_chars must be greater than or equal to zero.
  • If num_chars is greater than the length of text, RIGHT returns all of text.
  • If num_chars is omitted, it is assumed to be 1.

Example

Formula | Description (Result)
=RIGHT("Sale Price",5) | Last 5 characters of the string (Price)
=RIGHT("Stock Number") | Last character of the string (r)


ROMAN

ROMAN

Converts an arabic numeral to roman, as text.

Syntax

ROMAN(number,form)

Number is the arabic numeral you want converted.

Form is a number specifying the type of roman numeral you want. The roman numeral style ranges from Classic to Simplified, becoming more concise as the value of form increases. See the example following ROMAN(499,0) below.

Form | Type
0 or omitted | Classic.
1 | More concise. See example below.
2 | More concise. See example below.
3 | More concise. See example below.
4 | Simplified.
TRUE | Classic.
FALSE | Simplified.

Remarks

  • If number is negative, the #VALUE! error value is returned.
  • If number is greater than 3999, the #VALUE! error value is returned.

Example

Formula | Description (Result)
=ROMAN(499,0) | Classic roman numeral style for 499 (CDXCIX)
=ROMAN(499,1) | More concise version for 499 (LDVLIV)
=ROMAN(499,2) | More concise version for 499 (XDIX)
=ROMAN(499,3) | More concise version for 499 (VDIV)
=ROMAN(499,4) | More concise version for 499 (ID)
=ROMAN(2013,0) | Classic roman numeral style for 2013 (MMXIII)


ROUND

ROUND

Some of the content in this topic may not be applicable to some languages.

Rounds a number to a specified number of digits.

Syntax

ROUND(number,num_digits)

Number is the number you want to round.

Num_digits specifies the number of digits to which you want to round the number.

Remarks

  • If num_digits is greater than 0 (zero), then number is rounded to the specified number of decimal places.
  • If num_digits is 0, then number is rounded to the nearest integer.
  • If num_digits is less than 0, then number is rounded to the left of the decimal point.

Example

Formula | Description (Result)
=ROUND(2.15, 1) | Rounds 2.15 to one decimal place (2.2)
=ROUND(2.149, 1) | Rounds 2.149 to one decimal place (2.1)
=ROUND(-1.475, 2) | Rounds -1.475 to two decimal places (-1.48)
=ROUND(21.5, -1) | Rounds 21.5 to one decimal place to the left of the decimal point (20)


ROUNDDOWN

ROUNDDOWN

Rounds a number down, toward zero.

Syntax

ROUNDDOWN(number,num_digits)

Number is any real number that you want rounded down.

Num_digits is the number of digits to which you want to round the number.

Remarks

  • ROUNDDOWN behaves like ROUND, except that it always rounds a number down.
  • If num_digits is greater than 0 (zero), then number is rounded down to the specified number of decimal places.
  • If num_digits is 0, then number is rounded down to the nearest integer.
  • If num_digits is less than 0, then number is rounded down to the left of the decimal point.

Example

Formula | Description (Result)
=ROUNDDOWN(3.2, 0) | Rounds 3.2 down to zero decimal places (3)
=ROUNDDOWN(76.9,0) | Rounds 76.9 down to zero decimal places (76)
=ROUNDDOWN(3.14159, 3) | Rounds 3.14159 down to three decimal places (3.141)
=ROUNDDOWN(-3.14159, 1) | Rounds -3.14159 down to one decimal place (-3.1)
=ROUNDDOWN(31415.92654, -2) | Rounds 31415.92654 down to 2 decimal places to the left of the decimal (31400)


ROUNDUP

ROUNDUP

Rounds a number up, away from 0 (zero).

Syntax

ROUNDUP(number,num_digits)

Number is any real number that you want rounded up.

Num_digits is the number of digits to which you want to round the number.

Remarks

  • ROUNDUP behaves like ROUND, except that it always rounds a number up.

  • If num_digits is greater than 0 (zero), then number is rounded up to the specified number of decimal places.

  • If num_digits is 0, then number is rounded up to the nearest integer.

  • If num_digits is less than 0, then number is rounded up to the left of the decimal point.

Example

Formula | Description (Result)
=ROUNDUP(3.2,0) | Rounds 3.2 up to zero decimal places (4)
=ROUNDUP(76.9,0) | Rounds 76.9 up to zero decimal places (77)
=ROUNDUP(3.14159,3) | Rounds 3.14159 up to three decimal places (3.142)
=ROUNDUP(-3.14159,1) | Rounds -3.14159 up to one decimal place (-3.2)
=ROUNDUP(31415.92654,-2) | Rounds 31415.92654 up to 2 decimal places to the left of the decimal (31500)


SEARCH

SEARCH

SEARCH returns the number of the character at which a specific character or text string is first found, beginning with start_num. Use SEARCH to determine the location of a character or text string within another text string so that you can use the MID or REPLACE functions to change the text.

Syntax

SEARCH(find_text,within_text,start_num)

Find_text is the text you want to find. You can use the wildcard characters — question mark (?) and asterisk (*) in find_text. A question mark matches any single character; an asterisk matches any sequence of characters. If you want to find an actual question mark or asterisk, type a tilde (~) before the character.

Within_text is the text in which you want to search for find_text.

Start_num is the character number in within_text at which you want to start searching.

Tip

Use start_num to skip a specified number of characters. For example, suppose you are working with the text string "AYF0093.YoungMensApparel". To find the number of the first "Y" in the descriptive part of the text string, set start_num equal to 8 so that the serial-number portion of the text is not searched. SEARCH begins with character 8, finds find_text at the next character, and returns the number 9. SEARCH always returns the number of characters from the start of within_text, counting the characters you skip if start_num is greater than 1.

Remarks

  • SEARCH does not distinguish between uppercase and lowercase letters when searching text.
  • SEARCH is similar to FIND except that FIND is case sensitive.
  • If find_text is not found, the #VALUE! error value is returned.
  • If start_num is omitted, it is assumed to be 1.
  • If start_num is not greater than 0 (zero) or is greater than the length of within_text, the #VALUE! error value is returned.

Example

Col1 | Col2 | Col3 | Formula | Description (Result)
Statements | Profit Margin | margin | =SEARCH("e",[Col1],6) | Position of the first "e" in the string, starting at the sixth position (7)
Statements | Profit Margin | margin | =SEARCH([Col2],[Col3]) | Position of "margin" in "Profit Margin" (8)
Statements | Profit Margin | margin | =REPLACE([Col3],SEARCH([Col3],[Col2]),6,"Amount") | Replaces "Margin" with "Amount" (Profit Amount)


SECOND

SECOND

Returns the seconds of a time value. The second is given as an integer in the range 0 (zero) to 59.

Syntax

SECOND(serial_number)

Serial_number is the time that contains the seconds you want to find. Times may be entered as text strings within quotation marks (for example, "6:45 PM"), as decimal numbers (for example, 0.78125, which represents 6:45 PM), or as results of other formulas or functions (for example, TIMEVALUE("6:45 PM")).

Remark

Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5 because it is half of a day).

Example

Formula | Description
=SECOND("4:48:18 PM") | Seconds in the time (18)
=SECOND("4:48 PM") | Seconds in the time (0)


SIGN

SIGN

Determines the sign of a number. Returns 1 if the number is positive, zero (0) if the number is 0, and -1 if the number is negative.

Syntax

SIGN(number)

Number is any real number.

Example

Formula | Description (Result)
=SIGN(10) | Sign of a positive number (1)
=SIGN(4-4) | Sign of zero (0)
=SIGN(-0.00001) | Sign of a negative number (-1)


SIN

SIN

Returns the sine of the given angle.

Syntax

SIN(number)

Number is the angle in radians for which you want the sine.

Remark

If your argument is in degrees, multiply it by PI()/180 or use the RADIANS function to convert it to radians.

Example

Formula | Description (Result)
=SIN(PI()) | Sine of pi radians (0, approximately)
=SIN(PI()/2) | Sine of pi/2 radians (1)
=SIN(30*PI()/180) | Sine of 30 degrees (0.5)
=SIN(RADIANS(30)) | Sine of 30 degrees (0.5)


SINH

SINH

Returns the hyperbolic sine of a number.

Syntax

SINH(number)

Number is any real number.

Remark

The formula for the hyperbolic sine is:

Example 1

Formula | Description (Result)
=SINH(1) | Hyperbolic sine of 1 (1.175201194)
=SINH(-1) | Hyperbolic sine of -1 (-1.175201194)

Example 2

You can use the hyperbolic sine function to approximate a cumulative probability distribution. Suppose a laboratory test value varies between 0 and 10 seconds. An empirical analysis of the collected history of experiments shows that the probability of obtaining a result, x, of less than t seconds is approximated by the following equation:

P(x<t) = 2.868 * SINH(0.0342 * t), where 0<t<10

To calculate the probability of obtaining a result of less than 1.03 seconds, substitute 1.03 for t.

Formula | Description (Result)
=2.868*SINH(0.0342*1.03) | Probability of obtaining a result of less than 1.03 seconds (0.101049063)

You can expect this result to occur about 101 times for every 1000 experiments.


SKEW

SKEW

Returns the skewness of a distribution. Skewness characterizes the degree of asymmetry of a distribution around its mean. Positive skewness indicates a distribution with an asymmetric tail extending toward more positive values. Negative skewness indicates a distribution with an asymmetric tail extending toward more negative values.

Syntax

SKEW(number1,number2, ...)

Number1,number2... are 1 to 30 arguments for which you want to calculate skewness.

Remarks

  • The arguments must be either numbers or column references that contain numbers.
  • If a column reference argument contains text, logical values, or is empty , those values are ignored; however, arguments with the value zero are included.
  • If there are fewer than three data points, or the sample standard deviation is zero, SKEW returns the #DIV/0! error value.
  • The equation for skewness is defined as:

Example

D1 | D2 | D3 | D4 | D5 | D6 | D7 | D8 | D9 | D10 | Formula | Description (Result)
3 | 4 | 5 | 2 | 3 | 4 | 5 | 6 | 4 | 7 | =SKEW([D1], [D2], [D3], [D4], [D5], [D6], [D7], [D8], [D9], [D10]) | Skewness of a distribution of the data set (0.359543)


SLN

SLN

Returns the straight-line depreciation of an asset for one period.

Syntax

SLN(cost,salvage,life)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is depreciated (sometimes called the useful life of the asset).

Example

Cost | Salvage | Life | Formula | Description (Result)
30,000 | 7,500 | 10 | =SLN([Cost], [Salvage], [Life]) | The depreciation allowance for each year (2,250)


SQRT

SQRT

Returns a positive square root.

Syntax

SQRT(number)

Number is the number for which you want the square root.

Remark

If number is negative, SQRT returns the #NUM! error value.

Example

Formula | Description (Result)
=SQRT(16) | Square root of 16 (4)
=SQRT(-16) | Square root of 16. Because the number is negative, an error is returned (#NUM!)
=SQRT(ABS(-16)) | Square root of the absolute value of the number (4)


STANDARDIZE

STANDARDIZE

Returns a normalized value from a distribution characterized by mean and standard_dev.

Syntax

STANDARDIZE(x,mean,standard_dev)

X is the value you want to normalize.

Mean is the arithmetic mean of the distribution.

Standard_dev is the standard deviation of the distribution.

Remarks

  • If standard_dev ≤ 0, STANDARDIZE returns the #NUM! error value.
  • The equation for the normalized value is:

Example

X | Mean | StdDev | Formula | Description (Result)
42 | 40 | 1.5 | =STANDARDIZE([X],[Mean],[StdDev]) | Normalized value of 42 for the specified arguments (1.333333)


STDEV

STDEV

Estimates standard deviation based on a sample. The standard deviation is a measure of how widely values are dispersed from the average value (the mean).

Syntax

STDEV(number1,number2,...)

Number1,number2,... are 1 to 30 number arguments corresponding to a sample of a population.

Remarks

  • Logical values such as TRUE and FALSE and text are ignored. If logical values and text must not be ignored, use the STDEVA function.
  • STDEV assumes that its arguments are a sample of the population. If your data represents the entire population, then compute the standard deviation using STDEVP.
  • The standard deviation is calculated using the "nonbiased" or "n-1" method.
  • STDEV uses the following formula:

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength.

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =STDEV([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Standard deviation of breaking strength (27.46391572)


STDEVA

STDEVA

Estimates standard deviation based on a sample. The standard deviation is a measure of how widely values are dispersed from the average value (the mean). Text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

STDEVA(value1,value2, ...)

Value1,value2, ... are 1 to 30 values corresponding to a sample of a population.

Remarks

  • STDEVA assumes that its arguments are a sample of the population. If your data represents the entire population, you must compute the standard deviation using STDEVPA.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use the STDEV spreadsheet function instead.
  • The standard deviation is calculated using the "nonbiased" or "n-1" method.
  • STDEVA uses the following formula:

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength.

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =STDEVA([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Standard deviation of breaking strength for all the tools (27.46391572)


STDEVP

STDEVP

Calculates standard deviation based on the entire population given as arguments. The standard deviation is a measure of how widely values are dispersed from the average value (the mean).

Syntax

STDEVP(number1,number2, ...)

Number1,number2, ... are 1 to 30 number arguments corresponding to a population.

Remarks

  • Logical values such as TRUE and FALSE and text are ignored. If logical values and text must not be ignored, use the STDEVPA spreadsheet function.
  • STDEVP assumes that its arguments are the entire population. If your data represents a sample of the population, then compute the standard deviation using STDEV.
  • For large sample sizes, STDEV and STDEVP return approximately equal values.
  • The standard deviation is calculated using the "biased" or "n" method.
  • STDEVP uses the following formula:

Example

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =STDEVP([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Standard deviation of breaking strength, assuming only 10 tools are produced (26.05455814)


STDEVPA

STDEVPA

Calculates standard deviation based on the entire population given as arguments, including text and logical values. The standard deviation is a measure of how widely values are dispersed from the average value (the mean).

Syntax

STDEVPA(value1,value2, ...)

Value1,value2,... are 1 to 30 values corresponding to a population.

Remarks

  • STDEVPA assumes that its arguments are the entire population. If your data represents a sample of the population, you must compute the standard deviation using STDEVA.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use the STDEVP spreadsheet function instead.
  • For large sample sizes, STDEVA and STDEVPA return approximately equal values.
  • The standard deviation is calculated using the "biased" or "n" method.
  • STDEVPA uses the following formula:

Example

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =STDEVPA([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Standard deviation of breaking strength, assuming only 10 tools are produced (26.05455814)


SUM

SUM

Adds all the numbers in the specified arguments.

Syntax

SUM(number1,number2,...)

Number1, number2, ... are 1 to 30 arguments for which you want the total value or sum.

Remarks

  • Numbers, logical values, and text representations of numbers that you type directly into the list of arguments are counted. See the first and second examples following.
  • Arguments cause errors if they are error values or text that cannot be translated into numbers.

Example

Col1 | Col2 | Col3 | Col4 | Col5 | Formula | Description (Result)
-5 | 15 | 30 |  | TRUE | =SUM(3, 2) | Adds 3 and 2 (5)
-5 | 15 | 30 |  | TRUE | =SUM("5", 15, TRUE) | Adds 5, 15 and 1, because the text values are translated into numbers, and the logical value TRUE is translated into the number 1 (21)
-5 | 15 | 30 |  | TRUE | =SUM(Col1], [Col2], [Col3]) | Adds the first three numbers in the columns (40)
-5 | 15 | 30 |  | TRUE | =SUM(Col1], [Col2], [Col3], 15) | Adds the first three numbers in the columns, and 15 (55)
-5 | 15 | 30 |  | TRUE | =SUM([Col4], [Col5], 2) | Adds the values in the last two columns and 2 (2)


SUMSQ

SUMSQ

Returns the sum of the squares of the arguments.

Syntax

SUMSQ(number1,number2,...)

Number1, number2, ... are 1 to 30 arguments for which you want the sum of the squares.

Example

Formula | Description (Result)
=SUMSQ(3, 4) | Sum of the squares of 3 and 4 (25)


SYD

SYD

Returns the sum-of-years' digits depreciation of an asset for a specified period.

Syntax

SYD(cost,salvage,life,per)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is depreciated (sometimes called the useful life of the asset).

Per is the period and must use the same units as life.

Remark

  • SYD is calculated as follows:

Example

Cost | Salvage | Life | Formula | Description (Result)
30000 | 7500 | 10 | =SYD([Cost],[Salvage],[Life],1) | Yearly depreciation allowance for the first year (4,090.91)
30000 | 7500 | 10 | =SYD([Cost],[Salvage],[Life],10) | Yearly depreciation allowance for the tenth year (409.09)


T

T

Returns the text referred to by value.

Syntax

T(value)

Value is the value you want to test.

Remarks

  • If value is or refers to text, T returns value. If value does not refer to text, T returns "" (empty text).

  • You do not generally need to use the T function in a formula because values are generally converted as necessary.

Example

Formula | Description (Result)
=T("Rainfall") | Because the value is text, the text is returned (Rainfall)
=T(19) | Because the value is a number, empty text is returned ()
=T(TRUE) | Because the value is a logical value, empty text is returned ()


TAN

TAN

Returns the tangent of the given angle.

Syntax

TAN(number)

Number is the angle in radians for which you want the tangent.

Remark

If your argument is in degrees, multiply it by PI()/180 or use the RADIANS function to convert it to radians.

Example

Formula | Description (Result)
=TAN(0.785) | Tangent of 0.785 radians (0.99920)
=TAN(45*PI()/180) | Tangent of 45 degrees (1)
=TAN(RADIANS(45)) | Tangent of 45 degrees (1)


TANH

TANH

Returns the hyperbolic tangent of a number.

Syntax

TANH(number)

Number is any real number.

Remark

The formula for the hyperbolic tangent is:

Example

Formula | Description (Result)
=TANH(-2) | Hyperbolic tangent of -2 (-0.96403)
=TANH(0) | Hyperbolic tangent of 0 (0)
=TANH(0.5) | Hyperbolic tangent of 0.5 (0.462117)


TDIST

TDIST

Returns the Percentage Points (probability) for the Student t-distribution where a numeric value (x) is a calculated value of t for which the Percentage Points are to be computed. The t-distribution is used in the hypothesis testing of small sample data sets. Use this function in place of a table of critical values for the t-distribution.

Syntax

TDIST(x,degrees_freedom,tails)

X is the numeric value at which to evaluate the distribution.

Degrees_freedom is an integer indicating the number of degrees of freedom.

Tails specifies the number of distribution tails to return. If tails = 1, TDIST returns the one-tailed distribution. If tails = 2, TDIST returns the two-tailed distribution.

Remarks

  • If any argument is nonnumeric, TDIST returns the #VALUE! error value.
  • If degrees_freedom < 1, TDIST returns the #NUM! error value.
  • The degrees_freedom and tails arguments are truncated to integers.
  • If tails is any value other than 1 or 2, TDIST returns the #NUM! error value.
  • TDIST is calculated as TDIST = p( x<abs(X)), where X is a random variable that follows the t-distribution.

Example

X | Degrees | Formula | Description (Result)
1.96 | 60 | =TDIST([X],[Degrees],2) | Two-tailed distribution (0.054644927 or 5.46 percent)
1.96 | 60 | =TDIST([X],[Degrees],1) | One-tailed distribution (0.027322463 or 2.73 percent)


TEXT

TEXT

Converts a value to text in a specific number format.

Syntax

TEXT(value,format_text)

Value is a numeric value, a formula that evaluates to a numeric value, or a column reference containing a numeric value.

Format_text is a number format in text format.

Remarks

  • Using the TEXT function converts a value to formatted text, and the result is no longer calculated as a number.

Example

Salesperson | Sales | Formula | Description (Result)
Buchanan | 2800 | =[Salesperson]&" sold "&TEXT([Sales], "$0.00;($0.00)")&" worth of units." | Combines contents into a phrase (Buchanan sold $2,800.00 worth of units.)
Dodsworth | .4 | =[Salesperson]&" sold "&TEXT([Sales],"0.00%")&" of the total sales." | Combines contents into a phrase (Dodsworth sold 40.00% of the total sales.)


TIME

TIME

Returns the decimal number for a particular time. The decimal number returned by TIME is a value ranging from 0 (zero) to 0.99999999, representing the times from 0:00:00 (12:00:00 AM) to 23:59:59 (11:59:59 P.M.).

Syntax

TIME(hour,minute,second)

Hour is a number from 0 (zero) to 32767 representing the hour. Any value greater than 23 will be divided by 24 and the remainder will be treated as the hour value. For example, TIME(27,0,0) = TIME(3,0,0) = .125 or 3:00 AM.

Minute is a number from 0 to 32767 representing the minute. Any value greater than 59 will be converted to hours and minutes. For example, TIME(0,750,0) = TIME(12,30,0) = .520833 or 12:30 PM.

Second is a number from 0 to 32767 representing the second. Any value greater than 59 will be converted to hours, minutes, and seconds. For example, TIME(0,0,2000) = TIME(0,33,22) = .023148 or 12:33:20 AM

Remark

Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5 because it is half of a day).

Example

Hour | Minute | Second | Formula | Description (Result)
12 | 0 | 0 | =TIME([Hour],[Minute],[Second]) | Decimal representation of the time of day, for the time (0.5)
16 | 48 | 10 | =TIME([Hour],[Minute],[Second]) | Decimal representation of the time of day, for the time (0.700115741)


TIMEVALUE

TIMEVALUE

Returns the decimal number of the time represented by a text string. The decimal number is a value ranging from 0 (zero) to 0.99999999, representing the times from 0:00:00 (12:00:00 AM) to 23:59:59 (11:59:59 P.M.).

Syntax

TIMEVALUE(time_text)

Time_text is a text string that represents a time in any one of the spreadsheet time formats; for example, "6:45 PM" and "18:45" text strings within quotation marks that represent time.

Remarks

  • Date information in time_text is ignored.

Example

Formula | Description (Result)
=TIMEVALUE("2:24 AM") | Decimal part of a day, for the time (0.1)
=TIMEVALUE("22-Aug-2008 6:35 AM") | Decimal part of a day, for the time (0.274305556)


TINV

TINV

Returns the t-value of the Student's t-distribution as a function of the probability and the degrees of freedom.

Syntax

TINV(probability,degrees_freedom)

Probability is the probability associated with the two-tailed Student's t-distribution.

Degrees_freedom is the number of degrees of freedom to characterize the distribution.

Remarks

  • If either argument is nonnumeric, TINV returns the #VALUE! error value.
  • If probability < 0 or if probability > 1, TINV returns the #NUM! error value.
  • If degrees_freedom is not an integer, it is truncated.
  • If degrees_freedom < 1, TINV returns the #NUM! error value.
  • TINV is calculated as TINV = p( t<X ), where X is a random variable that follows the t-distribution.
  • A one-tailed t-value can be returned by replacing probability with 2*probability. For a probability of 0.05 and degrees of freedom of 10, the two-tailed value is calculated with TINV(0.05,10), which returns 2.28139. The one-tailed value for the same probability and degrees of freedom can be calculated with TINV(2*0.05,10), which returns 1.812462.

    Note In some tables, probability is described as (1-p).

TINV uses an iterative technique for calculating the function. Given a probability value, TINV iterates until the result is accurate to within ± 3x10^-7. If TINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

Probability | Degrees | Formula | Description (Result)
0.054645 | 60 | =TINV([Probability],[Degrees]) | t-value of the Student's t-distribution for the specified arguments (1.959997462)


TODAY

TODAY

Returns the serial number of the current date. The serial number is the date-time code used for date and time calculations.

Note You can only use the TODAY function as a default value; you cannot use it in a calculated column.

Syntax

TODAY

Remark

Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.


TRIM

TRIM

Removes all spaces from text except for single spaces between words. Use TRIM on text that you have received from another application that may have irregular spacing.

Syntax

TRIM(text)

Text is the text from which you want spaces removed.

Example

Formula | Description (Result)
=TRIM(" First Quarter Earnings ") | Removes leading and trailing spaces from the text in the formula (First Quarter Earnings)


TRUE

TRUE

Returns the logical value TRUE.

Syntax

TRUE( )

Remark

You can enter the value TRUE directly without using this function. The TRUE function is provided primarily for compatibility with other programs.


TRUNC

TRUNC

Truncates a number to an integer by removing the fractional part of the number.

Syntax

TRUNC(number,num_digits)

Number is the number you want to truncate.

Num_digits is a number specifying the precision of the truncation. The default value for num_digits is 0 (zero).

Remark

TRUNC and INT are similar in that both return integers. TRUNC removes the fractional part of the number. INT rounds numbers down to the nearest integer based on the value of the fractional part of the number. INT and TRUNC are different only when using negative numbers: TRUNC(-4.3) returns -4, but INT(-4.3) returns -5 because -5 is the lower number.

Example

Formula | Description (Result)
=TRUNC(8.9) | Integer part of 8.9 (8)
=TRUNC(-8.9) | Integer part of -8.9 (-8)
=TRUNC(PI()) | Integer part of pi (3)


UPPER

UPPER

Converts text to uppercase.

Syntax

UPPER(text)

Text is the text you want converted to uppercase. Text can be a column reference or text string.

Example

Formula | Description (Result)
=UPPER("total") | Upper case of string (TOTAL)
=UPPER("Yield") | Upper case of string (YIELD)


USDOLLAR

USDOLLAR

Converts a number to text using currency format, with the decimals rounded to the specified place. The format used is $#,##0.00_);($#,##0.00).

Syntax

USDOLLAR(number,decimals)

Number is a number, a column reference containing a number, or a formula that evaluates to a number.

Decimals is the number of digits to the right of the decimal point. If decimals is negative, number is rounded to the left of the decimal point. If you omit decimals, your system locale setting will be used to determine the number of decimal places.

Remark

The USDOLLAR function always shows U.S. currency. If you want to show the currency setting of your computer, use the DOLLAR function instead.

Example

Col1 | Formula | Description (Result)
1234.567 | =USDOLLAR([Col1], 2) | Displays the first number in a currency format, 2 digits to the right of the decimal point ($1,234.57)
1234.567 | =USDOLLAR([Col1], -2) | Displays the first number in a currency format, 2 digits to the left of the decimal point ($1,200)
-1234.567 | =USDOLLAR([Col1], -2) | Displays the second number in a currency format, 2 digits to the left of the decimal point (($1,200))
-0.123 | =USDOLLAR([Col1], 4) | Displays the third number in a currency format, 4 digits to the right of the decimal point(($0.1230))
99.888 | =USDOLLAR([Col1]) | Displays the fourth number in a currency format, 2 digit to the left of the decimal point ($99.89)


VALUE

VALUE

Converts a text string that represents a number to a number.

Syntax

VALUE(text)

Text is the text enclosed in quotation marks or a column reference containing the text you want to convert.

Remarks

  • Text can be in any of the constant number, date, or time formats. If text is not in one of these formats, VALUE returns the #VALUE! error value.

Example

Formula | Description (Result)
=VALUE("$1,000") | Number equivalent of the string (1000)
=VALUE("16:48:00")-VALUE("12:00:00") | The serial number equivalent to 4 hours and 48 minutes, which is "16:48:00"-"12:00:00" (0.2 or 4:48)


VAR

VAR

Estimates variance based on a sample.

Syntax

VAR(number1,number2, ...)

Number1,number2, ... are 1 to 30 number arguments corresponding to a sample of a population.

Remarks

  • VAR assumes that its arguments are a sample of the population. If your data represents the entire population, then compute the variance using VARP.
  • Logical values such as TRUE and FALSE and text are ignored. If logical values and text must not be ignored, use the VARA function.
  • VAR uses the following formula:

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength.

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =VAR([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Variance for the breaking strength of the tools (754.2666667)


VARA

VARA

Estimates variance based on a sample. In addition to numbers, text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

VARA(value1,value2, ...)

Value1,value2, ... are 1 to 30 value arguments corresponding to a sample of a population.

Remarks

  • VARA assumes that its arguments are a sample of the population. If your data represents the entire population, you must compute the variance using VARPA.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use the VAR function instead.
  • VARA uses the following formula:

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength.

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =VARA([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Estimates the variance for the breaking strength (754.2666667)


VARP

VARP

Calculates variance based on the entire population.

Syntax

VARP(number1,number2, ...)

Number1,number2, ... are 1 to 30 number arguments corresponding to a population.

  • Logical values such as TRUE and FALSE and text are ignored. If logical values and text must not be ignored, use the VARPA function.

Remarks

  • VARP assumes that its arguments are the entire population. If your data represents a sample of the population, then compute the variance using VAR.
  • The equation for VARP is:

Example

Suppose all 10 tools stamped from the same machine during a production run are collected and measured for breaking strength.

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =VARP([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Variance of breaking strengths for all the tools, assuming that only 10 tools are produced (678.84)


VARPA

VARPA

Calculates variance based on the entire population. In addition to numbers, text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

VARPA(value1,value2, ...)

Value1,value2,... are 1 to 30 value arguments corresponding to a population.

Remarks

  • VARPA assumes that its arguments are the entire population. If your data represents a sample of the population, you must compute the variance using VARA.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use VARP instead.
  • The equation for VARPA is :

Example

Suppose all 10 tools stamped from the same machine during a production run are collected and measured for breaking strength.

St1 | St2 | St3 | St4 | St5 | St6 | St7 | St8 | St9 | St10 | Formula | Description (Result)
1345 | 1301 | 1368 | 1322 | 1310 | 1370 | 1318 | 1350 | 1303 | 1299 | =VARPA([St1], [St2], [St3], [St4], [St5], [St6], [St7], [St8], [St9], [St10]) | Variance of breaking strengths for all the tools, assuming that only 10 tools are produced (678.84)


WEEKDAY

WEEKDAY

Returns the day of the week corresponding to a date. The day is given as an integer, ranging from 1 (Sunday) to 7 (Saturday), by default.

Syntax

WEEKDAY(serial_number,return_type)

Serial_number is a sequential number that represents the date of the day you are trying to find.

Return_type is a number that determines the type of return value.

Return_type | Number returned
1 or omitted | Numbers 1 (Sunday) through 7 (Saturday).
2 | Numbers 1 (Monday) through 7 (Sunday).
3 | Numbers 0 (Monday) through 6 (Sunday).

Remark

Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.

Example

Formula | Description (Result)
=WEEKDAY("2/14/2008") | Day of the week, with numbers 1 (Sunday) through 7 (Saturday) (5)
=WEEKDAY("2/14/2008",2) | Day of the week, with numbers 1 (Monday) through 7 (Sunday) (4)
=WEEKDAY("2/14/2008",3) | Day of the week, with numbers 0 (Monday) through 6 (Sunday) (3)

Note 2/14/2008 is a Thursday.


WEIBULL

WEIBULL

Returns the Weibull distribution. Use this distribution in reliability analysis, such as calculating a device's mean time to failure.

Syntax

WEIBULL(x,alpha,beta,cumulative)

X is the value at which to evaluate the function.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution.

Cumulative determines the form of the function.

Remarks

  • If x, alpha, or beta is nonnumeric, WEIBULL returns the #VALUE! error value.
  • If x < 0, WEIBULL returns the #NUM! error value.
  • If alpha ≤ 0 or if beta ≤ 0, WEIBULL returns the #NUM! error value.
  • The equation for the Weibull cumulative distribution function is:

  • The equation for the Weibull probability density function is:

  • When alpha = 1, WEIBULL returns the exponential distribution with:

Example

X | Alpha | Beta | Formula | Description (Result)
105 | 20 | 100 | =WEIBULL([X],[Alpha],[Beta],TRUE) | Weibull cumulative distribution function for the specified arguments (0.929581)
105 | 20 | 100 | =WEIBULL([X],[Alpha],[Beta],FALSE) | Weibull probability density function for the specified arguments (0.035589)


YEAR

YEAR

Returns the year corresponding to a date.

Syntax

YEAR(serial_number)

Serial_number is the date of the year you want to find.

Remarks

Dates are stored as sequential serial numbers so they can be used in calculations. By default, December 31, 1899 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900.

Values returned by the YEAR, MONTH and DAY functions will be Gregorian values regardless of the display format for the supplied date value. For example, if the display format of the supplied date is Hijri, the returned values for the YEAR, MONTH and DAY functions will be values associated with the equivalent Gregorian date.

Example

Formula | Description (Result)
=YEAR("7/5/2008") | Year of the first date (2008)
=YEAR("7/5/10") | Year of the second date (2010)


About the Attendees list and rights in a Meeting Workspace site

About the Attendees list and rights in a Meeting Workspace site

The Attendees list tracks the people who have been invited to the meeting and what the responses were to the invitation (whether the invitees plan to attend). It also displays notes that attendees add, such as a reminder that they will be a few minutes late. During or after the meeting, the Attendee list can be updated to reflect who actually did attend.

If you use an Instant Messaging program compatible with Windows SharePoint Services, such as Microsoft Windows Messenger, Microsoft MSN Messenger, or the Microsoft Exchange Instant Messaging Service, you can use that program from within the Attendees list in the workspace to communicate with other attendees. If an attendee is online, you can ask him or her to go to the workspace so you can work together.

Adding attendees and granting workspace rights

You must be a member of the Administrator site group to add attendees to the Attendees list. Administrators can edit information for all attendees. Individual attendees can edit only their own entry in the list.

Adding a name to the Attendees list does not always grant that person access rights to the workspace. Whether rights are granted automatically depends on the Meeting Workspace site you are using and how attendees were added.

From Outlook

If you use Microsoft Outlook to create a Meeting Workspace site, Outlook automatically updates the Attendees list in the workspace after you send the meeting request. The attendee names come from those listed on the To line of the meeting request. Attendees are automatically assigned to the Contributor site group and added as users with rights on the workspace. If there is a problem granting rights automatically, a message will instruct you on where to go in the workspace to add the attendee as a user. As the meeting organizer, you are added to the Attendees list and assigned to the Administrator site group.

If you use Outlook to link a meeting request to an existing Meeting Workspace site, attendees will have rights automatically if either of the following is true:

  • The workspace was originally created with permissions that are unique from the parent Web site.
  • The workspace inherited its permission settings from the parent site and the attendees have access rights on the parent site.

From a Windows SharePoint Services event

If you create or link to a Meeting Workspace site from a Microsoft Windows SharePoint Services event, only your name is automatically added to the Attendees list. You have to manually add the other attendees to the list. Whether you and the other attendees automatically get permissions on the workspace after being added to the Attendees list depends on the permission settings used when the workspace was created.

Workspace site uses the same permissions as the parent site

You and other attendees who already have rights to access the parent site will automatically have rights to access the workspace. For this to work, you must enter a valid e-mail address (for example, someone@example.com) or user name (DOMAIN\name) in the Attendees list.

Attendees who don't have access rights on the parent site must be granted rights there first. Only the Administrator of the parent site can grant those rights.

Workspace site uses unique permissions

You and other attendees will automatically get access rights on the workspace if you are added to the Attendees list using a valid e-mail address (for example, someone@example.com) or user name (DOMAIN\name). As the meeting organizer, you will be assigned to the Administrator site group.

From a Windows SharePoint Services-compatible calendar and e-mail program other than Outlook

If you use a Microsoft Windows SharePoint Services-compatible calendar and e-mail program other than Microsoft Outlook to create or link to a Meeting Workspace site, see the documentation for that program.

Where the Attendees list can appear

The Attendees list Web Part is displayed by default on the home page in the following meeting templates: Basic Meeting, Decision Making, Social Gathering, and Multipage. You can have only one Attendees list in a Meeting Workspace site. If you add another Attendees Web Part to the workspace, a view of the original Attendees list is displayed, not a new Attendees list. You cannot delete the Attendee list from a workspace; however, you can hide the Web Part so the list doesn't display.

Related Topics

About the difference between attendees and users in a Meeting Workspace site
Add, edit, or delete an attendee in a Meeting Workspace site
About site groups
Add a user or cross-site group
About multiple meetings in a workspace site


About customizing Meeting Workspace sites

About customizing Meeting Workspace sites

You can customize the workspace site in many different ways depending on the site group you are assigned to and the rights associated with it.

Ways to customize the workspace site

The Web Parts that display lists and libraries on the home page are arranged in a predefined layout based on the template used to create the workspace site. However, you can change this layout. You can add and remove Web Parts and the lists they are associated with, rearrange parts on the page, and change how they look and behave by setting properties on them. You can also customize the workspace site by creating special views of the content in Web Parts, by adding pages to the workspace site, applying themes, changing the title and description, and in many of the same ways that you customize other Microsoft Windows SharePoint Services sites.

However, there are some aspects of the home page that you can't customize. You can't change the order that the home page is displayed in when you have multiple pages in the workspace site, and you can't delete the home page. Once the workspace site looks the way you want, you can also save it as a template to use for a new Meeting Workspace site you create in the future.

Note Some site designers and developers may be interested to know that a Meeting Workspace site is created using special types of Web pages called Web Part Pages. Help topics about Web Part Pages and Web Parts in Windows SharePoint Services sites apply to a Meeting Workspace site, also.

Rights necessary to change the site

If you have the rights to make design changes to the workspace site, the changes will be visible to all the site users. Unlike with some types of Microsoft Windows SharePoint Services sites, you can't switch to personal view to customize the workspace site with changes that only you can see. By default, you always customize the workspace site in a shared view. For this reason, the workspace site doesn't offer a way to switch between personal view and shared view.

If you belong to the Administrator site group, you can customize the workspace site using site administration features, too. For example, you can change the Web site to be displayed in a different language or change the rights assigned to a site group.

Note To customize the workspace site, you must be using Microsoft Internet Explorer 5.5 or later.

Related Topics

About adding pages to a Meeting Workspace site
About creating lists, libraries, and their Web Parts in a Meeting Workspace site
About site groups


About Meeting Workspace Templates

About Meeting Workspace Templates

When creating a Meeting Workspace site, you can choose from five templates:

  • Basic Meeting Workspace This template includes all the basics to plan, organize, and track your meeting. The template contains the following lists and their associated Web Parts: Objectives, Attendees, and Agenda.
  • Blank Meeting Workspace This template creates a blank Meeting Workspace site for you to customize based on your requirements.
  • Decision Meeting Workspace This template includes features for reviewing documents and recording decisions reached at the meeting. The template contains the following lists, library, and their associated Web Parts: Objectives, Attendees, Agenda, Document Library, Tasks, and Decisions.
  • Social Meeting Workspace This template helps you plan social occasions. It features a discussion board and a picture library to post pictures of the event. The template contains the following lists, library, and their associated Web Parts: Attendees, Directions, Image/Logo, Things To Bring, Discussions, and Picture Library.
  • Multipage Meeting Workspace All the basics to plan, organize, and track your meeting with multiple pages. This Meeting Workspace site contains the following lists and their associated Web Parts: Objectives, Attendees, and Agenda. It also contains two blank pages for you to customize based on your requirements.

Although you can't open any of the templates and edit them, you can change the workspace that is created from one of these templates. Once you have customized the workspace site, you can then save it as a template that you and other people can use for the next workspace site.


About Meeting Workspace sites

About Meeting Workspace sites

A Meeting Workspace site is a Web site for centralizing all the information and materials for one or more meetings. Before the meeting, use a workspace site to publish the agenda, attendees list, and documents you plan to discuss. During or after the meeting, use the workspace site to publish the meeting results and track tasks. Use meeting requests to invite people to the meeting. In the meeting request, include a hyperlink that goes to the workspace site where invitees can learn the details and see the materials.

Note If you are familiar with Microsoft Windows SharePoint Services Web sites, you will be familiar with a Meeting Workspace site. The Meeting Workspace site is a special type of SharePoint subsite under a parent SharePoint site. Help for the Meeting Workspace site as well as general Windows SharePoint Services Help is available from the workspace site.

The meeting invitation and Meeting Workspace site

In the past, you typed an agenda in and attached documents to the meeting invitation in your calendar and e-mail program. Now you can put that information in a Meeting Workspace site so invitees can access it anytime to view, edit, or add information (depending on their permissions).

One meeting request with agenda and attachments and one request with a link to the workspace instead

1 Instead of typing the agenda in the meeting request …

2 … and instead of attaching documents to it …

3 … add a link that goes to a Meeting Workspace site.

1 When invitees click the link …

2 … the Meeting Workspace site opens in their browser where they can see and work with the agenda, documents, and other meeting information.

Centralizing the information means people can work together on the content, they will always see the most current version, and you won't have to send large files through your e-mail system each time content changes.

You can create a Meeting Workspace site from a variety of locations if Windows SharePoint Services is available from the intranet or Internet location you are working with and a parent SharePoint site exists under which you can create the Meeting Workspace site. You can create workspace sites from a Windows SharePoint Services-compatible calendar and scheduling program, such as Microsoft Office Outlook 2003, from an existing Meeting Workspace site (although you can't create the workspace site as a subsite to an existing Meeting Workspace site), from a Windows SharePoint Services or Microsoft Office SharePoint Portal Server 2003 site on an intranet, or from an external site that hosts Windows SharePoint Services. For workspace sites created within your company, you can invite anyone to the workspace site that is in the same trusted domain as you and who has a valid e-mail address. For workspace sites created on external sites, you can invite anyone who has a valid e-mail address.

The interaction between the e-mail invitation and the workspace site varies depending on the e-mail program you use. If you use Office Outlook 2003 with a Microsoft Exchange Server e-mail account to set up the Meeting Workspace site, a link to the workspace site is automatically added to the body of your meeting request. Outlook also communicates with the workspace site, automatically adding the subject, attendee names, date, time, and location from the meeting request to the workspace site. If you later change attendee names, date, time, or location in Outlook, Outlook automatically updates the information in the Meeting Workspace site.

Note If you update the attendees from the workspace site, you'll need to switch back to Outlook to update that information in the request.

Outlook and Windows SharePoint Services also enable you to set up a workspace site for more than one meeting, such as for a recurring meeting or for multiple related meetings linked to the same workspace site, and to assign a delegate to set up the workspace site for you.

If you use an e-mail program other than Outlook, see its documentation for more information or contact your system administrator.

Parts of a Meeting Workspace site

The workspace site is made up of one or more pages that contain meeting details and lists of information that are common when planning, conducting, or following up on a meeting. Typical lists for a Meeting Workspace include Objectives, Agenda, Attendees, Decisions, and Tasks. In addition to lists, you can add a document library and a picture library where users can store materials related to the meeting. The lists and libraries that appear by default on the home page depend on the template you choose when you create the workspace site.

On the home page (or any new pages you add), the information is divided into parts called Web Parts. Web Parts exist for each type of list or library and for other types of information you can add to the workspace site.

If the workspace site doesn't contain all the information you need or you don't like the layout or look of the workspace site you created, you can customize it.

Parts of a Meeting Workspace

1 Title, date, time, and location of meeting

2 Page tabs

3 Menu for customizing the workspace site

4 Agenda list displayed in a Web Part

5 Document library displayed in a Web Part

If you use an Instant Messaging program compatible with Windows SharePoint Services, such as Microsoft Windows Messenger, Microsoft MSN Messenger, or the Microsoft Exchange Instant Messaging Service, you can use that program from within the Attendees list in the workspace site to communicate with other attendees. If an attendee is online, you can ask him or her to go to the workspace site so you can work together.

Conducting the meeting

The meeting you created the workspace site for does not take place in the Meeting Workspace site. The meeting itself is conducted in person, over the telephone, or from a conferencing program, such as Microsoft Windows NetMeeting. However, you can view the workspace site and update it during the meeting. For example, you can update the attendees list to indicate who actually participated, list decisions, track tasks, and publish the meeting minutes — resulting in a complete record of the meeting for future reference.

Related Topics

About multiple meetings in a workspace site
Create a new or link to an existing Meeting Workspace site
About customizing Meeting Workspace sites


About adding pages to a Meeting Workspace site

About adding pages to a Meeting Workspace site

By default, every Meeting Workspace site has a home page; however, you can add more pages to help you organize the information.

You can name each new page (not the home page) and give it a description, and you can change the page order. When multiple meetings exist in the workspace site, you specify whether the new page appears for all the meetings or only the meeting that is currently selected.

Comparison of pages and lists that show in one meeting or all meetings

1 The home page and an additional page display for this meeting date.

2 Only the home page displays for this meeting date.

3 The Tasks Web Part displays on the home page for both meeting dates, but the items in the list are specific to each date.

By default, Web Parts for the lists, libraries, and other features that you add to a new page will appear only on that page. If the page is set to appear for all the meetings, which is the case for the home page, then its Web Parts will also appear on that page for all the meetings. However, the items in the Web Parts will show by default only for the meeting where the items were added. If you want the items to appear for all meetings, you can change the list or library displayed in the Web Part to turn on item sharing.

Note You must be a member of the Web Designer or Administrator site group to add pages.

Related topics

Add a page to a Meeting Workspace site


About creating lists, libraries, and their Web Parts in a Meeting Workspace site

About creating lists, libraries, and their Web Parts in a Meeting Workspace site

The way you add Web Parts and their associated lists or libraries depends on the following:

  • The type of Web Part you are adding.
  • Whether you want the associated list or library created automatically using default settings or manually using settings you specify.

The easiest way to add the Web Parts that are commonly used for a Meeting Workspace is from the Add Web Parts task pane. When you use the Add Web Parts task pane, it automatically creates the associated list or library for you using default settings, such as Title and Description. If you add the same type of Web Part to the page again, another list or library is automatically created for it.

If you want the list or library created with a specific name, description, or other property setting, or if you want to create other types of lists that aren't in the task pane, such as a custom list, Events list, or list of announcements, you can create the list by specifying the settings to use. The Show All Lists link at the bottom of the Add Web Parts task pane makes this quick and easy. Once you create the list, its Web Part is automatically added to the current page in the workspace site.

Note This differs from other SharePoint sites where you have to create the list first, and then add the Web Part.

You can also get Web Parts for existing lists or other features by browsing libraries for the current location, parent Web site, or external locations.

Add Web Parts task pane

1 Drag Web Parts to the page to use default settings. Or …

2 … select lists, libraries, and other features from the Show All Lists link to specify custom settings.

For general information about customizing Web Parts in Windows SharePoint Services sites, see the Help index.

Related Topics

About customizing Meeting Workspace sites
Create an Objectives list in a Meeting Workspace site
Create an Agenda list in a Meeting Workspace site
Create a Things To Bring list in a Meeting Workspace site
Create a Text Box in a Meeting Workspace site
Create a Decisions list in a Meeting Workspace site
Create a document library
Create a discussion board
Create a picture library
Create a list of announcements, contacts, events, tasks, issues, or links
Create other lists or features in a Meeting Workspace site


Create or add other lists or features in a Meeting Workspace site

Create or add other lists or features in a Meeting Workspace site

The types of lists and libraries most common to a Meeting Workspace site are listed under the Web Parts section in the Add Web Parts task pane. You can create other types of lists or libraries and add their associated Web Parts, too, or you can add Web Parts for lists or libraries that were created previously.

Create other lists or libraries from the current location

  1. On the Modify This Workspace menu, click Add Web Parts.
  2. At the bottom of the task pane, click Show All Lists.
  3. On the Create page, click the type of list or library you want to add.
  4. Specify the information about the feature you selected, and then click Create.

Note The option to share information across meetings only applies if you have a Meeting Workspace site that is used for more than one meeting, such as for a recurring meeting or for multiple related meetings linked to the same workspace.

Get existing lists, libraries, or other features from the current or different locations

  • Import the list, library, or feature

    How?

    1. On the Modify This Workspace menu, click Add Web Parts.
    2. On the drop-down menu next to Create Lists, click Import.
    3. Follow the instructions in the pane.
  • Browse other Web Part libraries

    How?

    1. On the Modify This Workspace menu, click Add Web Parts.
    2. On the drop-down menu next to Create Lists, click Browse.
    3. Select the library you want to browse.
    4. Drag the Web Part to the page.

Note You must be a member of the Web Designer or Administrator site group to do any of these procedures.

Related Topics

About creating lists, libraries, and their Web Parts in a Meeting Workspace site
Create an Objectives list in a Meeting Workspace site
Create an Agenda list in a Meeting Workspace site
Create a Things To Bring list in a Meeting Workspace site
Create a Text Box in a Meeting Workspace site
Create a Decisions list in a Meeting Workspace site
Create a document library
Create a discussion board
Create a picture library
Create a list of announcements, contacts, events, tasks, issues, or links
Share list or library items across all meetings in a workspace site


Manage alerts settings

Manage alerts settings
  1. On the title bar of the portal site, click Site Settings.
  2. In the General Settings section, click Manage alerts settings.
  3. In the User Alerts Management section, click Manage user profiles to go to a page where you can delete or deactivate an individual user's alerts.
  4. In the Delete All Alerts and Alert Results section, click Delete all alerts and alert results to remove every alert and alert result stored on the portal site for all users. Click OK to confirm that you want to delete all alerts and alert results for all users.

    Important This action cannot be undone.

  5. In the Delete All Alert Results E-mail Messages section, click Delete all alert results e-mail messages to remove all alert results e-mail messages waiting to be sent in the alerts notification queue. Click OK to confirm that you want to delete all unsent alert results in the queue.

    Important This action cannot be undone.

  6. In the Alert Quotas section, specify limits for the number of alerts per user, the number of alerts per site, and the number of alert results per site.
  7. In the Default E-Mail Address for Alert section, you can specify a User Profile field to use as the source of the default e-mail address when a user adds an alert. Select Always use user profile field to prevent users from changing the default e-mail address supplied by the User Profile.
  8. In the SMTP Server for E-Mail Alerts section, click Change default e-mail settings to configure SMTP server settings. If an SMTP server is already configured, the name and status are displayed.

    Note Only a member of the SharePoint administrators group can configure an SMTP server. The user must also be a member of the local Administrators group on the server.

Related Topics

Add user information with user profiles
About configuring e-mail settings


Changing an area location or parent keyword

Changing an area location or parent keyword

For information about completing your task, click the following links:

  • Create or delete an area
  • Edit an area
  • Create, edit, and delete keywords
  • Add, edit, and delete keyword Best Bets

If you don't see what you're looking for, you can find more information by clicking Home.


Manage security settings for an area

Manage security settings for an area

From an area page, a user who has the manage area permissions right can edit the rights assigned to a group for their area.

  1. In the Actions list, click Manage Security.
  2. On the Manage Security Settings for AreaName page, select the check box next to one or more users and groups.

    Note If you select more than one user or group, the changes you make apply to all of them.

  3. Click Edit.
  4. On the Edit Rights on Area Name page, select or clear the check boxes for the rights you want to include or exclude.

    Note To see a complete list of rights, click Advanced rights.

  5. Click OK.

Note Rights for an area apply to the area and to any subareas that inherit from this area.

Related Topics

About site group security in SharePoint Portal Server
Create a site group
Edit site group permissions


Manage sites

Manage sites

Users with the proper rights can create and manage SharePoint sites from the Microsoft Office SharePoint Portal Server 2003 portal site.

Sites are managed from the Site Directory. All of the sites created since the creation of the portal are listed in the Site Directory. From the Site Directory, you can search for existing sites, create sites, or add links to existing sites.

You can select one of three views for the portal site. For more information about the other views, see Using views in the Site Directory.

From the Manage Sites view, you can approve or reject site links, ask to be alerted when site links change, or delete site links.

Switch to the Manage Sites view of the Site Directory

  1. On the navigation bar, click Sites to view the Site Directory.
  2. In the Select a View list, click Manage Sites.

View sites

  • Do one of the following:
    • In the Site Directory list, click the name of the site.
    • On the Site Listing Properties page, click the link provided.

View and edit site links

  1. Rest the pointer on the site listing that you want to view, click the arrow that appears, and then click View Item.

  2. The Site Link Properties page appears. You can perform the management tasks for the link on this page, or you can click Go Back to List to return to the full list in the Manage Sites view.

  3. To edit the site link, click Edit Item.
  4. On the page used to edit site links , you can change any of the properties of the site link that were set when the link was added. For more information about these properties, see Add a link to a site.
  5. To attach files that are relevant to the site, on the toolbar, click Attach file, and then type the location of the file that you want to attach. You can also click Browse to select a file. Click OK.

Delete site listings

  1. Rest the pointer on the site link that you want to delete, click the arrow that appears, and then click Delete Item.

  2. Note You can also delete items by clicking Delete on the toolbar of the pages used to view and edit site links.

Alert me when a site link changes

  1. Rest the pointer on the site link that you want to view, click the arrow that appears, and then click Alert Me .

  2. Note You can also ask to be alerted to changes for this site link by clicking Alert Me on the toolbar of the Site Link Properties page. For more information about alerts, see About alerts.

Approve and reject sites

Site links added by administrators are approved by default. Site links added by other users are set to Pending and must be approved or rejected.

  1. Rest the pointer on the site link that you want to view, click the arrow that appears, and then click Approve/reject.
  2. On the page that appears, in the Approval Status section, click the approval status that you want for this item.
    • Click Approved to approve an item. Approved items show up in the Site Directory for all users.
    • Click Rejected to reject an item. Rejected items are not shown in the Site Directory, but users who know the URL can still view the site. Rejected items are not deleted.
    • Click Pending to submit a previously approved or rejected site link for approval. Anyone with the proper rights can approve or reject a link.
  3. In the Comment section, type comments explaining the reason for the change in status for this site link.

Note You can also approve or reject site links by clicking Approve/reject Item on the toolbar of the Site Link Properties page or the page for editing site links.

Related Topics

About the Site Directory
Use views in the Site Directory
Search the Site Directory
Create a site
Add a link to a site


About managing content in portal areas

About managing content in portal areas

Areas provide a navigational structure or map of the portal site and related content. By adding, moving, or deleting areas, you can change the view of the portal site for users. The top level of areas under the Home area form the primary navigation for the portal site. If you move an area to that level, it will appear on the navigation bar. The portal site map enables you to drag areas and listings to change the navigation structure or the content organization of the portal site.

Areas also provide a centralized structure for information browsing. They direct readers to the information they seek through a hierarchy of content. Subject matter experts can use areas to organize and publish information about a particular subject. To create a collaborative environment, you can add lists, discussion boards, document libraries, and other features that enable people to work together. For greater discoverability, you can add items or listings to more than one area.

If you have a large amount of content, dividing it into topics can be a time-consuming task. To simplify the process, Microsoft Office SharePoint Portal Server 2003 provides an automated tool called the Topic Assistant. After you assign a few representative items to each topic, the Topic Assistant compares those sample items to the items that have not been assigned and then automatically selects the best topic matches.

A member of the Administrator site group for the portal site can assign a user to the Content Manager site group. By default, members of the Content Manager site group can approve or reject content requests and manage area settings. In addition, as a site administrator or content manager, you can target areas for viewing by one or more audiences.

Related Topics

Add a list or library to an area
Add a listing
About grouping and ordering content in an area
Change page layout
Target an item to an audience


Change the name of a page in a Meeting Workspace site

Change the name of a page in a Meeting Workspace site
  1. Click the tab for the page you want to work with. If the page tab isn’t visible, in the Meeting Series pane, click the date that page appears for.
  2. On the Modify This Workspace menu, click Manage Pages.
  3. Next to Order, click the drop-down arrow, and then click Settings.
  4. Type the new name.

Note You must be a member of the Web Designer or Administrator site group to do this procedure.


Delete a meeting from a workspace site that has more than one meeting

Delete a meeting from a workspace site that has more than one meeting

This information applies to a workspace site for a recurring meeting or multiple related meetings. You can't delete the meeting while working in the workspace site.

  • Switch to the location you used to schedule the meeting, such as a Microsoft Windows SharePoint Services-compatible calendar and e-mail program, and then delete the meeting from there.

Notes

  • The next time you view that date's meeting information in the workspace site, a message appears at the top of the workspace site explaining what you can do with the meeting information.
  • You must be the administrator of the workspace site to do this procedure.


Delete a list or library or remove a Web Part in a Meeting Workspace site

Delete a list or library or remove a Web Part in a Meeting Workspace site

Delete a list or library

When you delete a list or library, you delete it from the workspace site. You also remove the associated Web Part from the page where it appeared. However, you can add the same Web Part back to a page to create a new list or library. For example, you can delete the Objectives list, which will automatically remove its associated Web Part from the page, but the Objectives Web Part is still available in the Add Web Parts task pane so you can add the Web Part and create a new Objectives list.
  1. In the title bar of the Web Part that is on the page, click the list or library name.
  2. Under Actions, click Modify Settings and Columns.
  3. Click Delete this list.

Notes

  • You must be a member of the Web Designer or Administrator site group to do this procedure.
  • If the workspace site covers more than one meeting, the list is deleted for all the meetings.
  • You can't delete the Attendees list.

Remove a Web Part for a list or library

When you remove a Web Part, only the part is removed from the page. The associated list or library is not deleted. If the workspace site covers more than one meeting, the part is removed from that page for all the meetings that the page is displayed for.
  1. On the Modify This Workspace menu, click Design this Page. Make sure a check mark appears next to the command.
  2. On the Web Part for the list, library, or other feature, click the drop-down arrow, and then click Delete.

If you change your mind, you can add back the part for that specific list.

  1. On the Modify This Workspace menu, click Design this Page. Make sure a check mark appears next to the command.
  2. On the Modify This Workspace menu, click Add Web Parts.
  3. On the drop-down menu next to Create Lists, click Browse.
  4. In the Web Part list, drag the Web Part you previously deleted to a zone on the page.

Note You must be a member of the Web Designer or Administrator site group to do this procedure.


Allow or prevent custom ordering of items

Allow or prevent custom ordering of items

This feature is not available for all lists.

  1. On the page that displays the list, click Modify settings and columns. If the list is in a Web Part, click the list name in the Web Part title bar first.
  2. Under Views, do one of the following:

    Change an existing view

    • Click the view name in the View (click to edit) column.

    Create a view

    1. Click Create a new view.
    2. Click the type of view you want to create.
    3. On the Create View page, in the Name section, type a name for the view.
    4. If you want the new view to be the default view, select the Make this the default view check box.
  3. In the Sort section, under Allow users to order items in this view, select the option you want. If you don't see this option, it is not available for the type of list you are working with.
  4. At the bottom of the page, click OK.

Related Topics

Arrange list items in a custom order
About sorting and customizing item order
Sort items


Hide or show pages in a Meeting Workspace site for multiple meetings

Hide or show pages in a Meeting Workspace site for multiple meetings

This procedure applies to a Meeting Workspace site for a recurring meeting series or for multiple related meetings.

  1. Click the tab for the page you want to work with. If the page tab isn’t visible, in the Meeting Series pane, click the date that the page appears for.
  2. On the Modify This Workspace menu, click Manage Pages.
  3. Next to Order, click the drop-down arrow, and then click Settings.
  4. Do one of the following:
    • To show the page for the current date only, select Appears for this meeting only.
    • To show the page for all the meeting dates, select Appears for all meetings.

Notes

  • You must be a member of the Web Designer or Administrator site group to do this procedure.
  • Hiding or showing pages does not affect the settings for the lists and libraries on those pages. You must change those settings separately.

Related topics

Share list or library items across all meetings in a workspace site


Microsoft SharePoint Products and Technologies Resource Map

Microsoft SharePoint Products and Technologies Resource Map

Microsoft SharePoint Products and Technologies Resource Map

©2003 Microsoft Corporation. All rights reserved.


About where the Modify This Workspace menu appears

About where the Modify This Workspace menu appears

The Modify This Workspace menu appears (upper-right corner of the window) only when the page that is currently displayed is either the home page or a page that was added to the workspace site. This menu is only available for members of the Administrator or Web Designer site groups.


Modify pages on My Site

Modify pages on My Site

You can customize your personal site by changing the layout or adding, removing, or modifying Web Parts for any page.

To modify a page on your personal site, click Modify My Page at the top of the page, or click Modify My Web Part on any Web Part.

By default, changes to Web Part pages are made only to your personal view. As the administrator for a page, you can decide to modify the shared view of a Web Part page, so that changes to the view are seen by everyone who can view the page.

  • To modify the shared view of a Web Part page, click Modify My Page at the top of the page, and then click Shared View. Then follow the instructions for the modification that you want to make.
  • To modify your personal view of a Web Part page, click Modify My Page at the top of the page, and then click Personal View. Then follow the instructions for the modification that you want to make.

Note If you have administrator rights, you can modify the shared view of the private view of the My Site home page. Those modifications affect the private view for the personal pages of all users. If you modify the personal view of the home page, the changes are made only to the private view of your personal site. If you don't have administrator rights, you cannot modify the shared view of the My Site home page.

Change the layout of a page

  1. At the top of the page, click Modify My Page, and then click Design this Page.

    You are now in Web Part page design mode. You can return to the normal view of this page by clicking Design this Page again.

  2. Drag Web Parts to arrange them on the page.

Add Web Part

  1. At the top of the page, click Modify My Page, point to Add Web Parts, and then click Browse.

  2. The page opens in design mode, and the Add Web Parts pane appears.

  3. In the Add Web Parts pane, click the gallery that you want to browse.
  4. Under Web Part List, find the Web part that you want. Or click Next to view more Web Parts.
  5. To find the Web Part that you want without browsing through all of the Web Part libraries, click Search after pointing to Add Web Parts.
  6. In the Search text box that appears in the Add Web Parts pane, type a word describing the Web Part for which you are looking, and then click Go.

    A list of Web Parts matching the search appears in the Add Web Parts pane.

  7. If the Web Part that you want is not found in an existing library, you can import a Web Part by clicking Import after pointing to Add Web Parts.
  8. In the text box that appears, type, or browse to the location of, the .dwp file that you want to import as a new Web Part, and then click Upload.

    The Web Part is added to the currently selected Web Part library.

  9. To switch between Browse, Search, and Import views of the Add Web Parts pane, click the current view just under the title of the pane, and then click the view that you want.
  10. From the available Web Parts, click the one that you want to add.
  11. Click the zone to which you want to add the Web part, and then click Add. You can also drag the Web Part to the desired location on the page.
  12. To close the Add Web Parts pane, click the X in the upper right corner of the pane.

Modify Web Part

  1. Whether or not you are in design mode, click the arrow for the Web Part that you want to modify, and then click Modify My Web Part. You can also click Modify My Page at the top of the page, select Modify My Web Parts, and then click the Web Part that you want to modify.

    The page opens in design mode with the selected Web Part outlined with a dotted yellow line. The properties for the Web Part are displayed in a pane that opens on the right side of the page.

  2. Edit the properties that you want to change.
  3. Click Apply to make changes without closing the pane.
  4. When you are done making changes, click OK.

Minimize and restore Web Part

To save space and reduce clutter on a page, you can minimize some of the Web Parts so that only the title appears. When you want to use the Web Part, you can restore it to full size.

  • To minimize a Web Part, click the arrow for the Web Part that you want to minimize, and then click Minimize.
  • To restore a Web Part that is minimized, click the arrow for the Web Part that you want to restore, and then click Restore.

Remove Web Part

You can choose to remove a Web Part from a page at any time. Removing a Web Part from a page does not delete the Web Part. It is still available for use on other pages from the Web Part library.
  • Click the arrow for the Web Part that you want to remove, and then click Close.

Delete Web Part

As a site administrator, you can delete a Web Part that you no longer intend to use on your site. This may be because the Web Part is no longer useful, or because it's broken in some way. Deleted Web Parts are gone permanently and cannot be restored unless a copy of the .dwp file is available for import. For this reason, some Web Parts cannot be deleted.

  1. Click the arrow for the Web part that you want to delete, and then click Delete.
  2. In the confirmation message that appears, click OK.

Export Web Part

You may want to export Web Parts from your existing Web Part libraries for use on other sites, and to preserve backups. Before exporting a Web Part, ensure that it does not contain any private information or customization that you do not want other people in your organization to see or use.

  1. Click the arrow for the Web Part that you want to export, and then click Export.
  2. At the File Download message that appears, click Save and then browse to the location where you want to save the .dwp file for this Web Part.
  3. Click Save.
  4. When the download is complete, click Close.

    The Web Part is now available for import. To import the Web Part, select Import from the Add Web Parts pane and browse to this location.

Reset page content

You may decide that the changes to a page are no longer needed, and that you want to return the page to its original content and layout. You can reset page content, but any changes or customization that you've made are destroyed.

  1. Click Modify My Page at the top of the page.
  2. Click Reset Page Content.
  3. In the confirmation message that appears, click OK.

Reset Web Part content

You may decide that the changes to an individual Web Part are no longer needed, and that you want to return the Web Part to its original content and layout. You can reset Web Part content, but any changes or customization that you've made are destroyed.

  1. Click the arrow for the Web Part that you want to reset, and then click Reset Web Part Content.

    If this option is not available, no changes are made to this Web Part.

  2. At the confirmation message that appears, click OK.

Related Topics

Use the private view of My Site
Use the public view of My Site
Share information on My Site
Use My Site
About My Site


Modify shared Web Parts

Modify shared Web Parts

As a member of the Administrator site group, you can modify the shared Web Parts on the portal site. You can modify Web Parts for the Home, News, Topics, Sites, and My Sites pages.

  1. On the page that you want to edit, click Edit Page in the Actions list.
  2. In the shared view, click the arrow for the Web Part you want to modify, and then click Modify Shared Web Part.

    You can also click Modify Shared Page at the top of the page, point to Modify Shared Web Parts, and then click the Web Part you want to modify.

    Note To switch to the shared view from the personal view, click Modify My Page and then click Shared View.

    The page opens in design mode with the selected Web Part outlined with a dotted yellow line. The properties for the Web Part are displayed in a pane that opens on the right side of the page.

  3. Edit the properties that you want to change. Properties specific to a Web Part appear at the top, followed by the properties found in all Web Parts. For information on a specific Web Part, see the documentation for that Web Part.

    Change the appearance of the Web Part

    1. In the pane for the Web Part, click Appearance.
    2. In the Title box, type a new title for the Web Part.
    3. In the Height section, click Yes to fix the height of the Web Part, click the units from the drop-down list, and then type the height limit in the text box.

      To adjust the height of the Web Part as the zone changes in size, click No.

    4. In the Width section, click Yes to fix the width of the Web Part, click the units from the drop-down list, and then type the width limit in the text box.

      To adjust the width of the Web Part as the zone changes in size, click No.

    5. In the Frame State section, click Minimized to show the Web Part minimized by default.

      Click Normal to show the Web Part fully expanded.

    6. In the Frame Style section, click the style you want from the drop-down list.

    Change the layout of the Web Part

    1. In the pane for the Web Part, click Layout.
    2. Click Visible on Page to show this Web Part on the page.
    3. In the Direction section, click the direction in which to orient the page.

      This is typically used to align the text correctly for Web Parts that use a language that runs in a different direction from the text in the other Web Parts on the page.

    4. In the Zone section, click the zone where you want to locate this Web Part.
    5. In the Part Order section, type the order in which this Web Part should be displayed within its zone relative to other Web Parts in the zone.

    Change the advanced properties of the Web Part

    1. In the pane for the Web Part, click Advanced.
    2. Select Allow Minimize, Allow Close, or Allow Zone Change to allow users without administrator rights to perform those actions for the Web Part. These options are selected by default.
    3. In the Detail Link box, type a location where users can find details about this Web Part.
    4. In the Description box, type a description for the Web Part.
    5. In the Help Link box, type a location where users can find Help for this Web Part.
    6. In the Icon File (Large) and Icon File (Small) boxes, type the locations of images to represent this Web Part.
    7. To target the Web Part to a specific audience of users, click Select, and then select an audience for the Web Part.
  4. Click Apply to make changes without closing the pane.
  5. When you are done making changes, click OK.

Related Topics

Add or remove Web Parts from a page
Change page layout
Modify pages on My Site


Monitoring Capacity

Monitoring Capacity

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Arrange list items in a custom order

Arrange list items in a custom order
  1. Display the list. If the list is currently displayed in a Web Part, click the list name in the Web Part title bar.
  2. On the toolbar, click Change Order. If this button doesn't appear, it is either not supported for this list or it is not enabled.
  3. For each item, select the number of the position where you want it to appear in the list.
  4. Click OK.

Related Topics

About sorting and customizing item order
Sort items
Allow or prevent custom ordering of items


Move a listing

Move a listing

Follow these steps to move a listing from one area to another on the portal site:

  1. On the page that displays the listing, rest the pointer on the listing, click the arrow that appears, and then click Move on the menu that appears.
  2. On the Move Listing page, click Change location to move the listing to a different portal area.
  3. On the Change Location page, select the area in which you want to display this listing.
  4. Click OK to save your changes and close the Change Location page.
  5. Click OK.

Note You can also move a listing by editing the settings for a listing, or dragging a listing from one area to another on the portal site map page.

If you drag a listing to a new area, its status may be reset to Pending even though it was previously approved.

To move a listing, you must have the edit items right.

Related Topics

Edit listing settings
Delete a listing
About grouping and ordering content in an area


Move an area

Move an area
  1. In the Actions list, click Manage Portal Site.
  2. On the portal site map, click the icon next to the area, and drag it to the new location.

Note You can also move an area by editing the settings for the area.

Related Topics

Edit an area
About areas
Manage security settings for an area


Share list or library items across all meetings in a workspace site

Share list or library items across all meetings in a workspace site

This procedure applies to a Meeting Workspace site for a series of meetings — either a recurring meeting or multiple related meetings that aren't part of the same recurring meeting series.

  1. On the Modify This Workspace menu, click Site Settings.
  2. Under Customization, click Modify site content.
  3. Click the list or library you want to work with.
  4. Under General Settings, click Change general settings.
  5. In the Share List Items Across All Meetings (Series Items) section, under Change items into series items, select Yes.

Related Topics

About multiple meetings in a workspace site


About the Agenda list in a Meeting Workspace site

About the Agenda list in a Meeting Workspace site

The Agenda list provides an outline of the meeting so that attendees know what to prepare for in time for the meeting. You can have a plan to follow during the meeting, and everyone can meet the objectives. The list identifies the subjects that need to be covered, the people who will lead the discussion on each subject, and the meeting time that is allotted for each area.

The Agenda list Web Part is displayed by default on the home page in the following meeting templates: Basic Meeting, Decision Making, and Multipage.

Related Topics

Create an Agenda list in a Meeting Workspace site


About the Decisions list in a Meeting Workspace site

About the Decisions list in a Meeting Workspace site

The Decisions list enables workspace users to track the decisions that resulted from the meeting. This ensures that everyone has the same understanding and is basing future actions on the same information. If there are discrepancies, attendees can work through them and update the decisions accordingly. It is also helpful information for those who didn't attend the meeting but might be looking at the workspace site later. It provides a context for related information they are viewing on the site, such as action items and objectives.

The Decisions Web Part is displayed by default on the home page in the Decision Making template.

Related Topics

Create a Decisions list in a Meeting Workspace site


About the Objectives list in a Meeting Workspace site

About the Objectives list in a Meeting Workspace site

The Objectives list provides an area to list the purpose of the meeting and what you want to accomplish during the meeting. This ensures that attendees know what to expect and can come prepared. It is also helpful for those who didn't attend the meeting but might be looking at the workspace site later. It provides a context for related information they are viewing on the site, such as action items and decisions.

The Objectives list Web Part is displayed by default on the home page in the following meeting templates: Basic Meeting, Decision Making, and Multipage.

Related Topics

Create an Objectives list in a Meeting Workspace site


About the Text Box in a Meeting Workspace site

About the Text Box in a Meeting Workspace site

The Text Box enables you to add a block of custom text to the workspace site. You might use it to display a motivational quote, directions to the meeting location, or other free-form text you want to display on the workspace site. You can customize the way the text looks by changing its font, font style, color, font size, and position, by adding bullets or numbers, or by adding a background color.

A Text Box Web Part displays by default with the title Directions on the home page of the Social template.

Related Topics

Create a Text Box in a Meeting Workspace site


Add, edit, or delete an attendee in a Meeting Workspace site

Add, edit, or delete an attendee in a Meeting Workspace site

Add an attendee

Only members of the Administrator site group can add attendees.
  1. In the Attendees list Web Part, click Manage Attendees.
  2. On the toolbar, click Add Attendee.
  3. Do one of the following:
    • If the Address Book button is available next to the Name field, click it, and then select the name of the attendee you want to add.
    • Type the e-mail address (for example, someone@example.com) or user name (DOMAIN\name) for the person you want to add.

Note Adding the attendee to the list does not guarantee that person is granted access rights to the workspace site.

Edit an attendee

Do one of the following:
  • If you want to edit your own information, in the Attendees list Web Part, click Edit next to your name.
  • If you are an administrator and want to edit information for another attendee, in the Attendees list Web Part, click Manage Attendees. Click Edit next to the attendee's name.

Delete an attendee

Do one of the following:
  • If you want to delete your own entry, in the Attendees list Web Part, click Edit next to your name. On the toolbar, click Delete Item.
  • If you are an administrator and want to delete an entry for another attendee, click Manage Attendees, and then point to the attendee you want to delete. On the menu that appears, click Delete Item.

Related Topics

About the Attendees list and rights in a Meeting Workspace site
About the difference between attendees and users in a Meeting Workspace site


Add a page to a Meeting Workspace site

Add a page to a Meeting Workspace site
  1. On the Modify This Workspace menu, click Add Pages.
  2. In the Page Name box, type the name that you want displayed on the tab.
  3. If the workspace site includes more than one meeting, select whether you want the page to display for all meetings or just the current one.

Note You must be a member of the Web Designer or Administrator site group to do this procedure.

Related topics

About adding pages to a Meeting Workspace site
Change the order of pages in a Meeting Workspace site
Delete a page from a Meeting Workspace site


Create an Agenda list in a Meeting Workspace site

Create an Agenda list in a Meeting Workspace site
  1. On the Modify This Workspace menu, click Add Web Parts.
  2. Do one of the following:

    Create the list automatically using default settings

    • Under Web Parts, drag the Agenda Web Part to a zone on the page.

    Create the list using settings you specify

    1. At the bottom of the task pane, click Show All Lists.
    2. Click Agenda, specify the information about the list, and then click Create.
  3. To add content, click Add item in the Web Part.
  4. Type the subject of the item, and then complete the other fields as you want.
  5. On the main toolbar, click Save and Close.

Notes

  • You must be a member of the Web Designer or Administrator site group to do this procedure.
  • If the Meeting Workspace site has more than one meeting, you can change the list to share its content across all meetings in the workspace site.

Related topics

Share list or library items across all meetings in a workspace site


Change the meeting date, time, or location in a workspace site

Change the meeting date, time, or location in a workspace site

You cannot change the meeting date, time, or location from the workspace site. You must use the program you used to schedule the meeting.

Microsoft Windows SharePoint Services-compatible calendar and scheduling program

  • Open the meeting request and update the meeting information. Send the updated meeting request.

Microsoft Windows SharePoint Services event

  • Open the event and update the meeting information, and then save the update.

The updates will be sent to the Meeting Workspace site.

Related Topics

About customizing Meeting Workspace sites


Create a Things To Bring list in a Meeting Workspace site

Create a Things To Bring list in a Meeting Workspace site
  1. On the Modify This Workspace menu, click Add Web Parts.
  2. Do one of the following:

    Create the list automatically using default settings

    • Under Web Parts, drag the Things to Bring Web Part to a zone on the page.

    Create the list using settings you specify

    1. At the bottom of the task pane, click Show All Lists.
    2. Click Things To Bring, specify the information about the list, and then click Create.
  3. To add content, click Add item in the Web Part.
  4. In the Item box, type the item you want to add. Complete the other fields as you want.
  5. Click Save and Close.

Notes

  • You must be a member of the Web Designer or Administrator site group to do this procedure.
  • If the Meeting Workspace site has more than one meeting, you can change the list to share its content across all meetings in the workspace site.

Related Topics

Share list or library items across all meetings in a workspace site


Create a Decisions list in a Meeting Workspace site

Create a Decisions list in a Meeting Workspace site
  1. On the Modify This Workspace menu, click Add Web Parts.
  2. Do one of the following:

    Create the list automatically using default settings

    • Under Web Parts, drag the Decisions Web Part to a zone on the page.

    Create the list using settings you specify

    1. At the bottom of the task pane, click Show All Lists.
    2. Click Decisions, specify the information about the list, and then click Create.
  3. To add content, click Add item in the Web Part.
  4. In the Decision box, type the text you want to appear. Complete the other fields as you want.
  5. On the main toolbar, click Save and Close.

Notes

  • You must be a member of the Web Designer or Administrator site group to do this procedure.
  • If the Meeting Workspace site has more than one meeting, you can change the list to share its content across all meetings in the workspace site.

Related topics

Share list or library items across all meetings in a workspace site


Create a new or link to an existing Meeting Workspace site

Create a new or link to an existing Meeting Workspace site

From a Microsoft Windows SharePoint Services site

Add a new event and workspace site at the same time

This procedure can link the event to a new workspace site or an existing one.

  1. Go to the Web site where you want to add the event.
  2. In the Events list, click Add new event.
  3. Complete the information about the event. At the bottom of the page, select the Use a Meeting Workspace to organize attendees, agendas, documents, minutes, and other details for this event check box.
  4. Select Save and Close.
  5. In the Create or Link section, select the option you want. If you select Create a new Meeting Workspace, then complete the information about the workspace site you want to create.
  6. Click OK.

Add a workspace site without adding an event

This procedure only creates new workspace sites.
  1. Go to the Web site where you want to add the workspace site.
  2. On the top link bar, click Create.
  3. Under Web Pages, click Sites and Workspaces.
  4. Complete the information about the workspace site you want to create, and then click Create.
  5. Select the Meeting Workspace template you want to use, and then click OK.

From Microsoft Office Outlook 2003

  • See Office Outlook 2003 Help for this information.


Create an Objectives list in a Meeting Workspace site

Create an Objectives list in a Meeting Workspace site
  1. On the Modify This Workspace menu, click Add Web Parts.
  2. Do one of the following:

    Create the list automatically using default settings

    • Under Web Parts, drag the Objectives Web Part to a zone on the page.

    Create the list using settings you specify

    1. At the bottom of the task pane, click Show All Lists.
    2. Click Objectives, specify the information about the list, and then click Create.
  3. To add content, click Add item in the Web Part.
  4. Type an objective.
  5. On the main toolbar, click Save and Close.

Notes

  • You must be a member of the Web Designer or Administrator site group to do this procedure.
  • If the Meeting Workspace site has more than one meeting, you can change the list to share its content across all meetings in the workspace site.

Related topics

Share list or library items across all meetings in a workspace site


Create a Text Box in a Meeting Workspace site

Create a Text Box in a Meeting Workspace site
  1. On the Modify This Workspace menu, click Add Web Parts.
  2. Do one of the following:

    Create the list automatically using default settings

    • Drag the Text Box Web Part to a zone on the page.

    Create the list using settings you specify

    1. At the bottom of the task pane, click Show All Lists.
    2. Under Lists, click Text Box.
    3. Specify the information about the list, and then click Create.
  3. Add new items to the list. You can use the Text toolbar to format the text, such as change its color, font, or font style.

Notes

  • You must be a member of the Web Designer or Administrator site group to do this procedure.
  • If the Meeting Workspace site has more than one meeting, you can change the text box to share its content across all meetings in the workspace site.
  • To use single line spacing, press SHIFT+ENTER at the end of a line.

Related topics

Share list or library items across all meetings in a workspace site


Delete a page from a Meeting Workspace site

Delete a page from a Meeting Workspace site
  1. On the Modify This Workspace menu, click Manage Pages.
  2. Next to Order, click the drop-down arrow, and then click Delete.
  3. Select the page you want to delete, and then click Delete.

Notes

  • You can't delete the home page.
  • If you are working in a Meeting Workspace site that includes more than one meeting, you may have originally set the page to appear for all the meetings. In that case, when you delete the page, it will be deleted from all the meetings.
  • You must be a member of the Web Designer or Administrator site group to do this procedure.


About the difference between attendees and users in a Meeting Workspace site

About the difference between attendees and users in a Meeting Workspace site

In a Meeting Workspace site, attendees are those people who are invited to the actual meeting and who are listed in the Attendees list. In any Microsoft Windows SharePoint Services site, users are those people who have accounts on a site, which authorizes them to access the site.

Users are listed under the Site Administration area of the workspace site. Attendee names also appear in the user list. However, you might want user names that don't appear in the Attendees list. For example, you may have delegated the job of updating some content on the workspace to an administrative assistant, but that assistant doesn't have to attend the actual scheduled meeting. Therefore, that name wouldn't appear in the Attendees list.

To control what users (and attendees) can do or see on the site, they are assigned by default to the Contributor site group. The Contributor site group has default rights assigned to it. You can optionally assign users to other site groups or change the rights associated with a site group. Whether attendees are added to the user list and automatically granted rights to the workspace site depends on the Meeting Workspace site you are using and how attendees were added.

Related Topics

About the Attendees list and rights in a Meeting Workspace site
Add, edit, or delete an attendee in a Meeting Workspace site
Add a user or cross-site group


Change the order of pages in a Meeting Workspace site

Change the order of pages in a Meeting Workspace site

You can change the order of any new pages that you add to the Meeting Workspace site except the default home page. You must have at least two new pages to do this procedure.

  1. On the Modify This Workspace menu, click Manage Pages.
  2. Select the page you want to move, and then click the up or down arrow. Repeat this step until the pages are in the order you want.

Note You must be a member of the Web Designer or Administrator site group to do this procedure.


About multiple meetings in a workspace site

About multiple meetings in a workspace site

Using a Microsoft Windows SharePoint Services-compatible calendar and e-mail program, you can create one workspace for a recurring meeting series or for multiple related meetings. The Meeting Workspace will automatically include features that enable you to manage the information for all the meeting dates.

Example of a workspace site for a recurring or related meetings

Example of a Meeting Workspace for a recurring meeting series

1 All the dates that a Meeting Workspace covers show in the Meeting Series list.

2 To see the information that applies to a specific meeting, click its date.

If you originally created a Meeting Workspace that includes just one meeting, you can link another meeting to it. The workspace site will automatically update to include the features for managing multiple meetings.

Behavior of list Web Parts and pages

The Web Parts for the lists and libraries that are on the workspace site home page by default, and any new Web Parts you add to the home page, will display for every meeting. However, the items that are added to a Web Part will only display for the meeting where the items were entered. If you want, you can change the list or library so that the items are shared across all the meetings in the workspace site, and the Web Part will display the same items for every meeting.

You can add pages to the workspace site to organize the content in a different way. When you add a page, you specify whether the new page appears for all the meetings or only the meeting that is currently selected. For each meeting, you can add up to ten date-specific pages. You can also add up to ten pages that show for all meetings.

Web Parts for the lists, libraries, and other features that you add to a new page (not the home page) will appear only on that page. If the page is set to appear for all the meetings, then its Web Parts will also appear for all the meetings. However, the items in the Web Parts will show by default only for the meeting where the items were added. If you want the items to appear for all meetings, you can change the list or library displayed in the Web Part to turn on content sharing.

Comparison of pages and lists that show in one meeting or all meetings

1 The home page and an additional page display for this meeting date.

2 Only the home page displays for this meeting date.

3 The Tasks Web Part displays on the home page for both meeting dates, but the items in the list are specific to each date.

Related Topics

About Meeting Workspace sites
Create a new or link to an existing Meeting Workspace site


Remove a Meeting Workspace link from a scheduled meeting

Remove a Meeting Workspace link from a scheduled meeting

From the workspace site, you can't remove a link that is available in your Microsoft Windows SharePoint Services-compatible calendar and e-mail program or a SharePoint event. You must switch to the location you used to schedule the meeting, and then remove the link from there. After the link is removed, the workspace site remains intact.

Do the following to remove the link from a:

SharePoint event

  1. Switch to the SharePoint site where the event is listed.
  2. Edit the event that is linked to the workspace site, and then clear the Use a Meeting Workspace to organize attendees, agendas, documents, minutes, and other details for this event check box.
  3. On the toolbar, click Save and Close.

Microsoft Outlook meeting request or other Windows SharePoint Services-compatible calendar and e-mail program

  • For more information, see the Help in that program.

Note The next time you open the workspace site, a message displays at the top of the page explaining what you can do with the workspace site.


About the Things To Bring list in a Meeting Workspace site

About the Things To Bring list in a Meeting Workspace site

The Things To Bring list ensures that attendees come prepared to the meeting. The list can request that attendees bring such things as writing materials, hard copies of documents from the document library in the workspace site, food, or other necessities that ensure a successful meeting.

The Things To Bring list Web Part is displayed by default on the home page in the Social Gathering template.

Related Topics

Create a Things To Bring list in a Meeting Workspace site


Troubleshoot Meeting Workspaces

Troubleshoot Meeting Workspaces

I deleted a workspace site, but the link is still in the meeting request.

Changes you make in the workspace site are not sent to your Microsoft Windows SharePoint Services-compatible calendar and scheduling program. You must open the meeting request and remove the link from there.

Attendees can't access the workspace site.

One of the following may apply:

  • If you used a Microsoft Windows SharePoint Services-compatible calendar and scheduling program such as Microsoft Outlook to link a meeting request to an existing Meeting Workspace site, the workspace site may be using permission settings that prevent attendees from accessing the site. This can occur if the workspace site inherited its permission settings from the parent site and the attendees don't have access rights on the parent site. To get permissions assigned, contact the administrator of the parent site.
  • If you created or linked to a Meeting Workspace site from a Windows SharePoint Services event, the attendees may not have permissions for one of the following reasons:

    For workspace sites that use the same permissions as the parent site

    • Attendees may not have been added using a valid e-mail address (for example, someone@example.com) or user name (DOMAIN\name) in the Attendees list. Delete the attendee and enter a valid address or name.
    • Attendees may not have permissions on the parent site. To get permissions assigned, contact the administrator of the parent site.

    For workspace sites that use unique permissions

    Attendees may not have been added using a valid e-mail address (for example, someone@example.com) or user name (DOMAIN\name) in the Attendees list. Delete the attendee and enter a valid address or name.

The meeting request in my Windows SharePoint Services-compatible calendar and scheduling program doesn't have the same information as the Meeting Workspace site.

If you made changes in the workspace site or to a Microsoft Windows SharePoint Services event that is linked to the workspace site, those changes are not sent to your Windows SharePoint Services-compatible calendar and scheduling program, such as Microsoft Outlook. For example, if you add or delete names in the Attendees list in the workspace site, the changes are not sent to the meeting request in Outlook. However, if you add or delete attendees in the To box of the Outlook meeting request and then send (not save) the updates, Outlook will update the workspace site.

I don't see a way to create a Meeting Workspace site as a subsite to an existing Meeting Workspace site.

This is not supported.

I don't see a way to create a personal view.

Unlike some other Microsoft Windows SharePoint Services sites, the Meeting Workspace site does not support personal views. By default, the workspace uses shared views. Therefore, there is no way to switch between personal and shared views.

I can't customize the workspace because the customization features aren't available.

Possible causes:
  • You may not have rights that enable you to customize the workspace. Contact the person who set up the workspace to request the necessary rights.
  • You may be using a browser version that is not supported. To customize the Meeting Workspace site, you must be using Microsoft Internet Explorer 5.5 or later.

Attendees get multiple notifications about the Meeting Workspace site.

One of the following may have occurred:
  • If you added users from the Manage Users page under Site Settings, the option to send an e-mail message to the user is selected by default. To stop e-mail notification, you must clear the Send the following e-mail to let these users know they've been added check box.
  • The server where you created the workspace site is set up to automatically send a message when users are added to the workspace site. For more information, contact the server administrator.

Once these e-mail messages are stopped, the only message a user will receive is the meeting request you send using your Microsoft Windows SharePoint Services-compatible calendar and e-mail program.

A list with a custom order applied doesn't work the way I expect.

Which of the following describes your situation?

When I click Change Order, I get the message "The item order cannot be changed for a list that requires content approval."

You can either turn off the content approval requirement on the list, or you can prevent the Change Order feature from being used.

When I click Change Order, the list shows more items than it originally had or the items are no longer displayed in groups.

If the view of the list was filtered, the Change Order feature removes the filter. If the view of the list was grouped, the Change Order feature removes the grouping. To preserve a filtered or grouped view, prevent the Change Order feature from being used.

When I put list items in a custom order, that order is being applied to all views of that list.

Multiple views of the same list can't have different custom orders.

I have a list with more than 100 items, but the Change Order page shows a maximum of 100 items per page. I need to move items to a position greater than 100.

You must move the item sequentially through each page until you get to the page you want.
  1. Move the item to the last position on its current page. If the item is in position 4, move it to position 100.
  2. Go to the next page. The item you moved to position 100 is at the top of this page.
  3. If the position you want to move the item to is not on this page, move the item to the last position on this page, for example, move it from position 100 to position 200, and then go to the next page.
  4. Repeat these steps until you reach the page with the position you want to move the item to. Select that position.


placeholder for list web part help

placeholder for list web part help

Note


placeholder context sensitive help

placeholder context sensitive help

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Network Considerations

Network Considerations

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Planning Your Document Management Solution

Planning Your Document Management Solution

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


About picture libraries

About picture libraries

Picture libraries provide a simple way to share and organize digital pictures in a corporate server environment. For example, an organization could create a picture library for marketing graphics — providing a single location for team members to view, share, edit, and download corporate logos or other marketing material.

Although pictures can be stored in other types of Microsoft Windows SharePoint Services lists, there are many advantages to using picture libraries. These advantages include viewing pictures with one of three unique display styles, sharing pictures using slide shows or by sending pictures directly to Microsoft Office 2003 programs, downloading pictures directly to a computer, and editing pictures with Windows SharePoint Services-compatible image editors, such as Microsoft Office Picture Manager.


About picture library views

About picture library views

Picture libraries give you a choice of three views to work with: All Pictures, Selected Pictures, and Explorer. Which view is best for you to use depends on which pictures you need to see and what other tasks you may need to perform.

  • All Pictures Use this view when you want to see all of the pictures stored in a picture library. The default display style is Thumbnail, but you can switch to another display style to see the pictures if needed.

  • Selected Pictures Use this view when you need to filter the picture library to see only the pictures you have selected by selecting their check boxes. This view is especially helpful when you need to see all of the pictures you have selected before applying editing changes. As with the All Pictures view, the default display style is Thumbnail, but you can easily switch to another display style if needed.

  • Explorer Use this view when you want to use the Microsoft Windows Explorer file management system to organize your picture library files. From this view, depending on your Microsoft Windows operating system, you can also print pictures, view a slide show, and connect to Web sites that will print your pictures online.


About picture library display styles

About picture library display styles

Picture libraries offer three convenient display styles for your pictures: Thumbnail, Filmstrip, and Details. These display styles are available when you are working in the All Pictures and Selected Pictures standard views, or when you create your own views. Switching between display styles is easy, and you may find yourself changing display styles frequently as you organize, manage, and share your pictures. Which display style is best for you to use depends on the task you need to perform.

  • Thumbnail style This style displays miniatures of the pictures in the selected folders so you can see and work with many pictures at once. This style is best for browsing through a large set of pictures to find the ones you want to work with, or when you do not need to see picture details.

  • Filmstrip style This style displays both a strip of smaller pictures you can scan, and a single larger picture you can see in detail. This style is best when you need to manage multiple pictures, but you also need to see a larger version for more information. It may be helpful if the Thumbnail style does not give enough detail to distinguish between similar pictures.
  • Details style This style does not display picture images, but instead displays a table with information about each picture. The columns displayed by default in this style include file type, name, picture size, and file size. This view is best for scanning and comparing file properties, rather than inspecting pictures visually.


Create a picture library

Create a picture library
  1. On the top link bar, click Create.
  2. On the Create Page page, click Picture Library.
  3. In the Name box, type a name for the list. The document library name is required.
  4. In the Description box, type text that describes the purpose of the library. The description is optional.
  5. If you want a link to this list to appear on the Quick Launch bar, in the Navigation section, click Yes.
  6. If you want a backup copy of a file created each time it is checked into the library, in the Picture Versions section, click Yes.
  7. Click Create.

Notes

  • A page that displays the default view of the new picture library is added to the Web site based on Microsoft Windows SharePoint Services.
  • If the site is a Meeting Workspace site, use the following procedure to create a picture library: From the Modify This Workspace menu, click Add Web Parts. Drag the Picture Library Web Part to a zone on the page.


Add one or more pictures to a picture library

Add one or more pictures to a picture library
  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. Do one of the following:

    Add a single picture

    1. In the picture library, click Add Picture.
    2. On the Add Picture page, click Browse to find the picture you want to add, select the picture, and then click Open.
    3. If you do not want this file to replace any files with the same name in the picture library, clear the Overwrite existing file(s) box.

      Note If the picture library contains a picture with the same name as the one you are trying to add, you will need to rename the new picture before adding it to the picture library.

    4. Click Save and Close.

    Add multiple pictures

    1. In the picture library, click Add Picture.
    2. On the Add Picture page, click Upload Multiple Files.

      Note A Microsoft Windows SharePoint Services-compatible image editor, such as Microsoft Office Picture Manager, will open in a new browser window.

    3. Select all of the pictures you want to add.
    4. Do one of the following:
      • To add pictures with their original size and settings, click Upload and Close.
      • To add pictures with smaller file sizes that load faster on Web sites, in the Upload task pane, click Send pictures optimized for viewing on the Web, and then click Upload and Close.

Note To cancel the picture addition, click Cancel, and then click Go back to picture library name in the original browser window.


Delete a picture library

Delete a picture library
  1. On the page that displays the picture library, under Actions, click Modify settings and columns.
  2. Under General Settings, click Delete this picture library.


Choose a display style

Choose a display style

  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. In the All Pictures and Selected Pictures views, you can choose from three display styles to change how you view picture files. Select the view you want to work with.
  3. Do one of the following:
    • To see a table of picture properties, under the view name, click Details.
    • To see many small pictures at once, under the view name, click Thumbnails.
    • To see both a strip of small pictures and a single larger picture, under the view name, click Filmstrip.

Note The Microsoft Windows Explorer view does not offer a choice of display styles.


Download pictures from a picture library

Download pictures from a picture library
  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. To select pictures to download, select the check box next to each picture.
  3. On the toolbar, click Download.
  4. Do one of the following:

    Download with default settings

    • Under Select a Size, select a size option.

    Select advanced settings

    1. To select a new file format, under File Format, click the arrow, and then select the format you want.
    2. To change the size of the picture, do one of the following:
      • Select a predefined size.
      • Select custom width and height.
      • Select percentage of original.
  5. Click Download.
  6. To select a location to download your pictures to, in the Download Pictures dialog box, click Browse, and then select a location.
  7. To rename pictures as a group, incrementing automatically, click the Rename the selected pictures in the new location box.
  8. To open the new location in Microsoft Office Picture Manager, click the Open new location in Office Picture Manager box.


Send pictures to another program

Send pictures to another program

Use this procedure to send pictures to a program compatible with Microsoft Windows SharePoint Services, such as Microsoft Office 2003.

  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. Select the check box next to each picture you want to send.
  3. Click Send To.
  4. Do one of the following:

    Send to an existing file

    1. Make sure the file is open on your computer.
    2. Under Insert into an open file, click the arrow, and then select the file you want to insert the pictures into.

      Note You can only send pictures to a file that's open in Microsoft Word or Microsoft PowerPoint.

    Send to a new file

    • Under Insert into a new, click the type of file you want to insert pictures into.
  5. Do one of the following:
    • To send pictures with the default program settings, click Send.
    • To send pictures with different program specific settings, click Options, select the settings you want, click OK, and then click Send.

    Note The options vary depending on the program you are sending the pictures to.


Select a view

Select a view
  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. Do one of the following:
    • To see all pictures in the picture library, click All Pictures.
    • To see only the pictures you have already selected, click Selected Pictures.
    • To manage picture files in Microsoft Windows Explorer view, click Explorer View.

Note When you select a view, a box highlights the display style choices that are available for that view.


View a slide show

View a slide show
  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. In the picture library, under Actions, click View Slide Show.
  3. To start a slide show, click Play Button image.
  4. To stop a slide show, click Stop Button image.
  5. To advance to the next picture, click Next Button image.
  6. To go back to the previous picture, click Back Button image.


View picture properties

View picture properties
  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. In either the All Pictures or Selected Pictures view, select the Details display style.
  3. Point to the picture you want to view the properties of.
  4. Click the arrow next to the picture title, and then click View Properties.


Edit picture properties

Edit picture properties
  1. On the top link bar, click Documents and Lists, and then click the name of the picture library that you want to open.
  2. Click the Details display style, highlight the picture whose properties you want to edit, and then click the arrow to display a drop-down menu.
  3. On the drop-down menu, click Edit Properties.
  4. Type the text you want in the available fields.
  5. Click Save and Close.


Troubleshoot picture libraries

Troubleshoot picture libraries

Viewing and managing pictures

I can't find the picture I am looking for.

A filter may be applied to the picture library, or there may be more pictures on another page. To change filtering options, click Filter in the picture library, or click Next at the bottom of the page to see more pictures.

I can see the picture properties, but I can't edit them.

Switch to the Details display style to edit properties.

I can't arrange pictures in a different order.

Pictures are displayed in alphabetical order by title. If you want to see your pictures in a different order, try renaming them.

I am having trouble uploading a large selection of pictures.

The maximum number of pictures that can be uploaded at one time is 200. Try uploading in batches of 200 or fewer pictures.

I cannot see the second page of my fax.

You can't view additional pages for multiple image file types, such as .tif files, in picture libraries.

Sharing pictures

I have a file open on my computer, but I can't send pictures to it.

Verify that file is open and does not have any alert messages waiting for a response. If it's a new file that you created but have not saved yet, save the file first.

Nothing happens when I try to send pictures to a program compatible with Microsoft Windows SharePoint Services.

Verify that the program, such as Microsoft Office, is installed correctly.

Editing pictures

I get an error message when I try to edit my pictures.

Verify that you have a Microsoft Windows SharePoint Services-compatible image editor, such as Microsoft Office Picture Manager, installed on your computer.

I finished editing my pictures, but I can't get back to my picture library to see the changes.

When you edit pictures, the image editor opens in a new browser window. Make sure not to close the original browser window, because it has a link that will take you back to your picture library when you have finished editing your pictures.


Add a news listing to the portal site

Add a news listing to the portal site

You can highlight information that is important to all portal users by using headlines for news listings. The News area of the portal site provides detailed views of news listings and news areas. A news listing can be text-based content or a link to an existing news item, such as an article on a news service.

Add a News Listing

  1. On the primary navigation bar, click News.
  2. In the Actions section of the action pane, click Add News.
  3. Complete the required fields and those optional fields you want to use, and then click OK.

Related Topics

About News
Target an item to an audience
About areas


Add a site link to the portal site and to search

Add a site link to the portal site and to search

By default, Microsoft Office SharePoint Portal Server 2003 includes the Site Directory—a directory of all sites linked to the portal site. From the Site Directory, you can view all sites currently associated with the portal site, add links to existing Web sites, and create additional Web sites based on Microsoft Windows SharePoint Services. By adding a site link, you make the site available for index and search services.

Add a Link to a Site

  1. On the primary navigation bar, click Sites.
  2. In the Actions list, click Add Link to Site.
  3. Complete the required fields and those optional fields you want to use, and then click OK.

Related Topics

Add link to existing site
About the Site Directory
About content sources


Add a Web Part to the page

Add a Web Part to the page

The pages in the portal are Web Part Pages that use Web Parts to combine list data, timely information, useful graphics, and other content into a dynamic presentation. You can customize the layout and content of a Web Part Page by adding, removing, or modifying the Web Parts on it. If the page is shared, all users in targeted audiences will see the changes. In addition, you can optionally allow each user to personalize pages. To add Web Parts, you switch to edit mode and then drag Web Parts to different zones on the page. From the Web Parts library, you can select additional Web Parts from different galleries.

Add a Web Part

  1. In the Actions list, click Edit Page.
  2. On the Modify Shared Page menu (upper-right corner), point to Add Web Parts, and then click Browse.
  3. In the task pane, select the library containing the Web Part you want to add.
  4. Under Web Part List in the task pane, drag the Web Part to a zone on the page.

Related Topics

About Web Part Pages
About Web Parts
About Web Part Page personal and shared views
Modify shared Web Parts


Change the portal site structure

Change the portal site structure

Microsoft Office SharePoint Portal Server 2003 provides flexibility in managing the area organization and portal navigation. You can quickly change the area structure to suit the needs of your organization by creating additional areas or moving areas to different areas of the portal site.

By default, SharePoint Portal Server creates several top-level areas, such as News and Topics. If you move an area to the top level under Home, the area is displayed on the primary navigation bar as a key portal area.

Change the Navigation in the Portal Site

  1. On the title bar of the portal site, click Site Settings.
  2. In the Manage Portal Content section, click Manage Portal Site Structure.
  3. Do any of the following:

    Move an existing area

    • Click the folder for the area or subarea, and then drag it onto another area's folder or onto the Home icon.

    Create an area

    1. In the Actions list, click Create Area.
    2. Complete the required fields and any optional fields you want to use.
    3. If you want the area to appear someplace other than the top Home level, in the Area pane, click Change area, select the area, and then click Save.
    4. Click OK.

Related Topics

About areas
Create or delete an area
About the portal site
About portal site management


Change the portal title, description, logo, or site creation location

Change the portal title, description, logo, or site creation location

Microsoft Office SharePoint Portal Server 2003 allows you to quickly customize the branding for your portal site. You can change the title, description, logo, and the URL for creating sites based on Microsoft Windows SharePoint Services.

Change the portal title, description, logo, or site creation location

  1. On the title bar of the portal site, click Site Settings.
  2. In the General Settings section, click Change portal site properties and SharePoint site creation settings.
  3. Complete the required fields and those optional fields you want to use, and then click OK.

Related Topics

About Web Parts
About Web Part Pages


Create an area

Create an area

Microsoft Office SharePoint Portal Server 2003 uses areas as the primary method for organizing the portal site. By default, an area inherits the security settings of its parent area and uses a specific template based on its location in the portal.

Create an area in the portal site

  1. On the Home Page, click Edit Page.
  2. In the Actions list, click Create Subarea.
  3. Complete the required fields and any optional fields you want to use.

Related Topics

Create or delete an area
About areas
About the portal site
About portal site management


Create a list in the portal site

Create a list in the portal site

You can add SharePoint lists to portal pages. A list is a collection of information that you share with others. For example, you could create a sign-up sheet for an event, a list of ideas, or a list of links to useful Web sites. You can create a custom list or select one of the predefined list types, such as a form library, contacts, tasks, discussion boards, surveys, and link lists.

You can use the lists as defined or you can modify them. You can also delete lists that you don't use. After you create the list, you can display it on the page by adding its Web Part.

Create a List

  1. From an area, in the Actions list, click Manage Content.
  2. On the Documents and Lists page, click Create.
  3. Click the type of list, library, or other feature you want to create.
  4. Complete the required fields and those optional fields you want to use.

After the list exists, you can make it appear on the page by adding its Web Part.

Related Topics

Add a Web Part to the page
About lists
About the List View Web Part
Add a list or library to an area


Create a SharePoint site from the portal site

Create a SharePoint site from the portal site

By default, Microsoft Office SharePoint Portal Server 2003 enables you to create Web sites based on Microsoft Windows SharePoint Services directly from the portal site. These sites provide a place where your team can communicate, share documents, and work together on a project. By default, each site template features a custom set of collaboration features from Windows SharePoint Services.

SharePoint Portal Server includes a diverse collection of templates to meet business needs. You can choose from several templates to create a Web site that best suits the project. For example, you can create Document Workspace sites to facilitate document collaboration, Meeting Workspace sites to facilitate meeting planning and follow-up, sites for collaborating on specific projects, and more.

You can also create personal sites, called My Site. Your personal site is created the first time you click the My Site link on the portal site Home Page.

Create a Site Based on Windows SharePoint Services in the Portal Site

  1. On the primary navigation bar, click Sites.
  2. In the Actions list, click Create Site.
  3. Complete the fields, and then click Create.

Related Topics

About the Site Directory
Add link to existing site
About SharePoint sites
About Windows SharePoint Services


Give users access to the portal site

Give users access to the portal site

When you set up a portal site, you need a way to specify who has access to it. Microsoft SharePoint Products and Technologies gives you the ability to control site access with site groups.

Site groups offer a flexible and secure method to help control access to different types of content. Users who have the same rights are grouped together in a site group, similar to a local Microsoft Windows security group. You can specify which of your users can perform specific actions in your site by assigning them to the appropriate site groups.

Assign a User to a Site Group

  1. On the title bar of the portal site, click Site Settings.
  2. In the General Settings section, click Manage users.
  3. On the Manage Users page, click Add Users.
  4. Enter the users and select the site group you want to assign them to.
  5. Click Next, and then complete the remaining fields.

Related Topics

Granting access to the portal site
Configuring portal site security
About site group security in SharePoint Portal Server


Add user information with user profiles

Add user information with user profiles

User profiles allow you to search for and connect with people within your organization. User profile information is also used to generate a personal site in the portal site for individual users. Users can personalize their view of this Web site, called My Site.

User profile information is also used by index and search services to improve search results. You can import user profile information directly from Microsoft Active Directory directory service. You also have the option to enter user information manually. The page that is used for creating a user profile can be customized to meet the needs of your organization or to map to Active Directory data.

Import user profiles

  1. On the title bar of the portal site, click Site Settings.
  2. In the User Profile, Audiences, and Personal Sites section, click Manage profile database.
  3. On the Manage Profile Database page, click Configure profile import.
  4. In the Source section of the Profile Import page, under Select users from, select the Active Directory server for the set of users you want.
  5. Complete the remaining fields.
  6. Click OK.
  7. On the Manage Profile Database page, click Start full import.

Add user profile

For users who aren't imported from Active Directory, you can add user profiles manually.

  1. On the title bar of the portal site, click Site Settings.
  2. In the User Profile, Audiences, and Personal Sites section, click Manage profile database.
  3. On the Manage Profile Database page, click Add user profile.
  4. Type values for the required properties and any optional properties you want to include for this user.
  5. On the toolbar, click Save and Close.

Add profile properties

If the default user profile page does not include all of the properties you want to show for each user, you can add additional properties.

  1. On the title bar of the portal site, click Site Settings.
  2. In the User Profile, Audiences, and Personal Sites section, click Manage profile database.
  3. In the User Profile Properties section of the Manage Profile Database page, click Add profile property.
  4. Complete the required fields and those optional fields you want to use, and then click OK.

Related Topics

Importing user profiles
Adding and editing user profiles
Adding and editing user profile properties
About user profiles
About My Site


Remove the Portal Quick Start Guide Web Part

Remove the Portal Quick Start Guide Web Part

The Portal Quick Start Guide Web Part is intended to provide an introduction to initial site configuration and management tasks. Before introducing the new portal to users, it is recommended that you remove the Portal Quick Start Guide from the default Home Page.

Note You must be a member of the Administrator site group to remove this Web Part.

Remove the Portal Quick Start Guide Web Part

  1. In the Actions list on the Home Page, click Edit Page.
  2. On the Modify Shared Page menu, verify that Shared View is selected, and then click Design This Page.
  3. Click the down arrow in the title bar of the Portal Quick Start Guide Web Part, and then click Delete.

    Note You can also choose to export the Web Part to a different location or add it to the Web Part Gallery.

  4. Click OK to close and save changes.

Related Topics

Modify Web Parts
About Web Parts
About Web Part Pages
About Web Part Page templates


Target content to an audience

Target content to an audience

Microsoft Office SharePoint Portal Server 2003 enables you to target content to specific groups of portal site users according to their membership in a particular audience. Audiences allow organizations to target content to users based on their job or task.

By default, SharePoint Portal Server includes an audience called all portal users. In addition to this audience, you can create other audiences to identify groups of portal site users, such as departments or Microsoft Windows groups. An audience can span one or more portal sites in a deployment.

After you create audiences, you can then target portal site content for viewing by one or more specific audiences. By default, you can display targeted content on the portal site Home Page and on My Site.

The process for targeting content requires that you first create an audience (unless one already exists that you can use). Then, you target an item, such as a document or news listing, to one or more audiences. You can do this at the time you create an item or at a later time. If you didn't originally create the item in a specific area, and if you didn't specify an audience, you can follow the steps below to target an item and to store it in an area that uses the Targeted Content Web Part, called Links for You.

You can also target Web Parts to audiences themselves, and this procedure is described separately.

Create an Audience

  1. On the title bar of the portal site, click Site Settings.
  2. In the User Profile, Audiences, and Personal Sites section, click Manage audiences.
  3. On the Manage Audiences page, click Create audience.
  4. Complete the required fields and those optional fields you want to use, and then click OK.

Target an Item to an Audience

  1. On the title bar of the portal site, click Site Settings.
  2. In the Portal Site Contents section, click Manage portal site structure.
  3. In the Show box, select All.
  4. In the portal site map, select an item to target.

    Note You must select a specific item, such as a document or a news listing, not an area.

  5. In the menu that appears for the item, click Edit.
  6. Click the Display tab.
  7. On the Display tab, under Audience, select the audience you want from the available audiences list, and then click Add.

    Note If the list of available audiences is long, you can type the audience name into the Find text box to go directly to the audience in the list.

  8. Click OK.

Show Targeted Items to Users

  1. On the title bar of the portal site, click Site Settings.
  2. In the Portal Site Contents section, click Manage portal site structure.
  3. Select the item you have targeted to an audience.
  4. Do one of the following:

    Show the item in the Links for You Web Part of My Site

    • Drag the targeted item to the Targeted links on My Site area or one of its subareas.

    Show the item in the News for You Web Part of My Site

    • Drag the targeted item to the News area or one of its subareas.

    Show the item on the default portal page

    • Drag the targeted item to the Home area.

Target Web Parts

  1. On the page where you want to target the Web Part, click Edit Page in the Actions list.
  2. Click Modify Shared Page at the top of the page, point to Modify Shared Web Parts, and then click the Web Part you want to target.
  3. In the pane for the Web Part, click Advanced to expand the advanced options.
  4. In the Target Audiences section, click Select.
  5. On the Select Audiences page, select an audience and click OK.

Related Topics

Use audiences to target content
Managing audiences
About audiences
Modify shared Web Parts


Rename a listing group

Rename a listing group

If the name of a group used to organize listings is no longer suitable, you can rename it.

  1. Go to an area page on the portal site. An area page is any area of the portal site other than the home page.
  2. In the Actions list, click Manage Content.
  3. On the Documents and Lists page, in the Portal Listings section, click Portal Listings.
  4. In the Views list, click Grouping and Ordering.
  5. In the Actions list, click Manage Groups.
  6. In the Group name list, point to the group you want to rename, click the arrow on the bar that appears, and then click Rename on the menu that appears.
  7. Type a new title for the group.
  8. Click OK.

Related Topics

Add a listing group
Change the order of listing groups
Delete a listing group
About grouping and ordering content in an area


Search the Site Directory

Search the Site Directory

Most views of the Site Directory have a search box that you can use to find the sites for which you are looking. This search box works like search in the rest of the portal site, but it is set up to return only the sites in the Site Directory.

Sites must be approved before they appear in search results. You can approve or reject sites from the Site Directory or from the Manage Crawls of Site Directory page in Site Settings.

Search the Site Directory

  1. On the navigation bar, click Sites.
  2. In the Search for sites box, type a word or words relating to the sites for which you are looking, and then click the green arrow to run the search.

Related Topics

Managing crawling of the Site Directory
About the Site Directory
Manage sites
Use views in the Site Directory
About search


Server Topology

Server Topology

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Share information on My Site

Share information on My Site

You can share information on the public view of your personal site. You can share links to items in the portal site, shared workspaces, and documents on the intranet.

These items are displayed in the Shared Links, Shared Workspace Sites, and Intranet Documents Web Parts on the public view of your personal site.

Add a new link to the Shared Links Web Part on the public view of your personal site

  1. In the private view of your personal site, in the My Links Summary Web Part, click Add new link.
  2. On the Add Link page, type a title and address for the link.
  3. Click New group to create a group under which to add this link, or click Existing group and then click a group in the list to add the item to that group.
  4. Select the Share on public view of My Site check box.
  5. Click OK.

Add an existing link to the Shared Links Web Part on the public view of your personal site

  1. In the private view of your personal site, in the My Links Summary Web Part, click Manage Links.
  2. On the My Links page, select the link that you want to make public, click the arrow next to the link, and then click Edit.
  3. On the Edit My Link page, select the Share on public view of My Site check box.
  4. Click OK.

Add a site to the Shared Workspace Sites Web Part on the public view of your personal site

  1. On the navigation bar of your personal site, click Documents and Lists.
  2. On the Documents and Lists page, click Create.
  3. On the Create Page page, in the Web Pages section, click Sites and Workspaces.
  4. Follow the instructions on the page to complete the form and create the site.

Add an intranet document to the Recent Documents Web Part on the public view of your personal site

  • The most recent five documents, lists, or sites that you viewed appear automatically on this list.

Related Topics

  • Use the private view of My Site
  • Use the public view of My Site
  • Modify pages on My Site
  • Use My Site
  • About My Site


Show Targeted Items to Portal Site Users

Show Targeted Items to Portal Site Users

To show targeted listings to users on the portal site, you must add the listings to one of the portal site's areas that uses the Targeted Content Web Part.

You can display targeted listings in three ways:

  • Any listings can be displayed in the Links for You Web Part on My Site.
  • News listings can be displayed in the News for You Web Part on My Site.
  • Any listings can be displayed on the default home page of the portal site.

Whether individual users see listings targeted to these locations depends on whether the users are members of the audience to which the listings are targeted.

Show targeted listings to portal site users

Show listings on the Links for You Web Part on My Site.

  1. On the title bar of the portal site, click Site Settings.
  2. In Site Settings, in the Portal Site Content section, click Manage targeted links on My Site.
  3. Click Add Listing.
  4. In the Title and Description section, type a title and description for the listing.
  5. In the Content section, click Existing listing and type the address for the listing.
  6. Optionally, in the Group section, select a group from the dropdown menu.
  7. Optionally, in the Image section, type the URL for a picture to use for this listing.
  8. In the Audience section, click the audience you want from the available audiences list, and then click Add.

    Note If the list of available audiences is long, you can type the audience name into the Find text box to go directly to the audience in the list.

  9. Click OK.

For more information on this page, see Managing Targeted Content for My Site.

Show a person on the Links for You Web Part on My Site.

  1. On the title bar of the portal site, click Site Settings.
  2. In Site Settings, in the Portal Site Content section, click Manage targeted links on My Site.
  3. In the Actions list, click Add Person.
  4. In the Name and Description section, type a name and description for the person.
  5. Optionally, in the Group section, select a group from the dropdown menu.
  6. In the Audience section, click the audience you want from the available audiences list, and then click Add.

    Note If the list of available audiences is long, you can type the audience name into the Find text box to go directly to the audience in the list.

  7. Click OK.

For more information on this page, see Managing Targeted Content for My Site.

Show the listing in the News for You Web Part on My Site.

  1. On the title bar of the portal site, click Site Settings.
  2. In the Portal Site Content section, click Manage portal site structure.
  3. In the Show list, click All.
  4. Select the listing that you have targeted to an audience.
  5. Drag the icon of the targeted listing to the News area or one of its subareas.

    Note After you have dragged the listing, the page will refresh. Dragging a listing to a new area moves the listing. To add a link to the listing in the new location without removing the listing from its old location, click the new area and then click Add Listing.

Show the listing on the default portal site page.

  1. On the title bar of the portal site, click Site Settings.
  2. In the Portal Site Content section, click Manage portal site structure.
  3. In the Show list, click All.
  4. Select the listing that you have targeted to an audience.
  5. Drag the icon of the targeted listing to the Home area.

    Note After you have dragged the listing, the page will refresh. Dragging an item to a new area moves the listing. To add a link to the listing in the new location without removing the listing from its old location, click the new area and then click Add Listing.

If the listing is already in one of these locations, then you may not have to move the listing. To make sure that the listing appears in the location that you intend, see Target an Item to an Audience.

Target Web Parts

  1. On the page where you want to target the Web Part, click Edit Page in the Actions list.
  2. Click Modify Shared Page at the top of the page, point to Modify Shared Web Parts, and then click the Web Part you want to target.
  3. In the pane for the Web Part, click Advanced to expand the advanced options.
  4. In the Target Audiences section, click Select.
  5. On the Select Audiences page, select an audience and click OK.

Related Topics

Creating and Editing Audiences
Deleting Audiences
Target an Item to an Audience
Modify shared Web Parts
About audiences


About Backing Up Site Collections

About Backing Up Site Collections

With Microsoft Windows SharePoint Services, you can back up and restore site collections hosted on your server or server farm. You can use this backup and restore method to replace a site collection that has become corrupted, or that contains changes that need to be rolled back (for example, if you need to recover a list or a list item that was deleted accidentally). This backup and restore method is not dependent on the type of database server that you are using.

If you need to back up a specific site, rather than a whole installation of Windows SharePoint Services, you can do so by using the backup and restore operations with the Stsadm.exe command-line tool.

Note With Microsoft Office SharePoint Portal Server 2003, the Stsadm.exe command-line tool can be used only to back up and restore non-portal site collections (sites created with the Site Directory feature, for instance) to other URLs. Portal site collections and personal sites can be moved only by using the SharePoint Portal Server 2003 backup and restore tools.

When you back up a site collection, you back up the content database for the site collection, including all pages in the site, files in document libraries or lists, security and permission settings, and feature settings. The backup process creates a single file that contains all of this data. You can then restore your site collection to either the same location, or to a new location. The backup file for a site includes any subsites of the site collection.

You must be a member of the server computer's Administrators group to back up or restore a site.

About Site Backup and Restore

Site backup and restore is intended to help you reconnect sites that have become corrupted or that need to be restored to a previous state. This process is not intended for moving a site to a new server. If you want to move a site, use the Microsoft SharePoint Migration Tool (Smigrate.exe), instead. For more information, see About migrating Web sites.

When using site backup and restore, keep the following in mind:

  • You can automate the backup process by using a batch file, script, or the Windows Scheduled Tasks control panel.

    You can use the object model to include the backup operation in a scripted procedure. For more information, see the Microsoft Windows SharePoint Services Software Development Kit.

  • Site backup and restore affects performance.

    The process of backing up and restoring sites uses both memory and processing power on your server. If you choose to schedule automatic backups in a batch file or script, be sure to run the backup process when server usage is light.

  • Sites with duplicate names cannot be restored.

    This could be a problem in the following situation: If you have two virtual servers, with separate content databases for each virtual server that are listed only by relative paths in the configuration database, the site names may conflict. For example, if the configuration database lists the site names without the http://server_name prefix, you could have several sites that use the same path. For example, http://server_1/sites/site1 and http://server_2/sites/site1 could both be listed in the configuration database as /sites/site1, even though they are on separate virtual servers. In this case, the sites will not be restored correctly, and you will see an error in the restore log file.

  • You must have the appropriate language packs installed to successfully restore a site.

    If a site that you are restoring to a new server used a specific language pack, you must add the language pack to the new server before restoring the site. You can also update the new server with the language pack after you restore. If you do not add the language pack, users who browse to the site or any subsites will see a "file not found" error.

Related Topic

About migrating Web sites


About Domain and Active Directory Account Modes

About Domain and Active Directory Account Modes

Every Web site has users, and part of your job as administrator is to make sure that the users of a Web site have the appropriate rights to use the site. To grant access to a site, users must be added to the site (either individually or as part of a cross-site group) and assigned to a site group. In Microsoft Windows SharePoint Services, users and cross-site groups can be added by using one of two modes:

  • Domain account mode Used inside organizations to grant access to users with existing domain accounts
  • Active Directory account mode Used by Internet service providers to create unique accounts for customers

Note Microsoft Office SharePoint Portal Server 2003 does not support Active Directory account mode. Domain account mode is configured for all Web site collections created by SharePoint Portal Server 2003.

About Domain Account Mode

If you are using Windows SharePoint Services inside an organization that uses Microsoft Windows domain accounts, you can use domain account mode for user and cross-site group accounts. With domain account mode, you add users and cross-site groups to your site by using their existing domain account information, including their user names and e-mail addresses. Domain account mode is the standard mode for Windows SharePoint Services. Note that you can use the Active Directory directory service to manage domain accounts — the difference between the modes is the type of account that you use, not the tool that you use to manage them.

Related Topics

About cross-site groups
Add a user to a cross-site group
Create, edit, or delete a cross-site group

See Also

Microsoft Windows SharePoint Services Administrators Guide


Microsoft Office SharePoint Portal Server 2003 Administrator's Guide Copyright Information

Microsoft Office SharePoint Portal Server 2003 Administrator's Guide Copyright Information

Microsoft® Office SharePoint™ Portal Server 2003 Administrator's Guide Copyright Information

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, logos, people, places and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, place or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2001-2003 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows NT, Active Directory, FrontPage, InfoPath, MSDN, Outlook, PowerPoint, and SharePoint are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.


Microsoft Office SharePoint Portal Server 2003 Copyright Information

Microsoft Office SharePoint Portal Server 2003 Copyright Information

Microsoft® Office SharePoint™ Portal Server 2003 Copyright Information

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, logos, people, places and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, place or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2001-2003 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows NT, Active Directory, FrontPage, InfoPath, MSDN, Outlook, PowerPoint, and SharePoint are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.


Creating or Editing an Application Definition

Creating or Editing an Application Definition

For information about completing your task, click the following links:

  • Creating an Application Definition
  • Editing an Application Definition

If you don't see what you're looking for, you can find more information by clicking Home.


Managing the Configuration Database

Managing the Configuration Database

Microsoft Windows SharePoint Services uses a database to store configuration and site mapping information for your server computer, the virtual servers on your server computer, and for servers in a server farm. This database is called the configuration database. You need one configuration database for your server farm, whether your server farm is one server computer with everything on it, or several server computers.

If you install Windows SharePoint Services on a single server using Microsoft SQL Server 2000 Desktop Engine (Windows) (WMSDE), the configuration database is created for you. If you install Windows SharePoint Services in a server farm environment, or with Microsoft SQL Server, the installation ends without creating a configuration database, and you must create the database using HTML Administration pages or the command line.

Using HTML Administration to Create or Connect to a Configuration Database

When you install Windows SharePoint Services without installing WMSDE, the setup program ends by opening Central Administration and displaying a page where you specify the application pool to use for administration tasks. After you specify the application pool, you go to the Set Configuration Database Server page where you specify whether to use existing domain accounts or use Active Directory directory service to create user accounts, and create the configuration database. For more information about account types, see "Managing Users and Cross-Site Groups" in the Windows SharePoint Services Administrator's Guide.

Create a configuration database after setting up Windows SharePoint Services
  1. When Setup finishes, you are taken to the Configure Admin Virtual Server page.
  2. In the Application Pool section, select Use an existing application pool or Create a new application pool.
    • If you selected Use an existing application pool, select the application pool to use.
    • If you selected Create a new application pool, under Application pool name, type a name for the application pool, and under Select a security account for this application pool, select a type, and then enter the required information.

      Note that if you select Configurable, be sure to specify an account that is a member of the Security Administrators and Database Creators roles for the SQL Server database. It is recommended that you use a dedicated account for this account, rather than a user's logon account. Also, it is recommended that you use the same account for each application pool that hosts the same content.

    • Click OK.

    After you configure the administrative virtual server, you must restart Internet Information Services (IIS), by typing iisreset on the command line. After IIS is reset, you can click the link on the Application Pool Changed page to continue configuring Windows SharePoint Services.

  3. After IIS has been restarted, on the Application Pool Changed page, click OK.
  4. On the Set Configuration Database Server page, in the Configuration Database section, enter the server name and database name to use.
  5. Under Database connection type, select Use Windows authentication (more secure, recommended) or Use SQL authentication (less secure).

  6. If you selected Use SQL authentication (less secure), you must also type the database account user name and password.

  7. In the Active Directory Account Creation section, select one of the following options:
    • If you are using a Microsoft Windows domain, select Users already have domain accounts. Do not create active directory accounts.
    • If you are using Active Directory directory service outside of a Windows domain, select Automatically create active directory accounts for users of this site.

  8. If you selected Automatically create active directory accounts for users of this site, you must fill in the Active Directory Domain and Organization Unit information.

  9. Click OK.

If you already have a configuration database for your server farm, you can use the Set Configuration Database Server page to connect to the existing configuration database. You must connect to the configuration database whenever you add a server to a server farm, and before you can extend any virtual servers on that server.

Connect to a configuration database
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Server Configuration, click Set configuration database server.
  3. In the Configuration Database section, enter the server name and database name for the existing configuration database.
  4. Under Database connection type, select Use Windows authentication (recommended security level) or Use SQL authentication (less secure).

  5. If you selected Use SQL authentication (less secure), type the database account user name and password.

  6. Select the Connect to existing configuration database check box.
  7. Click OK.

Using the Command Line to Create or Connect to a Configuration Database

You use the same operation on the command line to create or connect to a configuration database. The setconfigdb operation allows you to perform either action, depending on the parameters you include. The setconfigdb operation takes the following required parameters: databaseserver (ds), databaseuser (du), and databasepassword (dp). (Note that the -du and -dp parameters are only required if you are using SQL Server authentication; they are not used with Windows authentication.) In addition, you can use the following optional parameters: connect, databasename (dn), and hh, which specifies that you are in server farm mode.

To create a new configuration database and specify a name for the database, you would use the following syntax:

stsadm -o setconfigdb -ds <database server> -dn <database name>
-du <database user> -dp <database user password> -hh

For example, to create a new configuration database called "config1" at http://mydomain, on the Sql_02 database server, using Windows authentication, you would type:

stsadm -o setconfigdb -ds mydomain -dn config1

To connect to an existing configuration database, you would use syntax similar to the following:

stsadm -o setconfigdb -connect -ds <database server>
-dn <database name> -du <database user>
-dp <database user password>

Related Topics

After you have set up the configuration database, you can begin extending virtual servers. For more information, see Extending Virtual Servers.

For more information about using the setconfigdb operation, see Command-Line Operations.


Managing Alerts

Managing Alerts

Because Web sites based on Microsoft Windows SharePoint Services are meant to help groups of users work together, they tend to grow quickly and change often. Keeping up with these changes can be difficult for users, especially if they aren't checking on the site every day. To help users stay in touch with changes on a site, Windows SharePoint Services includes a feature called Alerts, an e-mail notification service. When documents, lists, or items in a list on a server running Windows SharePoint Services are created, modified, or deleted, users who sign up for alerts receive messages informing them that changes have been made.

Note In SharePoint Team Services v1.0 from Microsoft, alerts were called Web subscriptions, but the functionality has not changed significantly.

Users can create alerts to track items within a site, such as:

  • Lists — Users are notified of changes to the list, such as when an item is added, deleted, or changed in a list.
  • List items — Users are notified of changes to a particular item in a list.
  • Document libraries — Users are notified of changes to the document library, such as when a document is added, deleted, or changed in a document library or when Web discussions are added, changed, deleted, closed, or activated for a document.
  • Documents — Users are notified of changes in a particular document or when Web discussions are added, changed, deleted, closed, or activated for a document.

Important Before alerts can work for a particular site, the e-mail server settings must be configured at the server or virtual server level. For more information, see Configuring E-Mail Settings.

When a user creates an alert for one of these items, he or she can specify what types of events will trigger an alert. Alerts can be generated whenever a document or list item is added, updated, or deleted in a document library or list, or when a Web discussion on a document or list changes. A user can specify one of these events, or select all of them to be notified whenever anything changes on the list, list item, document, or document library they want to track.

Users also have the ability to decide how often they want to receive alerts: immediately, daily, or weekly. Immediate alerts are sent as individual e-mail messages, and daily or weekly alerts are combined into summary messages for the entire Web site.

Users can change their alerts by using the My alerts on this site link on the Site Settings page of their Web site.

Note A user must have the View Items right (included in the Contributor site group by default) to sign up for alerts.

Customizing the Message Text for Alerts

For Windows SharePoint Services, you can customize the contents of the alert messages. Keep in mind that while you can alter the contents of the message, there is still no mechanism for identifying and extracting exact text changes within a document or list item. You can, however, customize the text in the message and re-order, add, and remove fields from the message.

Note You must be an administrator on the local server computer to edit the XML templates for Windows SharePoint Services.

The message text for immediate, daily, and weekly alerts is based on content in a series of XML templates on the server computer. To customize the message text, you must edit the XML templates that contain the message text. The templates are stored on the front-end Web server at \\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\Template\LCID\XML, where LCID is the locale ID. The templates that contain message text for alerts are described in the following table.

Template name | Description | Text and fields may include
notifsitehdr.xml | The header text used for each e-mail alert | Header information (such as site URL), message title information (such as Daily or Weekly Summary), and item information.
notiflisthdr.xml | The list header text | Summary information for daily or weekly changes to a list.
notifitem.xml | The event information | Body text for e-mail messages, including the text and placeholders "item in list has been changed by name at time."
notifsiteftr.xml | The footer text used for each e-mail alert | Footer information, including the string "Click here to manage alert settings."

Caution Editing any of the XML templates for Windows SharePoint Services can break the templates and, consequently, break the mechanism for sending alerts. Be sure to edit only the message text in the template and keep a backup copy of the original templates in case you need to revert to the originals. For more information about customizing XML templates, see the Windows SharePoint Services Software Development Kit.

You can edit the XML templates to include any of the following tags:

Tag | Description
SiteUrl | The full URL to the site.
SiteName | The name of the site.
SiteLanguage | The locale ID (LCID) for the language used in the site. For example, 1033 for U.S. English.
AlertFrequency | Immediate (0), Daily (1), or Weekly (2).
ListUrl | The full URL to the list.
ListName | The name of the list.
ItemUrl | The full URL to the item.
ItemName | The name of the item.
EventType | ItemAdded (1), Item Modified (2), Item Deleted (4), DiscussionAdded (16), Discussion Modified (32), Discussion Deleted (64), Discussion Closed (128), Discussion Activated (256).
ModifiedBy | The name of the user who modified an item.
TimeLastModified | The time the item was last modified.
MySubsUrl | The full URL to the My Alerts on this Site page in Site Settings.

Note In the XML templates, you use numerical values instead of text to specify frequency and event types. So, if you want to set the AlertFrequency to weekly, you would use the value 2 in the template, rather than typing "weekly."

You can use any XML editing tool, such as Notepad, to edit the templates. Keep in mind that any changes you make to this message text are used for all alert messages sent to all users of your server. If you are in a server farm environment, you must edit the templates on each server in the server farm, or copy the edited templates to each server in the server farm. You must be an administrator of the local server computer to edit the XML templates for Windows SharePoint Services.

Configuring and Managing Alerts

You can view alerts for a Web site or subsite and delete alerts that are no longer needed.

If you are a server administrator or a member of the SharePoint administrators group, you can also use SharePoint Central Administration pages to configure settings for alerts, such as the following:

  • View alert settings.
  • Turn alerts on or off.
  • Specify how many alerts users can create.

You can also use the Stsadm.exe command-line tool to configure alert settings if you are a server administrator. Using the command line, you can:

  • Turn alerts on or off.
  • Specify how many alerts users can create.

Alerts use the Windows SharePoint Services e-mail settings to send alert items. When you configure alert settings, be sure that you also double-check the e-mail settings for your virtual server. For more information, see Configuring E-Mail Settings.

Important When you remove a user from a Web site, site group, or cross-site group after he or she has created alerts, you must manually delete any alerts that he or she has set up. This is also true for any lists or libraries where you change security settings to limit access. If a user has set up alerts for the list or library, he or she will continue to receive them after you change the security settings. It is important to delete these alerts to prevent unauthorized users from having access to site and user information.

Managing Alerts for a Web Site

You can use HTML Administration pages to view and delete alerts on your site. To manage alerts, you use the Manage User Alerts page in the Site Administration pages.

Manage alerts
  1. On the Site Settings page for the Web site, under Administration, click Go to Site Administration.
  2. Under Management and Statistics, click Manage user alerts.
  3. On the Manage User Alerts page, select a user name in the Display alerts for ___ box, and then click Update.
  4. To delete an alert, select the check box next to the alert, and then click Delete Selected Alerts.

Configuring Alerts for a Virtual Server

You can also change alert settings for a virtual server. Changes you make on the virtual server affect all Web sites under that virtual server. To change settings for a virtual server, you use commands on the Virtual Server Settings page. You must be a member of the SharePoint administrators group or an administrator of the local computer to change virtual server settings.

Configure alerts for a virtual server
  1. On the server that contains the virtual server, click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  5. In the Alerts section, next to Alerts on this server are, click On or Off.
  6. Under Maximum number of alerts that a user can create, specify whether users can have a limited or unlimited number of alerts.
    • If you want to limit the number of alerts users can create, specify the number of alerts a user can create.
    • If you want users to be able to create as many alerts as they like, select Unlimited number.
  7. Click OK.

Using the Command Line to Configure Alerts

You can manage alerts from the command line by using the GetProperty and SetProperty operations with Stsadm.exe. You can set the following properties to configure how alerts work.

Property | Description
alerts-enabled | Turn alerts on or off.
alerts-limited | Specify whether users are limited to a specific number of alerts.
alerts-maximum | Specify the maximum number of alerts users can create.
job-immediate-notification | Specify how often to check for immediate alerts (in minutes).
job-daily-notification | Specify the time of day (using a 24-hour clock) to send out daily alerts.
job-weekly-notification | Specify the day of the week and time of day (using a 24-hour clock) to send out weekly alerts.

The following example shows the syntax to use to turn off alerts:

stsadm.exe -o setproperty -p <port> -pn alerts-enabled
-pv false

Related Topics

For more information about using the administration tools or setting properties on the command line, see "Introducing the Administration Tools for Windows SharePoint Services" in the Windows SharePoint Services Administrator's Guide and Command-Line Properties.

The Alerts feature relies on the e-mail settings and timer service settings you configured for your server or virtual server. For more information about configuring e-mail settings, see Configuring E-Mail Settings. For more information about Microsoft SharePoint Timer Services, see Scheduling Timed Jobs.


Analyzing Web Site Usage

Analyzing Web Site Usage

If you want to know what kind of impact your Web site has, you need to track how many users visit your site, the type and number of hits your site receives, and other site-usage information. Microsoft Windows SharePoint Services includes features that analyze the usage of your site. Summary and detailed usage reports supply information such as:

  • Number of page hits for each individual page
  • Number of unique users
  • Browser and operating system information
  • Referring domains and URLs

Tracking usage information can be useful for identifying which content on your site is being heavily used (and therefore should be kept) and which content is not being heavily used (and may be a candidate for archiving). In addition to site usage statistics, you can also keep track of how much storage space your site is taking up, and the level of activity your site is generating. This information is gathered as part of the quota tracking for sites. For more information about quotas, see "Configuring Site Quotas and Locks" in the Windows SharePoint Services Administrator's Guide.

The usage reports rely on usage log data gathered from the Web sites and stored in the content databases for each virtual server. The log data is a summary record of transactions on your Web site. When you view a usage report in Windows SharePoint Services the data is arranged into a list format. You must be a member of the administrator role (or have the View Usage Data right) for a site in order to view the site usage statistics.

You can view usage data about a site from the Site Administration page.

View site usage data
  1. On the site you want to view data for, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Management and Statistics, click View site usage data.

From the Site Usage Report page, you can see detailed usage reports for sites. If you want to see a summary of usage information for an entire site collection at the same time, you can use the Site Collection Usage Summary page.

View usage summary for a site collection
  1. On the top-level Web site of the site collection, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Administration, click View site collection usage summary.

You can also view the details reports about storage by using the Storage Space Allocation link on the Site Collection Usage Summary page.

Related Topics

For more information about changing settings for usage analysis processing, see Configuring Usage Analysis.

For more information about managing quotas, see "Configuring Site Quotas and Locks" in the Windows SharePoint Services Administrator's Guide.


Glossary

Glossary
A | B | C | D | E | F | H | I | J | L | M | N | P
Q | R | S | T | U | V | W
A
Back to top
access control list (ACL)
Contains a list of users or groups and their security permissions. Identifies who can update, modify, or delete an object on a computer or resource on the network.
Active Server Pages (ASP pages)
Technology that allows Web developers to combine scripts and HTML code to create dynamic Web content and Web-based applications.
administration port
The Internet Information Services (IIS) virtual server and port used for SharePoint Central Administration.
alert
A feature that notifies a user by e-mail when there is a change to an item, document, list, or document library on the Web site. For example, a user can create an alert to receive an e-mail message whenever a document is updated in a specific document library. Note This feature was previously called subscription.
Anonymous authentication
Authentication method that provides access to users who do not have user accounts on the server computer.
Anonymous user access
The ability to gain access to a Web server on which one does not have an account. Usually, anonymous users have more restricted access rights than users with accounts.
application pool
In Internet Information Services (IIS), a group of one or more URLs served by a worker process.
B
Back to top
Basic authentication
Authentication protocol supported by most Web servers and browsers. Transmits the user name and password in clear text.
C
Back to top
cache
A special memory subsystem in which frequently used data values are duplicated for quick access.
Certificate authentication
Also known as Secure Sockets Layer. Authentication method that provides security for TCP/IP connections.
character set
A grouping of alphabetic, numeric, and other characters that have some relationship in common. For example, the standard ASCII character set includes letters, numbers, symbols, and control codes that make up the ASCII coding scheme. See also code page.
check in
Releases the lock for editing and enables other users to view the updated file or check out the file.
check out
Enables users to lock a file while editing it to prevent others from overwriting or editing it inadvertently. Only the user who checks out a document can edit the document.
clear text
Unencrypted, non-machine dependent, ASCII text in readable form.
code page
Ordered set of characters in which a numeric index (code point) is associated with each character of a particular writing system. There are separate code pages for different writing systems, such as Western European and Cyrillic.
code point
Numeric value in Unicode encoding or in a code page; corresponds to a character. In the Western European code page, 132 is the code point for the character ä; however, in another code page, the code point 132 might correspond to a different character.
Common Gateway Interface (CGI)
A standard method of extending Web server functionality by executing programs or scripts on a Web server in response to Web browser requests, such as in form processing. Use of CGI can make a Web page more dynamic.
configuration database
The SQL Server or MSDE database that contains the configuration information for a Windows SharePoint Services server or server farm.
configuration property
A property that allows an administrator to control Windows SharePoint Services settings.
connection type
The type of Web Part connection, such as Provide Row To, which passes a row of data from one Web Part to another Web Part, or Get Filter From, which gets a value from one Web Part and filters the data in another Web Part based on that value.
content database
The SQL Server or MSDE database that contains the content for one or more SharePoint sites.
cross-site group
A custom security group that applies to more than one Web site. A cross-site group can be assigned to a site group as if it was a single user.
D
Back to top
Digest Access authentication
Authentication method that transmits user names and passwords in a secure format.
discussion server
A computer that stores discussion text and information about the location of the file being discussed.
discussion thread
In a discussion board or Web discussions, a series of messages or comments in which replies to a message or comment are nested directly under it, instead of the messages or comments being arranged in chronological or alphabetical order.
document library
A folder where a collection of files is stored and the files often use the same template. Each file in a library is associated with user-defined information that is displayed in the content listing for that library.
Document Workspace site
A Web site based on the Document Workspace template that workspace members use for discussing, editing, and working together on a document.
E
Back to top
encryption
Method used to scramble the content of a file or data packet to make the data unreadable without the decryption key.
encryption key
An encryption key allows credentials information to be encrypted or decrypted.
encryption, 128-bit
High level of encryption. Uses a 128-bit key to scramble the contents of a file or data packet to make the data unreadable without the decryption key.
encryption, 40-bit
Low level of encryption. Uses a 40-bit key to scramble the contents of a file or data packet to make the data unreadable without the decryption key.
extend
The process of applying Windows SharePoint Services to a virtual server.
extranet
An external Web site for an organization; usually secured so that only authorized users can gain access to it.
F
Back to top
file allocation table (FAT)
Common file format of file cataloging for DOS and Windows operating systems; physical method of storing and accessing files from a hard disk. The FAT contains a list of all files on the physical or logical drive.
File Transfer Protocol (FTP)
Protocol used to gain remote access to a Web server.
firewall
A security system that uses a proxy server outside of an organization's network to protect the network against external threats, such as from malicious users or corrupt files.
FrontPage Server Extensions
A set of programs and scripts that support authoring in Microsoft Office FrontPage and extend the functionality of a Web server.
full-text search index
An index that allows users to perform a full-text search on a Web site.
H
Back to top
home page
Main page of a Web site. Usually has hyperlinks to other pages, both inside and outside the site.
hyperlink
Colored and underlined text or a graphic that you click to go to a file, a location in a file, an HTML page on the World Wide Web, or an HTML page on an intranet. Hyperlinks can also go to newsgroups and to Gopher, Telnet, and FTP sites.
I
Back to top
Integrated Windows authentication
Also known as Windows NT Challenge/Response authentication. Authentication method that encrypts user names and passwords in a multiple transaction interaction between client and server.
Internet
A worldwide network of computers. If you have access to the Internet, you can retrieve information from millions of sources, including schools, governments, businesses, and individuals.
Internet Information Services (IIS)
Software services from Microsoft that support Web site creation, configuration, and management, along with other Internet functions. Internet Information Services include Network News Transfer Protocol (NNTP), File Transfer Protocol (FTP), and Simple Mail Transfer Protocol (SMTP).
intranet
An internal Web site for an organization.
ISAPI
Internet Server Application Programming Interface. A Web server application-development interface, developed by Process Software and Microsoft, that can be used in place of CGI.
J
Back to top
JScript
An object-based scripting language distantly and loosely related to Java. JScript code is inserted directly into an HTML page.
L
Back to top
list
A Web site component that stores and displays information that users can add to by using their browsers. Requires a Web server that is running Windows SharePoint Services.
local administrators group
The group of users who have permission to perform administration tasks on the local server computer. The permissions for this group are set by using the administration tools for the operating system.
locale ID (LCID)
A 32-bit value defined by Windows that consists of a language ID, sort ID, and reserved bits. Identifies a particular language. For example, the LCID for U.S. English is 1033 and the LCID for Japanese is 1041.
M
Back to top
Meeting Workspace site
A Web site based on a Meeting Workspace site template that is used for planning, posting, and working together on meeting materials, and following up after a meeting or series of meetings.
Microsoft Data Engine (MSDE)
A data store based on Microsoft SQL Server technology, but designed and optimized for use on smaller computer systems, such as a single user computer or a small workgroup server. Also known as Microsoft SQL Server Desktop Engine.
multihosting
The ability of a Web server to support more than one Internet address and more than one home page. Also called multihoming.
N
Back to top
network domain name
A group of users in a network who share a common set of shared resources, such as server disk drives and printers. A large network may have several domains based upon the needs of each set of users.
NTFS file system
Designed exclusively for use with the Windows NT and later operating systems. NTFS allows for stronger security and more flexible file management methods than does FAT. See also file allocation table (FAT).
P
Back to top
personal view
A view of a list, SharePoint document library, or Web Part Page that is available only to a particular user. The personal view of a Web Part Page uses a combination of shared property values and personalized property values. Changes made to a personal view apply only to the list, library, or page in that view and are therefore visible to that user only.
personalized Web Part
A shared Web Part that has been modified by a user in personal view. The changes made to a Web Part personalized in this way are visible only to the user who made those changes.
private Web Part
A Web Part added to a Web Part Page by a user who is working on the page in personal view. Private Web Parts are available only to the user who added or imported the Web Part.
Q
Back to top
quiet installation
Also known as unattended installation. An installation run by using the /q command-line option that runs without generating any user prompts.
quota
A way to specify limits to the amount of storage or number of users a Web site can use.
quota template
The specific set of quota limits to apply to a site or to all sites on a virtual server.
R
Back to top
remote host
A Web server on a separate server computer. A remote host is connected to other servers by way of a network connection.
rights
File and folder-level permissions that allow access to a Web site.
role
See site group.
S
Back to top
scripting language
A programming language designed specifically for Web site programming. Examples include JScript and Microsoft Visual Basic Scripting Edition (VBScript).
Secure Sockets Layer (SSL)
A proposed open standard that was developed by Netscape Communications for establishing a secure communications channel to prevent the interception of critical information, such as credit card numbers.
server farm
A centralized grouping of network servers maintained by an enterprise or, often, an Internet service provider (ISP). A server farm provides a network with load balancing, scalability, and fault tolerance. Individual servers may be connected in such a way that they appear to represent a single resource.
Setupsts.exe
Setup program for Windows SharePoint Services.
shared view
A view of a list, document library, or Web Part Page that every user with the appropriate permissions on a site can see. The shared view of a Web Part Page uses shared property values. Changes made to a shared view apply to the list, library, or page as it appears to all users.
shared Web Part
A Web Part added to a Web Part Page by a user who is working on the page in shared view. Shared Web Parts are available to all users of a Web Part Page who have the appropriate permissions.
site
A group of related Web pages that is hosted by an HTTP server on the World Wide Web or an intranet. The pages in a Web site generally cover one or more topics and are interconnected through hyperlinks. Most Web sites have a home page as their starting point.
site collection
A set of Web sites on a virtual server that have the same owner and share administration settings. Each site collection contains a top-level Web site and can contain one or more subsites. There can be multiple site collections on each virtual server.
site group
Site groups are custom security groups that apply to a specific Web site. Users are assigned to site groups to grant them permissions on a SharePoint site.
SMTP mail server
An e-mail server that uses the Simple Mail Transfer Protocol (SMTP). SMTP is a member of the TCP/IP suite of protocols that governs the exchange of electronic mail between message transfer agents.
SQL Server computer
A computer with an installed configuration of Microsoft SQL Server with a configured database.
static Web Part
A Web Part added to a Web page (.aspx) and that is not in a Web Part zone.
subsite
A named subdirectory of the top-level Web site that is a complete Web site. Each subsite can have independent administration, authoring, and browsing permissions from the top-level Web sites and other subsites.
survey
A Web site component that enables users to respond to a set of questions specified by the creator of the survey. Results are tallied in a graphical summary. Requires a Web server that is running Windows SharePoint Services.
T
Back to top
Telnet
Method used to gain remote access to a UNIX Web server.
tool pane
A task pane on a Web Part Page used to browse, search for, and import Web Parts from Web Part galleries, and to modify custom and common Web Part properties.
tool part
A control in the tool pane that allows users to set properties, execute commands, invoke wizards, and manipulate Web Parts on a Web Part Page.
top-level Web site
The default, top-level site provided by a Web server or virtual server. To gain access to the top-level Web site, you supply the URL of the server without specifying a page name or subsite.
U
Back to top
Uniform Resource Locator (URL)
An address that specifies a protocol (such as HTTP or FTP) and a location of an object, document, World Wide Web page, or other destination on the Internet or an intranet. Example: http://www.microsoft.com/.
usage analysis
Data collected to evaluate how a Web site is being used, such as visitor user names, number of visits to each page, and the types of Web browsers used.
user locale
Setting that determines formats and sort orders for date, time, currency, and so on. Also known as regional settings.
V
Back to top
vCard
The Internet standard for creating and sharing virtual business cards.
versioning
Document and picture versioning creates a backup copy of a file whenever it is saved to the library.
virtual server
A virtual computer that resides on an HTTP server but appears to the user as a separate HTTP server. Several virtual servers can reside on one computer, each capable of running its own programs and each with individualized access to input and peripheral devices. Each virtual server can have its own domain name and IP address.
Visual Basic Scripting Edition (VBScript)
A subset of the Visual Basic for Applications programming language optimized for Web-related programming. As with Microsoft JScript, code for VBScript is embedded in HTML documents.
W
Back to top
Web address
The path to an object, document, file, page, or other destination. An address can be a URL (Web address) or a UNC path (network address), and can include a specific location within a file, such as a Word bookmark or an Excel cell range. Also known as address.
Web discussion
Comments that users attach to Web pages and documents. Known as Web discussions to differentiate from discussion boards. Requires a Web server that is running SharePoint Team Services or Windows SharePoint Services.
Web farm
See server farm.
Web Part
A modular unit of information that consists of a title bar, a frame, and content. Web Parts are the basic building blocks of a Web Part Page. A Web Part is the combination of a Web Part Description file (.dwp) and a Web Part assembly file (.dll). All Web Parts are based on Web Custom Controls.
Web Part description file (.dwp)
An XML file that defines default property settings for installing a Web Part, including references to any other files required to run and display the part.
Web Part Page
A special type of Web page that contains one or more Web Parts. A Web Part Page consolidates data, such as lists and charts, and Web content, such as text and images, into a dynamic information portal built around a common task or special interest.
Web server
A computer that hosts Web pages and responds to requests from browsers. Also known as an HTTP server, a Web server stores files whose URLs begin with http://.
workspace site
A subsite based on the Shared Workspace or Meeting Workspace site templates.


Target an item to an audience

Target an item to an audience

To target an item to an audience, you must edit the display properties of the item in the portal site map to select the audience or audiences to which to target the item.

  1. On the navigation bar of the portal site, click Site Settings.
  2. In the Portal Site Content section, click Manage portal site structure.
  3. On the Portal Site Map page, click the arrow next to Show on the toolbar, and then click All to change the default view to show all items.
  4. Select an item to target.

    Note You must select a specific item, such as a document or news item. Selecting an area does not work, as content is targeted by item and not by area.

  5. Click the arrow next to an item to select it. In the drop-down menu that appears, click Edit.
  6. Click the Display tab to select an audience.
  7. On the Display Properties page, in the Audience section, click the audience you want from the available audiences list, and then click Add.

    Note If the list of available audiences is long, you can type the audience name into the Find text box to go directly to the audience in the list.

  8. Click OK.

After you target an item to an audience, you must decide how you're going to show that item to portal users. For more information, see Show targeted items to portal site users.

Related Topics

Creating and Editing Audiences
Deleting Audiences
Show targeted items to portal site users
About audiences


Tools and Monitoring

Tools and Monitoring

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Troubleshoot SharePoint Portal Server

Troubleshoot SharePoint Portal Server

Troubleshoot areas

I added a listing but it doesn't show up in search results.

Edit the settings of the listing. On the Search tab, click Yes to include the item in search results.

I added a listing but I don't see it yet.

The content manager for the area may have specified that all listings need to be reviewed and approved before they appear on the portal site.

I changed my view of the page and it changed everyone else's view, too.

You may have edited the shared view instead of the personal view. As a user with the Add and Customize Pages right (included by default in the Administrator and Content Manager site groups), you can change the shared Web Parts on the portal site. You can change Web Parts for the Home, News, Topics, Sites, and My Site pages.

Troubleshoot alerts

I don't see all of my recent alert results in My Alerts Summary.

My Alerts Summary shows only the three most recent alerts. You can see the most recent twenty alert results on the My Alerts page.

I don't see alerts for other SharePoint sites in My Alerts.

My Alerts displays results for portal site alerts only. Alerts added on other SharePoint sites automatically send results in e-mail messages.

I want to add an alert but I have reached my limit in alerts.

On the My Alerts page, you can delete existing alerts to reduce the number. By default, a user is limited to 5 search alerts and 15 other alerts. Your portal site administrator may have changed these limits.

My alert was optimized.

Your alert was identified by the portal site as an alert that could generate large numbers of results and tax the resources of the portal. You can let the portal site optimize your alert for you or change the settings in the Advanced options to make your alert more specific.

My alert was deactivated by the portal site.

Your alert is generating too many results. When an alert generates an excessive number of results, the portal site deactivates the alert to conserve its resources. You can edit or delete this alert from your My Alerts page. You can activate the alert to begin receiving results again. If you receive this message again after activating your alert, edit the alert to reduce the number of alert results you receive. For example, under Alert Results on the Edit Alert page, you could narrow the scope of your alert results by specifying that the results contain a specific word or phrase.

I do not have permission to add an alert.

Contact the portal site administrator to request the right to add an alert.

Troubleshoot backward-compatible document libraries

When I try to edit a file, a message appears, saying that the file is not found.

If you attempt to open and edit a Web file from a Web folder in Microsoft Office SharePoint Portal Server 2003 by right-clicking the document and then clicking Edit, you may receive an error message saying that the file is not found.

If this occurs, the application used to create the document does not support the processes necessary for editing in Web folders. If this is the case, you must drag the file to your local drive, open and edit it there, and then drag it back to the Web folder when you are finished.

Katakana and Hiragana names for folders and documents do not behave as I expect.

Microsoft Office SharePoint Portal Server 2003 does not recognize any difference between full-width Katakana names and half-width Katakana names. Do not create documents or folders with the same full-width Katakana and half-width Katakana names on the same location.

In addition, the names created by using the following text combinations are treated as the same name:

  • Katakana and Hiragana
  • Full-width character and half-width character (numeric, alphabet, sign)

I can't see the Web view of the document by using Windows Explorer.

Web views in the workspace are the descriptions of documents, folders, and other items that appear in the left-hand section of the Web folders window. If you are using the Microsoft Windows Explorer pane to view Search, Favorites, History, or Folders, the informational descriptions of the Web view are not shown until you close the Explorer pane.

Close the Windows Explorer pane

  1. On the View menu, point to Explorer Bar.
  2. Clear any items that are selected.

I renamed a document and no one received an alert result about this change.

If you rename a document, users with alerts for the old document name no longer receive alert results about that document, nor do they receive an alert result about the name change. Users who add an alert for the document with its new name receive alert results normally.

Custom Office document properties do not appear as I expect on non-English language servers.

You can create a custom Microsoft Office document template with properties that match those of a document profile. Microsoft Office SharePoint Portal Server 2003 can automatically transfer the custom properties on the template to the document profile when the document is checked in.

This transfer of prefilled custom Office properties to document profiles in the workspace works only if the properties in the default document profile for the folder in which the document resides match the properties in the Office template.

Important The following information applies only if you are working on a non-English language server.

SharePoint Portal Server uses the following property names on existing document profiles:

  • Author
  • Title
  • Description
  • Keywords
  • Link

If you check in a document that was created by using a template with these duplicate properties, information from the duplicate properties does not transfer to the profile form.

For example, if you create an Office document template with the English language properties title, author, keywords, and description, and then check in a document created by using that template, none of the information contained in those template properties appears on the document profile.

If you need to create custom English-language properties for an Office template that duplicate the properties listed above, alter the names of the properties slightly, create a document profile in the workspace with the same custom properties, and then make that document profile the default document profile on the folder to which you want to add a document.

For example, you can create an Office template with the properties Author2, Title2, Description2, Keywords2, and Link2. You can then create a document profile with the same properties and make that document profile the default profile on the folder in which you are working. When you check in documents created by using the new template, the information from the template properties transfers to the profile form.

Troubleshoot search

I see some items on a list in search results but not the list itself.

If permissions for contributors on the list security include "read own items only" then contributors see only their own items and not the full list.


About using Web folders to access a backward-compatible document library

About using Web folders to access a backward-compatible document library

Although you can access backward-compatible document libraries from the portal site, installing the client components for Microsoft Office SharePoint Portal Server 2003 integrates SharePoint Portal Server commands with Microsoft Windows Explorer and Microsoft Office applications.

Note SharePoint Portal Server 2001 clients must install the client components for SharePoint Portal Server 2003 to access information in SharePoint Portal Server 2003 backward-compatible document libraries.

To use the client component of SharePoint Portal Server 2003 to configure crawl settings on a SharePoint Portal Server 2001 server, administrators must install the SharePoint Portal Server 2003 client components on every server in the server farm that doesn't already have the client components for SharePoint Portal Server 2001. This includes all of the SharePoint Portal Server 2003 servers.

Related Topics

System Requirements
Installing the Client Components for Backward-Compatible Document Libraries
Create a Web folder or Network Place for a backward-compatible document library


Upload a document

Upload a document
  1. In the Actions list, click Upload Document.
  2. On the Upload Document page, click Browse to find the file you want to add, and then click Open.

    - Or -

    If you want to add multiple documents at once, click Upload Multiple Files.

  3. If you want this file to replace a file of the same name in the library, select the Overwrite existing file(s)? check box.
  4. Click Save and Close.

Note To cancel this action, click Go Back to Document Library.

Related Topics

Add a listing
Add a document to the backward-compatible document library


Use advanced search

Use advanced search

Advanced search allows you to search for items using more complex queries based on item types and properties. Along with the options available in simple search, you have a more comprehensive set of groups by which to view search results. You can sort search results by specific properties.

To use advanced search, click the icon on the left of the search bar of any page. You can also click Advanced Search in the Actions list on the simple search results page.

By default, advanced searches include all items that match the text you type in the search box. You may decide to search for items only of a particular type. You can search for the following types of items:

  • Area items
  • Areas
  • Document Libraries
  • Documents
  • Lists
  • People
  • Picture Libraries
  • Pictures

The properties that are available for advanced searches change depending upon the type of items for which you are searching.

Use advanced search queries

You can search for items based on any property or combination of properties.

  1. To search for a specific type of item, select the type from the Search by type list. For example, you can search only for sites or search only documents.
  2. Under Search by properties, click the property you want to search by in the first box. The properties that are available to select change depending upon the type of items for which you are searching.
  3. In the second box, click the appropriate logical operator. For example, click Contains to include items with values for the property that include the text you provide, or click Is exactly to include items with values for the property that exactly match the text you provide.

    Note For other properties, the operators may vary.

  4. In the third box, type the value for which to search.

    For example, to search for a document with a description containing the word "portal," in the Search by type list, click Documents. In the first box, click Description. In the second box, click Contains. In the third box, type the value, portal.

    Note You cannot search by parts of words or properties. For example, a query for "fish" will not return documents that contain only the word "fishbowl.”

  5. You can search on combinations of up to three properties at a time. Click And between property queries to include items that match both properties, or click Or to include items that match either property.
  6. Select All to include documents regardless of date. To search for documents within a range of dates, select the second option, and then click Modified or Created. To search over periods of hours, days, months, or years, click the appropriate entry in the list and type a value for the length of time to search. For example, to search for all documents modified in the last five days, select the second option, click Modified, type the value, 5, in the text box, and then click Days in the list.
  7. To complete your search, type text in the search box and then click the search button.

Organize search results by groups

You can organize search results into groups just as you do by selecting views in simple search. You may also organize by size or type, which are options not available in simple search. The different organizational groups are described below:

  • Author Items are organized by group under headings by author, and then sorted by relevance.
  • Area Items are organized by group under area headings, and then sorted by relevance.
  • Date Items are organized by group under headings by the date they were last modified, and then sorted by relevance.
  • None Items are not organized by group.
  • Site Items are organized by group under headings by the site in which they appear, and then sorted by relevance.
  • Size Items are organized by group in order of largest to smallest.
  • Type Items are organized by group under headings by document type, and then sorted by relevance.

To organize search results by group, click the appropriate group in the Group by section of the action pane.

Sort search results

To sort search results in any group in an order besides relevance, click the appropriate sorting criteria in the Sort by section of the action pane.

  • Author Items are sorted in ascending alphabetical order by author.
  • Date Items are sorted in order with most recent documents first.
  • Relevance Items are sorted by relevance. This is the default setting for sorting search results.
  • Size Items are sorted in order from largest to smallest.
  • Title Items are sorted in alphabetical order by title.

Use simple search

  • In the Actions list, click Simple Search. You may also click the Simple Search icon on the search bar.

Related topics

Use simple search
About alerts
About My Site
About search


Use audiences to target content

Use audiences to target content

There are three components to using audiences effectively. First, you must add an audience. Second, you target an item such as a document, news item, or Web Part to one or more audiences. Third, for targeted items other than Web Parts, you put the targeted item in one of the areas that uses the Targeted Content Web Part to show targeted items to portal users.

Related Topics

Creating and Editing Audiences
Target an item to an audience
Show targeted items to portal site users


Use My Site

Use My Site

My Site is your personal starting point for accessing and contributing to your organization's intranet through the portal site. It provides a place to save and share your own work, a way to find other people in your organization and see their work, and a way for other people in your organization to find you and see your work.

My Site is a SharePoint site created in the portal site that provides personalized and customized information for you, and enables you to customize the information you use or present to other people in your organization.

Your personal site consists of two views: A private view for personal information that only you can see, and a public view seen by everyone else. The private view is shown by default when you view your personal site.

Note Other people in your organization can see your public view even if you have never created a personal site.

Regardless of the view you are using, your personal site includes action pane links to edit your profile and send a link to other users to view your site.

Create your personal site

When you first click My Site on the navigation bar of the portal site, Microsoft Office SharePoint Portal Server 2003 creates your personal site for you. Once your personal site is created, it appears every time you click My Site on the navigation bar of the portal site.

Change the view of your personal site

  • To switch to the private view from the public view, click Private in the Select View list.
  • To switch to the public view from the private view, click Public in the Select View list.

Edit your profile

  1. In the Actions list, click Edit Profile.
  2. On the Edit My Profile page, type information for the properties you want to display to other people in your organization. Some of these properties, such as the About me property, have formatting menus to change the appearance of your user profile.

    Note The site administrator decides what properties are available for you to edit.

  3. To save these changes, click Save and Close on the toolbar.
  4. To leave your user profile without making changes, click Cancel and Go Back.

As with most other SharePoint sites, your personal site has a top link bar with the following links:

  • Home This link returns you to the home page of a personal site. If it's your personal site, you see the private view. If it's another person's personal site, you see the public view.
  • Documents and Lists This link shows all of the lists for your personal site, and the number of documents in each list. You can also create lists of various types from this page.
  • Site Settings This link provides administration, customization, and information management pages for your personal site.
  • Help This link shows help for the current page.

The Create link that is typically found in the top link bar of SharePoint sites has been replaced with Create List and Create Page links in the Actions list in the private view of your personal site. You can expand your personal site by creating lists of various types and new Web Part Pages. You can choose whether to share lists or pages with other people in your organization. For more information on creating lists and pages for Windows SharePoint Services, see Create or customize lists, libraries, and pages.

To add, remove, or modify Web Parts for any page on your personal site, click Modify My Page at the top of the page, or click Modify My Web Part on any Web Part.

Related Topics

Use the private view of My Site
Use the public view of My Site
Modify pages on My Site
Share information on My Site
About My Site


Use simple search

Use simple search

Simple search is used by default when you type words into the search box. Items relating to those words or containing those words are returned in a list of search results, sorted by relevance. Certain items might be keyword Best Bets, and appear at the top of search results.

Your search results improve in usefulness and accuracy as you type more words into the search box.

To search for a phrase instead of the individual words in the phrase, include the entire phrase in quotation marks. For example, to search on the phrase "fiscal year" you must type "fiscal year" in the search box. If you type fiscal year without quotation marks, the search returns results associated with the individual words "fiscal" and "year."

You cannot search by parts of words or properties. For example, a query for "fish" will not return documents that contain only the word "fishbowl.”

Search results include a title and address linking to each item, the author of that item, the date the item was last modified, and a brief description of the item. At the bottom of each item are three links:

  • Add to My Links Click this link to add the item to the My Links Web Part on your personal site.

    Note This is different from the Add to My Links link on the action bar, which adds a link for the entire search results to your personal site, and not a link to any specific item within the search results.

  • Alert Me Click this link to add an alert to the item, so that you are alerted when the item is changed.

    Note This is different from the Alert Me link on the action bar, which creates an alert for the entire search results and not any specific item within the search results.

  • Item details Click this link to view more details about this item and its author. In addition to the information on the search results page, the Item Details page includes the creation date for this item, the areas to which this item has been added, and a full list of items by the author of this item. From this page, you can add the item to a new area or make this item a Best Bet.

Search for items

  1. On the portal site, in the search box, type words that describe the items for which you are searching.
  2. To narrow or broaden the scope of your search on some pages, you can click a different scope in the drop-down list next to the search box. The current scope of the search is displayed in the drop-down list box.
  3. Click the search button with the green arrow.

Select a view

  • In the Select View list, click the view you want to use. Items are displayed in that view automatically.

Show or hide descriptions

You can view search results with or without descriptions for all of the items in the results.

  • In the Actions list, click Show More or Show Less.

Expand or collapse groups

When you are viewing search results that are organized by groups, you can collapse the view to show only the group headings, or expand the view to show all of the items under each heading.

  • In the Actions list, click Expand Groups or Collapse Groups.

Add to My Links

  1. In the Actions list, click Add to My Links.
  2. On the Add Link page, click Share on public view of My Site to allow other users to see this link when they view your site.

The search is added to the My Links Web Part on your personal site. If you shared the link, it displays in the Shared Links Web Part of your public site.

Alert me about this search

  • In the Actions list, click Alert Me.

Use advanced search

  • In the Actions list, click Advanced Search. You can also click the Advanced Search icon on the search bar.

Related Topics

Use advanced search
Manage keywords
About alerts
About My Site
About search


Use the private view of My Site

Use the private view of My Site

The private view of your personal site provides a personalized view of the portal site and the documents, sites, and people found in the portal site.

The private view contains content targeted to you based on your membership in a particular audience. For example, if you are a new employee, you might find links to key training resources. From the private view, you can also organize and access your documents, view and manage your alerts and alert results, link to interesting people and information, view your e-mail inbox, and maintain a calendar—all from a single place.

The private view of the home page for your personal site includes several Web Parts for organizing information specific to you. By default, these Web Parts include:

  • My Calendar Meetings and appointments scheduled in Microsoft Exchange Server 2003.

    Note You must provide the address of an Outlook Web Access server to use My Calendar.

  • My Links Summary A summary of links that you have created on your personal site for regular use. To add a link, click Add new link. Links in this list that you share also appear on the public view of your personal site.
  • Links for You Links to items targeted by audience managers in your organization to certain audiences. Links for the audiences to which you belong appear in this Web Part.
  • My Alerts Summary All of the alerts you receive are listed here. To view the item that sent the alert, click on the alert in the list. To change the properties of a specific alert, click the arrow next to the alert in the list. To manage all of your alerts, click Manage Alerts in the Actions list.
  • News for You News items are targeted by the audience managers in your organization to certain audiences. The news items for the audiences to which you belong appear in this Web Part.

You can add, remove, or modify Web Parts for the home page of your personal site just like you do for any other Web Part Page. For more information on modifying pages on your personal site, see Modify pages on My Site.

The private view of your personal site home page also includes:

  • Action pane links to create lists and pages and manage alerts for your personal site:

    Create a list

    1. In the Actions list, click Create List.
    2. On the Create Page page, click the icon for the type of list you want to create.
    3. Type in information for the properties of the list, according to the instructions provided by Microsoft Windows SharePoint Services.

      Note If you select Yes in the Navigation section for a list, the list appears in the My Lists section of the action pane.

    Create a page

    This link allows you to create Web Part Pages for your personal site.

    1. In the Actions list, click Create Page.
    2. On the New Web Part Page page, in the Name box, type a name for the page.
    3. In the Layout section, click the layout option you want to use for this page.
    4. In the Save Location section, in the Document Library list, click the document library to which you want to save this new Web page.

      Note My Pages is selected by default.

    Manage alerts

    • In the Actions list, click Manage Alerts.
  • My Lists Provides links to all of the lists on your personal site that are not hidden. To view hidden lists, click Documents and Lists at the top of your personal site. For more information about documents and lists, see Create or customize lists, libraries, and pages.
  • My Pages Provides links to the pages on your personal site that are in the My Pages document library.

To switch to the private view when you are viewing the public view, click Private in the Select View list.

Related Topics

Use the public view of My Site
Use My Site
Modify pages on My Site
Share information on My Site
About My Site


Use the public view of My Site

Use the public view of My Site

The public view of your personal site provides information about you and your work that you choose to share with other people in your organization.

The design, layout, and Web Parts on the public view cannot be personalized. They are designed to look consistent across the organization.

Note Other people in your organization can see your public view even if you have never created a personal site.

The public view shows the following information:

  • Your public profile Depending upon your organization, this can include such things as your picture, information about you, and contact details. This allows other people in your organization to learn information about you and to contact you.
  • Organization Organizational information, such as your manager and reporting structure.
  • Recent Documents Your five most recently modified documents on the intranet, listed in order starting with the most recent and highlighted so that other people in the organization can find them. All of your recent documents from the intranet are listed here, and not just documents stored in your personal site.
  • Shared Links These are links that you specifically decide to share with other people on your personal site.
  • Shared Workspace Sites SharePoint sites, Document Workspace sites, and Meeting Workspace sites that you share with other people in your organization. For other people to see these workspace sites in the public view of your personal site, you must first invite them to join the workspace sites.
  • Shared Lists and Shared Pages Action pane links to your shared lists and shared pages. People can only see the lists and pages to which they have access.

To switch to the public view when you are viewing the private view, click Public in the Select View list.

Related Topics

Use the private view of My Site
Use My Site
Modify pages on My Site
Share information on My Site
About My Site


About filters

About filters

You can use filters on many of the pages of the portal site to limit the items that appear in lists based on the values of properties or columns in those lists.

The option to filter a list appears on the toolbar for that list. When you display the filter options, drop-down lists appear at the top of the column for the properties by which you can filter. All current values for that column are provided. By clicking an item in the drop-down list, you choose to display only items with a value matching the filter.

For the custom views that you can create in the Site Directory, you can apply custom filters that filter on more than one property at a time whenever you are using a custom view. For more information, see Using views in the Site Directory.

Related Topics

About views
Using views in the Site Directory
Manage keywords


Using Load Balancing

Using Load Balancing

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


About views

About views

On some pages in the portal site, you can use the action pane to select different views of the information on those pages. In most cases, those views are provided by default, and new views cannot be created.

The management pages for keywords and the portal site map have a selection of views that you can use. For more information about views for these pages, see Manage keywords and Move an area.

The Site Directory pages also provide a selection of views. You can also create custom views and edit and delete the existing views. These views and the procedures for creating and editing custom views are described in Using views in the Site Directory. These views are similar to views that can be created in SharePoint sites created by using Microsoft Windows SharePoint Services. For more information about views in Windows SharePoint Services, see About views.

Many of these views can be modified by adding filters. For more information, see About filters and the specific management pages for the pages that you are viewing.

Related Topics

About filters
Using views in the Site Directory
Manage keywords
Move an area


Placeholder

Placeholder

Additional information about this feature will be provided on the Web. For the latest information, see SharePoint Portal Server on Office Online.


Use views in the Site Directory

Use views in the Site Directory

The Site Directory can be used from three different views by default—summary view, all items view, and manage sites view. Different information is presented in each view, and different tasks can be performed from each view.

You can also create your own custom views of the Site Directory. These can be either personal views that appear only for you or public views that appear for all users. You must have the appropriate rights to add public views.

You can sort the results of any view except the summary view by clicking the heading for the column of the property by which you want to sort results.

You can apply filters to all views except the summary view. For more information about using filters in Microsoft Office SharePoint Portal Server 2003, see About filters.

Summary View

The summary view is the default view of the Site Directory. It has the following sections:

  • Search for sites The top of the page has a text box to use when searching for sites. For more information, see Search the Site Directory.
  • Browse Sites By All of the columns for the Sites list of the Choice type are listed, along with all the possible choices for that column. This enables you to view only the sites that share the same value for one of the listed columns.
  • Newest Sites Links to the five most recently created sites are provided.
  • Spotlight Sites Sites that are marked as Spotlight Sites are displayed.
  • Sites I Have Added All of the sites created by the current user are displayed.

All Items View

The all items view shows links to all sites in the Site Directory without any filters, and a search box to use when searching for sites.

You can filter this view by clicking Filter on the toolbar.

Manage Sites View

In addition to providing a search box to use when searching for sites, the manage sites view shows both links to the sites in the Site Directory and a menu of management tasks for sites in the Site Directory.

By default, sites shown in the manage sites view are grouped by approval status, though you can edit the view to change how sites are grouped. For more information about managing sites, see Manage sites.

You can filter this view by clicking Filter, or you can see and edit this view in a datasheet by clicking Edit in Datasheet on the toolbar.

Using Custom Views

Create a view

  1. On the Site Directory page, in the Actions list, click Edit Page.
  2. In the Actions list, click Customize List.
  3. On the Customize Sites page, in the Views section, click Create a new view.
  4. On the Create View page, click the type of view that you want to create:
    • Standard View This view uses rows and columns.
    • Datasheet View This view is an editable spreadsheet format that provides the expanded functionality of your spreadsheet program. You must have a Microsoft Windows SharePoint Services–compatible spreadsheet program installed, such as Microsoft Office Excel, to use this view.
    • Calendar View This view allows you to view sites in a calendar format based on when the sites were created or modified.
  5. On the Create View page, in the Name section, type a name for this view. To make this the default view, click Make this the default view.
  6. In the Audience section, click Create a Personal View if this view is only for your personal use.

    Note Users who know or guess the URL can see your personal views, but they do not see this view displayed in the Actions list.

    Click Create a Public View to display this view in the Actions list for all users.
  7. In the Columns section, select the properties that you want to add as columns in this view. The values for some of these columns are displayed as links.

    Note If you are adding a calendar view, to base the calendar on a single modified or created date, click Base calendar on and then click Modified or Created. To base the calendar on a range of dates, click Base calendar on the following interval, and then click Modified or Created for both ends of the interval.

  8. If you are adding a Calendar view, in the Calendar Settings section, click Month view, Week view, or Day view.
  9. In the Sort section, if you want to sort by anything other than the order of the columns, click the first column by which to sort in the First sort by the column list. To show the items in ascending or descending order, click Show items in ascending order or Show items in descending order. To sort by a second column after sorting by the first column, click the column by which to sort in the Then sort by the column list.

    Note This section is not available when adding a calendar view.

  10. In the Filter section, to filter your results so that only some of the results are shown, click Show items only when the following is true. Click a column in the Show the items when column list, click an operand, and then type a value on which to filter. For example, to show sites with "portal" in the title, click Title, click Contains, and then type portal.

    Note You can filter on more than one column and value. Click a column in the When column list, click an operand, and then type the value for the second column. To add another column to the filter, click Show More Columns. Click And between columns to filter on all columns, or click Or to display results with values matching any of the columns.

  11. In the Group section, you can group site links under headings based on the values of a column. You can then group within each of those groups by values in a second column. This section is not available when adding a datasheet or calendar view.
  12. In the Totals section, you can choose to show the total number of sites that match each value for one or more columns. This section is not available when adding a calendar view.
  13. In the Style section, you can select a style for this view. This section is not available when adding a datasheet or Calendar view.
  14. In the Item Limit section, you can select a maximum number of items to display in this view. This section is not available when adding a Calendar view.

To see the new view, click Sites to return to the Site Directory, and then click the name of the view in the Actions list.

Edit a view

  1. On the Site Directory page, in the Actions list, click Edit Page.
  2. In the Actions list, click Customize List.
  3. On the Customize Sites page, in the Views section, click the link for the view that you want to edit.
  4. Edit the view by changing what you entered when you created the view. For more information, see the procedure to create a view.

Delete a view

  1. On the Site Directory page, in the Actions list, click Edit Page.
  2. In the Actions list, click Customize List.
  3. On the Customize Sites page, in the Views section, click the link for the view that you want to delete.
  4. Click Delete.

Using Columns

You can add, edit, or delete columns. You can also change the order of columns. This changes the display of the columns in all views that use the selected columns, as well as on the Add a Link to a Site page.

Add a column

  1. On the Site Directory page, in the Actions list, click Edit Page.
  2. In the Actions list, click Customize List.
  3. On the Customize Sites page, in the Columns section, click Add a new column.
  4. In the Name and Type section, type a name for the column, and then click the option for the type of information contained in the column.
  5. In the Optional Settings for Column section, you can type a description. To require users to type a description, click Yes for Require that this column contains information.
  6. You can also limit the number of characters for the column and type a default value for the column.
  7. To add this column to the default view, select Add to default view.

Edit a column

  1. On the Site Directory page, in the Actions list, click Edit Page.
  2. In the Actions list, click Customize List.
  3. On the Customize Sites page, in the Columns section, click the column that you want to edit.
  4. After you make your changes, click OK to return to the Customize Sites page.

Delete a column

  1. On the Site Directory page, in the Actions list, click Edit Page.
  2. In the Actions list, click Customize List.
  3. On the Customize Sites page, in the Columns section, click the column that you want to delete.
  4. Click Delete.
  5. In the confirmation message that appears, click OK.

Change the order of columns

  1. On the Site Directory page, in the Actions list, click Edit Page.
  2. In the Actions list, click Customize List.
  3. On the Customize Sites page, in the Columns section, click Change the order of the fields.
  4. To move a column, change the value in the Position from Top list, and then click OK.

Related Topics

About the Site Directory
Manage sites
Search the Site Directory
About views
About filters


View and manage My Alerts

View and manage My Alerts

Follow these steps to view and manage your alerts.

View My Alerts

  1. On the title bar of the portal site, click My Site.

    Note You can see the most recent alert results in the My Alerts Summary section of the page.

  2. In the Actions list, click Manage Alerts.
  3. In the list of alerts, click the alert whose results you want to view.

Edit an alert

  1. On the title bar of the portal site, click My Site.
  2. In the Actions list, click Manage Alerts.
  3. In the list of alerts, click the alert you want to edit.
  4. In the Actions list, click Edit Alert.
  5. Change the settings.
  6. Click OK.

Activate an alert

If you activate this alert, you will receive alert results again.

  1. On the title bar of the portal site, click My Site.
  2. In the Actions list, click Manage Alerts.
  3. In the list of alerts, click the alert you want to activate.
  4. In the Actions list, click Activate Alert.
  5. Click OK.

Note If your alert was automatically deactivated by the portal site, you can activate the alert to begin receiving results again. If the alert is automatically deactivated again, edit the alert to reduce the number of alert results you receive. For example, under Alert Results on the Edit Alert page, you can narrow the scope of your alert results by specifying that the results contain a specific word or phrase.

Deactivate an alert

If you deactivate this alert, you will not receive alert results until you activate it.

  1. On the title bar of the portal site, click My Site.
  2. In the Actions list, click Manage Alerts.
  3. In the list of alerts, click the alert you want to deactivate.
  4. In the Actions list, click Deactivate Alert.
  5. Click OK.

Note If your alert generates an excessive number of results, the portal site may automatically deactivate it to conserve resources. Activate the alert to begin receiving results again. If you activate this alert and then your alert is automatically deactivated again, edit the alert to reduce the number of alert results you receive. For example, under Alert Results on the Edit Alert page, you can narrow the scope of your alert results by specifying that the results contain a specific word or phrase.

Related Topics

Add an alert
Delete alert results
Delete an alert
Manage alerts settings for all users
Troubleshoot SharePoint Portal Server


Configure blocked file types

Configure blocked file types
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Security Configuration, click Manage blocked file types.
  3. On the Manage Blocked File Types page, perform one of the following actions:
    • To add a file type, click in the list and type the extension.
    • To delete a file type, delete the file extension from the list.
  4. Click OK.

Related Topic

About blocked file types


About displaying totals and calculated columns

About displaying totals and calculated columns

Views of lists and libraries can display information calculated from the other information in the view. The view can automatically calculate the total for a column, and you can add calculated columns that use custom formulas.

About displaying totals

When you create or edit a view, you can specify that a column display the total for that column. The total displayed can be:

  • The number of items in column
  • The numerical average of the numbers in the column
  • The maximum value in the column
  • The minimum value in the column
The following example shows a totals row that displays the number of entries in the Product column.

 | Product | Product Code | Color
 | Chair | 1005 | blue
 | Table | 1007 | purple
 | Lamp | 1010 | green
Total | 3 |  |

About calculated columns

Calculated columns display the results of mathematical or logical operations. The operations can include information from one or more other columns in a list as well as system functions such as [today] to indicate the current date. For example, if you want to add the value of column A with the value of column B, you can set up a calculated column to display the result. In the following example, the "Sum" column is the calculated column.

Column 1 | Column 2 | Sum
1 | 2 | 3
10 | 20 | 30
16 | 16 | 32

The formula you would enter to create this calculated column is:

[column 1] + [column 2]

A calculated column enables you to perform operations on data in any other column. And the columns need not be side-by-side or even next to the calculated column.

You can also use other operations for creating calculated columns. For example, you can combine text found in two columns. For example, you can create a column that combines the text found in the columns First Name and Last Name, as in the following example.

Family Name | First Name | Full Name
Harrington | Mark | Harrington, Mark
Pak | Jae | Pak, Jae
Reinhart | Marie | Reinhart, Marie

You can combine the text in the first two columns by entering the following formula for the calculated column:

[Family Name] & ", " & [First Name]

The logical & (AND) operators in this formula combine the text in the first column with a comma and space, and then the text from the second column.

You can also create calculated columns that work with calendar dates. In the following example, the calculated column automatically fills in the date when a business process will be completed. The formula assumes that the process takes seven days to complete.

Date Submitted | Work Complete
12/05 | 12/12
12/06 | 12/13
12/07 | 12/14

The formula for this calculated column is:

[Date Submitted] + 7

Note When entering a specific date into a calculation, make sure you use the date function. For example, to enter the date November 2, 2004, you would enter: =DATE(2004,11,02)

Related Topics

Add a calculated column
About columns
Functions
About formulas
About functions
About column references in a formula
About calculation operators
About constants in formulas
Examples of common formulas


System requirements

System requirements

Before you install Microsoft Windows SharePoint Services on your Web server, make sure that you have installed the required hardware and software.

Web server hardware requirements

Hardware requirements for your Web server vary depending on the operating system you use. The following table describes the hardware requirements for the supported operating systems.

Operating system | Requirements for single server | Requirements for server farm installation
Microsoft Windows Server 2003, Standard Edition, Enterprise Edition, Datacenter Edition, or Web Edition | Same as requirements for Windows Server 2003 | Pentium CPU/550 MHZ 1 CPU (2 recommended) 512 MB RAM

Note Windows SharePoint Services requires the NTFS file system.

Software requirements

To run Windows SharePoint Services, you must first install the following software on your server:

  • Microsoft Windows Server 2003 Standard, Enterprise, Datacenter, or Web Edition, configured as a Web server (running Internet Information Services 6.0 in IIS 6.0 worker process isolation mode) and running ASP.NET. For more information about installing and configuring IIS and ASP.NET, see the Windows Server 2003 documentation.
  • Microsoft Internet Explorer 5.01 or later (best results with Microsoft Internet Explorer 5.5 or later).

    – or –

    Netscape Navigator version 6.2 or later.

Database requirements

In addition to the operating system and Web server software, you must also have a database installed on your server (or on a separate server) to run Windows SharePoint Services. The following databases are supported:

  • Microsoft SQL Server 2000, Service Pack 3
  • Microsoft Windows SharePoint Services SQL Server Desktop Engine (Windows) 2000 (WMSDE)

Note If you do not have SQL Server installed on your server, WMSDE is installed automatically when you install Windows SharePoint Services. If you are using the command-line interface to install Windows SharePoint Services, or are using a script to run the installation, you can specify a separate server to use for your database.

Browser and client requirements

Any Windows, Macintosh, or UNIX client can use Windows SharePoint Services features, providing the client runs the following software:

  • Microsoft Internet Explorer 5.01 or later (best results with Microsoft Internet Explorer 5.5 or later), Microsoft Internet Explorer 5.2 or later for Macintosh, or Netscape Navigator version 6.2 or later.
  • A client program, such as Microsoft Office 2003 (required if the user contributes documents to a Web site, but not necessary for browsing).


Accessibility for people with disabilities

Accessibility for people with disabilities

Microsoft is committed to making its products and services easy for everyone to use. This topic provides information about the following features, products, and services that make Microsoft Windows SharePoint Services more accessible for people with disabilities:

  • Microsoft Windows SharePoint Services accessibility features and options
  • Accessibility in Microsoft Windows
  • Adjusting Microsoft products for people with accessibility needs
  • Assistive technology products for Windows
  • Documentation in alternative formats
  • Customer services for people who are deaf or hard-of-hearing
  • Getting more accessibility information

Note The information in this topic applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, your package contains a subsidiary information card listing Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the type of products and services described in this appendix are available in your area. See http://www.microsoft.com/enable/worldwide.htm for more information available in the following eight languages: English, French, Portuguese, Spanish, Chinese, Japanese, Swedish, and Italian.

Microsoft Windows SharePoint Services accessibility features and options

In addition to the Windows accessibility features and utilities described in the next section, the following features make Microsoft Windows SharePoint Services more accessible for people with disabilities. These features are available to everyone, without the need for additional accessibility aids.

Using Help

Some screen readers may not work with the expandable links in online Help. If you're having problems, try one of the following:

  • Install Microsoft Internet Explorer 5 or later. For more information, visit the Microsoft Internet Explorer Web site.

Note The hyperlinks in this topic go to the Web. You can switch back to Help at any time.

Using the keyboard

Many features and commands are available directly from the keyboard. Because Windows SharePoint Services is Web-based, you can press the TAB and SHIFT+TAB keys to move back and forth between elements on any page. Windows SharePoint Services also provides keyboard shortcuts for its commands. For more information, see Keyboard shortcuts.

Features provided by your Web browser

Your Web browser has features that improve the readability of pages. For information about the accessibility features provided by your Web browser, look for information in the browser's Help about how to customize your browser to display the fonts and colors that you prefer. If your browser is Microsoft Internet Explorer, look for "Accessibility" in the Help table of contents.

Accessibility in Microsoft Windows

Many accessibility features have been built into the Microsoft Windows operating system, starting with the introduction of Windows 95. These features are useful for individuals who have difficulty typing or using a mouse, are blind or have low vision, or who are deaf or hard-of-hearing. The features can be installed during setup. The following sections provide more information about the various accessibility features of Windows Server 2003, Windows XP Professional and Home, Windows 2000, Windows Millennium, Windows 98, and Windows 95.

Windows Server 2003

Products in the Microsoft Windows Server 2003 family include a number of accessibility features that can improve display, sound, mouse, and keyboard settings for users who are blind, have motion disabilities, or are deaf or hard of hearing. Many accessibility features are also useful to people without disabilities. For more information about accessibility enhancements and features in Windows Server 2003, visit http://www.microsoft.com/windowsserver2003.

Windows XP Professional and Home

Accessibility enhancements and improvements in Microsoft Windows XP Professional and Home Editions provide better integration with assistive technology products and richer communications. Accessibility improvements and other Windows XP Professional features make it easier for people with accessibility needs to work more efficiently. For more information about accessibility enhancements and features in Windows XP, visit http://www.microsoft.com/windowsxp/accessibility/.

Windows 2000

Microsoft Windows 2000 includes several accessibility tools to help people with disabilities configure and use business computers quickly—without additional software and hardware. Accessibility features from earlier versions of the Windows operating system are still included, and with the increased integration of Microsoft Active Accessibility, many assistive technology products simply work better. For more information about accessibility in Microsoft Windows 2000, visit http://www.microsoft.com/enable/products/.

Windows Me

Accessibility tools and features in Microsoft Windows Me offer people with disabilities greater immediate access and ease-of-use than ever before. Accessibility highlights include an expanded Accessibility menu and an enhanced Accessibility Wizard. For more information about accessibility in Windows Me, visit http://www.microsoft.com/enable/products/.

Windows 98

Microsoft Windows 98 offers enhanced hardware support, home networking capabilities, improved online experience, and new accessibility features. For more information about accessibility Microsoft Windows 98, visit http://www.microsoft.com/enable/products/.

Windows 95 and Windows NT Workstation 4.0

Microsoft Windows 95 and Windows NT Workstation 4.0 have several built-in accessibility features to help people with disabilities use computers more easily and effectively. For more information about accessibility in these operating systems, visit http://www.microsoft.com/enable/products/.

Adjusting Microsoft products for people with accessibility needs

Accessibility options and features are built into many Microsoft products, including the Windows operating system. Accessibility options and features are useful for individuals who have difficulty typing or using a mouse, are blind or have low vision, or who are deaf or hard-of-hearing.

Free step-by-step tutorials

Microsoft offers a series of step-by-step tutorials to help you learn how to adjust the accessibility options and settings on your computer. The tutorials provide detailed procedures on how to adjust options, features, and settings to meet the needs of people with disabilities and accessibility needs. This information is presented in a side-by-side format so that you can see at a glance how to use the mouse, the keyboard, or a combination of both.

Visit http://www.microsoft.com/enable/training/ to find Step-by-Step Tutorials for the following products:

  • Microsoft Windows XP Professional and Home
  • Microsoft Windows 2000
  • Microsoft Windows Me
  • Microsoft Windows 98
  • Microsoft Internet Explorer 6
  • Microsoft Internet Explorer 5
  • Microsoft Outlook 2002 (part of the Office XP suite)
  • Microsoft Outlook 2000
  • Microsoft Word 2002 (part of the Office XP suite)
  • Microsoft Word 2000

Assistive technology products for Windows

A wide variety of assistive technology products are available to make computers easier to use for people with disabilities.

Microsoft provides a searchable catalog of assistive technology products that run on Microsoft Windows operating systems at http://www.microsoft.com/enable/at/.

Products available for the MS-DOS, Windows, and Windows NT operating systems are:

  • Programs that enlarge or alter the color of information on the screen for people with visual impairments.
  • Programs that describe information on the screen in Braille or that provide synthesized speech for people who are blind or have difficulty reading.
  • Hardware and software utilities that modify the behavior of the mouse and keyboard.
  • Programs that enable people to type by using a mouse or their voice.
  • Word or phrase prediction software that allow people to type more quickly and with fewer keystrokes.
  • Alternative input devices, such as single switch or puff-and-sip devices, for people who cannot use a mouse or a keyboard.

Upgrading

If you use an assistive technology product, be sure to contact your assistive technology vendor to check compatibility with products on your computer before upgrading. Your assistive technology vendor can also help you learn how to adjust your settings to optimize compatibility with your version of Windows or other Microsoft products.

Microsoft documentation in alternative formats

Obtaining documentation for Windows SharePoint Services

Microsoft product documentation is available in alternative formats to help our customers with accessibility needs. Many of the Windows SharePoint Services documents are also available as Online Help, online user’s guides, or on a CD that comes with the package. You can download many of these resources from http://www.microsoft.com/sharepoint/assistance.

Obtaining documentation for additional Microsoft products

From the Microsoft Web site

You can obtain accessible documentation for Microsoft products from the Microsoft Accessibility Web site at http://www.microsoft.com/enable/products/docs/.

From Recording for the Blind & Dyslexic, Inc.

In addition, you can obtain additional Microsoft publications from Recording for the Blind & Dyslexic, Inc. These documents are distributed to registered, eligible members of the distribution service on audiocassettes or floppy disks. The collection contains more than 80,000 titles, including Microsoft product documentation and books from Microsoft Press. For information about eligibility and availability of Microsoft product documentation and books from Microsoft Press, contact:

Recording for the Blind & Dyslexic, Inc.

20 Roszel Road

Princeton, NJ 08540

Phone from within the United States: (800) 221-4792

Phone from outside the United States and Canada: (609) 452-0606

Fax: (609) 987-8116

Web: http://www.rfbd.org/

Customer service for people who are deaf or hard-of-hearing

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TTY/TDD) service.

Customer service

You can contact the Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 A.M. and 5:30 P.M. Pacific time, Monday through Friday, excluding holidays.

Technical assistance

For technical assistance in the United States, you can contact Microsoft Product Support Services on a text telephone at (800) 892-5234 between 6:00 A.M. and 6:00 P.M. Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 A.M. and 8:00 P.M. eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to the prices, terms, and conditions in place at the time the service is used.

Getting more accessibility information

The Microsoft Accessibility Web site at http://www.microsoft.com/enable/ provides information about assistive technology for improving the lives of people with disabilities. The information on this site benefits people with disabilities and their friends and family members, people in outreach organizations, educators, and advocates.

A free monthly electronic newsletter is available to help you keep up to date with accessibility topics about Microsoft products. To subscribe, visit http://www.microsoft.com/enable/news/subscribe/default.asp.

To learn about creating accessible content for your Web pages, refer to the accessibility standards developed by the World Wide Web Consortium.


About command line options

About command line options

Most tasks that you can perform from the HTML administration pages can also be performed from the command line for Microsoft Windows SharePoint Services. In addition, there are several properties you can set from the command line that you cannot set from the administration pages. For a complete list of commands and properties, see the Windows SharePoint Services Administrator's Guide.

You can also get a list of the command-line operations by typing stsadm.exe -help on the command line. Syntax help for specific operations is available by typing stsadm.exe -help <operation name>.


About managing Web discussions

About managing Web discussions

The Web discussions feature enables users to attach comments to a Web page or to any document that can be opened with a browser (such as .htm, .xls, .doc, and .ppt files). Users can place comments in the document or have them appear in the discussion pane at the bottom of the Web browser window. All comments are stored on the SharePoint site. Anyone reviewing a document can view and reply to comments. The document owner (and reviewers) can then review discussions and incorporate changes based on the feedback received.

Managing discussions involves:

  • Monitoring discussions.
  • Deleting old discussions.

Note Don't confuse the Web discussions feature with the discussion boards that you can create. A discussion board is a kind of list that appears in a page of your SharePoint site. It is a kind of online bulletin board where users post topics and reply. The Web discussions feature is used to review files. Web discussion comments appears within the individual files when you view them in your Web browser.


Alerts and security

Alerts and security

Alert settings are not deleted when you remove a user's access from a site or a list. After removing a user, you must manually delete his or her alerts to prevent the user from continuing to receive alerts about the list or item. Removing these alerts is essential to help prevent unauthorized users from being notified of changes to the site, file names, user names, and other information.

Related topic

Delete an alert


About content approval

About content approval

Content approval allows you to create a list or library where any items or files that are submitted by users are not visible to all site users until the items or files have been approved by a site administrator or a user belonging to a site group with the Manage Lists right. Users can view a list of the items that they submit and check approval statuses. Adminstrators and users with the Manage Lists right use the Approve/reject items view of the list or library to set an item or file to approved, rejected, or pending. They can also enter comments regarding their decisions. For example, you can create a discussion board where all new discussion threads and replies must be approved before all site users can view them

Submissions by site administrators or users with the Manage Lists right are automatically approved. However, other administrators or users with the Manage Lists right can still reject the items.

Note Rejecting an item or file does not delete it or prevent users from viewing it. Users can also view pending items. To help prevent users from viewing rejected or pending items, the submitter or a user who is a member of the Administrator site group or a site group with the Manage Lists right must manually delete the items.

Related Topics

Approve or reject an item


About rights and the default site groups

About rights and the default site groups

This topic explains the rights and site groups you can assign to users by using commands in Stsadm.exe and by using SharePoint Central Administration. Each user right or site group is listed by the name that appears in SharePoint Central Administration. The name used to identify a site group for the Stsadm.exe command-line tool is listed in a table. For each site group, the default rights included in that site group are listed. For each right, any rights dependent on the right are listed, as well as any default site groups that include the right.

Default site groups

Microsoft Windows SharePoint Services includes five site groups by default. If you are a member of the Administrator site group or a site group with the Manage Site Group right, you can customize the rights available in these site groups or add new site groups to combine different sets of rights.

Guest

The Guest site group is used to give guest users access to a specific list, without giving them access to the entire site. In addition to belonging to the Guest site group, you can use per-list permissions to grant access to a specific list. The Guest site group cannot be customized or deleted.

Command-line name | Rights included in by default
guest | None

Reader

The Reader site group allows a user to view items in lists and document libraries, view pages in the site, and create sites if the site creation feature is enabled.

Command-line name | Rights included in by default
reader | Use Self-Service Site Creation View pages View items

Contributor

The Contributor site group allows a user to interact with Web Parts and lists and document libraries. They can also create and manage personal views and cross-site groups, and personalize Web Part Pages.

Command-line name | Rights included in by default
contributor | All rights included in the Reader site group, plus: Add items Add/Remove Private Web Parts Browse Directories Create cross-site groups Delete items Edit items Manage personal views Update Personal Web Parts

Web Designer

The Web Designer site group allows a user to customize the Web site using the HTML tools or a Web page editor compatible with Windows SharePoint Services, such as Office FrontPage 2003.

Command-line name | Rights included in by default
web designer | All rights included in the Contributor site group, plus: Add and customize pages Apply themes and borders Apply style sheets Cancel check-out Manage lists

Administrator

The Administrator site group allows a user to have complete control over a Web site. They can configure settings, manage users and site groups, and view usage analysis data.

Command-line name | Rights included in by default
administrator | All rights included in the Web Designer site group, plus: Create sites and workspaces Manage list permissions Manage site groups View usage data

User rights

Windows SharePoint Services includes 20 rights, which are used in the five default user site groups. If you are a member or a site group with the Manage Site Groups right, you can change which rights are included in a particular site group (except for the Guest and Administrator site groups) or create a site group to contain a specific list of rights.

Add and Customize Pages

Grants permission to create pages for a Web site by using ASP.NET, ASP, and HTML .

Site groups included in by default | Dependent rights
Web Designer, Administrator | Browse Directories, View Pages

Add Items

Grants permission to add items to lists or files and folders to libraries. Adding items to lists includes participating in discussion boards and responding to surveys.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Items, View Pages

Add/Remove Private Web Parts

Grants permission to add and remove Web Parts to personalize Web Part Pages.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | Update Personal Web Parts, View Items, View Pages

Apply Style Sheets

Grants permission to apply a style sheet to the entire Web site.

Site groups included in by default | Dependent rights
Web Designer, Administrator | View Pages

Apply Themes and Borders

Grants permission to apply a theme or border to an entire Web site.

Site groups included in by default | Dependent rights
Web Designer, Administrator | View Pages

Browse Directories

Grants permission to browse the directory structure of a Web site.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Pages

Cancel Check-out

Grants permission to cancel the check-out action performed by another user.

Site groups included in by default | Dependent rights
Web Designer, Administrator | View Pages

Create Cross-Site Groups

Grants permission to create or delete cross-site groups, or to change the membership of a cross-site group.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Pages

Create Sites and Workspace sites

Grants permission to create a new subsite or Workspace site, such as a Document Workspace or Meeting Workspace.

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator | View Pages

Delete Items

Grants permission to delete list items and files and folders from libraries. This right also grants permission to delete previous versions of files from libraries that save version information for files.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Items, View Pages

Edit Items

Grants permission to edit existing list items and files in libraries. This right also grants permission for the following:

  • Checking files in and out of libraries
  • Changing the order of items in a list that allows custom ordering
  • Attaching files to list items and removing attachments from list items
  • Editing properties of files in libraries
  • Merging forms in a form library
  • Removing a Meeting Workspace site from a list item
  • Restoring files to previous versions in libraries that save version information

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Items, View Pages

Manage Lists

Grants permission to create, edit, or delete lists and libraries and change their settings. This right grants permission for the following:

  • Allowing users with the Edit Items right to change the order of items in a list
  • Specifying whether a library tracks version information for files
  • Adding, editing, and removing columns in a list or library
  • Creating public views for lists
  • Setting the default view for a list
  • Relinking forms to form libraries

Site groups included in by default | Dependent rights
Web Designer, Administrator | View Items, View Pages, Manage Personal Views

Manage List Permissions

Grants permission to change permissions for a list or library.

Site groups included in by default | Dependent rights
Administrator | Manage Lists, View Items, View Pages, Manage Personal Views

Manage Personal Views

Grants permission to create, edit, or delete personal views on lists.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Items, View Pages

Manage Site Groups

Grants permission to create, delete, and edit site groups, both by changing the rights assigned to the site group and by changing which users are members of the site group.

Site groups included in by default | Dependent rights
Administrator | View Pages

Manage Web Site

Grants permission to perform administration tasks for a particular site or subsite.

Site groups included in by default | Dependent rights
Administrator | View Pages

Update Personal Web Parts

Grants permission to update Web Parts to display personalized information.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | View Items, View Pages

Use Self-Service Site Creation

Grants permission to use the Self-Service Site Creation feature to create a top-level Web site.

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator | View Pages

View Items

Grants permission to view items in lists, files in libraries, and Web discussion comments. This right also grants permission for the following:

  • Choosing display style in picture libraries
  • Downloading pictures from picture libraries
  • Adding, editing, and deleting alerts
  • Filtering and sorting items and files in lists and libraries
  • Viewing properties for files in libraries
  • Viewing files attached to list items
  • Viewing previous versions of files in libraries that track version information

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator | View Pages

View Pages

Grants permission to browse pages in the Web site.

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator | None

View Usage Data

Grants permission to view reports on Web site usage.

Site groups included in by default | Dependent rights
Administrator | View Pages

Related Topics

About site groups
Overview of Windows SharePoint Services Administration


About enabling Self-Service Site Creation

About enabling Self-Service Site Creation

Microsoft Windows SharePoint Services allows members of the Administrator and Web Designer roles to create subsites from their Web sites. These subsites can be fully functioning SharePoint sites, complete with a home page, document libraries, and so on — they can even have their own unique permissions. Self-Service Site Creation is a feature that is enabled by administrators and allows users to create their own top-level Web sites. Users do not need administrator permissions on the server or virtual server, only permissions on the Web site where Self-Service Site Creation is hosted. Users simply enters some basic information to create their own top-level Web sites automatically.

You turn on Self-Service Site Creation from the Configure Self-Service Site Creation page for the virtual server that you want to enable. When you turn on Self-Service Site Creation, an announcement is added to the home page of the top-level Web site on that virtual server, with a link to the signup page (Scsignup.aspx). Users can click the link to go to the signup page and create their sites. This announcement is set to appear indefinitely, but if the Announcements list is long, or is removed from the home page of your site, the announcement may not appear. If you want to ensure that the link always appears on the home page, you can customize the home page in a Web page editor compatible with Windows SharePoint Services to include the link in a prominent position, such as the top link bar.

Security and Self-Service Site Creation

Self-Service Site Creation allows users to create and manage their own top-level Web sites automatically. This capability can obviously affect the security for your Web server running Windows SharePoint Services. Self-Service Site Creation is disabled by default — you must turn on the feature to use it. You enable Self-Service Site Creation for a single virtual server at a time. If you want to use it on all virtual servers in your server farm, you must enable it for every virtual server individually.

The Administration pages for Self-Service Site Creation are part of the virtual server administration pages, which can only be accessed by local computer administrators or members of the SharePoint administrators group. Access to the signup page follows the same security rules as other Web site pages. By default, the Use Self-Service Site Creation right is included in all site groups except the Guest site group, and gives users access to the signup page and the ability to use Self-Service Site Creation to create their own top-level Web sites.

Note that because Self-Service Site Creation simply creates new top-level Web sites on an existing virtual server, any new sites automatically conform to the virtual server's quota settings, unused Web site notification settings, and other administrative policies.

Managed paths and Self-Service Site Creation

By default, when you install Windows SharePoint Services, a URL path called /sites is added to your virtual server. When you enable Self-Service Site Creation, that path is the default path for sites that your users create. For example, using Self-Service Site Creation, a user can create "MyTeamSite" on Server 1. Using the defaults, the path for this site would be similar to the following: http://server/sites/MyTeamSite. You can use the default /sites path for user's sites, or you can create additional paths. By adding managed paths, you can specify which URL paths are available for Self-Service Site Creation users to create sites under. If you do add more URL paths for Self-Service Site Creation use, when users go to the Scsignup.aspx page, they will see a drop-down menu listing the various paths available, and they can choose under which path to create their site. For more information about defining a URL path, see About Managed Paths.


About managing alerts

About managing alerts

You can manage alerts by enabling or disabling alerts for the virtual servers and specifying the number of alerts that users can create. You can also specify how often (between 1 and 59 minutes) the server sends out immediate alerts and when users receive daily and weekly alerts.

When enabling or disabling alerts, remember the following:

  • If you're making major changes to your server, you may want to temporarily disable alerts and then re-enable them when you're done.

When specifying the interval for sending immediate alerts, keep the following in mind:

  • If there are frequent changes to documents and folders, setting a longer wait interval will reduce the number of e-mail messages that members receive.
  • If your site has only a few changes per day, you may want to set a short interval (such as two minutes) for immediate alerts.
  • If you're making major changes to your site, you may want to temporarily disable alerts and then re-enable them when you're done.

You can view alerts for a top-level Web site and delete alerts that are no longer needed. You can manage alerts for top-level Web sites only, not for subsites: Alert data for subsites is stored along with the alert data for the parent top-level Web site.

If you are a server administrator or a member of the SharePoint administrators group, you can also use the Stsadm.exe command-line tool to configure alert settings . Using the command line, you can do the following:

  • Turn alerts on or off
  • Specify how many alerts users can create
  • Set timer settings for alerts

Alerts use the Windows SharePoint Services e-mail settings to send alert items. When you configure alert settings, be sure that you also verify the e-mail settings for your virtual server. For more information, see Specify e-mail settings.

Important When you remove a user from a site after he or she has create alerts, you must manually delete any alerts that he or she has set up. This is also true for any lists or libraries where you change security settings to limit access. If a user has set up alerts for the list or library, he or she will continue to receive them after you change the security settings. It is important to delete these alerts to prevent unauthorized users from having access to site and user information.

Related Topics

About alerts
Add an alert
View alerts
Delete an alert
Configure alerts for a virtual server
Specifying mail settings


About Microsoft Windows SharePoint Services 2.0

About Microsoft Windows SharePoint Services 2.0

Web sites based on Microsoft Windows SharePoint Services 2.0 provide a place where your team can communicate, share documents, and work together on a project. You can create a separate site for every project on which your team is working.

You can contribute to the site by using nothing more than a Web browser. However, if you use a Windows SharePoint Services-compatible client program, such as Microsoft Office 2003, you can work seamlessly with the site, saving files to libraries, editing documents in the client program, and moving or linking that information to your site.

Using SharePoint sites

You can add information to the SharePoint site, such as events, names and phone numbers of people with whom your team communicates, and to-do items.

You can also do the following:

  • Post documents to share with other team members
  • Hold newsgroup-style discussions
  • Take a poll of the team to make a decision

As team members add or delete documents, lists, discussions, and surveys, Windows SharePoint Services automatically updates links to the content so that it's always easy to find. You can also create alerts so that you are notified of changes to the site.

Pages in the site display lists of information, allowing team members to organize the information any way they want, such as by subject, due date, or author. For example, you can do the following:

  • Restrict the display to see only the set of information that applies to you
  • Hide information that doesn't interest you
  • Change the order in which the information is listed
  • Set up customized views to make it easy for your team members to focus quickly on pertinent information

Features

When you first create a Windows SharePoint site, it comes with the following built-in features:

Lists

Your team can fill the following built-in lists with information and customize the lists if desired. You can also create a new list that is either based on a built-in list or custom-designed.

If you have a Windows SharePoint Services-compatible spreadsheet program, such as Microsoft Excel 2002, and Microsoft Internet Explorer 5 or later installed, you can create lists that are based on spreadsheets.

  • Announcements The announcements list is a place to post information for the team. By default, a view of the announcements list appears on the home page.
  • Contacts The contacts list stores information such as name, telephone number, e-mail address, and street address for people who work with your team. By default, a hyperlink to the contacts list appears on the Quick Launch bar.
  • Events The events list is a place to post important dates. By default, a view of the events list appears on the home page.
  • Links The links list displays hyperlinks to Web pages of interest to team members. By default, a view of the links list appears on the home page.
  • Tasks The tasks list provides a to-do list for team members. By default, a hyperlink to the tasks list appears on the Quick Launch bar.

Libraries

Document, picture, and form libraries are collections of files that you share with team members.

A library appears on a page that lists each file and its properties, as well as a hyperlink to the file.

You can set up a template for a document library so that all files created in a library share common features.

By default, your site comes with a built-in document library named Shared Documents, which is listed on the Quick Launch bar as well as on the Document Libraries page.

Discussion boards

Discussion boards provide a forum for conversing about topics that interest your team. Team members can post comments and reply to others' comments, reducing the need for widely distributed e-mail threads.

By default, your site comes with a built-in discussion board named General Discussion, which is listed on the Quick Launch bar as well as on the Discussion Boards page.

Surveys

Surveys provide a way of polling team members. All you need to do is specify the questions and define how team members will enter their answers.

Your doesn't site come with a built-in survey, but you can easily create your own.

Integration with client programs

You can use a site based on Windows SharePoint Services whether or not you have a Windows SharePoint Services-compatible client program installed. However, if you are running a Windows SharePoint Services-compatible client program, such as Office 2003, you can integrate the work you do in the client program with your site.

Using a datasheet program for editing list data

A Windows SharePoint Services-compatible datasheet program such as Office Excel 2003 allows you to edit list data as easily as you would cells in a spreadsheet program. You can add and edit rows and columns, apply filters and sort orders, display calculated values and totals, and more.

Saving files to a document library

If you use a Windows SharePoint Services-compatible client program, such as Office 2003, you will have integrated functionality between the client program and your site.

For example, you can use an Office 2003 program to open a template in a document library, and when you save the file, it is saved back to the document library by default. If custom properties are defined for the library, the Save As dialog box displays a form in which you can fill out the information.

Using a spreadsheet program to link to, import, or export lists

If you use a Windows SharePoint Services-compatible spreadsheet program, such asOffice Excel 2003, and Internet Explorer 5 or later, you can link data between an existing spreadsheet and a list in your site.

You can also export any list from your site to the spreadsheet program. For example, if you export a list to Office Excel 2003, you can create PivotTables and charts to analyze the information or apply text formatting. In Excel, the exported list is a Web Query that stays updated with changes to the original list in your SharePoint site.

Copying items between calendars or address books and your SharePoint site

If you use a Windows SharePoint Services-compatible calendar program, such as Office Outlook 2003, you can link events between your site and your calendar.

If you use a Windows SharePoint Services-compatible address book program, such as Office Outlook 2003, that supports vCard files, you can link your address book information with a site contacts list. You can also export contacts to the site.

Display lists and document libraries in Web pages

If you use a Windows SharePoint Services-compatible word processing program or Web page editor, such as Microsoft Office Word 2003 or Microsoft Office FrontPage 2003, you can insert views of lists and document libraries into pages of your document. The pages must be saved as Web pages in the same site as the list or document library. The view can display only the set of information in which you're interested. The view displays live data, so any changes in the original list or document library are reflected in the view.

Use a Web page editor to customize your site

If you are a member of the Web Designer or Administrator site group, you can open the SharePoint site in a Windows SharePoint Services-compatible Web page editor, such as Office FrontPage 2003, and customize the content, format, and layout.

SharePoint site customization

You can customize the content of your SharePoint site by using nothing more than a Web browser. However, if you have a Windows SharePoint Services-compatible Web page editor, such as Office FrontPage 2003 installed, you can tailor the site with your own custom layout, formatting, and content.

Customize by using a browser

The SharePoint site provides commands for customizing the look of your site. You can apply themes, create custom views of information, and change the organization of Web Parts on pages. For example, for a list of tasks, you can create one view that lists the tasks by due date and another view that lists the tasks by the name of the person to whom they're assigned.

You can also do the following:

  • Change the order of fields on data entry forms
  • Change the layout of the home page

Customize by using a Web page editor

You can open the SharePoint site in a Windows SharePoint Services-compatible Web page editor, such as Office FrontPage 2003, and change the layout of the site. You can also add custom pages and your corporate logo for a polished, professional look.

For example, you can do the following:

  • Add your own HTML pages, and then add them to the Quick Launch bar or top link bar
  • Change the order of the hyperlinks on the Quick Launch bar
  • Add images to pages
  • Apply a theme
  • Modify the font, colors, and layout of forms associated with lists, document libraries, discussion boards, and surveys
  • Add views of lists, document libraries, discussion boards, and surveys to Web pages
  • Modify the navigation structure

Security

When you create a site, you can specify who has access to the site and send each member an invitation to join the site. As the site creator, you can assign rights to other team members. For example, you could grant some team members rights only to read what's on the site, while granting other team members rights to add content or to configure settings for the site.


About checking site usage

About checking site usage

If you want to know what kind of impact your Web site has, you need to track how many users visit your site, the type and number of hits your site receives, and other site-usage information. Microsoft Windows SharePoint Services includes features that analyze the usage of your site. Summary and detailed usage reports supply information such as the following:

  • Number of hits per page
  • Number of unique users
  • Browser and operating system information
  • Referring domains and URLs

Tracking usage information can be useful for identifying which content on your site is being heavily used (and therefore should be kept) and which content is not being heavily used (and may be a candidate for archival). In addition to site usage statistics, you can keep track of how much storage space your site is taking up and the level of activity that your site is generating. This information is gathered as part of the quota tracking for sites. For more information about quotas, see Manage site quotas and locks.

The usage reports rely on usage log data gathered from the Web sites and stored in the content database for each virtual server. The log data is a summary record of transactions on your Web site. When you view a usage report, the data is arranged into a list format. You must be a member of the Administrator site group (or have the View Usage Data right) for a site to view the site usage statistics.

You can view summary data about a site from the Site Settings page.

About usage analysis administration options

You configure the settings for processing the usage log by using commands in HTML Administration pages. From the SharePoint Central Administration page, you can control the following:

  • Whether or not to log usage data.

    Usage analysis is not enabled by default. If you want to use the usage analysis features for your server, you must enable the usage analysis logging process. Log files are created daily to track usage information. When the log file is processed, a flag is added to indicate that is has been processed. If you do not want to track usage analysis data and you want to conserve disk space, you can turn off data logging for usage analysis.

  • When to process the usage logs.

    By default, the log files are set to be processed every day at 1:00 A.M. You can schedule processing of the usage log at a more convenient downtime for your Web sites. If your Web sites are primarily used by internal employees, for example, you might schedule the log to be processed at night, when demand on the sites is lower than during working hours. If you have multiple servers, you can stagger the processing. For example, you can configure the processing to start at midnight, and stagger it by 15 minutes, so that server1 starts at 12:00, server2 starts at 12:15, server3 at 12:30, and so on.

  • Where the log files are stored.

    By default, the log files are in c:\%windir%\system32\LogFiles\STS. Inside this folder is a folder for every virtual server, and under those folders, folders for each day. You can specify any other location that you prefer.

    Note If you choose a different log file location, you must be sure to give the STS_WPG user group Read, Write, and Update permissions to the directory. Without these permissions, the usage log files cannot be created or updated. For more information about setting permissions for a directory, see the Microsoft Windows Help system.

In Microsoft Windows SharePoint Services, usage analysis data is gathered from the front-end Web servers and collected into temporary files. When the scheduled log processing takes place, the data is merged into the content databases on the back-end servers. Usage data is collected for an entire virtual server at a time, even if you have separate top-level Web sites on a virtual server. When you view the data in HTML Administration pages, you can see only the data for a particular Web site or subsite, not for the virtual server or the entire top-level Web site and any subsites together. For more information about the type of data gathered in the usage analysis logs and how to view the usage analysis reports, see Analyze Web site usage.

Usage data is stored for 31 months. Daily information is stored for 31 days. The log files will not be deleted, even after processing. Note that usage analysis processes rely on the Microsoft SharePoint Timer service to manage the timing of log processing. For more information about the SharePoint Timer service, see Schedule timed jobs.

You control settings for usage analysis processing from the SharePoint Central Administration page. You must be an administrator of the local server computer or a member of the SharePoint Administrators group to configure usage analysis settings.

Related Topics

Specify usage analysis settings
Analyze site usage
Manage site quotas and locks
Schedule timed jobs


About Internet Explorer Enhanced Security Configuration

About Internet Explorer Enhanced Security Configuration

By default, Microsoft Windows Server 2003 provides a set of security settings called Internet Explorer Enhanced Security Configuration. These settings limit the types of content that a user at the server can view using Microsoft Internet Explorer, except for sites listed in the Local intranet and Trusted sites zones. For example, by default, scripting on pages available from the Internet does not run. The goal of these settings is to help ensure that a local user on a computer that is also running as a server does not download a virus or other harmful files from the Internet and infect the server. Internet Explorer Enhanced Security Configuration doesn't affect remote users viewing content on the server, only users running Internet Explorer on the server computer itself.

Important Using Internet Explorer Enhanced Security Configuration on a Web server running Microsoft Windows SharePoint Services prevents some code that is necessary for viewing site pages or SharePoint Central Administration pages from running. Again, remote users with proper access rights can view the pages correctly, but a user running Internet Explorer on the server computer is unable to view or manage the site. Note also that the user at the server computer is unable to view and manage a remote SharePoint site, because of the security settings.

Recommendations

Browse to your SharePoint site as http://localhost

For single server deployments, running Windows SharePoint Services by using the default host name localhost allows you to view the pages. This is not recommended for more complex deployments, such as header-based host sites or server farms.

Add the SharePoint sites to the list of local intranet sites

It is recommended that you add the URLs of all virtual servers that are hosted to the Internet Explorer Local intranet zone. In a server farm, you must also add the URLs of all domain-named sites to the list of local intranet sites. The advantage of this approach is that it helps secure local server computers by taking advantage of the Internet Explorer Enhanced Security Configuration and also allows administrators to manage local and remote SharePoint sites directly from a server computer. The disadvantage of this approach is that you must ensure that all Web servers and domain-named sites are added to the list of local intranet sites on every server in the deployment.

For example, if a server farm hosts the sites http://site1 and http://site2, you must add both site1 and site2 to the list of local intranet sites. In addition, you must add the names of each front-end Web server that is a member of the server farm to the list of local intranet sites. For example, if you have a server farm that includes two database servers named sql1 and sql2, and three front-end Web servers named it1, it2, and it3, you must add it1, it2, and it3 to the list of intranet sites. You must add all these server names and domain-named sites to the list of local intranet sites on each front-end Web server.

Remove Internet Explorer Enhanced Security Configuration

If you are not concerned about users working locally at the Web server, you can remove Internet Explorer Enhanced Security Configuration using Add or Remove Programs. The advantage of this solution is that it requires less time to configure server settings. This is of particular advantage for header-based host sites or server farms. The disadvantage of removing the enhanced security configuration is that it may leave the server computer vulnerable to attack by malicious users.


About allowing Workspace site creation

About allowing Workspace site creation

By default, only users who are members of the Administrator site group are allowed to create, rename, or delete sites. This helps ensure the security of sites in a Web site collection. However, if many users in your organization use word processing or calendaring and e-mail programs compatible with Microsoft Windows SharePoint Services, such as Microsoft Office Word 2003 and Microsoft Office Outlook 2003, you might want to allow users to create Workspace sites for documents and meetings. Workspace sites are specialized sites for developing a team document, or planning and tracking the results of meetings. By allowing Workspace site creation, you make it possible for users to create a Document Workspace site or Meeting Workspace site from within their Windows SharePoint Services-compatible programs. This ease of site creation allows convenient collaboration and information sharing. However, as users create many sites, administrators need to use the Windows SharePoint Services site quotas and metrics to track usage and delete old sites.

By enabling Workspace site creation for a group of users, you give the Create Sites and Workspaces right to the selected users or cross-site groups.

Related Topics

Allow Workspace site creation
About quotas
About checking site usage


Modify user account information

Modify user account information
  1. From the home page for a SharePoint site, on the top link bar, click Site Settings.
  2. On the Site Settings page, under Manage My Information , click View information about site users.
  3. Click the user account you want to modify.
  4. Click Edit User Information.
  5. Specify the new user information for this account.
    • In the Display Name field, type the name of the user. This is the name that other site members see when this user contributes to the site; for example, when adding documents or participating in Web discussions.
    • In the E-mail Address field, type the e-mail address of the user.
    • In the Notes field, type any comments about this user account.
  6. To assign administrative rights for this site collection to this user, select Site collection administrator.
  7. Click Save and Close.

Note The User Information page displays the account names of only those users who have used the site. To modify the account of a user who has not accessed the site, delete the account and then recreate it with the updated information.


Delete a site group

Delete a site group
  1. On the Site Settings page for the Web site, in the Administration section, click Go to Site Administration.
  2. On the Site Administration page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, select the box next to the site group you want to delete.
  4. Click Delete Selected Site groups.
  5. Click OK.


Schedule timed jobs

Schedule timed jobs

Several features of Microsoft Windows SharePoint Services rely on scheduled background processes. For example, to be able to review usage analysis information, you must first gather the information, preferably when your site is not being heavily used. With Windows SharePoint Services, you can schedule the following operations to occur automatically at specific times.

Operation | Frequency | Scope
Processing the usage analysis log files | Daily | Server or server farm
Sending alerts | Immediately, daily, or weekly | Virtual server
Checking for and automatically deleting unused Web sites | Daily, weekly, or monthly | Virtual server
Checking for and automatically adding e-mail attachments from a specific public folder to a specific document library | Every few minutes, hourly, or daily | Virtual server

Scheduled times apply to all Web sites on a particular Web server or in a particular content database, as indicated. The scope determines how the job is run. If a job is scoped to the Web server level, it is run for each Web server computer, independently of any other Web servers that might be hosting the same content. If an operation is scoped to the content database level, it is run once for the content database, which means once for the each content database in the entire server or server farm.

The Microsoft SharePoint Timer service, a background utility, handles scheduled jobs in Windows SharePoint Services. This utility is installed to your Web server when you set up Windows SharePoint Services. The SharePoint Timer service relies on the Gregorian calendar for scheduling. For every job you schedule, you must specify a beginning time for that job based on a 24-hour clock. You specify the time in local time versus an offset from Universal Coordinated Time (UCT), and the time is stored in that format as well.

The dates used by the SharePoint Timer service are not stored in context. This means that you cannot schedule jobs to run every X days/weeks/months/years, where X is greater than 1. So, while you can schedule jobs to run every day, every week, or every month, you cannot schedule a process for every two days, and so on. Neither can you schedule jobs for relative days in a month, such as the third Monday of every month.

When you schedule a timed job, you schedule the beginning time for the job. For example, you can schedule a job to be run daily, beginning between 1:00 AM and 2:00 AM. You always schedule jobs to begin within a time range, rather than at a specific time. This allows the SharePoint Timer service to be run at a random time in that range, so that not every server in a server farm is running the scheduled job at the same time. For example, if you set usage analysis processing to be done during the range 1:00 AM to 2:00 AM, then each front-end Web server starts processing usage analysis sometime between 1:00 and 2:00 AM.

You can schedule timed jobs by using the SharePoint Central Administration or Site Administration pages. To schedule a timed job, go to the page that contains the settings for the job you want to schedule, and then select the day, date, month, year, and time that you want the job performed.


Customize your site

Customize your site

Web sites based on Microsoft Windows SharePoint Services are designed to be flexible. You can tailor a site to fit your users' needs by adding or removing pages, changing the appearance of pages, changing the site navigation, and making other customizations. To customize SharePoint sites, you must have the following rights, all of which are included in the Web Designer and Administrator site groups by default:

  • Manage Lists
  • Add and Customize Pages
  • Apply Themes and Borders
  • Apply Style Sheets

Other users of your site cannot gain access to the pages required to perform these tasks unless they are members of a site group that contains these rights. For more information about controlling permissions and assigning rights and site groups, see Assign permissions to users and groups.

Customizing sites in the browser

You can make basic customization changes from within the browser. From the browser, you can make changes such as the following:

  • Create a list by using a built-in list template or create a custom list
  • Change the layout of the home page and other Web Part pages
  • Change the picture on the home page
  • Add a Web Part to a Web Part page
  • Change the name and description of a SharePoint site
  • Apply or remove a theme

You can click Home in this window to browse the Windows SharePoint Services Help table of contents for even more ways to customize Web sites from within the browser.

Customizing sites by using Web page editing tools

You can further customize a site by using a Web page editor that is compatible with Windows SharePoint Services, such as Microsoft Office FrontPage 2003. With a Web page editor, you can make customization changes such as the following:

  • Apply a theme (can also be done from the browser)
  • Add borders to pages
  • Insert graphics
  • Add components to the home page
  • Change the navigation of a site
  • Delete files
  • Create new lists and document libraries (can also be done from the browser)

For information about customizing sites by using a Web page editor, see the Help files for your editor.

For example, if you have created a custom theme for Windows SharePoint Services sites in Office FrontPage 2003 and added the theme name to the list of themes in Office FrontPage 2003, you can edit the list of available themes in Windows SharePoint Services to include your new theme. The XML file spthemes.xml (in /_layouts/) contains the theme name, style sheet location, thumbnail, preview, and description of each theme that is available through the browser. This XML file is used to render the theme selection page. You can modify this XML file (by opening it in any editor) to include a custom theme on the Apply Theme to Web page. You must be a member of the server computer's administrators group to edit this file. For more information about creating a theme and adding it to the list of themes in Office FrontPage 2003, see the Office FrontPage 2003 Help system.

Customizing sites by using administrative controls

If you are a member of the Administrator site group, you can customize how SharePoint sites work by performing tasks such as the following:

  • Change settings, such as regional setting
  • Add, remove, or modify site groups
  • Add or remove users, or change their site group assignments

You control these features by using the Site Administration pages. Only members of the Administrator site group or users who have been assigned to a site group that contains administrative rights, such as the Manage Groups right, can make these types of changes.

Customizing sites programmatically

You can make advanced Web development changes by using the programming model behind Windows SharePoint Services. You can use the programming model to make changes such as the following:

  • Define new views
  • Create forms
  • Look up values in the database and display them on a page
  • Add additional content types, such as Macromedia Flash movies, to the site
  • Add a global document template to be used across the site
  • Add Active Server Pages (ASP.NET pages) to the site.

    Note The ability to add ASP.NET pages to a site can be controlled by administrators for security reasons. For more information about ASP.NET pages in SharePoint sites, see Configure a virtual server.

For more information about advanced customizations, see the Windows SharePoint Services Software Development Kit.


Integrate with search and portal products

Integrate with search and portal products

You must enable search in order to make it available to users on your site. To enable search for Microsoft SQL Server 2000, you must install the full-text searching feature for SQL Server 2000 and then enable search in Microsoft Windows SharePoint Services. If you want to enable Microsoft Office SharePoint Portal Server 2003 searching, you must be sure that SharePoint Portal Server is available, and then configure Windows SharePoint Services to be included in the index by the portal site.

Enable search for SQL Server 2000

  1. On your SQL Server computer, run the SQL Server 2000 Setup program.
  2. On the setup screen, click SQL Server 2000 Components, and then click Install Database Server.

    The Microsoft SQL Server 2000 Installation Wizard opens.

  3. On the Welcome screen, click Next.
  4. On the Computer Name screen, select the computer type, and then click Next.
  5. On the Installation Selection panel, select Upgrade, remove, or add components to an existing instance of SQL Server, and then click Next.
  6. On the Instance Name panel, clear the Default check box, and then in the Instance Name box, select your SQL Server instance for Windows SharePoint Services and click Next.
  7. Select Add components to your existing installation, and then click Next.
  8. On the Select Components panel, in the Sub-Components list, select Full-Text Search, and then click Next.
  9. Click Next again to begin the installation.
  10. Click Finish.

Enable search for SharePoint Portal Server

After you have configured SQL Server 2000 to support full-text searching, you're ready to enable search for Windows SharePoint Services.

Related Topic

About managing and customizing search


Get the desired search results

Get the desired search results

Your search did not return any results

  • Ensure that all words are spelled correctly.

  • Try different keywords or synonyms to describe the item for which you are searching.

  • Try more general keywords.

Your search returned too many results

  • Use more search words. You can include up to 255 characters.

  • Use more specific keywords. For example, rather than searching for “art,” search for the name of a specific artist or work.

Notes on the search engine

  • The search engine automatically includes variations of words based upon the base stem, such as plurals. For example, searching for the word “page” also returns results for “pages.”

  • You cannot use the asterisk "*" character.

  • The search engine does not support Boolean functions such as AND and OR.

  • The search engine automatically ignores common words such as “the,” “it,” and “by” as well as single-digit numbers.

  • The search engine is not case sensitive.

  • Attachments to list items do not appear in search results.

  • You cannot search for information in items (rows) that are not included in the current view. For example, if you search in a view that shows only items created by you, any items created by another user are not searched. However, searches include all information in the items that are not filtered, including information in columns that are hidden. Searches also include information in items that exceed the current view’s item limit.

  • There may be an internal error on the search server. Contact your server administrator for more information.


Configure antivirus settings

Configure antivirus settings

You can specify antivirus settings by using SharePoint Central Administration or by using the command line.

Use SharePoint Central Administration to configure antivirus protection

  1. Click Start, point to Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Security Configuration, click Configure antivirus settings.
  3. Select the Scan documents on download box.
  4. Select the Scan documents on upload box.
  5. If desired, select the Attempt to clean infected documents box.
  6. If you want to allow users to save potentially infected files locally, select the Allow users to download infected documents check box.
  7. In the Time out scanning after ___ seconds box, type the number of seconds to allow before timing out the scanning process.

    Note The default time is 300 seconds, or 5 minutes. This should be enough time to allow the antivirus processes to finish without affecting performance. The default time is recommended, but you can adjust this time if you are experiencing performance issues.

  8. In the Allow scanner to use up to ___ threads box, type the number of threads to allow the scanning process to use.

    By default, the number of threads is set to five, which should be sufficient for even a large number of sites. It is recommended that you use the default number of threads, but you can adjust the number of threads to modify performance.

  9. Click OK.

Use the command line to configure antivirus protection

You can also configure antivirus protection by setting properties on the command line. To set a property, you use the Stsadm.exe tool with the setproperty operation. The following properties are available for use in configuring antivirus protection.

Property name | Description | Values
avallowdownload | Specifies whether users can download infected documents to their client computers. | yes/no
avcleaningenabled | Specifies whether antivirus cleaning is enabled or disabled. | yes/no
avdownloadscanenabled | Specifies whether documents are scanned on download. | yes/no
avnumberofthreads | Specifies the number of threads to use for antivirus processes. | A numerical value—the number of threads to use
avtimeout | Specifies how long to wait before timing out an antivirus process. | A numerical value, in seconds.
avuploadscanenabled | Specifies whether documents are scanned on upload. | yes/no

The following example shows the syntax to use when setting an antivirus property:

stsadm.exe -o setproperty -pn property_name -pv property_value

For example, to set the avtimeout property to 200 for http://server_name, use the following syntax:

stsadm.exe -o setproperty -pn avtimeout -pv 200

For more information about setting properties using the command line, see the SharePoint Portal Server 2003 Resource Kit.

Related Topic

About virus protection

See Also

Windows SharePoint Services Partners Site


About online presence integration

About online presence integration

Online presence allows users of your site to see if other users are online and allows real-time communication. To enable online presence, your users must have Microsoft Office 2003 installed, and must have an account for and be running Microsoft Windows Messenger or MSN Messenger.

Note The e-mail address for the account must be the same as the e-mail address for the user account in Windows SharePoint Services.

The Office 2003 installation includes an ActiveX control that allows Microsoft Windows SharePoint Services to return online status for site users. This control checks the e-mail address for the user and directs a query to the presence server for that client to see if the user is online. The ActiveX control does not store online information or e-mail addresses; it simply directs queries from the site to the e-mail address and returns the appropriate status.

You can enable or disable online presence information at the virtual server level. When you enable online presence for a virtual server, it is enabled for all sites and subsites of that virtual server.


Customize Help

Customize Help

Web sites based on Microsoft Windows SharePoint Services are fully customizable — you can add any type of Web page to the site, and all kinds of interactive content to the pages. To complement this flexibility in the site, the Help system for Windows SharePoint Services was designed to be customizable. So, when you customize the pages available on a Web site, you can also customize the Help available for those pages by adding topics that contain information specific to your organization.

For example, you might want to add topics to Help when:

  • You change the behavior of a default Web site page and want to explain how users can interact with the modified page.
  • You add a new page to the site with a form that users must fill out and you want to provide assistance for particular fields in the form.
  • You want to explain your organization's Web site policies, processes, or structure to new users of the site.

You must have administrator rights to the server computer to add topics to the Windows SharePoint Services Help system.

Adding topics to Help

You can use any level 4 HTML-compatible Web page editor, such as Microsoft Office FrontPage 2003, to create topics. When you add a topic, be sure to edit the table of contents topic to include the new file, and also create a hyperlink in the index topic to link to important terms in the new topic.

Windows SharePoint Services stores Help content as HTML and image files in the file system of the server computer. Windows SharePoint Services stores these files per server, so when you add a Help topic, it is available for all users of that server. The following table lists and describes the contents of the folders used to store Help content on a server.

Folder | Contains
\_vti_bin\help\lcid\sts | All Help topic files for Windows SharePoint Services. LCID stands for the locale ID. For example, U.S. English Help topics are stored in \_vti_bin\help\1033\.
\_vti_bin\help\lcid\sts\html\ | Localized HTML, cascading style sheets, and JavaScript files used in the Help topics.
\_vti_bin\help\lcid\sts\images\ | Localized images used in the Help topics.
About the Windows SharePoint Services Help folder and security

Because the Windows SharePoint Services Help topics take advantage of Microsoft JScript code to control some Help features, the \_vti_bin\help\lcid\sts\ folder that contains the Windows SharePoint Services Help files grants Read and Read and Execute permissions to the Everyone group. It is recommended that you control access to this folder and any other installation folders for Windows SharePoint Services. Because of the Read and Execute permission, a user with Write permissions to this folder could potentially add malicious scripting to files in the folder, which would then be allowed to run.

Customizing special Help files

The Help system for Windows SharePoint Services consists of Help topic files plus special files such as the table of contents, index, glossary, and other files. When you add custom content to the Help system, consider updating these special files as well to contain references to your new content.

Finding specific Help files

You can find topics in the Help system by browsing through the table of contents. After you identify the topic you want, you can turn on the Address bar for the Help window to identify the path to the topic. To do this in Microsoft Internet Explorer, on the View menu, click Toolbars, and then click Address Bar. Alternatively, you can use the search feature included with Microsoft Windows operating system to search through the _vti_bin\lcid\sts\html folder to find a particular sentence or phrase in Help.

Performing advanced customization of Help

You can also perform more advanced customization of the Help system. For example, each default page has one or more unique Help topics associated with it. These associations are maintained in a table in the Help ASPx home page. By editing this table, you can make your custom Help topics appear in the list of context-sensitive topics for a particular page in your Web site. For more information about advanced customization of Help, see the Microsoft Windows SharePoint Services Software Development Kit.

Preserving customized Help when installing service releases

Windows SharePoint Services service releases often contain updated Help files. If you customize a default Help topic, and then apply a service release, Windows SharePoint Services may overwrite the customized version of the Help file.

Note Because service releases update default Help topics, it is not recommended that you customize the default Help topics, aside from the table of contents and index files.

New topics that you add to the Help system are not overwritten by service releases, unless you use the same file names as existing or new topics.

If you are customizing the Help system extensively, it is recommended that you back up your customized topics before applying a service release, so that you can restore your customizations after the service release is installed.


About Web Page Security Validation

About Web Page Security Validation

Web Page Security Validation enhances security by imposing a time limit on pages when the user is submitting information to the server. This feature ensures that the connection between the browser and the server is more secure, and that data is not altered on a user's behalf without his or her knowledge. When users take too long before submitting changes to the server, they receive a message informing them that they must go back to the previous page and retry the operation.

In most installations, a setting of 30 minutes is usually appropriate. If site users experience frequent time-outs because of long data transfer times, consider increasing the interval. However, you should not turn off Web Page Security Validation, as it helps to maintain the security of your server.


About using formulas and functions

About using formulas and functions

For more information about using formulas and functions in calculated columns, see the following topics:

  • About formulas
  • About functions
  • About column references in a formula
  • About constants in formulas
  • About calculation operators
  • Examples of common formulas
  • Functions


About configuring e-mail settings

About configuring e-mail settings

Microsoft Windows SharePoint Services sends alerts and other administrator messages by using an SMTP server. This feature is also required for end-users to request access to a site or list. You can specify which SMTP server to use, and set the e-mail address to use for sending alerts and receiving replies for all sites, by using the SharePoint Central Administration e-mail settings. You can also specify different settings for a specific virtual server. At either level, you can specify the following settings: outbound SMTP server, from address, reply-to address, and character set to use.

About character sets and e-mail

When you configure e-mail settings, one of the settings that you specify is the character set to use in e-mail. The default character set is 65001 (Unicode UTF-8), a standard character set that works well for most languages. You can choose a specific language code to apply instead, such as 1256 (Arabic [Windows]), but be aware that changing to a specific language code may cause the e-mail messages to be unreadable to clients of other language codes, for example, 1252 (Western European [Windows]).

Configuring an SMTP server in Internet Information Services

If you want to use an SMTP server in Internet Information Services (IIS) to send outbound e-mail messages from Windows SharePoint Services, you must configure the SMTP server to allow anonymous access and to allow e-mail messages to be relayed. Note that the SMTP server that you use must have Internet access to be able to send messages to external e-mail addresses.

Note The SMTP Service for IIS is not installed by default. If you have not installed the SMTP Service, or you do not see the default SMTP virtual server in IIS, you must install the SMTP Service. For more information about installing, configuring, or managing the SMTP Service, see the Help system for Internet Information Services (IIS) Manager.

Related Topic

Configure e-mail settings


Back up or restore a site

Back up or restore a site

Back up a site

Use the Stsadm.exe command-line tool to backup or restore a site. The Stsadm.exe tool takes the following parameters.

Parameter | Required? | Description
-filename | Yes | Name of the backup file. For example, backup.dat
-url | Yes | URL of the Web site. For example, http://server_name/site
-overwrite | No | Overwrite any existing backup file or Web site. If you do not specify this parameter and a backup file or Web site exists, the backup stops.

The -filename parameter can take any of the following types of information:

  • Filename, such as backup.dat
  • Path on the local hard drive, such as local_drive:\path_name\file_name.dat
  • Path on a network share, such as \\share\folder\file_name.dat

Note Before backing up sites, it is recommended that you generate a list of sites and identify which sites to back up. To generate a list of sites on your server, you can use the enumsites operation. Generating a list of sites by using the enumsites command can help when automating backups. For example, you can include enumsites in the batch file, parse the list of sites, and then use the list of sites to create the backups. The enumsites operation uses the following syntax: stsadm.exe -o enumsites -url url

To perform a simple backup of a site, use the following syntax:

stsadm.exe -o backup -url http://server_name/site -filename file_name.dat

To back up a site and overwrite an existing backup file, use the following syntax:

stsadm.exe -o backup -url http://server_name/site -filename local_drive:\path_name\file_name.dat -overwrite

Restore a site

To restore a site, you use the restore operation with the Stsadm.exe command-line tool. The restore operation takes the following parameters:

Parameter | Required? | Description
-filename | yes | Name of the backup file. For example, backup.dat
-url | yes | URL of the Web site. For example, http://server_name/site
-overwrite | no | Overwrite any existing backup file or Web site. If you do not specify this parameter and a backup file or Web site exists, the restore operation stops.

You have three options for restoring sites from a backup.

  • You can restore a site to an existing site.

    Important Use this option with caution. When you overwrite an existing site, the existing site is completely overwritten. You cannot merge sites. Any existing site content, and existing site permissions, are destroyed when you overwrite a site.

  • You can restore a site to a new site on the same server.

    This is the recommended option. When you restore a site to a new site on the same server, you can copy the data from the restored site, and paste it back into the original site. Use this method if you are restoring a site to recover data.

    Note In order for the restore operation to work correctly, the included and excluded paths for your virtual server must be configured properly. If you are restoring a site to a new site, be sure to create an included path for the site, if necessary, before restoring the site.

  • You can restore a site to a separate server, with a separate installation of Windows SharePoint Services that uses a copy of the configuration database from the original server.

    This is a more complicated scenario, but it allows you to set up two versions of the same site, as in the previous option, but with the ability to use the unused Web site deletion feature to remove the site automatically after a specific time period.

    Note To recover a specific list or list item from a site backup, use this method to restore the site, then copy the list or item from the restored site back to the original site.

To restore a site from a backup file, either to a new site or a separate server, use the following syntax:

stsadm.exe -o restore -url http://server_name/site -filename file_name.dat

To restore a site from a backup file on a server share, and to overwrite any existing site at the new location, use the following syntax:

stsadm.exe -o restore -url http://server_name/site -filename \\share\folder\file_name.dat -overwrite

Restoring Sites in Active Directory Account Creation Mode

When restoring a site that was running in Active Directory account creation mode, the destination site must also be running in Active Directory account creation mode. Further, you cannot restore a site that was not running in Active Directory account creation mode to a server that is running in Active Directory account creation mode.

Important

  • Do not run the both the original and the restored sites simultaneously. Doing so creates security risks as it allows users from the backup site to have full access to the restored site, and all user management changes to one site will apply to the other site.
  • When deleting either the original or restored site, make sure that you specify the -deleteusers false option on the stsadm.exe command line or users from both sites will be deleted from Active Directory service. For example: stsadm –o deletesites –deleteusers false

Related Topic

About managing unused site collections


Add a calculated column

Add a calculated column

Add a calculated column to a list or library if you want to create a cell that calculates and displays information from other columns. For example, you can add a calculated column that displays the average of two other columns for each item in a list.

Tip

To count any column and perform simple mathematical functions on numerical columns, you can Create a personalized view and use the Totals section to define the way you want to calculate the total for a column.
  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, click the list, document library, or discussion board in which you want to add a column.
  3. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  4. In the Columns section, click Add a new column.
  5. In the Name and Type section, in the Column name box, type a name for the column.
  6. Select Calculated (calculation based on other columns).
  7. In the Optional Settings for Column section, type a description for the column.

    This step is optional.

  8. In the Formula field, enter a formula to calculate the information in this column.

    How?

    • Columns that are already part of the list or library appear in the Insert Column list. To include an existing column in the equation, click the item and then click Add to formula.

      You can also type the names of columns manually by enclosing them in square brackets ([ ]). For example, to enter the Title column in the formula, you type [Title].

    • In your equation, you can use all of the standard math, comparison, and logical operators, such as +, -, /, *, %, ^, >, <, >=, <=, <>, &, OR, NOR, and XOR.
    • To insert text into an equation, place the text between quotation marks. Spaces not in quotation marks are ignored.

    For example, to add a calculated column that displays the average of two existing columns (Column_1 and Column_2), you type ([Column_1] + [Column_2]) / 2 in the Formula box.

  9. At the bottom of the page, click OK.

Related Topics

Add, edit, or delete a column
Functions


View a Web discussion

View a Web discussion

Note You must be a member of the Administrator site group to complete this procedure.

  1. On the Site Settings page, click Go to Site Administration.
  2. On the Site Administration page, under Management and Statistics, click Manage Web Discussions.
  3. Specify whether you want to view a list of all Web discussions or just those starting from an URL that you specify, and then click Update.
  4. Click the link to the page with a Web document discussion you would like to view.
  5. In your Web browser toolbar, click Discuss.


Add a user to a cross-site group

Add a user to a cross-site group
  1. On the Web site you want to manage, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Users and Permissions section, click Manage cross-site groups.
  4. Click the name of the cross-site group to which you want to add a user.
  5. Click Add Members.
  6. Enter the e-mail addresses or user names (for example, DOMAIN\user_name) of the users you want to add to the cross-site group. You can add multiple addresses or user names, separated with semicolons.
  7. Click Next.
  8. On the Add Users page, confirm which users will be added to this cross-site group. If there's a mistake, click Back and correct it.
  9. Click Finish.

Related topics

About cross-site groups
Create, edit, or delete a cross-site group


Specify Web discussion settings

Specify Web discussion settings
  1. On the site, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. On the Site Administration page, under Management and Statistics, click Manage Web discussions, and then do any of the following:
    • To see all discussion threads associated with your site, click All Web discussions, and then click Update.
    • To see discussion threads for documents in a specific folder, type a path in the Web discussions in folder http://server_name/ box, and then click Update.
    • To view a particular discussion thread, click the URL for the thread and then in your Web browser toolbar, click Discuss.
    • To delete a particular discussion thread, select the check box next to the thread, and then click Delete.
    • To delete all discussion threads on your site, click Delete all discussions.


Getting help

Getting help

Use one of the following tools to find the information you want.

Microsoft Windows SharePoint Services Help home page

The Help home page has links that go directly to topics overview, process, and troubleshooter topics.

More Help on the Web

Note You must have Internet access to connect to these resources.

The following resources are available online:

  • Microsoft SharePoint Products and Technologies Technology Center: A Web site that provides centralized collection of documentation resources for all SharePoint products and technologies, including late-breaking news and updated information
  • Microsoft SharePoint Products and Technologies Web site: A Web site that provides information about all SharePoint products and technologies
  • Microsoft Product Support Services: Microsoft Help and Support Services for all products
  • Microsoft SharePoint Portal Server on Microsoft TechNet: Resources for administrators about SharePoint Portal Server on TechNet
  • Windows SharePoint Services and SharePoint Team Services from Microsoft on TechNet: Resources for administrators about Windows SharePoint Services and SharePoint Team Services on TechNet


About the SharePoint administrators group

About the SharePoint administrators group

Two sets of users are allowed to perform administrative functions for Microsoft Windows SharePoint Services: members of the administrators group for the local server computer and members of the SharePoint administrators group. The SharePoint administrators group is a Microsoft Windows NT domain group that is assigned by using Windows SharePoint Services. Members of this domain group can perform tasks from SharePoint Central Administration without having to be assigned administrator rights to the local server computer. This is particularly useful in a server farm, because you can grant rights across the server farm, rather than individually for each computer in the server farm. This is also useful for applications that call into the administrative object model for Windows SharePoint Services. If you can configure the application process to run as a member of the SharePoint administrators group, it can create sites, modify quota values for sites, and perform other administration tasks.

Members of the SharePoint administrators group do not have access to the Internet Information Services (IIS) metabase or to the local server's file system, so they cannot perform the following actions for Windows SharePoint Services:

  • Extend virtual servers.

    Note Members of the SharePoint administrators group can create top-level Web sites or change settings for a virtual server.

  • Remove Windows SharePoint Services from a virtual server.
  • Manage paths.
  • Change the SharePoint administrators group.
  • Change the configuration database settings.
  • Use the Stsadm.exe command-line tool.

Members of the SharePoint administrators group can perform any other administrative action using the SharePoint Central Administration pages or the object model for Windows SharePoint Services. For example, members of the group can view and manage all sites created on their servers. This means that a member of the SharePoint administrators group can read documents or list items, change survey settings, delete a site, or perform any action on a site that the site administrator can perform.


Add a site group

Add a site group
  1. On the Site Settings page for a Web site, in the Administration section, click Go to Site Administration.
  2. On the Site Administration page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, click Add a Site Group.
  4. In the Site Group Name and Description area, type the name and description for the new site group.
  5. In the Rights area, select the rights you want to include in the new site group.
  6. Click Create Site Group.


Specify anonymous user access settings

Specify anonymous user access settings

Use the anonymous user account on the Web server to provide anonymous access to a SharePoint site. Internet Information Services (IIS) creates and maintains the account to provide anonymous Web access on a Web server computer, not Microsoft Windows SharePoint Services. By default, IIS creates the anonymous user account, IUSR_ComputerName. When you enable anonymous access in Windows SharePoint Services, you are allowing that user account to access the Web site.

Allow anonymous access for a virtual server in Internet Information Services

To allow anonymous access for a virtual server in Internet Information Services you must be a member of the local server's Administrators group or you must have been granted privileges to administer IIS.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Right-click the virtual server you want to enable anonymous access for, and then click Properties.
  3. Click the Directory Security tab.
  4. In the Authentication and access control section, click Edit.

  5. The Authentication Methods dialog box appears.

  6. Select the Anonymous access check box.
  7. Click OK to close the Authentication Methods dialog box.
  8. Click OK to close the Properties dialog box.

Note You may need to restart IIS for this change to take effect. After anonymous access is turned on for the virtual server in IIS, you can enable anonymous access for a specific top-level Web site.

Enable anonymous access for a top-level Web site

  1. On the site, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. On the Site Administration page, in the Users and Permissions section, click Manage anonymous access.
  4. In the Anonymous Access section, select a level of access to allow:
    • Entire Web site
    • Lists and libraries
    • Nothing
  5. Click OK.


Enable or disable rights for a site group

Enable or disable rights for a site group
  1. On the Site Settings page for the Web site, in the Administration section, click Go to Site Administration.
  2. On the Site Administration page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, click the site group you want to change.
  4. On the Members of Site_group_name page, click Edit Site Group Permissions.
  5. On the Edit Site Group Site_group_name page, select or clear the specific rights as needed.
  6. Click Submit.


Enable or disable unique permissions for a subsite

Enable or disable unique permissions for a subsite
  1. On the Site Settings page of the subsite that you want to configure, in the Administration section, click Go to Site Administration.
  2. On the Site Administration page, in the Users and Permissions section, click Manage permission inheritance.
  3. In the Permissions area, specify whether or not you want the subsite to use the same account and site group information as the parent Web site.
  4. Click OK.

Note When you enable unique permissions, a copy of the parent Web site's user accounts and site groups remains with the subsite. You can then add and remove any accounts and site groups as needed. The subsite retains the same anonymous user settings as the parent Web site unless you change these settings.


View alerts

View alerts

Complete the steps in the sections below to view your personal alerts or those set up by other users.

View my alerts

  1. On the top link bar, click Site Settings.
  2. Under Manage My Information, click My alerts on this site.

Note If the site is a Meeting Workspace site, ignore step 1. Instead, from the Modify This Workspace menu on the home page, click Site Settings.

View other users' alerts

Note You must have administrator rights to view other users' alerts.

  1. On the top link bar, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Management and Statistics, click Manage user alerts.
  4. In the Display alerts for menu, click the name of the site user whose alerts you want to view and then click Update.

Note If the site is a Meeting Workspace site, ignore step 1. Instead, from the Modify This Workspace menu on the home page, click Site Settings.

Important When you remove a user from a site after he or she has create alerts, you must manually delete any alerts that he or she has set up. This is also true for any lists or libraries where you change security settings to limit access. If a user has set up alerts for the list or library, he or she will continue to receive them after you change the security settings. It is important to delete these alerts to prevent unauthorized users from having access to site and user information.

Related Topics

About alerts
Add an alert
Delete an alert
About managing alerts
Configure alerts for a virtual server
Specifying Mail Settings


Create, edit, or delete a cross-site group

Create, edit, or delete a cross-site group

Create a cross-site group

  1. On the Web site you want to manage, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Users and Permissions section, click Manage cross-site groups.
  4. Click New Cross-site Group.
  5. Type a name and description for the group in the fields provided.
  6. In the Owner section, specify the owner of the cross-site group:
    • If you want to own the group yourself, click Yourself.
    • To allow other members of this site collection to add and remove users, click Allow members of this cross-site group to add and remove site users.
    • To specify another user as the owner of this cross-site group, click Someone else and then click the Select button to choose an owner from the Select Owner window that appears.
  7. Click Create.

Edit a cross-site group

  1. On the Web site you want to manage, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Users and Permissions section, click Manage cross-site groups.
  4. Click the name of the cross-site group that you want to edit.
  5. Click Change Cross-site Group Settings.
  6. Type the desired name and description for the group in the fields provided.
  7. In the Owner section, specify the owner of the cross-site group:
    • If you want to own the group yourself, click Yourself.
    • To allow other members of this site collection to add and remove users, click Allow members of this cross-site group to add and remove site users.
    • To specify another user as the owner of this cross-site group, click Someone else and then click the Select button to choose an owner from the Select Owner window that appears.
  8. Click Create.

Delete a cross-site group

  1. On the Web site you want to manage, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Users and Permissions section, click Manage cross-site groups.
  4. Click checkbox that corresponds to the name of the cross-site group that you want to delete and then click Delete Selected Cross-site Groups.
  5. Click OK to confirm that you want to delete the group, or click Cancel to cancel the deletion.

Related topics

About cross-site groups
Add a user to a cross-site group


Configure Self-Service Site Creation

Configure Self-Service Site Creation

You can use either HTML Administration pages or the command-line tool to turn on and configure Self-Service Site Creation. Either method allows you to turn Self-Service Site Creation on or off, and allows you to specify the type of information to require when creating a site.

Configuring Self-Service Site Creation from SharePoint Central Administration

To turn on Self-Service Site Creation for a virtual server, use the Configure Self-Service Site Creation page for that virtual server.

Turn Self-Service Site Creation on or off

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, in the Virtual Server Configuration section, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server to enable.
  4. On the Virtual Server Settings page, under Automated Web Site Collection Management, click Configure Self-Service Site Creation.
  5. In the Enable Self-Service Site Creation section, next to Self-Service Site Creation is, click On.
  6. To require two contact names for each site, select the Require secondary contact check box.
  7. Click OK.

To disable the ability for users to create sites, go to the Configure Self-Service Site Creation page, and then next to Self-Service Site Creation is, select Off, and then click OK.

Configuring Self-Service Site Creation from the command line

Use the enablessc operation to turn on and configure Self-Service Site Creation from the command line. The enablessc operation requires the URL parameter, and optionally takes the requiresecondarycontact parameter. For example, to turn on Self-Service Site Creation for a server called My_Server and require two contact names for each site, you would use the following syntax:

stsadm -o enablessc -url http://My_Server -requiresecondarycontact

To disable Self-Service Site Creation, use the disablessc operation. The disablessc operation takes only the URL parameter. To turn off Self-Service Site Creation for My_Server, use the following syntax:

stsadm -o disablessc -url http://My_Server


Delete a site

Delete a site

Delete a subsite

Note To complete the steps in this section, you must be a member of the Administrator site group for the site that you want to delete.

  1. On the top link bar, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Management and Statistics section, click Delete this site.
  4. Click Delete to confirm.

Note If the site you're deleting is a Meeting Workspace site, ignore step 1. Instead, on the Modify This Workspace menu, click Site Settings. Then follow the remaining steps.

Delete a top-level site

Note To complete the steps in this section, you must be a member of the Windows Administrator group on the computer hosting the top-level site that you want to delete.

  1. On the computer hosting the site, click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Virtual Server Configuration, click Delete site collection .
  3. In the Enter Site URL section, type the URL of the site that you want to delete.
  4. Click OK.


Install a language pack

Install a language pack

Language template packs for Microsoft Windows SharePoint Services are available as downloadable files from Windows Update. You can install language template packs to support Web sites in 26 languages. For a complete list of supported languages, see the Windows SharePoint Services Resource Kit.

To install a language template pack, download it, and then run Setup. At the end of setup, Internet Information Services (IIS) automatically restarts. If you are in a server farm environment, you must install the language template packs to each front-end Web server in the server farm.

During installation, Windows SharePoint Services adds the site templates to the default installation directory, under the \TEMPLATE\LCID directory, where LCID is the locale ID for the language. After installation, server administrators, members of the SharePoint Administrators group, and users with the Create Sites and Workspaces or Use Self-Service Site Creation rights can create Web sites based on the language templates by selecting the language on the Create Top-Level Web Site or New SharePoint Site pages.

If you no longer need a language template pack, you can remove it by using the Add or Remove Programs in Control Panel. This removes the language template files from the \TEMPLATE\LCID directories.

Caution When you remove a language template pack, any sites based on that language no longer work. You can re-install the language template pack to restore the sites.

Related Topics

About regional and language settings
Configure regional settings


Delete an alert

Delete an alert

Complete the steps in the following sections to delete a personal alert or to delete an alert for another user.

Delete a personal alert

  1. On the top link bar, click Site Settings.
  2. Under Manage My Information, click My alerts on this site.
  3. Select the check box for the alert that you want to delete, and then click Delete Selected Alerts.

Note If the site is a Meeting Workspace site, ignore step 1. Instead, from the Modify This Workspace menu on the home page, click Site Settings.

Delete another user's alert

Note You must be a member of the Administrator site group to delete other users' alerts.

  1. On the top link bar, click Site Settings.
  2. Under Administration , click Go to Site Administration.
  3. Under Management and Statistics click Manage user alerts.
  4. In the Display alerts for menu, click the name of the site user with an alert that you want to delete, and then click Update.
  5. Select the check boxes for the alerts that you want to delete, and then click Delete Selected Alerts.

Note If the site is a Meeting Workspace site, ignore step 1. Instead, from the Modify This Workspace menu on the home page, click Site Settings.

Important When you remove a user from a Web site, site group, or cross-site group after he or she has created alerts, you must manually delete any alerts that he or she has set up. This is also true for any lists or libraries where you change security settings to limit access. If a user has set up alerts for the list or library, he or she will continue to receive them after you change the security settings. It is important to delete these alerts to prevent unauthorized users from having access to site and user information.

Related Topics

About alerts
About managing alerts


Configure regional settings

Configure regional settings
  1. On the site, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. On the Site Administration page, in the Management and Statistics section, click Change regional settings.
  4. On the Regional Settings page, select the settings to use, and then click OK.

Note Server administrators, and members of the SharePoint Administrators group, can specify a default time zone to use for all sites on a virtual server..

Specifying locale IDs on the command line

When you extend a virtual server, create a new top-level Web site, or create a new subsite from the command line, you can specify the locale ID to use. The extendvs, createsite, createsiteinnewdb, and createweb operations all accept the LCID parameter. To provide a locale ID for any of these operations, type the numerical value for the locale, such as 1033 for US English or 1036 for French/France. For example, to create a subsite and use the French locale ID for France, use the following syntax:

stsadm.exe -o createweb -url http://server_name/site1/subsite1 -lcid 1036

Each of these operations take several other parameters. For more information about these operations, see the Windows SharePoint Services Resource Kit.

Related Topics

About regional and language settings
Install a language pack
Configure a virtual server


Manage paths

Manage paths

Managing paths by using SharePoint Central Administration

Add a new path

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server that you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Define managed paths.
  5. In the Add a New Path section, in the Path box, type the path to add.
  6. Select Excluded path or Included path. If you select Included path, select a type (wildcard or explicit) in the Type box.
  7. Click OK.

Remove a path

If you change how you use the URL namespace, and no longer need a path to be included or excluded, you can remove the path.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server that you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Define managed paths.
  5. Under Included Paths or Excluded Paths, select the check box next to the path that you want to remove, and then click Remove selected paths.

Managing paths from the command line

You can use the addpath and deletepath operations to manage paths on the command line. Both operations take the -url and -type parameters. The -type parameter has three values: exclusion, explicitinclusion, and wildcardinclusion. For example, to add a new wildcard inclusion to manage all sites at the top level of http://server1, you would use syntax like the following:

stsadm -o addpath -url http://server1/ -type wildcardinclusion

You can also remove an included or excluded path by using the command line. For example, to remove an exclusion for the site at http://server1/hrweb/webapp, you would use syntax like the following:

stsadm -o deletepath -url http://server1/hrweb/webapp

Related Topic

About managed paths


Change authentication methods

Change authentication methods

Change authentication methods

To change authentication methods in IIS you must be a member of the local server's Administrators group or you must have been granted privileges to administer IIS.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Click the PLUS SIGN (+) next to the server name that contains the virtual server you want to change.
  3. Click the PLUS SIGN (+) next to Web sites.
  4. Right-click the virtual server, and then click Properties.
  5. On the Directory Security tab, in the Authentication and access control section, click Edit.
  6. Select or clear the check boxes for the authentication methods you want to allow or disallow.
  7. Click OK to close the Authentication Methods dialog box.
  8. Click OK again to close the Properties dialog box.

Enabling Secure Sockets Layer (SSL)

To enable SSL for a virtual server hosting Web sites based on Microsoft Windows SharePoint Services, you must turn on SSL in Internet Information Services (IIS). If you want to use SSL for the virtual server used by SharePoint Central Administration, you must also use the setadminport command-line operation to enable SSL in Windows SharePoint Services.

Enable SSL in IIS

  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Click the PLUS SIGN (+) next to the server name that contains the virtual server you want to change.
  3. Click the PLUS SIGN (+) next to Web sites.
  4. Right-click the virtual server, and then click Properties.
  5. On the Directory Security tab, in the Secure communications section, click Edit.
  6. In the Secure Communications dialog box, select the Require secure channel (SSL) box, and then click OK.
  7. Click OK again to close the Properties dialog box.

Enabling SSL for the SharePoint Central Administration pages

After you have enabled SSL for the SharePoint Central Administration virtual server in IIS, you must use the command line to configure Windows SharePoint Services to use SSL. Perform the following steps to configure Windows SharePoint Services to use SSL for the Central Administration pages.

Enable SSL for the SharePoint Central Administration pages

  1. If you have a server farm, you must set all of the servers in your server farm to use the same administration port by using the following syntax:
    stsadm.exe –o –setadminport –p 443

    Important Replace the port number in the example syntax with the port number you want to use for remote administration. Run this command on each front-end Web server in the server farm. You only need to perform this step running Windows SharePoint Services on a server farm; you do not need to change the administration port if you are running Windows SharePoint Services on a single server.

  2. Configure the administration pages to use SSL by using the following syntax:
    stsadm.exe –o –setadminport –ssl

    If you have a server farm, you must run this command on each front-end Web server in the server farm.

Note To improve security for the administration port, it is recommended that you also use a firewall or the IIS IP and domain restrictions feature to restrict access to the administration port. By using the firewall or IP and domain restrictions, you can specify that Windows SharePoint Services ignore requests from unauthorized IP addresses or network domain names.

Related Topic

About authentication methods

See Also

Internet Information Services 6.0 Help


Functions

Functions

For information about using functions in formulas for calculated columns and default values, see the following topics.

Date and Time

  • DATE
  • DATEDIF
  • DATEVALUE
  • DAY
  • DAYS360
  • HOUR
  • MINUTE
  • MONTH
  • SECOND
  • TIME
  • TIMEVALUE
  • TODAY
  • WEEKDAY
  • YEAR

Financial

  • DDB
  • FV
  • IPMT
  • ISPMT
  • NPER
  • NPV
  • PMT
  • PPMT
  • PV
  • RATE
  • SLN
  • SYD

Information

  • IS
  • Me

Logical

  • AND
  • FALSE
  • IF
  • NOT
  • OR
  • TRUE

Lookup and Reference

  • CHOOSE

Math and Trigonometry

  • ABS
  • ACOS
  • ACOSH
  • ASIN
  • ASINH
  • ATAN
  • ATAN2
  • ATANH
  • CEILING
  • COS
  • COSH
  • DEGREES
  • EVEN
  • EXP
  • FACT
  • FLOOR
  • INT
  • LN
  • LOG
  • LOG10
  • MOD
  • ODD
  • PI
  • POWER
  • PRODUCT
  • RADIANS
  • ROMAN
  • ROUND
  • ROUNDDOWN
  • ROUNDUP
  • SIGN
  • SIN
  • SINH
  • SQRT
  • SUM
  • SUMSQ
  • TAN
  • TANH
  • TRUNC

Statistical

  • AVEDEV
  • AVERAGE
  • AVERAGEA
  • BETADIST
  • BETAINV
  • BINOMDIST
  • CHIDIST
  • CHIINV
  • CONFIDENCE
  • COUNT
  • COUNTA
  • CRITBINOM
  • DEVSQ
  • EXPONDIST
  • FDIST
  • FINV
  • FISHER
  • FISHERINV
  • GAMMADIST
  • GAMMAINV
  • GAMMALN
  • GEOMEAN
  • HARMEAN
  • HYPGEOMDIST
  • KURT
  • LOGINV
  • LOGNORMDIST
  • MAX
  • MAXA
  • MEDIAN
  • MIN
  • MINA
  • MODE
  • NEGBINOMDIST
  • NORMDIST
  • NORMINV
  • NORMSDIST
  • NORMSINV
  • POISSON
  • SKEW
  • STANDARDIZE
  • STDEV
  • STDEVA
  • STDEVP
  • STDEVPA
  • TDIST
  • TINV
  • VAR
  • VARA
  • VARP
  • VARPA
  • WEIBULL

Text and Data

  • ASC
  • CHAR
  • CLEAN
  • CODE
  • CONCATENATE
  • DOLLAR
  • EXACT
  • FIND
  • FIXED
  • LEFT
  • LEN
  • LOWER
  • MID
  • PROPER
  • REPLACE
  • REPT
  • RIGHT
  • SEARCH
  • T
  • TEXT
  • TRIM
  • UPPER
  • USDOLLAR
  • VALUE


Delete a user account or cross-site group

Delete a user account or cross-site group

Important When you delete a user account, all personalizations the user has made are deleted as well.

Use Site Administration to delete a user or cross-site group from all site groups

  1. On the Web site you want to manage, click Site Settings.
  2. On the Site Settings page, in the Administration section, click Manage Users.
  3. On the Manage Users page, select the box next to the user or cross-site group you want to delete.
  4. Click Remove Selected Users.
  5. On the confirmation message that appears, click OK to remove the users.

Remove a user from a top-level Web site

  1. On the top-level Web site, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. On the Top-Level Site Administration page, in the Site Collection Administration section, click View site collection user information.
  4. Select the box next to the user you want to remove, and then click Remove Selected Users.

Use SharePoint Central Administration to delete a site user or change site group membership

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, in the Security section, click Manage Web site users.
  3. On the Manage Web Site Users page, in the Site URL box, type the URL to the site, and then click View.
  4. In the Enter Site User section, in the Account name box, type the user account you want to change or delete, and then click View.
  5. To change site group membership, select the box next to the site group to which you want the user to belong, and then click Update.
  6. To remove the user from all site groups, select the Delete this user account box, and then click Update.

Use the command line to delete a site user

You use the deleteuser operation to remove users from a site. The deleteuser operation takes the url and userlogin parameters. To remove a user, use the following syntax:

stsadm.exe -o deleteuser –url http://server_name/site_name
–userlogin domain_name\user_name


Assign a user to a different site group

Assign a user to a different site group

Use Site Administration to assign a user to a site group

  1. On the Web site you want to manage, click Site Settings.
  2. On the Site Settings page, in the Administration section, click Manage Users.
  3. On the Manage Users page, select the box next to the user or cross-site group name you want to change.
  4. Click Edit Site Group of Selected Users.
  5. In the Site Group Membership area, select the site group to which you want the user or cross-site group to belong.
  6. Click OK.

Use the command line to assign a user to a site group

You can assign a user to a site group from the command line by using the userrole operation. The userrole operation takes the url, userlogin, role, and add or delete parameters. Use the following syntax to add a user to the Contributor site group:

stsadm.exe -o userrole –url http://server_name/site_name –userlogin DOMAIN_name\User_name
-role contributor -add

Note This does not remove the user from any site groups to which he or she previously belonged.


Add a user or cross-site group

Add a user or cross-site group

Add a user or group by using the Site Administration pages

  1. On the Web site you want to manage, click Site Settings.
  2. On the Site Settings page, in the Administration section, click Manage Users.
  3. On the Manage Users page, click Add Users.
  4. In the Step 1: Choose Users section specify the users that you would like to add, separated by semicolons. You can enter:
    • E-mail addresses (for example, someone@example.com)
    • User names (for example, DOMAIN\user_name)
    • Microsoft Active Directory directory service security group names (for example, DOMAIN\security_group_name)
    • Domain group names (for example, DOMAIN\group_name)
    • Cross-site group names (for example, Accounting)

    Notes

    • When running Windows SharePoint Services in a server farm, you cannot add local accounts.
    • Local accounts must exist before you attempt to add them. Windows SharePoint Services does not create local accounts like SharePoint Team Services v1.0 does.
    • When using Active Directory account creation mode, you cannot add local accounts or security groups.
  5. In the Step 2: Choose Permissions section, select the site group to which you want to add the users, and then click Next.
  6. In the Step 3: Confirm Users section, verify the e-mail addresses, user names, and display names.
  7. In the Step 4: Send E-mail section, if you want to send an invitation, select Send the following e-mail to let these users know they've been added, and type the subject and body text information to send in the e-mail message.
  8. Click Finish.

Add a user by using SharePoint Central Administration

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, in the Security Configuration section, click Manage Web site users.
  3. On the Manage Web Site Users page, in the Site URL box, type the URL to the site, and then click View.
  4. In the Add a User section, specify the users that you would like to add, separated by semicolons. You can enter:
    • E-mail addresses (for example, someone@example.com)
    • User names (for example, DOMAIN\user_name)
    • Microsoft Active Directory directory service security group names (for example, DOMAIN\security_group_name)
    • Domain group names (for example, DOMAIN\group_name)
    • Cross-site group names (for example, Accounting)

    Notes

    • When running Windows SharePoint Services in a server farm, you cannot add local accounts.
    • Local accounts must exist before you attempt to add them. Windows SharePoint Services does not create local accounts like SharePoint Team Services v1.0 does.
    • When using Active Directory account creation mode, you cannot add local accounts or security groups.
  5. In the Display name box, type the full name.
  6. In the E-mail address box, type the e-mail address.
  7. In the Site group box, select a site group to which to add the user or group, and then click Add User.

Add all users from an e-mail distribution list

Note To complete the steps in this section you must have a Windows SharePoint Services-compatible address book program such as Microsoft Office Outlook 2003 installed on the computer you are running.

  1. On the Web site you want to manage, click Site Settings.
  2. On the Site Settings page, in the Administration section, click Manage Users.
  3. On the Manage Users page, click Add Users.
  4. In the Step 1: Choose Users section, click Address Book.
  5. Select the distribution list you want to add from the address book.

    Note You can add only distribution lists that reside on the same e-mail server as your current e-mail account. For example, in Office Outlook 2003 the names of distribution lists that reside on the same e-mail server appear in bold text.

    The list of users from the distribution list appears in the Users field.
  6. In the Step 2: Choose Permissions section, select the site group to which you want to add the members of the distribution list, and then click Next.
  7. In the Step 3: Confirm Users section, verify the e-mail addresses, user names, and display names.
  8. In the Step 4: Send E-mail section, if you want to send an invitation, select Send the following e-mail to let these users know they've been added, and type the subject and body text information to send in the e-mail message.
  9. Click Finish.

Note Adding or removing users from the e-mail distribution list will not add or remove them from the site. You must manually add or remove users from the site after changing your distribution list membership.

Add a user using the command line

You can also add a user account to the site by using the adduser operation. The adduser operation takes the url, userlogin, useremail, username, and role parameters, plus the optional parameter siteadmin. Use the siteadmin parameter to specify that the user is the site administrator or owner of the site. Note that if you are using account mode for Microsoft Active Directory directory service, you do not need to specify the userlogin parameter. Use the useremail parameter to identify the user for this mode.

Use the following syntax to add a user to the Administrator site group:

stsadm.exe -o adduser –url http://server_name/site_name
–userlogin DOMAIN_name\User_name -useremail User_name@example.com
-username "User_name" -role administrator

Assign rights to a top-level Web site for all authenticated users

  1. On the site, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. On the Site Administration page, in the Users and Permissions section, click Manage anonymous access.
  4. In the All Authenticated Users section, under Allow all authenticated users to access site, select Yes.
  5. Under Assign these users to the following site group, select a site group.
  6. Click OK.

Note You cannot add a cross-site group to a Meeting Workspace site.


View user account information

View user account information
  1. On the Web site you want to manage, click Site Settings.
  2. On the Site Settings page, in the Administration section, click Manage Users.

    The Manage Users page displays the users and the site groups and cross-site groups added to the Web site.


Allow workspace creation

Allow workspace creation
  1. On the top link bar, click Site Settings.
  2. On the Site Settings page, click Configure site and workspace creation.
  3. Select the site groups that will be allowed to create, rename, and delete Workspaces sites.
  4. Click OK.

Notes

  • By allowing workspace site creation for a group, you effectively give the Create Sites and Workspaces right to the selected site groups.
  • If you do not see the Configure site and workspace creation link on the Site Settings page, you are probably in a subsite and need to go to the parent Web site. To do so, on the top link bar, click Up to Parent_Site_Name. Note that you may need to go up more than one time to reach the top-level site.

Related Topics

About allowing workspace creation


About blocked file types

About blocked file types

Microsoft Windows SharePoint Services provides the ability to restrict certain kinds of files from being uploaded or retrieved, based on the file extension. For example, a file with the .exe file extension could potentially contain code that runs on client computers when it is downloaded. Because it has the .exe file extension, the file can be run on demand when it is downloaded. If files with the .exe file extension are blocked, users can neither upload nor download a file with the .exe extension, and potentially dangerous content in the .exe file cannot be downloaded. This feature does not prevent all exploits based on file types, nor is it designed to do so.

By default, several standard file extensions are blocked, including any file extensions that are treated as executable files by Windows Explorer. Files with curly braces { or } are also blocked automatically. The file extensions blocked by default are shown in the following table.

File extension | File type
.ade | Microsoft Access project extension
.adp | Microsoft Access project
.app | Application file
.bas | Microsoft Visual Basic class module
.bat | Batch file
.chm | Compiled HTML Help file
.class | Java class file
.cmd | Microsoft Windows NT Command Script
.com | Microsoft MS-DOS program
.cpl | Control Panel extension
.crt | Security certificate
.dll | Windows dynamic link library
.exe | Program
.fxp | Microsoft Visual FoxPro compiled program
.hlp | Help file
.hta | HTML program
.ins | Internet Naming Service
.isp | Internet Communication settings
.jse | JScript Encoded Script file
.lnk | Shortcut
.mda | Microsoft Access add-in program
.mdb | Microsoft Access program
.mde | Microsoft Access MDE database
.mdt | Microsoft Access data file
.mdw | Microsoft Access workgroup
.mdz | Microsoft Access wizard program
.msc | Microsoft Common Console Document
.msi | Microsoft Windows Installer package
.msp | Windows Installer patch
.mst | Visual Test source files
.ops | Microsoft Office profile settings file
.pcd | Photo CD image or Microsoft Visual Test compiled script
.pif | Shortcut to MS-DOS program
.prf | System file
.prg | Program source file
.reg | Registration entries
.scf | Windows Explorer command file
.scr | Screen saver
.sct | Windows Script Component
.shb | Windows shortcut
.shs | Shell Scrap Object
.url | Uniform Resource Locator (Internet shortcut)
.vb | Microsoft Visual Basic Scripting Edition (VBScript) file
.vbe | VBScript Encoded Script file
.vbs | VBScript file
.wsc | Windows Script Component
.wsf | Windows Script file
.wsh | Windows Script Host Settings file

The list of file extensions is controlled for the entire server or server farm and is recorded in the configuration database. Because the list of blocked file types is maintained by file extension, all files that use a file extension on the list cannot be uploaded or downloaded, irrespective of the file's intended use. If .asp is on the list of extensions to block, the feature blocks all .asp files on the server, even if they're used to support Web site features on another server in the server farm. If a file ends in a period (.), the preceding characters are checked against the list of blocked file extensions as well. For example, if .exe is on the list of blocked file extensions, a file called "filename.exe." is also blocked. The following list shows different ways of representing the same file, all of which are blocked if the .hta extension is on the list of blocked file extensions:

  • filename.hta
  • filename.hta.
  • filename.hta.{3050F4D8-98B5-11CF-BB82-00AA00BDCE0B}
  • filename.hta::$DATA

You can determine which files are blocked for Web sites on your servers by modifying the list of blocked file extensions. You can block additional file extensions (up to 1,024 file types) by adding them to the list in the SharePoint Central Administration pages, or you can remove a block by deleting the file extension from the list. When you change the list of file extensions, the change affects both new files being added to a Web site and files already posted to a Web site. For example, if a document library contains a .doc file, and you add the .doc file extension to the list of blocked file extensions, users will no longer be able to open the .doc file in the document library. Users will be able to rename or delete a file with a blocked file extension but will not be able to perform any other actions.

Related Topic

Configure blocked file types


About the Web Discussions feature

About the Web Discussions feature

The Web Discussions feature enables anyone with discussion permissions to attach comments to a Web page or any document that can be opened with a browser. Comments appear with the document but are stored on a discussion server. The discussions are threaded.

Note The term Web page is used generically here to refer to any file you are viewing with a browser.

Anyone reviewing your Web page can use the Web Discussions toolbar to view and reply to any discussion. The Web Discussions toolbar is available in Microsoft Internet Explorer 4.0 or later to users of a Windows SharePoint Services-compatible client program, such as a Microsoft Office 2003 program.

Discuss a whole page or a paragraph

You can discuss the whole page, using general discussions, or insert comments in a particular part of a page, using inline discussions.

  • General discussions When you discuss a page in general, discussion comments appear in a Discussion pane at the bottom of the window. If the page you are discussing is a frames page, the Enter Discussion Text dialog box presents a list of the frames so that you can specify which frame a discussion refers to.
  • Inline discussions When you use inline discussions, discussion insertion markers appear at the end of every paragraph consisting of more than 30 characters, in every table cell that contains more than 5 characters, and at the end of every graphic that has a height or width of at least 30 pixels. These insertion markers indicate where you can start a discussion.

    Note For pages that you view in a browser, inline discussions are available only in HTML-formatted files.

Show or hide discussion information

You can filter discussions — for example, view comments that are from a particular person or posted on a particular date. You can also show or hide discussion information so that you can focus only on the information you want to see:

  • Show and hide individual discussion comments or entire discussions.
  • Show and hide the Discussion pane.
  • Drag the top border of the Discussion pane to make it larger or smaller.
  • Close a discussion once the issues have been resolved. The discussion is not deleted; you can choose to view closed discussions, and you can reopen a closed discussion.
  • Show or hide the subject, user name, or other header information.

    Note Discussion header information includes two names for each participant: Display name and User name. Display name is the name that participants set in a client program, such as an Office program; User name is the logon name that a system administrator sets.

Store discussions

When you add discussion comments to a Web page, your text is stored in a database on a discussion server. The Web page you are discussing must be located on the same computer as the discussion server where your comments are stored.


View a list of sites

View a list of sites

If you are a member of the Administrator site group for a site, you can view a list of subsites from the Manage Sites and Workspaces page in Site Settings. This list displays only the immediate set of subsites for the current site (one level down).

If you are a site collection administrator, you can see the full list of subsites for the site collection (any subsites of the top-level Web site, plus any of their subsites) by using the View Site Hierarchy page in Site Administration.

View the list of immediate subsites for a site

  1. On the site, click Site Settings.
  2. On the Site Settings page, under Administration, click Manage sites and workspaces.

View the entire list of subsites within a site collection

  1. On the top-level Web site for the site collection, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. Under Site Collection Administration, click View site hierarchy.


About announcements list

About announcements list

Use an announcements list to post news, status, and other short bits of information you want to share with team members.

By default, creating a SharePoint site creates an announcements list called Announcements, a view of which appears on the home page of your site. You can create and access additional views of this list from the Documents and Lists page. Announcements other than the five most recent disappear from the home page but are still available on the All Items view of the Announcements list.

Note The features on your site may vary, based on the template your site uses.

You can set an expiration date for an announcement. When the expiration date is reached, the announcement disappears from the home page automatically. However, it is still available on the Announcements page.

Related Topics

Create a list of announcements, contacts, events, tasks, issues, or links
Add, edit, or delete an announcement
Delete a list or library
About lists


About attaching files to list items

About attaching files to list items

You can attach a file to a list item on a Web site based on Microsoft Windows SharePoint Services. The file attachment can be a document, image, HTML page, or other type of file, and you can attach it to an item in any one of the following types of lists:

  • About announcements list
  • About events lists
  • About discussion boards
  • About contacts list

You can create a new list item and attach a file to it, or you can attach a file to an existing list item. You can also remove attached files from list items.

When a list item contains an attached file, the default view displays a paper clip symbol in the Attachments column. Users simply click on the list item to view the list item details and access the attached file.

Note You cannot attach files to items in the following types of lists:

  • About surveys
  • About libraries


About columns

About columns

Columns display the information that constitutes each item in a list or library. At the top of each column is the name of the column.

When you add an item to the list or library, you fill out a form in which each column is represented by a field. Each field is labeled with the name of the column. If you provide a description for the column, the description appears below the field. You can use the description to help team members fill out the form by explaining what kind of information goes in the field.


About contacts list

About contacts list

Use a contacts list to communicate with the people with whom your team works. You can enter names and contact information (such as telephone number, e-mail address, and street address) so that everyone on your team can use this information. You can copy contact information from your address book to a contacts list (requires a Windows SharePoint Services-compatible address book program, such as Microsoft Office Outlook 2003, and Microsoft Internet Explorer 4.0 or later), and you can copy or link contacts from a contacts list to your address book.

Related Topics

Create a list of announcements, contacts, events, tasks, issues, or links
Add, edit, or delete a contact
About lists


About discussion boards

About discussion boards

Discussion boards provide a forum for conversing about topics that interest your team. For example, you could create a discussion board for team members to suggest activities.

Each discussion board appears on a page that includes buttons for starting new discussions, sorting and filtering discussions, switching to a different view of the discussion board, and changing the design of the discussion board. You can create alerts so that you are notified of changes to the discussion board.

You can view discussion comments in either flat or threaded view. Flat view displays all comments in the order in which they were created. Threaded view lets you view comments by conversation. All messages that are part of the same conversation thread appear together in the order in which they were created.

By default, your site comes with a built-in discussion board named General Discussion, which is listed on the Quick Launch bar as well as on the Documents and Lists page.

Note The features on your site may vary based on the template your site uses.


About file formats in document libraries

About file formats in document libraries

When you create a new document in a document library, you can save the document in a binary format (such as .doc, .xls, and so on) or save the document in a Web-based format (.htm or .mht). There are advantages and disadvantages to either format; your choice depends on how you plan to use the document.

Program-specific formats

Program-specific formats are Microsoft Word document (.doc), Microsoft Excel workbook (.xls), Microsoft PowerPoint presentation (.ppt), and so on.

Advantages

  • Run-time features are preserved. For example, you can sort and filter columns in an Excel spreadsheet.

Disadvantages

  • Team members must have the appropriate program installed to read the documents.
  • When you use the Web Discussion feature, you cannot attach threaded discussions within the body of the document. Instead, discussion comments appear in a separate discussion pane.

Web-based formats

Web-based formats are Web page (.htm) and Web archive (.mht).

Advantages

  • Team members don't need to have the appropriate program installed to read the document.
  • When you use the Web Discussion feature, you can attach threaded discussions within a document.

Note If your document includes multiple parts, such as pictures or more than one PowerPoint slide, you can save it as a Web archive (.mht format) to create a single file in the document library.

Disadvantages

  • Run-time features may be lost. For example, you cannot sort and filter columns in an Excel spreadsheet.


About libraries

About libraries

Libraries allow you to share files with site users. The kind of library you use depends upon the kind of files that you are sharing. To share a collection of digital pictures or graphics, use a picture library. If you need to store a group of XML-based business forms, use a form library. For most other file types including documents and spreadsheets, use a document library.

A library displays a page that lists each file or folder and its properties, as well as a hyperlink to each file. The page includes commands for adding files and folders, sorting and filtering the list of files, switching to a different view of the library, and changing the design of the library. You can also create alerts so you are notified of any changes in the library or specific files within a library.

When you add or remove a file from a library, Microsoft Windows SharePoint Services updates all hyperlinks to it in your site.

Note When you delete a file from a library all versions of the file are deleted as well.

About document libraries

Document libraries are collections of files that you share with team members. For example, you can create a library of common documents for a project.

By default, your team Web site comes with a built-in document library named Shared Documents, which is listed on the Quick Launch bar as well as on the Documents and Lists page.

Note The features on your site may vary based on the template your site uses.

Kinds of documents

You can store any kind of file in a document library. However, there are some advantages to using document libraries in conjunction with client programs compatible with Windows SharePoint Services, such as Microsoft Office 2003:

  • You can set up a template that automatically starts the appropriate program and formats documents consistently when team members create new documents in the document library.
  • You can open and modify your documents from within Windows SharePoint Services-compatible client programs as though the documents resided on any other network place or on your hard disk.

About form libraries

Form libraries provide a simple way for you to share and track XML-based forms (.xml files) that are used to gather the same type of information. For example, you can create a form library for your team's status report forms to provide a single location for team members to quickly fill out, save, and view their forms.

A form template is associated with each form library; this form template defines the structure and appearance of all forms created from the form library, as well as the appropriate application with which to open the form.

Although any file type can be stored in a form library, there are several advantages to storing only .xml files, which require a Windows SharePoint Services–compatible XML editor, such as Microsoft Office InfoPath 2003. These advantages include the ability to use form library columns (which can be designed to display specific information stored within each form in the library) and the ability to merge data from multiple forms into a single form.

About picture libraries

Picture libraries provide a simple way to share and organize digital pictures in a corporate server environment. For example, an organization could create a picture library for marketing graphics — providing a single location for team members to view, share, edit, and download corporate logos or other marketing material.

Although pictures can be stored in other types of SharePoint lists, there are many advantages to using picture libraries. These advantages include viewing pictures with one of three unique display styles, sharing pictures using slide shows or by sending pictures directly to Microsoft Office 2003 programs, downloading pictures directly to a computer, and editing pictures with Windows SharePoint Services-compatible image editors, such as Microsoft Office Picture Manager.

About Explorer View

By default, libraries include an Explorer View that enables you to work with files in the library similar to the way you work with files in Microsoft Windows Explorer. By using Explorer View, you can:

  • Delete files and folders
  • Rename files and folders
  • Copy and paste files and folders from your desktop
  • Select multiple files and folders to delete, move, or copy

Note To use Explorer view, you must have a Windows SharePoint Services-compatible client program, such as Microsoft Office 2003, and Microsoft Internet Explorer 5 or later installed.

About custom properties

You can specify the type of information that authors must provide when they add a file to the library.

For example, if you have a document library of product plans, you can require authors to enter the document title, comments about the document's content, and the document's status.

Related Topics

Create a document library
Add a file to a document library
Create a form library
Add a form to a form library
Create a picture library
Add one or more pictures to a picture library
Read, edit, or delete a file in a library
About document and picture library versioning
About document check out and check in


About events lists

About events lists

Use an events list to post information about dates that are important for your team. You can copy or link events from an events list to a calendar program that is compatible with Windows SharePoint Services, such as Microsoft Office Outlook 2003.

By default, creating a SharePoint site creates an events list called Events, a view of which appears on the home page of your site. You can create and access additional views of this list from the Customize Events page. Past events disappear from the home page but are still available on the All Items view of the Events list.

Note The features on your site may vary, based on the template your site uses.

Related Topics

Add, edit, or delete an event
Create a list of announcements, contacts, events, tasks, issues, or links
About lists


About filters

About filters

Filtering is a quick and easy way to find and work with a subset of entries in a list, document library, or discussion board. A filtered list displays only the rows that meet the criteria you specify for a column. Unlike sorting, filtering does not rearrange the items. Filtering hides rows you do not want displayed.

Two ways to filter items

You can filter items in two different ways:

  • Button image By applying a filter to the current view
  • Button image By defining a view that displays filtered items, and then selecting that view

Related topics

  • Filter Items
  • Display sorted or filtered items
  • Create a personalized view
  • About views


About links lists

About links lists

You can use links lists to post hyperlinks to Web pages of interest to your team. By default, creating a site creates a links list that appears on the home page of your site. To see all of the links in this default list, click the list title on the home page. You can also create additional links lists to organize your links.

Note The features on your site may vary, based on the template your site uses.

Related Topics

Create a list of announcements, contacts, events, tasks, issues, or links
Add, edit, or delete a column
Create a personalized view


About permission settings for lists and libraries

About permission settings for lists and libraries

Microsoft Windows SharePoint Services provides the ability to control permissions on a specific list. If you have sensitive information stored in a list, and you do not want to expose the information to all members of a site, you can specify permissions for the list to control which users can view, edit, or add items to that list. You can grant or revoke permissions to a list or document library by individual users, by groups of users, or by site group. You can apply specific permissions for any list or document library in a Web site based on Windows SharePoint Services.

Any users with the Manage Lists right can change list permissions. By default, the Administrator and Web Designer site groups include this right. Any user with Full Control permissions for that list can also change list permissions. By default, all members of a Web site have access to all lists and document libraries on a Web site. All users assigned to a site group are considered members, except for the Guest site group. By default, each site group has a predefined level of permissions for all lists and document libraries. The default list permissions are:

  • View items (given to the Reader site group by default)
  • View, insert, edit, delete items (given to the Contributor site group by default)
  • View, insert, edit, delete items; change list settings (given to the Web Designer site group by default)
  • View, insert, edit, delete items; change list settings; change list security

In addition, you can set advanced permissions, which allows you to grant any of the following rights for a user or site group:

  • Manage lists (given to the Web Designer site group by default)
  • Manage list permissions
  • Cancel check-out (given to the Web Designer site group by default)
  • Manage personal views (given to the Contributor site group by default)
  • Add list items, edit list items, and delete list items (given to the Contributor site group by default)
  • View list items (given to the Reader site group by default)

Important Members of the Administrator site group always have the highest level of permissions for all lists and document libraries. You cannot change list or document library permissions for the Administrator site group. Also, any site group that has the View Lists Item right (such as Reader) can continue to see the list name, description, number of items, and time when the list was last modified, even though they cannot view the list contents directly.

To specify permissions for a list, go to the list itself or to the Customize List_name page for the list.


About lists

About lists

A list in your Web site based on Microsoft Windows SharePoint Services is a collection of information that you share with team members. For example, you can create a sign-up sheet for an event, or you can create a list of ideas.

SharePoint team sites include a set of built-in lists. Except for the announcements list, these lists are empty when you create the site. You can immediately fill them with items pertinent to your team. The announcements list contains a sample announcement to help you get started with your site.

You can use the lists that come with your site as is, you can modify or delete lists that you don't use, and you can create your own lists. When you create your own lists, you can base them on the designs used for the built-in lists, or you can create custom lists from scratch.

If you have a Windows SharePoint Services-compatible client program, such as Microsoft Office Excel 2003, and Microsoft Internet Explorer 5 or later installed, you can create lists that are based on spreadsheets.

Windows SharePoint Services enables you to create the following kinds of lists:

Links

A list of hyperlinks to Web pages of interest to team members. By default, a view of the built-in links list appears on the home page.

Announcements

A place to post information for the team. By default, a view of the built-in announcements list appears on the home page.

Contacts

Information such as name, telephone number, e-mail address, and street address for people who work with your team. By default, a hyperlink to the built-in contacts list appears on the Quick Launch bar.

Events

A list of important dates. By default, a view of the built-in events list appears on the home page.

Tasks

A to-do list for team members. By default, a hyperlink to the built-in tasks list appears on the Quick Launch bar.

Issues

A list you can use to manage a set of issues or problems. You can assign, prioritize, and follow the progress of issues from start to finish.

Custom list

A list with a minimum number of predefined columns. When you want to create a list that is unlike any of the built-in lists, create a custom list.

Data imported from a spreadsheet

If you want to start with a list of information in a spreadsheet, you can define a range of cells to use as a list in your site. Windows SharePoint Services imports the data from the spreadsheet and displays it the same way it displays the built-in lists: in columns that can be filtered and sorted, and accompanied by commands that enable team members to add, edit, and delete items.

There is no link between the original spreadsheet and the list on the site. If you change the spreadsheet, the list on the site is not updated. Likewise, changes to the list on the Web site are not reflected in the original spreadsheet.

Note To import data from a spreadsheet, you must have a Windows SharePoint Services-compatible spreadsheet program, such as Office Excel 2003, and Internet Explorer 5 or later installed.

Each list appears on a page that includes commands for adding items, sorting and filtering items, switching to a different view of the list, and changing the design of the list. You can copy the list to a spreadsheet, and you can create an alert to be notified of changes to the list from this page. You can also attach a file to any one of the following types of lists: announcements, events, discussions, contacts, and custom lists.

Related Topics

Create a list of announcements, contacts, events, tasks, issues, or links
Create a custom list
Add, edit, or delete a column
Create a personalized view


About using HTML tags for formatting with Netscape Navigator and other browsers

About using HTML tags for formatting with Netscape Navigator and other browsers

When using Microsoft Internet Explorer 5 and later, Microsoft Windows SharePoint Services provides convenient tools for formatting and editing text. By default, rich HTML text is enabled for many columns with multiple lines of text, allowing users to take advantage of formatting tools such as font, font color, and background color. If rich HTML text is turned off, site administrators and users belonging to site groups with the Manage Lists right can turn on this feature.

When using other browsers, such as Netscape Navigator, you can also enter rich text formatting by using HTML tags. For example, you can use the <b> </b> tags to apply boldface to text, as in <b>bold</b>. When viewing the page, users will see the proper rich text formatting, such as bold. You can use other HTML tags such as <a href>link</a> for adding hyperlinks. For more information about HTML tags, consult an HTML language reference.

Notes

  • For security reasons, Windows SharePoint Services blocks certain HTML tags and scripting.
  • Windows SharePoint Services wraps text within <div></div> tags to prevent double-spacing. When editing content, enter text between the <div> and </div> tags.


Copy an existing site group

Copy an existing site group
  1. On the Site Settings page for the Web site, in the Administration section, click Go to Site Administration.
  2. On the Site Administration page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, click the site group you want to copy.
  4. On the Members of Site_group_name page, click Edit Site Group Permissions.
  5. On the Edit Site Group Site_group_name page, click Copy Site Group.
  6. On the Copy the Site Group Site_group_name page, in the Site Group Name and Description area, type the name and description for the new site group.
  7. To copy the users from the existing site group into the new site group, select the Copy users from Site_group_name box.
  8. In the Rights area, select any additional rights you want the site group to contain.
  9. Click Create Site Group.


About configuring e-mail-enabled document libraries

About configuring e-mail-enabled document libraries

Microsoft Windows SharePoint Services includes the ability to link a document library with a public folder based on Microsoft Exchange 2000 or later. Any documents attached to messages in the public folder can be automatically inserted into the document library; the document library then displays the document, plus the from address, the subject line, and the date and time that the attachment was inserted into the document library. Note that the body text of the e-mail message is not preserved. It remains in the public folder but is not transferred to the document library.

A user can simply send e-mail to the public folder, with an attached document, and the document will be automatically added to the correct document library on a SharePoint site. For example, if you are using an XML template to store invoice information, a user could fill out the XML invoice and e-mail it to the public folder. The XML file is then posted to the document library and would be available for rolling up into larger reports on invoices, or for easy retrieval.

About e-mail and document library security

Because this feature relies on e-mail to transport documents, it uses the same security rules as all e-mail messages. Before enabling this feature, you should be aware of the following issues and vulnerabilities:

  • Because e-mail messages can cross firewalls, external users can use this method to send documents to an internal SharePoint site. This is useful for many scenarios, such as sending expense reports in from the field, but it can also open your site to unwanted junk e-mail messages, or spam. For information about controlling spam in public folders, see the Exchange 2000 Server documentation.
  • Because e-mail messages can carry documents with viruses, you might end up with a virus-laden document on your site. However, documents inserted into a document library from e-mail attachments can be scanned for viruses like any other documents in document libraries. For more information about virus scanning in Windows SharePoint Services, see About virus protection.
  • Because e-mail addresses can be spoofed, the from address is preserved in the document properties and displayed in the document library. Trust the from address as much or as little as you trust other e-mail addresses.
  • To allow this feature to work, the document libraries allow anonymous insertions from e-mail attachments. You cannot control who has rights to add attached documents to this document library. However, you can control who can add documents directly to the document library, and you can control who has rights to post to the public folder by using the Exchange Server user management tools.
  • As with any public folder or document library, there is the possibility that a malicious user could add so many documents that the site or server's storage capacity is filled, thus blocking other users from accessing the site or server. Be sure to control the list of users with access to the public folder, and consider using quotas to control the size of the site. For more information about quotas, see About quotas and locks.

This feature adheres to the blocked file extension rules for a document library. Any documents with file extensions that are blocked at the server level are also blocked from being added to an e-mail-enabled document library. For example, if you have a file with an .exe file extension, and you send it to the public folder, it will not be transferred to the document library. For more information about blocked file types, see Configure blocked file types.

How it works

The Microsoft SharePoint Timer service controls when the public folder is checked for new attached documents. When the Timer service event runs, the service checks the public folder for new documents and inserts them into the document library. The SharePoint Timer service simply inserts documents; it does not update, overwrite, or delete documents. If the same document is added to the public folder more than once, that document will appear more than once in the document library. However, each document in the document library will have a unique file name (which is automatically generated by adding numbers, such as "1" to the end of the file name, so that filename.doc when added again becomes filename1.doc).

You can use this feature with any document library, or any list based on a document library template such as a custom document library, except picture library, which is not supported. The data sent to the document library along with the document is fixed. Any additional fields (even required fields) that you specify in the document library properties are ignored when documents are inserted.

Managing the public folder

You must configure the Exchange Server public folder to work with Windows SharePoint Services before you can enable this feature. After you configure the feature, you must continue to perform the public folder administration tasks from within Exchange.

To use this feature, you must use the Exchange 2000 Server administration tools to do the following:

  • Create the public folder.
  • Grant read access to the appropriate Windows SharePoint Services application pool accounts. If you are using one account for all virtual servers, grant that account access. If you are using separate accounts for each virtual server, you must grant the virtual server accounts access to the appropriate public folders.

    If you prefer not to grant access to the application pool accounts, you can instead give the anonymous user account access to read the public folder. This is a less secure method than granting access to the application pool account.

  • Determine which e-mail distribution list to allow to post to the public folder, and grant the distribution list appropriate access to the public folder. Note that you will need to enable the public folder to receive e-mail. This is not turned on by default, so the Exchange 2000 Server administrator will need to create an e-mail address for the public folder.
  • Continue to manage the public folder and the access to the public folder.

For more information about managing public folders and managing user access in Exchange 2000, see the Exchange 2000 Server documentation.

Enabling e-mail access to document libraries

To enable this feature, you must be a local server administrator or a member of the SharePoint Administrators group. You enable this feature by entering an Exchange server name in the Virtual Server General Settings page. After you have enabled this feature for a virtual server, any administrator of a site on that virtual server can enable the feature for a document library in his or her site.

Related Topics

Configure e-mail-enabled document libraries
About virus protection
About quotas and locks
Configure blocked file types


About creating sites

About creating sites

Microsoft Windows SharePoint Services gives you convenient ways to create Web sites, including the following:

  • The SharePoint Central Administration pages or the Self-Service Site Creation page for creating top-level Web sites
  • The Create page or the Site Administration pages for creating a site under an existing Web site
  • Integration with Windows SharePoint Services-compatible programs such as Office Word 2003 and Office Outlook 2003 for creating workspace sites

Deciding which kind of site to create depends on the intended scope and use of the site. For example, you may want to create a top-level Web site for an entire organization and separate sites under that site for each team.

If you need to create a site to help manage the development of a shared document or file, you should create a Document Workspace site. A Document Workspace site provides a document library to share the file and other files related to it, as well as lists to help track issues and team member information.

If you need a site to share information and tasks related to a meeting, create a Meeting Workspace site. With this type of site, you can develop the agenda and objectives as well as maintain a list of attendees.

Self-Service Site Creation

If the users in your organization will need to create many top-level Web sites, you may want to use the Self-Service Site Creation tool. Using this tool is easy; it's similar to creating a subsite. If you want to control top-level Web site creation yourself, however, you can turn off the Self-Service Site Creation feature and create top-level Web sites on your users' behalf from SharePoint Central Administration. To create a top-level Web site outside of Self-Service Site Creation, you must be an administrator of the computer on which the site will reside or a member of the SharePoint Administrator group.

Creating sites from the command line

If you are an administrator of the server computer, or a member of the SharePoint Administrator group, you can create sites by using the Stsadm.exe command-line tool. To create a top-level Web site, use the createsite operation. To create a subsite, use the createweb operation.


About sorting and customizing item order

About sorting and customizing item order

The type of sorting and ordering you can do with items depends on the type of list you are working with and how it was set up. All lists, document libraries, picture libraries, and discussion boards can be arranged in an alphanumeric sort order. Some types of lists can be arranged in a custom order.

Comparison of sorting and custom ordering

Alphanumeric sort When you sort a list, document library, picture library, or discussion board, Microsoft Windows SharePoint Services rearranges rows according to the contents of the column you choose. Sorting in ascending order arranges the rows alphanumerically from 0 to 9, A to Z, and oldest to most recent. Sorting in descending order arranges the rows from 9 to 0, Z to A, and most recent to oldest.

Two ways to sort items

  1. Sort items in the current view.
  2. Switch to a view that displays sorted items.

Custom order If you choose to allow a custom order, users can specify the exact position they want each item to appear in instead of specifying an alphanumeric order.

Ways to sort or customize the item order

Apply a sort order You can quickly sort items when you view the list, document library, or discussion board in your Web browser by clicking the name of a column.

Apply a custom order If it's available for the list you're working with, you can apply a custom order by clicking Change Order on the toolbar, and then specifying the position where you want each item in the list.

Define a view For all lists, you can set up a public or personal view that displays the items in a default sort order that you define. For some lists, instead of specifying a default sort order, you can enable the view to allow users to apply a custom order. If you choose to specify a default sort order when you define the view, you can specify up to two columns to sort the items. The items are first sorted by the column you define as the primary sort. To sort this way, you click a hyperlink to display the view.

If you choose to allow a custom order, users viewing the list can specify the exact position they want each item to appear in.

Note You must be a member of the Administrator site group or a member of a site group that has the Manage Lists right to define a public view.

Related Topics

Sort items
Arrange list items in a custom order
Allow or prevent custom ordering of items
About views


About alerts

About alerts

Alerts enable you to be notified by e-mail of any changes made to the content of your Web site. You can create alerts for lists and libraries, as well as for individual items and any files in them. When you create an alert for a list or library, you can specify the kinds of changes that you want to track. For example, you can have the server alert you when an item or file is added, modified, or deleted. Alerts for files and list items notify you when the file or item is updated or deleted. For documents in libraries, you can be notified when comments in Web Discussions have been added, deleted, or edited.

You can specify how frequently you want to receive alerts. You can have them appear immediately or as daily or weekly summaries. When you no longer need to follow changes for the list, library, item, or file, you can delete your alerts at any time.

Important When you remove a user from a site after he or she has create alerts, you must manually delete any alerts that he or she has set up. This is also true for any lists or libraries where you change security settings to limit access. If a user has set up alerts for the list or library, he or she will continue to receive them after you change the security settings. It is important to delete these alerts to prevent unauthorized users from having access to site and user information.

Related Topics

Add an alert
View alerts
Delete an alert
About managing alerts
Configure alerts for a virtual server
Specifying mail settings


About surveys

About surveys

Surveys provide a way of polling team members. If your site includes a survey, you can go to it by clicking Documents and Lists in the top link bar and then clicking the survey in the Surveys section.

You may be able to respond to a survey more than once, depending on how the survey is set up.

If the survey is set up so that respondents' names are visible, the All Responses view enables you to see how each team member responded. The Graphical Summary view displays a compilation of responses.

Related Topics

Create a survey
Respond to a survey


About tasks

About tasks

Use the tasks list to assign a task to a member of your team, specify its due date and priority, and indicate its status and progress. You can easily view all tasks or a selection of tasks.

In addition to viewing all the tasks, the following predefined views are available on the Tasks page:

  • All Tasks All tasks in the list
  • My Tasks Tasks that are assigned to you
  • Due Today Tasks that are due today
  • Active Tasks Tasks that are not yet complete
  • By Assigned To Tasks sorted by the name of the person to whom they are assigned

Related Topics

Add, edit, or delete a task
Create a list of announcements, contacts, events, tasks, issues, or links


About themes

About themes

A theme is a unified set of design elements that influence the fonts and color schemes when you apply it to a Web site based on Microsoft Windows SharePoint Services. Applying a theme is a quick and easy way to ensure your site is visually consistent and appealing.

Each subsite has its own theme setting. When you apply a theme it will not affect the layout of your site. In addition, applying a theme will not change any individual Web pages that you have applied themes to by using a Web page editor compatible with Windows SharePoint Services, such as Microsoft Office Office FrontPage 2003. When you create pages, the default theme is applied automatically. If you change or remove the default theme, the change is applied to the entire site.

To apply or remove a theme on your site, you must have the Apply Themes and Borders right for that site. The Apply Themes and Borders right is included by default in the Web Designer site group.


Configure e-mail-enabled document libraries

Configure e-mail-enabled document libraries

If this feature is enabled at the virtual server level, any administrator, or other user with the Manage Lists right, of any SharePoint site on that virtual server can configure a document library to receive messages from a public folder.

Before completing the steps below, make sure the server running Windows SharePoint Services is configured to use an SMTP mail server.

Configure a virtual server to allow e-mail-enabled document libraries

  1. Click Start, point to Administrative Tools, and then click SharePoint Central Administration.
  2. In the Virtual Server Configuration section, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to use.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  5. In the E-Mail Enabled Document Libraries section, next to Document libraries on this virtual server can accept e-mail attachments, click Yes.
  6. In the Public folder server and root path box, type the path to the root folder for the Exchange public folders, for example http://myexchange/public.
  7. Specify how frequently the public folders are checked for attachments by selecting one of the following:
    • Every ___ minutes

      Type the number of minutes to wait before checking again.

    • Hourly between ___ and ___ past the hour

      Type the times between which you want to check. For example, between 10 and 20 past the hour would specify that the public folder is checked between 1:10 and 1:20, 2:10 and 2:20, and so on.

      -or-

    • In the Daily between section, specify the times of day to process e-mail insertions.

    The default value is hourly, between 0 and 59 minutes past the hour.

  8. Click OK.

If this feature has been enabled at the virtual server level, any administrator (or other user with the Manage List Permissions right) of any site on that virtual server can configure a document library to link to a public folder.

Configure a document library to allow e-mail insertion

  1. Navigate to the document library you want to use.
  2. In the Actions section, click Modify settings and columns.
  3. In the General Settings section, click Change advanced settings.
  4. On the Document Library Advanced Settings: Library name page, in the E-Mail Settings section, in the Public folder address box, type the path to the Exchange public folder you want to link to.

    This path is relative to the path specified on the Virtual Server General Settings page. For example, if the virtual server specified http://server_name/public as the root path for public folders, and the full path to the folder is http://server_name/public/folder_name, then you would type /folder_name in the Public folder address box.

  5. Click OK.

Related topic

About configuring e-mail-enabled document libraries
Configure e-mail settings


About managing Web Part availability

About managing Web Part availability

Microsoft Windows SharePoint Services allows users to add Web Parts to Web Part Pages in a SharePoint site. A Web Part is a modular unit of information that has a single purpose. For example, the list of default Web Parts available with Windows SharePoint Services includes the following:

  • Content Editor Web Part Displays unstructured Web content, such as text or images.
  • Image Web Part Displays a picture.
  • Form Web Part Allows the user to add an HTML form.
  • Contacts Web Part Allows the user to display the Contacts list on a Web Part Page.
Users can add Web Parts to Web Part Pages, personalize or share existing Web Parts with other users, and connect Web Parts to each other. For example, if you connect an Image Web Part to a data list, you can make the image change depending on which item in the data list is selected. You can even create custom Web Parts. For more information about creating a Web Part, see the Microsoft Windows SharePoint Services Software Development Kit.

Users can include Web Parts from any of the following sources by default:

  • The Web Part Online Gallery A list of ready-to-use Web Parts available from the Microsoft Web site.
  • The site collection Web Part gallery The list of Web Parts (either default or custom Web Parts) added to a particular site collection.
  • The server Web Part gallery The list of Web Parts (either add-in Web Parts from a Web Part assembly or custom Web Parts in a Web Part assembly) added to a particular server. For more information about Web Part assemblies, see "Managing Web Parts on Virtual Servers" in the Windows SharePoint Services Administrators Guide.

    Note

  • Web Part Page gallery The list of all Web Parts currently used on a specific Web Part Page.

When a user adds a Web Part to a Web Part Page, the user can browse any of these sources to find a Web Part.

Managing security and performance options for Web Parts and Web Part Pages

You can control whether users can connect Web Parts within a site, and whether they can have access to the online Web Part gallery. The online Web Part gallery contains many Web Parts that users can use on their sites. Adding Web parts or making connections to Web parts may affect your server security, and performance. For example, if you allow Web Part connections, and a user connects a complex Web Part to a large data set, the Web Part Page that contains those Web Parts could load very slowly when a user goes to it. Also, if a user connects to a Web Part that contains a scripting error or malicious code, that Web Part could open a security hole in the user's site or, potentially, on your server.

You can change these configuration options at the virtual server level. By default, both security options are enabled at the server level. You need to change these options only if you do not want to allow either Web Part connections or access to the online Web Part gallery. If you have multiple servers in a server farm environment, and you want to change these settings for all virtual servers, you must configure these options for each virtual server on each server in that server farm. You must be an administrator of the local server computer, or a member of the SharePoint Administrators group, to configure security and performance options for Web Parts and Web Part Pages.

Managing the Web Part gallery for a site

Administrators of a top-level Web site can determine which Web Parts are available to the users of sites in their site collection. The administrators can use the Web Part Gallery page to add or remove Web Parts from the list of Web Parts available for use, or to upload new Web Parts. Note that users may also have access to Web Parts in the online Web Part gallery or in the Server gallery. The Web Part gallery for a site controls only a subset of all Web Parts available to users.

Related Topic

Manage Web Part availability


About managed paths

About managed paths

When you extend a virtual server, create a top-level Web site, or configure Self-Service Site Creation, you may also need to define managed paths. Managed paths allow you to perform two important tasks:

  • Indicate which pieces of the URL namespace are controlled by Microsoft Windows SharePoint Services.

    Many organizations installing Microsoft Windows SharePoint Services already have a Web server or server farm in use and must be able to identify areas of the existing URL namespace that should not be managed by Windows SharePoint Services. For example, if you have a Web application on your Web server already, and you install Windows SharePoint Services, you need a way to specify that Windows SharePoint Services will not to attempt to control content in, or settings for, that path.

  • Specify paths to use for Self-Service Site Creation.

    You can restrict Self-Service Site Creation users to specific paths when they create sites. By default, the /sites path is created and added as a path for Self-Service Site Creation users when you enable Self-Service Site Creation. You can create other paths for Self-Service Site Creation users, or you can remove the /sites path when you manage paths.

You can manage two categories of paths: included and excluded paths. An included path indicates that Windows SharePoint Services manages that path. An excluded path indicates that a different application manages the path and that Windows SharePoint Services should leave it alone. Included paths can be further broken down into the following two types:

  • Explicit inclusions Includes only the specific path that you set. Use explicit inclusions, for example, if you want Windows SharePoint Services to manage a specific path, such as /portal, but not any possible sites below it, such as /portal/webapp.
  • Wildcard inclusions Includes any sites below the path that you set, so you don't have to add them individually. This is the type of inclusion to use for Self-Service Site Creation, when you want users to be able to create top-level Web sites underneath a specific path, such as /sites.

Note Web server performance declines linearly with the number of inclusions and exclusions. You can minimize the performance impact by using wildcard inclusions rather than many explicit inclusions, and by putting as many excluded applications under the same excluded path as possible.

The following table lists example URLs and explains the types of paths.

Path type | Example URL | Path name | Comments
Explicit inclusion | http://server1/site1 | /site1 | Identifies the Web site at /site1 as a Windows SharePoint Services site.
Wildcard inclusion | http://server1/sites/* | /sites/* | Identifies all sites below the /sites/ path as Windows SharePoint Services sites.
Exclusion | http://server1/webapp | /webapp | Indicates that the /webapp directory is not handled by Windows SharePoint Services.
Top-level Web site explicit inclusion | http://server1 | / | Indicates an explicit inclusion for the top-level Web site. Only the top-level Web site is a Windows SharePoint Services site, not any other sites below the top-level Web site.
Top-level Web site wildcard inclusion | http://server1 | /* | Indicates a wildcard inclusion for the top level of the virtual server. Every directory under the specified path is a Windows SharePoint Services top-level Web site.

Included and excluded paths are used only for directories, not pages in a Web site, and they are recursive (for example, if you exclude /mango, Windows SharePoint Services ignores any URL beginning with /mango/ or equal to /mango). Exclusions take precedence over inclusions, so if you accidentally set a particular path to be both included and excluded, the path is excluded. Inclusions are evaluated by length; longer URLs are checked before shorter URLs, so an inclusion for http://server1/sites/teams is evaluated before an inclusion for http://server1/teams.

You can manage paths by using either SharePoint Central Administration or the command line.

Related Topics

Extend a virtual server
Create a site
Configure Self-Service Site Creation


About document and picture library versioning

About document and picture library versioning

Document versioning allows you to keep multiple versions of a document. If a change needs to be reversed, you can restore the previous version and continue working. When versioning is turned on, a Version History command is added to the drop-down list that users see when they click the arrow next to a document name (and the toolbar) in the Edit Properties page for the document. The Version History command is also available in client applications that are compatible with Microsoft Windows SharePoint Services, such as Microsoft Office Word 2003, Microsoft Office Excel 2003, and Microsoft Office PowerPoint 2003. When the user clicks Version History, a list of the previous versions of the document appears. The user can open an old version, restore a version (replacing the current version), or delete an old version.

Important

  • When a file is deleted from a library, all previous versions are deleted as well.
  • Versions can be created for all file types except HTML files that contain images or embedded objects. If you want to create versions as HTML, you must use the MHTML format (often saved as .mht) when saving to this Web site. This also applies to those files on the Web site that you check out and modify.

When versioning is enabled, versions are automatically created whenever a user updates a document in a document library. Versions are created in the following situations:

  • When a user checks out a file, makes changes, and checks the file back in.
  • When a user opens a file, makes changes, and then saves the file for the first time.

    Note If the user saves the file again, without closing the file, a new version is not created. If the user closes the application he or she is using to edit the file, and then opens it and saves the file again, another version is created.

  • When a user restores an old version of a file (and does not check it out).
  • When a user uploads a file that already exists, in which case the current file becomes an old version.

Members of the Administrator and Web Designer site groups for a site can determine whether document versioning is enabled for a particular document library. To enable document versioning, you use the settings page for that document library.


Analyze site usage

Analyze site usage

View site usage summary data

  1. On the site you want to view data for, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Management and Statistics section, click View site usage data.

You can view the usage data and quota settings for an entire site collection at the same time.

View usage data and quota information for a site collection

  1. On the top-level Web site of the site collection, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Site Collection Administration section, click View site collection usage summary.

You can also see detailed reports about storage and user activity.

Related topics

About checking site usage
Specify usage analysis settings


Contribute to a site

Contribute to a site

Work with lists

Announcements

Contacts

Events

Links

Tasks

Issues

View personal or time-sensitive information

Filter items

Sort items

Work with document libraries

Add a document to a document library

Add multiple files to a document library simultaneously

Read, edit, or delete a document in a document library

Filter items

Sort items

Participate in discussions

Participate in a discussion board

Filter items

Sort items

Work with surveys

Respond to a survey

Be alerted to site changes

Add an alert


Create or customize lists, libraries, and pages

Create or customize lists, libraries, and pages

Create and modify lists and discussion boards

Create a list of announcements, contacts, events, tasks, or links

Create a custom list

Create a discussion board

Add, edit, or delete a column

Change the name or description

Create and modify document libraries

Create a document library

Set up a template for a document library

Add, edit, or delete a column

Change the name or description

Create and modify surveys

Create a survey

Add, edit, or delete a survey question

Change the name or description

Modify data entry forms

Modify the New Item form

Modify the Upload Document form

Change how items are displayed

Create a personalized view

Display current day's information

Show or hide columns

Display sorted or filtered items

Set a default view

Change the name or file name of a view


About views

About views

Views make it quick and easy to see information in a variety of ways. You can use views in lists (such as Announcements, Contacts, and so on), and you can also use them in libraries, surveys, and discussion boards.

When you create a view, a hyperlink to the view is added to the view bar on the page that displays the list. An indicator marks the active view, as shown:

View bar

You can create custom views to do one or more of the following:

  • Filter by a set of criteria
  • Sort in a particular order
  • Hide or show columns
  • Group information based upon list data
  • Display subtotals of columns
  • Show lists with date information as calendars or tables

For example, instead of applying the same filter every time you go to a particular list, you can create a view that includes the filter. Then, to see the filtered information, you can click the hyperlink to the view you created. You can even make your new view the default shared view, so that when your team members go to the page that displays a list, they automatically see the filtered information.

About standard views and datasheet views

Standard views display list information in the manner that you specify. You can view and work with list data from any supported Web browser. Standard views require no special software on your computer. In a standard view, you filter, update, add, or delete items one at a time.

Datasheet views require that you have a Windows SharePoint Services-compatible datasheet program installed, such as Microsoft Office 2003. Datasheet programs allow you to quickly add, delete, and update list entries just as you would in a spreadsheet program, such as Microsoft Excel, without having to switch to a separate program.

If you click a datasheet view and don't have a datasheet program compatible with Microsoft Windows SharePoint Services installed, the list will appear in the standard view. Conversely, if you have a datasheet program installed and you want to go to a standard view, you can click the Edit in Datasheet button to automatically create a datasheet view and edit the list information in the datasheet.

About shared views and personal views

You can create shared views that all site users can use. However, if a Web site has many users and each creates a shared view, the list of shared views can get very long. Personal views enable each user of a SharePoint site to create his or her own views, which are not visible to other users. Having both types of views allows site administrators to ensure that only views that are useful for most users appear in the list of shared views, but still allows users to create personal views that help them view list information in the most convenient way for them.

Note The types of views you can create may vary based on the template your site uses.

Grouped views

Grouped views let you group the items in a list based on one or two columns. For example, you can group items in the events list so that all events that occur on given day appear together. You can then group the events within that group based upon who arranged the event or where the events are held.

Calendar views

If your list includes a column with dates, you can create a view that displays the list as a calendar. This feature allows you to create a custom list that you can view either as a standard tabular view, or as a calendar. You can switch between the two views quickly.

Related Topics

Set a default view
Create a view
Change the name or file name of a view
Show or hide columns
About filters


About cross-site groups

About cross-site groups

Cross-site groups let you create a group of users that can be used in all sites in a site collection. In contrast, site groups are used to assign rights to users or cross-site groups. You assign rights to a cross-site group by adding it to a site group or using list or library permissions settings.

Cross-site groups are a convenient way to manage groups of people who collaborate frequently on many sites in a site collection. For example, if a team has many Meeting Workspace and Document Workspace sites, you can create one cross-site group to use for all the workspace sites.

With cross-site groups, you can assign an owner who controls who can be added or removed from the cross-site group. You can also set up a cross-site group so that the members of the group can add or remove users.

Notes

  • You can create a cross-site group only by using the Windows SharePoint Services Site Administration pages, and not through the stsadm.exe command line.
  • Because cross-site groups do not have e-mail addresses, you cannot add them to a site from Windows SharePoint Services-compatible programs such as Microsoft Office Outlook 2003 or Microsoft Office Word 2003.
  • When using Microsoft Active Directory account creation mode, the Minimum Password Age group policy on the domain controller must be set to 0 days. Failure to do so will result in users being unable to change their passwords, unless they have administrator rights on the server. For information about setting the Minimum Password Age group policy, see Microsoft Windows 2003 Server online help.

Related topics

Create, edit, or delete a cross-site group
Add a user to a cross-site group


Delete a view of a list or library

Delete a view of a list or library
  1. On the page that displays the list or library, click Modify settings and columns.
  2. In the Views section, click the name of the view you want to delete.
  3. Click Delete at the end of the form.


Copy a SharePoint list to a spreadsheet

Copy a SharePoint list to a spreadsheet

You can copy lists from your SharePoint team Web site into a Windows SharePoint Services-compatible spreadsheet program. For example, if you export a list to Microsoft Excel 2002, you can create PivotTables and charts to analyze the information or apply text formatting. In Excel, the exported list is a Web Query that stays updated with changes to the original list in your team Web site.

Note You can also export the results of a survey to a spreadsheet program.

  1. Go to the page that displays the list you want to export.

    How?

    1. On the top link bar, click Lists.
    2. Click the list or survey you want to export.
  2. At the top of the list, click Export, or at the top of the survey, click Export Results to a Spreadsheet, and then open the file from its current location.


About data retrieval services

About data retrieval services

A data retrieval service implements a new data-binding technology that enables data consumers and data sources to communicate with each other through Simple Object Access Protocol (SOAP) and Extensible Markup Language (XML). A data retrieval service is a Web service that returns XML data from different data sources or manipulates data against those data sources. A data retrieval service is installed and runs on a server running Microsoft Windows SharePoint Services. Windows SharePoint Services includes a default set of data retrieval services for working with data in SharePoint lists, OLEDB, and XML data sources. Client applications, and data-bound Web Parts, such as the Spreadsheet Web Part, can use a data provider service to query the data source supported by the particular data source.

You can allow or disallow data retrieval services and configure settings for data retrieval services by using the SharePoint Central Administration page.

Note If your data retrieval service is attempting to connect to a remote Microsoft SQL Server database that is configured to use Microsoft Windows authentication, the server with the data retrieval service, the remote server running SQL Server, and the client initially making the request against the data retrieval service must be using Kerberos authentication. For more information about setting up Kerberos authentication, see the Help system for Internet Information Services (IIS) 6.0.

Related topic

Configure data retrieval services


Manage Web Part availability

Manage Web Part availability

Configure options for Web Parts and Web Part Pages

  1. On your server computer, click Start, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server that you want to configure.
  4. On the Virtual Server Settings page, click Manage security settings for Web Part Pages.
  5. Select the options that you want to allow or disallow, and then click OK.

    You can also return to using the default server settings of allowing users to both connect Web Parts and use the Online Web Part gallery, by clicking Restore Defaults.

Configure options for Web Parts and Web Part Pages in the web.config file

There are additional Web Part options you can set in the SharePoint web.config file. The web.config file is a text file containing custom XML elements. You can edit this file using a text editor, such as Microsoft Notepad. By default, the Web.config file is located in the C:\Inetpub\wwwroot\ folder.

The following is a summary of these additional Web Part options and their values.

Safe mode

There are two safe mode attributes.

MaxControls

Specifies the maximum number of server-side controls (HTML Element attribute, runat = "server") on a Web Part Page, including Web Parts, static Web Parts (that is, Web Parts not in a zone) and Web Form Controls. The default value is 50.

CallStack

Shows or hides many (but not all) ASP.NET exceptions that may occur in addition to the initial error reported in the SharePoint Error page. You can do the following:

  • To show these messages, set CallStack to "true".
  • To hide these messages, set CallStack to "false" This is the default.

You might set this attribute to "true" for developers who are testing Web Parts so they can view these messages on a remote computer. You must also set the customErrors mode in the <system.web> section to "On".

Example of setting the safe mode attributes

<SharePoint>
    <SafeMode MaxControls="30" CallStack="True" />
</SharePoint>
<system.web>
    <customErrors mode="On" />
</system.web>

Web Part limits

There are two Web Part limit attributes.

MaxZoneParts

Specifies the total number of Web Parts allowed within all Web Part zones on a Web Part Page.

PropertySize

Specifies the maximum number of bytes used to store Web Part properties on the server.

Example of setting the Web Part limit attributes

<SharePoint>
    <WebPartLimits MaxZoneParts="5" PropertySize="200000" />
</SharePoint>

Web Part cache storage

There is one Web Part cache storage attribute.

WebPartCache Storage

Specifies how a Web Part is cached on the server, if at all. You can enter one of the following values:

Value | Description
None | Prevent caching Web Parts on the server.
CacheObject | Use ASP.NET web server memory caching. This is the default. In general, this value helps improve performance if your site is installed on a single server.
Database | Cache Web Parts in site server database. In general, this value helps improve performance if your site is installed on a Web farm.

Example of setting the Web Part cache storage attribute

<SharePoint>
    <WebPartCache Storage="Database" />
</SharePoint>

Web Part work item timeout

There is one value that controls Web Part processes.

WebPartWorkItem Timeout

Specifies a timeout value in milliseconds for any asynchronous child processes started by a Web Part. The default size is 5000.

Example of setting the WebPartWorkItem Timeout value

The following is an example of setting the Web Part work item timeout:

<SharePoint>
    <WebPartWorkItem Timeout value="7000" />
</SharePoint>

Default security policy and trust level

You can conveniently define and specify a default security policy and trust level for all Web Parts installed on the site server using two configuration files. There are two default policies:

WSS_Minimal A copy of the ASP. NET web_minimaltrust.config file with WebPartPermission.Connections enabled. This is the default.

WSS_Medium A copy of ASP.NET web_mediumtrust.config file with WebPartPermission.Connectionsand .SharePointPermission.ObjectModel enabled.

Example of defining and setting a minimal trust level

<system.web>
  <securityPolicy>
      <trustLevel name="WSS_Minimal" policyFile="C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\config\wss_minimaltrust.config" />
   </securityPolicy>
   <trust level="WSS_Minimal" originUrl="" />
</system.web>

Example of defining and setting a medium trust level

<system.web>
  <securityPolicy>
      <trustLevel name="WSS_Medium" policyFile="C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\config\wss_mediumtrust.config" />
  </securityPolicy>
  <trust level="WSS_Medium" originUrl="" />
</system.web>

Allow access to the online Web Part library from behind a proxy server or firewall

If your server is behind a proxy server or firewall, you must also edit the web.config file for each virtual server for which you want to enable the online Web Part library. In a server farm environment, you must edit this file for each virtual server in every front-end Web server in the server farm.

  1. On your Web front-end server computer, open Notepad, navigate to the folder containing the virtual server for which you want to enable the online Web Part gallery, and then open the web.config file under the following directory:

    \Inetpub\wwwroot

  2. In the web.config file, add the following lines.

    <system.net>
      <defaultProxy>
      <proxy proxyaddress="http://Proxy_Server:port" bypassonlocal = "true"/>
      </defaultProxy>
    </system.net>
    Where Proxy_Server:port is the proxy server or firewall used for your environment.

  3. Save and close the web.config file.
  4. Repeat steps 1 through 3 for each virtual server for which you want to enable access to the online Web Part gallery.

Make a Web Part available in the Web Part Gallery

  1. On a top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage Web Part gallery.
  4. On the Web Part Gallery page, click New Web Part.
  5. Select the check box next to the Web Parts that you want to include in the gallery, and then click Populate Gallery.

Add a Web Part to the Web Part gallery

If you have installed a Web Part Package and need to add the Web Parts to the gallery, use the Upload Web Part button to add the new Web Parts to the gallery.

Caution Web Parts contain code. Before adding a Web Part to the Web Part Gallery, make sure it is from a trusted source.

  1. On the Web Part Gallery page, click Upload Web Part.
  2. In the Name box, type the name of the Web Part (including the full path to the .dwp file), or click Browse.

    If you have several Web Parts that you want to upload at once, click Upload Multiple Files and select the Web Parts to upload.

  3. In the Group box, select a group, or under Specify your own value:, type a group name for the Web Part.
  4. Click Save and Close.

Add multiple Web Parts to the Web Part gallery

Uploading multple Web Parts to the Web Part gallery requires a Windows SharePoint Services-compatible client program such as Office 2003 installed on the client machine.

Caution Web Parts contain code. Before adding a Web Part to the Web Part Gallery, make sure it is from a trusted source.

  1. On the Web Part Gallery page, click Upload Web Part.
  2. Under Name, click Upload Multiple.
  3. Select the check boxes next to the Web Parts that you want to upload, and then click Save and Close.

Remove a Web Part from the Web Part Gallery

You can remove a Web Part from the gallery if you want to make it unavailable to users. If a user has already used a Web Part in the site, and you delete the Web Part from the site gallery, the Web Part will remain on the Web Part Page and will still work. However, if an administrator on the server computer removes the Web Part assembly that contains the Web Part from the server, or marks the assembly as unsafe in the Web.config file for the server, the Web Part will no longer run and the user will see an error message.

  1. On the Web Part Gallery page, next to the Web Part that you want to remove, click the Edit icon.
  2. On the Web Part Gallery: Web Part Name page, click Delete.
  3. Click OK to delete the Web Part.

Related Topic

About managing Web Part availability


About virus protection

About virus protection

Microsoft Windows SharePoint Services allows you to help protect your users from uploading or downloading files that contain viruses. When you install an antivirus scanner that is compatible with Windows SharePoint Services, you can enable the antivirus protection feature for a server. When you enable the antivirus protection feature, files are checked for viruses when a user adds a document to a document library or list, or when a user views a document in a document library or list. If a virus is found, the scanner can attempt to clean the file, or if the file cannot be cleaned, can block the file from being added or viewed.

You enable and configure antivirus protection at the server level. When enabled, antivirus protection is available for all document libraries on all sites and subsites on the server, or for all servers in a server farm. You can use SharePoint Central Administration or the command-line tool to configure virus protection settings.

Note You must install antivirus software compatible with Windows SharePoint Services on any server computer running Windows SharePoint Services before you can enable virus protection in Windows SharePoint Services. In a server farm deployment, you must install antivirus software on every front-end Web server in the server farm. Consult your antivirus software vendor to find out whether they offer a virus scanner for use with Windows SharePoint Services and for information about installing the virus scanner. For a list of antivirus software vendors that support virus protection for Windows SharePoint Services, see the See Also section in this topic.

Related Topic

Configure antivirus settings

See Also

Windows SharePoint Services Partners Site


About regional and language considerations

About regional and language considerations

You can control the language and regional settings available for Web sites based on Microsoft Windows SharePoint Services by using two methods:

  • Language template packs Language template packs allow you to use site templates designed for specific languages. When you create a site based on a site template in a language template pack, the navigation and pages for that site are displayed in that language.
  • Regional settings You can customize every Web site, including top-level Web sites and subsites based on Windows SharePoint Services, to use specific regional settings that apply to the users of your site. You can specify the following regional settings:
    • Locale Controls how numbers and dates are displayed in the site.
    • Sort order Controls the sort orders used for lists and libraries.
    • Time zone Controls the time zone for the Web site.
    • Time format Specifies whether to display times in 12-hour or 24-hour format.

    To specify the locale ID for a site, you can use either SharePoint Central Administration or the command line. To change the sort order, time zone, or time format for a site, you must use SharePoint Central Administration.

About languages and locales

Windows SharePoint Services uses the following terms to describe the language and regional settings that are used for a Web site:

  • Language ID The language ID specified when a Web site is created controls the language used in the Web site itself. For example, if the site was created in French (language ID 1036), then all of the toolbars, navigation bars, _layouts pages, and so on, appear in French. If the site was created in Arabic (1025), then the text is in Arabic, and the default left-to-right orientation of the site is change to right-to-left to properly display Arabic text.

    By default, Windows SharePoint Services has language packs that contain site templates for 25 language IDs. You can install one or more of these language packs to a Web server to support users creating sites in as many languages as you need. For example, if you have a server running the Japanese version (language ID 1041) of Windows SharePoint Services, you can install a US English (1033) language pack with templates that allow users to create sites configured for US English.

  • Locale ID The locale ID is specified on the Regional Settings page, and affects how numbers, calendars, sorting, and time are displayed in the site. For example, if you have a US English language site (language ID 1033), and you change the locale ID to French (Canada) (locale ID 3084), then the Events list and Calendar views reflect the French notations for dates, numbers, time, and so on. The locale ID does not affect the orientation of the site. Choosing Arabic (Egypt) (locale ID 3073) does not change the site to right-to-left orientation, but does allow you to display the Events list with dates in Arabic notation. Each language template has a default locale ID. For example, in the US English (1033) template, the default locale ID is also 1033.

    Windows SharePoint Services supports all of the locale IDs supported by Windows Server 2003.

Related Topics

Configure regional settings
Install a language pack


Enable document versioning for a library

Enable document versioning for a library
  1. Go to the list, and on the left link bar, click Modify settings and columns.
  2. On the Customize "Document_Library" page, click Change general settings.
  3. On the Document Library Settings page, in the Document Versions section, under Create a version each time you edit a file in this document library?, click Yes.
  4. Click OK.


About content and configuration databases

About content and configuration databases

Microsoft Windows SharePoint Services relies on Microsoft SQL Server. Supported database servers are as follows:

  • Microsoft SQL Server™ 2000, Service Pack 3
  • Microsoft SQL Server Desktop Engine (Windows) 2000 (WMSDE), Service Pack 3

If you do not have SQL Server installed on your server, WMSDE is installed automatically when you install Windows SharePoint Services. If you are using the command-line interface to install Windows SharePoint Services, or if you are using a script to run the installation, you can specify a separate server to use for your database.

Windows SharePoint Services uses two separate databases to run sites within the virtual server — a content database and a configuration database.

About the content database

Windows SharePoint Services uses a database to store and manage site content. Just as each virtual server can host multiple top-level Web sites, each virtual server can rely on multiple content databases to store site content. If you are running Windows SharePoint Services on a single server, and hosting just a few sites, you can probably use the same content database for all of your sites. If you want to add capacity in a server farm, you will most likely need several content databases to store site data for each virtual server.

To make it easier to manage site content for large server farms, you can also set a limit on how many top-level Web sites can store content in a content database. You can specify a warning limit and a maximum limit for the number of sites. When a warning limit is reached, an event is logged in the server's Windows NT Event Log, so you can take action. When a maximum limit is reached, no more sites can be created using that content database.

You can specify any number of sites for the warning and maximum number of sites. To determine an appropriate number for your situation, divide the amount of available disk space on the database server by the estimated size for each site (plus a buffer). If you are using quotas, divide the disk space by the disk space quota (plus a buffer).

A buffer allows the number of sites to grow beyond the warning level, but not to exceed your disk space. The size of the buffer is up to you, but make sure to provide enough space for growth so that you don't exceed the maximum number before you can react to a warning event. When the maximum number is reached, no more sites can be created in that content database. Be sure to create a buffer large enough so that your users can continue to create sites as required, without having to constantly create new content databases.

Content databases are created and managed at the virtual server level. When you create a new content database (or when you extend a virtual server), you specify the database connection settings for the content database. You can update these settings if, for example, the database server name changes.

You can create or delete content databases, and specify settings such as the database server to use for the content and how many top-level Web sites to allow per content database in a server farm setting, by using SharePoint Central Administration. From there, you can view the full list of content databases for your virtual server, and see the current, warning, and maximum levels of sites for the content database at a glance.

About the configuration database

Windows SharePoint Services uses a database to store configuration and site mapping information for your server computer, the virtual servers on your server computer, and for servers in a server farm. This database is called the configuration database. You need one configuration database for your server farm, whether your server farm is one server computer with everything on it, or several server computers.

If you install Windows SharePoint Services on a single server using Microsoft SQL Server Desktop Engine (Windows) 2000 (WMSDE), the configuration database is created for you. If you install Windows SharePoint Services in a server farm environment, or with Microsoft SQL Server, the installation ends without creating a configuration database, and you must create the database by using HTML Administration pages or the command line.


About virtual server configuration settings

About virtual server configuration settings

After you have installed Microsoft Windows SharePoint Services and extended a virtual server, you can configure settings for the virtual server. Specifying the following options at the virtual server level affects all sites on that virtual server:

  • Site creation settings Enable or disable the ability for users to create sites.
  • Site use confirmation and auto-deletion settings Determine whether to require confirmation of site use, or whether to automatically delete unused Web sites.
  • User rights settings Specify which rights to make available to users of sites on your virtual server.
  • Virtual server general settings Configure settings to use as defaults for all sites that are created on your virtual server.
  • E-mail settings Specify the outbound e-mail server to use, and the e-mail addresses to use when accepting or sending e-mail messages to and from the server. You can also configure and use e-mail settings at the server level.
  • Web Part Page security settings Specify whether users can add connections between Web Parts in a Web site, and whether the Microsoft Office 2003 Web Part gallery is available.

In addition, you can perform the following administration tasks from the virtual server level:

  • Manage content databases You can create or delete content databases, or change the capacity settings for a particular content database.
  • Manage defined paths You can add or remove included and excluded paths to control which areas of the URL namespace are managed by Windows SharePoint Services.
  • Create or delete a top-level Web site You can create a top-level Web site or delete an existing top-level Web site.
  • Remove Windows SharePoint Services from the virtual server You can remove Windows SharePoint Services either permanently or temporarily.
  • Configure settings for data retrieval services You can specify settings to be used for data retrieval services. These are Web services that return XML data from different data sources or that manipulate data against those data sources.

About General settings for a virtual server

The Virtual Server General Settings page contains several options that apply to any sites that you create for the virtual server. When you configure a setting for a virtual server, it takes priority over settings applied on specific sites of that virtual server. For example, if you disable alerts for a virtual server, no site or subsite can use alerts. However, if you enable alerts on the virtual server, each top-level Web site can allow or disallow alerts for that Web site and its subsites. For more information about how each setting is treated at different levels, see the specific topic for that setting.

You can configure the following settings on the Virtual Server General Settings page:

  • Time zone to use for the virtual server Select a time zone to use for all sites created on this virtual server.
  • Default quota template for sites created under the virtual server Specify the default quota template to use. When you create a top-level Web site, you can create it using the default template or a different template.
  • Online presence and smart tags for user names settings Enable or disable presence information for site members.
  • Maximum upload size Specify the maximum file size to allow when files are uploaded to a Web site on this virtual server.
  • Alert settings Enable or disable alerts for all sites under the virtual server, and configure default settings for alerts.
  • Web page security validation Enable or disable security validation for Web site pages, and specify how long to wait before the validation expires for a given page.
  • User name and password settings in e-mail Specify whether to send user names and passwords in e-mail messages to new users. This setting is used for user account mode for Active Directory directory servive only.
  • E-mail attachments Allow or disallow document libraries to include e-mail messages and e-mail attachments. Specify the public folder path for e-mail attachments and how frequently to check for attachments.
  • Event handlers Enable or disable event handlers. After the feature is turned on, you can write code to handle the events, and then specify the code to use for a particular document library in the document library settings.

Related Topics

Configure a virtual server
Configure Self-Service Site Creation
Manage unused Web sites
Configure a virtual server
About managing Web Part availability
Specify content database settings
About managed paths
Create a site
Remove Windows SharePoint Services
Manage site quotas and locks
Configure online presence Information
About managing alerts
Configure e-mail-enabled document libraries
About document library event handlers


Overview of Windows SharePoint Services Administration

Overview of Windows SharePoint Services Administration

Microsoft Windows SharePoint Services includes tools to help you manage the Web sites you create. You can manage Windows SharePoint Services locally by using HTML Administration pages or a command-line interface, or remotely by using HTML Administration pages. In addition, you can set properties — such as specifying whether alerts are enabled for a virtual server — by using the command-line interface or HTML Administration pages.

HTML administration

Windows SharePoint Services includes HTML Administration pages to help you manage your Web sites and servers. You can use these forms on the local server computer or from a remote computer that is connected to the Internet. You must have administrator rights to use HTML Administration pages.

For Windows SharePoint Services, there are two types of administration pages:

  • Central Administration pages
  • Site Settings pages

Central Administration pages

The Central Administration pages allow you to manage settings for your Web server and virtual servers. These pages are created during Windows SharePoint Services Setup. By default, a newly created virtual server inherits settings from defaults set on the Central Administration pages. You can change these default settings and specify what settings to use for each extended virtual server. You must be a member of the local administrators group for the server computer or a member of the SharePoint administrators group to view the Central Administration pages.

The Central Administration pages are stored on the administration port that Windows SharePoint Services created during Setup. To view the pages, on the Start menu, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration; or, from the browser on a remote computer, type the URL for the pages on the administration port. For example: http://servername:port or http://localhost:

Note You can also open the administration pages locally by using localhost on the Run command. Click Start, click Run, type http://localhost:port, and then click OK.

Site Administration pages

In addition to the Central Administration pages, which control settings for each server and virtual server, there are administration pages that control settings for each Web site. You can perform some administrative actions from the Site Settings page, and you can link from there to the Site Administration page. You must have administrator rights to the Web site to perform administrative actions on the Site Settings and Site Administration pages.

From the Site Settings and Site Administration pages, you can perform tasks such as the following:

  • Manage users and site groups.

    You can add or remove users, edit site groups, and change a user's site group membership. For more information, see Manage users and groups and Assign permissions to users and groups.

  • Create or delete subsites.

    You can add a subsite or manage the existing subsites of your Web site.

  • Change anonymous access.

    If anonymous access is available for the virtual server that contains your Web site, you can control whether it is enabled for your Web site. For more information, see Assign permissions to users and groups.

  • Change regional settings.

    You can change the locale, time zone, sort order, and time format to use for your Web site. For more information, see Manage Web discussions.

  • Manage Web discussions and alerts.

    You can view all Web discussions and user alerts for your Web site and delete any that are no longer needed. For more information, see Manage Web discussions and Manage alerts.

Note that if you are managing a subsite, the administration tasks that are available on the Site Administration page for the subsite are a subset of those that are available for top-level Web sites of a virtual server.

The Site Settings and Site Administration pages are stored in the _layouts directory of the Web site. The navigation bar for each SharePoint site includes a Site Settings link that takes you to these pages. Even if you do not have a SharePoint site, you can get to these pages for SharePoint sites from a compatible Web page editor, such as Microsoft Office FrontPage 2003, or by typing the URL to the pages directly in the browser.

To view the pages from Office FrontPage 2003, on the Tools menu, click Server, and then click Administration Home.

The path to the Site Settings page is http://websiteurl/_layouts/lcid/settings.aspx, where lcid refers to the locale ID. For example, for U.S. English, the lcid is 1033.

The path to the Site Administration page is http://websiteurl/_layouts/lcid/webadmin.aspx.

The files for the Site Settings and Site Administration pages are stored in the ..\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\template\admin\lcid folder.

Using HTML Administration pages remotely

When you install Windows SharePoint Services, the Central Administration pages are installed to an administration port. You use these pages on the administration port to manage your server remotely. You can open Central Administration pages from any client computer, provided you know the administration port number and log on by using an account that is a member of the Administrators group on the server. You can use the Site Administration pages by using an account that is a member of a site group with the Manage Web Site right for that site.

If you have chosen to use Secure Sockets Layer (SSL) on your administration port, you must use the HTTPS protocol to go to the pages. For more information about configuring SSL, see Configure authentication.

To connect to the administration port by using the HTTPS protocol
  • In the Address box of your browser, use the HTTPS protocol and type the address to your server's administration pages, including the secure server port number.

    For example, type https://sample.microsoft.com:1439.

After you connect to the remote HTML Administration pages, you can perform any of the administration tasks as if you were connected locally.

Command-line administration

Most tasks that you can perform from the Server Administration and Site Administration pages can also be performed from the command line for Windows SharePoint Services. In addition, you can set several properties from the command line that you cannot set from the administration pages. To use the Stsadm.exe tool, you must be a member of the local Administrators group on the server computer. For more information about using the command line administration tools and setting configuration properties, see the Windows SharePoint Services Administrator's Guide.


View a list of site groups

View a list of site groups

Use the Site Administration pages to view site groups

  1. On the Site Settings page for the Web site, in the Administration section, click Go to Site Administration.
  2. On the Site Administration page, in the Users and Permissions section, click Manage site groups.

    Microsoft Windows SharePoint Services displays the site groups available for the Web site on the Manage Site Groups page.

Use the command line to view site groups

You can view site groups and site group membership from the command line in Microsoft Windows SharePoint Services. To view the list of site groups, you use the enumroles operation. This operation takes the url parameter, and then displays a list of the names of the site groups for that URL. Use this list to identify the name of the correct site group when assigning permissions to users. For example, to view the list of site groups for a site, type the following command:

stsadm -o enumroles -url http://server_name/site_name


About site groups

About site groups

Microsoft Windows SharePoint Services uses site groups to manage security across a SharePoint site. Each user must be a member of at least one site group in order to view or access a SharePoint site. Each site group possesses corresponding rights. Rights are rules associated with the system as a whole, granted to local groups, global groups, and users. A right within Windows SharePoint Services may be actions that users can perform, such as Manage Lists. In addition, you can edit the rights assigned to a specific site group, create an additional site group, or delete an unused site group. You manage site groups in Windows SharePoint Services from SharePoint Central Administration or by using the command-line administration tool.

Note You can add user accounts to a SharePoint site without assigning them to a site group. For example, you can create the user accounts and then assign the users to site groups later. You can also remove a user from all site groups. When you remove a user from all site groups, the user has no access to the Web site.

Windows SharePoint Services includes the following site groups by default:

  • Guest — Has limited rights to view pages and specific page elements. Use this site group to give users access to a particular page, or list, without granting them rights to view the entire site. You cannot add users explicitly to the Guest site group; users who are given access to lists or document libraries by way of per-list permissions are automatically added to the Guest site group. You cannot customize or delete the Guest site group.
  • Reader — Has rights to view items, view pages, and create a top-level Web site using the Self-Service Site Creation feature. Readers can only view pages on a SharePoint site; they cannot add content.

    Note When a member of the Reader site group creates a site using the Self-Service Site Creation feature, he or she becomes the site owner and a member of the Administrator site group for the new site. This does not affect the site group membership of the user for any other site.

  • Contributor — Has Reader rights and rights to add, edit, and delete items, browse directories, manage personal views, add, remove, or update personal Web Parts, and create cross-site groups. Members of the Contributor site group cannot create lists or document libraries, but they can add content to existing lists and document libraries.
  • Web Designer — Has Contributor rights and rights to cancel check-out, manage lists, add and customize pages, define and apply themes and borders, and apply style sheets. Members of the Web Designer site group can modify the structure of the site and create lists or document libraries.
  • Administrator — Has all rights from other site groups and rights to manage site groups, manage list permissions, create SharePoint sites, and view usage analysis data. You cannot customize or delete the Administrator site group. In addition, there must always be at least one member of the Administrator site group. Members of the Administrator site group always have access to, or can grant themselves access to, any item in the Web site.

    Note The owner and secondary owner of a site collection are members of the Administrator site group for their site, but they are also identified separately in the configuration database as site collection owners. This owner flag can only be changed by using the Manage Site Collection Owners page in SharePoint Central Administration or by using the siteowner operation with Stsadm.exe. If you remove an owner from the Administrator site group for the site, the owner retains the owner flag in the database, and can still perform site collection administrative tasks.

Note These site groups are defined per SharePoint site. Users assigned to the Administrator site group are administrators only for a particular SharePoint site. To perform any administrative tasks that affect settings for all SharePoint sites and virtual servers on the server computer, a user must be an administrator for the server computer (also known as a local machine administrator) or a member of the SharePoint administrators group, rather than a member of an Administrator site group for a specific SharePoint site.

Customizing rights for site groups

You can create a site group or customize an existing site group to include only the rights you want (except for the Guest and Administrator site groups, which cannot be customized). For example, to allow only the Web Designers to be able to edit lists on the site, you can remove the Edit Items right from the Contributor site group.

Note Some rights depend on other rights. You must be able to view items before you can edit items. If a right is deleted from a site group, any rights dependent on that right are also deleted. For example, when the View Items right is deleted, the Add Items, Edit Items, and Delete Items rights are also deleted. In the same way, if you add a right that requires another right, the required right is also added. So, if you grant the Edit Items right to a user, the View Items right is granted automatically.

Security and user rights

User rights grant users the ability to perform certain actions on a Web site, and restrict other users from performing those actions. Some rights do not completely restrict certain actions. The Apply Themes and Borders and Apply Style Sheets rights allow users to make changes to an entire Web site. Any user with the Add and Customize Pages right, however, can perform the same changes on a page-by-page basis in the actual HTML code. Be aware that if you give users the Add and Customize Pages right by assigning them to a site group that contains the right, you also give them the ability to change the theme, border, and style sheets for individual pages in the SharePoint site.

When you assign rights to site groups, ensure that you assign the appropriate rights, and do not unintentionally allow members of the site group to perform more actions that you want on the SharePoint site. Conversely, ensure that members of the site group are not unintentionally restricted from performing the actions they need to perform.

About site owners and secondary owners

When a user creates a site, the user is listed as the site owner. Depending on your configuration, the user may also be required to specify a secondary contact for the site. Confirmation notifications are automatically sent to the site owner and to the secondary contact, if one exists.

The owner and secondary owner of a site collection are members of the Administrator site group for their site, but they are also identified separately in the configuration database as site collection owners. This owner flag can only be changed by using the Manage Site Collection Owners page in Central Administration or by using the siteowner operation with Stsadm.exe. If you remove an owner from the Administrator site group for the site, the owner retains the owner flag in the database, and can still perform Web site administrative tasks.


About security options

About security options

Microsoft Windows SharePoint Services includes or takes advantage of the following elements that interact with and affect your security for Web site content:

  • User authentication The process used to validate the user account that is attempting to gain access to a Web site or network resource. You manage security using Microsoft Windows NT users and security groups (DOMAIN\user and DOMAIN\security group). You cannot use distribution lists to control access to content in Windows SharePoint Services, because distribution lists are not used for authentication in Windows.
  • SharePoint administrators group A Microsoft Windows user group authorized to perform administration tasks for Windows SharePoint Services.
  • Site groups A means of assigning rights to specific users or groups in a SharePoint site. There is a predefined list of site groups for each Web site (Administrators and Web Designers, for example). To grant a user access to a Web site, you assign that user to a site group. Windows SharePoint Services also uses cross-site groups. A cross-site group is a group of users that can be assigned to a site group on any Web site in a site collection. There are no site groups defined by default in Windows SharePoint Services.
  • Secure Sockets Layer and firewall protection Security practices recommended to help secure the port used for SharePoint Central Administration. Secure Sockets Layer (SSL) security and a firewall can help to prevent external access to the administration port.
  • Microsoft SQL Server connection security Use either Windows NT Integrated authentication or SQL Server authentication to connect to your configuration database and content database.
  • Firewall protection A firewall helps protect your data from access by other people and organizations on the Internet. Windows SharePoint Services can work inside or through a firewall.

User authentication

User authentication for Windows SharePoint Services is based on Internet Information Services (IIS) authentication methods. You can use Windows SharePoint Services with the following forms of user authentication:

  • Anonymous authentication
  • Basic authentication
  • Integrated Windows authentication
  • Digest and Advanced Digest authentication
  • Certificates authentication (SSL)

You choose the authentication method you want to use when you set up your Web server. You cannot change the authentication method by using the Windows SharePoint Services administration tools; you must use the Internet Information Services administration tool for your server computer to change the authentication method.

Anonymous authentication

Anonymous authentication provides access to users who do not have Windows accounts on the server computer, such as Web site visitors. IIS creates the anonymous account for Web services, which is often named IUSR_computername. When IIS receives an anonymous request, it impersonates the anonymous account.

You can allow or disallow anonymous access in IIS for a particular virtual server, and allow or disallow anonymous access for a site on that virtual server by using SharePoint Central Administration. Anonymous access must be enabled in IIS before you can enable it for a Web site on that virtual server.

Basic authentication

Basic authentication is an authentication protocol supported by most Web servers and browsers. Although Basic authentication transmits user names and passwords in easily decoded clear text, it has some advantages over more secure authentication methods, in that it works through a proxy server firewall and ensures that a Web site is accessible by almost any Web browser. If you use Basic authentication in combination with Secure Sockets Layer (SSL) security, you can help protect user names and passwords, making your user information more secure than using only Basic authentication.

Integrated Windows authentication

Integrated Windows authentication (also known as Windows NT Challenge Response) encrypts user names and passwords in a multiple transaction interaction between client and server, thus making this method more secure than Basic authentication. Disadvantages are that this method cannot be performed through a proxy server firewall, and some Web browsers, such as Netscape Navigator, do not support it. You can choose to use this authentication method and Basic authentication. Most Web browsers select the most secure option. For example, if both Basic authentication and Integrated Windows authentication are enabled, Microsoft Internet Explorer tries Integrated Windows authentication first.

Certificates authentication (SSL)

Certificates authentication (also known as Secure Sockets Layer (SSL) security) provides communications privacy, authentication, and message integrity for a TCP/IP connection. By using the SSL protocol, clients and servers can communicate in a way that prevents eavesdropping, tampering, or message forgery. With Windows SharePoint Services, SSL helps secure access across firewalls and allows more secure remote administration of Windows SharePoint Services. You can also specify that SSL be used when opening a Web site based on Windows SharePoint Services.

SharePoint administrators group

To install Windows SharePoint Services, you must be a member of the local administrators group on the server computer. This group also gives users the permissions needed to control settings on the SharePoint Central Administration pages, and to run the command-line tool Stsadm.exe. You can also identify a specific domain group to allow administration access to Windows SharePoint Services, in addition to the local administrators group. Help documentation for Microsoft SharePoint Products and Technologies refers to this domain group as the SharePoint administrators group. You can add users to this group rather than to the local administrators group, to separate administration access to Windows SharePoint Services from administration access to the local server computer.

Members of the SharePoint administrators group do not have access to the IIS metabase, so they cannot perform the following actions for Windows SharePoint Services:

  • Extend virtual servers.

    Note Members of this group can create top-level Web sites and change virtual server settings.

  • Manage paths.
  • Change the SharePoint administrators group.
  • Change the configuration database settings.
  • Use the Stsadm.exe command-line tool.

Members of the SharePoint administrators group can perform any other administrative action using SharePoint Central Administration or the object model for Windows SharePoint Services.

Members of both the SharePoint administrators group and the local administrators group have rights to view and manage all sites created on their servers. This means that a server administrator can read documents or list items, change survey settings, delete a site, or perform any action on a site that the site administrator can perform.

Site groups

Windows SharePoint Services includes site groups to help you assign particular rights to users and cross-site groups. With site groups, you do not have to control the file and folder permissions separately, or worry about keeping your local groups synchronized with your list of Web users. You use site groups to give users permissions on your Web site, and use Windows SharePoint Services administration tools to add users directly.

In effect, user management is delegated from server administrators to the site owners and administrators. Site administrators control site access and, by default, have rights to add, delete, or change site group membership for users. Inside an organization, this typically means that site administrators select users from the list of the organization's users, and grant them access to varying degrees. For example, if the Web site is for members of a particular workgroup to share documents and information, the site administrator adds members of that workgroup to the site and assigns them to the Contributor site group, so that they can add documents and update lists.

In an ISP or extranet environment, a site owner can add users and create accounts, perhaps using separate user lists for each site collection. The site administrator adds the users to the Web site and Windows SharePoint Services automatically adds the users to Microsoft Active Directory directory service.

Members of the Administrator site group for a top-level Web site can control more options than administrators of a subsite. Administrators of a top-level Web site can perform actions such as specifying settings for Web document discussions or alerts, viewing usage and quota data, and changing anonymous access settings.

Note The owner and secondary owner of a top-level Web site may be members of the Administrator site group for their site, but they are also identified separately in the configuration database as site collection owners. This owner flag can only be changed by using the Manage Site Collection Owners page in SharePoint Central Administration or by using the siteowner operation with Stsadm.exe. If you remove an owner from the Administrator site group for the site, the owner retains the owner flag in the database, and can still perform site collection administration tasks.

Securing the port used to access SharePoint Central Administration

If a malicious user gains access to the port used to access SharePoint Central Administration, he or she can potentially block other users from accessing sites, or can modify site content, or even completely disable a Web server. It is important to restrict access to the port used by SharePoint Central Administration. To do so, it is recommended that you do the following:

  • Use Secure Sockets Layer (SSL) encryption.

    If you want to be able to manage Windows SharePoint Services across an Internet connection, use SSL to provide more secure communication between a client computer and the server, even across the Internet. To use SSL, you must first configure SSL in Internet Information Services (IIS), and then use the command line to configure Windows SharePoint Services.

    Note When you use SSL, the URL for SharePoint Central Administration changes from http:// to https://.

  • Use a firewall or IIS to restrict external access to certain domains.

    It is recommended that if you do not need to provide access to SharePoint Central Administration from the Internet, you use the firewall settings to block access to the port used by SharePoint Central Administration, or to restrict access to the port to certain domains. Use the stsadm -o setadminport operation to set each server in a server farm to the same port number, and configure the firewall to help protect that port on all servers. Alternatively, you can use the IP and name restrictions feature in IIS to restrict access to specific domains. To do this, you must specify these restrictions for each virtual server to which you want to restrict access.

  • Use the SharePoint administrators group to restrict internal access.

    Use the SharePoint administrators group to control which users can access SharePoint Central Administration. Only the domain group you specify, and local administrators, can access the port used by SharePoint Central Administration. Limit the local administrator access to only a few computer operators.

  • Use Integrated Windows authentication instead of Basic authentication.

    When you use Integrated Windows authentication, you avoid having passwords sent in clear text, as can happen when Basic authentication is used. Basic authentication is less secure because it uses clear text.

  • Disable anonymous access.

    Allowing anonymous access makes a server inherently less secure. If anonymous users can get access to a server, they can change settings or content, and their actions cannot be traced to a real user account. Anonymous access is disabled by default for the port used by SharePoint Central Administration.

Securing SQL Server connections

If you are using SQL Server instead of Microsoft SQL Server Desktop Engine (Windows) 2000 (WMSDE) for your databases, you can choose between the following two security methods for interactions between Windows SharePoint Services and database servers running SQL Server:

  • Windows NT Integrated authentication Connect to the database computer using an application pool in Internet Information Services (IIS). This method is the more secure option, and is the default authentication type for Windows SharePoint Services deployments with SQL Server.

    Note If you are using SQL Server on a separate database server from the server running Windows SharePoint Services, you must use a domain account (or the Local System or Network Service account) as the IIS application pool account. If you use a local account, it cannot access the computer running SQL Server. For the administration virtual server, the IIS application pool account must also have rights to create databases in SQL Server. If you use Local System or Network Service, you must grant the database server privileges to the machine account for the Web server computer. Application pool accounts for other virtual servers do not need database creation rights; they rely on the administration virtual server to create databases.

  • SQL Server authentication Connect to the database server using credentials you provide from SharePoint Central Administration.

About Windows NT Integrated authentication

With Windows NT Integrated authentication, you use the Internet Information Services (IIS) application credentials and an application pool to connect to the SQL Server databases. The credentials are stored securely in the IIS metabase with other IIS worker processes. When Windows SharePoint Services connects to the databases, it runs under its usual process, and uses the IIS process for the connection. In a server farm deployment, you must ensure that changes to credentials are populated to all servers. For example, if the domain has a policy requiring frequent password resets, you must change the password in IIS for every server computer in the server farm.

You can have a single process for all of the virtual servers in a deployment, or you can isolate each virtual server with its own application pool. Using separate processes is more secure. For example, if you have a custom script running for one virtual server, it could potentially be written to access pages in another virtual server if they share an application pool. If they have separate application pools, the script cannot authenticate to the database across virtual servers.

About SQL Server authentication

SQL Server authentication uses an administrator account and password (often the default sa account) stored in the SQL Server database to connect between Windows SharePoint Services and the databases. This same user name and password are used for all updates to the databases, no matter which server in a server farm or virtual server on a single server or in a server farm requests the update.

Important When you use SQL Server authentication, the password for the administrator account is sent over the network, and can potentially be detected by malicious users. It is recommended that you use Windows NT Integrated authentication for connections between Windows SharePoint Services and the SQL Server databases. Also note that when you use SQL Server authentication, the user name and password you specify is available to all members of the STS_WPG group, which may include accounts associated with other applications on your server.

About firewalls

Windows SharePoint Services supports connectivity through firewalls. Depending on your configuration, you must ensure the firewall is open for the standard HTTP ports 80 and 443. When using a firewall, you must configure SharePoint sites with Basic authentication because Integrated Windows authentication cannot pass through a firewall.

Related Topics

Assign permissions to users and groups
Manage users and groups
About authentication methods
Change authentication methods

See Also

Internet Information Services (IIS) Help


Force a document check-in

Force a document check-in

Members of the Administrator and Web Designer site groups (or members of any site group with the Cancel Check-out right) for a site can override a document check-out if necessary, and force the document to be checked in with the previous version.

Cancel a check-out and return to the previous version
  1. Go to the document, click the down arrow next to the document's title, and then click Check In.
  2. On the Check In page, select Discard changes and undo checkout, and then click OK.
  3. On the confirmation message that appears, click OK to check in the document.


Manage alerts for a top-level Web site

Manage alerts for a top-level Web site
  1. On the Site Settings page for the top-level Web site, in the Administration section, click Go to Site Administration.
  2. In the Management and Statistics section, click Manage user alerts.
  3. In the Display alerts for menu, click the name of the site user with an alert that you want to delete, and then click Update.
  4. To delete an alert, select the check box next to the alert, and then click Delete Selected Alerts.

Important When you remove a user from a site after he or she has create alerts, you must manually delete any alerts that he or she has set up. This is also true for any lists or libraries where you change security settings to limit access. If a user has set up alerts for the list or library, he or she will continue to receive them after you change the security settings. It is important to delete these alerts to prevent unauthorized users from having access to site and user information.

Related Topics

About managing alerts
About alerts


About sites and subsites

About sites and subsites

You can use top-level Web sites and subsites to divide site content into distinct, separately manageable sites. Top-level Web sites can have multiple subsites, and subsites themselves can have multiple subsites, down as many levels as your users need. The entire structure of a top-level Web site and all of its subsites is called a Web site collection.

This hierarchy allows your users to have a main working site for the entire team, plus individual working sites or shared sites for side projects. Top-level Web sites and subsites allow different levels of control over the features and settings for sites.

About site collection administrators and the Administrators site group

In Windows SharePoint Services, there are two levels of administrators: site collection administrators, and users who are members of the Administrator site group. Site collection administrators have full rights to all sites in the site collection. (For more information on specifying site collection administrators, see Modify user account information.) Members of the Administrator site group of a top-level Web site can control settings and features for both the top-level Web site and any subsites beneath it that inherit permissions from it. (For information on assigning users to site groups, see Assign a user to a different site group.) For example, both a site collection administrator and a member of the Administrator site group of a top-level Web site can do the following:

  • Add, delete, or change user permissions
  • View usage statistics
  • Change regional settings
  • Manage Web Part and template galleries
  • Manage Web Discussions and alerts
  • Change the site name and description, theme, and home page organization
  • Configure settings, such as regional settings, for the top-level Web site and all subsites
  • Change which rights are available for the top-level Web site and all subsites
  • Update e-mail settings for the top-level Web site and all subsites
  • Configure Web part settings for the top-level Web site and all subsites

However, when a subsite uses unique permissions, members of the Administrator site group for the top-level Web site cannot perform the actions listed above. By comparison, site collection administrators can always perform these actions in all subsites, regardless of whether or not the subsite has unique permissions.

A member of the Administrator site group of a subsite can control settings and features only for that subsite and any subsites below it that inherit permissions. For example, an administrator of a subsite can do the following:

  • Add, delete, or change user permissions, if unique permissions have been set (for more information, see Assign permissions to users and groups)
  • View usage statistics
  • Change regional settings
  • Manage Web Part and template galleries
  • Manage Web Discussions and alerts
  • Change the site name and description, theme, and home page organization

Related Topics

Create a site
Copy an existing site group
Assign permissions to users and groups
Modify user account information
Assign a user to a different site group


About quotas and locks

About quotas and locks

If you are using Microsoft Windows SharePoint Services in a large deployment, such as at an Internet service provider (ISP) or in a large intranet, you need to maintain control over server resources and carefully monitor areas such as storage space and site security. You must ensure that one site cannot deplete so many resources that other sites can no longer function. Windows SharePoint Services allows you to specify quotas for sites, so that you can manage site and server resources. You can set quota limits for the following items:

  • Storage When you set a quota limit for storage, you set two values: a warning value and a maximum value. When a site passes the warning limit, Windows SharePoint Services sends an e-mail message to the site administrator and owner notifying them that the site is near to its storage quota. When a site meets the maximum limit, Windows SharePoint Services sends another e-mail message to the owner and administrator, and users are prevented from adding content to the site.

    Note The size of the data reported by quotas does not necessarily match the size of the actual storage used on the database server. This is because the quota feature estimates storage figures for empty sites (sites that contain no user content) and includes those figures in the quota, as well as the actual storage from the content database. The estimated size of an empty site includes the real size of the template pages for Windows SharePoint Services, such as the forms pages and pages in the _layouts directory. These pages are not normally included in the estimate, since there is only one copy of these pages for all sites. Although each site has a unique URL to the pages, the site does not have a unique instance of the page.

  • Users When using the Active Directory directory service, you can limit the number of users that are added to Active Directory from any specific SharePoint site collection. When you specify a quota for user accounts, you specify a maximum limit only. When the maximum number of users for a site collection has been reached, no additional user accounts can be added unless one or more user accounts are deleted from the site collection.

You can create multiple sets of quotas, called quota templates, and use them in different areas of the server farm, or to suit different users. For example, if the deployment supports an Internet service provider (ISP), you might implement the following quota templates:

  • Free Apply to free or demo sites, restricts users to 10 MB of storage and 5 users.
  • Standard Apply to monthly-fee sites, allows site owners up to 25 MB of storage and 50 registered users.
  • Premium Apply to extranet sites for large corporate customers, allows organizations up to 10 GB of storage and 5000 user accounts.

You must be an administrator of the local server computer, or a member of the SharePoint Administrators group to be able to manage quotas and quota templates.

About enabling quotas

By default, Windows SharePoint Services disables the quota feature. There are no default quota values or templates. To enable quotas, use the following methods:

  • To use quotas for your server or server farm, create a quota template.
  • To use quotas for a specific virtual server, assign a default quota template to that virtual server.
  • To use quotas for a particular top-level Web site, assign a quota template to the top-level Web site when you create the site.
  • To use a set of quota values for a single site only, apply specific quota limits to the site itself, independent of any quota template.

You can implement quotas at any point in the logical deployment of Windows SharePoint Services. For example, applying a default quota template to a virtual server enables the ability to apply quota limits but does not require their use on all top-level Web sites under that virtual server. You can also change site settings at any time.

About quota templates

Windows SharePoint Services stores quota templates and their settings in the configuration database for a server or server farm. Windows SharePoint Services applies quota values to top-level Web sites when you create a top-level Web site. You can specify a default template to use for all top-level Web sites created on a virtual server or you can specify the template to use when you create the top-level Web site.

Note Windows SharePoint Services copies the values listed in the quota template into the database when a site is created. If you change the values for a quota template, those changes apply only to new top-level Web sites created using that template, not to existing top-level Web sites. To apply the template changes to existing sites, you must use the Windows SharePoint Services object model to make the change by using an SQL query. When you delete a quota template, Windows SharePoint Services removes the template from the configuration database, but any top-level Web sites created using that template retain the quota values. To remove quotas from all sites using a specific quota template, you must use the object model and perform an SQL query.

About specifying quota values for a specific site

You can specify a different set of limits for a specific site. This allows you to turn on quotas on a site-by-site basis or to make an exception to a quota template for a specific site.

Caution You can lock a site by changing the quota value. If you already specified quota values for a site, and want to update the value, it is important that you check the current quota levels before making the change. For example, if the current quota level for site storage is 25 MB, and a site has 21 MB in storage and you change the value to 20 MB, the site is locked as soon as you save the change. To prevent locking a site accidentally, check the current storage or user count for the site before changing the quota values.

To view existing quota values for a site, use SharePoint Central Administration to view the current values and the current amount of storage used and number of users.

About managing locks

You can use locks to stop sites from exceeding your storage quota limits, and to block all users from accessing a site if necessary. Windows SharePoint Services locks sites automatically when they exceed the maximum storage quota. You can also lock a site manually if, for example, it is in violation of site use policies. Depending on the type of lock, the result of a locked site is different:

  • When a site is locked for exceeding a storage quota limit, users who attempt to upload new content see a disk full error.
  • When a site is locked manually, users who attempt to view the site will see an access denied message.

You can unlock sites by different methods, depending on the reason for the lock. Site administrators can unlock sites by themselves if the sites are locked for exceeding quota limits. Only a server administrator can clear a manual lock.

Related Topic

Manage site quotas and locks


Migrate a Web site

Migrate a Web site

If you have been using SharePoint Team Services v1.0 from Microsoft, you probably have several Web sites that you need to move to new servers running Microsoft Windows SharePoint Services. You may also have new Web sites based on Windows SharePoint Services that you want to move to another URL or another Internet Service Provider, for example. To accomplish these tasks, you use the Microsoft SharePoint Migration Tool (smigrate.exe). For more information, see "Migrating and Upgrading Web Sites" in the Windows SharePoint Services Administrator's Guide.

For larger scale site migration in Windows SharePoint Services, such as moving a block of sites to a new server, use the full backup and restore features for Windows SharePoint Services. For more information, see "Backing Up and Restoring Web Sites" in the Windows SharePoint Services Administrator's Guide.

The Windows SharePoint Services Administrator's Guide is available at Microsoft SharePoint Products and Technologies on Microsoft TechNet.


About migrating Web sites

About migrating Web sites

If you have been using SharePoint Team Services v1.0 from Microsoft, you probably have several Web sites that you need to move to new servers running Microsoft Windows SharePoint Services. You may also have new Web sites based on Windows SharePoint Services that you want to move to another URL or another Internet Service Provider, for example. To accomplish these tasks, you use the Microsoft SharePoint Migration Tool (smigrate.exe). For more information, see "Migrating and Upgrading Web Sites" in the Windows SharePoint Services Administrator's Guide.

For larger scale site migration in Windows SharePoint Services, such as moving a block of sites to a new server, use the full backup and restore features for Windows SharePoint Services. For more information, see "Backing Up and Restoring Web Sites" in the Windows SharePoint Services Administrator's Guide.

The Windows SharePoint Services Administrator's Guide is available at Microsoft SharePoint Products and Technologies on Microsoft TechNet.


About authentications methods

About authentications methods

You configure authentication for Web sites based on Microsoft Windows SharePoint Services by configuring authentication methods in Internet Information Services (IIS). Windows SharePoint Services uses the authentication method you specify for a virtual server in IIS to control authentication for all top-level Web sites and subsites of that virtual server. Windows SharePoint Services works with the following authentication methods in IIS:

  • Anonymous authentication
  • Basic authentication
  • Integrated Windows authentication
  • Certificates authentication (SSL)

You can change authentication methods for virtual servers hosting Web sites based on Windows SharePoint Services, and you can change the authentication method used for the SharePoint Central Administration site. You can also enable Secure Sockets Layer (SSL) security in IIS to help protect your sites or the administration port for your server.

About changing authentication methods

Each virtual server can use a different authentication method in Internet Information Services (IIS). You can even enable multiple authentication methods if you are using the same Web site content in more than one environment. For example, if you have a Web site that is primarily for internal use within your organization, you would most likely choose Integrated Windows authentication. If, however, your use of the site changes, and you must allow your organization's members to access the site externally through a firewall, you might also want to enable Basic authentication.

Note Basic authentication is less secure than Integrated Windows authentication. For this scenario, it is recommended that you use Basic authentication with SSL to help make your environment more secure.

When you change authentication methods in IIS, you do not need to change any settings in Windows SharePoint Services. For example, if you decide to use Integrated Windows authentication instead of Basic authentication, you make the change only in IIS.

Related Topic

Change authentication methods


Configure online presence information

Configure online presence information
  1. On the SharePoint Central Administration page, in the Virtual Server Configuration section, click Configure virtual server settings.
  2. On the Virtual Server List page, click the name of the virtual server you want to configure.
  3. In the Virtual Server Management section, click Virtual server general settings.
  4. In the Person Name Smart Tag and Presence Settings section, select Yes.
  5. Click OK.


About managing and customizing search

About managing and customizing search

Microsoft Windows SharePoint Services enables users to search all Web site content on a server or server farm. Windows SharePoint Services offers a broader search capability than that offered in SharePoint Team Services 1.0 from Microsoft. In SharePoint Team Services, searching was implemented by using Internet Information Services (IIS) catalogs. This limited search to documents on the file system; users were not able to search through lists, such as tasks and contacts, or through discussion board items. Because all site information, including documents is now stored in a database, search in Windows SharePoint Services allows searching of all site content.

  • If you have Microsoft Office SharePoint Portal Server 2003 installed, you can use the search features included with SharePoint Portal Server to search your Web sites from a portal site.
  • If you are running Microsoft SQL Server 2000, Windows SharePoint Services uses the SQL Server 2000 full-text searching features to search for Web site content.

Search features are only available for Windows SharePoint Services with SQL Server 2000. If you are running Microsoft SQL Server Desktop Engine (Windows) 2000 (WMSDE), no search features are available.

Understanding Search in Windows SharePoint Services

Search is available per server or server farm. This means that search is either turned on or off for all top-level Web sites and subsites in your server or server farm. If search is not enabled, the search links do not appear in the Web sites that reside on that virtual server.

Search can query most lists and all document libraries on your site. Search cannot query lists of lists such as the Quick Launch bar or surveys. Users can search the entire site or a single list within the site. For example, you can search for a particular contact in the Contacts list.

Searching with SQL Server 2000

If you are using SQL Server 2000, you can enable full-text searching for your Web sites. SQL Server 2000 full-text searching is a good solution for searching Windows SharePoint Services Web sites in small or medium organizations; however, SQL Server 2000 full-text searching does not scale well to large server farms. Search catalogs can use up to 40 percent of the hard disk space that data uses. There is a hard limit of 256 search catalogs per server. In addition, you encounter performance issues when you reach 1 million rows in the search catalog table. If you are running a large server farm, it is not recommended that you offer search features for all of the Web sites in your server farm. Consider adding search for premium customers if you are an Internet service provider (ISP) or Application service provider (ASP), or for only a limited number of sites if you are hosting Web sites based on Windows SharePoint Services inside a large organization.

SQL Server 2000 full-text searching supports only one language for each database. If you are supporting Windows SharePoint Services Web sites in several languages and you want to enable full-text searching in those languages, consider hosting each language on a separate virtual server with a separate database per language.

SQL Server 2000 uses language resources on full-text search catalogs. The following list includes the languages for which language resources are available:

  • Neutral
  • Dutch
  • English (UK)
  • English (US)
  • French
  • German
  • Italian
  • Japanese
  • Korean
  • Simplified Chinese
  • Spanish (Modern Sort) - Spain
  • Swedish
  • Traditional Chinese
  • Thai

The neutral language resources package is provided for use with languages not on this list.

When you enable full-text searching in Windows SharePoint Services, an empty catalog is created by default and named ix_databasename. SQL Server 2000 then indexes the existing site content and adds content to this catalog as it is added to your new Web site. Aside from enabling and disabling full-text search, any search management or monitoring must be done from within SQL Server 2000 with the SQL Server administration tools.

Related topic

Integrate with search and portal products

See Also

SharePoint Portal Server Help documentation
SQL Server 2000 documentation
SQL Server Books Online system


Specify content database settings

Specify content database settings

Specify a default content database server

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Server Configuration, click Set default content database server.
  3. In the Content Database Server section, type the database server name.

    If you are using Microsoft SQL Server authentication, you must also supply the administrator account user name and password.

  4. Click OK.

Create a new content database for a virtual server

You can create multiple content databases for each virtual server. There are two situations in which you create a new content database: when you extend a new virtual server and when your other content databases are getting full. You use a different method to create the content databases in each of these cases.

To create a content database when you extend a virtual server, use the Extend Virtual Server page. For information about extending a virtual server and creating a content database, see About extending a virtual server.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server that you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Manage content databases.
  5. On the Manage Content Databases page, under Content Databases, click Add a content database.
  6. In the Database Information section, select either Use default content database server or Specify database server settings.

    If you select Specify database server settings, type the database server name and database name. If you are using SQL Server authentication, you must also supply the administrator account user name and password.

  7. In the Database Capacity Settings section, type a number in the Number of sites before a warning event is generated box.
  8. Type a number in the Maximum number of sites that can be created in this database box.
  9. Click OK.

Change settings for a content database

You can also change database connection settings and warning and maximum site levels for a content database.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server that you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Manage content databases.
  5. On the Manage Content Databases page, under Content Databases, click the database that you want to change.
  6. To change database status, in the Database Status box, select Ready or Offline.
  7. To change the number of sites allowed for a content database, in the Database Capacity Settings section, type a new warning and maximum number.
  8. Click OK.

Remove a content database

Note that when you remove a content database, the site data stored in that database is not deleted. You can reconnect to the content database later to restore the sites.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server that you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Manage content databases.
  5. On the Manage Content Databases page, under Content Databases, select the database that you want to change.
  6. On the Manage Content Database Settings page, in the Remove Content Database section, select the Remove content database check box.
  7. Click OK.

You can reconnect to a content database that you have removed by adding it again. To reconnect to an existing content database, use the same database server and database name.


Manage unused Web sites

Manage unused Web sites

You manage unused Web sites at the virtual server level by using the Configure Site Collection Use Confirmation and Auto-Deletion page in SharePoint Central Administration. You must be an administrator on the server computer or a member of the SharePoint Administrators group to access this administration page. By default, both site use confirmation and automatic deletion are turned off.

Open the Configure Site Collection Use Confirmation and Auto-Deletion page

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server that you want to configure.
  4. On the Virtual Server Settings page, under Automated Web Site Collection Management, click Configure site collection use confirmation and deletion.

Enable and configure e-mail confirmation notices

By default, site use confirmation is turned off. To require confirmation of use, you can specify the interval to wait before sending the first notification, and how frequently to continue sending notifications if site use is not confirmed. Notices are sent to the e-mail address specified in the site for the site owner and the secondary owner (if a secondary contact has been identified).

  1. On the Configure Site Collection Use Confirmation and Auto-Deletion page, in the Confirmation and Automatic Deletion Settings section, select the Send e-mail notifications to owners of unused site collections check box.
  2. In the Start sending notifications ___ days after site collection creation, or use is confirmed box, type the number of days to wait before sending notifications after the site is created or use is confirmed.

    For example, if you specify 60 days, when a user creates a site, the first notification will be sent after 60 days. If the user confirms that the site is in use at that time, another 60 days will pass before the user gets another notification.

  3. In the Check for unused site collections, and send notices ____ and run the check at ____ boxes, specify daily, weekly, or monthly, and then specify the time of day to run the check.
  4. Click OK.

You must enable and configure e-mail confirmation notices before you can enable automatic deletion.

Enable and configure automatic deletion

  1. Enable and configure e-mail confirmation notices.
  2. Select the Automatically delete the site collection if use is not confirmed check box.
  3. In the Delete the web after sending ___ notices box, specify how many e-mail notifications to send before deleting the site.
  4. Click OK.

Related Topic

About checking site usage


Manage HTML Viewers

Manage HTML Viewers
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. In the Server Configuration section, click Configure HTML Viewer.
  3. Select the Allow HTML Viewing check box.
  4. In the Path to HTML Viewer Server box, type the full URL to the server hosting HTML viewing.
  5. In the Maximum Cache Size box, type the maximum size to allow for the HTML viewing cache.
  6. In the Maximum File Size box, type the maximum file size to view.
  7. In the Timeout Length box, type the length of time to wait before ending an HTML Viewer process.
  8. Click OK.


About managing unused site collections

About managing unused site collections

In Microsoft Windows SharePoint Services, new administrative options allow you to automatically send notices to site collection owners requiring them to confirm that their sites collections are in use. You can also delete unconfirmed site collections automatically. These features give you a way to control the number of unused Web sites on your server.

Use confirmation is similar to alerts. When you create a site collection, Windows SharePoint Services adds it to the database and logs it as an active site. After a specified time, Windows SharePoint Services sends the site collection owner an e-mail notification asking the owner to either reactivate or delete the unused site collection. The e-mail notification contains links to confirm that a site collection is active or to delete a site collection. After Windows SharePoint Services sends the notification, there are three possible outcomes:

  • If the site is in use, the site collection owner confirms that the site collection is active and Windows SharePoint Services preserves the site collection. When the owner clicks the confirmation link, the certification date of the site is renewed.
  • If the site collection is not in use, the owner can delete the site collection by following the instructions in the e-mail notification, or do nothing. The owner continues to receive periodic e-mail notifications according to the interval specified by the virtual server administrator until the owner confirms that the site collection is in use or deletes the site collection.
  • If the site collection is not in use, and you turn on the automatic deletion feature, Windows SharePoint Services queries the site collection owner a specific number of times. If the site collection owner does not confirm site collection use, Windows SharePoint Services automatically deletes the site collection.

You can use automatic deletion to delete unneeded site collections without any administrative intervention and without any backup mechanism. To prevent a site collection from being deleted without any notification, you must turn on site collection use confirmation before you can turn on automatic deletion. Also, Windows SharePoint Services must always send the site collection owner mat least two confirmation notices before deleting a site collection. You can configure automatic deletion from SharePoint Central Administration pages or from the command line. For more information, see the Windows SharePoint Services Resource Kit. In addition to these basic safeguards included as defaults, it is recommended that you consider the following best practices:

  • Require a secondary contact when users create site collections.

    By default, the site collection creator is listed as site collection owner. Depending on your configuration, the user must also specify a secondary contact for the site collection. Windows SharePoint Services automatically sends confirmation notifications to the site collection owner and the secondary contact, if one exists.

  • Set reasonable intervals between confirmations and before automatic deletion.

    For example, if a site collection owner is unavailable for four weeks, and Windows SharePoint Services deletes site collections after four missed weekly confirmations, Windows SharePoint Services may delete the site collection without allowing the owner a chance to confirm usage. If you enable this feature inside a corporation, make sure you consider your organization's policies regarding vacations and leaves of absence when you configure the intervals for confirmation and deletion.

  • Back up site collections regularly, so you can restore a recent copy if Windows SharePoint Services deletes a site collection unintentionally.

    For example, if you configure confirmation and automatic deletion to happen on the fifth day of each month, back up your server on the fourth day. To automate this process, create a stored process in Microsoft SQL Server to check the sites table and automatically back up any items scheduled for deletion.

Configuring site collection use confirmation and deletion

It is recommended that you configure the following settings to control how much time elapses between site collection usage confirmation and automatic deletion:

  • When to begin sending site collection use confirmation notices

    The initial notification value controls when Windows SharePoint Services sends the first confirmation notice to a site collection. This value does not control the frequency of notifications, only the number of days to wait before the first notification.

  • How frequently to check for site collections needing confirmation and how frequently to send out notifications

    The frequency value affects both how often Windows SharePoint Services checks the server and how often Windows SharePoint Services sends confirmation notices. If you set the frequency to weekly, Windows SharePoint Services checks the server weekly, and Windows SharePoint Services also sends notifications weekly, immediately after checking the server.

  • What time to perform the check and to send out notifications

    Change this time to suit your environment. For example, if most of your users are online and use the server during the day, pick a time during the night when the server is not as busy.

  • How many notifications to send before allowing automatic deletion

    Adjust this number to ensure site collection owners receive notification before Windows SharePoint Services deletes a site collection. The number of notifications also depends on the frequency, so if you specify daily checks, with thirty reminders before deletion, Windows SharePoint Services notifies the site collection owner every day for a month before deleting the site collection.

Configure these times according to the requirements of your organization. In a large organization, where users may need long term storage of data, specify longer intervals. For example, send notifications at 180 days, notify every month, and delete after six months without a confirmation. If you host free sites for customers, you may choose to shorten these intervals. For example, send notifications at 45 days, notify weekly, delete after four weeks. If you host paid sites for customers, you may not use this feature, unless you have an automated backup strategy that allows you to restore sites on request.

The following table shows each of these settings as you see them on the Configure Site Collection Use Confirmation and Auto-Deletion page and the default and minimum values.

Setting | Default value | Minimum value
Start sending notifications ___ days after site collection creation, or use is confirmed | 90 days | 30 days
Check for unused site collections, and send notices <Daily Weekly Monthly> and run the check at <time> | Weekly 12:00 AM | Daily
Delete the site collection after sending ___ notices | 4 | Daily minimum: 28 Weekly minimum: 4 Monthly minimum: 2

In a scenario using the default values above, Windows SharePoint Services sends the first notice at 90 days. Windows SharePoint Services sends additional notices every week for five additional weeks. On the sixth week after the initial notification, if the site collection owner or secondary contact does not confirm site collection usage, Windows SharePoint Services deletes the site collection. If at any point the site collection owner or secondary contact confirms site collection usage, Windows SharePoint Services resets the count, and does not send another e-mail notification for 90 days.

Note If for any reason Windows SharePoint Services cannot send the e-mail notification, then Windows SharePoint Services does not increment the count. For example, if Windows SharePoint Services sends three notices, and fails to send the fourth notification, the count is not incremented until such time as Windows SharePoint Services successfully sends the fourth notice.

Microsoft SharePoint Timer service performs timed jobs such as the confirmation and automatic deletion feature. The times and intervals you specify here follow the same rules as any other job performed by using the SharePoint Timer service in Windows SharePoint Services.

Related Topics

About enabling Self-Service Site Creation
Schedule timed jobs


Approve or reject an item

Approve or reject an item

Note To complete the steps listed below, you must be a site administrator or a member of a site group with the Manage Lists right.

  1. On the page displaying the list or library for which you want to approve or reject items, click Approve/reject Items.
  2. Point to the item you want to approve or reject, click the down arrow on the menu that appears, and then click Approve/reject.
  3. Click on either Approve, Reject, or Pending.
  4. Type a comment (optional) explaining why you approved, rejected, or left the item pending.
  5. Click OK.

Related Topics

About content approval


About backing up the configuration and content databases

About backing up the configuration and content databases

In Microsoft Windows SharePoint Services, all server and site configuration information is stored in the configuration database, and all site content is stored in content databases. If you want to back up all the Windows SharePoint Services information on your server or server farm, you must back up these databases by using the Microsoft SQL Server 2000 backup and restore tools.

Notes

  • You must be running SQL Server 2000 SP3 to back up and restore the databases used by Windows SharePoint Services. If you are running Microsoft SQL Server Desktop Engine (Windows) 2000 (WMSDE), you can use the client tools for SQL Server 2000 to back up and restore WMSDE databases, but there is no provision for backing up and restoring from WMSDE itself.
  • To back up and restore the configuration and content databases, you must be logged on using an account that is a member of the db_admin role in SQL Server.

Note You can also back up and restore individual Web sites that are hosted on your server or server farm. This backup and restore method is not dependent on the type of database that you are using. You can perform this backup and restore even if you are running WMSDE instead of SQL Server 2000.


Configure a virtual server

Configure a virtual server
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. In the Virtual Server Configuration section, click Configure virtual server settings.
  3. On the Virtual Server List page, click the name of the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  5. In the Default Time Zone section, select the time zone to use for all sites and subsites under the virtual server.
  6. In the Default Quota Template section, select the quota template to use as a default for sites.

    If there are no quota templates, you can create a template by using the Manage Quota Templates page. Note that when you specify a default template for the virtual server, you can still select a different template when you create a site.

  7. In the Person Name Smart Tag and Presence Settings section, select Yes or No next to Enable Person Name Smart Tag and Online Status for Members to show that information for all sites under the virtual server.
  8. In the Maximum Upload Size section, type the maximum file size to allow.
  9. In the Alerts section, specify settings for alerts:
    • Select On or Off to allow or disallow alerts for all sites under this virtual server.
    • If you choose to allow alerts, and want to limit the number of alerts that users can create, enter a value under Maximum number of alerts that a user can create. To allow an unlimited number of alerts, select Unlimited number.
  10. In the Web Page Security Validation section, specify the following settings:
    • Select On or Off to allow or disallow Web page security validation.
    • To set the expiration time, select After, and then type the length of time to wait before the security validations expire, or select Never to keep the validations from expiring.
  11. In the Send User Name and Password in E-Mail section, select Yes or No to allow or disallow this option.
  12. In the E-Mail Enabled Document Libraries section, specify the option to allow attachments to be inserted:
    • Select Yes or No to allow or disallow e-mail attachments.
    • In the Public folder server and root path box, type the name of the computer running Microsoft Exchange Server and the path to the root folder for Exchange Server public folders on that server.
    • If you choose to allow e-mail attachments, specify the frequency and times to check for e-mail attachments in the public folder.
  13. In the Event Handlers section, select On or Off to allow or disallow event handlers. When this feature is enabled, you can write code to handle events, and then specify the code to use for a particular document library in the document library settings.
  14. Click OK.

Related Topic

About virtual server configuration settings


Create a site

Create a site

Follow the steps in the sections below to create a site.

Create a site under the current Web site

Note The Create Subsite right must be assigned to your site group for you to complete these steps. You have this right automatically if you are a member of the Administrator site group.

  1. On the top link bar, click Create.
  2. In the Web Pages section, click Sites and Workspaces.
  3. In the Title and Description section, type a name and description for the new site.
  4. In the Web Site Address section, type the Web address (URL) that users will type to go to the new site.

    Note The first part of the address is provided for you.

  5. In the Permissions section, specify whether you want the site to use the same accounts and site groups information as the current Web site.
  6. Click Create.
  7. On the Template Selection page, click the type of site that you want to create and then click OK.

Note If you enable unique permissions, a copy of the parent site's user accounts and site groups remain with the subsite. You can then delete any accounts and site groups that you don't want and add new ones as needed. The subsite will also retain the same site group setting for anonymous (guest) users as the parent site, unless you specify a different site group.

Create a top-level Web site by using Self-Service Site Creation

Note The Use Self-Service Site Creation right must be assigned to your site group for you to complete these steps. By default, members of the Reader, Contributor, Web Designer, and Administrator site groups have this right. Before anyone can use these steps, an administrator must first enable Self-Service Site Creation in the SharePoint Central Administration pages.

  1. Go to the top-level site in the site collection.

    If you are in a subsite, click the Up to parent_site_name link on the top link bar to navigate to the parent site. Repeat this step until you reach the top-level site.

  2. On the home page of the top-level site, click Announcements.
  3. Click the announcement titled Self-Service Site Creation.

    Note If the announcement isn't in the list, contact your server administrator to get the address (URL) of the Self-Service Site Creation page.

  4. In the body of the message, click the link to the Create Web Site page.
  5. In the Title and Description section, type a name and description for the new site.
  6. In the Web Site Address section, type the Web address (URL) that users will type to go to the new site.

    Note The first part of the address is provided for you.

  7. In the Your E-mail Address section, type the e-mail address that you want to use for receiving alerts about this site.
  8. In the Language section, select the language to use for the new Web site.
  9. Click OK.
  10. On the Template Selection page, click the type of site that you want to create, and then click OK.

Create a top-level Web site from SharePoint Central Administration

  1. On the server running Microsoft Windows SharePoint Services, click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Virtual Server Configuration, click Create a top-level Web site, and then under Current Virtual Server section, click Choose Virtual Server. On the Virtual Server List Page, click the virtual server you want.
  3. Do one of the following:

    Create a site under a predefined URL path

    1. On the Create Top-Level Web Site page, in the Site Name and URL Path section, select Create site under this URL.
    2. In the Site name box, type the name for the top-level Web site.
    3. In the URL path box, select the path to use.

      The name and URL path are combined with the server name to create the full URL to the site. For example, if you create a top-level Web site on http://servername under the /sites URL path and use Site001 as the name, the full path to the new top-level Web site is http://servername/sites/site001.

    Create a site at a predefined URL path

    • On the Create Top-Level Web Site page, in the Site Name and URL Path section, select Create site at this URL.
    • In the URL path box, select the URL to use for the top-level Web site.

      The site is created at the top level of the URL path you select. For example, if you create a top-level Web site on http://servername, at the /portal URL path, the full path to the new site is http://servername/portal.

  4. In the Site Collection Owner section, type the user name (in the form DOMAIN\username) and e-mail address (in the form someone@example.com) for the user who will be the site owner and administrator.
  5. If you want to identify a user as the secondary owner of the new top-level Web site (recommended), in the Secondary Owner section, type the user name and e-mail address for a secondary owner and administrator of the new site.
  6. If you are using quotas, in the Quota Template section, select a quota template to use.
  7. In the Site Language section, select the language to use for the top-level Web site.
  8. Click OK.

    The site owner can select a template for the site when he or she first browses to the URL, or you can browse to the URL on the confirmation page and select a template for the site yourself. You must send an e-mail message that includes the URL of the new site to the site owner and secondary owner when you have created the site. They are not notified automatically when you create a site.

    Create a site from the command line

    You can use the createsite operation to create a top-level Web site. The createsite operation takes the following required parameters (url, ownerlogin, owneremail, and ownername) and the following optional parameters (lcid, webtemplate, title, and description). For example, to create a top-level Web site called site1 on http://myserver/sites, you would use syntax similar to the following:

                stsadm.exe -o createsite -url http://myserver/sites/site1
 -ownerlogin <DOMAIN\user> -owneremail <someone@example.com>
 -ownername <full name>

    You can use the createweb operation to create a subsite. The createweb operation requires the url parameter and takes the following optional parameters: lcid, webtemplate, title, description, convert (used to convert an existing folder to a Web site), unique (used to specify unique permissions for the subsite), and anonaccess (used to enable anonymous access for the subsite). To create a subsite called subsite1 under the site you just created, you would use syntax similar to the following:

                stsadm.exe -o createweb -url http://myserver/sites/site1/subsite1

    Related Topics

    About enabling Self-Service Site Creation


Specify configuration database settings

Specify configuration database settings

Create a configuration database after setting up Microsoft Windows SharePoint Services using the remotesql=yes command line parameter

  1. When Setup finishes, the Configure Admin Virtual Server page appears.
  2. In the Application Pool section, select Use an existing application pool or Create a new application pool.
    • If you selected Use an existing application pool, select the application pool to use. You must then restart Internet Information Services (IIS) for the change to take effect.
    • If you selected Create a new application pool, under Application pool name, type a name for the application pool. Under Select a security account for this application pool, select a type, and then enter the required information. You must then restart Internet Information Services (IIS) for the change to take effect.

      Note that if you select Configurable, you must specify an account that is a member of the Security Administrators and Database Creators roles for the Microsoft SQL Server database. It is recommended that you use a dedicated account for this account, rather than a user's logon account, and that you use the same account for each application pool that hosts the same content.

    • Click OK.

    After you configure the administrative virtual server, you must restart IIS by typing iisreset on the command line. After you reset IIS, you can click the link on the Application Pool Changed page to continue configuring Microsoft Windows SharePoint Services.

    Note To complete this procedure, you must be logged on as a member of the Administrators group on the local computer, or you must be logged on using an account that is both a member of the SharePoint administrators group and that has been granted permissions to administer IIS.

  3. After IIS has been restarted, on the Application Pool Changed page, click OK.
  4. On the Set Configuration Database Server page, in the Configuration Database section, type the server name and database name to use.
  5. Under Database connection type, select Use Windows authentication (recommended security level) or Use SQL authentication (less secure).

  6. If you selected Use SQL authentication (less secure), you must also type the database account user name and password.

  7. In the Active Directory Account Creation section, select one of the following options:
    • If you are using a Microsoft Windows domain, select Users already have domain accounts. Do not create active directory accounts.
    • If you are using Microsoft Active Directory directory service outside of a Windows domain, select Automatically create active directory accounts for users of this site.

  8. If you selected Automatically create active directory accounts for users of this site, you must fill in the Active Directory Domain and Organization Unit information.

  9. Click OK.

Connect to a configuration database

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Server Configuration, click Set configuration database server.
  3. In the Configuration Database section, type the server name and database name for the existing configuration database.
  4. Under Database connection type, select Use Windows integrated authentication (more secure, recommended) or Use SQL authentication (less secure).

  5. If you selected Use SQL authentication (less secure), type the database account user name and password.

  6. Select the Connect to existing configuration database check box.
  7. Click OK.

Use the command line to create or connect to a configuration database

You use the same operation on the command line to create or connect to a configuration database. The setconfigdb operation allows you to perform either action, depending on the parameters that you include. The setconfigdb operation takes the following required parameters: databaseserver (ds), databaseuser (du), and databasepassword (dp). (Note that the -du and -dp parameters are required only if you are using SQL Server authentication; they are not used with Windows authentication.) In addition, you can use the following optional parameters: connect, databasename (dn), and hh, which specifies that you are in server farm mode.

To create a new configuration database and specify a name for the database, use the following syntax:

stsadm -o setconfigdb -ds <database server> -dn <database name>
-du <database user> -dp <database user password>

For example, to create a new content database called "config1" at http://mydomain, on the Sql_02 database server, using Windows authentication, type:

stsadm -o setconfigdb -ds mydomain -dn config1

To connect to an existing configuration database, use syntax that is similar to the following:

stsadm -o setconfigdb -connect -ds <database server>
-dn <database name> -du <database user>
-dp <database user password>

Note that the -do and -du parameters in the example above are not required when using Windows authentication.


About options for removing Microsoft Windows SharePoint Services

About options for removing Microsoft Windows SharePoint Services

There are different degrees to which you can remove Microsoft Windows SharePoint Services. Depending on your needs, you can choose from the following options:

  • Remove Windows SharePoint Services from a virtual server and preserve the site content.

    You can choose to remove Windows SharePoint Services, but keep the site content in the content database. This allows you to extend the virtual server again later and reconnect to the site content. If you leave the content databases intact, you can reconnect to them, from the same virtual server or from a different virtual server, and continue hosting the site content using the same URL. Use this method to temporarily remove and then restore a virtual server, or to change which virtual servers are hosting which content in a server farm setting.

  • Remove Windows SharePoint Services from a virtual server and delete the site content.

    You can choose to remove Windows SharePoint Services and delete the site content in the database. Use this method to remove a virtual server permanently, but continue using Windows SharePoint Services on other virtual servers. For example, use this method if you are finished with a project and no longer need the associated Web sites.

    Caution When you use this method, you cannot reconnect to the site content later. If you choose to delete the content databases, you are permanently deleting the site content, and cannot recover the site data except from a backup.

  • Remove Windows SharePoint Services completely from a server.

    You can choose to remove Windows SharePoint Services by using the Add or Remove Programs in Control Panel. This method does not delete site content. You can reinstall and reconnect to the site content. Use this method to repair an installation or to remove a front-end Web server from a server farm.

All of these methods leave the virtual server or server in a clean state, ready to be used for other Web sites or applications; however, each method affects the content and configuration databases in a different way.

The most secure approach to removing Windows SharePoint Services is to combine two of the preceding methods: First remove Windows SharePoint Services and the associated site content from each virtual server, and then remove Windows SharePoint Services completely from the server computer.

Related Topics

Remove Windows SharePoint Services

See Also

Microsoft Windows SharePoint Services Administrators Guide


Extend a virtual server

Extend a virtual server

Before extending a virtual server, you must first make sure that you've created it in Internet Information Services (IIS). Also, if you are adding a server to a farm, you must connect the content database to the virtual server before extending.

Note To complete this procedure, you must be logged on as a member of the Administrators group on the local computer, or you must be logged on using an account that is both a member of the SharePoint administrators group and that has been granted permissions to administer IIS.

Create a virtual server in IIS

If you are adding a new virtual server to an existing server, you must create the virtual server in IIS first. To do this, create a folder on your hard disk (usually under the \Inetpub folder) to store the virtual server's files and then add the virtual server in IIS.

How?

  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Click the plus sign (+) next to the server name to which you want to add a virtual server.
  3. Right-click the Web Sites folder, click New, and then click Web site.
  4. Click Next.
  5. In the Description box, type the description of your virtual server, and then click Next.
  6. In the Enter the IP address to use for this Web site box, select the IP address that you want to use, or use the default (All Unassigned).
  7. In the TCP port this Web site should use (Default: 80) box, type the port number to assign to the virtual server.

    You do not need to assign a host header, because Microsoft Windows SharePoint Services handles the hosting.

  8. Click Next.
  9. In the Path box, type (or browse to) the path on your hard disk where the site content will reside.
  10. To disallow anonymous access to your virtual server, clear the Allow anonymous access to this Web site check box.
  11. Click Next.
  12. On the Permissions panel, select the permissions to use, and then click Next.

    The default permissions, Read and Run Scripts (such as ASP), are recommended. Windows SharePoint Services adds the Execute (such as ISAPI applications or CGI) permission automatically to the appropriate folders.

  13. Click Finish.

For more information about creating Web sites on servers running the Microsoft Windows Server 2003, see Help for IIS.

Connecting to a configuration database (server farm only)

If you are adding a server to a server farm, and provisioning the first virtual server for that server, you must connect to the configuration database for your server farm before you can extend the virtual server. To connect to a configuration database, use the Set Configuration Database Server page. For more information, see Specifying configuration database settings. After you have connected to the configuration database, you can extend the virtual server.

Remove FrontPage Server Extensions (if installed)

Note If you wish to preserve the content from your FrontPage 2002 Server Extensions-based site, use the Microsoft SharePoint Migration tool (smigrate.exe) to migrate the content to your new Windows SharePoint Services-based site before uninstalling. For information on smigrate, see About migrating Web sites.

  1. Click Start, and then click Run.
  2. In the Run window, type cmd and then click OK.
  3. Change to the directory where FrontPage Server Extensions are installed. For example:

    cd ..\..\program files\common files\microsoft shared\web server extensions\50\bin

  4. Type the owsadm.exe command to uninstall FrontPage Server Extensions:

    owsadm.exe -o fulluninstall -p <port number>

    Where "<port number>" represents the port number used by the virtual server running FrontPage Server Extensions.

Extend and create a content database by using SharePoint Central Administration

  1. On the SharePoint Central Administration page, click Extend or upgrade virtual server.
  2. On the Virtual Server List page, click the name of the virtual server to extend.
  3. On the Extend Virtual Server page, in the Provisioning Options section, select Extend and create a content database.
  4. In the Application Pool section, select either Use an existing application pool or Create a new application pool.

    Notes

    • When using Windows SharePoint Services with SharePoint Portal Server, re-use the MSSharePointPortalServerAppPool application pool created by SharePoint Portal Server. This application pool can be managed by clicking on Configure Server Farm Account Settings in SharePoint Portal Server Central Administration.
    • In most other installations, it is recommended that you create a new application pool for each virtual server, so that they run in separate processes. This application pool should use a domain account, but it does not need to have database creation rights in Microsoft SQL Server — the administration virtual server account creates any databases that are required.

  5. If you selected Use an existing application pool, select the application pool to use. If you selected Create a new application pool, type the new application pool name, user name, and password to use.

  6. In the Site Owner section, in the User name box, type the user name for the site owner (in the format DOMAIN\username if the username is part of a Windows domain group).
  7. In the E-mail box, type the e-mail address that corresponds to the account.
  8. In the Database Information section, type the following database connection information or select the Use default content database server check box:
    • In the Database server box, type the server name for your server computer.
    • In the Database name box, type the name to use for your content database.
  9. To specify a path for the URL, in the Custom URL path box, type the path to use.
  10. If you are using quotas, select a template in the Select a quota template box of the Quota Settings section.
  11. In the Site Language section, select the language to use.
  12. Click OK.

The virtual server is extended, a site is created at the root of the virtual server, and the browser window returns to the Virtual Server Settings page, where you can configure default settings for new top-level Web sites.

When you connect to an existing content database, you do not need to create a top-level Web site. After you extend the virtual server, the virtual server hosts the existing sites in the database.

Extend and connect to an existing content database by using SharePoint Central Administration

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Click Extend or upgrade virtual server.
  3. On the Virtual Server List page, click the virtual server that you want to extend.
  4. On the Extend Virtual Server page, click Extend and connect to existing content database.
  5. On the Extend and Connect to Existing Content Database page, in the Server Mapping section, in the Host name or IIS virtual server name box, select the name of the host or virtual server that you want to use.
  6. In the Application Pool section, select either Use an existing application pool or Create a new application pool.

    Notes

    • When using Windows SharePoint Services with SharePoint Portal Server, re-use the MSSharePointPortalServerAppPool application pool created by SharePoint Portal Server. This application pool can be managed by clicking on Configure Server Farm Account Settings in SharePoint Portal Server Central Administration.
    • In most other installations, it is recommended that you create a new application pool for each virtual server, so that they run in separate processes. This application pool should use a domain account, but it does not need to have database creation rights in Microsoft SQL Server — the administration virtual server account creates any databases that are required.

  7. If you selected Use an existing application pool, select the application pool to use. If you selected Create a new application pool, type the new application pool name, user name, and password to use.

  8. Click Submit.

The virtual server is extended and can now provide the same content as the other virtual servers pointing to that content database. You can add a new top-level Web site to the virtual server if you need to, and it will be hosted by any virtual server that is connected to the content database.

Extending a virtual server from the command line

You can extend virtual servers from the command line by using the extendvs operation. The extendvs operation allows you to extend a virtual server and either connect to an existing content database or create a new content database, specify the language for the top-level Web site, and specify a template to use for the top-level Web site. The extendvs operation takes the following required parameters: url, ownerlogin, owneremail and the following optional parameters: ownername, databaseserver (ds), databaseuser (du), databasepassword (dp), databasename (dn), lcid, sitetemplate, donotcreatesite, apcreatenew, apidname, apidtype, apidlogin, and apidpwd.

The lcid parameter allows you to specify a language to use for the default top-level Web site. For example, to specify U.S. English as the language to use, type -lcid 1033 on the command line. If you do not specify a locale ID (LCID) by using the lcid parameter, the language of the server is used for the default top-level Web site.

The donotcreatesite parameter allows you to extend a virtual server and create a content database without a top-level Web site. Use this parameter when you are setting up a server farm and hosting sites with URLs like http://server_name/site1, http://server_name/site2, and so on. (To use this site naming scheme, you must create a wildcard inclusion for the path under which you create the sites. For more information about inclusions, see About managed paths.)

The sitetemplate parameter allows you to extend a virtual server, create a top-level Web site, and apply a site template to the top-level Web site during site creation. If you do not use the sitetemplate parameter, the site owner can choose a site template when he or she first goes to the site.

To extend a virtual server and use the default content database server and default application pool, use the following syntax:

Stsadm –o extendvs -url <url> -ownerlogin DOMAIN\username -owneremail
 someone@example.com [-ownername <full name>]

To extend a virtual server, specify a content database name and server, and create a new application pool, use the following syntax:

stsadm -o extendvs -url <url> -ownerlogin DOMAIN\user -owneremail
 someone@example.com [-ownername <full name>] -ds <database server name>
 [-du <database user name> -dp <password>] -dn <database name>
 -lcid <lcid> -sitetemplate sts -apcreatenew -apidname <application pool name>
 -apidtype <configurableid/NetworkService/LocalService/LocalSystem>
 -apidlogin <DOMAIN\name> -apidpwd <password>

Note that you do not need the -du and -dp parameters if you are using Windows authentication to connect to the SQL Server databases.

To extend a virtual server and create a new application pool, use the following syntax:

stsadm -o extendvs -url <url> -ds <database server name>
 [-du <database user name> -dp <password>] -dn <database name>
 -ownerlogin <owner login as DOMAIN\username> -owneremail <e-mail address
 as someone@example.com> -ownername <owner's full name as "Owner
 Name"> -lcid <lcid>

If you are in a server farm environment, you can use the extendvsinwebfarm operation. The extendvsinwebfarm operation uses the following syntax:

stsadm -o extendvsinwebfarm -url <url> -vsname <virtualservername>
 [-apcreatenew] [-apidname <app pool id>]
 [-apidtype <configurableid/NetworkService/LocalService/LocalSystem>]
 [-apidlogin <app pool user account>]
 [-apidpwd <app pool password>]

Related Topics

Specify configuration database settings
Specify content database settings
Configure a virtual server
Create a site


Manage site quotas and locks

Manage site quotas and locks

Microsoft Windows SharePoint Services allows you to specify quotas for sites, so that you can manage site and server resources. You can create multiple sets of quotas, called quota templates, and use them in different areas of the server farm, or to suit different users. You can use locks to stop sites from exceeding your storage quota limits, and to block all users from accessing a site if necessary.

Create a quota template

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Quota Templates.
  4. On the Manage Quota Templates page, in the Template name area, click Create a new quota template.
  5. In the Template to start from box, select a template to base your new template on.
  6. In the New template name box, type the name to use for your new quota template.
  7. Select the Limit site storage to a maximum of: ___ MB check box, and then type the amount of storage to allow at a maximum.
  8. In the Storage Limit Values section, select the Send warning e-mail when site storage reaches ___ MB check box, and then type the amount of storage to allow before sending a warning e-mail message.
  9. In the Invited User Limits section, select the Limit invited users to a maximum of: ___ users, and then type the number of users to allow.

    Note The user limit option is available only in Active Directory account mode.

  10. Click OK.

    When you click OK, the new template is added to the list of available templates, and the page is refreshed.

Delete a quota template

You can delete a quota template if you change your quota structures. However, remember that deleting a quota template does not delete quota values from sites that were created using the quota template. To remove quotas from all sites using a particular quota template, you must use the object model and perform a SQL Server query.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Quota Templates.
  4. On the Manage Quota Templates page, in the Template name area, click Edit an existing template.
  5. In the Template to modify box, select the quota template you want to delete.
  6. Click Delete.

    When you click OK, Windows SharePoint Services removes the quota template from the list of available templates, and the page is refreshed.

Change an existing quota template

You can change individual quota values in a template. The new values apply only to new top-level Web sites created by using the quota template. Windows SharePoint Services does not apply the changed values to existing sites unless you use the object model to update the values in the database.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Quota Templates.
  4. On the Manage Quota Templates page, in the Template name area, click Edit an existing template.
  5. In the Template to modify box, select the quota template to change.
  6. Update the options you want to change, and then click OK.

    When you click OK, Windows SharePoint Services updates the template, and refreshes the page.

Specifying a quota template for a virtual server

When you extend a new virtual server, you can specify a quota template to use as the default quota template for that virtual server on the Extend and Create Content Database page. Any new top-level Web sites that you create under the virtual server automatically use the values in the default quota template. You can change the default quota template for a virtual server from the Virtual Server Settings page. Changing the default quota template does not change quota values for existing top-level Web sites. Only newly created top-level Web sites use the new quota template.

Change the default quota template for a virtual server

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the name of the virtual server you want to change.
  4. Under Virtual Server Management, click Virtual server general settings.
  5. In the Default Quota Template section, select the quota template to use as the default template when new top-level Web sites are created.
  6. Click OK.

View current quota values and data for a site

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Site Collection Quotas and Locks.
  4. In the Select a top-level Web site section, type the URL in the Enter the top level Web site URL box, and then click View Data.
  5. In the Site Quota Information section, view the settings listed to see the quota settings and current values.

To view the current data for a site, you can also use the Site Collection Usage Statistics Summary page for the top-level Web site.

View quota data for a site

  1. On the site you want to view data for, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Site Collection Administration section, click View site collection usage summary.

Change quota values for a site

After you check the site quota data, you can change the quota values for a site. Note that this action does not change the quota template, and the change does not affect any site except the site you specify.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Site Collection Quotas and Locks.
  4. In the URL of top-level Web site section, type the URL in the Enter the top-level Web site URL box, and then click View Data.
  5. In the Site Quota Information section, change the Limit storage to a maximum of __ MB amount, Send warning e-mail when site storage reaches __MB amount, or Maximum users allowed amount setting.

    Note The user limit option is available only in account mode for Active Directory directory service.

  6. Click OK.

Lock a site manually

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Site Collection Quotas and Locks.
  4. In the URL of top-level Web site section, type the URL in the Enter the top-level Web site URL box, and then click View Data.
  5. In the Site Lock Information section, select Adding content prevented or No access. Choosing No access blocks all access to the site including viewing pages. Choosing Adding content prevented blocks adding new subsites or content, but does not block reading or deleting content.

  6. To add details about the reason for the lock, type an explanation in the Additional lock information: box.

  7. Click OK.

Unlock a site

When a site is locked manually, you can unlock it by using the Site Quota Settings and Locks page.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage Site Collection Quotas and Locks.
  4. In the URL of top-level Web site section, type the URL in the Enter the top-level Web site URL box, and then click View Data.
  5. In the Site Lock Information section, select Not locked, and then click OK.

Related Topic

About quotas and locks


About site templates

About site templates

Members of the Administrator site group and write access to site template gallery can customize a site and save the customized site as a site template, so that other users in the site collection can create similar sites later. When a user creates a new subsite, he or she can choose from the combined list of site templates available on the server or on the site collection. Administrators of a site collection can also import a site template created by another user or software vendor and add the new template to the available site templates in the site collection.

Caution Template files include personal information such as server URLs and user account names. Only share template files with trusted users and groups.

A site template is a file that includes all of the design information about the site, such as:

  • The lists within a site.
  • Any Web Part Pages within a site.
  • Any custom pages within a site.
  • The theme or borders applied to a site.
  • Any customizations to the Quick Launch bar.
  • Site content (list and document library contents — optional).

Site templates do not include the following items:

  • Security settings, such as a list of users or groups with permissions to the site from which the template was created.
  • Web Part customizations made through Modify My Web Part instead of Modify Shared Web Part.
  • Web discussions from the original site.
  • Alerts from the original site.
  • Web Part assemblies that were added to the original site.
  • Custom site templates when you save a top-level web with its content.
  • Subsites underneath the template site.

You must have the Add Item right for the site template gallery in order to create a site template. By default, members of the Web Designer and Administrator site groups for a top-level Web site have this right for the site template gallery. Site templates are stored as files with the .stp extension.

About using site templates

Users can create subsites based on templates available on the server or on the site collection. When the user creates a subsite, he or she chooses a template from templates available on the Template Selection page. This page shows all templates available on the server and site collection, filtered by the language that was selected on the Create Subsite page. Although the new subsite is based on the template, you can customize it, just like any other site.

Managing the central template gallery

There is a centralized store of site templates called the central template gallery. This gallery is managed for your entire server or server farm, and can only be managed by using the command-line tool, Stsadm.exe. You must be a member of the local administrators group for the server computer to manage the central template gallery.

See Also

Microsoft Windows SharePoint Services Administrators Guide


Upgrade a server or virtual server

Upgrade a server or virtual server

To upgrade your server to Microsoft Windows SharePoint Services, run Setupsts.exe. Running Setupsts.exe upgrades your server and the default virtual server. If you have additional virtual servers to upgrade, you can upgrade each virtual server individually by using the upgrade operation with the Stsadm.exe command-line tool.

How?

  1. Click Start, point to All Programs, point to Accessories, and then click Command Prompt.
  2. Navigate to the C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\Bin folder.
  3. Type stsadm.exe -o upgrade -url <URL>, where <URL> is the URL of the virtual server you want to upgrade.

Extending a virtual server that is already running Microsoft FrontPage 2002 Server Extensions

If you have an existing virtual server running FrontPage 2002 Server Extensions that you would like to upgrade to Windows SharePoint Services, you must uninstall FrontPage Server Extensions and then extend the virtual server. If you wish to preserve the content from your FrontPage 2002 Server Extensions-based site, use the smigrate.exe tool to migrate the content to your new Windows SharePoint Services-based site before uninstalling. For information on smigrate, see About migrating Web sites.


Specify rights available for site groups

Specify rights available for site groups
  1. On the server computer, click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, in the Virtual Server Configuration section, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to change.
  4. In the Security Settings section, click Manage user rights for virtual server.
  5. Select or clear the box for a specific right to enable or disable it.

    Select or clear the Select All box to enable or disable all rights in the list.

  6. Click OK.


Manage site templates

Manage site templates

Members of the Administrator and Web Designer site groups can customize a site and save the customized site as a site template, so that other users in the site collection can create similar sites later. Administrators of a site collection can also import a site template created by another user or software vendor and add the new template to the available site templates in the site collection.

Caution Template files include personal information such as server URLs and user account names. Only share template files with trusted users and groups.

Create a site template

  1. On the site, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Management and Statistics section, click Save site as template.
  4. In the File name box, type the file name to use for the site template file.
  5. In the Template title box, type the title you want to use for the template in the site template gallery.
  6. In the Template description box, type a description for the site template.
  7. To include the existing site content, select the Include content check box.
  8. Click OK.

You must be a member of the Administrator site group to create a site template.

Manage the site template gallery

You can add or remove site templates in the site template gallery at the site collection level. To manage the site template gallery, go to the Site Administration page for the top-level Web site in a site collection.

When a user creates a site template, Microsoft Windows SharePoint Servicesadds it automatically to the site template gallery for the site collection. To import a site template from an .stp file, do so from the Manage Site Template Gallery page.

Add a template to the site template gallery

  1. On the top-level Web site, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Site Collection Galleries section, click Manage site template gallery.
  4. On the Site Template Gallery page, click Upload Template.
  5. In the Name box, type the path to the template, or click Browse.

    You can upload multiple templates by clicking Upload Multiple Files.

  6. Click Save and Close.

Delete a template in the site template gallery

  1. On the top-level Web site, click Site Settings.
  2. In the Administration section, click Go to Site Administration.
  3. In the Site Collection Galleries section, click Manage site template gallery.
  4. On the Site Template Gallery page, click the Edit icon next to the template name.
  5. On the Site Template Name: Name page, click Delete.

Related Topics

About site templates
Create a site


Configure e-mail settings

Configure e-mail settings

If you want to use an Simple Mail Transfer Protocol (SMTP) server in Microsoft Internet Information Services (IIS) to send outbound e-mail messages from Microsoft Windows SharePoint Services, you must configure the SMTP server to allow anonymous access and to allow e-mail messages to be relayed. You can specify the e-mail settings for Windows SharePoint Services by using either SharePoint Central Administration or the command line.

Configure an SMTP server in IIS for use with Windows SharePoint Services

Note To complete this procedure, you must be logged on as a member of the Administrators group on the local computer, or you must be logged on using an account that is both a member of the SharePoint administrators group and that has been granted permissions to administer IIS.

  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Press the PLUS SIGN (+) next to the server name that contains the SMTP server you want to configure.
  3. Right-click the SMTP virtual server you want to configure, and then click Properties.
  4. On the Access tab, in the Access control section, click Authentication.
  5. On the Authentication dialog box, in the Select acceptable authentication methods for this resource section, verify that Anonymous access is selected.
  6. Click OK.
  7. On the Access tab, under Relay restrictions, click Relay.
  8. In the Select which computer may relay through this virtual server section, select All except the list below.
  9. Click OK to close the Relay Restrictions dialog box.
  10. Click OK to close the Properties dialog box.

Using SharePoint Central Administration to configure e-mail settings

You specify e-mail settings for a server or server farm. You can also specify e-mail settings for a particular virtual server. The virtual server settings override the settings specified on the SharePoint Central Administration pages. Specify virtual server settings when you want a virtual server to use a different SMTP server for alerts than the one specified in the server settings.

Specify e-mail settings for a server or server farm

  1. On the SharePoint Central Administration page, in the Server Configuration section, click Configure e-mail server settings.
  2. In the Outbound SMTP server box, type the name of the Simple Mail Transfer Protocol (SMTP) mail server to use for sending messages.
  3. In the From address box, type the e-mail address from which to send e-mail messages.

    This address appears in the From box of any e-mail messages from the server.

    Note No e-mail messages are sent to this address, so you can use an unmonitored e-mail address if you want.

  4. In the Reply-to address box, type the e-mail address to which users can reply.

    If a user replies to an e-mail message from the server, it is sent to this address. You should use an address that is monitored for the reply-to address.

  5. In the Character set box, select the character set to use.
  6. Click OK.

Specify mail settings for a virtual server

  1. On the SharePoint Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  2. On the Virtual Server List page, click the name of the virtual server you want to configure.
  3. In the Virtual Server Management section, click Virtual server e-mail settings .
  4. In the Mail Settings section, in the Outbound SMTP server box, type the name of the SMTP mail server to use for sending messages.
  5. In the From address box, type the e-mail address from which to send e-mail messages.

    This address appears in the From box of any e-mail messages from the server. No e-mail messages are sent to this address, so you can use an unmonitored e-mail address if you want.

  6. In the Reply-to address box, type the e-mail address to which users can reply.

    If a user replies to an e-mail message from the server, it is sent to this address. You should use an address that is monitored for the reply-to address.

  7. In the Character set box, select the character set to use.
  8. Click OK.

Using the command line to configure e-mail settings

You can also configure e-mail settings from the command line, by using the email operation with Stsadm.exe. The email operation takes the following required parameters:

  • outsmtpserver Outgoing SMTP server
  • outsmtpserver Outgoing SMTP server
  • fromaddress E-mail address from which to send e-mail messages.

    Note fromaddress can be an unmonitored address.

  • replytoaddress E-mail address to which to send replies.

    Note replytoaddress must be a monitored address.

  • codepage Code page to use.

In addition, you can use the optional url parameter to specify settings for a particular virtual server.

The email operation uses the following syntax:

stsadm.exe -o email -outsmtpserver <smtp_server>
  -fromaddress <from address> -replytoaddress <reply-to address>
  -codepage <codepage> [-url <url>]

For example, to configure the e-mail settings to use the server \\SMTP_server_name, and to use someone@example.com as both the from and reply to addresses, you would use syntax similar to the following:

stsadm.exe -o email -outsmtpserver SMTP_server_name
  -fromaddress someone@example.com
  -replytoaddress someone@example.com
  -codepage 65001

To set the http://server_name virtual server to use a different code page, you would use syntax similar to the following:

stsadm.exe -o email -outsmtpserver SMTP_server_name
  -fromaddress someone@example.com -replytoaddress someone@example.com
  -codepage <codepage> -url http://server_name

Related Topic

About configuring e-mail settings


Configure alerts for a virtual server

Configure alerts for a virtual server
  1. On the server that contains the virtual server, click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  5. In the Alerts section, next to Alerts on this server are, click On or Off.
  6. Under Maximum number of alerts that a user can create, specify whether users can have a limited or unlimited number of alerts on the site.
    • If you want to limit the number of alerts users can create, click the option next to the text box and then specify the number of alerts a user can create.
    • If you want users to be able to create as many alerts as they'd like, click Unlimited number.
  7. Click OK.

Important When you remove a user from a site after he or she has create alerts, you must manually delete any alerts that he or she has set up. This is also true for any lists or libraries where you change security settings to limit access. If a user has set up alerts for the list or library, he or she will continue to receive them after you change the security settings. It is important to delete these alerts to prevent unauthorized users from having access to site and user information.

Using the command line to configure alerts

You can manage alerts from the command line by using the GetProperty and SetProperty operations with Stsadm.exe. You can set the following properties to configure how alerts work.

Property | Description
alerts-enabled | Turn alerts on or off.
alerts-limited | Specify whether users are limited to a specific number of alerts.
alerts-maximum | Specify the maximum number of alerts users can create.
job-immediate-notification | Specify how often to check for immediate alerts (in minutes).
job-daily-notification | Specify the time of day (using a 24-hour clock) to send out daily alerts.
job-weekly-notification | Specify the day of the week and time of day (using a 24-hour clock) to send out weekly alerts.

The following example shows the syntax to use to turn off alerts:

stsadm.exe -o setproperty -p <port> -pn alerts-enabled -pv false

Related Topics

About alerts
About managing alerts
Specifying mail settings


Remove Windows SharePoint Services

Remove Windows SharePoint Services

You can remove Microsoft Windows SharePoint Services from a virtual server by using HTML Administration or the command line administration tool. Both of these tools allow you to either preserve or delete content when you remove Windows SharePoint Services.

Remove Windows SharePoint Services from a virtual server by using HTML administration pages

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Remove Windows SharePoint Services from Virtual Server.
  5. On the Remove Windows SharePoint Services from Virtual Server page, select one of the following:
    • Remove without deleting content databases

      This removes only the Windows SharePoint Services folders from the virtual server — the content database remains intact, so you can reconnect to it later using the same virtual server or a different one.

    • Remove and delete content databases

      This both removes the Windows SharePoint Services folders from the virtual server and deletes the content database. You will not be able to reconstruct the sites previously stored on that virtual server unless you have a backup.

  6. Click OK.

Remove Windows SharePoint Services from a virtual server by using the command line

You can use the unextendvs operation with the Stsadm.exe command line utility to remove Windows SharePoint Services from a virtual server. The unextendvs operation takes the -url parameter and the optional -deletecontent parameter. When you use unextendvs without the -deletecontent parameter, it leaves the content databases in place, so that you can reconnect to the content for a virtual server. When you include the -deletecontent parameter, the content databases are removed and the virtual server is removed from the configuration database.

For example, to remove Windows SharePoint Services from a virtual server, but preserve the content databases, use the unextendvs operation with syntax like the following:

stsadm -o unextendvs -url http://servername

To remove Windows SharePoint Services from a virtual server and remove the content databases permanently, use the unextendvs operation with syntax like the following:

stsadm -o unextendvs -url http://servername -deletecontent

When you use the unextendvs operation with the -deletecontent parameter, you cannot reconnect to the site content later.

Uninstall Windows SharePoint Services from the server computer

Note You must be an administrator on the server computer to uninstall Windows SharePoint Services.

If you want to remove Windows SharePoint Services from a server computer entirely, you can uninstall it by using Add or Remove Programs in Control Panel. Uninstalling Windows SharePoint Services does not remove any related products, such as the Microsoft SQL Server Desktop Engine (Windows) 2000 (WMSDE), that were installed. You must uninstall these programs separately.

  1. On the server computer, click Start, click Control Panel, and then click Add or Remove Programs.
  2. Select Windows SharePoint Services, and then click Remove.

Related Topic

About options for removing Microsoft Windows SharePoint Services


About extending a virtual server

About extending a virtual server

Microsoft Windows SharePoint Services uses virtual servers to host Web sites on your server. The process of applying Windows SharePoint Services to a virtual server is called extending. You must extend a virtual server with Windows SharePoint Services before you can create a Web site based on Windows SharePoint Services. When you install Windows SharePoint Services on a single server by using the simple installation method, your default virtual server is extended automatically and a Web site is created. If you are installing Windows SharePoint Services in a more complex environment (for example, hosting multiple sites on a single server, or many sites in a server farm), you must extend each virtual server individually. To extend a new virtual server, perform the following steps:

  1. Create the virtual server in Internet Information Services (IIS).

    Note To complete this procedure, you must be logged on as a member of the Administrators group on the local computer, or you must be logged on using an account that is both a member of the SharePoint administrators group and that has been granted permissions to administer IIS.

  2. If necessary, connect to the configuration database for the server farm.
  3. Extend the virtual server by using SharePoint Central Administration pages or the command line.

How does extending a virtual server interact with the databases?

Windows SharePoint Services relies on databases to store all data for a virtual server, including both configuration settings and site content. When you extend a virtual server and configure a site, you interact with two different databases:

  • Configuration database The configuration database maintains connections between servers and content databases, stores server settings, and identifies which content is to be provided by which virtual servers. There is one configuration database per stand-alone server or per server farm. For more information about the configuration database, see About content and configuration databases.
  • Content database Content databases store data from the sites: both site management data, such as user names and permissions, and content, such as list data and documents from document libraries. You can create as many content databases as you need to support the Web sites on your servers. For a departmental server, you may need only one content database; for a server farm, you may need thousands. For a Web site that is available to members both behind and outside of a firewall (an extranet), you may have one content database linked to two virtual servers with very different URLs. For more information about content databases, see About content and configuration databases.

Before you extend the first virtual server on a server computer, you must create or connect to a configuration database; subsequent virtual servers do not have to be separately registered with the configuration database. When you extend a virtual server, you choose whether to create a new content database or connect to an existing content database.

Connecting to a configuration database (server farm only)

If you are adding a server to a server farm, and provisioning the first virtual server for that server, you must connect to the configuration database for your server farm before you can extend the virtual server. To connect to a configuration database, use the Set Configuration Database Server page. For more information, see Manage the configuration database. After you have connected to the configuration database, you can extend the virtual server.

Extending a virtual server that is already running Microsoft FrontPage 2002 Server Extensions

If you have an existing virtual server running FrontPage 2002 Server Extensions that you would like to upgrade to Windows SharePoint Services, you must uninstall FrontPage Server Extensions and then extend the virtual server. If you wish to preserve the content from your FrontPage 2002 Server Extensions-based site, use the smigrate.exe tool to migrate the content to your new Windows SharePoint Services-based site before uninstalling. For information on smigrate, see About migrating Web sites.

Reasons for extending a virtual server

Generally, you extend a virtual server because you need to add more capacity to your server, whether that server is a departmental server or one of many in your server farm. More capacity can mean either more space for Web site content or more connections to existing Web sites. For example, if you have a site with many visitors, you can have several virtual servers hosting the same content to increase the number of concurrent users that you can support and balance the load for your servers. You can extend a virtual server to do one of the following:

  • Contain new content If you need to provide space for users to create new Web sites, you can extend a new virtual server to contain new content. Note that you can also add space for users by adding more site collections or new content databases to an existing virtual server. For more information about creating top-level Web sites, see About creating sites. For more information about content databases, see Manage the content database.
  • Connect to existing content To have your new virtual server point to a Web site that is already in use, either to allow for more connections to a site or to allow more than one URL to point to a site, you can connect to an existing content database. When you extend a virtual server, you can choose which content database to use. The content databases are actually listed as virtual servers, and the list contains all virtual servers that currently exist on the server (in a single-server setting), or in the server farm. Querying the configuration database generates this list, which is why you must be connected to the configuration database before you can extend a virtual server.

    When you extend and connect to an existing content database, all of the configuration data about the existing virtual server is applied to the new virtual server. Any managed paths are also applied. This means that if virtual server A contains the paths /teams, /sites, and /users, when you extend virtual server B and connect to the content database for virtual server A, virtual server B will also have the /teams, /sites, and /users paths. You can direct a user to either virtual server A or B, and the user will see the same content — A and B are essentially mirrored virtual servers. For more information about URLs in Windows SharePoint Services, see the Windows SharePoint Services Resource Kit.

When you extend a virtual server, you must supply the following information:

  • The application pool to use for the virtual server.
  • The user account and e-mail address for the owner of the default top-level Web site for the virtual server.
  • The content database to use for storing data for sites on the virtual server.
  • Which URL to use for your top-level Web site (optional). The default is to create the top-level Web site at the root of the virtual server, but you can specify a custom URL path instead.
  • Which quota template to apply, if you are using quotas on your server (optional).
  • The language to use for the default top-level Web site (select from the set of Windows SharePoint Services languages installed on your server).
  • Which site template to apply to the top-level Web site (optional). On the command line, you can specify which template to apply to the top-level Web site in the same command that you use to extend the virtual server. You can choose the template from SharePoint Central Administration as well, but you must go to the site to do so.

Related Topics

About content and configuration databases
Specify configuration database settings
Extend a virtual server
About creating sites


Specify usage analysis settings

Specify usage analysis settings
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. In the Component Configuration section, click Configure usage analysis processing.
  3. In the Logging Settings section, select the Enable logging check box.
  4. In the Log file location box, type the location in which to store the log file.

    The default location for the log file is C:\WINDOWS\system32\logfiles\STS.

  5. In the Number of log files to create box, type a number between 1 and 30.

    In general, you should use a number that is one to three times the number of database servers in your server farm, with a maximum number of 30 log files.

  6. In the Processing Settings section, select the Enable usage analysis processing check box.
  7. Under Run processing between these times daily, in the Start box, select the earliest time of day that log processing can begin. In the End box, select the latest time of day that log processing can begin. Be sure to set an interval of at least 30 minutes for the start of usage processing.
  8. Click OK.

Related Topics

About checking site usage
Analyze site usage
Schedule timed jobs


About Microsoft Windows SharePoint Services Software Development Kit

About Microsoft Windows SharePoint Services Software Development Kit

The Microsoft Windows SharePoint Services Software Development Kit provides information about customizing SharePoint sites programmatically. Using the information and examples in the Software Development Kit (SDK), you can:

  • Customize sites, including layouts, navigation bars, themes, and lists.

    You can customize most sites by using a Web page editor compatible with Windows SharePoint Services, such as Microsoft Office FrontPage 2003. For example, you can modify page layouts, themes, and add custom lists. However, to perform identical customizations across sites, it is much easier and quicker to do so programmatically.

  • Create custom templates.

    Although you can create list and site templates from within the Web browser, you can create more complex templates (for example, templates that link to databases) or edit the iste templates stored on the Web server by using information from the SDK.

  • Create custom Web Parts.

    Although you can easily customize instances of Web Parts from within the Web browser, to create a Web Part assembly (.dll) to support a custom class of Web Parts, you need the information in the SDK.

  • Connect an application to Microsoft Windows SharePoint Services.

    For example, if you want to use Windows SharePoint Services as a front-end application to another application such as a workflow application, you can learn how to implement this by reading the SDK.

The SDK also contains information about other customization tasks and information about how to programmatically manage sites and servers.


About Secure Sockets Layer connections

About Secure Sockets Layer connections

The Secure Sockets Layer (SSL) protocol provides encrypted and authenticated communication between the client and the server, based on public-key cryptography. To send an encrypted message, the sender encrypts the message with the recipient's public key, and the recipient decrypts the message with the recipient's private key. Only the recipient has the private key that can decrypt the message.

To help guarantee authenticity, a certificate accompanies the public key. A certificate is a digital signature on a digest of the friendly (human readable) name of the participant, together with the participant's public key. The certificate is encrypted with the private key of the certifying authority. To check the authenticity of the public key of the participant, anyone can compute the digest of the friendly name and public key for that participant and can decrypt the certificate for that public key by using the public key of the certifying authority and check that the same digest results.


About HTML Viewers

About HTML Viewers

Included with Microsoft Windows SharePoint Services is the ability to connect to an HTML Viewer server. The HTML Viewer server provides support for users who want to view the content of files on the Windows SharePoint Services Web site but do not have Microsoft Word, Microsoft Excel, or Microsoft PowerPoint from Microsoft Office 97 (or a later release of Office) installed on their local computers. Even users who have only a Web browser (Microsoft Internet Explorer or Netscape Navigator) can view content by having the native Office file format converted to HTML on the fly. Although a slight delay occurs while the transformation takes place, the converted file is extremely close to the WYSIWYG formatting of the original. In addition to the process of transforming files on the fly for end users, administrators can use a batch process mode to convert the contents of entire folders to HTML.

Note By default, the HTML Viewer service supports only the following document types: .doc, .xls, .ppt, and .pps.

Transformation of a supported document can take between 1 and 30 seconds, depending on the complexity and size of the document as well as the speed and available resources of the dedicated computer. To provide for this ability and assure a fast response time, it is recommended that you dedicate a separate computer to this service.

Related topic

  • Manage HTML Viewers

See also

  • "HTML Viewer Service for Windows SharePoint Services" white paper on the Microsoft Office 2003 Resource Kit Web site.


Integrating Windows SharePoint Services with client programs

Integrating Windows SharePoint Services with client programs

Note


Create a folder in a library

Create a folder in a library
  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, click the name of the document, picture, or form library in which you want to create the folder.
  3. In the library, click New Folder.
  4. On the New Folder page, in the Name box, type the folder name.
  5. Click Save and Close.

Note If the site is a Meeting Workspace site, ignore steps 1 and 2. Instead, click the name of the library at the top of the Web Part. Then follow the remaining steps above.


Add, edit, or delete an announcement

Add, edit, or delete an announcement

Do one of the following:

Add an announcement

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Announcements.
  3. At the top of the list, click New Item.
  4. In the Title box, type a heading for the announcement. This field is required.
  5. In the Body box, type the text of the announcement.
  6. If you want the announcement to disappear from the home page on a particular date, click the calendar Icon image, and then select a date.
  7. Click Save and Close.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 through 3. Instead, in the Announcements Web Part, click Add Announcement. Then follow the remaining steps above.

Edit an announcement

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Announcements.
  3. Point to the announcement you want to edit, click the down arrow on the menu that appears, and then click Edit Item.
  4. Change the fields as desired, and then click Save and Close.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 and 2. Instead, from the Announcements Web Part, follow the remaining steps above.

Delete an announcement

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Announcements.
  3. Point to the announcement you want to delete, click the down arrow on the menu that appears, and then click Delete Item.
  4. Click OK to confirm.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 and 2. Instead, from the Announcements Web Part, follow the remaining steps above.


Attach a file to a list item

Attach a file to a list item

Do one of the following:

Attach a file to an existing list item

  1. On the top link bar, click Documents and Lists.
  2. Click the list in which you want to attach a file.
  3. Point to the existing list item, click the down arrow that appears, and then click Edit Item.
  4. Click Attach File.
  5. Click Browse to locate the file you want to attach to the list item, and then click Open.
  6. Click OK.
  7. Click Save and Close.

Note If the site you're using is a Meeting Workspace site, ignore step 1. For step 2, click the list title in the Web Part.

Create a new list item and attach a file

  1. On the top link bar, click Documents and Lists.
  2. Click the list in which you want to attach a file.
  3. Click New Item to add a new list item.
  4. In the fields provided, type the title of the list item and any other information that is required.
  5. Click Attach File.
  6. Click Browse to locate the file you want to attach to the list item, and then click Open.
  7. Click OK.
  8. Click Save and Close.

Note If the site you're using is a Meeting Workspace site, skip step 1. For step 2, click the list title in the Web Part.


Enable document library event handlers

Enable document library event handlers

Enable document library events for a virtual server

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. In the Virtual Server Configuration section, click Configure virtual server settings.
  3. On the Virtual Server List page, click the name of the virtual server you want to configure.
  4. On the Virtual Server Settings page, in the Virtual Server Management section, click Virtual server general settings.
  5. On the Virtual Server General Settings page, in the Event Handlers section, next to Event handlers are, select On.
  6. Click OK.

After you enable the feature, you can write code to handle the events, and then specify the code to use for a particular document library in the document library settings.

Enable document library events for a specific document library

  1. On the appropriate Web site, navigate to the document library you want to monitor.
  2. In the Actions pane, click Modify columns and settings.
  3. In the General Settings section, click Change advanced settings.
  4. In the Event Handler section, in the Assembly name box, type the assembly name for the managed code you are using to handle events for this document library.
  5. In the Class name box, type the class name for the event handler.
  6. In the Properties box, list any appropriate properties for the event handler.
  7. Click OK.

Note Microsoft Windows SharePoint Services preserves event settings when you save a document library as a list template.


Add, edit, or delete a column

Add, edit, or delete a column

Do one of the following:

Add a column

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, click the list, document library, or discussion board in which you want to add a column.
  3. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  4. In the Columns section, click Add a new column.
  5. In the Name and Type section, in the Column name box, type a name for the column.
  6. Select the type of information you want to display in this column.

    Note For more information about column types, see Information types and options.

  7. In the Optional Settings for Column section, specify the settings you want.
  8. At the bottom of the page, click OK.

Edit a column

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, click the list, document library, or discussion board in which you want to edit a column.
  3. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  4. In the Columns section, under Column (click to edit), click the name of the column you want to change.
  5. In the Name section, in the Column name box, you can change the column name.
  6. Click the appropriate option button to change the type of information this column contains.

    Note Some types of data cannot be converted when you change a column type. For example, if you change a column with multiple lines of text into a number column, the existing text data is lost.

  7. In the Optional Settings for Column section, you can change the settings.
  8. At the bottom of the page, click OK.

Delete a column

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, click the list, document library, or discussion board in which you want to delete a column.
  3. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  4. In the Columns section, under Column (click to edit), click the name of the column you want to delete.
  5. At the bottom of the page, click Delete.

    Note There are certain built-in columns, such as Title, that you cannot delete.


Add, edit, or delete a contact

Add, edit, or delete a contact

Do one of the following:

Add a contact

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Contacts.
  3. At the top of the list, click New Item.
  4. In the Last Name and First Name boxes, type the name of the contact.

    The field for last name is required.

  5. Type information in the remaining boxes as desired.
  6. Click Save and Close.

Note If the site you're using is a Meeting Workspace site, follow this procedure to add a contact: In the Contacts Web Part, click Add Contact.

Edit a contact

  1. On the top link bar, click Lists.
  2. In the Lists section, click Contacts.
  3. Point to the contact you want to edit, click the down arrow on the menu that appears, and then click Edit Item.
  4. Change the fields as desired, and then click Save and Close.

Note If the site you're using is a Meeting Workspace site, skip steps 1 and 2.

Delete a contact

  1. On the top link bar, click Lists.
  2. In the Lists section, click Contacts.
  3. Point to the contact you want to delete, click the down arrow on the menu that appears, and then click Delete Item.
  4. Click OK to confirm.

Note If the site you're using is a Meeting Workspace site, skip steps 1 and 2.


Create a custom list

Create a custom list

  1. In the top link bar, click Create.

  2. On the Create Page page, click Custom List.

  3. In the Name box, type a name for the list.

    This field is required.

  4. In the Description box, type a description of the purpose of the list.

    This field is optional.

  5. In the Navigation section, if you want a hyperlink to this list to appear on the Quick Launch bar, click Yes.
  6. Click Create.

    You can open the new list by clicking Documents and Lists on the top link bar, and then clicking the list name in the Discussion Boards section. If you chose to add the list to the Quick Launch bar, you can also click the list name there to open it.

  7. Add columns to your list.

    How?

    1. On the page that displays the list, click Modify settings and columns.
    2. In the Columns section, click Add a new column.
    3. In the Name and Type section, in the Column name box, type a name for the column.
    4. Select the type of information you want to display in this column.

      Note For more information about column types, see Information types and options.

    5. In the Optional Settings for Column section, specify the settings that you want.
    6. At the bottom of the page, click OK.
    7. Repeat these steps to add additional columns.

Related Topics

Create a list of announcements, contacts, events, tasks, issues, or links
Information types and options


Create a discussion board

Create a discussion board
  1. In the top link bar, click Create.
  2. On the Create Page page, click Discussion Board.
  3. In the Name box, type a name for the discussion board.

    This field is required.

  4. In the Description box, type a description of the purpose of the discussion board.

    This field is optional.

  5. In the Navigation section, if you want a hyperlink to this discussion board to appear on the Quick Launch bar, click Yes.
  6. Click Create.

    You can open the new discussion board by clicking Documents and Lists on the top link bar and then clicking the discussion board name in the Discussion Boards section. If you chose to add the discussion board to the Quick Launch bar, you can also click the discussion board name there to open it.

Note If the site is a Meeting Workspace site, use the following procedure to create a discussion board: From the Modify This Workspace menu on the home page, click Add Web Parts. Drag the General Discussions Web Part to a zone on the page.


Participate in a discussion board

Participate in a discussion board
  1. On the top link bar, click Documents and Lists.
  2. In the Discussion Boards section, click the name of the board in which you want to participate.
  3. Do one of the following:

    Start a new discussion

    1. Click New Discussion.
    2. In the Subject box, type a title for your comment. This field is required.
    3. In the Text box, type your comment.
    4. Click Save and Close.

    Reply to an existing comment

    1. In the Subject column, point to the discussion comment to which you want to reply, click the down arrow on the menu that appears, and then click Reply.
    2. In the Text box, type your comment.
    3. Click Save and Close.

    Edit your own discussion comment

    1. In the Subject column, point to the discussion comment that you want to edit, click the down arrow on the menu that appears, and then click Edit Item.
    2. Modify the comment as desired, and then click Save and Close.

    Delete a discussion comment

    1. In the Subject column, point to the discussion comment that you want to delete, click the down arrow on the menu that appears, and then click Delete Item..
    2. Click OK to confirm that you want to delete the comment.

Note If the site is a Meeting Workspace site, ignore steps 1 and 2. To start a new discussion, click Add discussions in the General Discussion Web Part. Then follow the remaining steps above.


Add a file to a document library

Add a file to a document library
  1. On the top link bar, click Documents and Lists.
  2. Click the document library in which you want to add a document.
  3. Click Upload Document.
  4. On the Upload Document page, click Browse to find the file you want to add, and then click Open.
  5. If you want this file to replace a file of the same name in the library, select the Overwrite existing file(s)? check box.
  6. Click Save and Close.

    Note To cancel the document addition, click Go back to document library.

Notes

  • If the site you're using is a Meeting Workspace site, ignore steps 1 and 2. To add a file, click Add document in the Document Library Web Part. Then follow the remaining steps above.
  • If you have a Windows SharePoint Services-compatible program installed, an option to upload multiple files simultaneously might appear on the Upload Document page. For example, if you have Office 2003installed, you will see the Upload Multiple Files option.


Read, edit, or delete a file in a library

Read, edit, or delete a file in a library
  1. On the top link bar, click Documents and Lists, and then click the name of the library that you want to open.
  2. Do one of the following:

    View a file

    1. On the page that displays the library, click the name of the file.
    2. In the File Download dialog box, click Open.

    Edit a file

    Note To edit a file from within a document library, you must have a Microsoft Windows SharePoint Services-compatible program, such as Microsoft Office 2003, and Microsoft Internet Explorer 4.0 or later installed.

    1. On the page that displays the library, point to the file name to display a down arrow.
    2. Click the down arrow to reveal a menu, and then click Edit in program to edit the file in the program that was used to create it.

      Note In a picture library, click Edit Picture.

    3. Edit the file as desired, and then save and close the program.

    Edit information about a file

    1. On the page that displays the document library, in the row where the name of the file appears, point to the file, click the triangle on the bar that appears, and then click Edit Properties on the menu that appears.
    2. Edit the information as desired, and then click Save and Close.

    Delete a file

    1. Point to the file you want to delete, and a drop-down list box will appear. Click the drop-down arrow on the list box, and then click Delete on the menu that appears.

Note If the site is a Meeting Workspace site, ignore step 1. Instead, from the Document Library Web Part, follow the remaining steps above.


Add multiple files to a document library simultaneously

Add multiple files to a document library simultaneously
  1. On the top link bar, click Documents and Lists.
  2. Click the document library to which you want to add a document.
  3. In the Select a View pane, click Explorer View.
  4. Open a Windows Explorer window, and find the folder with the files that you want to copy to the document library.

    How?

    1. Click Start.
    2. Click My Documents.
    3. Locate the folder with the files you want to copy to the document library.
  5. Select the desired files, and then drag them into the document library in the browser window.

Notes

  • If the site is a Meeting Workspace site, ignore steps 1 and 2. To add multiple files, click the name of the library in the Document Library Web Part, and then follow the remaining steps above.
  • If you have a Microsoft Windows SharePoint Services-compatible program installed, an option to upload multiple files simultaneously might appear on the Upload Document page. For example, if you have Microsoft Office 2003 installed, you will see the Upload Multiple Files option.

Related Topic

Add a file to a document library


Create a document library

Create a document library
  1. On the top link bar, click Create.
  2. On the Create Page page, click Document Library.
  3. In the Name box, type a name for the list.

    The document library name is required.

  4. In the Description box, type a description of the purpose of the library.

    The description is optional.

  5. In the Navigation section, click Yes if you want a link to this list to appear on the Quick Launch bar.
  6. In the Document Versions section, click Yes if you want a backup copy of a file to be created each time a file is checked into the library.
  7. In the Document Template section, specify the type of file used as a template for new files in this document library.
  8. Click Create.

    You can open the new document library by clicking Documents and Lists on the top link bar and then clicking the document library name in the Document Libraries section. If you chose to add the document library to the Quick Launch bar, you can also click the document library name there to open it.

Note If the site is a Meeting Workspace site, use the following procedure to create a document library: From the Modify This Workspace menu, click Add Web Parts. Drag the Document Library Web Part to a zone on the page.


About picture and document versioning

About picture and document versioning

Picture and document versioning saves a backup copy of a file each time the file is saved to a library. This feature is useful if you want to keep a history of changes to a file or if you need to restore a file to a previous version because of unwanted changes.

Note When a file is deleted all, previous versions are deleted as well.

If the information stored in your library is valuable to you or your team, it's recommended that you turn on versioning. However, when turned on, versioning requires much more storage space on the Web server. If Web server disk space is low or the files stored in the library are not critical or are backed up by using another means, you should not turn on versioning.

With versioning you can do the following:

  • View previous versions of a file
  • Restore a file to a previous version
  • Delete all previous versions of a file
  • Restore a file that has been deleted

By default, picture and document versioning is turned off for the Shared Documents library that is created for each site. When you create a new library, you have the option of turning on versioning. This means that you can turn on versioning for libraries that store important information and turn off this feature for libraries that don't need versioning.

Related Topics

  • View previous versions of a file
  • Restore a file to a previous version
  • Delete previous versions of a file


About document library event handlers

About document library event handlers

Document library event handler support allows software developers to create software that uses document library events to perform automated actions. When you combine document libraries, customized code for event handling, and possibly XML forms, you can create powerful solutions that are easy for users to work with.

For example, in the healthcare industry, admitting a new patient requires that a lot of paperwork be generated in a specific order. You can write an application that interacts with XML forms stored in a form library to do the following:

  • Track when an employee adds a new admissions form to the document library
  • Extract the insurance information and forward it to the billing application
  • Notify the staff in the appropriate section of the hospital to pull the patient's chart

You can track the following events for document libraries.

Event | Description
Insert | A new document is added to the document library.
Update | An existing document is edited.
Delete | An existing document is deleted.
Move | A document is moved or renamed.
Copy | A document or folder is copied.
Check In | A document is checked in.
Check Out | A document is checked out.
Cancel Check-Out | A document check-out is cancelled by another user

For more information about writing managed code to interact with document library events, see the Microsoft Windows SharePoint Services Software Development Kit.

To allow developers in an organization to use the document library events to write code, you must enable this feature at the virtual server level.


Modify the Upload Document Form

Modify the Upload Document Form

When team members add a document to a document library by using the Upload Document command, the Upload Document form that they fill out has one data entry field for each column that is defined for the library.

Similarly, when team members use a Microsoft Windows SharePoint Services-compatible client program, such as Microsoft Office 2003, to save a file to a library, the form that users fill out in their dialog box also has one data entry field for each column that is defined for the library.

You can modify these forms by modifying the columns in the library. That is, you can add, delete, and edit fields on the forms. You can also change the order in which the fields appear on the form.

Related Topics

Add, edit, or delete a column


Add, edit, or delete an event

Add, edit, or delete an event

Do one of the following:

Add an event

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Events.
  3. At the top of the list, click New Item.
  4. In the Title box, type a heading for the event.

    This field is required.

  5. In the Begin box, click the calendar Icon image and select a date, and then select a time in the hour and minutes boxes.

    This field is required.

  6. If the event lasts longer than a day, select a date for the End box.
  7. Type text in the Description and Location boxes as desired.
  8. If the event is a recurring event, specify how often it occurs in the Recurrence section.
  9. If you would like to create a Meeting Workspace site for this meeting, select Workspace.

    Creating a Meeting Workspace site gives you a new Web site under the current site with a specialized set of lists for managing your meeting. For more information, see About Meeting Workspace sites.

  10. Click Save and Close.

Edit an event

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Events.
  3. Point to the event you want to edit, click the down arrow on the menu that appears, and then click Edit Item.
  4. Change the information, and then click Save and Close.

Delete an event

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Events.
  3. Point to the event you want to edit, click the down arrow on the menu that appears, and then click Delete Item.
  4. Click OK to confirm that you want to delete the event.


Filter Items

Filter Items

You can add and remove filters for items in a list, document library, or discussion board. You can also add, edit, or remove custom filters with multiple criteria for each column by editing the datasheet.

Add and remove filters

  1. On the toolbar, click Filter. A drop-down list appears above each column containing all of the values for that column.
  2. In the drop-down list for the column on which you want to filter, click the value for the items you want to display. Only items matching that value display.
  3. You can continue to apply additional filters until only the desired items are displayed.
  4. To remove a filter, click All in the drop-down list for the filtered column. Other filters are unaffected.

Add, edit, and remove custom filters by editing the datasheet

  1. On the toolbar, click Edit in Datasheet.
  2. Click the drop-down list for the column on which you want to filter, and then click Custom Filter.
  3. On the Custom Filter dialog box, you can enter up to three rules.

    Rules applied to other columns linked by And must both be true for an item to display. Rules linked by Or display if either rule is true.

  4. You can edit a custom filter at any time to broaden or narrow the displayed items by clicking Custom Filter in the drop-down list for the column in the grid view.
  5. To completely remove a custom filter from a column, click Show All in the drop-down list for a column. Filters on other columns are unaffected.

    Note You can also use the drop-down lists in the datasheet view to add, edit, or remove simple filters.

Filters added while editing in datasheet view go away if you change to the standard view, and do not return if you later go back to datasheet view.

Related Topics

Display sorted or filtered items
About filters


Configure data retrieval services

Configure data retrieval services
  1. On the SharePoint Central Administration page, in the Component Configuration section, click Configure data retrieval service settings.
  2. On the Data Retrieval Service Settings page, in the Enable Data Retrieval Services section, select Enable these data retrieval services.
  3. On the Data Retrieval Service Settings page, in the Response size limit box, specify the size, in kilobytes (KB), to use as the upper size limit for requests and responses to and from the data retrieval service.
  4. To allow updatable queries, select the Enable update query support box.
  5. In the Request time-out box, specify the length of time to allow the data source to respond before timing out, in seconds.
  6. Click OK.

Related topic

About data retrieval services


Add, edit, or delete a link

Add, edit, or delete a link

Do one of the following:

Add a link

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Links.
  3. At the top of the list, click New Item.
  4. In the URL section, type a Web address, for example, http://www.example.com.

    This field is required.

    Note If you want the link to display text other than the URL, type the text in the Type the description box.

  5. Type text in the Notes box as desired.
  6. Click Save and Close.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 through 3. Instead, in the Links Web Part, click Add Link. Follow the remaining steps above.

Edit a link

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Links.
  3. Point to the link you want to edit, click the down arrow on the menu that appears, and then click Edit Item.
  4. Change the information as desired, and then click Save and Close.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 and 2. Instead, from the Links Web Part, follow the remaining steps above.

Delete a link

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Links.
  3. Point to the link you want to delete, click the down arrow on the menu that appears, and then click Delete Item.
  4. Click OK to confirm.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 and 2. Instead, from the Links Web Part, follow the remaining steps above.


Create a list of announcements, contacts, events, tasks, issues, or links

Create a list of announcements, contacts, events, tasks, issues, or links
  1. In the top link bar, click Create.
  2. On the Create Page page, click one of the following for the kind of list that you want to create:
    • Links
    • Announcements
    • Contacts
    • Events
    • Tasks
    • Issues
  3. In the Name box, type a name for the list.

    This field is required.

  4. In the Description box, type a description of the purpose of the list.

    This field is optional.

  5. In the Navigation section, if you want a hyperlink to this list to appear on the Quick Launch bar, click Yes.
  6. Click Create.

    You can open the new list by clicking Documents and Lists on the top link bar and then clicking the list name in the Lists section. If you chose to add the list to the Quick Launch bar, you can also click the list name there to open it.

Note If the site is a Meeting Workspace site, ignore step 1. Instead, from the Modify This Workspace menu, click Add Web Parts. At the bottom of the task pane, click Show More Lists. Follow the remainings steps for the settings that apply to the Meeting Workspace site.


Delete a list or library

Delete a list or library
  1. On the page that displays the list or library, click Modify settings and columns.
  2. Under General Settings, click Delete this list, Delete this document library, Delete this picture library, Delete this form library, or Delete this discussion board.

To delete a survey

  1. On the page that displays the survey, click Modify survey and questions.
  2. Under General Settings, click Delete this survey.


Change permission settings for a list or library

Change permission settings for a list or library

View permissions for a list

  1. Navigate to the list, and then in the Action pane, click Modify settings and columns.
  2. On the Customize List_name page, in the General Settings section, click Change permissions for this list_or_document_library.

    The Change Permissions:List_name page displays the users and groups that have access to the list, and shows the permissions level assigned to each user or group.

Change list permissions for a specific site group

  1. Navigate to the list, and then in the Action pane, click Modify settings and columns.
  2. On the Customize List_name page, in the General Settings section, click Change permissions for this list_or_document_library.
  3. Select the box next to the site group you want to change.

    For example, click the check box next to Web Designer to change the permissions for all members of the Web Designer site group.

  4. Click Edit Permissions of Selected Users.
  5. In the Choose Permissions section, select the level of permissions to allow, and then click OK.

Assign list permissions to a specific user or group

  1. Navigate to the list, and then in the Action pane, click Modify settings and columns.
  2. On the Customize List_name page, in the General Settings section, click Change permissions for this list_or_document_library.
  3. On the list toolbar, click Add Users.
  4. In the Step 1: Choose Users section, in the Users area, in the text box, type the e-mail address or domain name and account name for the user or group you want to assign permissions.
  5. In the Step 2: Choose Permissions section, in the Permissions section, select the level of permissions for the user or group, and then click Next.
  6. In the Step 3: Confirm Users section, verify that the e-mail address, user name, and display name for the user or group are correct.
  7. To notify the user or group of the permissions with an e-mail message, in the Step 4: Send E-Mail section, select the Send the following e-mail to let these users know they've been added check box, and fill in the text you want to send.
  8. Click Finish.

Remove list permissions for a user, group, or site group

  1. Navigate to the list, and then in the Action pane, click Modify settings and columns.
  2. On the Customize List_name page, in the General Settings section, click Change permissions for this list_or_document_library.
  3. Select the box next to the site group, user, or group from which you want to remove permissions, and then click Remove Selected Users.
  4. Click OK.

Reset permissions to the default state

  1. Navigate to the list, and then in the Action pane, click Modify settings and columns.
  2. On the Customize List_name page, in the General Settings section, click Change permissions for this list_or_document_library.
  3. Click Inherit permissions from the parent Web site.
  4. Click OK to change to inherited permissions.

Note The Inherit permissions link does not appear unless the list permissions are already customized.

Enable anonymous access for a list

  1. Verify that anonymous access is enabled for your site.
  2. Navigate to the list, and then in the Action pane, click Modify settings and columns.
  3. On the Modify Settings and Columns page, in the General Settings section, click Change permissions for this list_or_document_library.
  4. In the Action pane, click Change anonymous access.
  5. On the Change Anonymous Access Settings page, click the check box for the level of permissions that you want to grant to anonymous users.

    Note If Internet Information Services (IIS) is not configured to allow anonymous access, these check boxes are unavailable.

  6. Click OK.


Change the name or description of a list or library

Change the name or description of a list or library
  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, click the list, document library, or discussion board in which you want to change the name or description.
  3. Click Modify settings and columns.

    If the page displays a survey, click Modify survey and questions.

  4. Under General Settings, click Change general settings.
  5. In the Name and Description boxes, type the new information you want .
  6. At the bottom of the page, click OK.


Modify the New Item form

Modify the New Item form

When team members add items to lists, the New Item form that they fill out has one data entry field for each column that is defined for the list. You can modify the form by modifying the columns in the list. That is, you can add, delete, and edit fields on the form. You can also change the order in which the fields appear on the form.

Related topics

  • Add, edit, or delete a column


Copy information between your SharePoint site and your calendar or address book

Copy information between your SharePoint site and your calendar or address book

You can copy contacts from your address book to the Contacts list in your team Web site, and you can copy items from the Contacts and Events lists to your own address book and calendar.

Note To copy events or contacts from your team Web site, you must have a calendar or address book, such as Outlook 2000, that supports iCalendar or vCard files. To copy contacts from your address book to the Contacts list, you must have a Windows SharePoint Services-compatible address book, such as Microsoft Outlook 2002, and Microsoft Internet Explorer 4.0 or later.

Do one of the following:

Copy contacts from your address book to the Contacts list

  1. On the the top link bar, click Lists.
  2. On the Lists page, click Contacts.
  3. On the Contacts page, click Import.
  4. If you are prompted for a profile, click the user profile you want to use.
  5. In the Show names from the box, click the address book you want.
  6. In the Name box, click the names you want, and then click Add.

Copy items from the Contacts list to your address book

  1. On the the top link bar, click Lists.
  2. On the Lists page, click Contacts.
  3. On the Contacts page, click the name of the contact you want to copy.
  4. Click Export Contact, and open the file from its current location.

Copy items from the Events list to your calendar

Note To copy events or contacts from your team Web site, you must have Microsoft Internet Explorer 4.0 or later installed.

  1. On the the top link bar, click Lists.
  2. On the Lists page, click Events.
  3. On the Events page, click the name of the event you want to copy.
  4. Click Export Event, and open the file from its current location.


Remove a folder from a library

Remove a folder from a library
  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, click the library that has the folder that you want to remove.
  3. In the library, point to the folder, click the triangle on the bar that appears, and then click Delete on the menu that appears.


Remove an attached file from a list item

Remove an attached file from a list item
  1. On the top link bar, click Documents and Lists.
  2. Click the list from which you want to remove an attached file.
  3. Point to the list item that contains the attached file, click the down arrow that appears, and then click Edit Item.
  4. Click Delete next to the file name of the attachment that you wish to remove.
  5. Click Save and Close.

Note If the site you're using is a Meeting Workspace site, skip step 1. For step 2, click the list title in the Web Part.


Sort items

Sort items

You can use any column of a list, document library, picture library, or discussion board to sort items.

  • On the page that displays the list, document library, picture library, or discussion board, click the name of the column you want to use for the sort order.

Note If you want to reverse the sort order (ascending or descending), click the name of the column again. An arrow indicates the direction of the sort.

Related Topics

About sorting and customizing item order
Arrange list items in a custom order
Allow or prevent custom ordering of items


Add an alert

Add an alert

Complete the steps in the sections below to add alerts for a list or library, or for a list item or file in a library.

Add an alert for a list or library

  1. Go to the page that displays the list or library for which you want to add an alert.
  2. Under Actions, click Alert me.
  3. In the Send Alerts To section, confirm that the destination e-mail address is correct.
  4. In the Change Type section, specify whether you want to be notified when items have been added, changed, or deleted, or click All changes to be notified whenever any type of change occurs.
  5. In the Alert Frequency section, click the number that reflects how often you want to be notified of changes.
  6. Click OK.

Add an alert for a list item or a file in a library

  1. Go to the page that displays the list or library with the list item or file for which you want to add an alert.
  2. Point to the title of the document or list item. A list box will appear. Click the list box, and then click Alert Me .
  3. In the Send Alerts To section, confirm that the destination e-mail address is correct.
  4. In the Change Type section, specify whether you want to be notified when the item or file has been changed or deleted, or click All changes to be notified whenever any type of change occurs. For documents in libraries, you can be notified when comments in Web Discussions have been added, deleted, or edited.
  5. In the Alert Frequency section, click the number that reflects how often you want to be notified of changes.
  6. Click OK.

Related Topics

About alerts
View alerts
Delete an alert


About list templates

About list templates

When a user creates a new list, he or she selects a list template to use in creating the list. Microsoft Windows SharePoint Services includes many list templates by default, and users can customize an existing list and save the customized list as a new list template. Administrators of a site collection can also import a list template created by another user or software vendor and add the new template to the available list of templates in the site collection.

A list template is a file that includes all of the design information about the list, such as the following:

  • The columns and fields in the list
  • Any views created for the list
  • List content (optional)

List templates do not include the following:

  • Security settings, such as a list of users or groups with permissions to the list from which the template was created.
  • General list settings, such as whether the list is displayed on the Quick Launch bar, or whether attachments are allowed.
  • Lookup field links. Although lists can contain lookup fields that refer to data in another list, that other list and its data are not included when you save a list template. Therefore, you cannot make a template from a list that contains lookup fields, except for fields that look up user information.

To create a list template, you must have the Manage Lists right. The Web Designer and Administrator site groups include the Manage Lists right by default. You must also have access to the list template gallery for the top-level Web site to create a list template. The Add Item right for the template gallery controls this access, which is granted to members of the Web Designer and Administrator site groups for the top-level Web site. List templates are stored as files with the .stp extension.

Caution Template files include personal information such as server URLs and user account names. Only share template files with trusted users and groups.

About using list templates

Users can create lists based on templates available on the server or in the site collection. To create a list based on a template, go to the Create page in a site, and then click the list name to create. The Create page lists custom templates alongside the default set of list templates from the front-end template.

Note When a user creates a list, he or she can select a list template from the set of list templates on the server and the site collection. This set is filtered based on the language of the site the user is in and the schema properties included in the front-end templates for the server. For example, if the front-end templates for the server do not include an Agenda list type, and the user has imported a list template that refers to an Agenda list type, the list template will not be available in the set of templates when the user attempts to create a list.


About templates for document libraries

About templates for document libraries

You can establish consistency among the documents in a document library by specifying a file to use as a template for the library.

The template will open when team members click the New Document command on the page that displays the document library. The template is also available to users of a client program that is compatible with Microsoft Windows SharePoint Services. For example, in Microsoft Office XP, the template is available in the New from Templates on my Web Sites dialog box.

Caution Template files include personal information such as server URLs and user account names. Only share template files with trusted users and groups.

Templates for document libraries can be in any file format that a client program compatible with Windows SharePoint Services can open (.doc, .xls, and so on). However, there are advantages to using a Web-based file format (.htm or .mht) for a template:

  • Team members don't need to have the appropriate client program installed to read a document that's based on a Web page (.htm) or Web archive (.mht).
  • Using the Web Discussions feature, you can attach threaded discussions within a document that's based on a Web page or Web archive.

Note The template for your document library must be stored in the Forms folder of the document library that uses it.


Add, edit, or delete a survey question

Add, edit, or delete a survey question
  1. On the top link bar, click Documents and Lists.
  2. In the Surveys section, click the survey in which you want to add, edit, or delete a question.
  3. On the page that displays the survey, click Modify survey and questions.

  4. In the Questions section, do one of the following:

    Add a question

    1. Click Add a question.
    2. In the Question box, type a question.
    3. Select an option for the type of answer you want.

      For example, if you want team members to choose from a set of items, click Choice.

    4. In the Optional settings for your question section, specify the settings you want.

      The following types of answers are available, with options for each type as shown:

      Single line of text

      Use this information type when you want team members to enter just a few words.

      Require a response to this question

      If you want to require team members to enter information for this question, click Yes.

      Maximum number of characters

      Type a number to limit the number of characters team members can type.

      Default value

      If you want new responses to display information for this question automatically, type that information in the space provided. Team members can change this value. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns .

      Multiple lines of text

      Use this information type when you want team members to type a sentence or more.

      Require a response to this question

      If you want to require team members to enter information for this question, click Yes.

      Number of Lines to Display

      Type a number to limit the number of lines team members can type for this question.

      Allow Rich HTML Text

      Specify whether you want to allow text formatting such as fonts, bold, italic, or text colors.

      Choice

      Use this information type when you want team members to choose from a set of selections that you have provided.

      Require a response to this question

      If you want to require team members to enter information for this question, click Yes.

      List of choices

      In the Type each choice on a separate line box, replace the sample text with the selections from which you want team members to choose. Type each selection on a separate line. To start a new line, press ENTER.

      Display choices using

      If you want the selections to be displayed in an expanding box, click Drop-Down Menu. If you want the selections to be displayed in a list, click Radio Buttons.

      Allow fill-in choices

      Select this option if you want to allow users to type their own selections.

      Default value

      New responses will automatically display the selection you typed first in the List of choices. If you want to use another selection as the default, copy and paste that selection in the space provided. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns

      Rating Scale

      Use this option if you want users to choose their preference on a numeric scale.

      • Enter the options that the users can evaluate on the ratings scale.
      • Enter the top and bottom numbers for the ratings scale.
      • Enter descriptions for the low, middle, and high end of the scale.
      • Select Show N/A option and type text in the box if you want to prohibit the user from rating an option. This is useful when an option does not apply to a user.

      Number

      Use this information type when you want team members to type a numerical value.

      Require a response to this question

      If you want to require team members to enter information for this question, click Yes.

      Minimum and maximum values

      If you want team members to enter values within a certain range, type a value for the lower limit in the Min box and a value for the upper limit in the Max box.

      Number of decimal places

      Select the number of decimal places to enable team members to enter decimal values in tenths, hundredths, and so on.

      Default value

      If you want new responses to display information for this question automatically, type that information in the space provided. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns

      Percentage option

      If you want the number to represent a percentage, select this check box.

      Currency

      Use this information type when you want team members to type a monetary value.

      Require a response to this question

      If you want to require team members to enter information for this question, click Yes.

      Minimum and maximum values

      If you want team members to enter values within a certain range, type a value for the lower limit in the Min box and a value for the upper limit in the Max box.

      Number of decimal places

      Select the number of decimal places to enable team members to enter decimal values in tenths, hundredths, and so on.

      Default value

      If you want new responses to display information for this question automatically, type that information in the space provided. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns

      Currency format

      Select a currency based on geographic region.

      Date and Time

      Use this information type when you want to store calendar or time-of-day information.

      Require a response to this question

      If you want to require team members to enter information for this question, click Yes.

      Date format

      Select whether you want to display the date or the date and time of day.

      Default value

      If you want new responses to display the current date for this question automatically, click Today's Date; otherwise, click (None). You can also select Calculated value and then enter a formula to create the default value. For information on calculated values, see About computed and calculated columns

      Lookup

      Use this information type when you want to make it easy to select information that's already stored in your Microsoft Windows SharePoint Web site.

      Require a response to this question

      If you want to require team members to enter information for this question, click Yes.

      Get information from

      Select a list or library from your site.

      In this column

      Select the column that stores the information you want team members to be able to select.

      Include presence information

      This option appears if you select the User Information list as your lookup source. Select this option if you want online presence information to appear next to users' names. This status is updated each time a user logs on to Microsoft Windows Messenger. This feature provides a handy way to know when team members are available for online chats.

      Yes/No

      Use this information type when you want to store true/false information. To indicate a value of "yes," team members select the check box; to indicate a value of "no," team members clear the check box.

      Default value

      If you want new responses to display a value for this question automatically, click Yes or No here. Team members can change this value.

    5. If you want to add more questions, click Next Question and repeat the previous steps.
    6. When you are done adding questions, click Finish.

    Edit a question

    1. Under Question (click to edit), click the question you want to edit.
    2. In the Question box, change the question by doing one or more of the following:
      • Change the text of the question in the Question box.
      • Change the answer type in the Question and Type section.

        Note Some types of answers cannot be converted when you change an answer type. For example, if you change an answer type with multiple lines of text into a number-based answer, the existing text data is lost.

      • In the Optional settings for your question section, modify the settings, such as changing the default value.
    3. At the bottom of the page, click OK.

    Delete a question

    1. Under Question (click to edit), click the question you want to delete.
    2. At the bottom of the Edit Question page, click Delete.

Note If the site is a Meeting Workspace site, ignore steps 1 and 2. Instead, click the survey title at the top of the Web Part and then follow the remaining steps above.


Create a survey

Create a survey
  1. In the top link bar, click Create.
  2. On the Create Page page, click Survey.
  3. In the Name box, type a name for the survey.

    This field is required.

  4. In the Description box, type a description of the purpose of the survey.

    This field is optional.

  5. In the Navigation section, if you want a hyperlink to this survey to appear on the Quick Launch bar, click Yes.
  6. In the Survey Options section, if you want respondents' names to be visible when a team member views the survey results, click Yes under Show user names in survey results?.

    If you want to allow team members to respond more than once to the survey, click Yes under Allow multiple responses?.

  7. Click Next.
  8. On the Add Question page, in the Question box, type a question.
  9. Select an option for the type of answer that you want.

    For example, if you want team members to choose from a set of items, click Choice.

  10. In the Optional settings for your question section, specify the settings that you want.

    The following types of answers are available, with options for each type as shown:

    Single line of text

    Use this information type when you want team members to enter just a few words.

    Require a response to this question

    If you want to require team members to enter information for this question, click Yes.

    Maximum number of characters

    Type a number to limit the number of characters that team members can type.

    Default value

    If you want new responses to display information for this question automatically, type that information in the space provided. Team members can change this value. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns .

    Multiple lines of text

    Use this information type when you want team members to type a sentence or more.

    Require a response to this question

    If you want to require team members to enter information for this question, click Yes.

    Number of Lines to Display

    Type a number to limit the number of lines that team members can type for this question.

    Allow Rich HTML Text

    Specify whether you want to allow text formatting such as fonts, bold, italic, or text colors.

    Choice

    Use this information type when you want team members to choose from a set of selections that you provide.

    Require a response to this question

    If you want to require team members to enter information for this question, click Yes.

    List of choices

    In the Type each choice on a separate line box, replace the sample text with the selections from which you want team members to choose. Type each selection on a separate line. To start a new line, press ENTER.

    Display choices using

    If you want the selections to be displayed in an expanding box, click Drop-Down Menu. If you want the selections to be displayed in a list, click Radio Buttons.

    Allow fill-in choices

    Select this option if you want to allow users to type in their own selections.

    Default value

    New responses will automatically display the selection that you typed first in the List of choices. If you want to use another selection as the default, copy and paste that selection here. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns

    Rating Scale

    Use this option if you want users to choose their preference on a numeric scale.

    • Enter the options that the users can evaluate on the ratings scale.
    • Enter the top and bottom numbers for the ratings scale.
    • Enter descriptions for the low, middle, and high ends of the scale.
    • Select Show N/A option and enter text in the box if you want to allow a user to not rate an option. This is useful when an option does not apply to a user.

    Number

    Use this information type when you want team members to type a numerical value.

    Require a response to this question

    If you want to require team members to enter information for this question, click Yes.

    Minimum and maximum values

    If you want team members to enter values within a certain range, type a value for the lower limit in the Min box and a value for the upper limit in the Max box.

    Number of decimal places

    Select the number of decimal places to enable team members to enter decimal values in tenths, hundredths, and so on.

    Default value

    If you want new responses to display information for this question automatically, type that information in the space provided. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns

    Percentage option

    If you want the number to represent a percentage, select this check box.

    Currency

    Use this information type when you want team members to type a monetary value.

    Require a response to this question

    If you want to require team members to enter information for this question, click Yes.

    Minimum and maximum values

    If you want team members to enter values within a certain range, type a value for the lower limit in the Min box and a value for the upper limit in the Max box.

    Number of decimal places

    Select the number of decimal places to enable team members to enter decimal values in tenths, hundredths, and so on.

    Default value

    If you want new responses to display information for this question automatically, type that information in the space provided. You can also select Calculated value and then enter a formula to create the default value. For example, you could specify that, by default, a team member's user name appears by typing [me] in the field provided. For information on calculated values, see About computed and calculated columns

    Currency format

    Select a currency based on geographic region.

    Date and Time

    Use this information type when you want to store calendar or time-of-day information.

    Require a response to this question

    If you want to require team members to enter information for this question, click Yes.

    Date format

    Select whether you want to display the date or the date and time of day.

    Default value

    If you want new responses to display the current date for this question automatically, click Today's Date; otherwise, click (None). You can also select Calculated value and then enter a formula to create the default value. For information on calculated values, see About computed and calculated columns

    Lookup

    Use this information type when you want to make it easy to select information that's already stored in your Microsoft Windows SharePoint Web site.

    Require a response to this question

    If you want to require team members to enter information for this question, click Yes.

    Get information from

    Select a list or library from your site.

    In this column

    Select the column that stores the information that you want team members to be able to select.

    Include presence information

    This option appears if you select the User Information list as your lookup source. Select this option if you want online presence information to appear next to users names. This status is updated each time a user logs on to Microsoft Windows Messenger. This feature provides a handy way to know when team members are available for online chats.

    Yes/No

    Use this information type when you want to store true/false information. To indicate a value of "yes," team members select the check box; to indicate a value of "no," team members clear the check box.

    Default value

    If you want new responses to display a value for this question automatically, click Yes or No here. Team members can change this value.

  11. If you want to add more questions, click Next Question and repeat the steps above.
  12. When you are done adding questions, click Finish.


Respond to a survey

Respond to a survey
  1. On the top link bar, click Documents and Lists.
  2. In the Surveys section, click the name of the survey.
  3. At the top of the survey, click Respond to this survey.
  4. Answer the survey questions by filling out the form.
  5. Click Save and Close.

To see the results of the survey

Do one of the following:

See a compilation of responses

  • On the page that displays the survey, under Select a View, click Graphical Summary.

See how others responded

  1. On the page that displays the survey, under Select a View, click All Responses.
  2. Click View Response #n next to the name of the respondent.

Note The person who created the survey might have specified that respondents' names not be visible in the survey results.


Add, edit, or delete a task

Add, edit, or delete a task

Do one of the following:

Add a task

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Tasks.
  3. At the top of the list, click New Item.
  4. In the Title box, type a heading for the task.

    This field is required.

  5. Enter information in the remaining boxes as desired.

    In the Start Date and Due Date boxes, click the calendar Icon image, select a date, and then select a time in the hour and minutes boxes.

  6. Click Save and Close.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 through 3. Instead, in the Tasks Web Part, click Add Task. Then follow the remaining steps above.

Edit a task

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Tasks.
  3. Point to the task you want to edit, click the down arrow on the bar that appears, and then click Edit Item on the menu that appears.
  4. Change the information, and click Save and Close.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 and 2. Instead, from the Tasks Web Part, follow the remaining steps above.

Delete a task

  1. On the top link bar, click Documents and Lists.
  2. In the Lists section, click Tasks.
  3. Point to the task you want to delete, click the down arrow on the bar that appears, and then click Delete Item on the menu that appears.
  4. Click OK to confirm.

Note If the site you're using is a Meeting Workspace site, ignore steps 1 and 2. Instead, from the Tasks Web Part, follow the remaining steps above.


Set up a template for a document library

Set up a template for a document library

When you first create a document library, you can set up a blank template that runs the appropriate program when a user clicks New Document on the document library page. Later, if you have a file in your site that you want to use as a template for new documents, you can modify the document library to use that file as the template.

Do one of the following:

Set up a template when you create a document library

  1. Create a document library and specify a default document type.

    How?

    1. On the top link bar, click Create.
    2. On the Create Page page, click Document Library.
    3. In the Name box, type a name for the list. The document library name is required.
    4. In the Description box, type a description of the purpose of the library. The description is optional.
    5. In the Navigation section, click Yes if you want a link to this list to appear on the Quick Launch bar.
    6. In the Document Versions section, click Yes if you want a backup copy of a file to be created each time a file is checked into the library.
    7. In the Document Template section, specify the type of file to be used as a template for new files in this document library.
    8. Click Create.
  2. Create a customized template.

    How?

    1. On the top link bartop link bar, click Documents and Lists.
    2. Click the name of the document library that you want to open.
    3. On the page that displays the document library, click Modify settings and columns.
    4. In the General Settings section, to the right of Document Template: and the path to the template, click Edit template.
    5. Edit the template file as desired, and then save it.

    Note If you customize the template after documents have been added to the document library, changes to the template will not be reflected in the existing documents.

Modify a document library to use an existing file as a template

  1. On the top link bar, click Documents and Lists.
  2. Click the name of the document library that you want to open.
  3. Click Modify settings and columns.
  4. In the General Settings section, click Change general settings.
  5. In the Document Template section, in the Template URL box, type the Web address of the file that you want to use as a template. The file must be saved to the current Windows SharePoint Web site.


Apply or remove a theme

Apply or remove a theme

Important To apply or remove a theme on your Web site based on Windows SharePoint Services, you must be assigned to the Web Designer or Administrator site group, or to a site group with the Apply Themes and Borders right.

Apply a Theme

  1. On the top link bar, click Site Settings.
  2. On the Site Management page, in the Customization section, click Apply theme to site.
  3. On the Apply Theme to Web Site page, select a theme from the list. A preview of the theme is displayed.
  4. Click Apply.

Remove a Theme

  1. On the top link bar, click Site Settings.
  2. On the Site Management page, in the Customization section, click Apply theme to site.
  3. On the Apply Theme to Web Site page, select No Theme(Default) from the list.
  4. Click Apply.

Note If the site is a Meeting Workspace site, instead of step 1 above, do the following: On the Modify This Workspace menu, click Site Settings.

Related topic

About themes


About anonymous access

About anonymous access

To allow users to contribute to a SharePoint site, list, or library anonymously, you can configure the site to allow anonymous access. Anonymous access allows users to browse sites, respond to surveys, or even contribute to a list without authenticating. However, anonymous users cannot add files to libraries.

To enable anonymous access in Microsoft Windows SharePoint Services, you must first ensure that Internet Information Services (IIS) is configured to allow anonymous access. After you configure IIS, you can enable anonymous access on the Site Administration pages for the Web site, or from the Change Permissions page for a list or library. To change anonymous access settings in IIS, you must be logged on as a member of the local administrators group on the server. To change anonymous access settings in Windows SharePoint Services, you must be a member of the Administrator site group, or a site group with the Manage Site Groups right.

Anonymous access relies on the anonymous user account on the Web server. Internet Information Services (IIS) creates and maintains this account, not Microsoft Windows SharePoint Services. By default in IIS the anonymous user account is IUSR_ComputerName. When you enable anonymous access in Windows SharePoint Services, you are in effect granting that account access to the SharePoint site.

Warning To create a more secure site, list, or library, do not enable anonymous access. Enabling anonymous access allows users to contribute to lists, discussions, and surveys; possibly using up server disk space and other resources. Further, it allows anonymous users to discover site information, including user e-mail addresses and any content posted to lists, and libraries, and discussions.


Specify the SharePoint administrators group

Specify the SharePoint administrators group
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. In the Security Configuration section, click Set SharePoint administration group.
  3. In the Set SharePoint Administrator Group Account section, type the domain user name or group to allow to access to SharePoint Central Administration.
  4. Click OK.

Note You can only assign one domain account as the SharePoint administrators group. To include other members, use a group account and add the additional members to the group account by using User Accounts in Control Panel. You must be logged on as an administrator or a member of the SharePoint Administrator group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.To change the assigned group, follow the steps to specify a group and specify a different domain group. When you specify a new group, the members of the previous group can no longer manage the server or server farm running Microsoft Windows SharePoint Services.


View user information

View user information

To view user information, and find out who has contributed to the site:

  1. On the top link bar, click Site Settings.
  2. In the Manage My Information section, click View information about site users.
  3. In the Display Name column, click the name of a user for whom you wish to view details.


View an attached file of a list item

View an attached file of a list item
  1. On the top link bar, click Documents and Lists.
  2. Click the list in which you want to view an attached file.
  3. Click the list item that contains the attached file.
  4. Beside Attachments, click the file name to open and view the file.

Note If the site you're using is a Meeting Workspace site, ignore step 1. For step 2, click the list title in the Web Part.


Delete previous versions of a file

Delete previous versions of a file

Do either of the following:

Delete one previous version of a file

  1. On the page that displays the library, in the row where the name of the file appears, point to the file that you want to delete, click the triangle on the bar that appears, and then click Version History on the menu that appears.
  2. In the Modified column, point to the version of the file that you want to delete, click the triangle on the bar that appears, and then click Delete on the menu that appears.
  3. When prompted to confirm that you want to delete the previous version of the file, click OK.

Delete all previous versions of a file

  1. On the page that displays the library, in the row where the name of the file appears, point to the file that you want to delete, click the triangle on the bar that appears, and then click Version History on the menu that appears.
  2. Click Delete Previous Versions.
  3. When prompted to confirm that you want to delete all previous versions of the file, click OK.

Related Topics

  • View previous versions of a file
  • Restore a file to a previous version
  • About document and picture library versioning


Restore a file to a previous version

Restore a file to a previous version
  1. On the page that displays the library, in the row where the name of the file appears, point to the file, click the triangle on the bar that appears, and then click Version History on the menu that appears.
  2. In the Modified column, point to the version of the file that you want to restore, click the triangle on the bar that appears, and then click Restore on the menu that appears.
  3. When prompted to confirm that you want to replace the current version of the file with the previous version, click OK.

Related topics

  • View previous versions of a file
  • Delete previous versions of a file
  • About document and picture library versioning


View previous versions of a file

View previous versions of a file
  1. On the page that displays the library, in the row where the name of the file appears, point to the file, click the triangle on the bar that appears, and then click Version History on the menu that appears.
  2. In the Modified column, click the version of the file that you want to view.

Related topics

  • Restore a file to a previous version
  • Delete previous versions of a file
  • About document and picture library versioning


Show or hide columns

Show or hide columns

You can show or hide the columns of a list, document library, or discussion board.

  1. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  2. Under Views, do one of the following::
    • To edit an existing view, click its name in the View (click to edit) column.
    • To create a new view, click Create a new view, click the type of view you want to create, and then type a name for the view in the Name section.

      If you want the new view to be the default view, select the Make this the default view check box.

  3. In the Columns section, select the check box next to each column you want to display in the view, and clear the check box next to each column that you want to hide in the view.
  4. Under Position from Left, select the order in which you want the columns to appear.
  5. At the bottom of the page, click OK.

Related Topics

About views
Create a view
Display sorted or filtered items
Change the name or file name of a view
Set a default view


Set a default view

Set a default view

When a user follows a hyperlink to a list, document library, or discussion board, the resulting page displays a default view. You can modify the default view or create a custom view to use as the default.

  1. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  2. Under Views, do one of the following:

    Edit the existing default view

    1. Click the existing default view.
    2. On the Edit View page, in the Name section, you can type a new view name and Web address for this view.

    Create a new view to use as the default.

    1. Click Create a new view, and then click the type of view you want to create.
    2. On the Create View page, in the Name section, select the Make this the default view check box.

Note If you want to delete the existing default view, you must first make another view the default, and then clear the Make this the default view check box.

Related Topics

Create a view
Display sorted or filtered items
Change the name or file name of a view
Show or hide columns
About views


Create a view

Create a view

To make it easy for team members to see information that applies only to them or is grouped according to their interests, create a personalized view of a list, document library, or discussion board.

Unlike shared views, which require users to be Web Designers or users with the Manage Lists right, personal views can be created by anyone in the Contributor site group.

  1. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  2. Under Views, do one of the following:
    • To edit an existing view, click its name in the View (click to edit) column.
    • To create a new view, click Create a new view, and then click the type of view you want to create .
  3. On the Create View or Edit View page, in the Name section, type or change the name for the view.

    Note Personal views cannot be set as the default view. If you click the Make this the default view check box, the default view does not change to this personal view.

  4. In the Audience section, choose whether you want the view to be personal or public.

    Note This option is not available in a Meeting Workspace site.

  5. In the Columns section, you can Show or hide columns.
  6. In the Sort and Filter sections, you can Display sorted or filtered items.
  7. You can also perform the following actions:

    Group items

    You can group items with the same value for a column together under that property:

    1. In the Group By section, in the list under First group by the column, click the property you want to use to group your items.
    2. Select Show items in ascending order or Show items in descending order.
    3. Click the property you want to group by next in the Then group by the column drop-down list.

      These groupings appear under the first level of groupings. If you don't want to group by a second property, click None.

    4. Select Show items in ascending order or Show items in descending order.
    5. Under By default, show groupings, select Expanded or Collapsed.

      Expanded groupings show the grouping title and all items. Collapsed groupings only show the title of the grouping.

    Display totals

    • In the Totals section, in the Total list for each column with items you want to display totals for, click the way you want to calculate the total.

    Choose style

    • In the Style section, under View Style, click the style you want for the view.

    Specify folders

    • Click Show documents inside folders to create a view with documents in hierarchical folders, or click Show all documents without folders to view all documents in a list without folders.

    Limit items

    1. In the Item Limit section, under Number of items to display, type a maximum number of items to display.
    2. Select whether you want to specify the limit for each batch of items, or for the entire view.
  8. At the bottom of the page, click OK.

Notes

  • At any time, you can delete an existing personalized view by clicking Delete at the bottom of the Edit View page. The default view of a list, document library, or discussion board cannot be deleted.
  • The Meeting Workspace site does not support personalized views.

Related Topics

Set a default view
Display sorted or filtered items
Change the name or file name of a view
Show or hide columns
About views


Change the name or file name of a view

Change the name or file name of a view
  1. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  2. Under Views, click the name of a view in the View (click to edit) column.
  3. On the Edit View page, in the Name section, do one or both of the following:
    • To change the name of the view, type a new name in the View Name box.
    • To change the file name of this view, then type a new file name in the Web address of this view box.

      Note The file name is the only part of the URL that you can modify.

  4. At the bottom of the page, click OK.

Related Topics

  • Set a default view
  • Create a view
  • Display sorted or filtered items
  • Show or hide columns
  • About views


Display sorted or filtered items

Display sorted or filtered items

You can display sorted or filtered items by storing the criteria for the sort or filter in a custom view. Sorting items orders them alphabetically or numerically. Filtering items displays only items that meet the criteria you specify.

  1. On the page that displays the list, library, or discussion board, click Modify settings and columns.
  2. Under Views, do one of the following:

    Change an existing view

    • Click the view name in the View (click to edit) column.

    Create a view

    1. Click Create a new view.
    2. Click the type of view you want to create.
    3. On the Create View page, in the Name section, type a name for the view.
    4. If you want the new view to be the default view, select the Make this the default view check box.
  3. Do one or both of the following:

    Sort items in the view

    1. On the Create View or Edit View page, in the Sort section, click the column you want to sort by in the First sort by the column drop-down list.
    2. Click Show items in ascending order or Show items in descending order.
    3. Click the column you want to sort by next in the Then sort by the column drop-down list.

      If you don't want to sort by a second property, click None.

    4. Select Show items in ascending order or Show items in descending order.

    Items will be sorted in the order you selected.

    Filter items in the view

    1. On the Create View or Edit View page, in the Filter section, click Show items only when the following is true.

      If you don't want to filter the list, click Show all items in this view.

    2. In the first drop-down list under Show the items when column, click a column for the first property on which you want to filter.
    3. In the next list, click one of the following operators to apply to this column:
      • is equal to Includes items with a value that exactly matches the value provided in this filter.
      • is not equal to Excludes all items matching the provided value.
      • is greater than Includes all items with a value for the column that comes after the provided value sequentially in a numeric or alphabetical list.
      • is less than Includes all items with a value for the column that comes before the provided value sequentially in a numeric or alphabetical list.
      • is greater than or equal to Includes all items with a value for the column that comes after the provided value sequentially in a numeric or alphabetical list, and any items that match the provided value.
      • is less than or equal to Includes all items with a value for the column that comes before the provided value sequentially in a numeric or alphabetical list, and any items that match the provided value.
      • begins with Includes all items that begin with the provided characters.
      • contains Includes all items that contain the provided characters in the order provided.
    4. In the next box, type a value you want to compare to entries in the column you are filtering on.

      Different columns accept different values. For example, the Created column only accepts values formatted as dates, and other columns might be limited to numbers, letters, or other combinations of characters.

      Note You can use two special values to specify the current date or the current user. You can use [Today] to filters on a column that contains dates for the current date. You can use [Me] to filter on a column that contains user names for the current user of the view.

    5. In the lists under When column, select a column, operator, and value for a second filter rule.
    6. Select And to include items that match both filter rules, or Or to include items that match either of the filters.

    For example, to display to each team member only those items that he or she created, click Created By in the first list, click is equal to in the second list, and then type [Me] in the box. This creates the statement "Show the items when column Created By is equal to [Me]." Only items created by a user are displayed to that user.

  4. At the bottom of the page, click OK.

Related Topics

Create a view
Change the name or file name of a view
About views


Display information for current day

Display information for current day

To see time-sensitive information, create a view of a list, document library, or discussion board that shows only items changed on the current day.

  1. On the page that displays the list, document library, or discussion board, click Modify settings and columns.
  2. In the Views section, do one of the following:

    Change an existing view

    • Click the name of the view in the View (click to edit) column.

    Create a view

    1. Click Create a new view.
    2. Click the type of view you want to create.
    3. In the Name section, type a name for the view.
    4. If you want the new view to be the default view, select the Make this the default view check box.
  3. In the Filter section, click Show items only when the following is true.
  4. Complete the Show the items when column statement by clicking Modified in the first box, clicking is equal to in the second box, and typing [Today] in the third box.

    You can change this statement to filter on other columns and criteria. For more information about criteria you can use to filter information, see About computed and calculated columns.

  5. Click OK.

Related Topics

Change the name or file name of a view
Display sorted or filtered items
About views


Create a list based on a spreadsheet

Create a list based on a spreadsheet

To create a list based on a spreadsheet, you must have a Windows SharePoint Services-compatible spreadsheet program, such as Microsoft Excel 2002, and Microsoft Internet Explorer 5 or later installed.

Important If you want to use an Excel spreadsheet that has been saved as a Web page, the sheet must not use interactivity (Add interactivity option cleared in the Save As dialog box in Excel).

  1. In the top link bar, click Create.
  2. On the Create Page page, click Import Spreadsheet.
  3. In the Name box, type a name for the list. This field is required.
  4. In the Description box, type text that describes the purpose of the list. This field is optional.
  5. In the Import from Spreadsheet section, click Browse to find the spreadsheet that contains the list you want to import, and then click Open.
  6. Under Navigation, if you want a hyperlink to this list to appear on the Quick Launch bar, click Yes.
  7. Click Import.
  8. In the Import to SharePoint List dialog box, click the range of cells you want to use for your list, and then click Import.
  9. Specify the columns and rows that you want to import.

    How?

    1. Click the Select Range box to select a range of cells to import, and then drag through the spreadsheet areas that you want to import.
    2. If the spreadsheet uses names to represent cells, in the Range Type box, click Named Range.
    3. Click Import.

    A page that displays the default view of your new list is added to the team Web site, and a hyperlink to the new list appears on the Lists page and on the Quick Launch bar if you selected Yes in step 6.


Manage list templates

Manage list templates

Create a list template

Caution Template files include personal information such as server URLs and user account names. Only share template files with trusted users and groups.

  1. Go to the list that you want to save as a template.
  2. Under Actions, click Modify settings and columns.
  3. On the Customize: <List_Name> page, under General Settings, click Save list as template.
  4. In the File Name box, type the file name to use for the template file.
  5. In the Template Title box, type the title that you want to use for the template in the list template gallery.
  6. In the Template Description box, type a description for the template.
  7. To include the existing content, select the Include content check box.
  8. Click OK.

Add a template to the site template gallery

  1. On the top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage site template gallery.
  4. On the Site Template Gallery page, click Upload Template.
  5. In the Name box, type the path to the template, or click Browse.

    You can upload multiple templates by clicking Upload Multiple.

  6. Click Save and Close.

Delete a template in the site template gallery

  1. On the top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage site template gallery.
  4. On the Site Template Gallery page, click the Edit icon next to the template name.
  5. On the Site Template Name: <Name> page, click Delete.


Keyboard shortcuts

Keyboard shortcuts

The shortcut keys described in this Help topic refer to the U.S. keyboard layout. Keys on other layouts may not correspond exactly to the keys on a U.S. keyboard. Keyboard shortcuts work in Microsoft Internet Explorer 5 and later.

All pages

All pages

Alt + Shift + F10
Open Name menu.
Alt + J
Moves the selection between the links on the top link bar.
Alt + G
In all Standard views, Edit in Datasheet button.
Alt + W
Moves the selection from Web Part to Web Part on pages, such as on the home page, that use multiple Web Parts.
Alt + Down Arrow
Expands drop down lists.

Configure Full-Text Search page

Alt + N
Enable full text search and index component link.
Alt + C
Cancel button.
Alt + U
OK button.

Common Windows SharePoint Services tasks

Rich text editor

Ctrl + Shift + <
Right-to-Left text direction button.
Ctrl + Shift + >
Left-to-Right text direction button.
Ctrl + B
Bold button.
Ctrl + C
Copy button.
Ctrl + Shift + C
Text color button.
Ctrl + E
Center button.
Ctrl + Shift + E
Numbered List button.
Ctrl + Shift + F
Font menu.
Ctrl + I
Italics button.
Ctrl + L
Align Left button.
Ctrl + Shift + L
Bulleted List button.
Ctrl + M
Increase Indent button.
Ctrl + Shift + M
Decrease Indent button.
Ctrl + Shift + P
Font Size menu.
Ctrl + R
Align Right button.
Ctrl + U
Underline button.
Ctrl + V
Paste button.
Ctrl + Shift + W
Background Color menu.
Ctrl + X
Cut button.

List or library pages

Alt + Down Arrow
Select item to be filter button.
Alt + Up Arrow
Up button. Goes up one folder level in library.
Alt + B
Alert Me link.
Alt + C
Modify settings and columns link.
Shift + Enter
Open menu with View Item, Edit Item, Delete Item, and Alert Me options.
Esc
Close menu with View Item, Edit Item, Delete Item, and Alert Me options.
Alt + G
In a Standard view, selects Edit in Datasheet button.
Alt + I
New Folder button.
Alt + L
Filter button.
Alt + L
When selecting a filter, selects Hide Filter Choices button.
Alt + N
Depending upon the type of list or library, selects New Item, New Document, or New Discussion button.
Alt + N
On the Documents and Lists page Document Libraries view, selects Create Document Library link.
Alt + N
On the Documents and Lists page Picture Libraries view, selects Create Picture Library link.
Alt + N
On the Documents and Lists page Lists view, selects Create List link.
Alt + N
On the Documents and Lists page Discussion Boards view, selects Create Discussion Board button.
Alt + N
On the Documents and Lists page Surveys view, selects Create Survey link.
Alt + O
On a page that displays a searchable list, library, or discussion board, selects Go button, submitting a search query.
Alt + P
On a page that displays a list, library, discussion board, or survey, selects Export button.
Alt + Q
Up button, taking you up one folder level in a library.
Alt + S
On a page that displays a searchable list, document library, or discussion board, selects the Search button.
Alt + U
Upload Document button.
Ctrl + Y
Approve/reject Items link.

Web Part Pages

Web Part Page

ALT+W
Move to the next Web Part or tool pane section.
ALT+\
Move to the Web Part Page menu.
ALT+O
Save property changes in the tool pane, and then close the tool pane.
ALT+P
Save property changes in the tool pane and keep the tool pane open.
ALT+C
Cancel property changes in the tool pane, and then close the tool pane.
ALT+R
Add the selected Web Part in the tool pane to a Web Part Page.
ALT+ ,
Move to a Previous button if one is on the Web Part Page.
ALT+ .
Move to a Next button if one is on the Web Part Page.
UP ARROW
Move to the previous item in a drop down list, menu, or submenu.
DOWN ARROW
Move to the next item in a drop down list, menu, or submenu.
LEFT ARROW
Close a submenu and return to the previous menu or submenu.
RIGHT ARROW
Open the next submenu.

Web Part Maintenance Page

ALT+C
Move to the Close button.
ALT+X
Move to the Delete button.
ALT+G
Return to the previous Web page.
ALT+R
Move to the Reset button.
ALT+S
Switch between shared and personal view.

Rich Text Editor of the Content Editor Web Part

The standard toolbar

CTRL+X
Cut the selection to the Clipboard.
CTRL+C
Copy the selection to the Clipboard.
CTRL+V
SHIFT+INSERT
Paste the contents of the Clipboard to the current location.
CTRL+Z
Undo the most recent command.
CTRL+Y
Redo the most recently undone command.
CTRL+F
Find text.
CTRL+SHIFT+G
Switch between hiding and showing gridlines.
CTRL+L
Create a hyperlink for a selection or edit an existing hyperlink.
ALT+CTRL+I
Insert an image.
ALT+SHIFT+T
Insert a table.
ALT+CTRL+R
Insert a row in a table.
ALT+CTRL+C
Insert a column in a table.
ALT+CTRL+L
Insert a cell in a table.
ALT+CTRL+M
Merge cells in a table.
ALT+CTRL+S
Split cells in a table.
F1
Get help.

Formatting toolbar

CTRL+SHIFT+S
Change the text style.
CTRL+SHIFT+F
Change the text font.
CTRL+B
Switch between bolded text and text not bolded.
CTRL+I
Switch between italicized text and text not italicized.
CTRL+U
Switch between underlined text and text not underlined.
CTRL+SHIFT+B
Change the text background color.
ALT+SHIFT+[
Align the selection to the left.
ALT+SHIFT+|
Center the selection.
ALT+SHIFT+]
Align the selection to the right.
CTRL+SHIFT+ >
Convert the selection to a left-to-right orientation.
CTRL+SHIFT+ <
Convert the selection to a right-to-left orientation.
ALT+CTRL+N
Create a numbered list.
ALT+CTRL+B
Create a bulleted list.
CTRL+SHIFT+T
Decrease paragraph indentation.
CTRL+T
Increase paragraph indentation.

Editing content

DELETE
Delete the selection without placing it on the Clipboard.
INSERT
Switch between inserting and overwriting text.
BACKSPACE
Delete the selection, or if there is no selection, the character preceding the insertion point.
CTRL+BACKSPACE
Delete all of a word to the preceding the insertion point, but not the preceding space.
SHIFT+ENTER
Insert a new line (but not inside an HTML Paragraph element: <P>)

Navigating content

RIGHT ARROW
Move the insertion point one character to the right.
LEFT ARROW
Move the insertion point one character to the left.
UP ARROW
Move the insertion point up one line.
DOWN ARROW
Move the insertion point down one line.
CTRL+RIGHT ARROW
Move the insertion point forward one word.
CTRL+LEFT ARROW
Move the insertion point back one word.
HOME
Move the insertion point to the start of the line.
END
Move the insertion point to the end of the line.
CTRL+UP ARROW
Move the insertion point up one paragraph.
CTRL+DOWN ARROW
Move the insertion point down one paragraph.
PAGE UP
Move the insertion point up one page.
PAGE DOWN
Move the insertion point down one page.
CTRL+HOME
Move the insertion point to the beginning of the content.
CTRL+END
Move the insertion point to the end of the content.

Extending selection of content

SHIFT+RIGHT ARROW
Extend the selection one character to the right.
SHIFT+LEFT ARROW
Extend the selection one character to the left.
CTRL+SHIFT+RIGHT ARROW
Extend the selection one word to the right.
CTRL+SHIFT+LEFT ARROW
Extend the selection one word to the left.
SHIFT+UP ARROW
Extend the selection up one line.
SHIFT+DOWN ARROW
Extend the selection down one line.
SHIFT+END
Extend the selection to the end of the line.
SHIFT+HOME
Extend the selection to the start of the line.
SHIFT+PAGE UP
Extend the selection up one page.
SHIFT+PAGE DOWN
Extend the selection down one page.
CTRL+SHIFT+HOME
Extend the selection to the beginning of the content.
CTRL+SHIFT+END
Extend the selection to the end of the content.
CTRL+A
Select the entire content.

Navigating tables, images, or objects (HTML block elements)

TAB
Move to the next table, image, or object (HTML block element) in the content.
SHIFT+TAB
Move to the previous table, image, or object (HTML block element) in the content.
CTRL+TAB
Move from the content to the next block element on the Web page.
SHIFT+CTRL+TAB
Move to the Save button.
CTRL+K
Switch between absolute and relative positioning for the table, image, or object (HTML block element).

Document properties page

Alt + C
Discuss button.
Alt + G
Go Back to Document Libary button.
Alt + I
Edit Item button.
Alt + K
Check In button.
Alt + O
Check Out button.
Version History button. (press keyboard shortcut twice)
Alt + X
Delete Item button.

Survey page

Alt + C
Modify survey and questions link.
Alt + N
Respond to this Survey button.
Alt + P
Export Results to spreadsheet button.
Alt + R
Show a graphical summary of responses link.
Alt + S
In a form for editing a survey response, selects Save and Close button.
Alt + U
Show all responses link.

List Permissions page

Alt + C
Change anonymous access link.
Alt + G
Go Back to list link.
Alt + I
Edit Permissions of Selected Users link.
Alt + L
Modify item-level security link.
Alt + M
Manage request access link.
Alt + N
Add Users link.
Alt + X
Remove Selected Users link.

Add new or edit item, document, discussion comment, or survey response

Alt + G
Go back to list, library, discussion board, or survey link.
Alt + S
Save and Close button.
Alt + X
Delete Item button.

Display item, event, contact, discussion comment, or survey response page

Alt + I
Edit Item button.

List Permissions Page

Alt + M
Manage request access link.

Documents and Lists page

Alt + N
New List button.

Picture library

Alt + N
Download button.
Alt + P
View all folders link.
Alt + R
Edit Pictures button.
Alt + S
Send to button.
Alt + W
View Slide Show link.

Discussion board

Alt + N
New Discussion button.
Alt + P
Expand/Collapse button.
Alt + R
On a page that displays a discussion comment, Reply button.
Alt + L
Filter button (when using the default Flat view).

Calendar view

Alt + S
Moves the selection between the Today, View By Day, View By Week, and View by Month links.

Links

Alt + R
Change Order button.

Contacts

Alt + K
Link to Outlook button.
Alt + I
Import Contacts button.

Datasheet view

Alt + O
Total button.
Alt + R
Refresh button.
Alt + S
Task Pane button.
Alt + X
Show in Standard View button.

Related Topics

Accessibility for people with disabilities


Tour of your SharePoint site

Tour of your SharePoint site

By default, your team Web site includes predefined pages that you can use to work with your team.

The top link bar, which is displayed on every page in your team Web site, contains hyperlinks to each of these pages:

ows10tbd top navigation bar

Home

The Home hyperlink on the top link bar links to the home page of your site. The home page displays the Quick Launch bar, views of the Announcements, Events, and Links lists, and the name and description of your team Web site.

The Quick Launch bar contains hyperlinks to specific pages on your team Web site.

Quick Launch toolbar

When you add a list or library to your site, a hyperlink to it is added to the Quick Launch bar by default.

The name and description you supply when you create your team Web site are displayed on the home page.

Announcements

The five most recent announcements in the Announcements list are displayed on the home page by default. When you create your team Web site, a built-in announcement is displayed. You can edit or delete this as desired.

Events

When you create your team Web site, this list is empty. You can add your team's events to the list.

Links

When you create your site, this list is empty. You can add to this list hyperlinks that go to your team's favorite Web pages.

Documents and Lists

The Documents and Lists hyperlink on the top link bar links to a page that displays all the lists and libraries currently in your site. You can use these lists and create your own lists to share information with your team. You can also create surveys to poll your team.

Create

The Create hyperlink on the top link bar links to a page that enables you to create new components in your site. By using this page, you can create a list that is like any of the built-in lists, create a custom list, use an existing spreadsheet as the basis of a list, create a new library or discussion board, or create a survey.

Site Settings

The Site Settings hyperlink on the top link bar links to a page where you can change the name and description of your team Web site, modify site content, and perform administrative tasks, such as changing personal settings or setting up new team members to join the team Web site. You must be a member of the Administrator site group to perform administrative tasks.

Help

The Help hyperlink on the top link bar links to a Help Web site that is installed on the computer that is running Windows SharePoint Services.

Team Web site pages

The pages in your team Web site display data for your team. The data is displayed in rows and columns, with a series of commands across the top and a selection of views to choose from.

Command bar and view bar

1 Command bar

2 View bar

Command bar

The command bar provides hyperlinks to pages that contain forms for adding and editing items in the lists, document library, and discussion board. There are also commands for subscribing to be notified of changes to the content, modifying settings, and more.

View bar

Some pages, such as the one that displays the Tasks list, provide a selection of views so that you can see the data in various ways.

A default view of the data is the view that automatically appears when you follow a hyperlink to the page — for example, when you click Tasks on the Quick Launch bar. The default view is marked by an indicator Icon image in the view bar; you can see other views by clicking their names in the view bar.


Information types and options

Information types and options

The following types of information are available, with options for each type as shown:

Single line of text

Use this information type when you want team members to enter just a few words.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Required
If you want to require team members to enter information in this column, click Yes.
Maximum number of characters
Type a number to limit the number of characters that appear in this column.
Default value
If you want new items to display information in this column automatically, type that information here. Team members can change this value.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Multiple lines of text

Use this information type when you want team members to type a sentence or more.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Required
If you want to require team members to enter information in this column, click Yes.
Number of Lines to Display
Type the number of lines to display for this column on the data entry form.
Allow rich HTML text
Specify whether you want to allow text formatting such as fonts, bold, italic, or text colors.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Number

Use this information type when you want team members to type a numerical value.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Required
If you want to require team members to enter information in this column, click Yes.
Minimum and maximum values
If you want team members to enter values within a certain range, type a value for the lower limit in the Min box and a value for the upper limit in the Max box.
Number of decimal places
Select the number of decimal places to enable team members to enter decimal values in tenths, hundredths, and so on.
Default value
If you want new items to display information in this column automatically, type that information here. Team members can change this value.
Show as percentage
If you want the number to represent a percentage, select this check box.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Currency

Use this information type when you want team members to type a monetary value.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Required
If you want to require team members to enter information in this column, click Yes.
Minimum and maximum values
If you want team members to enter values within a certain range, type a value for the lower limit in the Min box and a value for the upper limit in the Max box.
Number of decimal places
Select the number of decimal places to enable team members to enter decimal values in tenths, hundredths, and so on.
Default value
If you want new items to display information in this column automatically, type that information here. Team members can change this value.
Currency format
Select a currency based on geographic region.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Date and Time

Use this information type when you want to store calendar or time-of-day information.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Required
If you want to require team members to enter information in this column, click Yes.
Date format
Select whether you want to display the date or the date and time of day.
Default value
If you want new items to display a date and time, do one of the following:
  • To display the date and time that an item was created, click Today's Date.
  • To display a custom date and time, click the calendar Icon image and select a date, and then select a time in the hour and minutes boxes.
  • Select this option if you want the column to display a date that is based on a calculation. For example, if you want to create a column that displays a date that is 30 days from the current date, you select Calculated Value and type the equation =[TODAY]+30 in the field provided.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Lookup

Use this information type when you want to make it easy to select information that's already stored in your site.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Required
If you want to require team members to enter information in this column, click Yes.
Get information from
Select a list or library from your site.
In this column
Select the column that stores the information that you want team members to be able to select.
Include presence information
Select this option if you want online presence information to appear next to users names. This status is updated each time a user logs on to Microsoft Windows Messenger. This feature provides a handy way to know when team members are available for online chats.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Choice

Use this information type when you want team members to choose from a set of selections that you have provided.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
List of choices
In the Type each choice on a separate line box, replace the sample text with the selections from which you want team members to choose. Type each selection on a separate line. To start a new line, press ENTER.
Display options
If you want the selections to be displayed in an expanding box, click Drop-Down Menu. If you want the selections to be displayed in a list, click Radio Buttons.
Allow 'fill-in' choice values
If you want to allow team members to enter a value that is not included in the column's list of choices, click Yes under Allow 'fill-in' choices.
Default value
New items will automatically display the selection that you typed first in the List of choices. If you want to use another selection as the default, copy and paste that selection here. Team members can change this value.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Yes/No

Use this information type when you want to store true/false information. To indicate a value of "yes," team members select the check box; to indicate a value of "no," team members clear the check box.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Default value
If you want new items to display a value in this column automatically, click Yes or No here. Team members can change this value.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Hyperlink or Picture

Use this information type when you want to display a hyperlink to a Web page or display an image from the Web.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Required
If you want to require team members to enter information in this column, click Yes.
Format URL as
If you want the hyperlink to be text, click Hyperlink. If you want the hyperlink to display an image, click Picture. To display a picture, team members must enter a Web address that is the URL of an image, such as http://www.example.com/image.gif.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.

Calculated

Use this information type when you want to display a column of information that is based on the results of a formula. The formula can use information from other lists and columns, dates, or numbers. You can use standard mathematical operators. For more information, see About computed and calculated columns.

Description
Type a description of the information that you want to appear in this column. When team members fill out a form to add items to a list, column descriptions are displayed below the data entry fields.
Formula
Type the formula that is used to determine the information that appears in this column.
The data type returned from this formula is:
Select the type of data that you want to appear in the column.
Add to default view
If you want this column to appear in the default view of this list or library, select this check box.


Troubleshoot Windows SharePoint Services

Troubleshoot Windows SharePoint Services

General Issues

Information in Help doesn't match what I see in my Web site.

Help is written to document your Web site in its default configuration. Your team or administrator may have customized the site so that it no longer matches exactly with the information in Help.

Site users report that they can't get to a list, document library, discussion board, or survey, yet I can see it listed on the Document Libraries, Discussion Boards, or Lists page.

The default view may have been deleted. Do one of the following:
  • Set an existing view as the default view
  • Create a new view to use as the default view

I can no longer modify a view by using my Web browser

If a view is modified extensively by using a Microsoft Windows SharePoint Services-compatible Web page editor, such as Microsoft Office FrontPage 2003, it can no longer be modified in the Web browser.

I don't see my name in the list of users on the User Information page.

You have not yet participated in the SharePoint team Web site. Do any of the following:
  • Go to the Discussion Boards page and participate in a discussion.
  • Go to the Document Libraries page and upload a document to a library.
  • Go to the Documents and Lists page and add an item to a list, or respond to a survey.

I can't get custom Active Server Pages to work correctly on my site

Note By default, the ISAPI filter for Windows SharePoint Services blocks the use of any ASP pages that are not part of the Windows SharePoint Services installation. If you want to use custom ASP pages with your SharePoint sites, you must put the ASP pages in a separate virtual directory, and create an excluded path for the directory in Windows SharePoint Services. This allows IIS to control the directory, rather than Windows SharePoint Services, and allows the ASP pages to run.

How do I change the order of the list of views?

Views appear in the order they were created. To put views in the desired order, set the view that you want to appear first as the default view, delete the other views, and then re-create the other views in the order you want them to appear.

I can't create another column of a certain type

Windows SharePoint Services lets you create the following numbers of each column type per list or library:
  • 64 Single line of text and Choice (Drop Down Menu or Radio Buttons)
  • 32 Multiple lines of text and Choice (Checkboxes (allow multiple sections))
  • 32 Number and Currency
  • 16 Date and time
  • 16 Lookup
  • 16 Yes/No
  • 8 Calculated

Note that in the first three bullets, the number given is the total for all lists of those types. For example, you could have 16 Number and 16 Currency columns, but not 32 of each type.

Security

I can't change my password.

If you use your Microsoft Windows NT domain account to log onto your team Web site, you can change the password for your Web site by changing the password of your domain user account.

How do I prevent users from seeing links to areas in this site such as Site Administration?

Rather than hiding links and controls from users, Windows SharePoint Services checks users' rights when they click links or try to perform actions in the site. Without being a member of a site or cross-site group with the proper rights, they cannot enter site administration or change the settings for a site, list, or library. There are no administrative controls to hide links from unauthorized users.

I set Edit access in my list or survey to None, and now no one can enter items in the list or respond to the survey.

Edit access includes the ability to create items. There is no setting that prevents users from editing their own items. However, you can prevent them from editing someone else's items by setting Edit access to Only their own.

I received the message "You need to be authenticated to access this page."

  • Do you have an account on the Web server and does the site group that you are a member of have sufficient rights to view the page? See your site administration for information on access restrictions on the page.
  • Are the security settings in Internet Information Services set up to allow you access to the page? See Internet Information Services documentation for more information.
  • If you are using a domain account, is the Web server part of your domain and is your domain account a member of a site group that has sufficient rights to access the page? See your site administrator for more information.
  • Are you using a Web browser other than Microsoft Internet Explorer 5 or later? When using other browsers such as Netscape Navigator, the server must use Basic Authentication to allow viewing the site. For more information, see About authentications methods.

Data entry

I get a message that I didn't type a valid date.

Dates must be in the format nn/nn/nnnn or n/n/nn.

I typed a Web address in a text field, and when I view the item, only part of the Web address is a hyperlink.

If the Web address includes a space, type %20 for the space. For example, http://example%20site.microsoft.com.

I typed a mailto: address in a text field, and when I view the item, it isn't an active hyperlink.

All mailto: addresses must be in lowercase letters. For example: mailto:someone@example.com

I can't edit an item with a date column

You can't edit a list item that has a date older than 1900 or greater than 8900. To resolve this problem, delete the item and add it with a date between the year 1900 and 8900.

Surveys

Is my survey response truly anonymous?

Your user name does not appear in the results of a survey that is set to hide user names. However, an administrator with access to the database that stores survey results can match your identity to your response.

I want to create a survey with lots of questions.

You can add up to 1,024 questions to a survey.

Events

The Current Events view shows me events that have already happened.

The Current Events view includes all events that happen on the current day, since midnight.

Document libraries

I can't copy and move files when I'm in Folder view in a document library.

Your security settings may be too strict. Try the following:
  1. In Microsoft Internet Explorer, on the Tools menu, click Internet Options, and click the Security tab.
  2. In the Select a Web content zone to specify its security settings box, click Trusted sites, and then click Sites.
  3. In the Add this Web site to the zone box, type the URL of your team Web site, and then click Add.

I can't open a document library file in my application

Are you an anonymous user (not a member of a site group)? Even though the site may allow anonymous users to view the file in a Web browser, you must be member of a site group with the View Lists right to open the file in an application, and the site group must have the Edit Items right to edit the file. See your site administrator for more information.

Are you a member of a site group? The user group that you belong to must have the View Lists right to open the file in an application, and the site group must have the Edit Items right to edit the file. See your site administrator for more information.

Meeting Workspaces

I need to troubleshoot issues with the Meeting Workspace

See Troubleshoot Meeting Workspaces.

Themes

Why am I not able to apply a theme to one or two pages in my Web site?

By design, you apply themes to an entire site. If you want to apply themes to individual pages or to further customize your Web site based on Windows SharePoint Services in any way, use a Windows SharePoint Services-compatible Web page editor, such as Microsoft FrontPage.

Online presence and instant messenger integration

Online presence information doesn't appear

  • Does your account have an e-mail address specified? The presence information appears only when the email address for a person is specified. A user with a blank e-mail address that has only the DOMAIN and username specified will not appear as online.
  • Do you have a Windows SharePoint Services-compatible client installed? You must have a compatible client such as Office 2003 to view presence information.
  • Is the virtual server for the site configured to display online presence information? By default, this feature is turned on. However, an administrator may have turned this feature off.

Web browsers and client programs

I get a Web component error when I view a Web page.

Some older Web components may not work correctly on servers running Windows SharePoint Services. Ask your server administrator to update these components by using Web Parts that are supported on servers running Windows SharePoint Services.

A Web component error can also be caused by using an unsupported version of Microsoft FrontPage to author components for a server running Windows SharePoint Services. Web components from older versions of FrontPage are no longer supported on Windows SharePoint Services. Delete the Web component and then use Office FrontPage 2003 to add the Web component to the page.

I get an error message that the required program may not be installed properly.

You may have set up the required program to be installed on first use. Run the program so that it is fully installed on your hard disk, and then try using the feature again.

My Web site looks wrong and some features are not working.

Web sites based on Windows SharePoint Services work best with Microsoft Internet Explorer 5 or Netscape Navigator 7.0 or later, installed on a computer that is running Microsoft Windows 2000 or later. If you are using another Web browser or operating system, some pages may not display properly, and some features may not work.

I received the message "You need to be authenticated to access this page."

  • Are you using a Web browser other than Microsoft Internet Explorer 5 or later? When using other browsers such as Netscape Navigator, the server must use Basic Authentication to allow viewing the site. For more information, see About authentications methods.

I get an error message when I try to import a Microsoft Excel spreadsheet

  • Windows SharePoint Services cannot import spreadsheets that were saved with interactivity. Try saving the spreadsheet again, without interactivity.
    1. In Excel, on the File menu, click Save as Web Page.
    2. Click Republish: Sheet, and turn off the Add interactivity check box.
    3. Click Save.
  • Windows SharePoint Services cannot import shared workbooks.
    1. In Excel, on the Tools menu, click Shared Workbook.
    2. On the Editing tab, turn off the Allow changes by more than one user at the same time check box.
    3. Click OK.

I can't open a document library file in my application

The user group that you belong to may not have sufficient rights to open the file in your application. Even though the site group may have sufficient rights to view the file in your Web browser, the site group must have the Edit Items right to open the file in an application. See your site administrator for more information.

I can't add or edit an item in a datasheet view

Are you an anonymous user (not a member of a site group)? Even though the site may allow anonymous users to add or edit the page in a standard view, you must be member of a site group with the Add Items and Edit Items rights to add or edit a list item in a datasheet view. See your site administrator for more information.

I want to edit a document in a document library, but I have Microsoft Office 2000 or earlier.

Do the following:
  • Click the hyperlink to open the document or save it to your hard disk.
  • Edit the document.
  • Do one of the following:
    • If you are using Office 2000, on the File menu, click Save as to save the file with its original name to the document library. This will over-write the original file.
    • If you are using an earlier version of Office, save the file to your hard disk, and on the page that displays the document library, click Upload Document to copy the file to the document library.

I can no longer run document library rules.

  • Is your server running Windows SharePoint Services? The document library rules feature is available only on servers running SharePoint Team Services v1.0 from Microsoft. If your site has been upgraded to Windows SharePoint Services, you will be unable to run document library rules.
  • Is your server running SharePoint Team Services v1.0?

    You can manage documents in your document library by using rules to automatically perform actions based on document properties. These actions can be triggered on a scheduled basis or when certain conditions that you specify are met.

    For example, you can automatically:

    • Archive a document by moving it to a hidden folder on your web site after a certain date.
    • Send e-mail to someone to approve documents that have a status such as "waiting for approval."

    You can add exceptions to your rules, such as when a document has been modified within a certain time frame or is assigned to a certain person. A rule will not be applied to a document if any one of the exceptions you specify is met.

    You can also run rules manually, instead of using the conditions in the rule. For example, you might want to run a rule manually to process documents that were in the library before you created the rule.

    Examples of actions you can automate

    The Rules Wizard includes templates that you can use as a starting point for creating your own rules. Using the templates, you can:

    • Set a document to expire after a time limit.
    • Request approval for documents.
    • Archive expired documents.
    • Make backup copies of approved documents.
    • Create a task for each new document of a particular type.
    • Create an announcement for each new document that has a certain word in the title.
    • Send an e-mail notification when a new document is created.

    Add, modify or remove a rule in a document library

    1. In Folders View, right-click the document library folder, and click Properties.
    2. Do one of the following:
      • Add a rule
        1. On the Rules tab, click Add.
        2. Do one of the following:
          • To base a rule on a template, click Start creating a rule from a template, and then select a template.
          • To start with a blank rule, click Start from a blank rule, and then select when to apply the rule.
        3. Click Next, and follow the instructions in the wizard.
      • Modify a rule
        1. On the Rules tab, in the Apply rules in the following order box, click the rule you want to modify.

        2. Do one of the following:

          Change the variables of a rule

          • In the Rule description box, click an underlined value.

          Change what a rule does or change when a rule is applied

          1. Click Modify.
          2. Follow the instructions in the wizard

          Rename a rule

          1. Click Rename.

          2. In the New name of rule box, type a name.

          Change the the order of the rules

          • Click Move Up or Move Down.

          Note Rules that move documents to another folder are applied as a batch at the end of recalculation of hyperlinks, not according to the order listed in the Rules Wizard.

      • Remove a rule
        1. On the Rules tab, in the Apply rules in the following order box, click the rule you want to remove.
        2. Click Remove.

    Run document library rules or turn them off

    1. In Folders View, right-click the document library folder, and click Properties.
    2. Do one of the following:
      • Run rules manually
        1. On the Rules tab, click Run Rules now.
        2. In the Apply rules in the following order box, select the check boxes for the rules you want to run.
        3. If you want to change the order of the rules, in the Apply rules in the following order box, click the rule you want to move, and then click Move Up or Move Down.
        4. Click Run Now.
      • Turn rules on or off
        • On the Rules tab, in the Apply rules in the following order box, select or clear the check box next to the rule.

Usage analysis

I see a "no data" message when I try to view the Site Usage Report page

Logging and usage processing must be turned on, and users must have visited a page in your site before any data can appear on the Site Usage Report page. If you are seeing the error "No usage data is available for this web" on this page, verify that logging and usage processing have been turned on in Windows SharePoint Services. Also, if the site is new (created today), or has not been used before today, no data will appear until the usage log processing has been done (usually within 24 hours). Further, if there has been no activity on the site for the past 31 days, then you will see the "no data" message. For more information about enabling usage analysis, see Specify usage analysis settings.

Alerts and invitations

I can't create alerts to be notified of changes to Web content.

  • The Alerts feature is turned off: A server administrator must turn on this feature before you can use it. See Configure alerts for a virtual server.
  • The Windows SharePoint Services timer service may be turned off. A server adminstrator must turn on this feature for Alerts to function. See Schedule timed jobs.
  • The site group you belong to might not have permission to create alerts. See your server administrator for information.

Alerts are sent to the wrong e-mail address

  • Was the correct e-mail address specified when you were invited to the site? You may need to update your account information. See Modify user account information.
  • Are the alerts being sent to the mail account you use for instant messaging? When you enable instant messenger integration, the e-mail address that you specify is also used for alerts. See Configure online presence information.

I removed a user from a site but he or she is still receiving alerts from it

When you remove a user from a Web site, site group, or cross-site group after he or she has created alerts, you must manually delete any alerts that he or she has set up. This is also true for any lists or libraries where you change security settings to limit access. If a user has set up alerts for the list or library, he or she will continue to receive them after you change the security settings. For information on deleting alerts, see Delete an alert.

Installation and setup

I installed Windows SharePoint Services, but I can't extend a virtual server.

  • Check to see if your file system is formatted with FAT instead of NTFS.

    If you installed Windows SharePoint Services to a disk drive formatted with FAT, your default virtual server might not be extended. On the Microsoft Windows platform, the security features of Windows SharePoint Services require the NTFS file system. Windows NT includes a conversion utility (Convert.exe) that you can use to convert an existing file allocation table (FAT) volume to NTFS — without losing data.

  • Make sure the virtual server exists in IIS.

    Before you can extend a new virtual server with Windows SharePoint Services, you must create the virtual server by using the Internet Services Manager in Microsoft Windows Server 2003 or later.

Search

I can't enable search for a server

  • Is your server running a Windows SharePoint Services compatible search server software, such as Microsoft SQL Server 2000 or later? By default Windows SharePoint Services installs the Microsoft SQL Server Desktop Engine (Windows) (WMSDE) database. However, to enable the search functionality, the server's back-end database must be running Microsoft SQL Server 2000 or another Windows SharePoint Services-compatible search server.
  • Is your server part of a cluster? If each server in the cluster is not running Windows SharePoint Services-compatible search server software, such as Microsoft SQL Server 2000 or later, the search controls may not appear. To resolve this problem, make sure all servers in the cluster are running Windows SharePoint Services-compatible search server software.

I'm not finding what I'm searching for

  • Are you searching for file type other than .doc, .xls, .ppt, .txt, or .htm? Full-text searching does not include any file types other than .doc, .xls, .ppt, .txt, and .htm in the search results. You can install custom filters to allow you to search other file types. For more information about adding filters to SQL Server full-text searching, see the SQL Server 2000 documentation.
  • Is there an asterisk in your search query? You cannot use the asterisk "*" character.

  • Did you use boolean function such as AND or OR? The search engine does not support Boolean functions.

  • Is the information you're searching for in a list attachment? Attachments to list items do not appear in search results.

  • Is the information stored in a column that is not part of the current view? You can't search for information in columns that are not included in the current view.
  • Search does not return information contained in list or libraries properties, such as the description field.

  • Is there a problem with the search server? There may be an internal error on the search server. Contact your server administrator for more information.


What's New in Microsoft Windows SharePoint Services 2.0

What's New in Microsoft Windows SharePoint Services 2.0

Microsoft Windows SharePoint Services 2.0 makes it easier to create sites to share information with others with new types of sites, lists, and libraries. Managing your sites is also much easier with an enhanced security model and tools for monitoring and controlling your sites.

What's new for site users?

The following features are just some of the additions and improvements for users of Windows SharePoint Services.

  • Alerts Alerts improve on the subscription notifications in SharePoint Team Services 1.0 from Microsoft. Windows SharePoint Services uses alerts to tell you through e-mail about additions, deletions, and changes to lists, list items, libraries, and other parts of sites. You can receive alert results immediately, or request daily, or weekly alert results summaries.
  • Lists Issue lists, calendar views, group-by views, personal views, and rich text expand the possibilities of Windows SharePoint Services lists. You can use formulas and functions in lists to create calculated columns and views. Creating a list is even easier from the one-stop Create page. Lists can be set up to require the list owner's approval before new items appear.
  • Document libraries Document libraries now support versions—or creating a backup copy of a file whenever you save a file to the library—as well as check in and check out, and subfolders. Windows SharePoint Services includes viewers for files that enable you to view documents from programs such as Microsoft Office 2003 even if you don't have the program installed.
  • Picture libraries You can store photos and graphics in new picture libraries. View pictures as thumbnails, filmstrips, or in a standard files list.
  • Meeting Workspace sites New Meeting Workspace sites deliver a place for managing meetings and their attendees, agendas, documents, decisions, and action items. Users can contribute to a Meeting Workspace site using a browser. You can create a Meeting Workspace site from an e-mail program compatible with Windows SharePoint Services, such as Office Outlook 2003 or by using the browser from an events list.
  • Document Workspace sites New Document Workspace sites deliver sites that are centered around one or more documents. You can can easily work together with coworkers on a document — either by working directly on the copy located on the Document Workspace site or by working on your own copy, which you can update periodically with changes that are saved to the copy located on the Document Workspace site. You can create a Document Workspace site from a word processing program compatible with Windows SharePoint Services. For example, you can create a Document Workspace from Microsoft Office Word 2003, Office Excel 2003, Office PowerPoint 2003, as a Shared Attachment in Office Outlook 2003, or by using the browser from a document library.
  • Integration with other programs You can open files from, save files to, and upload multiple files to document libraries from productivity programs that are compatible with Windows SharePoint Services, such as Office 2003. You can link events and contacts information between Windows SharePoint Services and compatible calendar and contacts programs. Document Workspace sites integrate with Windows SharePoint Services-compatible e-mail, spreadsheet, presentation, and word processing programs to enable you to send documents in a Document Workspace site as attachments. Windows SharePoint Services-compatible spreadsheet and database programs enhance SharePoint lists in Datasheet views.
  • Online presence integration User presence is indicated everywhere a member name appears in a site. The presence menu integrates with Microsoft Active Directory directory service, Microsoft Exchange, and Microsoft Windows Messenger to offer information such as free/busy status, office location, and manager.

What's new for site administrators?

The following are just some of the new and improved features for people who manage a site or sites.

Lists and libraries Windows SharePoint Services offers site administrators that ability to manage lists and libraries by doing the following:
  • Blocking specific file types from document libraries to prevent suspicious file types from being uploaded to the server
  • Linking a document library with a public folder based on Microsoft Exchange 2000 or later to store documents attached to e-mail messages
  • Specifying list permissions to allow only specific users to change a list
Customizing sites You can enable users to update the home page content and layout by using the Web Parts tool pane. Also, each list in a site is a Web Part that allows easy customization and personalization by using the browser. You can also manage themes and templates to make customization even easier.
Templates Templates can apply to entire sites, or individual lists and libraries. You can save lists as templates, and then reuse them or distribute them to other sites. You can save sites as templates to capture best practices or to define a consistent look and feel. You can store Web Parts, list templates, and site templates in libraries for use by all sites in the site collection.
International settings Windows SharePoint Services offers support for regional settings such as language, time zone, currency type, international calendar formats, and other locale settings on a per-site basis.
Site users You can use your organizational address book to choose the users to add to a site, and use domain groups to control access to your site. Windows SharePoint Services supports Microsoft Windows authentication support for anonymous, basic, integrated Windows authentication, and certificates authentication.
Site creation You can enable self-service site creation to allow users to create sites on demand without involving the IT department.
Tracking site use You can use usage information to determine how many users visit each site. Sites owners are automatically notified if their site has been inactive for a specified period of time. If multiple notices are sent to the site owner and the site remains inactive, the administrator can specify that the site be automatically deleted.

What's new for server administrators?

The following are some of the new and improved features for administrators of servers running Windows SharePoint Services.

  • Site collection management Top-level Web sites and subsites can divide site content into distinct and separately manageable sites. These site collections support customized management tools and simplified management from a single list of all sites. Each site in a server farm can be individually backed up and restored. You can set quotas for site storage size and generate automatic notifications for the site owner when a site reaches its size limit. You can use the SharePoint Central Administration pages to manage users on all sites and create cross-site groups that can be used within all sites in a site collection.
  • Server topology You can install and configure Windows SharePoint Services to allow your server farm to host several sites with the same Internet Protocol (IP) address, with multiple site names and separate content. You can add multiple servers running Microsoft SQL Server to the server farm to support server clusters. You can load balance your front-end Web servers by using a single back-end SQL Server computer.
  • Site migration You can use the Microsoft SharePoint Migration Tool (Smigrate.exe) to move existing Windows SharePoint Services sites to another server. SharePoint Team Services v1.0 sites can be moved to SharePoint sites as well.
  • Extensibility Sites are built on Microsoft ASP.NET technology and are extensible by using the Microsoft .NET Framework. You can use the object model to create custom solutions for SharePoint Products and Technologies. You can use events in document libraries to build custom actions and send documents to a document library by using e-mail.
  • SQL Server integration When using Windows SharePoint Services with Microsoft SQL Server, full-text indexing provides site-wide search. To take advantage of SQL Server backup and restore capabilities, SQL Server is used to store all site data including documents.
  • International settings Windows SharePoint Services languages supports more languages than SharePoint Team Services v1.0. Multiple language sites can be hosted on a single server or server farm running Windows SharePoint Services. Site language is independent from server language.


About Form Libraries

About Form Libraries

Form libraries provide a simple way for you to share and track XML-based forms (.xml files) that are used to gather the same type of information. For example, you could create a form library for your team's status report forms to provide a single location for team members to quickly fill out, save, and view their forms.

A form template is associated with each form library; this form template defines the structure and appearance of all forms created from the form library, as well as the appropriate application with which to open the form.

Although any file type can be stored in a form library, there are several advantages to storing only .xml files, which require a Windows SharePoint Services–compatible XML editor, such as Microsoft Office Office InfoPath 2003. These advantages include the ability to use form library columns (which can be designed to display specific information stored within each form in the library) and the ability to merge data from mulitple forms into a single form.


About form library columns

About form library columns

Note


About form library templates

About form library templates

Note


About permission settings in form libraries

About permission settings in form libraries

Note


About relinking forms

About relinking forms

Note


About InfoPath form templates

About InfoPath form templates

Note


Add, edit, or delete form library columns

Add, edit, or delete form library columns

Depending on the form template and the way the form library is set up, form library columns may be able to display both data stored within the form and properties of the form. To modify columns that display data stored within the form itself, you may have to edit the form template in the program in which it was created.

Do one of the following:

Add a column

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the Columns section, click Add a new column.
  5. In the Name and Type section, in the Column name box, type a name for the column, and then select the type of information you want displayed in the column.
  6. In the Optional Settings for Column section, specify the settings you want.
  7. At the bottom of the page, click OK.

Edit a column

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the Columns section, click the name of the column you want to edit.
  5. In the Name section, specify the settings you want.
  6. In the Optional Settings for Column section, specify the settings you want.
  7. At the bottom of the page, click OK.

Delete a column

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the Columns section, click the name of the column you want to delete.
  5. At the bottom of the page, click Delete.

    Note If you delete a column, all of the data stored in that column will be lost. If you want to hide the column without losing the data, see Show or hide form library columns.


Add a form to a form library

Add a form to a form library

You can add forms to your form library by filling out a blank form based on the form template or by uploading previously filled out forms.

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. Do one of the following:

Fill out a form

  1. Click Fill Out This Form, and the form will open in the program it was created in.
  2. Add your information to the form, and then save and close the program.

Upload a previously filled out form

  1. Click Upload Form.
  2. On the Upload Form page, click Browse to find the form you want to add, and then click Open.

    Note If you want to add multiple forms at once, on the Upload Document page, click Upload Multiple Files.


Create a form library

Create a form library

When you first create a form library, unless you have additional form templates installed, you can choose a blank form as the form template for your form library. This form template is a placeholder file. Before you can start filling out and adding forms to the library, you will need to create your own custom form template that will serve as the basis for all forms created in the form library.

Note In order to create form libraries, you must have permission to modify the site where the form library will be stored.

Create a form library

  1. On the top link bar, click Create.
  2. On the Create Page page, under Document Libraries, click Form Library.
  3. In the Name box, type a name for the library. The form library name is required.
  4. In the Description box, type text that describes the purpose of the library. The description is optional.
  5. To add a link to this library on the Quick Launch bar, in the Navigation section, click Yes.
  6. To create a backup copy of a file each time it is checked into the library, in the Document Versions section, click Yes.
  7. In the Form Template section, select the form template you want to specify as the type of form for all forms in the library.
  8. At the bottom of the page, click Create.

Customize a blank form template

  1. On the page that displays the form library, under Actions, click Modify settings and columns.
  2. To open and customize the blank form template in the default Windows SharePoint Services compatible XML editor installed on your computer, on the Customize page, in the General Settings section, to the right of the Template location, click Edit Template.


Delete a form library

Delete a form library

Note Once you delete a form library, you will not be able to recover its contents.

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the General Settings section, click Delete this form library.


Edit the contents of a form library column

Edit the contents of a form library column

Form library columns can display both data stored within the form, as well as properties of the form. Depending on the way that the form is designed and the way that the form library is set up, editing the contents of a column that displays data stored in a form may or may not update the corresponding information in the actual form.

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. Point to the name of the form whose properties you want to edit, click the drop-down arrow that appears to the right of the file name, and then click Edit Properties.
  4. Make the changes you want, and then click Save and Close.


Edit a form template

Edit a form template

Note Editing the form template changes the form that is opened when users click Fill Out This Form. Changes to the form template will also be reflected in the existing forms stored in the form library, which may cause compatibility issues or data loss with these forms.

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the General Settings section, to the right of the Template location, click Edit Template. The form template will open in the program that was used to create it.


Show or hide form library columns

Show or hide form library columns

By either creating a new view or editing an existing view of a form library, you can easily show or hide the form library columns without losing the information stored in the columns.

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the Views section, do one of the following:

    Create a new view to show or hide columns

    1. Click Create a new view, and then select the type of view you want to create.
    2. On the Create Name View page, in the Name section, type a name for the view, and then in the Audience section, specify whether the view is personal or public.
    3. In the Column section, select the check box next to each column you want to display and clear the check box next to each column you want to hide.
    4. At the bottom of the page, click OK.

    Show or hide columns in an existing view

    1. To edit an existing view, click its name in the View (click to edit) column.
    2. On the Edit View page, select the check box next to each column you want to display and clear the check box next to each column you want to hide.
    3. At the bottom of the page, click OK.


Merge forms

Merge forms

If you have multiple forms, and they were either created from the same form template or were designed to work together, you can merge them into a single form. The Merge Forms option only appears in form libraries that have been designed to support this feature. Form libraries that use the Blank Form form template as their form template type do not have this option.

Note The merged form's appearance, and the merged data that it includes, depends on the way the form was designed.

  1. On the page that displays the forms you want to merge, under Select a View, click Merge Forms.
  2. Select the Merge check box next to the forms you want merged.
  3. On the toolbar, click Merge Forms. The merged form will open in the designated program.


Change form library settings

Change form library settings

You can change different settings for your form library, such as its name, description, file versioning and security settings, and whether or not new content must be approved before it is added to the form library.

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the General Settings section, click Change general settings.
  5. Make the approriate changes to the form library settings.


Relink a form to its form library

Relink a form to its form library

If you rename the form library's form template or change its location, the form template and the forms stored in the form library can become unsynchronized. This can result in problems when working with the forms, such as not being able to open and edit the forms. Because forms must point to the correct version and location of the form template in order to open and function properly, it may be necessary to relink the exisiting forms in the library to the form template. Forms that are not correctly synchronized with the form library's form template are displayed on the Relink page. You only need to relink the forms (.xml files) that reference an old or incorrect form template, although the Relink page may display other file types stored in the library.

  1. On the top link bar, click Documents and Lists.
  2. On the Documents and Lists page, under Document Libraries, click the name of the form library you want to open.
  3. On the page that displays the form library, under Actions, click Modify settings and columns.
  4. On the Customize page, in the General Settings section, click Relink forms to this form library.
  5. Select the Relink check box next to each form you want to relink, and then click Relink Forms.

Note The relink feature will not work for forms that were created with a different form template than that of the form library. Move these forms to a form library that uses the same form template before relinking them.


Troubleshooting form libraries

Troubleshooting form libraries

Notes